﻿within ;
package Physiomodel "Mammalian physiology model"
  extends Physiolibrary.Icons.GolemLib;


  package CardioVascular "Blood and Cardio-Vascular System"
    extends Physiolibrary.Icons.CardioVascularLib;
    class References "References"
      extends Modelica.Icons.References;

      annotation (Documentation(info="<html>
<table>

        <tr>
                <td>[Alfie1999]</td>
                <td>J. Alfie, G. D. Waisman, C. R. Galarza, and M. I. Cámera, \"Contribution of Stroke Volume to the Change in Pulse Pressure Pattern With Age,\" Hypertension, vol. 34, pp. 808-812, October 1, 1999 1999. </td>
        </tr>
        <tr>
                <td>[Alsberge1988]</td>
                <td>M. Alsberge, M. Magno, and M. Lipschutz, Carotid body control of bronchial circulation in sheep vol. 65, 1988. </td>
        </tr>
        <tr>
                <td>[Archer2002]</td>
                <td>S. Archer and E. Michelakis, The Mechanism(s) of Hypoxic Pulmonary Vasoconstriction: Potassium Channels, Redox O2 Sensors, and Controversies vol. 17, 2002. </td>
        </tr>
        <tr>
                <td>[Archer1996]</td>
                <td>S. L. Archer, J. M. C. Huang, H. L. Reeve, V. Hampl, S. Tolarová, E. Michelakis, et al., \"Differential Distribution of Electrophysiologically Distinct Myocytes in Conduit and Resistance Arteries Determines Their Response to Nitric Oxide and Hypoxia,\" Circulation Research, vol. 78, pp. 431-442, March 1, 1996 1996. </td>
        </tr>
        <tr>
                <td>[Armstrong1985]</td>
                <td>R. Armstrong, C. Vandenakker, and M. Laughlin, \"Muscle blood flow patterns during exercise in partially curarized rats,\" Journal of Applied Physiology, vol. 58, pp. 698-701, 1985. </td>
        </tr>
        <tr>
                <td>[Ashley1992]</td>
                <td>K. D. Ashley, D. N. Herndon, L. D. Traber, D. L. Traber, K. Deubel-Ashley, J. Stothert, et al., \"Systemic blood flow to sheep lung: comparison of flow probes and microspheres,\" Journal of Applied Physiology, vol. 73, pp. 1996-1996, 1992. </td>
        </tr>
        <tr>
                <td>[Aukland1989]</td>
                <td>K. Aukland, \"Myogenic mechanisms in the kidney,\" Journal of hypertension. Supplement: official journal of the International Society of Hypertension, vol. 7, pp. S71-6; discussion S77, 1989. </td>
        </tr>
        <tr>
                <td>[Bangsbo1997]</td>
                <td>J. Bangsbo, C. Juel, Y. Hellsten, and B. Saltin, \"Dissociation between lactate and proton exchange in muscle during intense exercise in man,\" The Journal of Physiology, vol. 504, pp. 489-499, October 15, 1997 1997. </td>
        </tr>
        <tr>
                <td>[Bazett1997]</td>
                <td>H. C. Bazett, \"AN ANALYSIS OF THE TIME-RELATIONS OF ELECTROCARDIOGRAMS,\" Annals of Noninvasive Electrocardiology, vol. 2, pp. 177-194, 1997. </td>
        </tr>
        <tr>
                <td>[Begg1966]</td>
                <td>T. Begg and J. Hearns, \"Components in blood viscosity. The relative contribution of haematocrit, plasma fibrinogen and other proteins,\" Clinical science, vol. 31, pp. 87-93, 1966. </td>
        </tr>
        <tr>
                <td>[Berg1997]</td>
                <td>B. R. Berg, K. D. Cohen, and I. H. Sarelius, \"Direct coupling between blood flow and metabolism at the capillary level in striated muscle,\" American Journal of Physiology-Heart and Circulatory Physiology, vol. 41, p. H2693, 1997. </td>
        </tr>
        <tr>
                <td>[Bevegärd1962]</td>
                <td>S. Bevegärd and A. Lodin, \"Postural Circulatory Changes at Rest and during Exercise in five Patients with Congenital Absence of Valves in the Deep Veins of the Legs,\" Acta Medica Scandinavica, vol. 172, pp. 21-29, 1962. </td>
        </tr>
        <tr>
                <td>[Bock1930]</td>
                <td>A. V. Bock, D. B. Dill, and H. T. Edwards, \"ON THE RELATION OF CHANGES IN BLOOD VELOCITY AND VOLUME FLOW OF BLOOD TO CHANGE OF POSTURE,\" The Journal of Clinical Investigation, vol. 8, pp. 533-544, 1930. </td>
        </tr>
        <tr>
                <td>[Bootsma1994]</td>
                <td>M. Bootsma, C. A. Swenne, H. H. Van Bolhuis, P. C. Chang, V. M. Cats, and A. Bruschke, \"Heart rate and heart rate variability as indexes of sympathovagal balance,\" American Journal of Physiology, vol. 266, pp. H1565-H1565, 1994. </td>
        </tr>
        <tr>
                <td>[Borgström1975]</td>
                <td>L. Borgström, H. Jóhannsson, and B. K. Siesjö, \"The Relationship between Arterial PO2 and Cerebral Blood Flow in Hypoxic Hypoxia,\" Acta Physiologica Scandinavica, vol. 93, pp. 423-432, 1975. </td>
        </tr>
        <tr>
                <td>[BRADLEY1952]</td>
                <td>S. E. BRADLEY, F. J. INGELFINGER, and G. P. BRADLEY, \"Hepatic Circulation in Cirrhosis of the Liver,\" Circulation, vol. 5, pp. 419-429, March 1, 1952 1952. </td>
        </tr>
        <tr>
                <td>[Bradley1953]</td>
                <td>S. E. Bradley, P. A. Marks, P. C. Reynell, and J. Meltzer, \"The circulating splanchnic blood volume in dog and man,\" Trans Assoc Am Physicians, vol. 66, pp. 294-302, 1953. </td>
        </tr>
        <tr>
                <td>[Braunwald1976]</td>
                <td>E. Braunwald, J. Ross, and E. H. Sonnenblick, Mechanisms of contraction of the normal and failing heart: Little, Brown Boston, 1976. </td>
        </tr>
        <tr>
                <td>[Breslow1993]</td>
                <td>M. J. Breslow, J. R. Tobin, D. S. Bredt, C. D. Ferris, S. H. Snyder, and R. J. Traystman, Nitric oxide as a regulator of adrenal blood flow vol. 264, 1993. </td>
        </tr>
        <tr>
                <td>[Brezis1995]</td>
                <td>M. Brezis and S. Rosen, \"Hypoxia of the Renal Medulla — Its Implications for Disease,\" New England Journal of Medicine, vol. 332, pp. 647-655, 1995. </td>
        </tr>
        <tr>
                <td>[Burattini1994]</td>
                <td>R. Burattini, P. Borgdorff, and N. Westerhof, \"Relationship between strength of short-term systemic autoregulation and initial resistance,\" American Journal of Physiology-Regulatory Integrative and Comparative Physiology, vol. 36, p. R1182, 1994. </td>
        </tr>
        <tr>
                <td>[Carter1998]</td>
                <td>Y. M. Carter, C. X. Jia, P. F. Soto, J. P. Starr, D. G. Rabkin, D. T. Hsu, et al., \"Diastolic properties, myocardial water content, and histologic condition of the rat left ventricle: effect of varied osmolarity of a coronary perfusate,\" The Journal of heart and lung transplantation : the official publication of the International Society for Heart Transplantation, vol. 17, pp. 140-149, 1998/02// 1998. </td>
        </tr>
        <tr>
                <td>[Coleman1972]</td>
                <td>T. G. Coleman, R. D. Manning, Jr., R. A. Norman, Jr., and A. C. Guyton, \"Dynamics of water-isotope distribution,\" Am J Physiol, vol. 223, pp. 1371-5, Dec 1972. </td>
        </tr>
        <tr>
                <td>[Collins-Nakai1994]</td>
                <td>R. L. Collins-Nakai, D. Noseworthy, and G. D. Lopaschuk, \"Epinephrine increases ATP production in hearts by preferentially increasing glucose metabolism,\" Am J Physiol, vol. 267, pp. H1862-71, Nov 1994. </td>
        </tr>
        <tr>
                <td>[Davidson1986]</td>
                <td>D. Davidson, S. A. Stalcup, and R. B. Mellins, Systemic hemodynamics affecting cardiac output during hypocapnic and hypercapnic hypoxia vol. 60, 1986. </td>
        </tr>
        <tr>
                <td>[Drummond2008]</td>
                <td>H. A. Drummond, S. C. Grifoni, and N. L. Jernigan, \"A new trick for an old dogma: ENaC proteins as mechanotransducers in vascular smooth muscle,\" Physiology, vol. 23, pp. 23-31, 2008. </td>
        </tr>
        <tr>
                <td>[Drury1927]</td>
                <td>A. Drury and N. Jones, \"Observations upon the rate at which oedema forms when the veins of the human limb are congested,\" Heart, vol. 14, p. 8, 1927. </td>
        </tr>
        <tr>
                <td>[Dunbar2001]</td>
                <td>S. L. Dunbar, L. Tamhidi, D. E. Berkowitz, and A. A. Shoukas, Hindlimb unweighting affects rat vascular capacitance function vol. 281, 2001. </td>
        </tr>
        <tr>
                <td>[ECHT1974]</td>
                <td>M. ECHT, J. DÜWELING, O. H. GAUER, and L. LANGE, \"Effective Compliance of the Total Vascular Bed and the Intrathoracic Compartment Derived from Changes in Central Venous Pressure Induced by Volume Changes in Man,\" Circulation Research, vol. 34, pp. 61-68, January 1, 1974 1974. </td>
        </tr>
        <tr>
                <td>[Fan1980]</td>
                <td>F. C. Fan, R. Y. Chen, G. B. Schuessler, and S. Chien, Effects of hematocrit variations on regional hemodynamics and oxygen transport in the dog vol. 238, 1980. </td>
        </tr>
        <tr>
                <td>[Fatema2002]</td>
                <td>K. Fatema, O. Hirono, Y. Takeishi, J. Nitobe, K. Kaneko, M. Ito, et al., \"Hemodialysis improves myocardial interstitial edema and left ventricular diastolic function in patients with end-stage renal disease: noninvasive assessment by ultrasonic tissue characterization,\" Heart and vessels, vol. 16, pp. 227-231, 2002. </td>
        </tr>
        <tr>
                <td>[Ferguson1985]</td>
                <td>D. W. Ferguson, F. M. Abboud, and A. L. Mark, \"Relative contribution of aortic and carotid baroreflexes to heart rate control in man during steady state and dynamic increases in arterial pressure,\" The Journal of Clinical Investigation, vol. 76, pp. 2265-2274, 1985. </td>
        </tr>
        <tr>
                <td>[Fitzgerald1980]</td>
                <td>G. A. Fitzgerald, P. Barnes, C. A. Hamilton, and C. T. Dollery, \"Circulating adrenaline and blood pressure: the metabolic effects and kinetics of infused adrenaline in man,\" European Journal of Clinical Investigation, vol. 10, pp. 401-406, 1980. </td>
        </tr>
        <tr>
                <td>[Frisbee2000]</td>
                <td>J. C. Frisbee and J. H. Lombard, \"Increased Intravascular Pressure Does Not Enhance Skeletal Muscle Arteriolar Constriction to Oxygen or Angiotensin II,\" Microvascular Research, vol. 59, pp. 176-180, 1// 2000. </td>
        </tr>
        <tr>
                <td>[Frisbee2000]</td>
                <td>J. C. Frisbee and J. H. Lombard, \"Short-term angiotensin converting enzyme inhibition reduces basal tone and dilator reactivity in skeletal muscle arterioles*,\" American Journal of Hypertension, vol. 13, pp. 389-395, April 1, 2000 2000. </td>
        </tr>
        <tr>
                <td>[Gaasch1975]</td>
                <td>W. H. Gaasch, J. S. Cole, M. A. Quinones, and J. Alexander, \"Dynamic determinants of letf ventricular diastolic pressure-volume relations in man,\" Circulation, vol. 51, pp. 317-323, 1975. </td>
        </tr>
        <tr>
                <td>[GAUER1956]</td>
                <td>O. H. GAUER, J. P. HENRY, and H. O. SIEKER, \"Changes in Central Venous Pressure after Moderate Hemorrhage and Transfusion in Man,\" Circulation Research, vol. 4, pp. 79-84, January 1, 1956 1956. </td>
        </tr>
        <tr>
                <td>[Gibbs1942]</td>
                <td>E. L. Gibbs, F. A. Gibbs, W. G. Lennox, and L. F. Nims, \"REgulation of cerebral carbon dioxide,\" Archives of Neurology & Psychiatry, vol. 47, pp. 879-889, 1942. </td>
        </tr>
        <tr>
                <td>[Goodman1978]</td>
                <td>A. H. Goodman, R. Einstein, and H. J. Granger, \"Effect of changing metabolic rate on local blood flow control in the canine hindlimb,\" Circulation Research, vol. 43, pp. 769-76, November 1, 1978 1978. </td>
        </tr>
        <tr>
                <td>[Granger1969]</td>
                <td>H. J. Granger and A. C. Guyton, \"Autoregulation of the Total Systemic Circulation Following Destruction of the Central Nervous System in the Dog,\" Circulation Research, vol. 25, pp. 379-388, October 1, 1969 1969. </td>
        </tr>
        <tr>
                <td>[Granger1976]</td>
                <td>H. J. Granger, A. H. Goodman, and D. N. Granger, \"Role of resistance and exchange vessels in local microvascular control of skeletal muscle oxygenation in the dog,\" Circulation Research, vol. 38, pp. 379-85, May 1, 1976 1976. </td>
        </tr>
        <tr>
                <td>[Greenway1973]</td>
                <td>C. Greenway and G. Oshiro, \"Effects of histamine on hepatic volume (outflow block) in anaesthetized dogs,\" British journal of pharmacology, vol. 47, pp. 282-290, 1973. </td>
        </tr>
        <tr>
                <td>[Greenway1974]</td>
                <td>C. V. Greenway and G. E. Lister, \"Capacitance effects and blood reservoir function in the splanchnic vascular bed during non-hypotensive haemorrhage and blood volume expansion in anaesthetized cats,\" The Journal of Physiology, vol. 237, pp. 279-294, March 1, 1974 1974. </td>
        </tr>
        <tr>
                <td>[Greenway1985]</td>
                <td>C. V. Greenway, K. L. Seaman, and I. R. Innes, Norepinephrine on venous compliance and unstressed volume in cat liver vol. 248, 1985. </td>
        </tr>
        <tr>
                <td>[Gutsche1980]</td>
                <td>H. U. Gutsche, R. Müller-Suur, U. Hegel, and K. Hierholzer, \"Electrical conductivity of tubular fluid of the rat nephron,\" Pflügers Archiv, vol. 383, pp. 113-121, 1980/01/01 1980. </td>
        </tr>
        <tr>
                <td>[Guyton1961]</td>
                <td>A. C. Guyton and K. Sagawa, \"Compensations of cardiac output and other circulatory functions in areflex dogs with large AV fistulas,\" The American journal of physiology, vol. 200, p. 1157, 1961. </td>
        </tr>
        <tr>
                <td>[Harder1996]</td>
                <td>D. R. Harder, J. Narayanan, E. K. Birks, J. F. Liard, J. D. Imig, J. H. Lombard, et al., \"Identification of a Putative Microvascular Oxygen Sensor,\" Circulation Research, vol. 79, pp. 54-61, July 1, 1996 1996. </td>
        </tr>
        <tr>
                <td>[Harder1996]</td>
                <td>D. R. Harder, J. Narayanan, E. K. Birks, J. F. Liard, J. D. Imig, J. H. Lombard, et al., \"Identification of a Putative Microvascular Oxygen Sensor,\" Circulation Research, vol. 79, pp. 54-61, July 1, 1996 1996. </td>
        </tr>
        <tr>
                <td>[Hennessy1993]</td>
                <td>E. Hennessy, S. White, T. Van der Touw, A. Quail, W. Porges, and P. Glenfield, \"Control of resting bronchial hemodynamics in the awake dog,\" American Journal of Physiology, vol. 265, pp. H649-H649, 1993. </td>
        </tr>
        <tr>
                <td>[Henry1950]</td>
                <td>J. P. Henry and O. H. Gauer, \"THE INFLUENCE OF TEMPERATURE UPON VENOUS PRESSURE IN THE FOOT,\" The Journal of Clinical Investigation, vol. 29, pp. 855-861, 1950. </td>
        </tr>
        <tr>
                <td>[Heyeraas1987]</td>
                <td>K. J. Heyeraas and K. Aukland, \"Interlobular arterial resistance: Influence of renal arterial pressure and angiotensin II,\" Kidney Int, vol. 31, pp. 1291-1298, 06//print 1987. </td>
        </tr>
        <tr>
                <td>[Hogan1990]</td>
                <td>M. C. Hogan, D. E. Bebout, A. T. Gray, P. D. Wagner, J. B. West, and P. E. Haab, Muscle maximal O2 uptake at constant O2 delivery with and without CO in the blood vol. 69, 1990. </td>
        </tr>
        <tr>
                <td>[Charan1984]</td>
                <td>N. B. Charan, G. M. Turk, and R. Dhand, \"Gross and subgross anatomy of bronchial circulation in sheep,\" J Appl Physiol, vol. 57, pp. 658-664, 1984. </td>
        </tr>
        <tr>
                <td>[Charles1994]</td>
                <td>J. B. Charles and C. M. Lathers, \"Summary of Lower Body Negative Pressure Experiments During Space Flight,\" The Journal of Clinical Pharmacology, vol. 34, pp. 571-583, 1994. </td>
        </tr>
        <tr>
                <td>[Ito1990]</td>
                <td>S. Ito and O. A. Carretero, \"An in vitro approach to the study of macula densa-mediated glomerular hemodynamics,\" Kidney Int, vol. 38, pp. 1206-10, Dec 1990. </td>
        </tr>
        <tr>
                <td>[Ito1992]</td>
                <td>S. Ito, O. A. Carretero, K. Abe, L. A. Juncos, and K. Yoshinaga, \"Macula Densa Control of Renin Release and Glomerular Hemodynamics,\" The Tohoku Journal of Experimental Medicine, vol. 166, pp. 27-39, 1992. </td>
        </tr>
        <tr>
                <td>[Itoh1985]</td>
                <td>S. Itoh and O. A. Carretero, \"Role of the macula densa in renin release,\" Hypertension, vol. 7, p. I49, 1985. </td>
        </tr>
        <tr>
                <td>[Jan1977]</td>
                <td>K. M. Jan and S. Chien, Effect of hematocrit variations on coronary hemodynamics and oxygen utilization vol. 233, 1977. </td>
        </tr>
        <tr>
                <td>[Joseph1952]</td>
                <td>J. Joseph and A. Nightingale, \"Electromyography of muscles of posture: leg muscles in males,\" The Journal of Physiology, vol. 117, pp. 484-491, August 28, 1952 1952. </td>
        </tr>
        <tr>
                <td>[Katkov1980]</td>
                <td>V. E. Katkov and V. V. Chestukhin, \"Blood pressure and oxygenation in different cardiovascular compartments of a normal man during postural exposures,\" Aviat Space Environ Med, vol. 51, pp. 1234-42, Nov 1980. </td>
        </tr>
        <tr>
                <td>[Kety1948]</td>
                <td>S. S. Kety and C. F. Schmidt, \"THE EFFECTS OF ALTERED ARTERIAL TENSIONS OF CARBON DIOXIDE AND OXYGEN ON CEREBRAL BLOOD FLOW AND CEREBRAL OXYGEN CONSUMPTION OF NORMAL YOUNG MEN 1,\" The Journal of Clinical Investigation, vol. 27, pp. 484-492, 1948. </td>
        </tr>
        <tr>
                <td>[Kumagai1994]</td>
                <td>K. Kumagai and I. A. Reid, \"Angiotensin II exerts differential actions on renal nerve activity and heart rate,\" Hypertension, vol. 24, pp. 451-456, 1994. </td>
        </tr>
        <tr>
                <td>[Kunert1996]</td>
                <td>M. P. Kunert, J. F. Liard, D. J. Abraham, and J. H. Lombard, \"Low-Affinity Hemoglobin Increases Tissue PO2and Decreases Arteriolar Diameter and Flow in the Rat Cremaster Muscle,\" Microvascular Research, vol. 52, pp. 58-68, 7// 1996. </td>
        </tr>
        <tr>
                <td>[Kuwahira1993]</td>
                <td>I. Kuwahira, N. Heisler, J. Piiper, and N. C. Gonzalez, \"Effect of chronic hypoxia on hemodynamics, organ blood flow and O2 supply in rats,\" Respiration Physiology, vol. 92, pp. 227-238, 5// 1993. </td>
        </tr>
        <tr>
                <td>[Laine1979]</td>
                <td>G. A. Laine, J. T. Hall, S. H. Laine, and J. Granger, \"Transsinusoidal fluid dynamics in canine liver during venous hypertension,\" Circulation Research, vol. 45, pp. 317-23, September 1, 1979 1979. </td>
        </tr>
        <tr>
                <td>[Landis1933]</td>
                <td>E. M. Landis and J. H. Gibbon, Jr., \"THE EFFECTS OF TEMPERATURE AND OF TISSUE PRESSURE ON THE MOVEMENT OF FLUID THROUGH THE HUMAN CAPILLARY WALL,\" The Journal of Clinical Investigation, vol. 12, pp. 105-138, 1933. </td>
        </tr>
        <tr>
                <td>[Langer1997]</td>
                <td>G. A. Langer, The myocardium: Academic Press, 1997. </td>
        </tr>
        <tr>
                <td>[Lash1987]</td>
                <td>J. M. Lash and H. G. Bohlen, Perivascular and tissue PO2 in contracting rat spinotrapezius muscle vol. 252, 1987. </td>
        </tr>
        <tr>
                <td>[Lassen1959]</td>
                <td>N. A. Lassen, Cerebral blood flow and oxygen consumption in man: Am Physiological Soc, 1959. </td>
        </tr>
        <tr>
                <td>[LAUGHLIN1987]</td>
                <td>M. H. LAUGHLIN, \"Skeletal muscle blood flow capacity: role of muscle pump in exercise hyperemia,\" Am J Physiol, vol. 253, p. 1004, 1987. </td>
        </tr>
        <tr>
                <td>[Laughlin1983]</td>
                <td>M. H. Laughlin and R. Armstrong, \"Rat muscle blood flows as a function of time during prolonged slow treadmill exercise,\" Am J Physiol Heart Circ Physiol, vol. 244, pp. H814-H824, 1983. </td>
        </tr>
        <tr>
                <td>[Lautt1987]</td>
                <td>W. W. Lautt, C. V. Greenway, and D. J. Legare, \"Effect of hepatic nerves, norepinephrine, angiotensin, and elevated central venous pressure on postsinusoidal resistance sites and intrahepatic pressures in cats,\" Microvascular Research, vol. 33, pp. 50-61, 1// 1987. </td>
        </tr>
        <tr>
                <td>[Little1993]</td>
                <td>W. C. Little and C. P. Cheng, \"Effect of exercise on left ventricular-arterial coupling assessed in the pressure-volume plane,\" AMERICAN JOURNAL OF PHYSIOLOGY, vol. 264, pp. H1629-H1629, 1993. </td>
        </tr>
        <tr>
                <td>[Maass-Moreno1992]</td>
                <td>R. Maass-Moreno and C. F. Rothe, \"Contribution of the large hepatic veins to postsinusoidal vascular resistance,\" Am J Physiol Gastrointest Liver Physiol, vol. 262, pp. G14-G22, 1992. </td>
        </tr>
        <tr>
                <td>[Malo1984]</td>
                <td>J. Malo, H. Goldberg, R. Graham, H. Unruh, and C. Skoog, Effect of hypoxic hypoxia on systemic vasculature vol. 56, 1984. </td>
        </tr>
        <tr>
                <td>[Manning1987]</td>
                <td>R. D. Manning, Renal hemodynamic, fluid volume, and arterial pressure changes during hyperproteinemia vol. 252, 1987. </td>
        </tr>
        <tr>
                <td>[Manning1990]</td>
                <td>R. D. Manning, Effects of hypoproteinemia on blood volume and arterial pressure of volume-loaded dogs vol. 259, 1990. </td>
        </tr>
        <tr>
                <td>[Manning1983]</td>
                <td>R. D. Manning and A. C. Guyton, Effects of hypoproteinemia on fluid volumes and arterial pressure vol. 245, 1983. </td>
        </tr>
        <tr>
                <td>[Marshall1995]</td>
                <td>J. Marshall, Skeletal Muscle Vasculature and Systemic Hypoxia vol. 10, 1995. </td>
        </tr>
        <tr>
                <td>[Marshall1988]</td>
                <td>J. M. Marshall and J. D. Metcalfe, \"Analysis of the cardiovascular changes induced in the rat by graded levels of systemic hypoxia,\" The Journal of Physiology, vol. 407, pp. 385-403, December 1, 1988 1988. </td>
        </tr>
        <tr>
                <td>[Mayerson1939]</td>
                <td>H. S. Mayerson, H. M. Sweeney, and L. A. Toth, THE INFLUENCE OF POSTURE ON CIRCULATION TIME vol. 125, 1939. </td>
        </tr>
        <tr>
                <td>[McKeever1958]</td>
                <td>W. McKeever, D. Gregg, and P. Canney, \"Oxygen uptake of the nonworking left ventricle,\" Circulation research, vol. 6, pp. 612-623, 1958. </td>
        </tr>
        <tr>
                <td>[MCKEEVER1958]</td>
                <td>W. P. MCKEEVER, D. E. GREGG, and P. C. CANNEY, \"Oxygen Uptake of the Nonworking Left Ventricle,\" Circulation Research, vol. 6, pp. 612-623, September 1, 1958 1958. </td>
        </tr>
        <tr>
                <td>[Mellander1992]</td>
                <td>S. Mellander and J. Bjornberg, Regulation of Vascular Smooth Muscle Tone and Capillary Pressure vol. 7, 1992. </td>
        </tr>
        <tr>
                <td>[Metting1988]</td>
                <td>P. J. Metting, J. R. Strader, and S. L. Britton, Evaluation of whole body autoregulation in conscious dogs vol. 255, 1988. </td>
        </tr>
        <tr>
                <td>[Metting1989]</td>
                <td>P. J. Metting, P. M. Stein, B. A. Stoos, K. A. Kostrzewski, and S. L. Britton, Systemic vascular autoregulation amplifies pressor responses to vasoconstrictor agents vol. 256, 1989. </td>
        </tr>
        <tr>
                <td>[Mitzner1974]</td>
                <td>W. Mitzner, Hepatic outflow resistance, sinusoid pressure, and the vascular waterfall vol. 227, 1974. </td>
        </tr>
        <tr>
                <td>[Monos2001]</td>
                <td>E. Monos, M. Lóránt, and E. Fehér, Influence of long-term experimental orthostatic body position on innervation density in extremity vessels vol. 281, 2001. </td>
        </tr>
        <tr>
                <td>[Monos2003]</td>
                <td>E. Monos, M. Lóránt, G. Dörnyei, V. Bérczi, and G. Nádasy, Long-Term Adaptation Mechanisms in Extremity Veins Supporting Orthostatic Tolerance vol. 18, 2003. </td>
        </tr>
        <tr>
                <td>[MONROE1960]</td>
                <td>R. G. MONROE and G. FRENCH, \"Ventricular Pressure-Volume Relationships and Oxygen Consumption in Fibrillation and Arrest,\" Circulation Research, vol. 8, pp. 260-266, January 1, 1960 1960. </td>
        </tr>
        <tr>
                <td>[MONROE1961]</td>
                <td>R. G. MONROE and G. N. FRENCH, \"Left ventricular pressure-volume relationships and myocardial oxygen consumption in the isolated heart,\" Circulation research, vol. 9, pp. 362-373, 1961. </td>
        </tr>
        <tr>
                <td>[Moore1990]</td>
                <td>L. C. Moore and D. Casellas, \"Tubuloglomerular feedback dependence of autoregulation in rat juxtamedullary afferent arterioles,\" Kidney Int, vol. 37, pp. 1402-1408, 06//print 1990. </td>
        </tr>
        <tr>
                <td>[Murphy2008]</td>
                <td>E. Murphy and C. Steenbergen, \"Ion transport and energetics during cell death and protection,\" Physiology (Bethesda), vol. 23, pp. 115-23, Apr 2008. </td>
        </tr>
        <tr>
                <td>[NODA1993]</td>
                <td>T. NODA, C.-P. CHENG, P. P. DE TOMBE, and W. C. LITTLE, \"Curvilinearity of LV end-systolic pressure-volume and dP/dt,-end-diastolic volume relations,\" 1993. </td>
        </tr>
        <tr>
                <td>[O’ROURKE1990]</td>
                <td>S. T. O’ROURKE and P. M. VANHOUTTE, \"Adrenergic and cholinergic responsiveness of isolated canine bronchial arteries,\" Organ, vol. 6, p. 2, 1990. </td>
        </tr>
        <tr>
                <td>[OCHSNER1951]</td>
                <td>A. OCHSNER, R. COLP, and G. E. BURCH, \"Normal Blood Pressure in the Superficial Venous System of Man at Rest in the Supine Position,\" Circulation, vol. 3, pp. 674-680, May 1, 1951 1951. </td>
        </tr>
        <tr>
                <td>[Pogátsa1982]</td>
                <td>G. Pogátsa, M. Z. Koltai, and G. Grósz, \"The role of the myocardial water content in heart function,\" Acta physiologica Academiae Scientiarum Hungaricae, vol. 59, pp. 305-309, 1982 1982. </td>
        </tr>
        <tr>
                <td>[POHOST1976]</td>
                <td>G. M. POHOST, J. B. NEWELL, N. P. HAMLIN, and W. J. POWELL, \"Observations on autoregulation in skeletal muscle: the effects of arterial hypoxia,\" Cardiovascular Research, vol. 10, pp. 405-412, July 1, 1976 1976. </td>
        </tr>
        <tr>
                <td>[Pollack1949]</td>
                <td>A. A. Pollack and E. H. Wood, Venous Pressure in the Saphenous Vein at the Ankle in Man during Exercise and Changes in Posture vol. 1, 1949. </td>
        </tr>
        <tr>
                <td>[Prabhu1993]</td>
                <td>S. D. Prabhu and G. L. Freeman, \"Left ventricular energetics in closed-chest dogs,\" Am J Physiol, vol. 265, pp. H1048-55, Oct 1993. </td>
        </tr>
        <tr>
                <td>[Prewitt1976]</td>
                <td>R. L. Prewitt and P. C. Johnson, \"The effect of oxygen on arteriolar red cell velocity and capillary density in the rat cremaster muscle,\" Microvascular Research, vol. 12, pp. 59-70, 7// 1976. </td>
        </tr>
        <tr>
                <td>[Pruett2013]</td>
                <td>W. A. Pruett, L. D. Husband, G. Husband, M. Dakhlalla, K. Bellamy, T. G. Coleman, et al., \"A Population Model of Integrative Cardiovascular Physiology,\" PloS one, vol. 8, p. e74329, 2013. </td>
        </tr>
        <tr>
                <td>[Raeder1995]</td>
                <td>E. A. Raeder, P. Albrecht, M. Perrott, and R. J. Cohen, \"Kinetics of Cycle Length Dependence of Ventricular Repolarization,\" Journal of Cardiovascular Electrophysiology, vol. 6, pp. 163-169, 1995. </td>
        </tr>
        <tr>
                <td>[Raven1984]</td>
                <td>P. B. Raven, D. Rohm-Young, and C. G. Blomqvist, Physical fitness and cardiovascular response to lower body negative pressure vol. 56, 1984. </td>
        </tr>
        <tr>
                <td>[Reivich1964]</td>
                <td>M. Reivich, Arterial Pco2 and cerebral hemodynamics vol. 206, 1964. </td>
        </tr>
        <tr>
                <td>[Roach1957]</td>
                <td>M. R. Roach and A. C. Burton, \"THE REASON FOR THE SHAPE OF THE DISTENSIBILITY CURVES OF ARTERIES,\" Canadian Journal of Biochemistry and Physiology, vol. 35, pp. 681-690, 1957/08/01 1957. </td>
        </tr>
        <tr>
                <td>[ROSS1965]</td>
                <td>J. ROSS, J. W. LINHART, and E. BRAUNWALD, \"Effects of Changing Heart Rate in Man by Electrical Stimulation of the Right Atrium: Studies at Rest, during Exercise, and with Isoproterenol,\" Circulation, vol. 32, pp. 549-558, October 1, 1965 1965. </td>
        </tr>
        <tr>
                <td>[Sagawa1988]</td>
                <td>K. Sagawa, L. Maughan, H. Suga, and K. Sunagawa, Cardiac contraction and the pressure-volume relationship vol. 480: Oxford University Press New York, 1988. </td>
        </tr>
        <tr>
                <td>[Sage1981]</td>
                <td>J. I. Sage, R. L. Van Uitert, and T. E. Duffy, \"Simultaneous Measurement of Cerebral Blood Flow and Unidirectional Movement of Substances Across the Blood-Brain Barrier: Theory, Method, and Application to Leucine,\" Journal of Neurochemistry, vol. 36, pp. 1731-1738, 1981. </td>
        </tr>
        <tr>
                <td>[Shigemi1994]</td>
                <td>K. Shigemi, M. J. Brunner, and A. A. Shoukas, \"-and -Adrenergic mechanisms in the control of vascular capacitance by the carotid sinus baroreflex system,\" AMERICAN JOURNAL OF PHYSIOLOGY, vol. 267, pp. H201-H201, 1994. </td>
        </tr>
        <tr>
                <td>[Schrier1970]</td>
                <td>R. W. Schrier, K. M. McDonald, R. Wells, and D. P. Lauler, \"Influence of hematocrit and colloid on whole blood viscosity during volume expansion,\" Am. J. Physiol, vol. 218, p. 77, 1970. </td>
        </tr>
        <tr>
                <td>[Skarlatos1993]</td>
                <td>S. Skarlatos, N. DiPaola, R. A. Frankel, R. W. Pomerantz, P. H. Brand, P. J. Metting, et al., \"Spontaneous pressure-flow relationships in renal circulation of conscious dogs,\" Am J Physiol, vol. 264, pp. H1517-27, May 1993. </td>
        </tr>
        <tr>
                <td>[Skov1996]</td>
                <td>K. Skov, J. Fenger-Gron, and M. J. Mulvany, \"Effects of an angiotensin-converting enzyme inhibitor, a calcium antagonist, and an endothelin receptor antagonist on renal afferent arteriolar structure,\" Hypertension, vol. 28, pp. 464-471, 1996. </td>
        </tr>
        <tr>
                <td>[Stainsby1973]</td>
                <td>W. N. Stainsby, \"Local Control of Regional Blood Flow,\" Annual Review of Physiology, vol. 35, pp. 151-168, 1973. </td>
        </tr>
        <tr>
		<td>[Stevens]</td>
		<td>StevensP. M. Stevens and L. E. Lamb, \"Effects of lower body negative pressure on the cardiovascular system,\" American Journal of Cardiology, vol. 16, pp. 506-515. </td>
        <tr>
                <td>[Stick1992]</td>
                <td>C. Stick, H. Jaeger, and E. Witzleb, Measurements of volume changes and venous pressure in the human lower leg during walking and running vol. 72, 1992. </td>
        </tr>
        <tr>
                <td>[Stone1968]</td>
                <td>H. Stone, Thompson HK, and K. Schmidt-Nielsen, Influence of erythrocytes on blood viscosity vol. 214, 1968. </td>
        </tr>
        <tr>
                <td>[Stonestreet1998]</td>
                <td>B. S. Stonestreet, S. S. Ocampo, and W. Oh, Reductions in cardiac output in hypoxic young pigs: systemic and regional perfusion and oxygen metabolism vol. 85, 1998. </td>
        </tr>
        <tr>
                <td>[Stothert1992]</td>
                <td>J. C. Stothert, J. O. Basadre, G. B. Gbaanador, J. T. Flynn, L. Traber, and D. Traber, \"Bronchial blood flow during changes in inhaled oxygen and carbon dioxide concentrations in conscious sheep,\" Circulatory shock, vol. 36, pp. 120-126, 1992/02// 1992. </td>
        </tr>
        <tr>
                <td>[Suga1979]</td>
                <td>H. Suga, Total mechanical energy of a ventricle model and cardiac oxygen consumption vol. 236, 1979. </td>
        </tr>
        <tr>
                <td>[SUGA1974]</td>
                <td>H. SUGA and K. SAGAWA, \"Instantaneous Pressure-Volume Relationships and Their Ratio in the Excised, Supported Canine Left Ventricle,\" Circulation Research, vol. 35, pp. 117-126, July 1, 1974 1974. </td>
        </tr>
        <tr>
                <td>[SUGA1976]</td>
                <td>H. SUGA, K. SAGAWA, and D. P. KOSTIUK, \"Controls of ventricular contractility assessed by pressure-volume ratio, Emax,\" Cardiovascular Research, vol. 10, pp. 582-592, September 1, 1976 1976. </td>
        </tr>
        <tr>
                <td>[Sugimoto1966]</td>
                <td>T. Sugimoto, K. Sagawa, and A. Guyton, Effect of tachycardia on cardiac output during normal and increased venous return vol. 211, 1966. </td>
        </tr>
        <tr>
		<td>[Schumacker]</td>   
		<td>SchumackerS. P. T. and C. S. M., \"The concept of a critical oxygen delivery,\" Intensive Care Medicine, vol. 13, pp. 223-229, January 1, 0001.</td>
        <tr>
                <td>[Takeshita1979]</td>
                <td>A. Takeshita, A. L. Mark, D. L. Eckberg, and F. M. Abboud, Effect of central venous pressure on arterial baroreflex control of heart rate vol. 236, 1979. </td>
        </tr>
        <tr>
                <td>[Thompson1928]</td>
                <td>W. O. Thompson, P. K. Thompson, and M. E. Dailey, \"THE EFFECT OF POSTURE UPON THE COMPOSITION AND VOLUME OF THE BLOOD IN MAN 1,\" The Journal of Clinical Investigation, vol. 5, pp. 573-604, 1928. </td>
        </tr>
        <tr>
                <td>[Wagner1988]</td>
                <td>E. M. Wagner and W. A. Mitzner, \"Effect of hypoxia on bronchial circulation,\" J. Appl. Physiol, vol. 65, pp. 1627-1633, 1988. </td>
        </tr>
        <tr>
                <td>[Wagner1990]</td>
                <td>E. M. Wagner and W. A. Mitzner, \"Effect of left atrial pressure on bronchial vascular hemodynamics,\" J Appl Physiol, vol. 69, pp. 837-842, 1990. </td>
        </tr>
        <tr>
                <td>[Warner1962]</td>
                <td>H. R. Warner and A. Cox, A mathematical model of heart rate control by sympathetic and vagus efferent information vol. 17, 1962. </td>
        </tr>
        <tr>
                <td>[Weber1977]</td>
                <td>K. T. Weber and J. S. Janicki, Myocardial oxygen consumption: the role of wall force and shortening vol. 233, 1977. </td>
        </tr>
        <tr>
                <td>[Weber2000]</td>
                <td>D. S. Weber and J. H. Lombard, Elevated salt intake impairs dilation of rat skeletal muscle resistance arteries via ANG II suppression vol. 278, 2000. </td>
        </tr>
        <tr>
                <td>[Wells1938]</td>
                <td>H. S. Wells, J. B. Youmans, and D. G. Miller, Jr., \"TISSUE PRESSURE (INTRACUTANEOUS, SUBCUTANEOUS, AND INTRAMUSCULAR) AS RELATED TO VENOUS PRESSURE, CAPILLARY FILTRATION, AND OTHER FACTORS 12,\" The Journal of Clinical Investigation, vol. 17, pp. 489-499, 1938. </td>
        </t"
      + "r>
        <tr>
                <td>[Whalen1974]</td>
                <td>W. Whalen, P. Nair, D. Buerk, and C. Thuning, \"Tissue PO2 in normal and denervated cat skeletal muscle,\" Am J Physiol, vol. 227, pp. 1221-1225, 1974. </td>
        </tr>
        <tr>
                <td>[Whittaker1933]</td>
                <td>S. R. F. Whittaker and F. R. Winton, \"The apparent viscosity of blood flowing in the isolated hindlimb of the dog, and its variation with corpuscular concentration,\" The Journal of Physiology, vol. 78, pp. 339-369, July 10, 1933 1933. </td>
        </tr>
        <tr>
                <td>[L.1989]</td>
                <td>L. R. Williams and R. W. Leggett, \"Reference values for resting blood flow to organs of man,\" Clinical Physics and Physiological Measurement, vol. 10, p. 187, 1989. </td>
        </tr>
        <tr>
                <td>[Woo1972]</td>
                <td>S. L. Y. Woo, A. S. Kobayashi, C. Lawrence, and W. A. Schlegel, \"Mathematical model of the corneo-scleral shell as applied to intraocular pressure-volume relations and applanation tonometry,\" Annals of Biomedical Engineering, vol. 1, pp. 87-98, 1972/09/01 1972. </td>
        </tr>
        <tr>
                <td>[Xenopoulos1994]</td>
                <td>N. P. Xenopoulos and R. J. Applegate, \"The effect of vagal stimulation on left ventricular systolic and diastolic performance,\" American Journal of Physiology-Heart and Circulatory Physiology, vol. 35, p. H2167, 1994.  </td>
        </tr>

</table>
</html>"));
    end References;

    package Heart "Heart Components"

      class References "References"
        extends Modelica.Icons.References;

        annotation (Documentation(info="<html>
<table>

	<tr>
		<td>[Bazett1997]</td>
		<td>H. C. Bazett, \"AN ANALYSIS OF THE TIME-RELATIONS OF ELECTROCARDIOGRAMS,\" Annals of Noninvasive Electrocardiology, vol. 2, pp. 177-194, 1997. </td>
	</tr>
	<tr>
		<td>[Bootsma1994]</td>
		<td>M. Bootsma, C. A. Swenne, H. H. Van Bolhuis, P. C. Chang, V. M. Cats, and A. Bruschke, \"Heart rate and heart rate variability as indexes of sympathovagal balance,\" American Journal of Physiology, vol. 266, pp. H1565-H1565, 1994. </td>
	</tr>
	<tr>
		<td>[Braunwald1976]</td>
		<td>E. Braunwald, J. Ross, and E. H. Sonnenblick, Mechanisms of contraction of the normal and failing heart: Little, Brown Boston, 1976. </td>
	</tr>
	<tr>
		<td>[Carter1998]</td>
		<td>Y. M. Carter, C. X. Jia, P. F. Soto, J. P. Starr, D. G. Rabkin, D. T. Hsu, et al., \"Diastolic properties, myocardial water content, and histologic condition of the rat left ventricle: effect of varied osmolarity of a coronary perfusate,\" The Journal of heart and lung transplantation : the official publication of the International Society for Heart Transplantation, vol. 17, pp. 140-149, 1998/02// 1998. </td>
	</tr>
	<tr>
		<td>[Collins-Nakai1994]</td>
		<td>R. L. Collins-Nakai, D. Noseworthy, and G. D. Lopaschuk, \"Epinephrine increases ATP production in hearts by preferentially increasing glucose metabolism,\" Am J Physiol, vol. 267, pp. H1862-71, Nov 1994. </td>
	</tr>
	<tr>
		<td>[Fatema2002]</td>
		<td>K. Fatema, O. Hirono, Y. Takeishi, J. Nitobe, K. Kaneko, M. Ito, et al., \"Hemodialysis improves myocardial interstitial edema and left ventricular diastolic function in patients with end-stage renal disease: noninvasive assessment by ultrasonic tissue characterization,\" Heart and vessels, vol. 16, pp. 227-231, 2002. </td>
	</tr>
	<tr>
		<td>[Ferguson1985]</td>
		<td>D. W. Ferguson, F. M. Abboud, and A. L. Mark, \"Relative contribution of aortic and carotid baroreflexes to heart rate control in man during steady state and dynamic increases in arterial pressure,\" The Journal of Clinical Investigation, vol. 76, pp. 2265-2274, 1985. </td>
	</tr>
	<tr>
		<td>[Gaasch1975]</td>
		<td>W. H. Gaasch, J. S. Cole, M. A. Quinones, and J. Alexander, \"Dynamic determinants of letf ventricular diastolic pressure-volume relations in man,\" Circulation, vol. 51, pp. 317-323, 1975. </td>
	</tr>
	<tr>
		<td>[Guyton1961]</td>
		<td>A. C. Guyton and K. Sagawa, \"Compensations of cardiac output and other circulatory functions in areflex dogs with large AV fistulas,\" The American journal of physiology, vol. 200, p. 1157, 1961. </td>
	</tr>
	<tr>
		<td>[Kumagai1994]</td>
		<td>K. Kumagai and I. A. Reid, \"Angiotensin II exerts differential actions on renal nerve activity and heart rate,\" Hypertension, vol. 24, pp. 451-456, 1994. </td>
	</tr>
	<tr>
		<td>[Langer1997]</td>
		<td>G. A. Langer, The myocardium: Academic Press, 1997. </td>
	</tr>
	<tr>
		<td>[Little1993]</td>
		<td>W. C. Little and C. P. Cheng, \"Effect of exercise on left ventricular-arterial coupling assessed in the pressure-volume plane,\" AMERICAN JOURNAL OF PHYSIOLOGY, vol. 264, pp. H1629-H1629, 1993. </td>
	</tr>
	<tr>
		<td>[McKeever1958]</td>
		<td>W. McKeever, D. Gregg, and P. Canney, \"Oxygen uptake of the nonworking left ventricle,\" Circulation research, vol. 6, pp. 612-623, 1958. </td>
	</tr>
	<tr>
		<td>[MCKEEVER1958]</td>
		<td>W. P. MCKEEVER, D. E. GREGG, and P. C. CANNEY, \"Oxygen Uptake of the Nonworking Left Ventricle,\" Circulation Research, vol. 6, pp. 612-623, September 1, 1958 1958. </td>
	</tr>
	<tr>
		<td>[MONROE1960]</td>
		<td>R. G. MONROE and G. FRENCH, \"Ventricular Pressure-Volume Relationships and Oxygen Consumption in Fibrillation and Arrest,\" Circulation Research, vol. 8, pp. 260-266, January 1, 1960 1960. </td>
	</tr>
	<tr>
		<td>[MONROE1961]</td>
		<td>R. G. MONROE and G. N. FRENCH, \"Left ventricular pressure-volume relationships and myocardial oxygen consumption in the isolated heart,\" Circulation research, vol. 9, pp. 362-373, 1961. </td>
	</tr>
	<tr>
		<td>[Murphy2008]</td>
		<td>E. Murphy and C. Steenbergen, \"Ion transport and energetics during cell death and protection,\" Physiology (Bethesda), vol. 23, pp. 115-23, Apr 2008. </td>
	</tr>
	<tr>
		<td>[NODA1993]</td>
		<td>T. NODA, C.-P. CHENG, P. P. DE TOMBE, and W. C. LITTLE, \"Curvilinearity of LV end-systolic pressure-volume and dP/dt,-end-diastolic volume relations,\" 1993. </td>
	</tr>
	<tr>
		<td>[Pogátsa1982]</td>
		<td>G. Pogátsa, M. Z. Koltai, and G. Grósz, \"The role of the myocardial water content in heart function,\" Acta physiologica Academiae Scientiarum Hungaricae, vol. 59, pp. 305-309, 1982 1982. </td>
	</tr>
	<tr>
		<td>[Prabhu1993]</td>
		<td>S. D. Prabhu and G. L. Freeman, \"Left ventricular energetics in closed-chest dogs,\" Am J Physiol, vol. 265, pp. H1048-55, Oct 1993. </td>
	</tr>
	<tr>
		<td>[Raeder1995]</td>
		<td>E. A. Raeder, P. Albrecht, M. Perrott, and R. J. Cohen, \"Kinetics of Cycle Length Dependence of Ventricular Repolarization,\" Journal of Cardiovascular Electrophysiology, vol. 6, pp. 163-169, 1995. </td>
	</tr>
	<tr>
		<td>[ROSS1965]</td>
		<td>J. ROSS, J. W. LINHART, and E. BRAUNWALD, \"Effects of Changing Heart Rate in Man by Electrical Stimulation of the Right Atrium: Studies at Rest, during Exercise, and with Isoproterenol,\" Circulation, vol. 32, pp. 549-558, October 1, 1965 1965. </td>
	</tr>
	<tr>
		<td>[Sagawa1988]</td>
		<td>K. Sagawa, L. Maughan, H. Suga, and K. Sunagawa, Cardiac contraction and the pressure-volume relationship vol. 480: Oxford University Press New York, 1988. </td>
	</tr>
	<tr>
		<td>[Suga1979]</td>
		<td>H. Suga, Total mechanical energy of a ventricle model and cardiac oxygen consumption vol. 236, 1979. </td>
	</tr>
	<tr>
		<td>[SUGA1974]</td>
		<td>H. SUGA and K. SAGAWA, \"Instantaneous Pressure-Volume Relationships and Their Ratio in the Excised, Supported Canine Left Ventricle,\" Circulation Research, vol. 35, pp. 117-126, July 1, 1974 1974. </td>
	</tr>
	<tr>
		<td>[SUGA1976]</td>
		<td>H. SUGA, K. SAGAWA, and D. P. KOSTIUK, \"Controls of ventricular contractility assessed by pressure-volume ratio, Emax,\" Cardiovascular Research, vol. 10, pp. 582-592, September 1, 1976 1976. </td>
	</tr>
	<tr>
		<td>[Sugimoto1966]</td>
		<td>T. Sugimoto, K. Sagawa, and A. Guyton, Effect of tachycardia on cardiac output during normal and increased venous return vol. 211, 1966. </td>
	</tr>
	<tr>
		<td>[Takeshita1979]</td>
		<td>A. Takeshita, A. L. Mark, D. L. Eckberg, and F. M. Abboud, Effect of central venous pressure on arterial baroreflex control of heart rate vol. 236, 1979. </td>
	</tr>
	<tr>
		<td>[Warner1962]</td>
		<td>H. R. Warner and A. Cox, A mathematical model of heart rate control by sympathetic and vagus efferent information vol. 17, 1962. </td>
	</tr>
	<tr>
		<td>[Weber1977]</td>
		<td>K. T. Weber and J. S. Janicki, Myocardial oxygen consumption: the role of wall force and shortening vol. 233, 1977. </td>
	</tr>
	<tr>
		<td>[Woo1972]</td>
		<td>S. L. Y. Woo, A. S. Kobayashi, C. Lawrence, and W. A. Schlegel, \"Mathematical model of the corneo-scleral shell as applied to intraocular pressure-volume relations and applanation tonometry,\" Annals of Biomedical Engineering, vol. 1, pp. 87-98, 1972/09/01 1972. </td>
	</tr>
	<tr>
		<td>[Xenopoulos1994]</td>
		<td>N. P. Xenopoulos and R. J. Applegate, \"The effect of vagal stimulation on left ventricular systolic and diastolic performance,\" American Journal of Physiology-Heart and Circulatory Physiology, vol. 35, p. H2167, 1994.  </td>
	</tr>

</table>
</html>"));
      end References;

      package Interfaces
        partial model IVentricle
          extends Physiolibrary.Icons.HeartVentricle;
          parameter Physiolibrary.Types.Volume initialVol = 90e-6
          "Initial blood volume in ventricle";
        //  parameter Physiolibrary.Types.Volume initialESV = 50e-6;

        parameter Physiolibrary.Types.Volume NormalEndDiastolicVolume = 70e-6
          "Typical value of blood volume in ventricle after filling"
            annotation (Dialog(group="Diastole"));
        parameter Physiolibrary.Types.Pressure NormalFillingPressure = (0.00051*101325/760)*(NormalEndDiastolicVolume^(1/n_Diastole))
          "Typical value of filling pressure relative to pericardium pressure"
            annotation (Dialog(group="Diastole"));
        parameter Physiolibrary.Types.Fraction stiffnes = 1
          "Relative stiffnes (1 if normal)"
            annotation (Dialog(group="Diastole"));
        parameter Physiolibrary.Types.Fraction n_Diastole(displayUnit="1") = 2
          "Exponent of P-V characteristic of EDV curve on filling pressure"
            annotation (Dialog(group="Diastole"));
        //parameter Real Abasic_Diastole = 0.00051
        //    "parametrization of end diastolic volume curve"
        //    annotation (Dialog(group="Diastole"));

        parameter Physiolibrary.Types.Pressure NormalSystolicPressure = 15998.684210526315789473684210526
          "Typical value of systolic pressure relative to pericardium pressure"
            annotation (Dialog(group="Systole"));
        parameter Physiolibrary.Types.Volume NormalEndSystolicVolume = (NormalSystolicPressure/(17.39*101325/760))^(n_Systole)
          "Typical value of blood volume in ventricle after ejection"
            annotation (Dialog(group="Systole"));
        //parameter Real Abasic_Systole = 17.39
        //    "parametrization of end systolic volume curve";
        parameter Physiolibrary.Types.Pressure additionalPressure_Systolic
          "Pressure difference between mean and systolic pressure"
            annotation (Dialog(group="Systole"));     //= 24
        parameter Physiolibrary.Types.Fraction contractilityBasic
          "Relative contractility (1 if normal)"
             annotation (Dialog(group="Systole"));       //= 1
        parameter Physiolibrary.Types.Fraction n_Systole(displayUnit="1")=0.5
          "Exponent of P-V characteristic of ESV curve on systolic pressure"
            annotation (Dialog(group="Systole"));

        parameter Physiolibrary.Types.Frequency K
          "time adaptation coeficient of average ventricle blood volume";
                                                      // = 1
        parameter Physiolibrary.Types.HydraulicCompliance BasicCompliance; //(final quantity="Compliance", final displayUnit="ml/mmHg") = 1;

        parameter Physiolibrary.Types.Pressure NormalExternalPressure = -446
          "Typical value of pericardium cavity pressure (relative to environment ambient pressure)";
                                                                                 //-446 Pa = -3.34522 mmHg

        //parameter Physiolibrary.Types.HydraulicCompliance MaxContractionCompliance; //=1;
        //parameter Physiolibrary.Types.HydraulicConductance Cond1;//=1;
        //parameter Physiolibrary.Types.HydraulicConductance Cond2;//=1;

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in annotation (
            extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                             iconTransformation(extent={{10,70},{30,90}})));
        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out annotation (
            extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                               iconTransformation(extent={{-30,90},{-10,110}})));

        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{12,-8},{32,12}}), iconTransformation(
                extent={{-10,-64},{10,-44}})));

          Physiolibrary.Types.RealIO.VolumeOutput Vol
                                              annotation (Placement(transformation(
                  extent={{70,30},{76,36}}),    iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={40,-40})));

         annotation (
            Documentation(info="<html>
<pre>Heart ventricle interface.</pre>
</html>",revisions="<html>
<ul>
<li><i>january 2009 </i><br>by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center </li>
<li><i>2014</i><br>Marek Matejak - update to Physiolibrary 2.3.0</li>
</ul>
</html>"),  Icon(coordinateSystem(preserveAspectRatio=false,extent={{-100,-100},
                  {100,100}}),   graphics={Text(
                  extent={{-100,-126},{100,-92}},
                  textString="%name",
                  lineColor={0,0,255})}));
        end IVentricle;
      end Interfaces;

      model Heart
      import Physiomodel;
         extends Physiolibrary.Icons.Heart;
      Physiolibrary.Hydraulic.Components.ElasticVessel RightAtrium(
        stateName="RightAtrium.Vol",
        useExternalPressureInput=true,
        useV0Input=true,
        useComplianceInput=false,
        volume_start=5.16454e-05,
        Compliance=9.3757696980707e-08) "right atrium"
        annotation (Placement(transformation(extent={{-75,-1},{-55,19}})));
      Physiolibrary.Types.Constants.VolumeConst RightAtriumV0(k=0)
        annotation (Placement(transformation(extent={{-84,20},{-76,28}})));
      Physiomodel.CardioVascular.Heart.Ventricle rightVentricle(
        n_Diastole=2.0,
        n_Systole=0.5,
        stateName="RightVentricle.Vol",
        BasicCompliance(displayUnit="ml/mmHg") = 2.1901798014693e-07,
        additionalPressure_Systolic(displayUnit="mmHg") = 1199.901486735,
        initialVol=8.75e-05,
        NormalEndDiastolicVolume=0.000125,
        NormalFillingPressure=95.9921189388,
        stiffnes=1,
        NormalSystolicPressure=1666.5298426875,
        NormalEndSystolicVolume=5.122e-05,
        contractilityBasic=1,
        K=1) annotation (Placement(transformation(extent={{-6,-46},{-50,-2}})));
      //    Abasic_Diastole=0.00026,
      //    Abasic_Systole=3.53,
      //    MaxContractionCompliance(displayUnit="ml/mmHg") = 1.5001231516913e-08,
      //    Cond1=60000000,
      //    Cond2=60000000,
      Physiolibrary.Hydraulic.Components.ElasticVessel LeftAtrium(
        stateName="LeftAtrium.Vol",
        useExternalPressureInput=true,
        useV0Input=true,
        volume_start=5.05035e-05,
        useComplianceInput=false,
        Compliance=4.6878848490354e-08) "left atrium"
        annotation (Placement(transformation(extent={{68,-8},{88,12}})));
      Physiolibrary.Types.Constants.VolumeConst LeftAtriumV0(k=0)
        annotation (Placement(transformation(extent={{60,12},{68,20}})));
      Physiomodel.CardioVascular.Heart.Ventricle leftVentricle(
        n_Diastole=2,
        n_Systole=0.5,
        stateName="LeftVentricle.Vol",
        BasicCompliance(displayUnit="ml/mmHg") = 1.0950899007347e-07,
        initialVol=8.75e-05,
        NormalEndDiastolicVolume=0.000125,
        NormalFillingPressure=615.9494298573,
        stiffnes=1,
        NormalSystolicPressure=12665.626804425,
        NormalEndSystolicVolume=5.087e-05,
        additionalPressure_Systolic=3199.73729796,
        contractilityBasic=1,
        K=0.016666666666667)
        annotation (Placement(transformation(extent={{26,-46},{70,-2}})));
       //   MaxContractionCompliance(displayUnit="ml/mmHg") = 3.0002463033826e-09,
         // Abasic_Diastole=0.00051,
      //    Cond1(displayUnit="ml/(mmHg.min)") = 0.0075006157584566,
      //    Cond2(displayUnit="ml/(mmHg.min)") = 0.0075006157584566,
      Physiolibrary.Types.BusConnector busConnector
        "signals of organ bood flow resistence" annotation (Placement(
            transformation(extent={{-4,32},{16,52}}), iconTransformation(extent=
               {{-108,-38},{-92,-22}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a rightAtrium
        "blood inflow to right atrium" annotation (Placement(transformation(
              extent={{-102,-24},{-82,-4}}), iconTransformation(extent={{-66,30},
                {-46,50}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b fromRightVentricle
        "blood outflow to pulmonary circulation" annotation (Placement(
            transformation(extent={{-20,-12},{0,8}}), iconTransformation(extent=
               {{-48,-38},{-28,-18}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b fromLeftVentricle
        "blood outflow to aorta" annotation (Placement(transformation(extent={{2,0},{
                22,20}}),        iconTransformation(extent={{14,-38},{34,-18}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a leftAtrium
        "blood inflow to left atrium" annotation (Placement(transformation(
              extent={{84,-38},{104,-18}}),
                                          iconTransformation(extent={{34,32},{
                54,52}})));
        Modelica.Blocks.Math.Sum sum1(nin=2)
          annotation (Placement(transformation(extent={{-18,-70},{-10,-62}})));
        Modelica.Blocks.Math.Sum sum3(nin=2)
          annotation (Placement(transformation(extent={{-60,-78},{-52,-70}})));
        Modelica.Blocks.Math.Sum sum2(nin=2)
          annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=180,
              origin={66,-74})));
      Physiomodel.Nerves.SA_Node SA_node
        annotation (Placement(transformation(extent={{-58,76},{-38,96}})));
        Hormones.ANP atriopeptin
          annotation (Placement(transformation(extent={{72,76},{92,96}})));
      Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure
        annotation (Placement(transformation(extent={{-98,-90},{-78,-70}})));
      Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure1
        annotation (Placement(transformation(extent={{100,-88},{80,-68}})));
      Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{40,0},{20,20}})));
        Modelica.Blocks.Math.Add avePressure(k1=0.5, k2=0.5)
          annotation (Placement(transformation(extent={{-68,48},{-56,60}})));
        Physiomodel.Nerves.BaroReceptorAdaptation
                                     lowPressureReceptors(
          PressureChangeOnNA={{-4.0,0.0,0},{0.0,1.0,0.3},{12.0,4.0,0}},
        AdaptivePressure(displayUnit="mmHg") = 799.93432449,
        Tau(displayUnit="d") = 2592000)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-40,54})));
        Modelica.Blocks.Math.Feedback rightAtrium_TMP
          annotation (Placement(transformation(extent={{-38,-100},{-22,-84}})));
        Modelica.Blocks.Math.Feedback leftAtrium_TMP
        annotation (Placement(transformation(extent={{52,-98},{36,-82}})));
      equation
      connect(RightAtrium.zeroPressureVolume, RightAtriumV0.y) annotation (Line(
          points={{-73,17},{-73,24},{-75,24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RightAtrium.q_in, rightVentricle.q_in) annotation (Line(
          points={{-65,9},{-66,8},{-32,8},{-32,-6.4},{-32.4,-6.4}},
          color={0,0,0},
          smooth=Smooth.None,
          thickness=1));
        connect(busConnector.Pericardium_Pressure,RightAtrium.externalPressure)
          annotation (Line(
            points={{6,42},{6,24},{-57,24},{-57,17}},
            color={0,0,255},
            thickness=0.1,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{110,10},{110,10}}));
        connect(busConnector,rightVentricle. busConnector)          annotation (
            Line(
            points={{6,42},{6,-37},{-28,-37},{-28,-35.88}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(LeftAtrium.zeroPressureVolume, LeftAtriumV0.y) annotation (Line(
          points={{70,10},{70,16},{69,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LeftAtrium.q_in, leftVentricle.q_in) annotation (Line(
          points={{78,2},{52,2},{52,-6.4},{52.4,-6.4}},
          color={0,0,0},
          smooth=Smooth.None,
          thickness=1));
        connect(busConnector,leftVentricle. busConnector)          annotation (
            Line(
            points={{6,42},{6,-37},{48,-37},{48,-35.88}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Pericardium_Pressure,LeftAtrium.externalPressure)
          annotation (Line(
            points={{6,42},{6,24},{86,24},{86,10}},
            color={0,0,255},
            thickness=0.1,
            smooth=Smooth.None));
      connect(rightAtrium, RightAtrium.q_in) annotation (Line(
          points={{-92,-14},{-92,9},{-65,9}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
        connect(rightVentricle.q_out, fromRightVentricle) annotation (Line(
            points={{-23.6,-2},{-10,-2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(LeftAtrium.q_in, leftAtrium) annotation (Line(
          points={{78,2},{94,2},{94,-28}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
        connect(RightAtriumV0.y, sum1.u[1])
                                     annotation (Line(
            points={{-75,24},{-72,24},{-72,-66},{-38,-66},{-38,-66.4},{-18.8,
              -66.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LeftAtriumV0.y, sum1.u[2])
                                     annotation (Line(
            points={{69,16},{70,16},{70,-58},{-28,-58},{-28,-65.6},{-18.8,-65.6}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(RightAtrium.volume, sum3.u[1]) annotation (Line(
          points={{-59,-1},{-59,-74.4},{-60.8,-74.4}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(rightVentricle.Vol, sum3.u[2]) annotation (Line(
            points={{-36.8,-32.8},{-66,-32.8},{-66,-73.6},{-60.8,-73.6}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(LeftAtrium.volume, sum2.u[1]) annotation (Line(
          points={{84,-8},{84,-73.6},{70.8,-73.6}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(leftVentricle.Vol, sum2.u[2]) annotation (Line(
            points={{56.8,-32.8},{56.8,-32},{76,-32},{76,-74.4},{70.8,-74.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sum3.y, busConnector.Heart_DeoxygenatedBloodVolume) annotation (
           Line(
            points={{-51.6,-74},{6,-74},{6,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Heart_OxygenatedBloodVolume, sum2.y) annotation (
            Line(
            points={{6,42},{6,-74},{61.6,-74}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(sum1.y, busConnector.Heart_V0) annotation (Line(
            points={{-9.6,-66},{6,-66},{6,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(SA_node.Rate, busConnector.HeartVentricleRate) annotation (Line(
            points={{-38.2,86},{6,86},{6,44},{6,44},{6,42},{6,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.BetaPool_Effect,SA_node. BetaPool_Effect)
          annotation (Line(
            points={{6,42},{6,76},{-96,76},{-96,92},{-58,92}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BetaBlocade_Effect,SA_node. BetaBlockade_Effect)
          annotation (Line(
            points={{6,42},{6,76},{-96,76},{-96,88},{-58,88}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.VagusNerve_NA_Hz, SA_node.VagusNerve_NA_Hz)
          annotation (Line(
            points={{6,42},{6,76},{-96,76},{-96,80},{-58,80}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GangliaGeneral_NA, SA_node.GangliaGeneral_NA)
          annotation (Line(
            points={{6,42},{6,76},{-96,76},{-96,84},{-58,84}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector,atriopeptin. busConnector)
                                                annotation (Line(
            points={{6,42},{6,76},{74,76},{74,80}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(RightAtrium.q_in, pressureMeasure.q_in) annotation (Line(
          points={{-65,9},{-92,9},{-92,-86}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pressureMeasure.pressure, busConnector.RightAtrium_Pressure)
        annotation (Line(
          points={{-82,-84},{6,-84},{6,42}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(LeftAtrium.q_in, pressureMeasure1.q_in) annotation (Line(
          points={{78,2},{94,2},{94,-84}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pressureMeasure1.pressure, busConnector.LeftAtrium_Pressure)
        annotation (Line(
          points={{84,-82},{6,-82},{6,42}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(flowMeasure.q_out, fromLeftVentricle) annotation (Line(
          points={{20,10},{12,10}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(leftVentricle.q_out, flowMeasure.q_in) annotation (Line(
          points={{43.6,-2},{43.6,10},{40,10}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure.volumeFlow, busConnector.CardiacOutput) annotation (
          Line(
          points={{30,22},{30,2},{6,2},{6,42}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(avePressure.y,lowPressureReceptors. pressure) annotation (Line(
            points={{-55.4,54},{-50,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.rightAtrium_TMP,avePressure. u1) annotation (Line(
            points={{6,42},{-98,42},{-98,57.6},{-69.2,57.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.leftAtrium_TMP,avePressure. u2) annotation (Line(
            points={{6,42},{-98,42},{-98,50.4},{-69.2,50.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(lowPressureReceptors.NA, busConnector.AtrialLowPressureReceptors_NA)
        annotation (Line(
          points={{-30,54},{6,54},{6,42}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(rightAtrium_TMP.y, busConnector.rightAtrium_TMP) annotation (Line(
          points={{-22.8,-92},{6,-92},{6,42},{6,42}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(RightAtrium.externalPressure, rightAtrium_TMP.u2) annotation (
          Line(
          points={{-57,17},{-57,-98.4},{-30,-98.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureMeasure.pressure, rightAtrium_TMP.u1) annotation (Line(
          points={{-82,-84},{-64,-84},{-64,-92},{-36.4,-92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureMeasure1.pressure, leftAtrium_TMP.u1) annotation (Line(
          points={{84,-82},{68,-82},{68,-90},{50.4,-90}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LeftAtrium.externalPressure, leftAtrium_TMP.u2) annotation (Line(
          points={{86,10},{86,-98},{44,-98},{44,-96.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.leftAtrium_TMP, leftAtrium_TMP.y) annotation (Line(
          points={{6,42},{6,-90},{36.8,-90}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={                Text(
                extent={{-164,-60},{156,-88}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(info="<html>
<p>Calculates hearth pumping (left and right atria and ventricles, as wel as coronary circulation). By pressure-flow connectors communicate with pulmonary and systemic circulation.</p>
<p>Blood volume (and pressure) distributions between </p>
<p><ul>
<li>right/left atrium and</li>
<li>right/left ventricle.</li>
</ul></p>
<p>Generate average blood flow throught ventricles.</p>
<p>On the contrary of Tom Coleman models: coronary circulation outflows to right atrium, average blood volume in the hearth are calculated more simple (with the same results in steady state).</p>
</html>", revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Design:</p></td>
<td><p>Zuzana Rubaninska</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>january 2009, August 2010</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3,, Physiomodel 2010, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end Heart;

      model Ventricle
        import Physiomodel;
       extends Physiomodel.CardioVascular.Heart.Interfaces.IVentricle;

       parameter String stateName;

      Physiolibrary.Types.Constants.FractionConst
        basicContractility(k=contractilityBasic)
        annotation (Placement(transformation(extent={{60,6},{68,14}})));

        Physiomodel.Nerves.BetaReceptorsActivityFactor betaReceptorsActivityFactor
          annotation (Placement(transformation(extent={{64,-20},{84,0}})));

        Modelica.Blocks.Math.Add Vol_SteadyState(k1=0.5, k2=0.5)
                                                   annotation (Placement(
              transformation(
              extent={{10,-10},{-10,10}},
              rotation=270,
              origin={-34,18})));

      Physiomodel.CardioVascular.Heart.Diastole diastole(
        stiffnes=stiffnes,
        n_Diastole=n_Diastole,
        NormalFillingPressure=NormalFillingPressure,
        NormalEndDiastolicVolume=NormalEndDiastolicVolume,
        NormalExternalPressure(displayUnit="Pa") = NormalExternalPressure)
        annotation (Placement(transformation(extent={{-76,-44},{-56,-24}})));
      //    ,Abasic_Diastole=Abasic_Diastole

        Systole systole(
          n_Systole=n_Systole,
          additionalPressure_Systolic=additionalPressure_Systolic,
          NormalSystolicPressure=NormalSystolicPressure,
          NormalEndSystolicVolume=NormalEndSystolicVolume,
        NormalExternalPressure=NormalExternalPressure)
          annotation (Placement(transformation(extent={{52,-44},{72,-24}})));
       //   Abasic_Systole=Abasic_Systole,

        Modelica.Blocks.Math.Feedback StrokeVolume
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              origin={-8,-6})));

        VentricleVolumeAndPumping2 ventricle(
          initialVolume=initialVol,
          K=K,
          BasicCompliance=BasicCompliance,
          stateName=stateName)
                 annotation (Placement(transformation(extent={{-8,70},{12,90}})));

        Modelica.Blocks.Math.Product BloodFlow     annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={16,40})));

      equation
        connect(basicContractility.y, betaReceptorsActivityFactor.yBase)
                                                               annotation (Line(
            points={{69,10},{74,10},{74,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.BetaPool_Effect, betaReceptorsActivityFactor.BetaPool_Effect)
          annotation (Line(
            points={{22,2},{22,-4},{64.2,-4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BetaBlocade_Effect, betaReceptorsActivityFactor.BetaBlockade_Effect)
          annotation (Line(
            points={{22,2},{22,-10},{64.2,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GangliaGeneral_NA, betaReceptorsActivityFactor.GangliaGeneral_NA)
          annotation (Line(
            points={{22,2},{22,-16},{64.2,-16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(diastole.externalPressure, busConnector.Pericardium_Pressure)
          annotation (Line(
            points={{-56,-40},{22,-40},{22,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Pericardium_Pressure, systole.externalPressure)
          annotation (Line(
            points={{22,2},{22,-40},{52,-40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(betaReceptorsActivityFactor.y, systole.contractility)
          annotation (Line(
            points={{74,-17},{74,-24},{70,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(diastole.EDV,StrokeVolume. u1) annotation (Line(
            points={{-56,-26},{-40,-26},{-40,-6},{-16,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vol_SteadyState.u2, diastole.EDV) annotation (Line(
            points={{-40,6},{-40,-26},{-56,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systole.outflow, q_out) annotation (Line(
            points={{72,-30},{86,-30},{86,-100},{0,-100}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(q_in, diastole.inflow) annotation (Line(
            points={{0,-100},{-82,-100},{-82,-30},{-76,-30}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(systole.ESV, Vol_SteadyState.u1) annotation (Line(
            points={{52,-26},{-28,-26},{-28,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systole.ESV,StrokeVolume. u2) annotation (Line(
            points={{52,-26},{-8,-26},{-8,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vol_SteadyState.y, ventricle.VentricleSteadyStateVolume)
          annotation (Line(
            points={{-34,29},{-34,58},{-6,58},{-6,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, ventricle.q_in)                 annotation (Line(
            points={{0,-100},{-4,-100},{-4,80},{-8,80}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(ventricle.q_out, q_out)                 annotation (Line(
            points={{12,80},{6,80},{6,-100},{0,-100}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(StrokeVolume.y, BloodFlow.u1)     annotation (Line(
            points={{1,-6},{10,-6},{10,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodFlow.y, ventricle.BloodFlow)                 annotation (Line(
            points={{16,51},{16,58},{10,58},{10,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ventricle.Volume, Vol)                 annotation (Line(
            points={{12.4,75},{62,75},{62,33},{73,33}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodFlow.u2, busConnector.HeartVentricleRate)
          annotation (Line(
            points={{22,28},{22,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

       annotation (
          Documentation(info="<HTML>
<PRE>
Heart ventricle.

like
QHP 2008 / VascularCompartments/LeftVentricle/*



The pressure-volume characteristics of both ventricles in diastole
and systole will be described using a power function.

  P = A * (V ^ n)

P = Pressure
V = Volume
A = Scale Factor
n = curvature

The function is invertable.

  V = (P/A) ^ (1/n)

Some typical values

                                 Right                 Left
                           ---------------------- ------------------------
Nominal Vol                     87.5                  87.5
Nominal TMP                      3.0                   6.0
Compliance                      29.2                  14.6
Pericardial P                   -3.0                  -3.0

DIASTOLE
  EDP                            1.0                   5.0
  EDV                          125.0                 125.0
  TMP                            4.0                   8.0
  n                              2.0                   2.0
  V^n                        15625.0               15625.0
  A                              0.00026               0.00051

SYSTOLE
  ESP                           22.0                 120.0
  ESV                           50.0                  50.0
  TMP                           25.0                 123.0
  n                              0.5                   0.5
  V^n                            7.07                  7.07
  A                              3.53                 17.39
</PRE>
</HTML>
",     revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague. </p><br/>

</html>"),                                        Diagram(coordinateSystem(preserveAspectRatio=false,
                         extent={{-100,-100},{100,100}}), graphics={Text(
                extent={{-32,62},{-8,60}},
                lineColor={0,0,0},
                textString="Volume_SteadyState"), Text(
                extent={{8,62},{32,60}},
                lineColor={0,0,0},
                textString="Blood_Inflow")}));
      end Ventricle;

      model Systole

      //  Real iconPoint[20,2](each final displayUnit="mm");
      //  Real iconActualPoint[2,2](each final displayUnit="mm");

      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b outflow annotation (
          Placement(transformation(extent={{80,20},{120,60}}),
            iconTransformation(extent={{80,20},{120,60}})));

        Physiolibrary.Types.RealIO.FractionInput contractility
        "heart muscle contractility"   annotation ( extent = [70,90;90,110], rotation = -90,
        Placement(transformation(
            origin={80,100},
            extent={{-10,-10},{10,10}},
            rotation=270)));

      parameter Physiolibrary.Types.Fraction n_Systole(displayUnit="1")
        "parametrization of end diastolic volume curve";
      //parameter Real Abasic_Systole "parametrization of end systolic volume curve";
      parameter Physiolibrary.Types.Pressure NormalSystolicPressure
        "Typical value of mean arterial pressure (relative to environment ambient pressure)";
          parameter Physiolibrary.Types.Pressure NormalExternalPressure = -446
        "Typical value of pericardium cavity pressure (relative to environment ambient pressure)";
                                                                               //-446 Pa = -3.34522 mmHg
      parameter Physiolibrary.Types.Volume NormalEndSystolicVolume
        "= 2.64 ml for left ventricle, parametrization of end systolic volume curve";
      parameter Physiolibrary.Types.Pressure additionalPressure_Systolic
        "parametrization of end systolic volume curve";

        Physiolibrary.Types.RealIO.VolumeOutput
                                            ESV   annotation (Placement(transformation(extent={{-74,-74},
                  {-34,-34}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,80})));

        Physiolibrary.Types.RealIO.PressureInput externalPressure
        "pressure around ventricle"                                             annotation (
      Placement(transformation(extent={{-110,-70},{-90,-50}}), iconTransformation(
                extent={{-110,-70},{-90,-50}})));
      equation
        outflow.q = 0;
      //  P=outflow.pressure;
      //  ESV = ((outflow.pressure+additionalPressure_Systolic-externalPressure)/(contractility*Abasic_Systole))^(1/n_Systole);
        ESV = NormalEndSystolicVolume*((outflow.pressure+additionalPressure_Systolic-externalPressure)/(contractility*(NormalSystolicPressure+additionalPressure_Systolic-NormalExternalPressure)))^(1/n_Systole);

      // drawing icon
      /*  for i in 1:size(iconPoint,1) loop
    iconPoint[i,1]=((i-1)/(size(iconPoint,1)))*180 - 90;
    (iconPoint[i,1]+90)*200/180= ((((iconPoint[i,2]+40)*200/130)+additionalPressure_Systolic-externalPressure)/(contractility*Abasic_Systole))^(1/n_Systole);
  end for;
  iconActualPoint[1,1]=ESV*180/200-90 -2;
  iconActualPoint[1,2]=outflow.pressure*130/200-40 -2;
  iconActualPoint[2,1]=iconActualPoint[1,1]+4;
  iconActualPoint[2,2]=iconActualPoint[1,2]+4;*/
                                   /*,
        Line(
          points=DynamicSelect({{-100,0},{100,0}}, iconPoint),
          color={0,0,255},
          smooth=Smooth.None),
        Ellipse(
          extent=DynamicSelect({{0,0},{0,0}}, iconActualPoint),
          lineColor={0,0,0},
          fillColor={255,0,0},
          fillPattern=FillPattern.Solid)*/
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-60}},
                lineColor={255,0,0},
                fillPattern=FillPattern.HorizontalCylinder,
                fillColor={255,255,255}),
              Text(
                extent={{-100,-60},{100,-100}},
                lineColor={0,0,255},
                textString="%name")}));
      end Systole;

      model Diastole
      /*  Real iconPoint[20,2](final displayUnit="mm");
  Real iconActualPoint[2,2](final displayUnit="mm");
*/
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a inflow annotation (
          Placement(transformation(extent={{-122,-24},{-82,16}}),
            iconTransformation(extent={{-120,20},{-80,60}})));

        Physiolibrary.Types.RealIO.PressureInput externalPressure
        "pericardium pressure around ventricle"
                                       annotation ( Placement(transformation(extent={{94,-58},
                  {114,-38}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={100,-60})));

      parameter Physiolibrary.Types.Fraction stiffnes
        "parametrization of end diastolic volume curve";
      parameter Physiolibrary.Types.Fraction n_Diastole(displayUnit="1")
        "parametrization of end systolic volume curve";
      //parameter Real Abasic_Diastole "parametrization of end diastolic volume curve";
      parameter Physiolibrary.Types.Pressure NormalFillingPressure
        "Typicall value of mean arterial filling pressure (relative to environment ambient pressure)";
      parameter Physiolibrary.Types.Pressure NormalExternalPressure = -446
        "Typical value of pericardium cavity pressure (relative to environment ambient pressure)";
      parameter Physiolibrary.Types.Volume NormalEndDiastolicVolume
        "= (NormalDiastolicPressure/Abasic_Diastole)^n_Diastole";
      //Abasic_Diastole "parametrization of end diastolic volume curve";

        Physiolibrary.Types.RealIO.VolumeOutput
                                            EDV   annotation (Placement(transformation(extent={{-74,-74},
                  {-34,-34}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              origin={100,80})));

      equation
        inflow.q = 0;
      //  P = inflow.pressure;
      //  EDV = ((inflow.pressure-externalPressure)/(stiffnes*Abasic_Diastole))^(1/n_Diastole);
        EDV = NormalEndDiastolicVolume*((inflow.pressure-externalPressure)/(stiffnes*(NormalFillingPressure-NormalExternalPressure)))^(1/n_Diastole);

        //  Stiffness = stiffnes;

      // drawing icon
      /*  for i in 1:size(iconPoint,1) loop
    iconPoint[i,1]=((i-1)/(size(iconPoint,1)))*180 - 90;
    (iconPoint[i,1]+90)*200/180 = ( ( ( (iconPoint[i,2]+40)*200/130)-externalPressure)/(stiffnes*Abasic_Diastole))^(1/n_Diastole);
  end for;
  iconActualPoint[1,1]=EDV*180/200-90 -2;
  iconActualPoint[1,2]=inflow.pressure*130/200-40 -2;
  iconActualPoint[2,1]=iconActualPoint[1,1]+4;
  iconActualPoint[2,2]=iconActualPoint[1,2]+4;*/
                                   /*,
        Line(
          points=DynamicSelect({{-100,0},{100,0}}, iconPoint),
          color={0,0,255},
          smooth=Smooth.None),
        Ellipse(
          extent=DynamicSelect({{0,0},{0,0}}, iconActualPoint),
          lineColor={0,0,0},
          fillColor={255,0,0},
          fillPattern=FillPattern.Solid)*/
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-60}},
                lineColor={255,0,0},
                fillPattern=FillPattern.HorizontalCylinder,
                fillColor={255,255,255}),
              Text(
                extent={{-100,-60},{100,-100}},
                lineColor={0,0,255},
                textString="%name")}));
      end Diastole;

        model VentricleVolumeAndPumping2
      "Multiple PressureFlow connector with pressures from multiple inputs"
                   extends Physiolibrary.SteadyStates.Interfaces.SteadyState(state_start=initialVolume, state(nominal=1e-4));

                    Physiolibrary.Types.RealIO.VolumeFlowRateInput BloodFlow( displayUnit=
                         "ml/min") "heart cardiac output"
                      annotation (Placement(transformation(extent={{-140,-20},{-100,20}}), iconTransformation(extent={{-20,-20},{20,20}},
                        rotation=90,
                        origin={80,-100})));
                    Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in annotation (
                    Placement(transformation(extent={{100,-20},{140,20}}),
                      iconTransformation(extent={{-110,-10},{-90,10}})));

                    parameter Physiolibrary.Types.Volume initialVolume(displayUnit="ml");

                    Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out annotation (
                    extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                      iconTransformation(extent={{90,-10},{110,10}})));

                    Physiolibrary.Types.VolumeFlowRate delta(displayUnit="ml/min");

                     Physiolibrary.Types.RealIO.VolumeInput VentricleSteadyStateVolume(
                                                                             displayUnit="ml")
        "heart ventricle steady state volume"
                      annotation (Placement(transformation(extent={{-140,-20},{-100,20}}), iconTransformation(extent={{-20,-20},{20,20}},
                        rotation=90,
                        origin={-80,-100})));

                    parameter Physiolibrary.Types.Frequency K( displayUnit="1/min") = 0.01666666666666666666666666666667;
                    parameter Physiolibrary.Types.Volume V0( displayUnit="ml") = 0;
                    parameter Physiolibrary.Types.HydraulicCompliance BasicCompliance(displayUnit="ml/mmHg");
                    Physiolibrary.Types.RealIO.VolumeOutput Volume(
                                                          start=initialVolume, displayUnit="ml") annotation (Placement(transformation(
                            extent={{84,-70},{124,-30}}), iconTransformation(extent={{84,-70},{
                              124,-30}})));

                  //  Real Compliance(final quantity="Compliance", final displayUnit="ml/mmHg");
                  //  Real StressedVol(final quantity="Volume", final displayUnit="ml");
                  //  Real Pressure(final quantity="Pressure", final displayUnit="mmHg");
                  //initial equation
                  //  Volume = initialVolume;
                    //der(Volume) = 0;
        equation

                    delta = (VentricleSteadyStateVolume - Volume)*K;
                  /*  if STEADY then
    der(Volume) = 0;
  else
    der(Volume) = delta / Library.SecPerMin;
  end if;
*/
                    q_in.q + q_out.q = delta;

                  if Simulation == Physiolibrary.Types.SimulationType.SteadyState then //Physiolibrary.SimulationType.STEADY then
                    q_in.q = BloodFlow;
                  else
                    q_in.q = if (delta<0) then BloodFlow else BloodFlow+delta;
                  end if;

                    //increase (delta>0) average ventricle volume means flow delta from q_in (veins)
                    //decrease (delta<0) average ventricle volume means flow delta to q_to (atrys)

                   // StressedVol  =  max( Volume - V0,  0.0);
                   // Compliance  =  BasicCompliance / VentricleDiastole_Stiffness;
                   // Pressure  =  ( StressedVol / Compliance)  + ExternalPressure;

                    state = Volume;
                    change = delta;
                    annotation (Documentation(info="<HTML>
<p>
Model has a vector of continuous Real input signals as pressures for
vector of pressure-flow connectors.
</p>
</HTML>
"));
        end VentricleVolumeAndPumping2;

      package develop
      extends Modelica.Icons.UnderConstruction;
        model Ventricle4
         extends Physiomodel.CardioVascular.Heart.Interfaces.IVentricle;

         parameter String stateName;

        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          basicContractility(k=contractilityBasic)
          annotation (Placement(transformation(extent={{60,2},{68,10}})));

          Physiomodel.Nerves.BetaReceptorsActivityFactor betaReceptorsActivityFactor
            annotation (Placement(transformation(extent={{64,-20},{84,0}})));

          Modelica.Blocks.Math.Add Vol_SteadyState(k1=0.5, k2=0.5)
                                                     annotation (Placement(
                transformation(
                extent={{10,-10},{-10,10}},
                rotation=270,
                origin={-34,18})));

        Diastole4 diastole(
          stiffnes=stiffnes,
          n_Diastole=n_Diastole,
          Abasic_Diastole=Abasic_Diastole) annotation (Placement(
              transformation(extent={{-76,-44},{-56,-24}})));

          Systole systole(
            n_Systole=n_Systole,
            Abasic_Systole=Abasic_Systole,
            additionalPressure_Systolic=additionalPressure_Systolic)
            annotation (Placement(transformation(extent={{56,-44},{76,-24}})));

          Modelica.Blocks.Math.Feedback StrokeVolume
            annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                origin={-8,-6})));

          VentricleVolumeAndPumping2 ventricle(
            initialVolume=initialVol,
            K=K,
            BasicCompliance=BasicCompliance,
            stateName=stateName)
                   annotation (Placement(transformation(extent={{-8,66},{12,86}})));

          Modelica.Blocks.Math.Product BloodFlow     annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={16,40})));

        equation
          connect(basicContractility.y, betaReceptorsActivityFactor.yBase)
                                                                 annotation (Line(
              points={{69,6},{74,6},{74,-3}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.BetaPool_Effect, betaReceptorsActivityFactor.BetaPool_Effect)
            annotation (Line(
              points={{22,2},{22,-4},{64.2,-4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BetaBlocade_Effect, betaReceptorsActivityFactor.BetaBlockade_Effect)
            annotation (Line(
              points={{22,2},{22,-10},{64.2,-10}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.GangliaGeneral_NA, betaReceptorsActivityFactor.GangliaGeneral_NA)
            annotation (Line(
              points={{22,2},{22,-16},{64.2,-16}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(diastole.externalPressure, busConnector.Pericardium_Pressure)
            annotation (Line(
              points={{-56,-40},{22,-40},{22,2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.Pericardium_Pressure, systole.externalPressure)
            annotation (Line(
              points={{22,2},{22,-40},{56,-40}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(betaReceptorsActivityFactor.y, systole.contractility)
            annotation (Line(
              points={{74,-17},{74,-24}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(diastole.EDV,StrokeVolume. u1) annotation (Line(
              points={{-56,-26},{-40,-26},{-40,-6},{-16,-6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Vol_SteadyState.u2, diastole.EDV) annotation (Line(
              points={{-40,6},{-40,-26},{-56,-26}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systole.outflow, q_out) annotation (Line(
              points={{76,-30},{86,-30},{86,80},{80,80}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(q_in, diastole.inflow) annotation (Line(
              points={{-80,80},{-82,80},{-82,-30},{-76,-30}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(systole.ESV, Vol_SteadyState.u1) annotation (Line(
              points={{56,-26},{-28,-26},{-28,6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systole.ESV,StrokeVolume. u2) annotation (Line(
              points={{56,-26},{-8,-26},{-8,-14}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Vol_SteadyState.y, ventricle.VentricleSteadyStateVolume)
            annotation (Line(
              points={{-34,29},{-34,58},{-6,58},{-6,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(q_in, ventricle.q_in)                 annotation (Line(
              points={{-80,80},{-54,80},{-54,76},{-8,76}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(ventricle.q_out, q_out)                 annotation (Line(
              points={{12,76},{56,76},{56,80},{80,80}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(StrokeVolume.y, BloodFlow.u1)     annotation (Line(
              points={{1,-6},{10,-6},{10,28}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow.y, ventricle.BloodFlow)                 annotation (Line(
              points={{16,51},{16,58},{10,58},{10,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ventricle.Volume, Vol)                 annotation (Line(
              points={{12.4,71},{14.7,71},{14.7,33},{73,33}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow.u2, busConnector.HeartVentricleRate)
            annotation (Line(
              points={{22,28},{22,2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BloodFlow.y, CO) annotation (Line(
              points={{16,51},{16,59},{77,59}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(diastole.HR, busConnector.HeartVentricleRate) annotation (
              Line(
              points={{-56,-33.2},{22,-33.2},{22,2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(systole.ESV, diastole.preESV) annotation (Line(
              points={{56,-26},{-28,-26},{-28,-29.2},{-56,-29.2}},
              color={0,0,127},
              smooth=Smooth.None));
         annotation (
            Documentation(info="<HTML>
<PRE>
Heart ventricle.

like
QHP 2008 / VascularCompartments/LeftVentricle/*


The pressure-volume characteristics of both ventricles in diastole
and systole will be described using a power function.

  P = A * (V ^ n)

P = Pressure
V = Volume
A = Scale Factor
n = curvature

The function is invertable.

  V = (P/A) ^ (1/n)

Some typical values

                                 Right                 Left
                           ---------------------- ------------------------
Nominal Vol                     87.5                  87.5
Nominal TMP                      3.0                   6.0
Compliance                      29.2                  14.6
Pericardial P                   -3.0                  -3.0

DIASTOLE
  EDP                            1.0                   5.0
  EDV                          125.0                 125.0
  TMP                            4.0                   8.0
  n                              2.0                   2.0
  V^n                        15625.0               15625.0
  A                              0.00026               0.00051

SYSTOLE
  ESP                           22.0                 120.0
  ESV                           50.0                  50.0
  TMP                           25.0                 123.0
  n                              0.5                   0.5
  V^n                            7.07                  7.07
  A                              3.53                 17.39
</PRE>
</HTML>
",       revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"),  Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={Text(
                  extent={{-82,6},{76,-8}},
                  lineColor={0,0,255},
                  textString="(initial %initialVol ml)")}),
                                          Diagram(coordinateSystem(preserveAspectRatio=true,
                           extent={{-100,-100},{100,100}}), graphics={Text(
                  extent={{-32,62},{-8,60}},
                  lineColor={0,0,0},
                  textString="Volume_SteadyState"), Text(
                  extent={{8,62},{32,60}},
                  lineColor={0,0,0},
                  textString="Blood_Inflow")}));
        end Ventricle4;

        model Diastole4
          Real iconPoint[20,2](final displayUnit="mm");
          Real iconActualPoint[2,2](final displayUnit="mm");

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a inflow annotation (
            Placement(transformation(extent={{-122,-24},{-82,16}}),
              iconTransformation(extent={{-120,20},{-80,60}})));

          Modelica.Blocks.Interfaces.RealInput externalPressure(final quantity=
                "Pressure", final displayUnit="mmHg")
          "pericardium pressure around ventricle"
                                         annotation ( Placement(transformation(extent={{94,-58},
                    {114,-38}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={100,-60})));

        parameter Real stiffnes "parametrization of end diastolic volume curve";
        parameter Real n_Diastole
          "parametrization of end systolic volume curve";
        parameter Real Abasic_Diastole
          "parametrization of end diastolic volume curve";

          Modelica.Blocks.Interfaces.RealOutput
                                              EDV( final quantity="Volume",
              final displayUnit="ml")   annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={100,80})));

          Modelica.Blocks.Interfaces.RealOutput P(final quantity="Pressure",
              final displayUnit="mmHg") annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={60,-60})));
          Modelica.Blocks.Interfaces.RealOutput Stiffness
                                 annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-68,100})));
          Modelica.Blocks.Interfaces.RealInput HR(final quantity="Frequency", final displayUnit=
                   "1/min") "heart rate" annotation ( Placement(transformation(extent={{94,-58},
                    {114,-38}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={100,8})));
          Real HR_effect;
          Real EDV_withoutHReffect;

          Modelica.Blocks.Interfaces.RealInput preESV(final quantity="Volume", final displayUnit=
                   "ml") "previous end systolic volume"
                                         annotation ( Placement(transformation(extent={{94,-58},
                    {114,-38}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={100,48})));
        equation
          inflow.q = 0;
          P = inflow.pressure;
          //linearna zavislost na HR - vid. mathematica/Efect_EDVonHR.nb
          HR_effect = -0.00247654 * HR + 1.18574; //  1 = a*75+b;

          EDV_withoutHReffect = (((inflow.pressure-externalPressure)/(stiffnes*Abasic_Diastole))^(1/n_Diastole));
          EDV = HR_effect * (EDV_withoutHReffect-preESV) + preESV;
          Stiffness = stiffnes;

        // drawing icon
          for i in 1:size(iconPoint,1) loop
            iconPoint[i,1]=((i-1)/(size(iconPoint,1)))*180 - 90;
            (iconPoint[i,1]+90)*200/180 = ( ( ( (iconPoint[i,2]+40)*200/130)-externalPressure)/(stiffnes*Abasic_Diastole))^(1/n_Diastole);
          end for;
          iconActualPoint[1,1]=EDV*180/200-90 -2;
          iconActualPoint[1,2]=inflow.pressure*130/200-40 -2;
          iconActualPoint[2,1]=iconActualPoint[1,1]+4;
          iconActualPoint[2,2]=iconActualPoint[1,2]+4;
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-60}},
                  lineColor={255,0,0},
                  fillPattern=FillPattern.HorizontalCylinder,
                  fillColor={255,255,255}),
                Text(
                  extent={{-100,-60},{100,-100}},
                  lineColor={0,0,255},
                  textString="%name"),
                Line(
                  points=DynamicSelect({{-100,0},{100,0}}, iconPoint),
                  color={0,0,255},
                  smooth=Smooth.None),
                Ellipse(
                  extent=DynamicSelect({{0,0},{0,0}}, iconActualPoint),
                  lineColor={0,0,0},
                  fillColor={255,0,0},
                  fillPattern=FillPattern.Solid)}),
            Documentation(info="<html>
<p>The relationship heart rate(HR)-end diastolic volume(EDV) is represented by linear function -0.00247654 HR + 1.18574.</p>
<p>The coeficients was choosen to solve normal state and critical zero state: (Solve[{a*75 + b == 1, a*HR + b == 0, diastoleTime[HR] == 0}, {a, b}]).</p>
<p>It means the next ventricle filling model:</p>
<p>cardiac cycle time (T) = (60/HR) [s]</p>
<p>systolic contraction time (Ts) = (0.3*T^0.5) [s]</p>
<p>diastolic filling time (Tdf) = T - Ts - 0.18*Ts [s]</p>
<p>steady-state filling curve:</p>
<p><img src=\"C:/Users/oto/Desktop/Physiomodel/mathematicaGUI/Effect_EDVonHR.png\"/></p>
<p>axes x .. filling time = Tdf [s]</p>
<p>axes y .. entered volume part = stroke volume (SV)/normal_SV [x 100 &percnt;]</p>
<p><br/>EDV = SV + pre(ESV) = effect(HR) * ((EDV_without_HR_effect - pre(ESV)) + pre(ESV)</p>
</html>"));
        end Diastole4;

        model Ventricle2
         extends Physiomodel.CardioVascular.Heart.Interfaces.IVentricle;

         extends Physiolibrary.SteadyStates.Interfaces.SteadyState;

        type VentriclePhase = enumeration(
            ISOVOLUMIC_CONTRACTION,
            EJECTION,
            ISOVOLUMIC_RELAXATION,
            FILLING);
          VentriclePhase state(start=VentriclePhase.ISOVOLUMIC_CONTRACTION);
        //  Real Power;
          Real P(start=80,fixed=true);
          Real V(start=126,fixed=true);
          Boolean b(start=false); //b[VentriclePhase](start={false,false,false,false});
          Boolean c;
        /*  Library.PressureFlow.PositivePressureFlow q_in annotation (Placement(transformation(
          extent={{-106,-30},{-86,-10}}), iconTransformation(extent={{-27,58},{-7,
            78}})));
  Library.PressureFlow.NegativePressureFlow q_out annotation (Placement(transformation(
          extent={{86,-30},{106,-10}}), iconTransformation(extent={{10,72},{30,92}})));
*/
            Modelica.Blocks.Interfaces.RealInput
                                               PrevCirculationPower
                                             annotation (Placement(transformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={-10,80}), iconTransformation(extent={{-100,50},{-80,70}})));
          //Library.Interfaces.RealInput
          Modelica.Blocks.Interfaces.RealOutput
                                              HeartMusclePower
                           annotation (Placement(transformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={-10,80}), iconTransformation(extent={{-100,70},{-80,90}})));
          Modelica.Blocks.Interfaces.RealInput
                                             NextCirculationPower
                                             annotation (Placement(transformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={-10,80}), iconTransformation(extent={{-100,30},{-80,50}})));
          Modelica.Blocks.Interfaces.RealInput
                                             Power     annotation (Placement(transformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={-10,80}), iconTransformation(extent={{-100,10},{-80,30}})));
        equation
        /*
  b[VentriclePhase.ISOVOLUMIC_CONTRACTION]= P>=q_out.pressure; //reach true when ventricle outflow valve open
  b[VentriclePhase.EJECTION]= q_out.q>=0; //reach true when ventricle outflow valve close
  b[VentriclePhase.ISOVOLUMIC_RELAXATION]= P<=q_in.pressure; //reach true when atrium-ventricle valve open
  b[VentriclePhase.FILLING]= q_in.q<=0; //reach true when atrium-ventricle valve close

  when edge(b[pre(state)]) then
    */
          c = pre(b);
          when edge(c) then
            state=mod(pre(state)+1,4);
          end when;

          Power=der(P)*V + der(V)*P;  //=der(V*P)

        //  der(V)= q_out.q + q_in.q;
        state = V;
          changePerMin = q_out.q + q_in.q;

          if state==VentriclePhase.ISOVOLUMIC_CONTRACTION then
            Power=HeartMusclePower;
            q_in.q=0;
            q_out.q=0;
            b = P>=q_out.pressure; //reach true when ventricle outflow valve open
          elseif state==VentriclePhase.EJECTION then
            Power=HeartMusclePower;//-NextCirculationPower;
            q_in.q=0;
            P=q_out.pressure;
            b = q_out.q>=0; //reach true when ventricle outflow valve close
          elseif state==VentriclePhase.ISOVOLUMIC_RELAXATION then
            Power=HeartMusclePower;
            q_in.q=0;
            q_out.q=0;
            b = P<=q_in.pressure; //reach true when atrium-ventricle valve open
          else //filling
            Power=HeartMusclePower; //-PrevCirculationPower;
            P=q_in.pressure;
            q_out.q=0;
            b = q_in.q<=0; //reach true when atrium-ventricle valve close
          end if;

          CO=-q_out.q;
          Vol = V;

        end Ventricle2;

        model Diastole3
        /*  Real iconPoint[20,2](each final displayUnit="mm");
  Real iconActualPoint[2,2](each final displayUnit="mm");
  */

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a inflow annotation (
            Placement(transformation(extent={{-122,-24},{-82,16}}),
              iconTransformation(extent={{-120,20},{-80,60}})));

          Physiolibrary.Types.RealIO.PressureInput externalPressure
          "pericardium pressure around ventricle"
                                         annotation ( Placement(transformation(extent={{94,-58},
                    {114,-38}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={100,-60})));

        parameter Physiolibrary.Types.Fraction stiffnes
          "parametrization of end diastolic volume curve";
        parameter Physiolibrary.Types.Fraction n_Diastole
          "parametrization of end systolic volume curve";
        parameter Real Abasic_Diastole
          "parametrization of end diastolic volume curve";

          Physiolibrary.Types.RealIO.VolumeOutput
                                              EDV   annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={100,80})));

          Physiolibrary.Types.RealIO.PressureOutput P annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={60,-60})));
          Physiolibrary.Types.RealIO.FractionOutput Stiffness
                                 annotation (Placement(transformation(extent={{-74,-74},
                    {-34,-34}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-68,100})));
          Physiolibrary.Types.RealIO.FrequencyInput HR "heart rate" annotation ( Placement(transformation(extent={{94,-58},
                    {114,-38}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={100,8})));
          Physiolibrary.Types.Fraction HR_effect;
          Physiolibrary.Types.Time a;
          Physiolibrary.Types.Fraction  b;
        equation
          inflow.q = 0;
          P = inflow.pressure;
          //linearna zavislost na HR - vid. mathematica/Efect_EDVonHR.nb
          HR_effect = a*HR+b;
          1 = a*75+b;
          0.52 = a*200+b;

          EDV = (((inflow.pressure-externalPressure)/(stiffnes*Abasic_Diastole))^(1/n_Diastole))*HR_effect;
          Stiffness = stiffnes;

        // drawing icon
        /*  for i in 1:size(iconPoint,1) loop
    iconPoint[i,1]=((i-1)/(size(iconPoint,1)))*180 - 90;
    (iconPoint[i,1]+90)*200/180 = ( ( ( (iconPoint[i,2]+40)*200/130)-externalPressure)/(stiffnes*Abasic_Diastole))^(1/n_Diastole);
  end for;
  iconActualPoint[1,1]=EDV*180/200-90 -2;
  iconActualPoint[1,2]=inflow.pressure*130/200-40 -2;
  iconActualPoint[2,1]=iconActualPoint[1,1]+4;
  iconActualPoint[2,2]=iconActualPoint[1,2]+4;*/
                                     /*,
        Line(
          points=DynamicSelect({{-100,0},{100,0}}, iconPoint),
          color={0,0,255},
          smooth=Smooth.None),
        Ellipse(
          extent=DynamicSelect({{0,0},{0,0}}, iconActualPoint),
          lineColor={0,0,0},
          fillColor={255,0,0},
          fillPattern=FillPattern.Solid)*/
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-60}},
                  lineColor={255,0,0},
                  fillPattern=FillPattern.HorizontalCylinder,
                  fillColor={255,255,255}),
                Text(
                  extent={{-100,-60},{100,-100}},
                  lineColor={0,0,255},
                  textString="%name")}),            Documentation(info="<html>
<p>The relationship heart rate(HR)-end diastolic volume(EDV) is represented by linear function -0.00247654 HR + 1.18574.</p>
<p>The coeficients was choosen to solve normal state and critical zero state: (Solve[{a*75 + b == 1, a*HR + b == 0, diastoleTime[HR] == 0}, {a, b}]).</p>
<p>It means the next ventricle filling model:</p>
<p>cardiac cycle time (T) = (60/HR) [s]</p>
<p>systolic contraction time (Ts) = (0.3*T^0.5) [s]</p>
<p>diastolic filling time (Tdf) = T - Ts - 0.18*Ts [s]</p>
<p>steady-state filling curve:</p>
<p><img src=\"C:/Users/oto/Desktop/Physiomodel/mathematicaGUI/Effect_EDVonHR.png\"/></p>
<p>axes x .. filling time = Tdf [s]</p>
<p>axes y .. entered volume part = stroke volume (SV)/normal_SV [x 100 &percnt;]</p>
<p><br/>EDV = SV + pre(ESV) = effect(HR) * ((EDV_without_HR_effect - pre(ESV)) + pre(ESV)</p>
</html>"));
        end Diastole3;

        model Ventricle3
         extends Physiomodel.CardioVascular.Heart.Interfaces.IVentricle;

         parameter String stateName;

        Physiolibrary.Types.Constants.FractionConst
          basicContractility(k=contractilityBasic)
          annotation (Placement(transformation(extent={{60,2},{68,10}})));

          Physiomodel.Nerves.BetaReceptorsActivityFactor betaReceptorsActivityFactor
            annotation (Placement(transformation(extent={{64,-20},{84,0}})));

          Modelica.Blocks.Math.Add Vol_SteadyState(k1=0.5, k2=0.5)
                                                     annotation (Placement(
                transformation(
                extent={{10,-10},{-10,10}},
                rotation=270,
                origin={-34,18})));

        develop.Diastole3 diastole(
          stiffnes=stiffnes,
          n_Diastole=n_Diastole,
          Abasic_Diastole=Abasic_Diastole) annotation (Placement(
              transformation(extent={{-76,-44},{-56,-24}})));

          Systole systole(
            n_Systole=n_Systole,
            Abasic_Systole=Abasic_Systole,
            additionalPressure_Systolic=additionalPressure_Systolic,
          NormalSystolicPressure=NormalSystolicPressure,
          NormalEndSystolicVolume=NormalEndSystolicVolume)
            annotation (Placement(transformation(extent={{56,-44},{76,-24}})));

          Modelica.Blocks.Math.Feedback StrokeVolume
            annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                origin={-8,-6})));

          VentricleVolumeAndPumping2 ventricle(
            initialVolume=initialVol,
            K=K,
            BasicCompliance=BasicCompliance,
            stateName=stateName)
                   annotation (Placement(transformation(extent={{-8,66},{12,86}})));

          Modelica.Blocks.Math.Product BloodFlow     annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={16,40})));

        equation
          connect(basicContractility.y, betaReceptorsActivityFactor.yBase)
                                                                 annotation (Line(
              points={{69,6},{74,6},{74,-3}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.BetaPool_Effect, betaReceptorsActivityFactor.BetaPool_Effect)
            annotation (Line(
              points={{22,2},{22,-4},{64.2,-4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BetaBlocade_Effect, betaReceptorsActivityFactor.BetaBlockade_Effect)
            annotation (Line(
              points={{22,2},{22,-10},{64.2,-10}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.GangliaGeneral_NA, betaReceptorsActivityFactor.GangliaGeneral_NA)
            annotation (Line(
              points={{22,2},{22,-16},{64.2,-16}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(diastole.externalPressure, busConnector.Pericardium_Pressure)
            annotation (Line(
              points={{-56,-40},{22,-40},{22,2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.Pericardium_Pressure, systole.externalPressure)
            annotation (Line(
              points={{22,2},{22,-40},{56,-40}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(betaReceptorsActivityFactor.y, systole.contractility)
            annotation (Line(
              points={{74,-17},{74,-24}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(diastole.EDV,StrokeVolume. u1) annotation (Line(
              points={{-56,-26},{-40,-26},{-40,-6},{-16,-6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Vol_SteadyState.u2, diastole.EDV) annotation (Line(
              points={{-40,6},{-40,-26},{-56,-26}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systole.outflow, q_out) annotation (Line(
              points={{76,-30},{86,-30},{86,80},{80,80}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(q_in, diastole.inflow) annotation (Line(
              points={{-80,80},{-82,80},{-82,-30},{-76,-30}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(systole.ESV, Vol_SteadyState.u1) annotation (Line(
              points={{56,-26},{-28,-26},{-28,6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systole.ESV,StrokeVolume. u2) annotation (Line(
              points={{56,-26},{-8,-26},{-8,-14}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Vol_SteadyState.y, ventricle.VentricleSteadyStateVolume)
            annotation (Line(
              points={{-34,29},{-34,58},{-6,58},{-6,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(q_in, ventricle.q_in)                 annotation (Line(
              points={{-80,80},{-54,80},{-54,76},{-8,76}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(ventricle.q_out, q_out)                 annotation (Line(
              points={{12,76},{56,76},{56,80},{80,80}},
              color={0,0,0},
              smooth=Smooth.None));
          connect(StrokeVolume.y, BloodFlow.u1)     annotation (Line(
              points={{1,-6},{10,-6},{10,28}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow.y, ventricle.BloodFlow)                 annotation (Line(
              points={{16,51},{16,58},{10,58},{10,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ventricle.Volume, Vol)                 annotation (Line(
              points={{12.4,71},{14.7,71},{14.7,33},{73,33}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow.u2, busConnector.HeartVentricleRate)
            annotation (Line(
              points={{22,28},{22,2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BloodFlow.y, CO) annotation (Line(
              points={{16,51},{16,59},{77,59}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(diastole.HR, busConnector.HeartVentricleRate) annotation (
              Line(
              points={{-56,-33.2},{22,-33.2},{22,2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
         annotation (
            Documentation(info="<HTML>
<PRE>
Heart ventricle.

like
QHP 2008 / VascularCompartments/LeftVentricle/*



The pressure-volume characteristics of both ventricles in diastole
and systole will be described using a power function.

  P = A * (V ^ n)

P = Pressure
V = Volume
A = Scale Factor
n = curvature

The function is invertable.

  V = (P/A) ^ (1/n)

Some typical values

                                 Right                 Left
                           ---------------------- ------------------------
Nominal Vol                     87.5                  87.5
Nominal TMP                      3.0                   6.0
Compliance                      29.2                  14.6
Pericardial P                   -3.0                  -3.0

DIASTOLE
  EDP                            1.0                   5.0
  EDV                          125.0                 125.0
  TMP                            4.0                   8.0
  n                              2.0                   2.0
  V^n                        15625.0               15625.0
  A                              0.00026               0.00051

SYSTOLE
  ESP                           22.0                 120.0
  ESV                           50.0                  50.0
  TMP                           25.0                 123.0
  n                              0.5                   0.5
  V^n                            7.07                  7.07
  A                              3.53                 17.39
</PRE>
</HTML>
",       revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"),  Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={Text(
                  extent={{-78,26},{80,12}},
                  lineColor={0,0,0},
                  textString="contractilityBasic = %contractilityBasic")}),
                                          Diagram(coordinateSystem(preserveAspectRatio=true,
                           extent={{-100,-100},{100,100}}), graphics={Text(
                  extent={{-32,62},{-8,60}},
                  lineColor={0,0,0},
                  textString="Volume_SteadyState"), Text(
                  extent={{8,62},{32,60}},
                  lineColor={0,0,0},
                  textString="Blood_Inflow")}));
        end Ventricle3;
      end develop;
    end Heart;

    package Circulation "Blood Cardio-Vascular Distribution"
      class References "References"
        extends Modelica.Icons.References;

        annotation (Documentation(info="<html>
<table>

	<tr>
		<td>[Alfie1999]</td>
		<td>J. Alfie, G. D. Waisman, C. R. Galarza, and M. I. Cámera, \"Contribution of Stroke Volume to the Change in Pulse Pressure Pattern With Age,\" Hypertension, vol. 34, pp. 808-812, October 1, 1999 1999. </td>
	</tr>
	<tr>
		<td>[Alsberge1988]</td>
		<td>M. Alsberge, M. Magno, and M. Lipschutz, Carotid body control of bronchial circulation in sheep vol. 65, 1988. </td>
	</tr>
	<tr>
		<td>[Archer2002]</td>
		<td>S. Archer and E. Michelakis, The Mechanism(s) of Hypoxic Pulmonary Vasoconstriction: Potassium Channels, Redox O2 Sensors, and Controversies vol. 17, 2002. </td>
	</tr>
	<tr>
		<td>[Archer1996]</td>
		<td>S. L. Archer, J. M. C. Huang, H. L. Reeve, V. Hampl, S. Tolarová, E. Michelakis, et al., \"Differential Distribution of Electrophysiologically Distinct Myocytes in Conduit and Resistance Arteries Determines Their Response to Nitric Oxide and Hypoxia,\" Circulation Research, vol. 78, pp. 431-442, March 1, 1996 1996. </td>
	</tr>
	<tr>
		<td>[Armstrong1985]</td>
		<td>R. Armstrong, C. Vandenakker, and M. Laughlin, \"Muscle blood flow patterns during exercise in partially curarized rats,\" Journal of Applied Physiology, vol. 58, pp. 698-701, 1985. </td>
	</tr>
	<tr>
		<td>[Ashley1992]</td>
		<td>K. D. Ashley, D. N. Herndon, L. D. Traber, D. L. Traber, K. Deubel-Ashley, J. Stothert, et al., \"Systemic blood flow to sheep lung: comparison of flow probes and microspheres,\" Journal of Applied Physiology, vol. 73, pp. 1996-1996, 1992. </td>
	</tr>
	<tr>
		<td>[Bangsbo1997]</td>
		<td>J. Bangsbo, C. Juel, Y. Hellsten, and B. Saltin, \"Dissociation between lactate and proton exchange in muscle during intense exercise in man,\" The Journal of Physiology, vol. 504, pp. 489-499, October 15, 1997 1997. </td>
	</tr>
	<tr>
		<td>[Berg1997]</td>
		<td>B. R. Berg, K. D. Cohen, and I. H. Sarelius, \"Direct coupling between blood flow and metabolism at the capillary level in striated muscle,\" American Journal of Physiology-Heart and Circulatory Physiology, vol. 41, p. H2693, 1997. </td>
	</tr>
	<tr>
		<td>[Bevegärd1962]</td>
		<td>S. Bevegärd and A. Lodin, \"Postural Circulatory Changes at Rest and during Exercise in five Patients with Congenital Absence of Valves in the Deep Veins of the Legs,\" Acta Medica Scandinavica, vol. 172, pp. 21-29, 1962. </td>
	</tr>
	<tr>
		<td>[Bock1930]</td>
		<td>A. V. Bock, D. B. Dill, and H. T. Edwards, \"ON THE RELATION OF CHANGES IN BLOOD VELOCITY AND VOLUME FLOW OF BLOOD TO CHANGE OF POSTURE,\" The Journal of Clinical Investigation, vol. 8, pp. 533-544, 1930. </td>
	</tr>
	<tr>
		<td>[Borgström1975]</td>
		<td>L. Borgström, H. Jóhannsson, and B. K. Siesjö, \"The Relationship between Arterial PO2 and Cerebral Blood Flow in Hypoxic Hypoxia,\" Acta Physiologica Scandinavica, vol. 93, pp. 423-432, 1975. </td>
	</tr>
	<tr>
		<td>[Burattini1994]</td>
		<td>R. Burattini, P. Borgdorff, and N. Westerhof, \"Relationship between strength of short-term systemic autoregulation and initial resistance,\" American Journal of Physiology-Regulatory Integrative and Comparative Physiology, vol. 36, p. R1182, 1994. </td>
	</tr>
	<tr>
		<td>[Davidson1986]</td>
		<td>D. Davidson, S. A. Stalcup, and R. B. Mellins, Systemic hemodynamics affecting cardiac output during hypocapnic and hypercapnic hypoxia vol. 60, 1986. </td>
	</tr>
	<tr>
		<td>[Drury1927]</td>
		<td>A. Drury and N. Jones, \"Observations upon the rate at which oedema forms when the veins of the human limb are congested,\" Heart, vol. 14, p. 8, 1927. </td>
	</tr>
	<tr>
		<td>[Dunbar2001]</td>
		<td>S. L. Dunbar, L. Tamhidi, D. E. Berkowitz, and A. A. Shoukas, Hindlimb unweighting affects rat vascular capacitance function vol. 281, 2001. </td>
	</tr>
	<tr>
		<td>[Frisbee2000]</td>
		<td>J. C. Frisbee and J. H. Lombard, \"Increased Intravascular Pressure Does Not Enhance Skeletal Muscle Arteriolar Constriction to Oxygen or Angiotensin II,\" Microvascular Research, vol. 59, pp. 176-180, 1// 2000. </td>
	</tr>
	<tr>
		<td>[Frisbee2000]</td>
		<td>J. C. Frisbee and J. H. Lombard, \"Short-term angiotensin converting enzyme inhibition reduces basal tone and dilator reactivity in skeletal muscle arterioles*,\" American Journal of Hypertension, vol. 13, pp. 389-395, April 1, 2000 2000. </td>
	</tr>
	<tr>
		<td>[Goodman1978]</td>
		<td>A. H. Goodman, R. Einstein, and H. J. Granger, \"Effect of changing metabolic rate on local blood flow control in the canine hindlimb,\" Circulation Research, vol. 43, pp. 769-76, November 1, 1978 1978. </td>
	</tr>
	<tr>
		<td>[Granger1969]</td>
		<td>H. J. Granger and A. C. Guyton, \"Autoregulation of the Total Systemic Circulation Following Destruction of the Central Nervous System in the Dog,\" Circulation Research, vol. 25, pp. 379-388, October 1, 1969 1969. </td>
	</tr>
	<tr>
		<td>[Granger1976]</td>
		<td>H. J. Granger, A. H. Goodman, and D. N. Granger, \"Role of resistance and exchange vessels in local microvascular control of skeletal muscle oxygenation in the dog,\" Circulation Research, vol. 38, pp. 379-85, May 1, 1976 1976. </td>
	</tr>
	<tr>
		<td>[Harder1996]</td>
		<td>D. R. Harder, J. Narayanan, E. K. Birks, J. F. Liard, J. D. Imig, J. H. Lombard, et al., \"Identification of a Putative Microvascular Oxygen Sensor,\" Circulation Research, vol. 79, pp. 54-61, July 1, 1996 1996. </td>
	</tr>
	<tr>
		<td>[Hennessy1993]</td>
		<td>E. Hennessy, S. White, T. Van der Touw, A. Quail, W. Porges, and P. Glenfield, \"Control of resting bronchial hemodynamics in the awake dog,\" American Journal of Physiology, vol. 265, pp. H649-H649, 1993. </td>
	</tr>
	<tr>
		<td>[Henry1950]</td>
		<td>J. P. Henry and O. H. Gauer, \"THE INFLUENCE OF TEMPERATURE UPON VENOUS PRESSURE IN THE FOOT,\" The Journal of Clinical Investigation, vol. 29, pp. 855-861, 1950. </td>
	</tr>
	<tr>
		<td>[Hogan1990]</td>
		<td>M. C. Hogan, D. E. Bebout, A. T. Gray, P. D. Wagner, J. B. West, and P. E. Haab, Muscle maximal O2 uptake at constant O2 delivery with and without CO in the blood vol. 69, 1990. </td>
	</tr>
	<tr>
		<td>[Charan1984]</td>
		<td>N. B. Charan, G. M. Turk, and R. Dhand, \"Gross and subgross anatomy of bronchial circulation in sheep,\" J Appl Physiol, vol. 57, pp. 658-664, 1984. </td>
	</tr>
	<tr>
		<td>[Charles1994]</td>
		<td>J. B. Charles and C. M. Lathers, \"Summary of Lower Body Negative Pressure Experiments During Space Flight,\" The Journal of Clinical Pharmacology, vol. 34, pp. 571-583, 1994. </td>
	</tr>
	<tr>
		<td>[Joseph1952]</td>
		<td>J. Joseph and A. Nightingale, \"Electromyography of muscles of posture: leg muscles in males,\" The Journal of Physiology, vol. 117, pp. 484-491, August 28, 1952 1952. </td>
	</tr>
	<tr>
		<td>[Katkov1980]</td>
		<td>V. E. Katkov and V. V. Chestukhin, \"Blood pressure and oxygenation in different cardiovascular compartments of a normal man during postural exposures,\" Aviat Space Environ Med, vol. 51, pp. 1234-42, Nov 1980. </td>
	</tr>
	<tr>
		<td>[Kunert1996]</td>
		<td>M. P. Kunert, J. F. Liard, D. J. Abraham, and J. H. Lombard, \"Low-Affinity Hemoglobin Increases Tissue PO2and Decreases Arteriolar Diameter and Flow in the Rat Cremaster Muscle,\" Microvascular Research, vol. 52, pp. 58-68, 7// 1996. </td>
	</tr>
	<tr>
		<td>[Kuwahira1993]</td>
		<td>I. Kuwahira, N. Heisler, J. Piiper, and N. C. Gonzalez, \"Effect of chronic hypoxia on hemodynamics, organ blood flow and O2 supply in rats,\" Respiration Physiology, vol. 92, pp. 227-238, 5// 1993. </td>
	</tr>
	<tr>
		<td>[Landis1933]</td>
		<td>E. M. Landis and J. H. Gibbon, Jr., \"THE EFFECTS OF TEMPERATURE AND OF TISSUE PRESSURE ON THE MOVEMENT OF FLUID THROUGH THE HUMAN CAPILLARY WALL,\" The Journal of Clinical Investigation, vol. 12, pp. 105-138, 1933. </td>
	</tr>
	<tr>
		<td>[Lash1987]</td>
		<td>J. M. Lash and H. G. Bohlen, Perivascular and tissue PO2 in contracting rat spinotrapezius muscle vol. 252, 1987. </td>
	</tr>
	<tr>
		<td>[LAUGHLIN1987]</td>
		<td>M. H. LAUGHLIN, \"Skeletal muscle blood flow capacity: role of muscle pump in exercise hyperemia,\" Am J Physiol, vol. 253, p. 1004, 1987. </td>
	</tr>
	<tr>
		<td>[Laughlin1983]</td>
		<td>M. H. Laughlin and R. Armstrong, \"Rat muscle blood flows as a function of time during prolonged slow treadmill exercise,\" Am J Physiol Heart Circ Physiol, vol. 244, pp. H814-H824, 1983. </td>
	</tr>
	<tr>
		<td>[Malo1984]</td>
		<td>J. Malo, H. Goldberg, R. Graham, H. Unruh, and C. Skoog, Effect of hypoxic hypoxia on systemic vasculature vol. 56, 1984. </td>
	</tr>
	<tr>
		<td>[Marshall1995]</td>
		<td>J. Marshall, Skeletal Muscle Vasculature and Systemic Hypoxia vol. 10, 1995. </td>
	</tr>
	<tr>
		<td>[Marshall1988]</td>
		<td>J. M. Marshall and J. D. Metcalfe, \"Analysis of the cardiovascular changes induced in the rat by graded levels of systemic hypoxia,\" The Journal of Physiology, vol. 407, pp. 385-403, December 1, 1988 1988. </td>
	</tr>
	<tr>
		<td>[Mayerson1939]</td>
		<td>H. S. Mayerson, H. M. Sweeney, and L. A. Toth, THE INFLUENCE OF POSTURE ON CIRCULATION TIME vol. 125, 1939. </td>
	</tr>
	<tr>
		<td>[Metting1988]</td>
		<td>P. J. Metting, J. R. Strader, and S. L. Britton, Evaluation of whole body autoregulation in conscious dogs vol. 255, 1988. </td>
	</tr>
	<tr>
		<td>[Metting1989]</td>
		<td>P. J. Metting, P. M. Stein, B. A. Stoos, K. A. Kostrzewski, and S. L. Britton, Systemic vascular autoregulation amplifies pressor responses to vasoconstrictor agents vol. 256, 1989. </td>
	</tr>
	<tr>
		<td>[Monos2001]</td>
		<td>E. Monos, M. Lóránt, and E. Fehér, Influence of long-term experimental orthostatic body position on innervation density in extremity vessels vol. 281, 2001. </td>
	</tr>
	<tr>
		<td>[Monos2003]</td>
		<td>E. Monos, M. Lóránt, G. Dörnyei, V. Bérczi, and G. Nádasy, Long-Term Adaptation Mechanisms in Extremity Veins Supporting Orthostatic Tolerance vol. 18, 2003. </td>
	</tr>
	<tr>
		<td>[O’ROURKE1990]</td>
		<td>S. T. O’ROURKE and P. M. VANHOUTTE, \"Adrenergic and cholinergic responsiveness of isolated canine bronchial arteries,\" Organ, vol. 6, p. 2, 1990. </td>
	</tr>
	<tr>
		<td>[OCHSNER1951]</td>
		<td>A. OCHSNER, R. COLP, and G. E. BURCH, \"Normal Blood Pressure in the Superficial Venous System of Man at Rest in the Supine Position,\" Circulation, vol. 3, pp. 674-680, May 1, 1951 1951. </td>
	</tr>
	<tr>
		<td>[POHOST1976]</td>
		<td>G. M. POHOST, J. B. NEWELL, N. P. HAMLIN, and W. J. POWELL, \"Observations on autoregulation in skeletal muscle: the effects of arterial hypoxia,\" Cardiovascular Research, vol. 10, pp. 405-412, July 1, 1976 1976. </td>
	</tr>
	<tr>
		<td>[Pollack1949]</td>
		<td>A. A. Pollack and E. H. Wood, Venous Pressure in the Saphenous Vein at the Ankle in Man during Exercise and Changes in Posture vol. 1, 1949. </td>
	</tr>
	<tr>
		<td>[Prewitt1976]</td>
		<td>R. L. Prewitt and P. C. Johnson, \"The effect of oxygen on arteriolar red cell velocity and capillary density in the rat cremaster muscle,\" Microvascular Research, vol. 12, pp. 59-70, 7// 1976. </td>
	</tr>
	<tr>
		<td>[Raven1984]</td>
		<td>P. B. Raven, D. Rohm-Young, and C. G. Blomqvist, Physical fitness and cardiovascular response to lower body negative pressure vol. 56, 1984. </td>
	</tr>
	<tr>
		<td>[Roach1957]</td>
		<td>M. R. Roach and A. C. Burton, \"THE REASON FOR THE SHAPE OF THE DISTENSIBILITY CURVES OF ARTERIES,\" Canadian Journal of Biochemistry and Physiology, vol. 35, pp. 681-690, 1957/08/01 1957. </td>
	</tr>
	<tr>
		<td>[Stevens]</td>
		<td>StevensP. M. Stevens and L. E. Lamb, \"Effects of lower body negative pressure on the cardiovascular system,\" American Journal of Cardiology, vol. 16, pp. 506-515.</td>
	<tr>
		<td>[Stick1992]</td>
		<td>C. Stick, H. Jaeger, and E. Witzleb, Measurements of volume changes and venous pressure in the human lower leg during walking and running vol. 72, 1992. </td>
	</tr>
	<tr>
		<td>[Stonestreet1998]</td>
		<td>B. S. Stonestreet, S. S. Ocampo, and W. Oh, Reductions in cardiac output in hypoxic young pigs: systemic and regional perfusion and oxygen metabolism vol. 85, 1998. </td>
	</tr>
	<tr>
		<td>[Stothert1992]</td>
		<td>J. C. Stothert, J. O. Basadre, G. B. Gbaanador, J. T. Flynn, L. Traber, and D. Traber, \"Bronchial blood flow during changes in inhaled oxygen and carbon dioxide concentrations in conscious sheep,\" Circulatory shock, vol. 36, pp. 120-126, 1992/02// 1992. </td>
	</tr>
	<tr>
		<td>[Schumacker]</td>
		<td>SchumackerS. P. T. and C. S. M., \"The concept of a critical oxygen delivery,\" Intensive Care Medicine, vol. 13, pp. 223-229, January 1, 0001.</td>
	<tr>
		<td>[Thompson1928]</td>
		<td>W. O. Thompson, P. K. Thompson, and M. E. Dailey, \"THE EFFECT OF POSTURE UPON THE COMPOSITION AND VOLUME OF THE BLOOD IN MAN 1,\" The Journal of Clinical Investigation, vol. 5, pp. 573-604, 1928. </td>
	</tr>
	<tr>
		<td>[Wagner1988]</td>
		<td>E. M. Wagner and W. A. Mitzner, \"Effect of hypoxia on bronchial circulation,\" J. Appl. Physiol, vol. 65, pp. 1627-1633, 1988. </td>
	</tr>
	<tr>
		<td>[Wagner1990]</td>
		<td>E. M. Wagner and W. A. Mitzner, \"Effect of left atrial pressure on bronchial vascular hemodynamics,\" J Appl Physiol, vol. 69, pp. 837-842, 1990. </td>
	</tr>
	<tr>
		<td>[Weber2000]</td>
		<td>D. S. Weber and J. H. Lombard, Elevated salt intake impairs dilation of rat skeletal muscle resistance arteries via ANG II suppression vol. 278, 2000. </td>
	</tr>
	<tr>
		<td>[Wells1938]</td>
		<td>H. S. Wells, J. B. Youmans, and D. G. Miller, Jr., \"TISSUE PRESSURE (INTRACUTANEOUS, SUBCUTANEOUS, AND INTRAMUSCULAR) AS RELATED TO VENOUS PRESSURE, CAPILLARY FILTRATION, AND OTHER FACTORS 12,\" The Journal of Clinical Investigation, vol. 17, pp. 489-499, 1938. </td>
	</tr>
	<tr>
		<td>[Whalen1974]</td>
		<td>W. Whalen, P. Nair, D. Buerk, and C. Thuning, \"Tissue PO2 in normal and denervated cat skeletal muscle,\" Am J Physiol, vol. 227, pp. 1221-1225, 1974.  </td>
	</tr>


</table>
</html>"));
      end References;

      package Interfaces "Abstract Interfaces"

        partial model IVascularElasticBloodCompartment
          extends Physiolibrary.Icons.ElasticBalloon;

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a referencePoint
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(
                extent={{-10,-110},{10,-90}}, rotation=0),
                                               iconTransformation(extent={{-10,
                  -10},{10,10}})));
          Modelica.Blocks.Interfaces.RealInput V0(
                                               final quantity="Volume", final displayUnit="ml")
          "maximal nonstressed volume"                                                                                annotation (extent = [-70,90;-50,110], rotation = -90,
          Placement(transformation(
              origin={-60,100},
              extent={{-10,-10},{10,10}},
              rotation=270)));
          Modelica.Blocks.Interfaces.RealInput ExternalPressure(
                                                            final quantity="Pressure", final displayUnit="mmHg")
          "external pressure around the compartment"                              annotation (extent = [-10,90;10,110], rotation = -90,
          Placement(transformation(
              origin={0,100},
              extent={{-10,-10},{10,10}},
              rotation=270)));
          Modelica.Blocks.Interfaces.RealInput Compliance(
                                                        final quantity="Compliance", final displayUnit="ml/mmHg")
          "elasticity of the stressed walls"                               annotation (extent = [50,90;70,110], rotation = -90,
          Placement(transformation(
              origin={60,100},
              extent={{-10,-10},{10,10}},
              rotation=270)));

          Modelica.Blocks.Interfaces.RealOutput Pressure(  final quantity="Pressure", final displayUnit="mmHg")
          "blod pressure in compartment"
            annotation (Placement(transformation(extent={{30,-110},{50,-90}}, rotation=-90)));
         // Real Vol "blood volume in compartment";

          parameter Real initialVol = 0;
          Modelica.Blocks.Interfaces.RealOutput Vol(start=initialVol, final
              quantity =                                                             "Volume", final displayUnit=
               "ml") "blood volume in compartment"
            annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-40,-100})));

         // parameter Real initialVol = 0;
         annotation (
            preferredView = text,
            Documentation(info="<HTML>

</HTML>
"));
        end IVascularElasticBloodCompartment;

        model ISequesteredBlood
         extends Physiolibrary.Icons.BloodSequesteredCompartment;

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a referencePoint
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(
                extent={{-10,-110},{10,-90}}, rotation=0),
                                               iconTransformation(extent={{-10,
                  -10},{10,10}})));
          Physiolibrary.Types.RealIO.PressureInput ExternalPressure
          "external pressure around the compartment"                              annotation (extent = [-100,90;-80,110], rotation = -90,
          Placement(transformation(
              origin={-90,100},
              extent={{-10,-10},{10,10}},
              rotation=270)));

          Physiolibrary.Types.RealIO.PressureOutput Pressure
          "blod pressure in compartment"
            annotation (Placement(transformation(extent={{30,-110},{50,-90}}, rotation=-90)));
          Physiolibrary.Types.RealIO.VolumeOutput Vol
          "blood volume in compartment"
            annotation (Placement(transformation(extent={{-50,-110},{-30,-90}}, rotation=-90)));

         annotation (
            Documentation(info="<HTML>
</HTML>
"));
        end ISequesteredBlood;

      end Interfaces;

      model PulmonaryCirculation

         extends Physiolibrary.Icons.PulmonaryCirculation;

        //Can not be one port, because for example whole periferal resistance is taken as ResistorBases, but blood can accumulate inside

      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{-112,-10},{
                -92,10}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out "Blood outflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                      iconTransformation(extent={{90,-10},{110,
                10}})));

      Physiolibrary.Hydraulic.Components.ElasticVessel pulmCapys(
        stateName="PulmCapys.Vol",
        useComplianceInput=true,
        useExternalPressureInput=true,
        useV0Input=true,
        volume_start=0.000200141) "pulmonary capilaries"
        annotation (Placement(transformation(extent={{-22,-10},{-2,10}})));
      Physiolibrary.Hydraulic.Components.ElasticVessel pulmArty(
        stateName="PulmArty.Vol",
        useComplianceInput=true,
        useExternalPressureInput=true,
        useV0Input=true,
        volume_start=0.000200488)
        annotation (Placement(transformation(extent={{-86,-10},{-66,10}})));
      Physiolibrary.Hydraulic.Components.ElasticVessel pulmVeins(
        stateName="PulmVeins.Vol",
        useComplianceInput=true,
        useExternalPressureInput=true,
        useV0Input=true,
        volume_start=0.000210463) "pulmonary veins"
        annotation (Placement(transformation(extent={{38,-10},{58,10}})));
      Physiolibrary.Hydraulic.Components.Conductor pulmArtyConductance(
          Conductance=1.6876385456527e-07)
        annotation (Placement(transformation(extent={{-61,-11},{-39,11}})));
      Physiolibrary.Types.Constants.VolumeConst ArtysV0(k=0.00011)
        annotation (Placement(transformation(extent={{-94,16},{-86,24}})));
      Physiolibrary.Types.Constants.HydraulicComplianceConst ArtysCompliance(k=
            3.975326351982e-08)
        annotation (Placement(transformation(extent={{-54,16},{-62,24}})));
      Physiolibrary.Types.Constants.VolumeConst               CapysV0(k=0.00014)
        annotation (Placement(transformation(extent={{-28,16},{-20,24}})));
      Physiolibrary.Types.Constants.HydraulicComplianceConst CapysCompliance(k=
            3.450283248890036e-008)
        annotation (Placement(transformation(extent={{4,16},{-4,24}})));
      Physiolibrary.Hydraulic.Components.Conductor pulmCapysConductance(
          Conductance=2.250184727537e-07)
        annotation (Placement(transformation(extent={{2,-11},{24,11}})));
      Physiolibrary.Types.Constants.VolumeConst               VeinsV0(k=0.00015)
        annotation (Placement(transformation(extent={{30,16},{38,24}})));
      Physiolibrary.Types.Constants.HydraulicComplianceConst VeinsCompliance(k=
            4.50036945507396e-008)
        annotation (Placement(transformation(extent={{66,14},{58,22}})));
      Physiolibrary.Hydraulic.Components.Conductor pulmVeinsConductance(
          Conductance=6.7505541826109e-07)
        annotation (Placement(transformation(extent={{62,-11},{84,11}})));
      Physiolibrary.Types.BusConnector busConnector
        "signals of organ bood flow resistence" annotation (Placement(
            transformation(extent={{18,66},{38,86}}), iconTransformation(extent=
               {{-108,42},{-92,58}})));
        LungBloodFlow lungBloodFlow
          annotation (Placement(transformation(extent={{-26,74},{-6,94}})));
      Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{-42,-10},{-22,10}})));
        Modelica.Blocks.Math.Sum sum1(nin=3)
          annotation (Placement(transformation(extent={{-28,28},{-20,36}})));
        Modelica.Blocks.Math.Sum sum2(nin=2)
          annotation (Placement(transformation(extent={{50,-38},{42,-30}})));
      Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure
        annotation (Placement(transformation(extent={{-8,-26},{12,-6}})));
      equation
      connect(pulmArty.q_in, pulmArtyConductance.q_in) annotation (Line(
          points={{-76,0},{-61,0}},
          color={0,0,0},
          smooth=Smooth.None,
          thickness=1));
        connect(pulmArty.externalPressure,busConnector. Thorax_AvePressure) annotation (Line(
            points={{-68,8},{-68,14},{28,14},{28,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmCapys.externalPressure,busConnector. Thorax_AvePressure) annotation (Line(
            points={{-4,8},{-4,14},{28,14},{28,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pulmVeins.externalPressure,busConnector. Thorax_AvePressure) annotation (Line(
            points={{56,8},{56,14},{28,14},{28,76}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(pulmArty.zeroPressureVolume, ArtysV0.y) annotation (Line(
          points={{-84,8},{-84,20},{-85,20}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(pulmArty.compliance, ArtysCompliance.y)
                                                annotation (Line(
            points={{-76,8},{-76,20},{-63,20}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(CapysV0.y, pulmCapys.zeroPressureVolume) annotation (Line(
          points={{-19,20},{-20,20},{-20,8}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(CapysCompliance.y,pulmCapys.compliance)
                                                 annotation (Line(
            points={{-5,20},{-12,20},{-12,8}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(pulmCapys.q_in, pulmCapysConductance.q_in) annotation (Line(
          points={{-12,0},{2,0}},
          color={0,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(pulmCapysConductance.q_out, pulmVeins.q_in) annotation (Line(
          points={{24,0},{48,0}},
          color={0,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(pulmVeins.zeroPressureVolume, VeinsV0.y) annotation (Line(
          points={{40,8},{40,20},{39,20}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(VeinsCompliance.y,pulmVeins.compliance)
                                                 annotation (Line(
            points={{57,18},{48,18},{48,8}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(pulmVeins.q_in, pulmVeinsConductance.q_in) annotation (Line(
          points={{48,0},{62,0}},
          color={0,0,0},
          smooth=Smooth.None,
          thickness=1));
        connect(lungBloodFlow.AlveolarVentilated, busConnector.AlveolarVentilated_BloodFlow)
          annotation (Line(
            points={{-6,90},{28,90},{28,76}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(pulmArtyConductance.q_out, flowMeasure.q_in) annotation (Line(
            points={{-39,0},{-42,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowMeasure.q_out, pulmCapys.q_in) annotation (Line(
          points={{-22,0},{-12,0}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
        connect(flowMeasure.volumeFlow, lungBloodFlow.CardiacOutput)
          annotation (Line(
            points={{-32,12},{-32,90},{-26,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ArtysV0.y, sum1.u[1]) annotation (Line(
            points={{-85,20},{-82,20},{-82,32},{-28,32},{-28,31.4667},{-28.8,
              31.4667}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(CapysV0.y, sum1.u[2]) annotation (Line(
            points={{-19,20},{-18,20},{-18,26},{-80,26},{-80,32},{-28.8,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(VeinsV0.y, sum1.u[3]) annotation (Line(
            points={{39,20},{42,20},{42,26},{-78,26},{-78,32.5333},{-28.8,
              32.5333}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(pulmCapys.volume, sum2.u[1]) annotation (Line(
          points={{-6,-10},{-6,-42},{54,-42},{54,-34.4},{50.8,-34.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pulmVeins.volume, sum2.u[2]) annotation (Line(
          points={{54,-10},{54,-33.6},{50.8,-33.6}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(sum1.y, busConnector.PulmonaryCirculation_V0) annotation (Line(
            points={{-19.6,32},{28,32},{28,76}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(pulmArty.volume, busConnector.PulmonaryCirculation_DeoxygenatedBloodVolume)
        annotation (Line(
          points={{-70,-10},{-70,-28},{28,-28},{28,76}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,-16},{6,-16}}));
        connect(busConnector.PulmonaryCirculation_OxygenatedBloodVolume, sum2.y)
          annotation (Line(
            points={{28,76},{28,-34},{41.6,-34}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(q_in, pulmArty.q_in) annotation (Line(
          points={{0,-100},{-38,-100},{-38,0},{-76,0}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
        connect(pulmVeinsConductance.q_out, q_out) annotation (Line(
            points={{84,0},{42,0},{42,-100},{0,-100}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(pulmCapys.q_in, pressureMeasure.q_in) annotation (Line(
          points={{-12,0},{-8,0},{-8,-22},{-2,-22}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pressureMeasure.pressure, busConnector.PulmCapys_Pressure)
        annotation (Line(
          points={{8,-20},{28,-20},{28,76}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-108,-48},{106,-70}},
                lineColor={0,0,255},
                textString="%name")}),
        Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>

<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>Blood volume (and pressures) distribution between </p>
<p><ul>
<li>pulmonary arteries, </li>
<li>pulmonary veins and </li>
<li>pulmonary capilaries.</li>
</ul></p>
<p>Blood flow through ventilated alveoli.</p>
</html>"));
      end PulmonaryCirculation;

      model SystemicCirculationFullDynamic
        extends Physiolibrary.Icons.SystemicCirculation;

      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                      iconTransformation(extent={{90,-10},{110,
                10}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out "Blood outflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{-110,-10},{
                -90,10}})));

        /*
  Library.PressureFlow.NegativePressureFlow fromSystemicVeins annotation (
      Placement(transformation(extent={{-110,-10},{-90,10}}),iconTransformation(
          extent={{-112,44},{-92,64}})));
  Library.PressureFlow.PositivePressureFlow systemicArteries
    annotation (Placement(transformation(extent={{88,-10},{108,10}}),
        iconTransformation(extent={{90,46},{110,66}})));
*/

      Physiolibrary.Hydraulic.Components.ElasticVessel systemicArtys(
        stateName="SystemicArtys.Vol",
        useV0Input=true,
        useComplianceInput=false,
        volume_start=0.00100036,
        Compliance=1.1625954425608e-08,
        useExternalPressureInput=false,
        ExternalPressure=0)
        annotation (Placement(transformation(extent={{65,-10},{86,11}})));
      Physiolibrary.Types.Constants.VolumeConst               V0_artys(k=0.00085)
        annotation (Placement(transformation(extent={{98,18},{88,28}})));
      Physiolibrary.Types.Constants.HydraulicComplianceConst
        SystemicVeinsCompliance(k=6.645545561992547e-007)
        annotation (Placement(transformation(extent={{-27,10},{-35,18}})));
      PeripheralCirculation peripheral
        annotation (Placement(transformation(extent={{-2,0},{26,28}})));
      Physiolibrary.Hydraulic.Sources.UnlimitedPump volumeCorrections(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-28,24},{-42,38}})));
      SystemicVeins veins(BaseConductance(displayUnit="ml/(mmHg.min)")=
          1.2000985213531e-07) "scaled to coronary vessels reorganisation"
        annotation (Placement(transformation(extent={{-72,-8},{-56,8}})));
        SystemicVeinsElacticBloodCompartment
          systemicVeinsElacticBloodCompartment
          annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
      Physiolibrary.Types.Constants.PressureConst SystemicVeinsExternalPressure(
          k=0)
        annotation (Placement(transformation(extent={{-36,16},{-43,23}})));
      Physiolibrary.Types.BusConnector busConnector
        "signals of organ bood flow resistence" annotation (Placement(
            transformation(extent={{36,40},{56,60}}), iconTransformation(extent=
               {{-110,32},{-94,48}})));
      CollapsingVeins collapsedVeins annotation (Placement(transformation(
            extent={{10,10.5},{-10,-10.5}},
            rotation=180,
            origin={-84.5,0})));
      Physiolibrary.Hydraulic.Components.HydrostaticColumn
        gravityHydrostaticDifference(useExternalG=true, useHeightInput=true)
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={61,35})));
      Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure
        annotation (Placement(transformation(
            extent={{8.5,-8.5},{-8.5,8.5}},
            origin={78.5,45.5})));
        Modelica.Blocks.Math.Gain G(k=9.81) annotation (Placement(transformation(
              extent={{4,-4},{-4,4}},
              rotation=90,
              origin={34,26})));
      Microcirculation.LeftHeart leftCororaryCirculation(
          BasicLargeVeselsConductance(displayUnit="ml/(mmHg.min)")=
          5.0004105056377e-09, BasicSmallVeselsConductance(displayUnit=
              "ml/(mmHg.min)") = 3.1252565660236e-10)
        "scaled to normal pressure gradient 94 mmHg"
        annotation (Placement(transformation(extent={{-10,76},{10,96}})));
      Microcirculation.RightHeart rightCororaryCirculation(
          BasicLargeVeselsConductance(displayUnit="ml/(mmHg.min)")=
          1.2501026264094e-09, BasicSmallVeselsConductance(displayUnit=
              "ml/(mmHg.min)") = 6.2505131320471e-11)
        "scaled to normal pressure gradient 94 mmHg"
        annotation (Placement(transformation(extent={{-42,62},{-22,82}})));
      SplanchnicCirculation splanchnicCirculation
        annotation (Placement(transformation(extent={{-6,-44},{32,-6}})));
      Physiolibrary.Hydraulic.Components.Conductor legsArtys(Conductance=
            5.0004105056377e-09)
        annotation (Placement(transformation(extent={{80,-86},{64,-70}})));
      Physiolibrary.Types.Constants.PressureConst const8(k=0)
        annotation (Placement(transformation(extent={{93,-68},{86,-61}})));
      Physiolibrary.Hydraulic.Components.HydrostaticColumn
        hydrostaticDifference(useExternalG=true, useHeightInput=true)
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={54,-72})));
        SequesteredBlood sequesteredBlood(data={{0,0,10^(-10)},{50,97,1.0},{200,150,0.5}},
          pressureControledCompartment(stateName="BVSeqArtys.Vol"),
        initialVol=5.00044e-05)
          annotation (Placement(transformation(extent={{80,-88},{100,-68}})));
        SequesteredBlood sequesteredBlood1(                data={{0,-100,2.00},{150,11,
              0.11},{600,50,0.15}},
          pressureControledCompartment(stateName="BVSeqVeins.Vol"),
        initialVol=0.000120691)
          annotation (Placement(transformation(extent={{-62,-82},{-44,-64}})));
      Physiolibrary.Hydraulic.Components.Conductor legsVeins(Conductance=
            1.2501026264094e-08)
        annotation (Placement(transformation(extent={{-42,-80},{-28,-66}})));
      Physiolibrary.Hydraulic.Components.HydrostaticColumn
        hydrostaticDifference1(
        useExternalG=true,
        useHeightInput=true,
        usePumpEffect=true)
        annotation (Placement(transformation(extent={{-5,-78},{-25,-58}})));
      Physiolibrary.Types.Constants.PressureConst             const12(k=0)
        annotation (Placement(transformation(extent={{-52,-60},{-59,-53}})));
      Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure1
        annotation (Placement(transformation(extent={{76,-38},{96,-18}})));
      equation
      connect(systemicArtys.zeroPressureVolume, V0_artys.y) annotation (Line(
          points={{67.1,8.9},{67.1,23},{86.75,23}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector, peripheral.busConnector)          annotation (
            Line(
            points={{46,50},{46,16.66},{21.66,16.66}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(veins.busConnector,busConnector)           annotation (
           Line(
            points={{-58.48,1.52},{-60,1.52},{-60,50},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(SystemicVeinsCompliance.y, systemicVeinsElacticBloodCompartment.Compliance)
          annotation (Line(
            points={{-36,14},{-38.2,14},{-38.2,10},{-38,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector,systemicVeinsElacticBloodCompartment. busConnector)
          annotation (Line(
            points={{46,50},{-26,50},{-26,6.1},{-34.2,6.1}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.referencePoint,volumeCorrections. q_out)
          annotation (Line(
            points={{-44,0},{-46,0},{-46,31},{-42,31}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(systemicVeinsElacticBloodCompartment.ExternalPressure,
          SystemicVeinsExternalPressure.y)
          annotation (Line(
            points={{-44,10},{-44,19.5},{-43.875,19.5}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(busConnector.BloodVolume_change, volumeCorrections.solutionFlow)
        annotation (Line(
          points={{46,50},{-35,50},{-35,35.9}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
        connect(collapsedVeins.ExternalPressure, busConnector.Thorax_AvePressure)
          annotation (Line(
            points={{-78.5,2.1},{-80,2.1},{-80,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(pressureMeasure.pressure, busConnector.CarotidSinus_Pressure)
        annotation (Line(
          points={{73.4,42.1},{46,42.1},{46,50}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(gravityHydrostaticDifference.height, busConnector.CarotidSinusHeight)
          annotation (Line(
            points={{55,35},{46,35},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(gravityHydrostaticDifference.q_down, systemicArtys.q_in)
        annotation (Line(
          points={{69,29},{69,0.5},{75.5,0.5}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));

        connect(gravityHydrostaticDifference.q_up, pressureMeasure.q_in)
          annotation (Line(
            points={{69,39},{80,39},{80,40.4},{81.9,40.4}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(pressureMeasure.pressure, busConnector.CarotidSinusArteryPressure)
        annotation (Line(
          points={{73.4,42.1},{46,42.1},{46,50}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.Pressure, busConnector.SystemicVeins_Pressure)
          annotation (Line(
            points={{-40,-10},{-40,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(systemicVeinsElacticBloodCompartment.V0, busConnector.SystemicVeins_V0)
          annotation (Line(
            points={{-50.8,10},{-50.8,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(V0_artys.y, busConnector.SystemicArtys_V0) annotation (Line(
            points={{86.75,23},{70,23},{70,22},{46,22},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(q_in, systemicArtys.q_in) annotation (Line(
          points={{100,0},{99.75,0},{99.75,0.5},{75.5,0.5}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
        connect(collapsedVeins.q_out, q_out) annotation (Line(
            points={{-94.5,-1.22465e-015},{-96.25,-1.22465e-015},{-96.25,0},{
              -100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Gravity_Gz, G.u) annotation (Line(
            points={{46,50},{46,38},{34,38},{34,30.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(G.y, gravityHydrostaticDifference.G) annotation (Line(
            points={{34,21.6},{34,16},{61,16},{61,25}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(rightCororaryCirculation.busConnector, busConnector)
                                                                annotation (
            Line(
            points={{-25.1,73.9},{46,73.9},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(leftCororaryCirculation.busConnector, busConnector)
                                                               annotation (Line(
            points={{6.9,87.9},{46,87.9},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(leftCororaryCirculation.BloodFlow, busConnector.leftHeart_BloodFlow)
          annotation (Line(
            points={{7,81},{46,81},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(rightCororaryCirculation.BloodFlow, busConnector.rightHeart_BloodFlow)
          annotation (Line(
            points={{-25,67},{22,67},{22,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(leftCororaryCirculation.BloodFlow, busConnector.LeftHeart_BloodFlow)
          annotation (Line(
            points={{7,81},{46,81},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(rightCororaryCirculation.BloodFlow, busConnector.RightHeart_BloodFlow)
          annotation (Line(
            points={{-25,67},{22,67},{22,50},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(splanchnicCirculation.busConnector, busConnector) annotation (
            Line(
            points={{-6,-15.5},{-6,50},{46,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(splanchnicCirculation.q_in, systemicArtys.q_in) annotation (Line(
          points={{32,-25},{62,-25},{62,0.5},{75.5,0.5}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(peripheral.q_in, systemicArtys.q_in) annotation (Line(
          points={{26,14},{52,14},{52,0.5},{75.5,0.5}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
        connect(peripheral.q_out, systemicVeinsElacticBloodCompartment.referencePoint)
          annotation (Line(
            points={{-2,14},{-24,14},{-24,0},{-44,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(rightCororaryCirculation.q_out, q_out) annotation (Line(
            points={{-42,72},{-60,72},{-60,86},{-100,86},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(leftCororaryCirculation.q_out, q_out) annotation (Line(
            points={{-10,86},{-100,86},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(leftCororaryCirculation.q_in, q_in) annotation (Line(
            points={{10,86},{100,86},{100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(systemicVeinsElacticBloodCompartment.referencePoint, veins.q_in)
          annotation (Line(
            points={{-44,0},{-56,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(veins.q_out, collapsedVeins.q_in) annotation (Line(
            points={{-72,0},{-73.25,0},{-73.25,1.22465e-015},{-74.5,
              1.22465e-015}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(rightCororaryCirculation.q_in, q_in) annotation (Line(
            points={{-22,72},{36,72},{36,86},{100,86},{100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(legsArtys.q_in,sequesteredBlood. referencePoint) annotation (Line(
            points={{80,-78},{90,-78}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(sequesteredBlood.ExternalPressure,const8. y) annotation (Line(
            points={{81,-68},{81,-64.5},{85.125,-64.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(legsArtys.q_out,hydrostaticDifference. q_down) annotation (Line(
            points={{64,-78},{62,-78}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(hydrostaticDifference.q_up, systemicArtys.q_in) annotation (Line(
          points={{62,-68},{62,0},{75.5,0},{75.5,0.5}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
        connect(sequesteredBlood1.ExternalPressure,const12. y) annotation (Line(
            points={{-61.1,-64},{-61.1,-56.5},{-59.875,-56.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sequesteredBlood1.referencePoint,legsVeins. q_in) annotation (
            Line(
            points={{-53,-73},{-42,-73}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(legsVeins.q_out,hydrostaticDifference1. q_down) annotation (
            Line(
            points={{-28,-73},{-28,-74},{-23,-74}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydrostaticDifference1.q_up,
          systemicVeinsElacticBloodCompartment.referencePoint) annotation (Line(
            points={{-23,-64},{-23,0},{-44,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hydrostaticDifference1.height, busConnector.LowerTorsoVeinHeight)
          annotation (Line(
            points={{-9,-68},{46,-68},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(hydrostaticDifference1.pumpEffect, busConnector.Exercise_MusclePump_Effect)
          annotation (Line(
            points={{-15,-58},{46,-58},{46,50}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(hydrostaticDifference.height, busConnector.LowerTorsoArtyHeight)
          annotation (Line(
            points={{48,-72},{46,-72},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sequesteredBlood1.Vol, busConnector.LegVeins_DeoxygenatedBloodVolume)
          annotation (Line(
            points={{-56.6,-82},{-58,-82},{-58,-90},{46,-90},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sequesteredBlood.Vol, busConnector.LegArtys_OxygenatedBloodVolume)
          annotation (Line(
            points={{86,-88},{86,-90},{46,-90},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(G.y,hydrostaticDifference1. G) annotation (Line(
            points={{34,21.6},{34,-90},{-15,-90},{-15,-78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(G.y,hydrostaticDifference. G) annotation (Line(
            points={{34,21.6},{34,-90},{54,-90},{54,-82}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(systemicArtys.volume, busConnector.SystemicArtys_OxygenatedBloodVolume)
        annotation (Line(
          points={{81.8,-10},{72,-10},{72,-28},{46,-28},{46,50}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(systemicVeinsElacticBloodCompartment.Vol, busConnector.SystemicVeins_DeoxygenatedBloodVolume)
        annotation (Line(
          points={{-48,-10},{-48,-28},{46,-28},{46,50}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(systemicArtys.q_in, pressureMeasure1.q_in) annotation (Line(
          points={{75.5,0.5},{82,0.5},{82,-34}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pressureMeasure1.pressure, busConnector.SystemicArtys_Pressure)
        annotation (Line(
          points={{92,-32},{98,-32},{98,-42},{46,-42},{46,50}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(splanchnicCirculation.q_out, veins.q_out) annotation (Line(
          points={{-6,-25},{-72,-25},{-72,0}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
       annotation (Diagram(coordinateSystem(preserveAspectRatio=false,extent={{-100,
                -100},{100,100}}),   graphics={Text(
                extent={{42,46},{74,46}},
                lineColor={0,0,255},
                textString="Carotid Artery Pressure")}),
                                       Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-104,-54},{110,-76}},
                lineColor={0,0,255},
                textString="%name")}),
        Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>Blood volume (and pressure) distributions between </p>
<p><ul>
<li>systemic arteries, </li>
<li>systemic veins and</li>
<li>portal (splanchnic) vein.</li>
</ul></p>
<p>Blood flow throught: </p>
<p><ul>
<li>GIT, hepatic artery, liver</li>
<li>Kidney</li>
<li>CNS</li>
<li>Skeletal muscle</li>
<li>Respiratory muscle</li>
<li>Skin</li>
<li>Bones</li>
<li>Adipose tissue</li>
<li>Other tissue</li>
</ul></p>
</html>"));
      end SystemicCirculationFullDynamic;

      model PeripheralCirculation
        import QHP = Physiomodel;
        extends Physiomodel.CardioVascular.Microcirculation.Interfaces.BaseDO;
        extends Physiolibrary.Icons.PeripheralCirculation;

        QHP.CardioVascular.Microcirculation.TissueBloodFlow
                                                         bone(Cond=
            4.536109889163e-10)
          annotation (Placement(transformation(extent={{-38,62},{-12,88}})));
        QHP.CardioVascular.Microcirculation.TissueBloodFlow
                                                          brain(
        onAnesthesia=false,
        onAngiotensinII=false,
        onVasopressin=false,
        onCatecholamines=false,
        onOxygenAndCarbonDioxide=true,
          VasculatureConductanceOnPO2={{27,1.2,0},{37,1.0,-0.03},{47,0.8,0}},
          onOxygenOnly=false,
        Cond=1.1375933900326e-09)
          annotation (Placement(transformation(extent={{12,44},{38,70}})));
        QHP.CardioVascular.Microcirculation.TissueBloodFlow
                                                        fat(Cond=
            3.3752770913055e-10)
          annotation (Placement(transformation(extent={{-38,26},{-12,52}})));
        Physiomodel.CardioVascular.Microcirculation.Kidney kidney
          annotation (Placement(transformation(extent={{18,8},{44,34}})));
        Physiomodel.CardioVascular.Microcirculation.Skin skin
          annotation (Placement(transformation(extent={{22,-34},{46,-10}})));
        QHP.CardioVascular.Microcirculation.TissueBloodFlow     otherTissue(Cond=
            5.2504310309196e-10)
          annotation (Placement(transformation(extent={{-36,-98},{-10,-72}})));
        QHP.CardioVascular.Microcirculation.TissueBloodFlow        skeletalMuscle(
        Cond=9.0007389101479e-10,
        onOxygenNeed=true,
        onExercise=true)
          annotation (Placement(transformation(extent={{-34,-54},{-8,-28}})));
        QHP.CardioVascular.Microcirculation.TissueBloodFlow
          respiratoryMuscle(Cond=1.3751128890504e-10, onOxygenNeed=true)
          annotation (Placement(transformation(extent={{20,-78},{46,-52}})));
      Physiolibrary.Types.BusConnector busConnector
        "signals of organ bood flow resistence" annotation (Placement(
            transformation(extent={{-100,80},{-80,100}}), iconTransformation(
              extent={{60,10},{78,28}})));
      equation

        connect(bone.q_in, flowMeasure.q_out) annotation (Line(
            points={{-12,75},{68,75},{68,0},{78,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(brain.q_in, flowMeasure.q_out) annotation (Line(
            points={{38,57},{68,57},{68,0},{78,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(fat.q_in, flowMeasure.q_out) annotation (Line(
            points={{-12,39},{68,39},{68,0},{78,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skin.q_in, flowMeasure.q_out) annotation (Line(
            points={{46,-22},{68,-22},{68,0},{78,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(otherTissue.q_in, flowMeasure.q_out)  annotation (Line(
            points={{-10,-85},{68,-85},{68,0},{78,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skeletalMuscle.q_in, flowMeasure.q_out)  annotation (Line(
            points={{-8,-41},{68,-41},{68,0},{78,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(respiratoryMuscle.q_in, flowMeasure.q_out) annotation (Line(
            points={{46,-65},{68,-65},{68,0},{78,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(respiratoryMuscle.q_out,q_out) annotation (Line(
            points={{20,-65},{-84,-65},{-84,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skeletalMuscle.q_out,q_out)  annotation (Line(
            points={{-34,-41},{-84,-41},{-84,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(otherTissue.q_out,q_out)  annotation (Line(
            points={{-36,-85},{-84,-85},{-84,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skin.q_out,q_out) annotation (Line(
            points={{22,-22},{-84,-22},{-84,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(fat.q_out,q_out) annotation (Line(
            points={{-38,39},{-84,39},{-84,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(brain.q_out,q_out) annotation (Line(
            points={{12,57},{-84,57},{-84,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(bone.q_out,q_out) annotation (Line(
            points={{-38,75},{-84,75},{-84,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector, otherTissue.busConnector)  annotation (Line(
            points={{-90,90},{52,90},{52,-77.2},{-12.6,-77.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, skin.busConnector) annotation (Line(
            points={{-90,90},{52,90},{52,-19.72},{42.28,-19.72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, kidney.busConnector) annotation (Line(
            points={{-90,90},{52,90},{52,23.47},{39.97,23.47}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, fat.busConnector) annotation (Line(
            points={{-90,90},{52,90},{52,46.8},{-14.6,46.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, brain.busConnector) annotation (Line(
            points={{-90,90},{52,90},{52,64.8},{35.4,64.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, bone.busConnector) annotation (Line(
            points={{-90,90},{52,90},{52,82.8},{-14.6,82.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, skeletalMuscle.busConnector)  annotation (Line(
            points={{-90,90},{-48,90},{-48,-33.2},{-10.6,-33.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, respiratoryMuscle.busConnector) annotation (
            Line(
            points={{-90,90},{52,90},{52,-57.2},{43.4,-57.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(bone.BloodFlow, busConnector.bone_BloodFlow)
          annotation (Line(
            points={{-15.9,68.5},{52,68.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(brain.BloodFlow, busConnector.brain_BloodFlow)
          annotation (Line(
            points={{34.1,50.5},{52,50.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.BloodFlow, busConnector.fat_BloodFlow) annotation (
           Line(
            points={{-15.9,32.5},{52,32.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.BloodFlow, busConnector.kidney_BloodFlow)
          annotation (Line(
            points={{40.1,14.5},{52,14.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skin.BloodFlow, busConnector.skin_BloodFlow)
          annotation (Line(
            points={{42.4,-28},{52,-28},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skeletalMuscle.BloodFlow, busConnector.skeletalMuscle_BloodFlow)
          annotation (Line(
            points={{-11.9,-47.5},{52,-47.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(respiratoryMuscle.BloodFlow, busConnector.respiratoryMuscle_BloodFlow)
          annotation (Line(
            points={{42.1,-71.5},{52,-71.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.BloodFlow, busConnector.otherTissue_BloodFlow)
          annotation (Line(
            points={{-13.9,-91.5},{52,-91.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));

          connect(bone.BloodFlow, busConnector.Bone_BloodFlow)
          annotation (Line(
            points={{-15.9,68.5},{52,68.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(brain.BloodFlow, busConnector.Brain_BloodFlow)
          annotation (Line(
            points={{34.1,50.5},{52,50.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.BloodFlow, busConnector.Fat_BloodFlow) annotation (
           Line(
            points={{-15.9,32.5},{52,32.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.BloodFlow, busConnector.Kidney_BloodFlow)
          annotation (Line(
            points={{40.1,14.5},{52,14.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skin.BloodFlow, busConnector.Skin_BloodFlow)
          annotation (Line(
            points={{42.4,-28},{52,-28},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skeletalMuscle.BloodFlow, busConnector.SkeletalMuscle_BloodFlow)
          annotation (Line(
            points={{-11.9,-47.5},{52,-47.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(respiratoryMuscle.BloodFlow, busConnector.RespiratoryMuscle_BloodFlow)
          annotation (Line(
            points={{42.1,-71.5},{52,-71.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.BloodFlow, busConnector.OtherTissue_BloodFlow)
          annotation (Line(
            points={{-13.9,-91.5},{52,-91.5},{52,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(kidney.q_out,q_out) annotation (Line(
            points={{18,21},{-84,21},{-84,0},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(kidney.q_in, flowMeasure.q_out) annotation (Line(
            points={{44,21},{68,21},{68,0},{78,0}},
            color={0,0,0},
            smooth=Smooth.None,
            thickness=1));

      connect(bone.tissueConnector, busConnector.bone) annotation (Line(
          points={{-25,85.4},{-24.5,85.4},{-24.5,90},{-90,90}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None));
      connect(fat.tissueConnector, busConnector.fat) annotation (Line(
          points={{-25,49.4},{-48,49.4},{-48,90},{-90,90}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None));
      connect(skeletalMuscle.tissueConnector, busConnector.skeletalMuscle)
        annotation (Line(
          points={{-21,-30.6},{-48,-30.6},{-48,90},{-90,90}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None));
      connect(otherTissue.tissueConnector, busConnector.otherTissue)
        annotation (Line(
          points={{-23,-74.6},{-48,-74.6},{-48,90},{-90,90}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None));
      connect(brain.tissueConnector, busConnector.brain) annotation (Line(
          points={{25,67.4},{25,90},{-90,90}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None));
      connect(respiratoryMuscle.tissueConnector, busConnector.respiratoryMuscle)
        annotation (Line(
          points={{33,-54.6},{34,-54.6},{34,-54},{52,-54},{52,90},{-90,90}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in peripheral organs except hepatic artery, gastro interstitional tract, vena porte, liver and liver veins.
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"), Icon(graphics={Text(
                extent={{-100,-128},{100,-100}},
                lineColor={0,0,255},
                textString="%name")}));
      end PeripheralCirculation;

      model SplanchnicCirculation
        extends Physiolibrary.Icons.PerfusionDO;
        extends Physiolibrary.Icons.GITract;

      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                      iconTransformation(extent={{90,-10},{110,
                10}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out "Blood outflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{-110,-10},{
                -90,10}})));

      Physiolibrary.Types.BusConnector busConnector
        "signals of organ bood flow resistence" annotation (Placement(
            transformation(extent={{56,-56},{76,-36}}), iconTransformation(
              extent={{-108,42},{-92,58}})));

      Physiolibrary.Hydraulic.Components.ElasticVessel portalVein(
        stateName="SplanchnicVeins.Vol",
        useExternalPressureInput=true,
        useV0Input=true,
        useComplianceInput=false,
        volume_start=0.00100999,
        Compliance=4.6878848490354e-07)
        annotation (Placement(transformation(extent={{-16,-10},{5,11}})));
      Microcirculation.TissueBloodFlow GITract(Cond=1.4001149415786e-09)
        annotation (Placement(transformation(extent={{34,-12},{58,12}})));
      Physiolibrary.Types.Constants.PressureConst ExternalPressure(k=0)
        annotation (Placement(transformation(extent={{24,20},{16,28}})));
      Physiolibrary.Types.Constants.HydraulicComplianceConst Compliance(k=
            4.6878848490354e-07)
        annotation (Placement(transformation(extent={{10,32},{2,40}})));
      Physiolibrary.Types.Constants.VolumeConst               V0(k(displayUnit=
              "ml") = 0.0005)
        annotation (Placement(transformation(extent={{-27,11},{-19,19}})));
      Microcirculation.Liver liver
        annotation (Placement(transformation(extent={{-56,34},{-32,58}})));
      Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure
        annotation (Placement(transformation(extent={{6,-42},{26,-22}})));
      equation

        connect(GITract.busConnector,busConnector)           annotation (Line(
            points={{55.6,7.2},{66,7.2},{66,-46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(portalVein.externalPressure, ExternalPressure.y)
                                                           annotation (Line(
            points={{2.9,8.9},{2.9,24},{15,24}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(portalVein.zeroPressureVolume, V0.y) annotation (Line(
          points={{-13.9,8.9},{-13.9,15},{-18,15}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(GITract.BloodFlow, busConnector.GITract_BloodFlow) annotation (
            Line(
            points={{54.4,-6},{66,-6},{66,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(V0.y, busConnector.PortalVein_V0)      annotation (Line(
            points={{-18,15},{-14,15},{-14,-46},{66,-46}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(portalVein.volume, busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume)
        annotation (Line(
          points={{0.8,-10},{0.8,-46},{66,-46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(portalVein.q_in, liver.portalVein) annotation (Line(
          points={{-5.5,0.5},{-41.36,0.5},{-41.36,40.24}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
        connect(busConnector, liver.busConnector) annotation (Line(
            points={{66,-46},{66,48.28},{-35.72,48.28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(GITract.q_out, portalVein.q_in) annotation (Line(
          points={{34,0},{14.25,0},{14.25,0.5},{-5.5,0.5}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
        connect(GITract.q_in, q_in) annotation (Line(
            points={{58,0},{100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(liver.q_in, q_in) annotation (Line(
            points={{-32,46},{82,46},{82,0},{100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(liver.q_out, q_out) annotation (Line(
            points={{-56,46},{-82,46},{-82,0},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(portalVein.q_in, pressureMeasure.q_in) annotation (Line(
          points={{-5.5,0.5},{4,0.5},{4,-38},{12,-38}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pressureMeasure.pressure, busConnector.SplanchnicVeins_Pressure)
        annotation (Line(
          points={{22,-36},{44,-36},{44,-46},{66,-46}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GITract.tissueConnector, busConnector.GITract) annotation (
          Line(
          points={{46,9.6},{66,9.6},{66,-46}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation (       Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-104,-76},{110,-98}},
                lineColor={0,0,255},
                textString="%name")}),
        Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>Blood volume (and pressures) distribution between </p>
<p><ul>
<li>pulmonary arteries, </li>
<li>pulmonary veins and </li>
<li>pulmonary capilaries.</li>
</ul></p>
<p>Blood flow through ventilated alveoli.</p>
</html>"));
      end SplanchnicCirculation;

      model LungBloodFlow
          extends Physiolibrary.Icons.LungShunt;
        Physiolibrary.Types.RealIO.VolumeFlowRateInput CardiacOutput
          annotation (Placement(transformation(extent={{-120,40},{-80,80}})));

        parameter Physiolibrary.Types.Fraction BasicRLShuntFraction(displayUnit="%") =  0.02
        "basic percentage of total blood flow not exposed to lung air";                                                            //
      //  parameter Real BasicRLShunt(final displayUnit="ml/min") =  110; // 220.0;
        parameter Physiolibrary.Types.Pressure RightHemithorax_Pressure( displayUnit="mmHg") =   -533.28954966;
        parameter Physiolibrary.Types.Pressure LeftHemithorax_Pressure( displayUnit="mmHg") =   -533.28954966;

        Physiolibrary.Types.Pressure PressureGradientRightLeft(displayUnit="mmHg")
        "difference between right and left hemithorax pressure";
        Physiolibrary.Types.Fraction Thorax_RightLungFlowFract(displayUnit="1")
        "fraction of blood flow to right lung";
        Physiolibrary.Types.Fraction Thorax_LeftLungFlowFract(displayUnit="1")
        "fraction of blood flow to left lung";
        Physiolibrary.Types.Fraction RightHemithorax_LungInflation(displayUnit="1")
        "dammage effect of right hemithorax inflation";
        Physiolibrary.Types.Fraction LeftHemithorax_LungInflation(displayUnit="1")
        "dammage effect of left hemithorax inflation";
        Physiolibrary.Types.VolumeFlowRate Total(displayUnit="ml/min")
        "cardiac output";

        Physiolibrary.Types.VolumeFlowRate RightLeftShunt(displayUnit="ml/min")
        "blood flow not exposed to lung air without dammage effect";
        Physiolibrary.Types.VolumeFlowRate Alveolar(displayUnit="ml/min")
        "blood flow exposed to lung air without dammage effect";

      //  Real RightLungTotal(final displayUnit="ml/min") "right lung blood flow exposed to lung air without dammage effect";
      //  Real RightLungVentilated(final displayUnit="ml/min") "right lung blood flow exposed to lung air";
      //  Real RightLungShunt(final displayUnit="ml/min");
      //  Real LeftLungTotal(final displayUnit="ml/min");
      //  Real LeftLungVentilated(final displayUnit="ml/min");
      //  Real LeftLungShunt(final displayUnit="ml/min");
      //  Real AlveolarShunt(final displayUnit="ml/min");
      //  Real TotalShunt(final displayUnit="ml/min");

        parameter Real[:,3] PressureOnInflation =   {{ -4.0,  1.0,  0}, {  4.0,  0.0,  0}};
        parameter Real[:,3] PressureGradientOnFlowDist =   {{ -25,  0.0,  0}, {   0,  0.5,  0.03}, {  25,  1.0,  0}};

        Physiolibrary.Types.RealIO.VolumeFlowRateOutput AlveolarVentilated(
                                                          final displayUnit="ml/min") annotation (Placement(transformation(extent={{80,40},{120,80}}),
              iconTransformation(extent={{80,40},{120,80}})));
      Physiolibrary.Blocks.Interpolation.Curve
        Thorax_PressureGradientOnFlowDist(
        x=PressureGradientOnFlowDist[:, 1],
        y=PressureGradientOnFlowDist[:, 2],
        slope=PressureGradientOnFlowDist[:, 3],
          Xscale=101325/760)
        annotation (Placement(transformation(extent={{-40,52},{-20,72}})));
      Physiolibrary.Blocks.Interpolation.Curve Thorax_PressureOnInflationR(
        x=PressureOnInflation[:, 1],
        y=PressureOnInflation[:, 2],
        slope=PressureOnInflation[:, 3],
          Xscale=101325/760)
        annotation (Placement(transformation(extent={{52,46},{72,66}})));
      Physiolibrary.Blocks.Interpolation.Curve Thorax_PressureOnInflationL(
        x=PressureOnInflation[:, 1],
        y=PressureOnInflation[:, 2],
        slope=PressureOnInflation[:, 3],
          Xscale=101325/760)
        annotation (Placement(transformation(extent={{-2,-24},{18,-4}})));
      equation
             PressureGradientRightLeft  =  RightHemithorax_Pressure - LeftHemithorax_Pressure;

      //division between left and rigth lung blood flow by hemithorax pressure
             Thorax_PressureGradientOnFlowDist.u = PressureGradientRightLeft;
             Thorax_LeftLungFlowFract  =  Thorax_PressureGradientOnFlowDist.val;
             Thorax_RightLungFlowFract  =  1.0 - Thorax_LeftLungFlowFract;

      //damage effect of hemithorax pressure
             Thorax_PressureOnInflationR.u = RightHemithorax_Pressure;
             RightHemithorax_LungInflation = Thorax_PressureOnInflationR.val;
             Thorax_PressureOnInflationL.u = LeftHemithorax_Pressure;
             LeftHemithorax_LungInflation = Thorax_PressureOnInflationL.val;

             Total  =  CardiacOutput;
             RightLeftShunt  = BasicRLShuntFraction*Total; //min(BasicRLShunt,Total);
             Alveolar  =  Total - RightLeftShunt;
      //       RightLungTotal  =  Alveolar * Thorax_RightLungFlowFract;
      //       RightLungVentilated  =  RightLungTotal * RightHemithorax_LungInflation;
      //       RightLungShunt  =  RightLungTotal - RightLungVentilated;
      //       LeftLungTotal  =  Alveolar * Thorax_LeftLungFlowFract;
      //       LeftLungVentilated  =  LeftLungTotal * LeftHemithorax_LungInflation;
      //       LeftLungShunt  =  LeftLungTotal - LeftLungVentilated;
      //       AlveolarVentilated  =  RightLungVentilated + LeftLungVentilated;
      //       AlveolarShunt  =  RightLungShunt + LeftLungShunt;
      //       TotalShunt  =  RightLeftShunt + AlveolarShunt;
             AlveolarVentilated  = Alveolar * ( Thorax_RightLungFlowFract * RightHemithorax_LungInflation + Thorax_LeftLungFlowFract * LeftHemithorax_LungInflation);
        annotation ( Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>Calculation of blood flow fraction through ventilated alveoli.</p>
</html>"),Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                  {100,100}}), graphics={                             Text(
                extent={{-102,-92},{112,-114}},
                lineColor={0,0,255},
                textString="%name")}));
      end LungBloodFlow;

      model SystemicVeinsElacticBloodCompartment
       extends Physiolibrary.Icons.ElasticBalloon;

      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a referencePoint
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                        iconTransformation(
            extent={{-10,-10},{10,10}})));
        Physiolibrary.Types.RealIO.PressureInput ExternalPressure
        "external pressure around the compartment"                              annotation (extent = [-10,90;10,110], rotation = -90,
        Placement(transformation(
            origin={0,100},
            extent={{-10,-10},{10,10}},
            rotation=270)));
        Physiolibrary.Types.RealIO.HydraulicComplianceInput Compliance( displayUnit="ml/mmHg")
        "elasticity of the stressed walls"                               annotation (extent = [50,90;70,110], rotation = -90,
        Placement(transformation(
            origin={60,100},
            extent={{-10,-10},{10,10}},
            rotation=270)));

        Physiolibrary.Types.RealIO.PressureOutput Pressure( displayUnit="mmHg")
        "blod pressure in compartment"
          annotation (Placement(transformation(extent={{30,-110},{50,-90}}, rotation=-90)));
        Physiolibrary.Types.RealIO.VolumeOutput Vol
        "blood volume in compartment"
          annotation (Placement(transformation(extent={{-50,-110},{-30,-90}}, rotation=-90),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-40,-100})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-88,72},{-68,92}}), iconTransformation(
              extent={{88,51},{108,71}})));
        Physiolibrary.Hydraulic.Components.ElasticVessel systemicVeins(
          stateName="SystemicVeins.Vol",
          useComplianceInput=true,
          useExternalPressureInput=true,
          useV0Input=true,
        volume_start=initialSystemisVeinsVol) "systemic veins"
          annotation (Placement(transformation(extent={{-14,-10},{6,10}})));
      Physiolibrary.Blocks.Factors.Spline V0_A2_Effect(
        data={{0.0,1.05,0.0},{1.3,1.00,-0.10},{3.0,0.85,0.0}},
        Xscale=1e-9/Substances.AngiotensinII.mw,
        UsePositiveLog10=true)
        annotation (Placement(transformation(extent={{-30,7},{-10,27}})));
      Physiolibrary.Types.Constants.VolumeConst               const4(k=0.0017)
        annotation (Placement(transformation(extent={{-32,48},{-23,39}})));
        Physiomodel.Nerves.AplhaReceptorsActivityFactor AplhaReceptors(
          data={{0.0,1.2,0.0},{1.0,1.0,-0.30},{3.0,0.6,0.0}},
        NEURALK=0.333,
        HUMORALK=0.5)
          annotation (Placement(transformation(extent={{-30,20},{-10,40}})));
        Physiolibrary.Types.RealIO.VolumeOutput V0(displayUnit="ml")
        "maximal zero pressure blood volume in compartment"
          annotation (Placement(transformation(extent={{-4.5,-4.5},{4.5,4.5}},rotation=180,
              origin={-27.5,5.5}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-68,100})));

        parameter Physiolibrary.Types.Volume initialSystemisVeinsVol = 2329.57e-6; // = 2200;// = 2980;

        Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure
          annotation (Placement(transformation(extent={{16,-20},{36,0}})));
      equation
        connect(V0_A2_Effect.y, systemicVeins.zeroPressureVolume) annotation (Line(
            points={{-20,13},{-20,12},{-12,12},{-12,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors.y,V0_A2_Effect. yBase) annotation (Line(
            points={{-20,23},{-20,19}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors.yBase,const4. y) annotation (Line(
            points={{-20,37},{-20,43.5},{-21.875,43.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeins.q_in, referencePoint) annotation (Line(
            points={{-4,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(systemicVeins.volume, Vol) annotation (Line(
            points={{2,-10},{2,-67},{-40,-67},{-40,-100}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeins.externalPressure, ExternalPressure) annotation (Line(
            points={{4,8},{4,67},{0,67},{0,100}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(systemicVeins.compliance, Compliance) annotation (Line(
            points={{-4,8},{-4,50},{60,50},{60,100}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.GangliaGeneral_NA, AplhaReceptors.GangliaGeneral_NA)
          annotation (Line(
            points={{-78,82},{-78,24},{-29.8,24}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AlphaPool_Effect, AplhaReceptors.AlphaPool_Effect)
          annotation (Line(
            points={{-78,82},{-78,36},{-29.8,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AlphaBlocade_Effect, AplhaReceptors.AlphaBlockade_Effect)
          annotation (Line(
            points={{-78,82},{-78,30},{-29.8,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(V0_A2_Effect.y, V0) annotation (Line(
            points={{-20,13},{-20,5.5},{-27.5,5.5}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(systemicVeins.q_in, pressureMeasure.q_in) annotation (Line(
            points={{-4,0},{10,0},{10,-16},{22,-16}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(pressureMeasure.pressure, Pressure) annotation (Line(
          points={{32,-14},{40,-14},{40,-100}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Angiotensin2, V0_A2_Effect.u) annotation (Line(
          points={{-78,82},{-78,17},{-28,17}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
       annotation (
          Documentation(info="<HTML>
<PRE>
  Elastic blood flow compartment.

</PRE>
</HTML>
",     revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>

<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end SystemicVeinsElacticBloodCompartment;

      model SequesteredBlood
       extends Interfaces.ISequesteredBlood;

      parameter Physiolibrary.Types.Volume initialVol
        "initial compartment blood volume";
       parameter Real[:,3] data;

      Physiolibrary.Blocks.Interpolation.Curve curve(
        x=data[:, 1],
        y=data[:, 2],
        slope=data[:, 3],
        Xscale=1e-6,
        Yscale=101325/760)
        annotation (Placement(transformation(extent={{-60,50},{-40,70}})));

        Modelica.Blocks.Math.Add add annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-6,40})));
        Physiolibrary.Hydraulic.Components.ElasticVessel pressureControledCompartment(
        ZeroPressureVolume(displayUnit="l") = 0.002,
        useExternalPressureInput=true,
        volume_start=initialVol)
        annotation (Placement(transformation(extent={{-24,-10},{-4,10}})));
      equation
        connect(curve.val, add.u2) annotation (Line(
            points={{-40,60},{-12,60},{-12,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExternalPressure, add.u1) annotation (Line(
            points={{-90,100},{-90,52},{1.77636e-015,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add.y, Pressure) annotation (Line(
            points={{-6,29},{-6,20},{40,20},{40,-100}},
            color={0,0,127},
            smooth=Smooth.None));

      connect(referencePoint, pressureControledCompartment.q_in) annotation (
          Line(
          points={{-100,0},{-18,0},{-18,2.22045e-016},{-14,2.22045e-016}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pressureControledCompartment.volume, Vol) annotation (Line(
          points={{-8,-10},{-8,-42},{-40,-42},{-40,-100}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureControledCompartment.volume, curve.u) annotation (Line(
          points={{-8,-10},{-8,-42},{-70,-42},{-70,60},{-60,60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(add.y, pressureControledCompartment.externalPressure) annotation (
         Line(
          points={{-6,29},{-6,8}},
          color={0,0,127},
          smooth=Smooth.None));
       annotation (
          Documentation(info="<HTML>
<PRE>
  Elastic blood flow compartment.

</PRE>
</HTML>
",     revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>

<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"), Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                  {100,100}}), graphics={Text(
                extent={{-100,-16},{100,-32}},
                lineColor={0,0,255},
                textString="(initial %initialVol ml)")}));
      end SequesteredBlood;

      model CollapsingVeins
      extends Physiolibrary.Icons.CollapsingVessel;

      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                      iconTransformation(extent={{90,-10},{110,
                10}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out "Blood outflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{-110,-10},{
                -90,10}})));

      Modelica.Blocks.Interfaces.RealInput ExternalPressure
                                                       annotation (Placement(
              transformation(extent={{40,0},{80,40}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={60,20})));

        parameter Real PR1LL( final quantity="Pressure", final displayUnit="mmHg") = 0
        "start-collapsing sucking pressure, when external pressure is zero";
      equation
         q_in.q + q_out.q = 0;

         q_in.pressure = if (q_out.pressure > (PR1LL+ExternalPressure)) then q_out.pressure else (PR1LL+ExternalPressure);

        annotation (Icon(graphics={
              Text(
                extent={{-62,-32},{58,-58}},
                lineColor={0,0,255},
                textString="%name")}));
      end CollapsingVeins;

      model SystemicVeins
        //extends QHP.Blood.OrganFlow.BaseBadDirection;
      extends Physiolibrary.Icons.Resistor;

      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                      iconTransformation(extent={{90,-10},{110,
                10}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out "Blood outflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{-110,-10},{
                -90,10}})));

      Physiolibrary.Hydraulic.Components.Conductor systemicVeinsConductance(
          useConductanceInput=true)
        annotation (Placement(transformation(extent={{0,-10},{-20,10}})));
      Physiolibrary.Blocks.Factors.Normalization ViscosityEffect
        annotation (Placement(transformation(extent={{-20,0},{0,20}})));
      Physiolibrary.Blocks.Factors.Normalization ExerciseEffect
        annotation (Placement(transformation(extent={{-20,7},{0,27}})));
      Physiolibrary.Blocks.Factors.Normalization CollapseEffect
        annotation (Placement(transformation(extent={{-20,14},{0,34}})));
      Physiolibrary.Types.Constants.HydraulicConductanceConst const12(k=
            BaseConductance)
        annotation (Placement(transformation(extent={{-27,45},{-15,57}})));
        parameter Physiolibrary.Types.HydraulicConductance BaseConductance( displayUnit="ml/(mmHg.min)");

      Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure annotation (
          Placement(transformation(
            extent={{10,-10},{-10,10}},
            origin={80,0})));
        Modelica.Blocks.Interfaces.RealOutput BloodFlow
                                                 annotation (Placement(transformation(
                extent={{76,6},{88,18}}),    iconTransformation(extent={{60,-30},{80,-10}})));
      Physiolibrary.Types.BusConnector busConnector
        "signals of organ bood flow resistence" annotation (Placement(
            transformation(extent={{-96,77},{-76,97}}), iconTransformation(
              extent={{60,10},{78,28}})));
      equation
        connect(systemicVeinsConductance.cond,ViscosityEffect. y) annotation (Line(
            points={{-10,6},{-10,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ViscosityEffect.yBase,ExerciseEffect. y) annotation (Line(
            points={{-10,12},{-10,13}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExerciseEffect.yBase,CollapseEffect. y) annotation (Line(
            points={{-10,19},{-10,19.5},{-10.2,19.5},{-10.2,20},{-10,20},{-10,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Viscosity_ConductanceEffect,
          ViscosityEffect.u) annotation (Line(
            points={{-86,87},{-86,10},{-18,10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Exercise_MusclePump_Effect,
          ExerciseEffect.u) annotation (Line(
            points={{-86,87},{-86,17},{-18,17}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.BloodVol_CollapsedEffect, CollapseEffect.u)
          annotation (Line(
            points={{-86,87},{-86,24},{-18,24}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(const12.y, CollapseEffect.yBase) annotation (Line(
            points={{-13.5,51},{-10,51},{-10,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.volumeFlow,BloodFlow)  annotation (Line(
            points={{80,12},{80,12},{82,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_in, q_in) annotation (Line(
            points={{90,0},{100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, systemicVeinsConductance.q_in) annotation (
            Line(
            points={{70,0},{0,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(systemicVeinsConductance.q_out, q_out) annotation (Line(
            points={{-20,0},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Text(
                extent={{-70,-30},{70,30}},
                lineColor={0,0,0},
                textString="%BaseConductance ml/min/mmHg"), Text(
                extent={{-101,-58},{99,-30}},
                lineColor={0,0,255},
                textString="%name")}));
      end SystemicVeins;

      package develop
        extends Modelica.Icons.UnderConstruction;
        model SystemicCirculation_Simplified
          extends SystemicCirculationBase2_Simplified;
        Physiolibrary.Hydraulic.Components.Conductor legsArtys(Conductance=
              5.0004105056376e-009)
          annotation (Placement(transformation(extent={{80,-80},{64,-64}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant const8(k=0)
          annotation (Placement(transformation(extent={{93,-62},{86,-55}})));
        Physiolibrary.Hydraulic.Components.HydrostaticColumn
          hydrostaticDifference(useExternalG=true, useHeightInput=true)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={54,-66})));
          SequesteredBlood sequesteredBlood(data={{0,0,10^(-10)},{50,97,1.0},{200,150,0.5}},
              initialVol=50.0044,
            pressureControledCompartment(stateName="BVSeqArtys.Vol"))
            annotation (Placement(transformation(extent={{80,-82},{100,-62}})));
          SequesteredBlood sequesteredBlood1(                data={{0,-100,2.00},{150,11,
                0.11},{600,50,0.15}}, initialVol=120.691,
            pressureControledCompartment(stateName="BVSeqVeins.Vol"))
            annotation (Placement(transformation(extent={{-62,-76},{-44,-58}})));
        Physiolibrary.Hydraulic.Components.Conductor legsVeins(Conductance=
              1.2501026264094e-008)
          annotation (Placement(transformation(extent={{-42,-74},{-28,-60}})));
        Physiolibrary.Hydraulic.Components.HydrostaticColumn
          hydrostaticDifference1(
          useExternalG=true,
          useHeightInput=true,
          usePumpEffect=true)
          annotation (Placement(transformation(extent={{-5,-72},{-25,-52}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant const12(k=0)
          annotation (Placement(transformation(extent={{-52,-54},{-59,-47}})));
        equation
          connect(legsArtys.q_in,sequesteredBlood. referencePoint) annotation (Line(
              points={{76.8,-72},{90,-72}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(sequesteredBlood.ExternalPressure,const8. y) annotation (Line(
              points={{81,-62},{81,-58.5},{85.65,-58.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(legsArtys.q_out,hydrostaticDifference. q_down) annotation (Line(
              points={{67.2,-72},{63.5,-72},{63.5,-71.6},{61,-71.6}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(hydrostaticDifference.q_up, systemicArtys.q_in) annotation (Line(
            points={{61.2,-61.2},{62,-56},{62,0},{75.5,0},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(sequesteredBlood1.ExternalPressure,const12. y) annotation (Line(
              points={{-61.1,-58},{-61.1,-50.5},{-59.35,-50.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(sequesteredBlood1.referencePoint,legsVeins. q_in) annotation (
              Line(
              points={{-53,-67},{-39.2,-67}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(legsVeins.q_out,hydrostaticDifference1. q_down) annotation (
              Line(
              points={{-30.8,-67},{-30.8,-67.4},{-22,-67.4}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(hydrostaticDifference1.q_up,
            systemicVeinsElacticBloodCompartment.referencePoint) annotation (Line(
              points={{-22.2,-57.2},{-22.2,0},{-44,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(hydrostaticDifference1.height, busConnector.LowerTorsoVeinHeight)
            annotation (Line(
              points={{-8.9,-62.3},{46,-62.3},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(hydrostaticDifference1.pumpEffect, busConnector.Exercise_MusclePump_Effect)
            annotation (Line(
              points={{-13.5,-52.5},{46,-52.5},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(hydrostaticDifference.height, busConnector.LowerTorsoArtyHeight)
            annotation (Line(
              points={{47.9,-66.5},{46,-66.5},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(sequesteredBlood1.Vol, busConnector.LegVeins_DeoxygenatedBloodVolume)
            annotation (Line(
              points={{-56.6,-76},{-58,-76},{-58,-84},{46,-84},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(sequesteredBlood.Vol, busConnector.LegArtys_OxygenatedBloodVolume)
            annotation (Line(
              points={{86,-82},{86,-84},{46,-84},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(G.y,hydrostaticDifference1. G) annotation (Line(
              points={{34,21.6},{34,-84},{-16.5,-84},{-16.5,-70.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(G.y,hydrostaticDifference. G) annotation (Line(
              points={{34,21.6},{34,-84},{55.5,-84},{55.5,-74.5}},
              color={0,0,127},
              smooth=Smooth.None));
        end SystemicCirculation_Simplified;

        model SystemicCirculationBase2_Simplified

          extends Physiolibrary.Icons.SystemicCirculation;

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{90,-10},{110,
                  10}})));
        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out
          "Blood outflow"
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                          iconTransformation(extent={{-110,-10},{
                  -90,10}})));

          /*
  Library.PressureFlow.NegativePressureFlow fromSystemicVeins annotation (
      Placement(transformation(extent={{-110,-10},{-90,10}}),iconTransformation(
          extent={{-112,44},{-92,64}})));
  Library.PressureFlow.PositivePressureFlow systemicArteries
    annotation (Placement(transformation(extent={{88,-10},{108,10}}),
        iconTransformation(extent={{90,46},{110,66}})));
*/

        Physiolibrary.Hydraulic.Components.ElasticVessel systemicArtys(
          stateName="SystemicArtys.Vol",
          useComplianceInput=true,
          useExternalPressureInput=true,
          useV0Input=true,
          volume_start=0.00100036)
          annotation (Placement(transformation(extent={{65,-10},{86,11}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant V0_artys(
          units="ml",
          k=850,
          varName="SystemicArtys.V0")
          annotation (Placement(transformation(extent={{98,18},{88,28}})));
        Physiolibrary.Types.Constants.HydraulicComplianceConst const7(k=
              6.645545561992547e-007)
          annotation (Placement(transformation(extent={{-27,10},{-35,18}})));
        PeripheralCirculation peripheral
          annotation (Placement(transformation(extent={{-2,-14},{26,14}})));
        SystemicVeins veins(BaseConductance=856)
          "scaled to coronary vessels reorganisation"
          annotation (Placement(transformation(extent={{-72,-8},{-56,8}})));
          SystemicVeinsElacticBloodCompartment
            systemicVeinsElacticBloodCompartment
            annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant const4(k=0)
          annotation (Placement(transformation(extent={{86,14},{79,21}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant const6(k=0)
          annotation (Placement(transformation(extent={{-36,16},{-43,23}})));
        Physiolibrary.Types.BusConnector busConnector
          "signals of organ bood flow resistence" annotation (Placement(
              transformation(extent={{36,40},{56,60}}), iconTransformation(
                extent={{-110,32},{-94,48}})));
        Physiolibrary.Types.Constants.HydraulicComplianceConst const5(k=
              1.162595442560773e-008)
          annotation (Placement(transformation(extent={{96,8},{89,15}})));
        CollapsingVeins collapsedVeins annotation (Placement(transformation(
              extent={{-10,10.5},{10,-10.5}},
              rotation=180,
              origin={-84.5,0})));
        Physiolibrary.Hydraulic.Components.HydrostaticColumn
          gravityHydrostaticDifference(useExternalG=true, useHeightInput=true)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={61,35})));
        Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure
          annotation (Placement(transformation(
              extent={{8.5,-8.5},{-8.5,8.5}},
              origin={78.5,45.5})));
          Modelica.Blocks.Math.Gain G(k=9.81) annotation (Placement(transformation(
                extent={{4,-4},{-4,4}},
                rotation=90,
                origin={34,26})));
        Microcirculation.LeftHeart_Simplified leftCororaryCirculation(
            BasicLargeVeselsConductance=50*0.93677109469950528615290800207779,
            BasicSmallVeselsConductance=2.2*0.93677109469950528615290800207779)
          "scaled to normal pressure gradient 94 mmHg"
          annotation (Placement(transformation(extent={{-10,76},{10,96}})));
        Microcirculation.RightHeart_Simplified rightCororaryCirculation(
            BasicLargeVeselsConductance=10*0.93677109469950528615290800207779,
            BasicSmallVeselsConductance=0.4*0.93677109469950528615290800207779)
          "scaled to normal pressure gradient 94 mmHg"
          annotation (Placement(transformation(extent={{-42,62},{-22,82}})));
        SplanchnicCirculation splanchnicCirculation
          annotation (Placement(transformation(extent={{-8,-44},{30,-6}})));
        equation
          connect(systemicArtys.compliance, const5.y) annotation (Line(
              points={{81.8,11},{81.8,11.5},{88.65,11.5}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(systemicArtys.zeroPressureVolume, V0_artys.y) annotation (Line(
            points={{69.2,11},{69.2,23},{87.5,23}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector, peripheral.busConnector)          annotation (
              Line(
              points={{46,50},{46,2.66},{21.66,2.66}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(veins.busConnector,busConnector)           annotation (
             Line(
              points={{-58.48,1.52},{-60,1.52},{-60,50},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(const7.y,systemicVeinsElacticBloodCompartment. Compliance)
            annotation (Line(
              points={{-35.4,14},{-38.2,14},{-38.2,10},{-38,10}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector,systemicVeinsElacticBloodCompartment. busConnector)
            annotation (Line(
              points={{46,50},{-26,50},{-26,6.1},{-34.2,6.1}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(systemicArtys.externalPressure,const4. y) annotation (Line(
              points={{75.5,11},{75.5,17.5},{78.65,17.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.ExternalPressure,const6. y)
            annotation (Line(
              points={{-44,10},{-44,19.5},{-43.35,19.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systemicArtys.compliance,const5. y) annotation (Line(
              points={{81.8,11},{81.8,11.5},{88.65,11.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(collapsedVeins.ExternalPressure, busConnector.Thorax_AvePressure)
            annotation (Line(
              points={{-90.5,2.1},{-90,2.1},{-90,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(pressureMeasure.pressure, busConnector.CarotidSinus_Pressure)
          annotation (Line(
            points={{74.08,43.8},{46,43.8},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(gravityHydrostaticDifference.height, busConnector.CarotidSinusHeight)
            annotation (Line(
              points={{54.9,34.5},{46,32},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(gravityHydrostaticDifference.q_down, systemicArtys.q_in)
          annotation (Line(
            points={{68,29.4},{68,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(systemicArtys.Pressure, busConnector.SystemicArtys_Pressure)
            annotation (Line(
              points={{79.7,-10},{80,-10},{80,-28},{46,-28},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{3,-3},{3,-3}}));

          connect(gravityHydrostaticDifference.q_up, pressureMeasure.q_in)
            annotation (Line(
              points={{68.2,39.8},{80,39.8},{80,42.1},{80.2,42.1}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(pressureMeasure.pressure, busConnector.CarotidSinusArteryPressure)
          annotation (Line(
            points={{74.08,43.8},{46,43.8},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.Pressure, busConnector.SystemicVeins_Pressure)
            annotation (Line(
              points={{-40,-10},{-40,-28},{46,-28},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(systemicVeinsElacticBloodCompartment.V0, busConnector.SystemicVeins_V0)
            annotation (Line(
              points={{-50.8,10},{-50.8,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(V0_artys.y, busConnector.SystemicArtys_V0) annotation (Line(
              points={{87.5,23},{70,23},{70,22},{46,22},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(systemicArtys.volume, busConnector.SystemicArtys_OxygenatedBloodVolume)
          annotation (Line(
            points={{71.3,-10},{72,-10},{72,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(q_in, systemicArtys.q_in) annotation (Line(
            points={{100,0},{99.75,0},{99.75,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(collapsedVeins.q_out, q_out) annotation (Line(
              points={{-74.5,-1.22465e-015},{-96.25,-1.22465e-015},{-96.25,0},{
                -100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.Gravity_Gz, G.u) annotation (Line(
              points={{46,50},{46,38},{34,38},{34,30.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(G.y, gravityHydrostaticDifference.G) annotation (Line(
              points={{34,21.6},{34,16},{62.5,16},{62.5,26.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(rightCororaryCirculation.busConnector, busConnector)
                                                                  annotation (
              Line(
              points={{-25.1,73.9},{46,73.9},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.busConnector, busConnector)
                                                                 annotation (Line(
              points={{6.9,87.9},{46,87.9},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.BloodFlow, busConnector.leftHeart_BloodFlow)
            annotation (Line(
              points={{7,84},{46,84},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(rightCororaryCirculation.BloodFlow, busConnector.rightHeart_BloodFlow)
            annotation (Line(
              points={{-25,70},{22,70},{22,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(leftCororaryCirculation.BloodFlow, busConnector.LeftHeart_BloodFlow)
            annotation (Line(
              points={{7,84},{46,84},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(rightCororaryCirculation.BloodFlow, busConnector.RightHeart_BloodFlow)
            annotation (Line(
              points={{-25,70},{22,70},{22,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(splanchnicCirculation.busConnector, busConnector) annotation (
              Line(
              points={{-8,-15.5},{-8,50},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        connect(splanchnicCirculation.q_in, systemicArtys.q_in) annotation (Line(
            points={{30,-25},{62,-25},{62,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(splanchnicCirculation.q_out,
            systemicVeinsElacticBloodCompartment.referencePoint) annotation (Line(
              points={{-8,-25},{-22,-25},{-22,0},{-44,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(peripheral.q_in, systemicArtys.q_in) annotation (Line(
            points={{26,1.77636e-015},{52,1.77636e-015},{52,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(peripheral.q_out, systemicVeinsElacticBloodCompartment.referencePoint)
            annotation (Line(
              points={{-2,1.77636e-015},{-24,1.77636e-015},{-24,0},{-44,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(rightCororaryCirculation.q_out, q_out) annotation (Line(
              points={{-42,72},{-60,72},{-60,86},{-100,86},{-100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.q_out, q_out) annotation (Line(
              points={{-10,86},{-100,86},{-100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.q_in, q_in) annotation (Line(
              points={{10,86},{100,86},{100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.referencePoint, veins.q_in)
            annotation (Line(
              points={{-44,0},{-56,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(veins.q_out, collapsedVeins.q_in) annotation (Line(
              points={{-72,0},{-73.25,0},{-73.25,1.22465e-015},{-94.5,
                1.22465e-015}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));

          connect(rightCororaryCirculation.q_in, q_in) annotation (Line(
              points={{-22,72},{36,72},{36,86},{100,86},{100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
         annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={Text(
                  extent={{42,46},{74,46}},
                  lineColor={0,0,255},
                  textString="Carotid Artery Pressure")}),
                                         Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-104,-54},{110,-76}},
                  lineColor={0,0,255},
                  textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>",   info="<html>
<p>Blood volume (and pressure) distributions between </p>
<p><ul>
<li>systemic arteries, </li>
<li>systemic veins and</li>
<li>portal (splanchnic) vein.</li>
</ul></p>
<p>Blood flow throught: </p>
<p><ul>
<li>GIT, hepatic artery, liver</li>
<li>Kidney</li>
<li>CNS</li>
<li>Skeletal muscle</li>
<li>Respiratory muscle</li>
<li>Skin</li>
<li>Bones</li>
<li>Adipose tissue</li>
<li>Other tissue</li>
</ul></p>
</html>"));
        end SystemicCirculationBase2_Simplified;

        model SystemicCirculationBase2

           extends Physiolibrary.Icons.SystemicCirculation;

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{90,-10},{110,
                  10}})));
        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out
          "Blood outflow"
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                          iconTransformation(extent={{-110,-10},{
                  -90,10}})));

          /*
  Library.PressureFlow.NegativePressureFlow fromSystemicVeins annotation (
      Placement(transformation(extent={{-110,-10},{-90,10}}),iconTransformation(
          extent={{-112,44},{-92,64}})));
  Library.PressureFlow.PositivePressureFlow systemicArteries
    annotation (Placement(transformation(extent={{88,-10},{108,10}}),
        iconTransformation(extent={{90,46},{110,66}})));
*/

        Physiolibrary.Hydraulic.Components.ElasticVessel systemicArtys(
          stateName="SystemicArtys.Vol",
          useComplianceInput=true,
          useExternalPressureInput=true,
          useV0Input=true,
          volume_start=0.00100036)
          annotation (Placement(transformation(extent={{65,-10},{86,11}})));
        Physiolibrary.Types.Constants.VolumeConst V0_artys(k=0.00085)
          annotation (Placement(transformation(extent={{98,18},{88,28}})));
        Physiolibrary.Types.Constants.HydraulicComplianceConst const7(k=
              6.645545561992547e-007)
          annotation (Placement(transformation(extent={{-25,10},{-33,18}})));
        PeripheralCirculation peripheral
          annotation (Placement(transformation(extent={{-2,-14},{26,14}})));
        SystemicVeins veins(BaseConductance=856)
          "scaled to coronary vessels reorganisation"
          annotation (Placement(transformation(extent={{-72,-8},{-56,8}})));
        SystemicVeinsElacticBloodCompartment2
          systemicVeinsElacticBloodCompartment
          annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant const4(k=0)
          annotation (Placement(transformation(extent={{86,14},{78,22}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant const6(k=0)
          annotation (Placement(transformation(extent={{-34,16},{-43,25}})));
        Physiolibrary.Types.BusConnector busConnector
          "signals of organ bood flow resistence" annotation (Placement(
              transformation(extent={{36,40},{56,60}}), iconTransformation(
                extent={{-110,32},{-94,48}})));
        Physiolibrary.Types.Constants.HydraulicComplianceConst const5(k=
              1.162595442560773e-008)
          annotation (Placement(transformation(extent={{98,6},{89,15}})));
        CollapsingVeins collapsedVeins annotation (Placement(transformation(
              extent={{-10,10.5},{10,-10.5}},
              rotation=180,
              origin={-84.5,0})));
        Physiolibrary.Hydraulic.Components.HydrostaticColumn
          gravityHydrostaticDifference(useExternalG=true, useHeightInput=true)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={61,35})));
        Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure
          annotation (Placement(transformation(
              extent={{8.5,-8.5},{-8.5,8.5}},
              origin={78.5,45.5})));
          Modelica.Blocks.Math.Gain G(k=9.81) annotation (Placement(transformation(
                extent={{4,-4},{-4,4}},
                rotation=90,
                origin={34,26})));
        Microcirculation.LeftHeart leftCororaryCirculation(
            BasicLargeVeselsConductance=50*0.93677109469950528615290800207779,
            BasicSmallVeselsConductance=2.2*0.93677109469950528615290800207779)
          "scaled to normal pressure gradient 94 mmHg"
          annotation (Placement(transformation(extent={{-10,76},{10,96}})));
        Microcirculation.RightHeart rightCororaryCirculation(
            BasicLargeVeselsConductance=10*0.93677109469950528615290800207779,
            BasicSmallVeselsConductance=0.4*0.93677109469950528615290800207779)
          "scaled to normal pressure gradient 94 mmHg"
          annotation (Placement(transformation(extent={{-42,62},{-22,82}})));
        SplanchnicCirculation splanchnicCirculation
          annotation (Placement(transformation(extent={{-8,-44},{30,-6}})));
        equation
          connect(systemicArtys.compliance, const5.y) annotation (Line(
              points={{81.8,11},{81.8,10.5},{88.55,10.5}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(systemicArtys.zeroPressureVolume, V0_artys.y) annotation (Line(
            points={{69.2,11},{69.2,23},{87.5,23}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector, peripheral.busConnector)          annotation (
              Line(
              points={{46,50},{46,2.66},{21.66,2.66}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(veins.busConnector,busConnector)           annotation (
             Line(
              points={{-58.48,1.52},{-60,1.52},{-60,50},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(const7.y,systemicVeinsElacticBloodCompartment. Compliance)
            annotation (Line(
              points={{-33.4,14},{-38.2,14},{-38.2,10},{-38,10}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector,systemicVeinsElacticBloodCompartment. busConnector)
            annotation (Line(
              points={{46,50},{-24,50},{-24,6},{-30,6},{-30,6.1},{-34.2,6.1}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(systemicArtys.externalPressure,const4. y) annotation (Line(
              points={{75.5,11},{75.5,18},{77.6,18}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.ExternalPressure,const6. y)
            annotation (Line(
              points={{-44,10},{-44,20.5},{-43.45,20.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systemicArtys.compliance,const5. y) annotation (Line(
              points={{81.8,11},{81.8,10.5},{88.55,10.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(collapsedVeins.ExternalPressure, busConnector.Thorax_AvePressure)
            annotation (Line(
              points={{-90.5,2.1},{-90,2.1},{-90,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(pressureMeasure.pressure, busConnector.CarotidSinus_Pressure)
          annotation (Line(
            points={{74.08,43.8},{46,43.8},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(gravityHydrostaticDifference.height, busConnector.CarotidSinusHeight)
            annotation (Line(
              points={{54.9,34.5},{46,32},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(gravityHydrostaticDifference.q_down, systemicArtys.q_in)
          annotation (Line(
            points={{68,29.4},{68,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(systemicArtys.Pressure, busConnector.SystemicArtys_Pressure)
            annotation (Line(
              points={{79.7,-10},{80,-10},{80,-28},{46,-28},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{3,-3},{3,-3}}));

          connect(gravityHydrostaticDifference.q_up, pressureMeasure.q_in)
            annotation (Line(
              points={{68.2,39.8},{80,39.8},{80,42.1},{80.2,42.1}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(pressureMeasure.pressure, busConnector.CarotidSinusArteryPressure)
          annotation (Line(
            points={{74.08,43.8},{46,43.8},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.Pressure, busConnector.SystemicVeins_Pressure)
            annotation (Line(
              points={{-40,-10},{-40,-28},{46,-28},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(systemicVeinsElacticBloodCompartment.V0, busConnector.SystemicVeins_V0)
            annotation (Line(
              points={{-50.8,10},{-50.8,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(V0_artys.y, busConnector.SystemicArtys_V0) annotation (Line(
              points={{87.5,23},{70,23},{70,22},{46,22},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(systemicArtys.volume, busConnector.SystemicArtys_OxygenatedBloodVolume)
          annotation (Line(
            points={{71.3,-10},{72,-10},{72,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(q_in, systemicArtys.q_in) annotation (Line(
            points={{100,0},{99.75,0},{99.75,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(collapsedVeins.q_out, q_out) annotation (Line(
              points={{-74.5,-1.22465e-015},{-96.25,-1.22465e-015},{-96.25,0},{
                -100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.Gravity_Gz, G.u) annotation (Line(
              points={{46,50},{46,38},{34,38},{34,30.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(G.y, gravityHydrostaticDifference.G) annotation (Line(
              points={{34,21.6},{34,16},{62.5,16},{62.5,26.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(rightCororaryCirculation.busConnector, busConnector)
                                                                  annotation (
              Line(
              points={{-25.1,73.9},{46,73.9},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.busConnector, busConnector)
                                                                 annotation (Line(
              points={{6.9,87.9},{46,87.9},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.BloodFlow, busConnector.leftHeart_BloodFlow)
            annotation (Line(
              points={{7,84},{46,84},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(rightCororaryCirculation.BloodFlow, busConnector.rightHeart_BloodFlow)
            annotation (Line(
              points={{-25,70},{22,70},{22,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(leftCororaryCirculation.BloodFlow, busConnector.LeftHeart_BloodFlow)
            annotation (Line(
              points={{7,84},{46,84},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(rightCororaryCirculation.BloodFlow, busConnector.RightHeart_BloodFlow)
            annotation (Line(
              points={{-25,70},{22,70},{22,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(splanchnicCirculation.busConnector, busConnector) annotation (
              Line(
              points={{-8,-15.5},{-8,50},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        connect(splanchnicCirculation.q_in, systemicArtys.q_in) annotation (Line(
            points={{30,-25},{62,-25},{62,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(splanchnicCirculation.q_out,
            systemicVeinsElacticBloodCompartment.referencePoint) annotation (Line(
              points={{-8,-25},{-22,-25},{-22,0},{-44,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(peripheral.q_in, systemicArtys.q_in) annotation (Line(
            points={{26,1.77636e-015},{52,1.77636e-015},{52,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(peripheral.q_out, systemicVeinsElacticBloodCompartment.referencePoint)
            annotation (Line(
              points={{-2,1.77636e-015},{-24,1.77636e-015},{-24,0},{-44,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(rightCororaryCirculation.q_out, q_out) annotation (Line(
              points={{-42,72},{-60,72},{-60,86},{-100,86},{-100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.q_out, q_out) annotation (Line(
              points={{-10,86},{-100,86},{-100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.q_in, q_in) annotation (Line(
              points={{10,86},{100,86},{100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.referencePoint, veins.q_in)
            annotation (Line(
              points={{-44,0},{-56,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(veins.q_out, collapsedVeins.q_in) annotation (Line(
              points={{-72,0},{-73.25,0},{-73.25,1.22465e-015},{-94.5,
                1.22465e-015}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));

          connect(rightCororaryCirculation.q_in, q_in) annotation (Line(
              points={{-22,72},{36,72},{36,86},{100,86},{100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.SystemicVeins_DeoxygenatedBloodVolume,
            systemicVeinsElacticBloodCompartment.BloodVolume) annotation (Line(
              points={{46,50},{46,-28},{-48,-28},{-48,-10}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
         annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={Text(
                  extent={{42,46},{74,46}},
                  lineColor={0,0,255},
                  textString="Carotid Artery Pressure")}),
                                         Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-104,-54},{110,-76}},
                  lineColor={0,0,255},
                  textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>

<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>",   info="<html>
<p>Blood volume (and pressure) distributions between </p>
<p><ul>
<li>systemic arteries, </li>
<li>systemic veins and</li>
<li>portal (splanchnic) vein.</li>
</ul></p>
<p>Blood flow throught: </p>
<p><ul>
<li>GIT, hepatic artery, liver</li>
<li>Kidney</li>
<li>CNS</li>
<li>Skeletal muscle</li>
<li>Respiratory muscle</li>
<li>Skin</li>
<li>Bones</li>
<li>Adipose tissue</li>
<li>Other tissue</li>
</ul></p>
</html>"));
        end SystemicCirculationBase2;

        model SystemicCirculation
          extends develop.SystemicCirculationBase2;
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant const8(k=0)
          annotation (Placement(transformation(extent={{93,-62},{86,-55}})));
        Physiolibrary.Hydraulic.Components.HydrostaticColumn
          hydrostaticDifference(useExternalG=true, useHeightInput=true)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={54,-66})));
          SequesteredBlood sequesteredBlood(data={{0,0,10^(-10)},{50,97,1.0},{200,150,0.5}},
              initialVol=50.0044,
            pressureControledCompartment(stateName="BVSeqArtys.Vol"))
            annotation (Placement(transformation(extent={{80,-82},{100,-62}})));
          SequesteredBlood sequesteredBlood1(                data={{0,-100,2.00},{150,11,
                0.11},{600,50,0.15}}, initialVol=120.691,
            pressureControledCompartment(stateName="BVSeqVeins.Vol"))
            annotation (Placement(transformation(extent={{-62,-76},{-44,-58}})));
        Physiolibrary.Hydraulic.Components.HydrostaticColumn
          hydrostaticDifference1(
          useExternalG=true,
          useHeightInput=true,
          usePumpEffect=true)
          annotation (Placement(transformation(extent={{-5,-72},{-25,-52}})));
        Physiolibrary.Types.Constants.PressureConst const12(k=0)
          annotation (Placement(transformation(extent={{-52,-54},{-59,-47}})));
          Physiolibrary.Hydraulic.OneWayResistorWithCondParam
            oneWayResistorWithCondParam(cond=40)
            annotation (Placement(transformation(extent={{64,-88},{84,-68}})));
          Physiolibrary.Hydraulic.OneWayResistorWithCondParam
            oneWayResistorWithCondParam1(cond=40)
            annotation (Placement(transformation(extent={{84,-78},{64,-58}})));
          Physiolibrary.Hydraulic.OneWayResistorWithCondParam
            oneWayResistorWithCondParam2(cond=100)
            annotation (Placement(transformation(extent={{-46,-82},{-26,-62}})));
          Physiolibrary.Hydraulic.OneWayResistorWithCondParam
            oneWayResistorWithCondParam3(cond=100)
            annotation (Placement(transformation(extent={{-26,-72},{-46,-52}})));
        equation
          connect(sequesteredBlood.ExternalPressure,const8. y) annotation (Line(
              points={{81,-62},{81,-58.5},{85.65,-58.5}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(hydrostaticDifference.q_up, systemicArtys.q_in) annotation (Line(
            points={{61.2,-61.2},{62,-56},{62,0},{75.5,0},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(sequesteredBlood1.ExternalPressure,const12. y) annotation (Line(
              points={{-61.1,-58},{-61.1,-50.5},{-59.35,-50.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(hydrostaticDifference1.q_up,
            systemicVeinsElacticBloodCompartment.referencePoint) annotation (Line(
              points={{-22.2,-57.2},{-22.2,0},{-44,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(hydrostaticDifference1.height, busConnector.LowerTorsoVeinHeight)
            annotation (Line(
              points={{-8.9,-62.3},{46,-62.3},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(hydrostaticDifference1.pumpEffect, busConnector.Exercise_MusclePump_Effect)
            annotation (Line(
              points={{-13.5,-52.5},{46,-52.5},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(hydrostaticDifference.height, busConnector.LowerTorsoArtyHeight)
            annotation (Line(
              points={{47.9,-66.5},{46,-66.5},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(sequesteredBlood1.Vol, busConnector.LegVeins_DeoxygenatedBloodVolume)
            annotation (Line(
              points={{-56.6,-76},{-58,-76},{-58,-84},{46,-84},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(sequesteredBlood.Vol, busConnector.LegArtys_OxygenatedBloodVolume)
            annotation (Line(
              points={{86,-82},{86,-84},{46,-84},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(G.y,hydrostaticDifference1. G) annotation (Line(
              points={{34,21.6},{34,-84},{-16.5,-84},{-16.5,-70.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(G.y,hydrostaticDifference. G) annotation (Line(
              points={{34,21.6},{34,-84},{55.5,-84},{55.5,-74.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(hydrostaticDifference.q_down, oneWayResistorWithCondParam1.q_out)
            annotation (Line(
              points={{61,-71.6},{61,-72.8},{64,-72.8},{64,-68}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(hydrostaticDifference.q_down, oneWayResistorWithCondParam.q_in)
            annotation (Line(
              points={{61,-71.6},{61,-72.8},{64,-72.8},{64,-78}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(oneWayResistorWithCondParam1.q_in, sequesteredBlood.referencePoint)
            annotation (Line(
              points={{84,-68},{84,-72},{90,-72}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(oneWayResistorWithCondParam.q_out, sequesteredBlood.referencePoint)
            annotation (Line(
              points={{84,-78},{84,-72},{90,-72}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(hydrostaticDifference1.q_down, oneWayResistorWithCondParam3.q_in)
            annotation (Line(
              points={{-22,-67.4},{-24,-67.4},{-24,-62},{-26,-62}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(hydrostaticDifference1.q_down, oneWayResistorWithCondParam2.q_out)
            annotation (Line(
              points={{-22,-67.4},{-24,-67.4},{-24,-72},{-26,-72}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(sequesteredBlood1.referencePoint, oneWayResistorWithCondParam3.q_out)
            annotation (Line(
              points={{-53,-67},{-50.5,-67},{-50.5,-62},{-46,-62}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(sequesteredBlood1.referencePoint, oneWayResistorWithCondParam2.q_in)
            annotation (Line(
              points={{-53,-67},{-49.5,-67},{-49.5,-72},{-46,-72}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
        end SystemicCirculation;

        model SystemicCirculationBase

          extends Physiolibrary.Icons.SystemicCirculation;

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{90,-10},{110,
                  10}})));
        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out
          "Blood outflow"
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                          iconTransformation(extent={{-110,-10},{
                  -90,10}})));
          /*
  Library.PressureFlow.NegativePressureFlow fromSystemicVeins annotation (
      Placement(transformation(extent={{-110,-10},{-90,10}}),iconTransformation(
          extent={{-112,44},{-92,64}})));
  Library.PressureFlow.PositivePressureFlow systemicArteries
    annotation (Placement(transformation(extent={{88,-10},{108,10}}),
        iconTransformation(extent={{90,46},{110,66}})));
*/

        Physiolibrary.Hydraulic.Components.ElasticVessel systemicArtys(
          stateName="SystemicArtys.Vol",
          useComplianceInput=true,
          useExternalPressureInput=true,
          useV0Input=true,
          volume_start=0.00100036)
          annotation (Placement(transformation(extent={{65,-10},{86,11}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant V0_artys(k=850)
          annotation (Placement(transformation(extent={{98,18},{88,28}})));
        Physiolibrary.Types.Constants.HydraulicComplianceConst
          SystemicVeinsCompliance(k=6.645545561992547e-007)
          annotation (Placement(transformation(extent={{-27,10},{-35,18}})));
        PeripheralCirculation peripheral
          annotation (Placement(transformation(extent={{-2,-14},{26,14}})));
        Physiolibrary.Hydraulic.Sources.UnlimitedPump volumeCorrections(
            useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{-28,24},{-42,38}})));
        SystemicVeins veins(BaseConductance=856)
          "scaled to coronary vessels reorganisation"
          annotation (Placement(transformation(extent={{-72,-8},{-56,8}})));
          SystemicVeinsElacticBloodCompartment
            systemicVeinsElacticBloodCompartment
            annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
        Physiolibrary.Types.Constants.PressureConst SystemicArtysExternalPressure(
            k=0) annotation (Placement(transformation(extent={{86,14},{79,21}})));
        Physiolibrary.Types.Constants.PressureConst SystemicVeinsExternalPressure(
            k=0)
          annotation (Placement(transformation(extent={{-36,16},{-43,23}})));
        Physiolibrary.Types.BusConnector busConnector
          "signals of organ bood flow resistence" annotation (Placement(
              transformation(extent={{36,40},{56,60}}), iconTransformation(
                extent={{-110,32},{-94,48}})));
        Physiolibrary.Types.Constants.HydraulicComplianceConst
          SystemicArtysCompliance(k=1.162595442560773e-008)
          annotation (Placement(transformation(extent={{96,8},{89,15}})));
        CollapsingVeins collapsedVeins annotation (Placement(transformation(
              extent={{-10,10.5},{10,-10.5}},
              rotation=180,
              origin={-84.5,0})));
        Physiolibrary.Hydraulic.Components.HydrostaticColumn
          gravityHydrostaticDifference(useExternalG=true, useHeightInput=true)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={61,35})));
        Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure
          annotation (Placement(transformation(
              extent={{8.5,-8.5},{-8.5,8.5}},
              origin={78.5,45.5})));
          Modelica.Blocks.Math.Gain G(k=9.81) annotation (Placement(transformation(
                extent={{4,-4},{-4,4}},
                rotation=90,
                origin={34,26})));
        Microcirculation.LeftHeart leftCororaryCirculation(
            BasicLargeVeselsConductance=50*0.93677109469950528615290800207779,
            BasicSmallVeselsConductance=2.2*0.93677109469950528615290800207779)
          "scaled to normal pressure gradient 94 mmHg"
          annotation (Placement(transformation(extent={{-10,76},{10,96}})));
        Microcirculation.RightHeart rightCororaryCirculation(
            BasicLargeVeselsConductance=10*0.93677109469950528615290800207779,
            BasicSmallVeselsConductance=0.4*0.93677109469950528615290800207779)
          "scaled to normal pressure gradient 94 mmHg"
          annotation (Placement(transformation(extent={{-42,62},{-22,82}})));
        SplanchnicCirculation splanchnicCirculation
          annotation (Placement(transformation(extent={{-8,-44},{30,-6}})));
        equation
          connect(systemicArtys.compliance, SystemicArtysCompliance.y)
                                                      annotation (Line(
              points={{81.8,11},{81.8,11.5},{88.65,11.5}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(systemicArtys.zeroPressureVolume, V0_artys.y) annotation (Line(
            points={{69.2,11},{69.2,23},{87.5,23}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector, peripheral.busConnector)          annotation (
              Line(
              points={{46,50},{46,2.66},{21.66,2.66}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(veins.busConnector,busConnector)           annotation (
             Line(
              points={{-58.48,1.52},{-60,1.52},{-60,50},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(SystemicVeinsCompliance.y, systemicVeinsElacticBloodCompartment.Compliance)
            annotation (Line(
              points={{-35.4,14},{-38.2,14},{-38.2,10},{-38,10}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector,systemicVeinsElacticBloodCompartment. busConnector)
            annotation (Line(
              points={{46,50},{-26,50},{-26,6.1},{-34.2,6.1}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.referencePoint,volumeCorrections. q_out)
            annotation (Line(
              points={{-44,0},{-46,0},{-46,31.7},{-42,31.7}},
              color={0,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(systemicArtys.externalPressure, SystemicArtysExternalPressure.y)
                                                            annotation (Line(
              points={{75.5,11},{75.5,17.5},{78.65,17.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.ExternalPressure,
            SystemicVeinsExternalPressure.y)
            annotation (Line(
              points={{-44,10},{-44,19.5},{-43.35,19.5}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(busConnector.BloodVolume_change, volumeCorrections.solutionFlow)
          annotation (Line(
            points={{46,50},{-35,50},{-35,35.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(systemicArtys.compliance, SystemicArtysCompliance.y)
                                                      annotation (Line(
              points={{81.8,11},{81.8,11.5},{88.65,11.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(collapsedVeins.ExternalPressure, busConnector.Thorax_AvePressure)
            annotation (Line(
              points={{-90.5,2.1},{-90,2.1},{-90,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(pressureMeasure.pressure, busConnector.CarotidSinus_Pressure)
          annotation (Line(
            points={{74.08,43.8},{46,43.8},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(gravityHydrostaticDifference.height, busConnector.CarotidSinusHeight)
            annotation (Line(
              points={{54.9,34.5},{46,32},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(gravityHydrostaticDifference.q_down, systemicArtys.q_in)
          annotation (Line(
            points={{68,29.4},{68,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(systemicArtys.Pressure, busConnector.SystemicArtys_Pressure)
            annotation (Line(
              points={{79.7,-10},{80,-10},{80,-28},{46,-28},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{3,-3},{3,-3}}));

          connect(gravityHydrostaticDifference.q_up, pressureMeasure.q_in)
            annotation (Line(
              points={{68.2,39.8},{80,39.8},{80,42.1},{80.2,42.1}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(pressureMeasure.pressure, busConnector.CarotidSinusArteryPressure)
          annotation (Line(
            points={{74.08,43.8},{46,43.8},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.Pressure, busConnector.SystemicVeins_Pressure)
            annotation (Line(
              points={{-40,-10},{-40,-28},{46,-28},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(systemicVeinsElacticBloodCompartment.V0, busConnector.SystemicVeins_V0)
            annotation (Line(
              points={{-50.8,10},{-50.8,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(V0_artys.y, busConnector.SystemicArtys_V0) annotation (Line(
              points={{87.5,23},{70,23},{70,22},{46,22},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.Vol, busConnector.SystemicVeins_DeoxygenatedBloodVolume)
            annotation (Line(
              points={{-48,-10},{-48,-28},{46,-28},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(systemicArtys.volume, busConnector.SystemicArtys_OxygenatedBloodVolume)
          annotation (Line(
            points={{71.3,-10},{72,-10},{72,-28},{46,-28},{46,50}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(q_in, systemicArtys.q_in) annotation (Line(
            points={{100,0},{99.75,0},{99.75,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(collapsedVeins.q_out, q_out) annotation (Line(
              points={{-74.5,-1.22465e-015},{-96.25,-1.22465e-015},{-96.25,0},{
                -100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.Gravity_Gz, G.u) annotation (Line(
              points={{46,50},{46,38},{34,38},{34,30.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(G.y, gravityHydrostaticDifference.G) annotation (Line(
              points={{34,21.6},{34,16},{62.5,16},{62.5,26.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(rightCororaryCirculation.busConnector, busConnector)
                                                                  annotation (
              Line(
              points={{-25.1,73.9},{46,73.9},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.busConnector, busConnector)
                                                                 annotation (Line(
              points={{6.9,87.9},{46,87.9},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.BloodFlow, busConnector.leftHeart_BloodFlow)
            annotation (Line(
              points={{7,84},{46,84},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(rightCororaryCirculation.BloodFlow, busConnector.rightHeart_BloodFlow)
            annotation (Line(
              points={{-25,70},{22,70},{22,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(leftCororaryCirculation.BloodFlow, busConnector.LeftHeart_BloodFlow)
            annotation (Line(
              points={{7,84},{46,84},{46,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(rightCororaryCirculation.BloodFlow, busConnector.RightHeart_BloodFlow)
            annotation (Line(
              points={{-25,70},{22,70},{22,50},{46,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(splanchnicCirculation.busConnector, busConnector) annotation (
              Line(
              points={{-8,-15.5},{-8,50},{46,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        connect(splanchnicCirculation.q_in, systemicArtys.q_in) annotation (Line(
            points={{30,-25},{62,-25},{62,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(splanchnicCirculation.q_out,
            systemicVeinsElacticBloodCompartment.referencePoint) annotation (Line(
              points={{-8,-25},{-22,-25},{-22,0},{-44,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(peripheral.q_in, systemicArtys.q_in) annotation (Line(
            points={{26,1.77636e-015},{52,1.77636e-015},{52,0.5},{75.5,0.5}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
          connect(peripheral.q_out, systemicVeinsElacticBloodCompartment.referencePoint)
            annotation (Line(
              points={{-2,1.77636e-015},{-24,1.77636e-015},{-24,0},{-44,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(rightCororaryCirculation.q_out, q_out) annotation (Line(
              points={{-42,72},{-60,72},{-60,86},{-100,86},{-100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.q_out, q_out) annotation (Line(
              points={{-10,86},{-100,86},{-100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(leftCororaryCirculation.q_in, q_in) annotation (Line(
              points={{10,86},{100,86},{100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(systemicVeinsElacticBloodCompartment.referencePoint, veins.q_in)
            annotation (Line(
              points={{-44,0},{-56,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(veins.q_out, collapsedVeins.q_in) annotation (Line(
              points={{-72,0},{-73.25,0},{-73.25,1.22465e-015},{-94.5,
                1.22465e-015}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));

          connect(rightCororaryCirculation.q_in, q_in) annotation (Line(
              points={{-22,72},{36,72},{36,86},{100,86},{100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
         annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={Text(
                  extent={{42,46},{74,46}},
                  lineColor={0,0,255},
                  textString="Carotid Artery Pressure")}),
                                         Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-104,-54},{110,-76}},
                  lineColor={0,0,255},
                  textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>

<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>",   info="<html>
<p>Blood volume (and pressure) distributions between </p>
<p><ul>
<li>systemic arteries, </li>
<li>systemic veins and</li>
<li>portal (splanchnic) vein.</li>
</ul></p>
<p>Blood flow throught: </p>
<p><ul>
<li>GIT, hepatic artery, liver</li>
<li>Kidney</li>
<li>CNS</li>
<li>Skeletal muscle</li>
<li>Respiratory muscle</li>
<li>Skin</li>
<li>Bones</li>
<li>Adipose tissue</li>
<li>Other tissue</li>
</ul></p>
</html>"));
        end SystemicCirculationBase;

        model GuytonOutputPump

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in annotation (
            extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                              iconTransformation(extent={{-110,-10},{-90,10}})));
          Modelica.Blocks.Interfaces.RealInput inputPressure
                                                      annotation (Placement(
                transformation(extent={{-96,54},{-56,94}}), iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={-80,60})));

        equation
          q_in.pressure = inputPressure;

          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Text(
                  extent={{-104,-54},{110,-76}},
                  lineColor={0,0,255},
                  textString="%name"),
                Rectangle(
                  extent={{-100,-50},{100,50}},
                  lineColor={0,0,127},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{-80,25},{80,0},{-80,-25},{-80,25}},
                  lineColor={0,0,127},
                  fillColor={0,0,127},
                  fillPattern=FillPattern.Solid)}));
        end GuytonOutputPump;

        model GuytonPump

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out annotation (
            extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                              iconTransformation(extent={{90,-10},{110,10}})));
        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in annotation (
            extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                              iconTransformation(extent={{-110,-10},{-90,10}})));
          Modelica.Blocks.Interfaces.RealInput inputPressure
                                                      annotation (Placement(
                transformation(extent={{-96,54},{-56,94}}), iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={-80,60})));

        equation
          q_in.pressure = inputPressure;
          q_in.q + q_out.q = 0;

          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Text(
                  extent={{-104,-54},{110,-76}},
                  lineColor={0,0,255},
                  textString="%name"),
                Rectangle(
                  extent={{-100,-50},{100,50}},
                  lineColor={0,0,127},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{-80,25},{80,0},{-80,-25},{-80,25}},
                  lineColor={0,0,127},
                  fillColor={0,0,127},
                  fillPattern=FillPattern.Solid)}));
        end GuytonPump;

        model SystemicVeinsElacticBloodCompartment2
         extends Physiolibrary.Icons.ElasticBalloon;

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a referencePoint
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                          iconTransformation(
              extent={{-10,-10},{10,10}})));
          Modelica.Blocks.Interfaces.RealInput ExternalPressure(
                                                              final quantity="Pressure", final displayUnit="mmHg")
          "external pressure around the compartment"                              annotation (extent = [-10,90;10,110], rotation = -90,
          Placement(transformation(
              origin={0,100},
              extent={{-10,-10},{10,10}},
              rotation=270)));
          Modelica.Blocks.Interfaces.RealInput Compliance(
                                                        final quantity="Compliance", final displayUnit="ml/mmHg")
          "elasticity of the stressed walls"                               annotation (extent = [50,90;70,110], rotation = -90,
          Placement(transformation(
              origin={60,100},
              extent={{-10,-10},{10,10}},
              rotation=270)));

          Modelica.Blocks.Interfaces.RealOutput Pressure(  final quantity="Pressure", final displayUnit="mmHg")
          "blod pressure in compartment"
            annotation (Placement(transformation(extent={{30,-110},{50,-90}}, rotation=-90)));
        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{-88,72},{-68,92}}), iconTransformation(
                extent={{88,51},{108,71}})));
        Physiolibrary.Blocks.Factors.Spline V0_A2_Effect(data={{0.0,1.05,0.0},{
              1.3,1.00,-0.10},{3.0,0.85,0.0}})
          annotation (Placement(transformation(extent={{-30,7},{-10,27}})));
        Physiolibrary.Types.Constants.VolumeConst V0_Base(k=0.0018298)
          annotation (Placement(transformation(extent={{-32,48},{-23,39}})));
          Physiomodel.Nerves.AplhaReceptorsActivityFactor AplhaReceptors(
            NEURALK=0.333,
            HUMORALK=0.5,
            data={{0.0,1.2,0.0},{1.0,1.0,-0.30},{3.0,0.6,0.0}})
            annotation (Placement(transformation(extent={{-30,20},{-10,40}})));
          Modelica.Blocks.Interfaces.RealOutput V0(final quantity="Volume", final displayUnit="ml")
          "maximal zero pressure blood volume in compartment"
            annotation (Placement(transformation(extent={{-4.5,-4.5},{4.5,4.5}},rotation=180,
                origin={-27.5,5.5}),
                iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-68,100})));

          parameter Real initialSystemisVeinsVol(final quantity="Volume", final unit =   "ml")= 2329.57; // = 2200;// = 2980;

          Modelica.Blocks.Interfaces.RealOutput NormalizedVolume(final quantity=
                "NormalizedVolume", final displayUnit="1")
          "maximal zero pressure blood volume in compartment"
            annotation (Placement(transformation(extent={{-4.5,-4.5},{4.5,4.5}},origin={22.5,9.5}),
                iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={-100,56})));
          Modelica.Blocks.Interfaces.RealInput BloodVolume
                                                    annotation (Placement(
                transformation(
                extent={{-20,-20},{20,20}},
                rotation=90,
                origin={-40,-100})));

          Real StressedVolume(   final quantity="Volume", final displayUnit="ml");

        equation
          StressedVolume = max(BloodVolume-V0,0);
          Pressure = (StressedVolume/Compliance) + ExternalPressure;
          referencePoint.pressure = Pressure;

          NormalizedVolume = if initialSystemisVeinsVol==0 then 0 else BloodVolume/initialSystemisVeinsVol;

          connect(AplhaReceptors.y,V0_A2_Effect. yBase) annotation (Line(
              points={{-20,23},{-20,19}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AplhaReceptors.yBase, V0_Base.y)
                                                  annotation (Line(
              points={{-20,37},{-20,43.5},{-21.875,43.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.A2Pool_Log10Conc, V0_A2_Effect.u) annotation (
              Line(
              points={{-78,82},{-78,17},{-28,17}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.GangliaGeneral_NA, AplhaReceptors.GangliaGeneral_NA)
            annotation (Line(
              points={{-78,82},{-78,24},{-29.8,24}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.AlphaPool_Effect, AplhaReceptors.AlphaPool_Effect)
            annotation (Line(
              points={{-78,82},{-78,36},{-29.8,36}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.AlphaBlocade_Effect, AplhaReceptors.AlphaBlockade_Effect)
            annotation (Line(
              points={{-78,82},{-78,30},{-29.8,30}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(V0_A2_Effect.y, V0) annotation (Line(
              points={{-20,13},{-20,5.5},{-27.5,5.5}},
              color={0,0,127},
              smooth=Smooth.None));

         annotation (
            Documentation(info="<HTML>
<PRE>
  Elastic blood flow compartment.
</PRE>
</HTML>
",       revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>

<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end SystemicVeinsElacticBloodCompartment2;

        model VascularElasticBloodCompartment
          extends Physiolibrary.SteadyStates.Interfaces.SteadyState;
          extends
          Physiomodel.CardioVascular.Circulation.Interfaces.IVascularElasticBloodCompartment;

          Real StressedVolume(   final quantity="Volume", final displayUnit="ml");

          Modelica.Blocks.Interfaces.RealOutput NormalizedVolume(final quantity="NormalizedVolume",
              final displayUnit="1")
          "actual volume divided by standard compartement volume"
            annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-40,-100}), iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={100,60})));
        //initial equation
        //  Vol = initialVol;
         // der(Vol) = 0;
        equation

          StressedVolume = max(Vol-V0,0);
          Pressure = (StressedVolume/Compliance) + ExternalPressure;
          referencePoint.pressure = Pressure;

          NormalizedVolume = if initialVol==0 then 0 else Vol/initialVol;

        state = Vol;
          change = referencePoint.q/60;

         annotation (
            preferredView = text,
            Documentation(info="<HTML>
<PRE>
  Elastic blood flow compartment.
</PRE>
</HTML>
",       revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>

<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>january 2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"),   Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                    {100,100}}), graphics={Text(
                  extent={{-100,-16},{100,-32}},
                  lineColor={0,0,255},
                  textString="(initial %initialVol ml)")}));
        end VascularElasticBloodCompartment;
      end develop;
    annotation (Documentation(revisions="<html>
</html>"));
    end Circulation;

    package Microcirculation
    "Tissue vessels hydraulic conductance (=1/resistance)"
      class References "References"
        extends Modelica.Icons.References;

        annotation (Documentation(info="<html>
<table>

	<tr>
		<td>[Archer1996]</td>
		<td>S. L. Archer, J. M. C. Huang, H. L. Reeve, V. Hampl, S. Tolarová, E. Michelakis, et al., \"Differential Distribution of Electrophysiologically Distinct Myocytes in Conduit and Resistance Arteries Determines Their Response to Nitric Oxide and Hypoxia,\" Circulation Research, vol. 78, pp. 431-442, March 1, 1996 1996. </td>
	</tr>
	<tr>
		<td>[Aukland1989]</td>
		<td>K. Aukland, \"Myogenic mechanisms in the kidney,\" Journal of hypertension. Supplement: official journal of the International Society of Hypertension, vol. 7, pp. S71-6; discussion S77, 1989. </td>
	</tr>
	<tr>
		<td>[Berg1997]</td>
		<td>B. R. Berg, K. D. Cohen, and I. H. Sarelius, \"Direct coupling between blood flow and metabolism at the capillary level in striated muscle,\" American Journal of Physiology-Heart and Circulatory Physiology, vol. 41, p. H2693, 1997. </td>
	</tr>
	<tr>
		<td>[Borgström1975]</td>
		<td>L. Borgström, H. Jóhannsson, and B. K. Siesjö, \"The Relationship between Arterial PO2 and Cerebral Blood Flow in Hypoxic Hypoxia,\" Acta Physiologica Scandinavica, vol. 93, pp. 423-432, 1975. </td>
	</tr>
	<tr>
		<td>[BRADLEY1952]</td>
		<td>S. E. BRADLEY, F. J. INGELFINGER, and G. P. BRADLEY, \"Hepatic Circulation in Cirrhosis of the Liver,\" Circulation, vol. 5, pp. 419-429, March 1, 1952 1952. </td>
	</tr>
	<tr>
		<td>[Bradley1953]</td>
		<td>S. E. Bradley, P. A. Marks, P. C. Reynell, and J. Meltzer, \"The circulating splanchnic blood volume in dog and man,\" Trans Assoc Am Physicians, vol. 66, pp. 294-302, 1953. </td>
	</tr>
	<tr>
		<td>[Breslow1993]</td>
		<td>M. J. Breslow, J. R. Tobin, D. S. Bredt, C. D. Ferris, S. H. Snyder, and R. J. Traystman, Nitric oxide as a regulator of adrenal blood flow vol. 264, 1993. </td>
	</tr>
	<tr>
		<td>[Burattini1994]</td>
		<td>R. Burattini, P. Borgdorff, and N. Westerhof, \"Relationship between strength of short-term systemic autoregulation and initial resistance,\" American Journal of Physiology-Regulatory Integrative and Comparative Physiology, vol. 36, p. R1182, 1994. </td>
	</tr>
	<tr>
		<td>[Coleman1972]</td>
		<td>T. G. Coleman, R. D. Manning, Jr., R. A. Norman, Jr., and A. C. Guyton, \"Dynamics of water-isotope distribution,\" Am J Physiol, vol. 223, pp. 1371-5, Dec 1972. </td>
	</tr>
	<tr>
		<td>[Davidson1986]</td>
		<td>D. Davidson, S. A. Stalcup, and R. B. Mellins, Systemic hemodynamics affecting cardiac output during hypocapnic and hypercapnic hypoxia vol. 60, 1986. </td>
	</tr>
	<tr>
		<td>[Drummond2008]</td>
		<td>H. A. Drummond, S. C. Grifoni, and N. L. Jernigan, \"A new trick for an old dogma: ENaC proteins as mechanotransducers in vascular smooth muscle,\" Physiology, vol. 23, pp. 23-31, 2008. </td>
	</tr>
	<tr>
		<td>[Fitzgerald1980]</td>
		<td>G. A. Fitzgerald, P. Barnes, C. A. Hamilton, and C. T. Dollery, \"Circulating adrenaline and blood pressure: the metabolic effects and kinetics of infused adrenaline in man,\" European Journal of Clinical Investigation, vol. 10, pp. 401-406, 1980. </td>
	</tr>
	<tr>
		<td>[Frisbee2000]</td>
		<td>J. C. Frisbee and J. H. Lombard, \"Increased Intravascular Pressure Does Not Enhance Skeletal Muscle Arteriolar Constriction to Oxygen or Angiotensin II,\" Microvascular Research, vol. 59, pp. 176-180, 1// 2000. </td>
	</tr>
	<tr>
		<td>[Frisbee2000]</td>
		<td>J. C. Frisbee and J. H. Lombard, \"Short-term angiotensin converting enzyme inhibition reduces basal tone and dilator reactivity in skeletal muscle arterioles*,\" American Journal of Hypertension, vol. 13, pp. 389-395, April 1, 2000 2000. </td>
	</tr>
	<tr>
		<td>[Gibbs1942]</td>
		<td>E. L. Gibbs, F. A. Gibbs, W. G. Lennox, and L. F. Nims, \"REgulation of cerebral carbon dioxide,\" Archives of Neurology & Psychiatry, vol. 47, pp. 879-889, 1942. </td>
	</tr>
	<tr>
		<td>[Goodman1978]</td>
		<td>A. H. Goodman, R. Einstein, and H. J. Granger, \"Effect of changing metabolic rate on local blood flow control in the canine hindlimb,\" Circulation Research, vol. 43, pp. 769-76, November 1, 1978 1978. </td>
	</tr>
	<tr>
		<td>[Granger1969]</td>
		<td>H. J. Granger and A. C. Guyton, \"Autoregulation of the Total Systemic Circulation Following Destruction of the Central Nervous System in the Dog,\" Circulation Research, vol. 25, pp. 379-388, October 1, 1969 1969. </td>
	</tr>
	<tr>
		<td>[Granger1976]</td>
		<td>H. J. Granger, A. H. Goodman, and D. N. Granger, \"Role of resistance and exchange vessels in local microvascular control of skeletal muscle oxygenation in the dog,\" Circulation Research, vol. 38, pp. 379-85, May 1, 1976 1976. </td>
	</tr>
	<tr>
		<td>[Greenway1973]</td>
		<td>C. Greenway and G. Oshiro, \"Effects of histamine on hepatic volume (outflow block) in anaesthetized dogs,\" British journal of pharmacology, vol. 47, pp. 282-290, 1973. </td>
	</tr>
	<tr>
		<td>[Greenway1974]</td>
		<td>C. V. Greenway and G. E. Lister, \"Capacitance effects and blood reservoir function in the splanchnic vascular bed during non-hypotensive haemorrhage and blood volume expansion in anaesthetized cats,\" The Journal of Physiology, vol. 237, pp. 279-294, March 1, 1974 1974. </td>
	</tr>
	<tr>
		<td>[Greenway1985]</td>
		<td>C. V. Greenway, K. L. Seaman, and I. R. Innes, Norepinephrine on venous compliance and unstressed volume in cat liver vol. 248, 1985. </td>
	</tr>
	<tr>
		<td>[Gutsche1980]</td>
		<td>H. U. Gutsche, R. Müller-Suur, U. Hegel, and K. Hierholzer, \"Electrical conductivity of tubular fluid of the rat nephron,\" Pflügers Archiv, vol. 383, pp. 113-121, 1980/01/01 1980. </td>
	</tr>
	<tr>
		<td>[Harder1996]</td>
		<td>D. R. Harder, J. Narayanan, E. K. Birks, J. F. Liard, J. D. Imig, J. H. Lombard, et al., \"Identification of a Putative Microvascular Oxygen Sensor,\" Circulation Research, vol. 79, pp. 54-61, July 1, 1996 1996. </td>
	</tr>
	<tr>
		<td>[Harder1996]</td>
		<td>D. R. Harder, J. Narayanan, E. K. Birks, J. F. Liard, J. D. Imig, J. H. Lombard, et al., \"Identification of a Putative Microvascular Oxygen Sensor,\" Circulation Research, vol. 79, pp. 54-61, July 1, 1996 1996. </td>
	</tr>
	<tr>
		<td>[Heyeraas1987]</td>
		<td>K. J. Heyeraas and K. Aukland, \"Interlobular arterial resistance: Influence of renal arterial pressure and angiotensin II,\" Kidney Int, vol. 31, pp. 1291-1298, 06//print 1987. </td>
	</tr>
	<tr>
		<td>[Hogan1990]</td>
		<td>M. C. Hogan, D. E. Bebout, A. T. Gray, P. D. Wagner, J. B. West, and P. E. Haab, Muscle maximal O2 uptake at constant O2 delivery with and without CO in the blood vol. 69, 1990. </td>
	</tr>
	<tr>
		<td>[Ito1990]</td>
		<td>S. Ito and O. A. Carretero, \"An in vitro approach to the study of macula densa-mediated glomerular hemodynamics,\" Kidney Int, vol. 38, pp. 1206-10, Dec 1990. </td>
	</tr>
	<tr>
		<td>[Ito1992]</td>
		<td>S. Ito, O. A. Carretero, K. Abe, L. A. Juncos, and K. Yoshinaga, \"Macula Densa Control of Renin Release and Glomerular Hemodynamics,\" The Tohoku Journal of Experimental Medicine, vol. 166, pp. 27-39, 1992. </td>
	</tr>
	<tr>
		<td>[Itoh1985]</td>
		<td>S. Itoh and O. A. Carretero, \"Role of the macula densa in renin release,\" Hypertension, vol. 7, p. I49, 1985. </td>
	</tr>
	<tr>
		<td>[Kety1948]</td>
		<td>S. S. Kety and C. F. Schmidt, \"THE EFFECTS OF ALTERED ARTERIAL TENSIONS OF CARBON DIOXIDE AND OXYGEN ON CEREBRAL BLOOD FLOW AND CEREBRAL OXYGEN CONSUMPTION OF NORMAL YOUNG MEN 1,\" The Journal of Clinical Investigation, vol. 27, pp. 484-492, 1948. </td>
	</tr>
	<tr>
		<td>[Kunert1996]</td>
		<td>M. P. Kunert, J. F. Liard, D. J. Abraham, and J. H. Lombard, \"Low-Affinity Hemoglobin Increases Tissue PO2and Decreases Arteriolar Diameter and Flow in the Rat Cremaster Muscle,\" Microvascular Research, vol. 52, pp. 58-68, 7// 1996. </td>
	</tr>
	<tr>
		<td>[Kuwahira1993]</td>
		<td>I. Kuwahira, N. Heisler, J. Piiper, and N. C. Gonzalez, \"Effect of chronic hypoxia on hemodynamics, organ blood flow and O2 supply in rats,\" Respiration Physiology, vol. 92, pp. 227-238, 5// 1993. </td>
	</tr>
	<tr>
		<td>[Laine1979]</td>
		<td>G. A. Laine, J. T. Hall, S. H. Laine, and J. Granger, \"Transsinusoidal fluid dynamics in canine liver during venous hypertension,\" Circulation Research, vol. 45, pp. 317-23, September 1, 1979 1979. </td>
	</tr>
	<tr>
		<td>[Lash1987]</td>
		<td>J. M. Lash and H. G. Bohlen, Perivascular and tissue PO2 in contracting rat spinotrapezius muscle vol. 252, 1987. </td>
	</tr>
	<tr>
		<td>[Lassen1959]</td>
		<td>N. A. Lassen, Cerebral blood flow and oxygen consumption in man: Am Physiological Soc, 1959. </td>
	</tr>
	<tr>
		<td>[Lautt1987]</td>
		<td>W. W. Lautt, C. V. Greenway, and D. J. Legare, \"Effect of hepatic nerves, norepinephrine, angiotensin, and elevated central venous pressure on postsinusoidal resistance sites and intrahepatic pressures in cats,\" Microvascular Research, vol. 33, pp. 50-61, 1// 1987. </td>
	</tr>
	<tr>
		<td>[Maass-Moreno1992]</td>
		<td>R. Maass-Moreno and C. F. Rothe, \"Contribution of the large hepatic veins to postsinusoidal vascular resistance,\" Am J Physiol Gastrointest Liver Physiol, vol. 262, pp. G14-G22, 1992. </td>
	</tr>
	<tr>
		<td>[Malo1984]</td>
		<td>J. Malo, H. Goldberg, R. Graham, H. Unruh, and C. Skoog, Effect of hypoxic hypoxia on systemic vasculature vol. 56, 1984. </td>
	</tr>
	<tr>
		<td>[Manning1987]</td>
		<td>R. D. Manning, Renal hemodynamic, fluid volume, and arterial pressure changes during hyperproteinemia vol. 252, 1987. </td>
	</tr>
	<tr>
		<td>[Manning1990]</td>
		<td>R. D. Manning, Effects of hypoproteinemia on blood volume and arterial pressure of volume-loaded dogs vol. 259, 1990. </td>
	</tr>
	<tr>
		<td>[Manning1983]</td>
		<td>R. D. Manning and A. C. Guyton, Effects of hypoproteinemia on fluid volumes and arterial pressure vol. 245, 1983. </td>
	</tr>
	<tr>
		<td>[Marshall1995]</td>
		<td>J. Marshall, Skeletal Muscle Vasculature and Systemic Hypoxia vol. 10, 1995. </td>
	</tr>
	<tr>
		<td>[Marshall1988]</td>
		<td>J. M. Marshall and J. D. Metcalfe, \"Analysis of the cardiovascular changes induced in the rat by graded levels of systemic hypoxia,\" The Journal of Physiology, vol. 407, pp. 385-403, December 1, 1988 1988. </td>
	</tr>
	<tr>
		<td>[Metting1988]</td>
		<td>P. J. Metting, J. R. Strader, and S. L. Britton, Evaluation of whole body autoregulation in conscious dogs vol. 255, 1988. </td>
	</tr>
	<tr>
		<td>[Metting1989]</td>
		<td>P. J. Metting, P. M. Stein, B. A. Stoos, K. A. Kostrzewski, and S. L. Britton, Systemic vascular autoregulation amplifies pressor responses to vasoconstrictor agents vol. 256, 1989. </td>
	</tr>
	<tr>
		<td>[Mitzner1974]</td>
		<td>W. Mitzner, Hepatic outflow resistance, sinusoid pressure, and the vascular waterfall vol. 227, 1974. </td>
	</tr>
	<tr>
		<td>[Moore1990]</td>
		<td>L. C. Moore and D. Casellas, \"Tubuloglomerular feedback dependence of autoregulation in rat juxtamedullary afferent arterioles,\" Kidney Int, vol. 37, pp. 1402-1408, 06//print 1990. </td>
	</tr>
	<tr>
		<td>[POHOST1976]</td>
		<td>G. M. POHOST, J. B. NEWELL, N. P. HAMLIN, and W. J. POWELL, \"Observations on autoregulation in skeletal muscle: the effects of arterial hypoxia,\" Cardiovascular Research, vol. 10, pp. 405-412, July 1, 1976 1976. </td>
	</tr>
	<tr>
		<td>[Prewitt1976]</td>
		<td>R. L. Prewitt and P. C. Johnson, \"The effect of oxygen on arteriolar red cell velocity and capillary density in the rat cremaster muscle,\" Microvascular Research, vol. 12, pp. 59-70, 7// 1976. </td>
	</tr>
	<tr>
		<td>[Reivich1964]</td>
		<td>M. Reivich, Arterial Pco2 and cerebral hemodynamics vol. 206, 1964. </td>
	</tr>
	<tr>
		<td>[Sage1981]</td>
		<td>J. I. Sage, R. L. Van Uitert, and T. E. Duffy, \"Simultaneous Measurement of Cerebral Blood Flow and Unidirectional Movement of Substances Across the Blood-Brain Barrier: Theory, Method, and Application to Leucine,\" Journal of Neurochemistry, vol. 36, pp. 1731-1738, 1981. </td>
	</tr>
	<tr>
		<td>[Skarlatos1993]</td>
		<td>S. Skarlatos, N. DiPaola, R. A. Frankel, R. W. Pomerantz, P. H. Brand, P. J. Metting, et al., \"Spontaneous pressure-flow relationships in renal circulation of conscious dogs,\" Am J Physiol, vol. 264, pp. H1517-27, May 1993. </td>
	</tr>
	<tr>
		<td>[Skov1996]</td>
		<td>K. Skov, J. Fenger-Gron, and M. J. Mulvany, \"Effects of an angiotensin-converting enzyme inhibitor, a calcium antagonist, and an endothelin receptor antagonist on renal afferent arteriolar structure,\" Hypertension, vol. 28, pp. 464-471, 1996. </td>
	</tr>
	<tr>
		<td>[Stainsby1973]</td>
		<td>W. N. Stainsby, \"Local Control of Regional Blood Flow,\" Annual Review of Physiology, vol. 35, pp. 151-168, 1973. </td>
	</tr>
[SchumackerS. P. T. and C. S. M., \"The concept of a critical oxygen delivery,\" Intensive Care Medicine, vol. 13, pp. 223-229, January 1, 0001.
	<tr>
		<td>[Weber2000]</td>
		<td>D. S. Weber and J. H. Lombard, Elevated salt intake impairs dilation of rat skeletal muscle resistance arteries via ANG II suppression vol. 278, 2000. </td>
	</tr>
	<tr>
		<td>[Whalen1974]</td>
		<td>W. Whalen, P. Nair, D. Buerk, and C. Thuning, \"Tissue PO2 in normal and denervated cat skeletal muscle,\" Am J Physiol, vol. 227, pp. 1221-1225, 1974. </td>
	</tr>
	<tr>
		<td>[Williams1989]</td>
		<td>L. R. Williams and R. W. Leggett, \"Reference values for resting blood flow to organs of man,\" Clinical Physics and Physiological Measurement, vol. 10, p. 187, 1989.  </td>
	</tr>


</table>
</html>"));
      end References;

      model TissueBloodFlow
        extends Physiolibrary.Icons.Microcirculation;
        parameter Physiolibrary.Types.HydraulicConductance Cond;

        parameter Boolean onViscosity=true, onAnesthesia=true, onAngiogenesis=true, onAngiotensinII=true, onVasopressin=true, onCatecholamines=true, onOxygenOnly=true, onOxygenAndCarbonDioxide=false, onOxygenNeed=false, onExercise=false;

        parameter Real[:,3] VasculatureConductanceOnPO2 = {{41,1.2,0},{51,1.0,-0.03},{61,0.8,0}};
        parameter Real[:,3] PO2OnConductance = {{10,2.0,0},{30,1.0,0}};
        parameter Real[:,3] Angiotensin2Effect = {{0.0,1.05,0},{1.3,1.00,-0.08},{3.5,0.50,0}};
        parameter Real[:,3] AlphaReceptorsEffect = {{0.0,1.3,0},{1.0,1.0,-0.3},{5.0,0.1,0}};
        parameter Real[:,3] VasopressinEffect = {{0.8,1.0,0},{3.0,0.1,0}};
        parameter Physiolibrary.Types.Time VasculatureHalfTime=30*86400*Modelica.Math.log(2);

      Physiolibrary.Blocks.Factors.Spline A2Effect(
        Xscale=1e-9/Substances.AngiotensinII.mw,
        UsePositiveLog10=true,
          data=Angiotensin2Effect,
          enabled=onAngiotensinII)
        annotation (Placement(transformation(extent={{-8,40},{12,60}})));
      Physiolibrary.Blocks.Factors.Spline ADHEffect(
        Xscale=1e-9/Substances.Vasopressin.mw,
        UsePositiveLog10=true,
          data=VasopressinEffect,
          enabled=onVasopressin) "0.8 pg/ml = 0.8e-9 kg/m3"
        annotation (Placement(transformation(extent={{-8,30},{12,50}})));
      Physiolibrary.Types.Constants.HydraulicConductanceConst BasicConductance(k=Cond)
        annotation (Placement(transformation(extent={{-18,76},{-6,88}})));
      Physiolibrary.Blocks.Factors.Normalization Anesthesia(enabled=onAnesthesia)
        annotation (Placement(transformation(extent={{-8,50},{12,70}})));
      Physiolibrary.Blocks.Factors.Normalization Viscosity(enabled=onViscosity)
        annotation (Placement(transformation(extent={{-8,58},{12,78}})));
        Physiolibrary.Blocks.Factors.SplineLagOrZero              Vasculature(
          stateName="GITract-Vasculature.Effect",
        Xscale=101325/760,
          data=VasculatureConductanceOnPO2,
          HalfTime=VasculatureHalfTime,
          enabled=onAngiogenesis)
          annotation (Placement(transformation(extent={{-8,-18},{12,2}})));
        Physiomodel.Nerves.AplhaReceptorsActivityFactor AplhaReceptors(data=
              AlphaReceptorsEffect,
          Switch=not onCatecholamines,
          Setting=1)
          annotation (Placement(transformation(extent={{-8,16},{12,36}})));
      Physiolibrary.Hydraulic.Components.Conductor resistor(useConductanceInput=true)
          annotation (Placement(transformation(extent={{12,-100},{-8,-80}})));
      Physiolibrary.Blocks.Factors.Spline pO2OnConductance(
                     Xscale=101325/760, data=PO2OnConductance,
        enabled=onOxygenOnly)
        annotation (Placement(transformation(extent={{-8,-28},{12,-8}})));

      Physiolibrary.Types.TissueBusConnector tissueConnector annotation (
          Placement(transformation(extent={{-94,0},{-74,20}}),
            iconTransformation(extent={{-20,60},{20,100}})));
      Physiolibrary.Blocks.Factors.Spline TensionEffect(data={{0.0,2.2,0},{1.0,
            1.0,-0.5},{2.0,0.6,0}}, enabled=onOxygenAndCarbonDioxide)
        annotation (Placement(transformation(extent={{-8,-72},{12,-52}})));
      Physiolibrary.Blocks.Factors.Spline PO2OnTension(data={{22,0.0,0},{36,1.0,
            0.02},{60,1.2,0}}, Xscale=101325/760,
        enabled=onOxygenAndCarbonDioxide)
        annotation (Placement(transformation(extent={{-28,-48},{-8,-28}})));
      Physiolibrary.Blocks.Factors.Spline PCO2OnTension(
                                    Xscale=101325/760,
        enabled=onOxygenAndCarbonDioxide,
        data={{20,1.8,0},{55,1.0,-0.05},{75,0.0,0}})
        "FIX: normal venous pCO2 in brain to 55mmHg (because of RQ close to 1)"
        annotation (Placement(transformation(extent={{-28,-56},{-8,-36}})));
        Physiolibrary.Types.Constants.OneConst one
          annotation (Placement(transformation(extent={{-30,-30},{-22,-22}})));
      MetabolicVasodilation metabolicVasolidation(
        data={{50,1.0,0},{1000,3.5,0.003},{3000,5.5,0}},
        stateName="SkeletalMuscle-MetabolicVasodilation.Effect",
        Xscale=1/1362657.193569,
        OnTau(displayUnit="min") = 12,
        OffTau(displayUnit="min") = 60,
        enabled=onOxygenNeed)
        annotation (Placement(transformation(extent={{-8,-82},{12,-62}})));
      Physiolibrary.Blocks.Factors.Normalization MusclePumping_SkeletalMuscle(enabled=
              onExercise)
        annotation (Placement(transformation(extent={{12,-2},{-8,18}})));
      Physiolibrary.Blocks.Math.Add add(k=1)
        annotation (Placement(transformation(extent={{4,-4},{-4,4}},
              rotation=90,
              origin={32,18})));
      Physiolibrary.Blocks.Factors.Spline RateEffect(data={{0,0.0,0.04},{60,1.0,
            0.0}}, Xscale=1/60,
          enabled=onExercise)
        annotation (Placement(transformation(extent={{42,20},{22,40}})));
      Physiolibrary.Blocks.Factors.Spline IntensityEffect(data={{0,0.0,0.007},{
            300,1.0,0.0}}, enabled=onExercise)
        annotation (Placement(transformation(extent={{42,30},{22,50}})));
        Physiolibrary.Types.Constants.OneConst one1
          annotation (Placement(transformation(extent={{20,52},{28,60}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                      iconTransformation(extent={{90,-10},{110,
                10}})));
      Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure annotation (
          Placement(transformation(
            extent={{10,-10},{-10,10}},
            origin={58,-90})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out "Blood outflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{-110,-10},{
                -90,10}})));
        Modelica.Blocks.Interfaces.RealOutput BloodFlow
                                                 annotation (Placement(transformation(
                extent={{78,-68},{90,-56}}), iconTransformation(extent={{60,-60},{80,
                  -40}})));
      Physiolibrary.Types.BusConnector busConnector
        "signals of organ bood flow resistence" annotation (Placement(
            transformation(extent={{-100,80},{-80,100}}), iconTransformation(
              extent={{60,40},{100,80}})));
      equation
        connect(Vasculature.y,pO2OnConductance. yBase) annotation (Line(
            points={{2,-14},{2,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Viscosity.y, Anesthesia.yBase) annotation (Line(
            points={{2,64},{2,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BasicConductance.y, Viscosity.yBase)         annotation (Line(
            points={{-4.5,82},{2,82},{2,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.AlphaBlocade_Effect, AplhaReceptors.AlphaBlockade_Effect)
          annotation (Line(
            points={{-90,90},{-60,90},{-60,26},{-7.8,26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AlphaPool_Effect, AplhaReceptors.AlphaPool_Effect)
          annotation (Line(
            points={{-90,90},{-60,90},{-60,32},{-7.8,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GangliaGeneral_NA, AplhaReceptors.GangliaGeneral_NA)
          annotation (Line(
            points={{-90,90},{-60,90},{-60,20},{-7.8,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Anesthesia_VascularConductance, Anesthesia.u)
          annotation (Line(
            points={{-90,90},{-60,90},{-60,60},{-6,60}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Viscosity_ConductanceEffect, Viscosity.u) annotation (
            Line(
            points={{-90,90},{-60,90},{-60,68},{-6,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Vasopressin, ADHEffect.u) annotation (Line(
            points={{-90,90},{-60,90},{-60,40},{-6,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Angiotensin2, A2Effect.u) annotation (Line(
            points={{-90,90},{-60,90},{-60,50},{-6,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(tissueConnector.pO2, Vasculature.u) annotation (Line(
          points={{-84,10},{-60,10},{-60,-10},{-8,-10}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(tissueConnector.pO2, pO2OnConductance.u) annotation (Line(
          points={{-84,10},{-60,10},{-60,-18},{-6,-18}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(PO2OnTension.y,PCO2OnTension. yBase) annotation (Line(
            points={{-18,-42},{-18,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TensionEffect.u,PCO2OnTension. y) annotation (Line(
            points={{-6,-62},{-18,-62},{-18,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(one.y, PO2OnTension.yBase) annotation (Line(
            points={{-21,-26},{-18,-26},{-18,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MusclePumping_SkeletalMuscle.u,add. y) annotation (Line(
            points={{10,8},{32,8},{32,13.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add.u,RateEffect. y) annotation (Line(
            points={{32,22.8},{32,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RateEffect.u, busConnector.Exercise_Metabolism_ContractionRate)
          annotation (Line(
            points={{40,30},{98,30},{98,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(TensionEffect.y, metabolicVasolidation.yBase) annotation (Line(
            points={{2,-66},{2,-70}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(tissueConnector.O2Need, metabolicVasolidation.O2Need) annotation (
         Line(
          points={{-84,10},{-60,10},{-60,-72},{-7.8,-72}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(one1.y, IntensityEffect.yBase) annotation (Line(
            points={{29,56},{32,56},{32,42}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(tissueConnector.pO2, PO2OnTension.u) annotation (Line(
          points={{-84,10},{-60,10},{-60,-38},{-26,-38}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(tissueConnector.pCO2, PCO2OnTension.u) annotation (Line(
          points={{-84,10},{-60,10},{-60,-46},{-26,-46}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(flowMeasure.volumeFlow,BloodFlow)  annotation (Line(
            points={{58,-78},{58,-62},{84,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, flowMeasure.q_in) annotation (Line(
            points={{90,-90},{68,-90}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, resistor.q_in) annotation (Line(
            points={{48,-90},{12,-90}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(resistor.q_out, q_out) annotation (Line(
            points={{-8,-90},{-84,-90}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(A2Effect.y, ADHEffect.yBase) annotation (Line(
            points={{2,46},{2,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors.yBase, ADHEffect.y) annotation (Line(
            points={{2,33},{2,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Anesthesia.y, A2Effect.yBase) annotation (Line(
            points={{2,56},{2,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pO2OnConductance.y, TensionEffect.yBase) annotation (Line(
            points={{2,-22},{2,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(resistor.cond, metabolicVasolidation.y) annotation (Line(
            points={{2,-84},{2,-76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors.y, MusclePumping_SkeletalMuscle.yBase) annotation (
            Line(
            points={{2,19},{2,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature.yBase, MusclePumping_SkeletalMuscle.y) annotation (Line(
            points={{2,-2},{2,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IntensityEffect.y, RateEffect.yBase) annotation (Line(
            points={{32,36},{32,32}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(tissueConnector.Function_Failed, Vasculature.Failed) annotation (
          Line(
          points={{-84,10},{-60,10},{-60,-4},{-8,-4}},
          color={127,0,0},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(IntensityEffect.u, busConnector.Exercise_Metabolism_MotionWatts)
        annotation (Line(
          points={{40,40},{98,40},{98,90},{-90,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in gastro interstitial tract.

</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-120,-106},{80,-86}},
                lineColor={0,0,255},
                textString="%name")}));
      end TissueBloodFlow;

      model Liver
        extends Interfaces.BaseDO;
        extends Physiolibrary.Icons.Liver;
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a portalVein annotation (
         extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,-110},
                {10,-90}}, rotation=0),
                          iconTransformation(extent={{12,-58},{32,-38}})));
      Physiolibrary.Hydraulic.Components.Conductor liverPortalConductance(
          Conductance=2.2251826750088e-08)
        "corrected to flow 1250ml/min in pressure gradient 1 mmHg"
        annotation (Placement(transformation(extent={{-52,-8},{-68,8}})));
      Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure1 annotation (
          Placement(transformation(
            extent={{-10,10},{10,-10}},
            rotation=180,
            origin={-84,0})));
      Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure2 annotation (
          Placement(transformation(
            extent={{-10,10},{10,-10}},
            rotation=180,
            origin={-24,-16})));
      Physiolibrary.Hydraulic.Components.Conductor HepaticArtyConductance(
          Conductance=3.5002873539464e-10)
        annotation (Placement(transformation(extent={{0,36},{-20,56}})));
      Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure3 annotation (
          Placement(transformation(
            extent={{-10,10},{10,-10}},
            rotation=180,
            origin={12,46})));
      equation
        connect(flowMeasure1.volumeFlow, busConnector.Liver_BloodFlow)
          annotation (Line(
            points={{-84,12},{-84,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure2.volumeFlow, busConnector.PortalVein_BloodFlow)
          annotation (Line(
            points={{-24,-4},{-24,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure3.volumeFlow, busConnector.HepaticArty_BloodFlow)
          annotation (Line(
            points={{12,58},{12,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(portalVein, flowMeasure2.q_in) annotation (Line(
            points={{-4,-12},{-4,-16},{-14,-16}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, flowMeasure3.q_in) annotation (Line(
            points={{78,0},{32,0},{32,46},{22,46}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure3.q_out, HepaticArtyConductance.q_in) annotation (
            Line(
            points={{2,46},{0,46}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(liverPortalConductance.q_out, flowMeasure1.q_in) annotation (Line(
          points={{-68,0},{-67,0},{-67,-7.34788e-016},{-74,-7.34788e-016}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
        connect(flowMeasure1.q_out, q_out) annotation (Line(
            points={{-94,7.34788e-016},{-94,0},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowMeasure2.q_out, liverPortalConductance.q_in) annotation (Line(
          points={{-34,-16},{-50,-16},{-50,0},{-52,0}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(liverPortalConductance.q_in, HepaticArtyConductance.q_out)
        annotation (Line(
          points={{-52,2.22045e-016},{-50,2.22045e-016},{-50,46},{-20,46}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      end Liver;

      model Kidney
        extends Physiomodel.CardioVascular.Microcirculation.Interfaces.BaseDO;
        extends Physiolibrary.Icons.Kidney;

      Physiolibrary.Blocks.Factors.Normalization
        NephronCountEffect_AfferentArtery
        annotation (Placement(transformation(extent={{20,34},{40,54}})));
      Physiolibrary.Types.Constants.HydraulicConductanceConst
        Afferent_BasicConductance(k=4.2503489297921e-09)
        annotation (Placement(transformation(extent={{16,48},{28,60}})));
        VariableResistorWithMyogenicResponse AfferentArtery(
            PressureChangeOnMyogenicCondEffect={{-20.0,1.2,0.0},{0.0,1.0,-0.02},
              {20.0,0.8,0.0}}, pressureChange(start=0),
        InitialPressureChange(displayUnit="mmHg") = 9.33256711905,
        K_PressureChange(displayUnit="Hz"))
          annotation (Placement(transformation(extent={{20,-12},{44,12}})));
      Physiolibrary.Blocks.Factors.Spline A2Effect2(
        data={{0.0,1.2,0.0},{1.3,1.0,-0.4},{3.0,0.6,0.0}},
        Xscale=1e-9/Substances.AngiotensinII.mw,
        UsePositiveLog10=true)
        annotation (Placement(transformation(extent={{-56,18},{-36,38}})));
      Physiolibrary.Types.Constants.HydraulicConductanceConst
        Efferent_BasicConductance(k=2.87523604074162e-009)
        annotation (Placement(transformation(extent={{-60,48},{-48,60}})));
      Physiolibrary.Blocks.Factors.Normalization
        NephronCountEffect_KidneyEfferentArtery
        annotation (Placement(transformation(extent={{-56,34},{-36,54}})));
      Physiolibrary.Hydraulic.Components.Conductor EfferentArtery(
          useConductanceInput=true)
        annotation (Placement(transformation(extent={{-34,-12},{-58,12}})));
      Physiolibrary.Hydraulic.Components.Conductor ArcuateArtery(Conductance=
            7.500615758456399e-008)
        annotation (Placement(transformation(extent={{78,-8},{62,8}})));
        Physiomodel.Nerves.AplhaReceptorsActivityFactor
          AplhaReceptors_KidneyAfferentArtery(data={{1.5,1.0,0.0},{7.0,0.9,0.0}})
          annotation (Placement(transformation(extent={{20,14},{40,34}})));
        Physiomodel.Nerves.AplhaReceptorsActivityFactor
          AplhaReceptors_KidneyEfferentArtery(data={{1.5,1.0,0.0},{7.0,0.9,0.0}})
          annotation (Placement(transformation(extent={{-56,6},{-36,26}})));
      Physiolibrary.Blocks.Factors.Normalization
        Anesthesia_KidneyEfferentArtery
        annotation (Placement(transformation(extent={{-56,26},{-36,46}})));
      Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-20,8})));
        Modelica.Blocks.Math.Product KidneyPlasmaFlow annotation (Placement(
              transformation(
              extent={{-5,-5},{5,5}},
              rotation=90,
              origin={83,67})));
      Physiolibrary.Hydraulic.Sensors.PressureMeasure pressureMeasure1
        annotation (Placement(transformation(
            extent={{10,-10},{-10,10}},
            origin={52,-20})));
        Modelica.Blocks.Math.Gain IFP(k=0.042)
          annotation (Placement(transformation(extent={{42,-84},{34,-76}})));
        Physiolibrary.Blocks.Factors.LagSpline     TGFEffect(
                                                   data={{0.0,1.2,0.0},{1.3,1.0,
              -0.4},{3.0,0.6,0.0}},
          initialValue=1.01309,
          HalfTime=60*Modelica.Math.log(2),
        integrator(stateName="TGF-Vascular.Signal"))
        "Macula Densa TGF vascular signal delay and effect to afferent arteriole"
          annotation (Placement(transformation(extent={{20,26},{40,46}})));
      Physiolibrary.Blocks.Factors.Spline FurosemideEffect(data={{0.0,1.0,0.0},
            {1.3,0.2,0.0}}, Xscale=1e-3/Substances.Furosemide.mw)
        "furosemide outflow on Macula Densa Na sensibility"
        annotation (Placement(transformation(extent={{-10,-52},{10,-32}})));
      Physiolibrary.Blocks.Factors.Spline NaEffect_MaculaDensa(data={{0,0.0,0.0},
            {48,1.0,0.03},{100,3.0,0.0}})
        annotation (Placement(transformation(extent={{-10,-48},{10,-28}})));
      Physiolibrary.Blocks.Factors.Spline ANP_Effect(data={{0.0,1.2,0.0},{1.3,
            1.0,-0.3},{2.7,0.8,0.0}},
        UsePositiveLog10=true,
        Xscale=1e-9)
        annotation (Placement(transformation(extent={{-10,-56},{10,-36}})));
      Physiolibrary.Blocks.Factors.Spline A2Effect3(
        data={{0.0,0.0,0.0},{0.2,0.6,0.05},{1.3,1.0,0.1},{3.0,8.0,0.0}},
        Xscale=1e-9/Substances.AngiotensinII.mw,
        UsePositiveLog10=true)
        annotation (Placement(transformation(extent={{-10,-60},{10,-40}})));
      Physiolibrary.Types.Constants.FractionConst
        MedulaDensa_BaseTGFSignal(k=1)
        annotation (Placement(transformation(extent={{-10,-34},{-2,-26}})));
        VasaRecta vasaRecta
          annotation (Placement(transformation(extent={{70,-90},{90,-70}})));
      equation
        connect(Afferent_BasicConductance.y, NephronCountEffect_AfferentArtery.yBase)
                                                                   annotation (Line(
            points={{29.5,54},{30,54},{30,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Kidney_NephronCount_Total_xNormal,
          NephronCountEffect_AfferentArtery.u) annotation (Line(
            points={{-90,90},{-14,90},{-14,66},{-14,44},{22,44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AlphaPool_Effect, AplhaReceptors_KidneyAfferentArtery.AlphaPool_Effect)
          annotation (Line(
            points={{-90,90},{-90,90},{-14,90},{-14,62},{-14,30},{20.2,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AlphaBlocade_Effect, AplhaReceptors_KidneyAfferentArtery.AlphaBlockade_Effect)
          annotation (Line(
            points={{-90,90},{-90,90},{-14,90},{-14,54},{-14,24},{20.2,24}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GangliaGeneral_NA,
          AplhaReceptors_KidneyAfferentArtery.GangliaGeneral_NA) annotation (
            Line(
            points={{-90,90},{-14,90},{-14,90},{-14,18},{20.2,18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AlphaPool_Effect, AplhaReceptors_KidneyEfferentArtery.AlphaPool_Effect)
          annotation (Line(
            points={{-90,90},{-92,90},{-92,22},{-55.8,22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GangliaGeneral_NA,
          AplhaReceptors_KidneyEfferentArtery.GangliaGeneral_NA) annotation (
            Line(
            points={{-90,90},{-92,90},{-92,10},{-55.8,10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AlphaBlocade_Effect, AplhaReceptors_KidneyEfferentArtery.AlphaBlockade_Effect)
          annotation (Line(
            points={{-90,90},{-92,90},{-92,16},{-55.8,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Kidney_NephronCount_Total_xNormal,
          NephronCountEffect_KidneyEfferentArtery.u) annotation (Line(
            points={{-90,90},{-92,90},{-92,44},{-54,44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Anesthesia_VascularConductance,
          Anesthesia_KidneyEfferentArtery.u) annotation (Line(
            points={{-90,90},{-92,90},{-92,36},{-54,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Efferent_BasicConductance.y,
          NephronCountEffect_KidneyEfferentArtery.yBase) annotation (Line(
            points={{-46.5,54},{-46,54},{-46,46}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(A2Effect2.y, AplhaReceptors_KidneyEfferentArtery.yBase)
          annotation (Line(
            points={{-46,24},{-46,23}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NephronCountEffect_KidneyEfferentArtery.y,
          Anesthesia_KidneyEfferentArtery.yBase) annotation (Line(
            points={{-46,40},{-46,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Anesthesia_KidneyEfferentArtery.y, A2Effect2.yBase) annotation (
           Line(
            points={{-46,32},{-46,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors_KidneyEfferentArtery.y, EfferentArtery.cond)
          annotation (Line(
            points={{-46,9},{-46,7.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AplhaReceptors_KidneyAfferentArtery.y, AfferentArtery.cond)
          annotation (Line(
            points={{30,17},{30,4.8},{32,4.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureMeasure.q_in, AfferentArtery.q_out) annotation (Line(
            points={{-24,2},{-24,0},{20,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(pressureMeasure.pressure, busConnector.GlomerulusBloodPressure)
        annotation (Line(
          points={{-14,4},{-14,-16},{-90,-16},{-90,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,-3},{6,-3}}));
        connect(busConnector.BloodVol_PVCrit, KidneyPlasmaFlow.u2)
          annotation (Line(
            points={{-90,90},{96,90},{96,56},{86,56},{86,61}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{6,-3},{6,-3}}));
        connect(KidneyPlasmaFlow.y, busConnector.KidneyPlasmaFlow)
          annotation (Line(
            points={{83,72.5},{83,90},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,3},{3,3}}));
        connect(ArcuateArtery.q_out, AfferentArtery.q_in) annotation (Line(
            points={{62,0},{44,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(EfferentArtery.q_in, AfferentArtery.q_out) annotation (Line(
            points={{-34,0},{20,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(EfferentArtery.q_out, q_out) annotation (Line(
            points={{-58,0},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(AfferentArtery.q_in, pressureMeasure1.q_in) annotation (Line(
            points={{44,0},{58,0},{58,-26},{56,-26}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(IFP.u, pressureMeasure1.pressure) annotation (Line(
          points={{42.8,-80},{46,-80},{46,-24}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(ANP_Effect.y,A2Effect3. yBase) annotation (Line(
            points={{0,-50},{0,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FurosemideEffect.y,ANP_Effect. yBase) annotation (Line(
            points={{0,-46},{0,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NaEffect_MaculaDensa.y,FurosemideEffect. yBase) annotation (
            Line(
            points={{0,-42},{0,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MedulaDensa_BaseTGFSignal.y,NaEffect_MaculaDensa. yBase)
          annotation (Line(
            points={{-1,-30},{0,-30},{0,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(A2Effect3.y,TGFEffect. u) annotation (Line(
            points={{0,-54},{-26,-54},{-26,36},{22,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NephronCountEffect_AfferentArtery.y, TGFEffect.yBase) annotation (
            Line(
            points={{30,40},{30,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TGFEffect.y, AplhaReceptors_KidneyAfferentArtery.yBase) annotation (
            Line(
            points={{30,32},{30,31}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.FurosemidePool_Loss, FurosemideEffect.u)
          annotation (Line(
            points={{-90,90},{-90,-42},{-8,-42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(flowMeasure.volumeFlow, KidneyPlasmaFlow.u1) annotation (Line(
            points={{88,12},{88,50},{80,50},{80,61}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out,ArcuateArtery. q_in) annotation (Line(
            points={{78,0},{78,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, vasaRecta.busConnector) annotation (Line(
            points={{-90,90},{-90,-72},{72,-72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(pressureMeasure1.pressure, vasaRecta.ArcuateArtery_Pressure)
        annotation (Line(
          points={{46,-24},{46,-80},{72,-80}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.NephronIFP_Pressure, IFP.y) annotation (
            Line(
            points={{-90,90},{-90,-80},{33.6,-80}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.MD_Na, NaEffect_MaculaDensa.u)
          annotation (Line(
            points={{-90,90},{-90,-38},{-8,-38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(busConnector.Angiotensin2, A2Effect2.u) annotation (Line(
          points={{-90,90},{-92,90},{-92,28},{-54,28}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Angiotensin2, A2Effect3.u) annotation (Line(
          points={{-90,90},{-90,-50},{-8,-50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ANP, ANP_Effect.u) annotation (Line(
          points={{-90,90},{-90,-46},{-8,-46}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in kidneys.

QHP 2008 / Kidney-Flow

</PRE>
</HTML>
",     revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"),Diagram(coordinateSystem(preserveAspectRatio=false,extent={{-100,-100},
                {100,100}}),   graphics={Rectangle(extent={{-18,-24},{18,-62}},
                  lineColor={127,0,0}), Text(
                extent={{-18,-62},{18,-56}},
                lineColor={0,0,255},
                textString="Macula Densa")}),         Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-100,-100},{100,-80}},
                lineColor={0,0,255},
                textString="%name")}));
      end Kidney;

      model LeftHeart
        extends Interfaces.Heart(
                      Vasculature(stateName="LeftHeart-Vasculature.Effect"));
        extends Physiolibrary.Icons.LeftHeart;
      equation
        connect(busConnector.LeftHeart_Function_Failed, Vasculature.Failed)
          annotation (Line(
            points={{-90,90},{6,90},{6,44},{60,44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.LeftHeart_PO2, PO2Effect.u) annotation (
            Line(
            points={{-90,90},{6,90},{6,30},{62,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.LeftHeart_O2Need, MetabolismEffect.u)
          annotation (Line(
            points={{-90,90},{6,90},{6,20},{62,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.LeftHeart_PO2, Vasculature.u) annotation (
           Line(
            points={{-90,90},{6,90},{6,38},{60,38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      end LeftHeart;

      model RightHeart
        extends Interfaces.Heart(
                      Vasculature(stateName="RightHeart-Vasculature.Effect"));
        extends Physiolibrary.Icons.RightHeart;
      equation
        connect(busConnector.RightHeart_PO2, Vasculature.u)
          annotation (Line(
            points={{-90,90},{6,90},{6,38},{60,38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.RightHeart_PO2, PO2Effect.u) annotation (
            Line(
            points={{-90,90},{6,90},{6,30},{62,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.RightHeart_O2Need, MetabolismEffect.u)
          annotation (Line(
            points={{-90,90},{6,90},{6,20},{62,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.RightHeart_Function_Failed, Vasculature.Failed)
          annotation (Line(
            points={{-90,90},{6,90},{6,44},{60,44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      end RightHeart;

      model Skin
        extends Physiomodel.CardioVascular.Microcirculation.Interfaces.BaseDO;
        extends Physiolibrary.Icons.Skin;

      Physiolibrary.Hydraulic.Components.Conductor skin(useConductanceInput=
            true)
        annotation (Placement(transformation(extent={{80,-26},{56,-2}})));
      Physiolibrary.Blocks.Factors.Spline A2Effect_Skin(
        data={{0.0,1.05,0},{1.3,1.00,-0.08},{3.5,0.50,0}},
        Xscale=1e-9/Substances.AngiotensinII.mw,
        UsePositiveLog10=true)
        annotation (Placement(transformation(extent={{58,30},{78,50}})));
      Physiolibrary.Blocks.Factors.Spline ADHEffect_Skin(
        data={{0.8,1.0,0},{3.0,0.1,0}},
        Xscale=1e-9/Substances.Vasopressin.mw,
        UsePositiveLog10=true)
        annotation (Placement(transformation(extent={{58,16},{78,36}})));
      Physiolibrary.Types.Constants.HydraulicConductanceConst BasicConductance(k=
            2.0001642022551e-10)
        annotation (Placement(transformation(extent={{54,72},{66,84}})));
      Physiolibrary.Blocks.Factors.Normalization Viscosity_Skin
        annotation (Placement(transformation(extent={{58,58},{78,78}})));
      Physiolibrary.Blocks.Factors.Normalization Anesthesia_Skin
        annotation (Placement(transformation(extent={{58,50},{78,70}})));
        Physiolibrary.Blocks.Factors.SplineLagOrZero
          Vasculature_Skin(HalfTime=30*86400*Modelica.Math.log(2), data={{41,1.2,0},{51,1.0,-0.03},{61,0.8,0}},
          stateName="Skin-Vasculature.Effect")
          annotation (Placement(transformation(extent={{58,40},{78,60}})));
      Physiolibrary.Blocks.Factors.Normalization TermoregulationEffect
        annotation (Placement(transformation(extent={{58,-2},{78,18}})));
      equation
        connect(Anesthesia_Skin.yBase,Viscosity_Skin. y) annotation (Line(
            points={{68,62},{68,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Anesthesia_Skin.y,Vasculature_Skin. yBase) annotation (Line(
            points={{68,56},{68,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Vasculature_Skin.y,A2Effect_Skin. yBase) annotation (Line(
            points={{68,44},{68,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BasicConductance.y, Viscosity_Skin.yBase)      annotation (Line(
            points={{67.5,78},{68,78},{68,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Viscosity_ConductanceEffect, Viscosity_Skin.u)
          annotation (Line(
            points={{-90,90},{-12,90},{-12,68},{60,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Anesthesia_VascularConductance, Anesthesia_Skin.u)
          annotation (Line(
            points={{-90,90},{-12,90},{-12,60},{60,60}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Skin_Function_Failed, Vasculature_Skin.Failed)
          annotation (Line(
            points={{-90,90},{-12,90},{-12,54},{58,54}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Skin_PO2, Vasculature_Skin.u) annotation (Line(
            points={{-90,90},{-12,90},{-12,48},{58,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(skin.q_out, q_out) annotation (Line(
            points={{56,-14},{-24,-14},{-24,0},{-100,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(skin.q_in, flowMeasure.q_out) annotation (Line(
            points={{80,-14},{80,0},{78,0}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ADHEffect_Skin.y, busConnector.skin_conductanceWithoutTermoregulationEffect)
          annotation (Line(
            points={{68,22},{-90,22},{-90,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.skinFlow_termoregulationEffect,
          TermoregulationEffect.u) annotation (Line(
            points={{-90,90},{-88,90},{-88,8},{60,8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(ADHEffect_Skin.y, TermoregulationEffect.yBase) annotation (Line(
            points={{68,22},{68,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TermoregulationEffect.y, skin.cond) annotation (Line(
            points={{68,4},{68,-6.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(A2Effect_Skin.y, ADHEffect_Skin.yBase) annotation (Line(
            points={{68,36},{68,28}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(busConnector.Angiotensin2, A2Effect_Skin.u) annotation (Line(
          points={{-90,90},{-12,90},{-12,40},{60,40}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Vasopressin, ADHEffect_Skin.u) annotation (Line(
          points={{-90,90},{-12,90},{-12,26},{60,26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
         annotation (
          Documentation(info="<HTML>
<PRE>
Blood resistance in skin.

QHP 2008 / Skin-Flow

</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"), Icon(graphics={Text(
                extent={{-100,-100},{100,-80}},
                lineColor={0,0,255},
                textString="%name")}));
      end Skin;

      model MetabolicVasodilation
        extends Physiolibrary.Icons.BaseFactorIcon5;
        Physiolibrary.Types.RealIO.MolarFlowRateInput O2Need
                     annotation (Placement(transformation(extent={{-110,60},{-82,88}}),
              iconTransformation(extent={{-108,-10},{-88,10}})));

       parameter Boolean enabled=true "disabled => y=yBase";

       parameter Real[:,3] data = {{   50,  1.0,  0}, { 1000,  3.5,  0.003}, { 3000,  5.5,  0}};
       parameter Physiolibrary.Types.Time OnTau = 0.2;
       parameter Physiolibrary.Types.Time OffTau = 1;
       parameter Physiolibrary.Types.Fraction initialEffectValue = 1;
        parameter String stateName=getInstanceName();
        parameter Physiolibrary.Types.MolarFlowRate Xscale = 1
        "conversion scale to SI unit of x values";

      Physiolibrary.Blocks.Interpolation.Curve SteadyState(
        x=data[:, 1],
        y=data[:, 2],
        slope=data[:, 3],
          Xscale=Xscale)
        annotation (Placement(transformation(extent={{-72,64},{-52,84}})));
      Physiolibrary.Blocks.Math.Integrator effect(
        y_start=initialEffectValue,
        stateName=stateName,
          k=1)  annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-28,-14})));
        Modelica.Blocks.Math.Feedback feedback annotation (Placement(
              transformation(
              extent={{-8,-12},{12,-32}},
              rotation=270,
              origin={8,64})));
        Modelica.Blocks.Math.Product product1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-22,16})));
        Modelica.Blocks.Logical.Switch switch1(u2(start=false))
          annotation (Placement(transformation(extent={{-54,24},{-34,44}})));
        Modelica.Blocks.Logical.GreaterThreshold greaterThreshold
          annotation (Placement(transformation(extent={{-72,30},{-64,38}})));
      Physiolibrary.Blocks.Math.Reciprocal OnK annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=90,
            origin={-86,8})));
      Physiolibrary.Blocks.Math.Reciprocal OffK annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=90,
            origin={-60,8})));
      Physiolibrary.Types.Constants.TimeConst                 Constant0(k=
            OnTau) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=90,
            origin={-86,-22})));
      Physiolibrary.Types.Constants.TimeConst                 Constant1(k=
            OffTau) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=90,
            origin={-60,-22})));

        Physiolibrary.Blocks.Factors.Normalization normalization(enabled=enabled)
          annotation (Placement(transformation(extent={{-10,-20},{10,0}})));
      equation
        connect(SteadyState.val, feedback.u1)
                                        annotation (Line(
            points={{-52,74},{-14,74},{-14,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(effect.y, feedback.u2)     annotation (Line(
            points={{-28,-25},{-28,-68},{86,-68},{86,62},{-6,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SteadyState.u, O2Need)  annotation (Line(
            points={{-72,74},{-96,74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product1.y, effect.u)     annotation (Line(
            points={{-22,5},{-22,-2},{-28,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product1.u1, feedback.y) annotation (Line(
            points={{-16,28},{-16,40},{-14,40},{-14,53}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(switch1.y, product1.u2) annotation (Line(
            points={{-33,34},{-28,34},{-28,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(greaterThreshold.u, feedback.y) annotation (Line(
            points={{-72.8,34},{-76,34},{-76,50},{-14,50},{-14,53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(greaterThreshold.y, switch1.u2) annotation (Line(
            points={{-63.6,34},{-56,34}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(OnK.y, switch1.u1)  annotation (Line(
            points={{-86,19},{-86,42},{-56,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OffK.y, switch1.u3)  annotation (Line(
            points={{-60,19},{-60,26},{-56,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, OffK.u)  annotation (Line(
            points={{-60,-9.5},{-60,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant0.y, OnK.u)  annotation (Line(
            points={{-86,-9.5},{-86,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(effect.y, normalization.u) annotation (Line(
            points={{-28,-25},{-28,-40},{-12,-40},{-12,-10},{-8,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(yBase, normalization.yBase) annotation (Line(
            points={{0,20},{0,-8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(normalization.y, y) annotation (Line(
            points={{0,-14},{0,-40}},
            color={0,0,127},
            smooth=Smooth.None));
      end MetabolicVasodilation;

      model VasaRecta

      Physiolibrary.Hydraulic.Components.Conductor resistorWithCond(
          useConductanceInput=true)
        annotation (Placement(transformation(extent={{2,0},{22,20}})));
      Physiolibrary.Blocks.Factors.Spline OsmOnConductance(data={{600,1.4,0},{
            1100,1.0,-0.0006},{2000,0.8,0}})
        annotation (Placement(transformation(extent={{2,38},{22,58}})));
      Physiolibrary.Blocks.Factors.Spline A2OnConductance(
        data={{0.0,1.3,0},{1.3,1.0,-0.6},{2.0,0.5,0}},
        Xscale=1e-9/Substances.AngiotensinII.mw,
        UsePositiveLog10=true)
        annotation (Placement(transformation(extent={{2,26},{22,46}})));
      Physiolibrary.Blocks.Factors.Spline SympsOnConductance(data={{0.0,1.1,0},
            {1.0,1.0,-0.13},{1.4,0.6,0}})
        annotation (Placement(transformation(extent={{2,18},{22,38}})));
      Physiolibrary.Types.Constants.HydraulicConductanceConst condConstant(k(displayUnit="ml/(mmHg.min)")=
          3.3752770913055e-11)
        annotation (Placement(transformation(extent={{-4,62},{8,74}})));
      Physiolibrary.Types.BusConnector busConnector
        "signals of organ bood flow resistence" annotation (Placement(
            transformation(extent={{-96,64},{-74,86}}), iconTransformation(
              extent={{-100,60},{-60,100}})));
      Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{32,20},{52,0}})));
      Physiolibrary.Hydraulic.Sources.UnlimitedPump inputPump(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-54,-48},{-34,-28}})));
        Modelica.Blocks.Math.Add Osm
          annotation (Placement(transformation(extent={{-14,44},{-6,52}})));
        Modelica.Blocks.Interfaces.RealInput ArcuateArtery_Pressure
                                                             annotation (
            Placement(transformation(extent={{-80,20},{-68,32}}),
              iconTransformation(extent={{-100,-20},{-60,20}})));
      Physiolibrary.Blocks.Factors.LagSpline
                                          NephroneADHOnConductance(data={{0.0,
            1.4,0},{0.3,1.0,-0.4},{1.0,0.9,0}}, Xscale=1e-9/Substances.Vasopressin.mw,
        HalfTime=Modelica.Math.log(2)*20*60,
        initialValue=2e-9/Substances.Vasopressin.mw)
        "initial 2pg/ml = 2e-9 kg/m3, NephronADH.Tau = 20 min"
        annotation (Placement(transformation(extent={{2,46},{22,66}})));
      Physiolibrary.Hydraulic.Sources.UnlimitedVolume arcuateArtery(
          usePressureInput=true)
        annotation (Placement(transformation(extent={{-62,0},{-42,20}})));
      Physiolibrary.Hydraulic.Sources.UnlimitedVolume veins(usePressureInput=
            true)
        annotation (Placement(transformation(extent={{96,0},{76,20}})));
      equation
        connect(SympsOnConductance.y, resistorWithCond.cond) annotation (Line(
            points={{12,24},{12,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(A2OnConductance.y, SympsOnConductance.yBase) annotation (Line(
            points={{12,32},{12,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OsmOnConductance.y, A2OnConductance.yBase) annotation (Line(
            points={{12,44},{12,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Kidney_Alpha_NA, SympsOnConductance.u) annotation (Line(
            points={{-85,75},{-60,75},{-60,28},{4,28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(resistorWithCond.q_out, flowMeasure.q_in) annotation (Line(
            points={{22,10},{32,10}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.volumeFlow, busConnector.VasaRecta_Outflow) annotation (
            Line(
            points={{42,-2},{42,75},{-85,75}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-12},{6,-12}}));
        connect(inputPump.q_out, flowMeasure.q_in) annotation (Line(
            points={{-34,-38},{26,-38},{26,10},{32,10}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Osm.y, OsmOnConductance.u) annotation (Line(
            points={{-5.6,48},{4,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.MedullaNa_Osmolarity, Osm.u1) annotation (Line(
            points={{-85,75},{-60,75},{-60,50.4},{-14.8,50.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.MedullaUrea_Osmolarity, Osm.u2) annotation (Line(
            points={{-85,75},{-60,75},{-60,45.6},{-14.8,45.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_H2O_Reab, inputPump.solutionFlow) annotation (
          Line(
          points={{-85,75},{-76,75},{-76,-22},{-44,-22},{-44,-31}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(NephroneADHOnConductance.y, OsmOnConductance.yBase) annotation (
           Line(
            points={{12,52},{12,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(condConstant.y, NephroneADHOnConductance.yBase) annotation (
            Line(
            points={{9.5,68},{12,68},{12,58}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(ArcuateArtery_Pressure, arcuateArtery.pressure) annotation (Line(
          points={{-74,26},{-68,26},{-68,10},{-62,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(arcuateArtery.y, resistorWithCond.q_in) annotation (Line(
          points={{-42,10},{2,10}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.SystemicVeins_Pressure, veins.pressure) annotation (
          Line(
          points={{-85,75},{96,75},{96,10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(flowMeasure.q_out, veins.y) annotation (Line(
          points={{52,10},{76,10}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.Angiotensin2, A2OnConductance.u) annotation (Line(
          points={{-85,75},{-60,75},{-60,36},{4,36}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Vasopressin, NephroneADHOnConductance.u) annotation (
         Line(
          points={{-85,75},{-60,75},{-60,56},{4,56}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        annotation (          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2010</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end VasaRecta;

    model VariableResistorWithMyogenicResponse
      extends Physiolibrary.Icons.Resistor;

      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                      iconTransformation(extent={{90,-10},{110,
                10}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out "Blood outflow"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{-110,-10},{
                -90,10}})));

      //(q_in(pressure(start=95.5)),q_out(pressure(start=61.5)));
      extends Physiolibrary.SteadyStates.Interfaces.SteadyState(
                                                    stateName="Kidney-MyogenicDelay.PressureChange", state_start=InitialPressureChange);

      Physiolibrary.Types.RealIO.HydraulicConductanceInput cond(displayUnit="ml/(min.mmHg)")
          annotation (Placement(transformation(extent={{-100,92},             {-80,112}}), iconTransformation(
                   extent={{-10,-10},{10,10}},         rotation=270,         origin={0,40})));

      Physiolibrary.Types.Fraction myogenicEffect;
      Physiolibrary.Types.Pressure pressureChange(start=InitialPressureChange); //(start=0.161874);
    //  Real pressureChangeSteadyState;
     // Real adaptedPressure; //(start=77.9546);
    //  Real interlobarPressure;
      parameter Physiolibrary.Types.Pressure InitialPressureChange=0;

      parameter Physiolibrary.Types.Frequency K_PressureChange(displayUnit="1/min") =  2.0/60;
      parameter Physiolibrary.Types.Time Tau_PressureAdoption(displayUnit="hod") =  4.0*60*60;
      parameter Real[:,3] PressureChangeOnMyogenicCondEffect;
      Physiolibrary.Blocks.Interpolation.Curve PressureChangeOnCondEffect(
        x=PressureChangeOnMyogenicCondEffect[:, 1],
        y=PressureChangeOnMyogenicCondEffect[:, 2],
        slope=PressureChangeOnMyogenicCondEffect[:, 3],
        Xscale=101325/760)
        annotation (Placement(transformation(extent={{14,26},{34,46}})));

      AfferentArteryMyogenicReceptors kidneyMyogenic(initialPressure(
            displayUnit="mmHg") = 9999.179056125)
        annotation (Placement(transformation(extent={{-46,50},{-26,70}})));
    //initial equation
     // adaptedPressure = interlobarPressure;
      //der(adaptedPressure) = 0;
     // der(pressureChange) = 0;
    equation
      q_in.q + q_out.q = 0;

      q_in.q = myogenicEffect * cond * (q_in.pressure - q_out.pressure);
      kidneyMyogenic.InterlobarPressure = (q_in.pressure + q_out.pressure)/2;  //stredny tlak v arteriole
     // der(adaptedPressure) = (1/(60*Tau_PressureAdoption)) * (interlobarPressure-adaptedPressure); //receptory sa adaptuju na tlak (polcas adaptacie nastane za 2hod a 45min)
     // pressureChangeSteadyState = interlobarPressure-adaptedPressure;  //zmena tlaku sa taktiez adaptuje - neviem preco? => potom to vizera, ze stimulacia receptorov je postupny proces (polcas nabudenia stimulacie je 20 sekund)

      state = pressureChange;
      change = K_PressureChange * (kidneyMyogenic.PressureChange_SteadyState - pressureChange);

      PressureChangeOnCondEffect.u = pressureChange; //zmena tlaku aktivuje receptory
      myogenicEffect = PressureChangeOnCondEffect.val; //stimulacia receptorov ma vplyv na vodivost (odpor) krvi aferentnej arterie
      annotation ( Icon(graphics={
              Text(
                extent={{-110,-68},{106,-32}},
                textString="%name",
                lineColor={0,0,255}),
              Text(
                extent={{-68,-20},{66,12}},
                lineColor={0,0,0},
                textString="blood flow"),
              Rectangle(
                extent={{-70,30},{70,-30}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Sphere),
              Text(
                extent={{-54,20},{52,-18}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Sphere,
                fillColor={215,215,215},
                textString="Myogenic")}),
            Documentation(info="<html> <pre>Receptory sa adaptuju na priemerny tlak v arteriole - polcas adaptacie nastane za 2hod a 45min.
        Zmena tlaku sa taktiez adaptuje - neviem preco? =&GT; potom to vizera, ze stimulacia receptorov je postupny proces (polcas nabudenia stimulacie je 20 sekund).
        Zmena tlaku aktivuje receptory, ktorych stimulacia ma vplyv na vasokonstrikciu danej arterioly.</pre> </html>"));
    end VariableResistorWithMyogenicResponse;

      model AfferentArteryMyogenicReceptors
        extends Physiolibrary.SteadyStates.Interfaces.SteadyState(
                                                      stateName="Kidney-Myogenic.AdaptedPressure",
                                                      state_start=initialPressure,
                                                      state(nominal=1e5));
        parameter Physiolibrary.Types.Time Tau = 4*60*60;
        parameter Physiolibrary.Types.Frequency K =   1 / ( Tau);
        parameter Physiolibrary.Types.Pressure initialPressure;
        Physiolibrary.Types.Pressure AdaptedPressure(displayUnit="mmHg");
        Physiolibrary.Types.RealIO.PressureInput
                                           InterlobarPressure(
                                                        displayUnit="mmHg") annotation (
            Placement(transformation(extent={{-100,20},{-60,60}}), iconTransformation(
                extent={{-100,20},{-60,60}})));
        Physiolibrary.Types.RealIO.PressureOutput
                                            PressureChange_SteadyState(
                                                                 displayUnit="mmHg")
          annotation (Placement(transformation(extent={{80,-60},{120,-20}}),
              iconTransformation(extent={{80,-60},{120,-20}})));
      equation
      state = AdaptedPressure;
        change = K  * ( InterlobarPressure  -  AdaptedPressure);

        PressureChange_SteadyState = InterlobarPressure - AdaptedPressure;
      end AfferentArteryMyogenicReceptors;

      package Interfaces
        partial model BaseOD
        extends Physiolibrary.Icons.PerfusionOD;

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{-110,-10},{-90,10}})));
        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out
          "Blood outflow"
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                          iconTransformation(extent={{90,-10},{110,10}})));

        Physiolibrary.Types.BusConnector busConnector
          "signals of organ bood flow resistence" annotation (Placement(
              transformation(extent={{-100,80},{-80,100}}), iconTransformation(
                extent={{60,10},{78,28}})));

          Modelica.Blocks.Interfaces.RealOutput BloodFlow
                                                   annotation (Placement(transformation(
                  extent={{-76,-18},{-66,-8}}),iconTransformation(extent={{60,-30},{80,-10}})));
        Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-82,0})));
        equation

          connect(q_in, flowMeasure.q_in) annotation (Line(
              points={{-100,0},{-92,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure.volumeFlow, BloodFlow) annotation (Line(
              points={{-82,12},{-82,-13},{-71,-13}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation (Documentation(info="<HTML>
<PRE>
Blood flow variable resistor abstract model.
</PRE>
</HTML>
",       revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end BaseOD;

        partial model BaseDO
        extends Physiolibrary.Icons.PerfusionDO;

        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a q_in "Blood inflow"
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                        iconTransformation(extent={{90,-10},{110,
                  10}})));
        Physiolibrary.Hydraulic.Interfaces.HydraulicPort_b q_out
          "Blood outflow"
          annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                  -110},{10,-90}}, rotation=0),
                                          iconTransformation(extent={{-110,-10},{
                  -90,10}})));

        Physiolibrary.Types.BusConnector busConnector
          "signals of organ bood flow resistence" annotation (Placement(
              transformation(extent={{-100,80},{-80,100}}), iconTransformation(
                extent={{60,10},{78,28}})));

          Modelica.Blocks.Interfaces.RealOutput BloodFlow
                                                   annotation (Placement(transformation(
                  extent={{90,-22},{102,-10}}),iconTransformation(extent={{60,-60},{80,
                    -40}})));
        Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure annotation (
            Placement(transformation(
              extent={{10,-10},{-10,10}},
              origin={88,0})));
        equation

          connect(flowMeasure.volumeFlow, BloodFlow) annotation (Line(
              points={{88,12},{88,-16},{96,-16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(flowMeasure.q_in, q_in) annotation (Line(
              points={{98,0},{100,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          annotation (Documentation(info="<HTML>
<PRE>
Blood flow variable resistor abstract model.
</PRE>
</HTML>
",       revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end BaseDO;

        partial model Heart
          extends Physiomodel.CardioVascular.Microcirculation.Interfaces.BaseDO;

        //parameter Real BasicLargeVeselsConductance( final quantity="Conductance", final displayUnit="ml/(min.mmHg)");
        //parameter Real BasicSmallVeselsConductance( final quantity="Conductance", final displayUnit="ml/(min.mmHg)");
        parameter Physiolibrary.Types.HydraulicConductance BasicLargeVeselsConductance( displayUnit="ml/(min.mmHg)");
        parameter Physiolibrary.Types.HydraulicConductance BasicSmallVeselsConductance( displayUnit="ml/(min.mmHg)");

        Physiolibrary.Blocks.Factors.Spline PO2Effect(data={{12,2.0,0},{17,1.0,-0.04},
              {30,0.8,0}}, Xscale=101325/760)
          annotation (Placement(transformation(extent={{60,20},{80,40}})));
        Physiolibrary.Blocks.Factors.Spline ADHEffect2(
          data={{0.8,1.0,0},{3.0,0.1,0}},
          UsePositiveLog10=true,
          Xscale=1e-9/Substances.Vasopressin.mw)
          annotation (Placement(transformation(extent={{60,58},{80,78}})));
        Physiolibrary.Blocks.Factors.Spline MetabolismEffect(data={{30,1.0,0},{
              100,3.0,0}}, Xscale=1/1362657.193569)
          "O2Need 1 ml_STP/min = 1/1362657.193569 mol/s"
          annotation (Placement(transformation(extent={{60,10},{80,30}})));
        Physiolibrary.Blocks.Factors.Normalization Anesthesia
          annotation (Placement(transformation(extent={{60,66},{80,86}})));
        Physiolibrary.Types.Constants.HydraulicConductanceConst
          LargeVesselBasicConductance(k=BasicLargeVeselsConductance)
          annotation (Placement(transformation(extent={{-6,18},{-18,30}})));
        Physiolibrary.Blocks.Factors.Normalization Viscosity1
          annotation (Placement(transformation(extent={{-30,4},{-10,24}})));
        Physiolibrary.Types.Constants.HydraulicConductanceConst
          SmallVesselBasicConductance(k=BasicSmallVeselsConductance)
          annotation (Placement(transformation(extent={{90,86},{78,98}})));
          Physiomodel.Nerves.AplhaReceptorsActivityFactor aplhaReceptorsActivityFactor(
              data={{0.0,1.3,0},{1.0,1.0,-0.16},{4.0,0.8,0}})
            annotation (Placement(transformation(extent={{60,46},{80,66}})));
        Physiolibrary.Blocks.Factors.DamagedFraction Infraction
          annotation (Placement(transformation(extent={{60,2},{80,22}})));
          Physiolibrary.Blocks.Factors.SplineLagOrZero              Vasculature(
              data={{41,1.2,0},{51,1.0,-0.03},{61,0.8,0}}, HalfTime=30*86400*Modelica.Math.log(2),
            integrator(y_start=1.2),
          Xscale=101325/760)
            annotation (Placement(transformation(extent={{60,30},{80,50}})));
        Physiolibrary.Blocks.Factors.Normalization Viscosity
          annotation (Placement(transformation(extent={{60,74},{80,94}})));
        Physiolibrary.Hydraulic.Components.Conductor resistor2_1(
            useConductanceInput=true)
          annotation (Placement(transformation(extent={{60,-10},{80,10}})));
        Physiolibrary.Hydraulic.Components.Conductor resistor2_2(
            useConductanceInput=true)
          annotation (Placement(transformation(extent={{-30,-10},{-10,10}})));
        equation
          connect(LargeVesselBasicConductance.y, Viscosity1.yBase) annotation (Line(
              points={{-19.5,24},{-20,24},{-20,16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Viscosity.y, Anesthesia.yBase) annotation (Line(
              points={{70,80},{70,78}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.Anesthesia_VascularConductance, Anesthesia.u)
            annotation (Line(
              points={{-90,90},{6,90},{6,76},{62,76}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.Viscosity_ConductanceEffect, Viscosity.u) annotation (
              Line(
              points={{-90,90},{6,90},{6,84},{62,84}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.AlphaPool_Effect, aplhaReceptorsActivityFactor.AlphaPool_Effect)
            annotation (Line(
              points={{-90,90},{6,90},{6,62},{60.2,62}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.AlphaBlocade_Effect, aplhaReceptorsActivityFactor.AlphaBlockade_Effect)
            annotation (Line(
              points={{-90,90},{6,90},{6,56},{60.2,56}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.GangliaGeneral_NA, aplhaReceptorsActivityFactor.GangliaGeneral_NA)
            annotation (Line(
              points={{-90,90},{6,90},{6,50},{60.2,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.Viscosity_ConductanceEffect, Viscosity1.u) annotation (
              Line(
              points={{-90,90},{-74,90},{-74,14},{-28,14}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Viscosity.yBase, SmallVesselBasicConductance.y) annotation (
              Line(
              points={{70,86},{70,92},{76.5,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Anesthesia.y, ADHEffect2.yBase) annotation (Line(
              points={{70,72},{70,70}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ADHEffect2.y, aplhaReceptorsActivityFactor.yBase) annotation (
              Line(
              points={{70,64},{70,63}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(aplhaReceptorsActivityFactor.y, Vasculature.yBase) annotation (
              Line(
              points={{70,49},{70,46}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Vasculature.y, PO2Effect.yBase) annotation (Line(
              points={{70,34},{70,32}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(PO2Effect.y, MetabolismEffect.yBase) annotation (Line(
              points={{70,26},{70,22}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(MetabolismEffect.y, Infraction.yBase) annotation (Line(
              points={{70,16},{70,14}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(q_out, resistor2_2.q_in) annotation (Line(
              points={{-100,0},{-30,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(resistor2_2.q_out, resistor2_1.q_in) annotation (Line(
              points={{-10,0},{60,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(resistor2_1.q_out, flowMeasure.q_out) annotation (Line(
              points={{80,0},{78,0}},
              color={0,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(resistor2_1.cond, Infraction.y) annotation (Line(
              points={{70,6},{70,8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(resistor2_2.cond, Viscosity1.y) annotation (Line(
              points={{-20,6},{-20,10}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(busConnector.Vasopressin, ADHEffect2.u) annotation (Line(
            points={{-90,90},{6,90},{6,68},{62,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
          annotation (
            Documentation(info="<HTML>
<PRE>
Blood resistance in left heart.

QHP 2008 / LeftHeart-Flow

</PRE>
</HTML>
",       revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"), Icon(graphics={Text(
                  extent={{-100,-100},{100,-80}},
                  lineColor={0,0,255},
                  textString="%name")}));
        end Heart;
      end Interfaces;
    end Microcirculation;

    package Blood "Red Cells and Blood Properties"
      class References "References"
        extends Modelica.Icons.References;

        annotation (Documentation(info="<html>
<table>

	<tr>
		<td>[Begg1966]</td>
		<td>T. Begg and J. Hearns, \"Components in blood viscosity. The relative contribution of haematocrit, plasma fibrinogen and other proteins,\" Clinical science, vol. 31, pp. 87-93, 1966. </td>
	</tr>
	<tr>
		<td>[Brezis1995]</td>
		<td>M. Brezis and S. Rosen, \"Hypoxia of the Renal Medulla — Its Implications for Disease,\" New England Journal of Medicine, vol. 332, pp. 647-655, 1995. </td>
	</tr>
	<tr>
		<td>[Fan1980]</td>
		<td>F. C. Fan, R. Y. Chen, G. B. Schuessler, and S. Chien, Effects of hematocrit variations on regional hemodynamics and oxygen transport in the dog vol. 238, 1980. </td>
	</tr>
	<tr>
		<td>[Jan1977]</td>
		<td>K. M. Jan and S. Chien, Effect of hematocrit variations on coronary hemodynamics and oxygen utilization vol. 233, 1977. </td>
	</tr>
	<tr>
		<td>[Schrier1970]</td>
		<td>R. W. Schrier, K. M. McDonald, R. Wells, and D. P. Lauler, \"Influence of hematocrit and colloid on whole blood viscosity during volume expansion,\" Am. J. Physiol, vol. 218, p. 77, 1970. </td>
	</tr>
	<tr>
		<td>[Stone1968]</td>
		<td>H. Stone, Thompson HK, and K. Schmidt-Nielsen, Influence of erythrocytes on blood viscosity vol. 214, 1968. </td>
	</tr>
	<tr>
		<td>[Whittaker1933]</td>
		<td>S. R. F. Whittaker and F. R. Winton, \"The apparent viscosity of blood flowing in the isolated hindlimb of the dog, and its variation with corpuscular concentration,\" The Journal of Physiology, vol. 78, pp. 339-369, July 10, 1933 1933.  </td>
	</tr>


</table>
</html>"));
      end References;

      model RedCells2
        extends Physiolibrary.Icons.RedCells;
        Physiolibrary.Blocks.Factors.SplineLag      EPOEffect(
          HalfTime=3*86400*Modelica.Math.log(2),
          data={{0.0,0.0,0},{1.3,1.0,1.0},{4.0,4.0,0}},
          stateName="[EPO]Delay.Effect",
        UsePositiveLog10=true,
        Xscale=1e3) "20 miu/ml = 20e3 iu/m3"
          annotation (Placement(transformation(extent={{-46,-16},{-26,4}})));
      Physiolibrary.Types.BusConnector busConnector
        annotation (Placement(transformation(extent={{-88,58},{-68,78}})));
        Physiolibrary.Blocks.Math.FractionGain
                                  H2O(f=0.66)
          annotation (Placement(transformation(extent={{-4,-4},{4,4}},
            origin={54,-84})));
      Hormones.EPO EPO
        annotation (Placement(transformation(extent={{-74,-16},{-54,4}})));
      Physiolibrary.Population.Sources.Growth transfusion(useChangeInput=true)
        annotation (Placement(transformation(extent={{-46,-52},{-26,-32}})));
      Physiolibrary.Population.Sources.Growth erythropoiesis(useChangeInput=
            true)
        annotation (Placement(transformation(extent={{-46,-30},{-26,-10}})));
      Physiolibrary.Population.Sources.Loss hemorrhage(useChangeInput=true)
        annotation (Placement(transformation(extent={{58,-32},{78,-12}})));
      Physiolibrary.Population.Components.Mortality mortality(LifeTime(
            displayUnit="d") = 10368000)
        annotation (Placement(transformation(extent={{58,-52},{78,-32}})));
      Physiolibrary.Population.Components.Population erythrocytes(
        population_start=12e12,
        NominalPopulation=1e12,
        NominalPopulationChange=1e6)
        "red cell count (with density of 5e6 per one uL)"
        annotation (Placement(transformation(extent={{4,-42},{24,-22}})));
        Modelica.Blocks.Math.Gain RBCVol(k=2.4e-3/12e12) "12e12 cells == 2.4 L"
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            origin={30,-76})));
      Physiolibrary.Types.Constants.PopulationChangeConst RBCBaseSecretionRate(
          k=1.16e6) "13.7 ml/day (12e12 cells == 2.4 L)"
        annotation (Placement(transformation(extent={{-50,8},{-42,16}})));
        Modelica.Blocks.Math.Gain RBCVolToCells(k=12e12/2.4e-3)
        "12e12 cells == 2.4 L" annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            origin={-58,-36})));
        Modelica.Blocks.Math.Gain RBCVol2(k=12e12/2.4e-3)
        "12e12 cells == 2.4 L" annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={68,0})));
      equation

        connect(H2O.y, busConnector.RBCH2O_Vol) annotation (Line(
            points={{58.4,-84},{98,-84},{98,68},{-78,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(EPOEffect.u, EPO.Erythropoetin) annotation (Line(
          points={{-44,-6},{-54,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector, EPO.busConnector) annotation (Line(
          points={{-78,68},{-78,-12},{-72,-12}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None));
      connect(EPOEffect.y, erythropoiesis.populationChange) annotation (Line(
          points={{-36,-10},{-36,-16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(erythropoiesis.port_b, erythrocytes.port) annotation (Line(
          points={{-26,-20},{-6,-20},{-6,-32},{14,-32}},
          color={0,127,127},
          thickness=1,
          smooth=Smooth.None));
      connect(transfusion.port_b, erythrocytes.port) annotation (Line(
          points={{-26,-42},{-6,-42},{-6,-32},{14,-32}},
          color={0,127,127},
          thickness=1,
          smooth=Smooth.None));
      connect(erythrocytes.port, hemorrhage.port_a) annotation (Line(
          points={{14,-32},{34,-32},{34,-22},{58,-22}},
          color={0,127,127},
          thickness=1,
          smooth=Smooth.None));
      connect(erythrocytes.port, mortality.port_a) annotation (Line(
          points={{14,-32},{34,-32},{34,-42},{58.2,-42}},
          color={0,127,127},
          thickness=1,
          smooth=Smooth.None));
      connect(RBCVol.y, H2O.u) annotation (Line(
          points={{34.4,-76},{42,-76},{42,-84},{49.2,-84}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(erythrocytes.population, RBCVol.u) annotation (Line(
          points={{20,-42},{20,-76},{25.2,-76}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RBCVol.y, busConnector.RBCVol_Vol) annotation (Line(
          points={{34.4,-76},{98,-76},{98,68},{-78,68}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(RBCBaseSecretionRate.y, EPOEffect.yBase) annotation (Line(
          points={{-41,12},{-36,12},{-36,-4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(transfusion.populationChange, RBCVolToCells.y) annotation (Line(
          points={{-36,-38},{-36,-36},{-53.6,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Transfusion_RBCRate, RBCVolToCells.u) annotation (
          Line(
          points={{-78,68},{-78,-36},{-62.8,-36}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Hemorrhage_RBCRate, RBCVol2.u) annotation (Line(
          points={{-78,68},{68,68},{68,4.8}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(RBCVol2.y, hemorrhage.populationChange) annotation (Line(
          points={{68,-4.4},{68,-18}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={                  Text(
                extent={{-136,-46},{148,-68}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end RedCells2;

      model BloodPropertiesBase
          extends Physiolibrary.Icons.Blood;

        Modelica.Blocks.Math.Add BloodVolume
          annotation (Placement(transformation(extent={{10,-70},{18,-62}})));
        Modelica.Blocks.Math.Min CollapsedEffect
          annotation (Placement(transformation(extent={{50,-84},{58,-76}})));
        Modelica.Blocks.Math.Division division
          annotation (Placement(transformation(extent={{38,-78},{46,-70}})));
      Physiolibrary.Types.Constants.OneConst one
        annotation (Placement(transformation(extent={{38,-94},{46,-86}})));
        Modelica.Blocks.Math.Division HtcFract
          annotation (Placement(transformation(extent={{32,-46},{40,-38}})));
      Physiolibrary.Blocks.Interpolation.Curve HtcOnVisc(
        x={0,0.44,0.8},
        y={0.5,1,5},
        slope={0.8,3,30})
        annotation (Placement(transformation(extent={{46,-52},{66,-32}})));
        Modelica.Blocks.Math.Division division1
          annotation (Placement(transformation(extent={{78,-40},{86,-32}})));
      Physiolibrary.Types.Constants.OneConst one1
        annotation (Placement(transformation(extent={{64,-30},{72,-22}})));
      Physiolibrary.Types.Constants.OneConst one2
        annotation (Placement(transformation(extent={{28,-14},{36,-6}})));
        Modelica.Blocks.Math.Feedback PVCrit
          annotation (Placement(transformation(extent={{38,-14},{46,-6}})));
      Physiolibrary.Types.Constants.ConcentrationConst Hb(k=9.3)
        annotation (Placement(transformation(extent={{-20,8},{-28,16}})));
      Physiolibrary.Blocks.Factors.Normalization hematocritEffect(NormalValue=
            0.44)
        annotation (Placement(transformation(extent={{-44,-10},{-24,10}})));
      Physiolibrary.Types.Constants.ConcentrationConst DPG(k=5.4)
        annotation (Placement(transformation(extent={{26,90},{18,98}})));
      Physiolibrary.Types.Constants.FractionConst FMetHb(k=0.005)
        annotation (Placement(transformation(extent={{26,82},{18,90}})));
      Physiolibrary.Types.Constants.FractionConst FHbF(k=0.005)
        annotation (Placement(transformation(extent={{26,74},{18,82}})));
      Physiolibrary.Types.BusConnector busConnector
        annotation (Placement(transformation(extent={{-104,58},{-84,78}})));
        Modelica.Blocks.Math.Division division3(y(displayUnit="mmol/l"))
          annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              origin={-4,2})));
        Modelica.Blocks.Math.Feedback feedback
          annotation (Placement(transformation(extent={{-20,32},{-40,52}})));
        Modelica.Blocks.Math.Add BloodVolume1
          annotation (Placement(transformation(extent={{-46,24},{-38,32}})));
        Modelica.Blocks.Math.Product product
          annotation (Placement(transformation(extent={{66,2},{74,10}})));
        Modelica.Blocks.Math.Sum V0(nin=5)
          annotation (Placement(transformation(extent={{-30,-90},{-22,-82}})));
        Modelica.Blocks.Math.Sum VeinsVol(nin=5) "volume of deoxygenated blood"
          annotation (Placement(transformation(extent={{-26,-54},{-18,-46}})));
        Modelica.Blocks.Math.Sum ArtysVol(nin=4) "volume of oxygenated blood"
          annotation (Placement(transformation(extent={{-26,-34},{-18,-26}})));
      equation
        connect(busConnector.PlasmaVol_Vol, BloodVolume.u2)
                                                    annotation (Line(
            points={{-94,68},{-94,-68.4},{9.2,-68.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.RBCVol_Vol, BloodVolume.u1)
                                                  annotation (Line(
            points={{-94,68},{-94,-63.6},{9.2,-63.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.y, CollapsedEffect.u1)
                                    annotation (Line(
            points={{46.4,-74},{47.8,-74},{47.8,-77.6},{49.2,-77.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodVolume.y, division.u1)
                                    annotation (Line(
            points={{18.4,-66},{28,-66},{28,-71.6},{37.2,-71.6}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(one.y, CollapsedEffect.u2) annotation (Line(
          points={{47,-90},{48,-90},{48,-82.4},{49.2,-82.4}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(CollapsedEffect.y, busConnector.BloodVol_CollapsedEffect)
                                                              annotation (Line(
            points={{58.4,-80},{90,-80},{90,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.u2, BloodVolume.y)
                                    annotation (Line(
            points={{31.2,-44.4},{26,-44.4},{26,-66},{18.4,-66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.u1,busConnector. RBCVol_Vol) annotation (Line(
            points={{31.2,-39.6},{-94,-39.6},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.y,HtcOnVisc. u) annotation (Line(
            points={{40.4,-42},{46,-42}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(one1.y, division1.u1) annotation (Line(
          points={{73,-26},{74,-26},{74,-33.6},{77.2,-33.6}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(HtcOnVisc.val,division1. u2) annotation (Line(
            points={{66,-42},{75.5,-42},{75.5,-38.4},{77.2,-38.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division1.y,busConnector. Viscosity_ConductanceEffect) annotation (Line(
            points={{86.4,-36},{90,-36},{90,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HtcFract.y,busConnector. BloodVol_Hct) annotation (Line(
            points={{40.4,-42},{42,-42},{42,-20},{-94,-20},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(one2.y, PVCrit.u1) annotation (Line(
          points={{37,-10},{38.8,-10}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(HtcFract.y,PVCrit. u2) annotation (Line(
            points={{40.4,-42},{42,-42},{42,-13.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PVCrit.y,busConnector. BloodVol_PVCrit) annotation (Line(
            points={{45.6,-10},{90,-10},{90,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Hb.y, hematocritEffect.yBase) annotation (Line(
          points={{-29,12},{-34,12},{-34,2}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(hematocritEffect.y,busConnector. ctHb) annotation (Line(
            points={{-34,-4},{-34,-10},{-94,-10},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(busConnector.cDPG, DPG.y) annotation (Line(
          points={{-94,68},{-4,68},{-4,94},{17,94}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.FMetHb, FMetHb.y) annotation (Line(
          points={{-94,68},{-4,68},{-4,86},{17,86}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.FHbF, FHbF.y) annotation (Line(
          points={{-94,68},{-4,68},{-4,78},{17,78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Hb.y, division3.u1) annotation (Line(
          points={{-29,12},{-34,12},{-34,4},{-8.8,4},{-8.8,4.4}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(HtcFract.y, division3.u2) annotation (Line(
            points={{40.4,-42},{42,-42},{42,-20},{-18,-20},{-18,-0.4},{-8.8,
              -0.4}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(division3.y, busConnector.ctHb_ery) annotation (Line(
            points={{0.4,2},{20,2},{20,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVolume.y, feedback.u1) annotation (Line(
            points={{18.4,-66},{26,-66},{26,42},{-22,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ArtysVol, BloodVolume1.u1) annotation (Line(
            points={{-94,68},{-94,30},{-46.8,30},{-46.8,30.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.VeinsVol, BloodVolume1.u2) annotation (Line(
            points={{-94,68},{-94,26},{-46.8,26},{-46.8,25.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(BloodVolume1.y, feedback.u2) annotation (Line(
            points={{-37.6,28},{-30,28},{-30,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PVCrit.y, product.u2) annotation (Line(
            points={{45.6,-10},{54,-10},{54,3.6},{65.2,3.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.PortalVein_BloodFlow, product.u1) annotation (Line(
            points={{-94,68},{54,68},{54,8.4},{65.2,8.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(product.y, busConnector.PortalVein_PlasmaFlow) annotation (Line(
            points={{74.4,6},{90,6},{90,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(busConnector.PulmonaryCirculation_V0,V0. u[1])
          annotation (Line(
            points={{-94,68},{-94,-82},{-32,-82},{-32,-86.64},{-30.8,-86.64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,6},{-6,6}}));
        connect(busConnector.Heart_V0,V0. u[2]) annotation (
            Line(
            points={{-94,68},{-94,-86.32},{-30.8,-86.32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,2},{-6,2}}));
        connect(busConnector.SystemicArtys_V0,V0. u[3])
          annotation (Line(
            points={{-94,68},{-94,-90},{-32,-90},{-32,-86},{-30.8,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-2},{-6,-2}}));
        connect(busConnector.PortalVein_V0,V0. u[4]) annotation (Line(
            points={{-94,68},{-94,-94},{-32,-94},{-32,-86},{-30.8,-85.68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-6},{-6,-6}}));
        connect(busConnector.SystemicVeins_V0,V0. u[5]) annotation (Line(
            points={{-94,68},{-94,-98},{-32,-98},{-32,-86},{-30.8,-85.36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-10},{-6,-10}}));
        connect(VeinsVol.y, busConnector.VeinsVol) annotation (Line(
            points={{-17.6,-50},{2,-50},{2,-42},{-94,-42},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.PulmonaryCirculation_DeoxygenatedBloodVolume,VeinsVol. u[1])
          annotation (Line(
            points={{-94,68},{-94,-46},{-28,-46},{-28,-50.64},{-26.8,-50.64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,6},{-6,6}}));
        connect(busConnector.Heart_DeoxygenatedBloodVolume,VeinsVol. u[2]) annotation (
            Line(
            points={{-94,68},{-94,-50.32},{-26.8,-50.32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,2},{-6,2}}));
        connect(busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume,VeinsVol. u[3])
          annotation (Line(
            points={{-94,68},{-94,-54},{-28,-54},{-28,-50},{-26.8,-50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-2},{-6,-2}}));
        connect(busConnector.SystemicVeins_DeoxygenatedBloodVolume,VeinsVol. u[4])
          annotation (Line(
            points={{-94,68},{-94,-58},{-28,-58},{-28,-49.68},{-26.8,-49.68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-6},{-6,-6}}));
        connect(ArtysVol.y, busConnector.ArtysVol) annotation (Line(
            points={{-17.6,-30},{2,-30},{2,-22},{-94,-22},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.PulmonaryCirculation_OxygenatedBloodVolume,ArtysVol. u[1])
          annotation (Line(
            points={{-94,68},{-94,-26},{-28,-26},{-28,-30.6},{-26.8,-30.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,6},{-6,6}}));
        connect(busConnector.Heart_OxygenatedBloodVolume,ArtysVol. u[2]) annotation (
            Line(
            points={{-94,68},{-94,-30.2},{-26.8,-30.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,2},{-6,2}}));
        connect(busConnector.SystemicArtys_OxygenatedBloodVolume,ArtysVol. u[3])
          annotation (Line(
            points={{-94,68},{-94,-34},{-28,-34},{-28,-29.8},{-26.8,-29.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-2},{-6,-2}}));
        connect(feedback.y, busConnector.BloodVolume_change) annotation (Line(
            points={{-39,42},{-66,42},{-66,68},{-94,68}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodVolume.y, busConnector.BloodVolume) annotation (Line(
          points={{18.4,-66},{90,-66},{90,68},{-94,68}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(HtcFract.y, hematocritEffect.u) annotation (Line(
          points={{40.4,-42},{42,-42},{42,-20},{-52,-20},{-52,0},{-42,0}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.LegArtys_OxygenatedBloodVolume, ArtysVol.u[4])
          annotation (Line(
            points={{-94,68},{-94,-38},{-26.8,-38},{-26.8,-29.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-6},{-6,-6}}));
        connect(busConnector.LegVeins_DeoxygenatedBloodVolume, VeinsVol.u[5])
          annotation (Line(
            points={{-94,68},{-94,-62},{-28,-62},{-28,-49.36},{-26.8,-49.36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-10},{-6,-10}}));
      connect(V0.y, division.u2) annotation (Line(
          points={{-21.6,-86},{8,-86},{8,-76.4},{37.2,-76.4}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={                          Text(
                extent={{-142,-108},{142,-130}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(info="<html>
<p>BloodVolume .. whole blood volume</p>
<p>BloodVol_Hct .. haematocrit</p>
<p>BloodVol_PVCrit .. 1-BloodVol_Hct, plamacrit</p>
<p>ctHb_ery .. concentration of heme group in erythrocytes = 4 * MCHC (mean corpuscular hemoglobin concentration)</p>
<p>ctHb .. concentration of heme group in whole blood</p>
<p>FHbF .. featal Hb fraction from all Hb</p>
<p>FMetHb .. metha-Hb fraction from all Hb</p>
<p>cDPG .. concentration of 2,3-diphosphoglycerate in erythrocytes</p>
<p>Viscosity_ConductanceEffect .. multiply coeficient of blood resistance through vesseles</p>
<p>BloodVol_CollapsedEffect .. effect of small blood volume on systemic veins collasping</p>
<p>Vesseles_V0 .. volume of no-pressure generating blood in all vessels.</p>
<p>ArtysVol .. volume of all oxigenated blood</p>
<p>VeinsVol .. volume of all deoxigenated blood</p>
</html>", revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end BloodPropertiesBase;

    end Blood;

    model CardioVascularSystem
      extends Physiolibrary.Icons.CardioVascular;
    //  extends Physiomodel.Library.Utilities.DynamicState(stateName="BloodVol.Vol", initType=Library.Utilities.Init.NoInit);

    Heart.Heart heart
      annotation (Placement(transformation(extent={{0,-6},{26,20}})));
    Circulation.PulmonaryCirculation pulmonaryCirculation
      annotation (Placement(transformation(extent={{2,50},{30,78}})));
    Circulation.SystemicCirculationFullDynamic systemicCirculation
      annotation (Placement(transformation(extent={{-2,-68},{32,-34}})));
    Physiolibrary.Types.BusConnector busConnector
      "signals of organ bood flow resistence" annotation (Placement(
          transformation(extent={{-38,-8},{-16,14}}), iconTransformation(extent=
             {{-100,60},{-60,100}})));
    Blood.RedCells2 redCells(RBCBaseSecretionRate(k(displayUnit="m3/s")))
      annotation (Placement(transformation(extent={{-34,26},{-54,46}})));
    Blood.BloodPropertiesBase bloodProperties
      annotation (Placement(transformation(extent={{-36,-34},{-56,-14}})));

    /*initial equation
  if STEADY then
     bloodProperties.feedback.y = 0;
  end if;
*/

    equation
      connect(busConnector, pulmonaryCirculation.busConnector) annotation (
          Line(
          points={{-27,3},{-26,3},{-26,71},{2,71}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, systemicCirculation.busConnector) annotation (
          Line(
          points={{-27,3},{-26,3},{-26,-44.2},{-2.34,-44.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, redCells.busConnector)    annotation (Line(
          points={{-27,3},{-26,3},{-26,42.8},{-36.2,42.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, bloodProperties.busConnector) annotation (Line(
          points={{-27,3},{-26,3},{-26,-17.2},{-36.6,-17.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, heart.busConnector) annotation (Line(
          points={{-27,3},{-25.5,3},{-25.5,3.1},{0,3.1}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(heart.fromLeftVentricle, systemicCirculation.q_in) annotation (
          Line(
          points={{16.12,3.36},{16.12,18},{32,18},{32,-51}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(systemicCirculation.q_out, heart.rightAtrium) annotation (Line(
          points={{-2,-51},{-4,-51},{-4,12.2},{5.72,12.2}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pulmonaryCirculation.q_in, heart.fromRightVentricle) annotation (
          Line(
          points={{1.72,64},{-4,64},{-4,18},{8.06,18},{8.06,3.36}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pulmonaryCirculation.q_out, heart.leftAtrium) annotation (Line(
          points={{30,64},{36,64},{36,12.46},{18.72,12.46}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));

    //  stateValue = bloodProperties.BloodVolume1.y;

      annotation ( Documentation(info="<html>
<p><h4><font color=\"#008000\">Cardiovascular system</font></h4></p>
<p><font style=\"color: #008000; \">Connect heart with pulmonary and systemic part. This connection contains pressures and blood flows before and after heart.</font></p>
<p><font style=\"color: #008000; \">Output signal variables about blood volume between lungs capilaries and systemic tissue capilaries are used in gass transport submodels like O2 or CO2.</font></p>
<p><font style=\"color: #008000; \">Output signal Vesseles_V0 is used for systemic veins collapsing in massive blood lost.</font></p>
<p><font style=\"color: #008000; \">The blood properties convert known variables values to another meanings (haematocrit, viscosity, ..).</font></p>
<p><font style=\"color: #008000; \">Red cells contains volume, loss and gains all red blood cells.</font></p>
</html>", revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"),
        Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},{
                100,100}}), graphics={Text(
              extent={{-116,-96},{126,-130}},
              lineColor={0,0,255},
              textString="%name")}));
    end CardioVascularSystem;

    package IO_Bus
      extends Physiolibrary.Types.IO_Bus;

      redeclare model extends Variables

      T.Volume ArtysVol(varName="ArtysVol.Vol")
        "Volume of oxygenated blood in body."
      annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
      T.Fraction BloodVol_Hct(varName="BloodVol.Hct")
        "Heamatocrit = red cells / blood."
      annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
      T.Fraction BloodVol_PVCrit(varName="BloodVol.PVCrit")
        "Plasma volume fraction = plasma / blood."
      annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
      T.VolumeFlowRate Bone_BloodFlow(varName="Bone-Flow.BloodFlow")
        "Bone blood flow."
      annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
      T.VolumeFlowRate bone_BloodFlow(varName="Bone-Flow.BloodFlow")
        "Bone blood flow."
      annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
      T.VolumeFlowRate Brain_BloodFlow(varName="Brain-Flow.BloodFlow")
        "Brain blood flow."
      annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
      T.VolumeFlowRate brain_BloodFlow(varName="Brain-Flow.BloodFlow")
        "Brain blood flow."
      annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
      T.VolumeFlowRate CardiacOutput(varName="CardiacOutput.Flow")
        "Cardiac output."
      annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
      T.Pressure CarotidSinusArteryPressure(varName="CarotidSinus.Pressure")
        "Mean blood pressure in carotid sinus artery."
      annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
      T.VolumeFlowRate Fat_BloodFlow(varName="Fat-Flow.BloodFlow")
        "Fat blood flow."
      annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
      T.VolumeFlowRate fat_BloodFlow(varName="Fat-Flow.BloodFlow")
        "Fat blood flow."
      annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
      T.VolumeFlowRate GITract_BloodFlow(varName="GITract-Flow.BloodFlow")
        "GITract blood flow."
      annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
      T.Pressure GlomerulusBloodPressure(varName="GlomerulusFiltrate.Pressure")
        "Blood pressure in glomerulus capilaries."
      annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
      T.VolumeFlowRate HepaticArty_BloodFlow(varName="HepaticArty.Flow")
        "Hepatic artery blood flow."
      annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
      T.VolumeFlowRate Kidney_BloodFlow(varName="Kidney-Flow.BloodFlow")
        "Kidney blood flow."
      annotation (Placement(transformation(extent={{-36,150},{-30,156}})));
      T.VolumeFlowRate kidney_BloodFlow(varName="Kidney-Flow.BloodFlow")
        "Kidney blood flow."
      annotation (Placement(transformation(extent={{-36,160},{-30,166}})));
      T.VolumeFlowRate KidneyPlasmaFlow(varName="Kidney-Flow.PlasmaFlow")
        "Kidney plasma flow."
      annotation (Placement(transformation(extent={{-36,170},{-30,176}})));
      //Variable LeftAtrium_TMP(varName="LeftAtrium.TMP")
      //    "Left atrium pressure gradient between inside and pericardium."
      //annotation (Placement(transformation(extent={{-36,180},{-30,186}})));
      T.VolumeFlowRate LeftHeart_BloodFlow(varName="LeftHeart-Flow.BloodFlow")
        "LeftHeart blood flow."
      annotation (Placement(transformation(extent={{-36,200},{-30,206}})));
      T.VolumeFlowRate leftHeart_BloodFlow(varName="LeftHeart-Flow.BloodFlow")
        "LeftHeart blood flow."
      annotation (Placement(transformation(extent={{-36,210},{-30,216}})));
      T.VolumeFlowRate AlveolarVentilated_BloodFlow(varName="LungBloodFlow.AlveolarVentilated")
        "Blood flow through ventilated alveoli."
      annotation (Placement(transformation(extent={{-36,220},{-30,226}})));
      T.VolumeFlowRate OtherTissue_BloodFlow(varName="OtherTissue-Flow.BloodFlow")
        "OtherTissue blood flow."
      annotation (Placement(transformation(extent={{-36,230},{-30,236}})));
      T.VolumeFlowRate otherTissue_BloodFlow(varName="OtherTissue-Flow.BloodFlow")
        "OtherTissue blood flow."
      annotation (Placement(transformation(extent={{-36,240},{-30,246}})));
      T.VolumeFlowRate PortalVein_BloodFlow(varName="PortalVein.BloodFlow")
        "Portal vein blood flow."
      annotation (Placement(transformation(extent={{-36,250},{-30,256}})));
      T.VolumeFlowRate PortalVein_PlasmaFlow(varName="PortalVein.PlasmaFlow")
        "Portal vein plasma flow."
      annotation (Placement(transformation(extent={{-36,260},{-30,266}})));
      T.Pressure PulmCapys_Pressure(varName="PulmCapys.Pressure")
        "Blood pressure in pulmonary capylaries."
      annotation (Placement(transformation(extent={{-36,270},{-30,276}})));
      T.Volume RBCH2O_Vol(varName="RBCH2O.Vol")
        "Intracellular water in erythrocytes."
      annotation (Placement(transformation(extent={{-36,280},{-30,286}})));
      T.VolumeFlowRate RespiratoryMuscle_BloodFlow(varName="RespiratoryMuscle-Flow.BloodFlow")
        "RespiratoryMuscle blood flow."
      annotation (Placement(transformation(extent={{-36,290},{-30,296}})));
      T.VolumeFlowRate respiratoryMuscle_BloodFlow(varName="RespiratoryMuscle-Flow.BloodFlow")
        "RespiratoryMuscle blood flow."
      annotation (Placement(transformation(extent={{-36,300},{-30,306}})));
      T.Pressure RightAtrium_Pressure(varName="RightAtrium.Pressure")
        "Blood pressure in right atrium."
      annotation (Placement(transformation(extent={{-36,310},{-30,316}})));
      //Variable RightAtrium_TMP(varName="RightAtrium.TMP")
      //    "Right atrium pressure gradient between inside and pericardium."
      //annotation (Placement(transformation(extent={{-36,320},{-30,326}})));
      T.VolumeFlowRate RightHeart_BloodFlow(varName="RightHeart-Flow.BloodFlow")
        "RightHeart blood flow."
      annotation (Placement(transformation(extent={{-36,340},{-30,346}})));
      T.VolumeFlowRate rightHeart_BloodFlow(varName="RightHeart-Flow.BloodFlow")
        "RightHeart blood flow."
      annotation (Placement(transformation(extent={{-36,350},{-30,356}})));
      T.VolumeFlowRate SkeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow")
        "SkeletalMuscle blood flow."
      annotation (Placement(transformation(extent={{-36,360},{-30,366}})));
      T.VolumeFlowRate skeletalMuscle_BloodFlow(varName="SkeletalMuscle-Flow.BloodFlow")
        "SkeletalMuscle blood flow."
      annotation (Placement(transformation(extent={{-36,370},{-30,376}})));
      T.VolumeFlowRate Skin_BloodFlow(varName="Skin-Flow.BloodFlow")
        "Skin blood flow."
      annotation (Placement(transformation(extent={{-36,380},{-30,386}})));
      T.VolumeFlowRate skin_BloodFlow(varName="Skin-Flow.BloodFlow")
        "Skin blood flow."
      annotation (Placement(transformation(extent={{-36,390},{-30,396}})));
      T.Pressure SplanchnicVeins_Pressure(varName="SplanchnicVeins.Pressure")
        "Splanchnic (=portal vein) veins blood pressure."
      annotation (Placement(transformation(extent={{-36,400},{-30,406}})));
      T.Volume SplanchnicCirculation_DeoxygenatedBloodVolume(                          varName="SplanchnicVeins.Vol")
        "Splanchnic (=portal vein and venules) veins blood volume."
      annotation (Placement(transformation(extent={{-36,410},{-30,416}})));
      T.Pressure SystemicArtys_Pressure(varName="SystemicArtys.Pressure")
        "Mean systemic arteries blood pressure."
      annotation (Placement(transformation(extent={{-36,420},{-30,426}})));
      T.VolumeFlowRate VasaRecta_Outflow(varName="VasaRecta.Outflow")
        "Kidney vasa recta blood outflow to kidney veins."
      annotation (Placement(transformation(extent={{-36,430},{-30,436}})));
      T.Volume VeinsVol(varName="VeinsVol.Vol")
        "Volume of deoxygenated blood in body."
      annotation (Placement(transformation(extent={{-36,440},{-30,446}})));
      T.Concentration ctHb(varName="ctHb") "Hemoglobin concentration in blood."
      annotation (Placement(transformation(extent={{-36,450},{-30,456}})));
      T.Concentration ctHb_ery(varName="ctHb_ery")
        "Hemoglobin concentration in erythrocytes."
      annotation (Placement(transformation(extent={{-36,460},{-30,466}})));
      T.Pressure NephronIFP_Pressure(varName=
              "NephronIFP.Pressure") "Renal interstitial pressure."
      annotation (Placement(transformation(extent={{-34,-10},{-28,-4}})));
      T.VolumeFlowRate Liver_BloodFlow(varName=
              "Liver-O2.BloodFlow") "Liver blood flow."
      annotation (Placement(transformation(extent={{-30,-26},{-24,-20}})));
      T.Concentration cDPG(varName="cDPG") "2,3-DPG concentration"
      annotation (Placement(transformation(extent={{18,-84},{24,-78}})));
      T.Fraction FMetHb(varName="FMetHb")
        "Fraction of methemoglobin with Fe^3+ instead of Fe^2+"
      annotation (Placement(transformation(extent={{18,-74},{24,-68}})));
      T.Fraction FHbF(varName="FHbF") "Fraction of foetal hemoglobin"
      annotation (Placement(transformation(extent={{18,-64},{24,-58}})));
      T.Pressure SystemicVeins_Pressure(varName="SystemicVeins.Pressure")
        "Systemic veins pressure."
      annotation (Placement(transformation(extent={{-36,-40},{-30,-34}})));
      T.HydraulicConductance
                 skin_conductanceWithoutTermoregulationEffect(varName=
              "skin_conductanceWithoutTermoregulationEffect")
        "Skin conductance without termoregulation effect."
      annotation (Placement(transformation(extent={{-34,-54},{-28,-48}})));
      T.Concentration ANPPool_ANP(varName="ANPPool.[ANP]", storeUnit="pmol/l",
        y(nominal=1e-8)) "Atrial natriuretic peptide concentration."
          annotation (Placement(transformation(extent={{-82,-78},{-76,-72}})));
      T.Volume BloodVol_Vol(varName="BloodVol.Vol") "Blood volume"
      annotation (Placement(transformation(extent={{-84,4},{-78,10}})));
      T.Fraction AtrialLowPressureReceptors_NA(varName="LowPressureReceptors.NA")
        "Atrial Low Pressure Receptors neural activity."
          annotation (Placement(transformation(extent={{-84,-90},{-78,-84}})));
      equation

      connect(ArtysVol.y, busConnector.ArtysVol) annotation (Line(
       points={{-29.7,13},{90,13},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodVol_Hct.y, busConnector.BloodVol_Hct) annotation (Line(
       points={{-29.7,23},{90,23},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BloodVol_PVCrit.y, busConnector.BloodVol_PVCrit) annotation (Line(
       points={{-29.7,33},{90,33},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_BloodFlow.y, busConnector.Bone_BloodFlow) annotation (Line(
       points={{-29.7,43},{90,43},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_BloodFlow.y, busConnector.bone_BloodFlow) annotation (Line(
       points={{-29.7,53},{90,53},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_BloodFlow.y, busConnector.Brain_BloodFlow) annotation (Line(
       points={{-29.7,63},{90,63},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_BloodFlow.y, busConnector.brain_BloodFlow) annotation (Line(
       points={{-29.7,73},{90,73},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CardiacOutput.y, busConnector.CardiacOutput) annotation (Line(
       points={{-29.7,83},{90,83},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CarotidSinusArteryPressure.y, busConnector.CarotidSinusArteryPressure) annotation (Line(
       points={{-29.7,93},{90,93},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_BloodFlow.y, busConnector.Fat_BloodFlow) annotation (Line(
       points={{-29.7,103},{90,103},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_BloodFlow.y, busConnector.fat_BloodFlow) annotation (Line(
       points={{-29.7,113},{90,113},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_BloodFlow.y, busConnector.GITract_BloodFlow) annotation (Line(
       points={{-29.7,123},{90,123},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GlomerulusBloodPressure.y, busConnector.GlomerulusBloodPressure) annotation (Line(
       points={{-29.7,133},{90,133},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HepaticArty_BloodFlow.y, busConnector.HepaticArty_BloodFlow) annotation (Line(
       points={{-29.7,143},{90,143},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_BloodFlow.y, busConnector.Kidney_BloodFlow) annotation (Line(
       points={{-29.7,153},{90,153},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_BloodFlow.y, busConnector.kidney_BloodFlow) annotation (Line(
       points={{-29.7,163},{90,163},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KidneyPlasmaFlow.y, busConnector.KidneyPlasmaFlow) annotation (Line(
       points={{-29.7,173},{90,173},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_BloodFlow.y, busConnector.LeftHeart_BloodFlow) annotation (Line(
       points={{-29.7,203},{90,203},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_BloodFlow.y, busConnector.leftHeart_BloodFlow) annotation (Line(
       points={{-29.7,213},{90,213},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlveolarVentilated_BloodFlow.y, busConnector.AlveolarVentilated_BloodFlow) annotation (Line(
       points={{-29.7,223},{90,223},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_BloodFlow.y, busConnector.OtherTissue_BloodFlow) annotation (Line(
       points={{-29.7,233},{90,233},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_BloodFlow.y, busConnector.otherTissue_BloodFlow) annotation (Line(
       points={{-29.7,243},{90,243},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_BloodFlow.y, busConnector.PortalVein_BloodFlow) annotation (Line(
       points={{-29.7,253},{90,253},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_PlasmaFlow.y, busConnector.PortalVein_PlasmaFlow) annotation (Line(
       points={{-29.7,263},{90,263},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PulmCapys_Pressure.y, busConnector.PulmCapys_Pressure) annotation (Line(
       points={{-29.7,273},{90,273},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RBCH2O_Vol.y, busConnector.RBCH2O_Vol) annotation (Line(
       points={{-29.7,283},{90,283},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_BloodFlow.y, busConnector.RespiratoryMuscle_BloodFlow) annotation (Line(
       points={{-29.7,293},{90,293},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_BloodFlow.y, busConnector.respiratoryMuscle_BloodFlow) annotation (Line(
       points={{-29.7,303},{90,303},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightAtrium_Pressure.y, busConnector.RightAtrium_Pressure) annotation (Line(
       points={{-29.7,313},{90,313},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_BloodFlow.y, busConnector.RightHeart_BloodFlow) annotation (Line(
       points={{-29.7,343},{90,343},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_BloodFlow.y, busConnector.rightHeart_BloodFlow) annotation (Line(
       points={{-29.7,353},{90,353},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_BloodFlow.y, busConnector.SkeletalMuscle_BloodFlow) annotation (Line(
       points={{-29.7,363},{90,363},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_BloodFlow.y, busConnector.skeletalMuscle_BloodFlow) annotation (Line(
       points={{-29.7,373},{90,373},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_BloodFlow.y, busConnector.Skin_BloodFlow) annotation (Line(
       points={{-29.7,383},{90,383},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_BloodFlow.y, busConnector.skin_BloodFlow) annotation (Line(
       points={{-29.7,393},{90,393},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SplanchnicVeins_Pressure.y, busConnector.SplanchnicVeins_Pressure) annotation (Line(
       points={{-29.7,403},{90,403},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SplanchnicCirculation_DeoxygenatedBloodVolume.y, busConnector.SplanchnicCirculation_DeoxygenatedBloodVolume) annotation (Line(
       points={{-29.7,413},{90,413},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SystemicArtys_Pressure.y, busConnector.SystemicArtys_Pressure) annotation (Line(
       points={{-29.7,423},{90,423},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
       points={{-29.7,433},{90,433},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VeinsVol.y, busConnector.VeinsVol) annotation (Line(
       points={{-29.7,443},{90,443},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctHb.y, busConnector.ctHb) annotation (Line(
       points={{-29.7,453},{90,453},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctHb_ery.y, busConnector.ctHb_ery) annotation (Line(
       points={{-29.7,463},{90,463},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(NephronIFP_Pressure.y, busConnector.NephronIFP_Pressure)
          annotation (Line(
            points={{-27.7,-7},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(Liver_BloodFlow.y, busConnector.Liver_BloodFlow) annotation (Line(
            points={{-23.7,-23},{90,-23},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FHbF.y,busConnector. FHbF) annotation (Line(
       points={{24.3,-61},{78,-61},{78,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FMetHb.y,busConnector. FMetHb) annotation (Line(
       points={{24.3,-71},{90,-71},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(cDPG.y,busConnector. cDPG) annotation (Line(
       points={{24.3,-81},{90,-81},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(SystemicVeins_Pressure.y, busConnector.SystemicVeins_Pressure)
          annotation (Line(
            points={{-29.7,-37},{90,-37},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skin_conductanceWithoutTermoregulationEffect.y, busConnector.skin_conductanceWithoutTermoregulationEffect)
          annotation (Line(
            points={{-27.7,-51},{90,-51},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BloodVol_Vol.y, busConnector.BloodVolume) annotation (Line(
            points={{-77.7,7},{0.15,7},{0.15,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ANPPool_ANP.y, busConnector.ANP) annotation (Line(
            points={{-75.7,-75},{90,-75},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(AtrialLowPressureReceptors_NA.y, busConnector.AtrialLowPressureReceptors_NA)
          annotation (Line(
            points={{-77.7,-87},{90,-87},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}},
                lineColor={0,0,0},
                textString="const"), graphics={Text(
                extent={{6,126},{100,90}},
                lineColor={0,0,0},
                textString="vars"), Text(
                extent={{-126,-98},{116,-132}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model CardioVascular_test
        import Physiomodel;
      Physiomodel.CardioVascular.CardioVascularSystem cardioVascularSystem
        annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile
                                                nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-14,-96},{6,-76}})));
        Physiomodel.Water.IO_Bus.InputFromFile water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile proteins
          annotation (Placement(transformation(extent={{-48,-30},{-28,-10}})));
        Physiomodel.Status.IO_Bus.InputFromFile status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.CardioVascular.IO_Bus.OutputComparison
                                           cVS_dif
          annotation (Placement(transformation(extent={{76,72},{96,92}})));
        Physiomodel.CardioVascular.IO_Bus.OutputToFile
                                                  cVS_varsToFile
          annotation (Placement(transformation(extent={{14,60},{34,80}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-4,-86},{-4,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-4,-86},{-4,-20},{-38,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-4,-86},{-4,91.8},{42,91.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-4,-86},{-4,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-4,-86},{-4,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-4,-86},{-4,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-4,-70},{-4,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-4,-24},{-4,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-4,-54},{-4,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-4,40},{-4,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(cardioVascularSystem.busConnector, cVS_dif.busConnector)
          annotation (Line(
            points={{42,91.8},{64,91.8},{64,82},{86,82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(cardioVascularSystem.busConnector, cVS_varsToFile.busConnector)
          annotation (Line(
            points={{42,91.8},{24,91.8},{24,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (        experiment(StopTime=3.1536e+007));
      end CardioVascular_test;

      model CardioVascular_test_SI
        import Physiomodel;
      Physiomodel.CardioVascular.CardioVascularSystem cardioVascularSystem
        annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI
                                                nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-14,-96},{6,-76}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-30},{-28,-10}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.CardioVascular.IO_Bus.OutputComparison_SI
                                           cVS_dif
          annotation (Placement(transformation(extent={{76,72},{96,92}})));
        Physiomodel.CardioVascular.IO_Bus.OutputToFile_SI
                                                  cVS_varsToFile
          annotation (Placement(transformation(extent={{14,60},{34,80}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-4,-86},{-4,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-4,-86},{-4,-20},{-38,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-4,-86},{-4,91.8},{42,91.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-4,-86},{-4,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-4,-86},{-4,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-4,-86},{-4,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-4,-70},{-4,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-4,-24},{-4,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-4,-54},{-4,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-4,40},{-4,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(cardioVascularSystem.busConnector, cVS_dif.busConnector)
          annotation (Line(
            points={{42,91.8},{64,91.8},{64,82},{86,82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(cardioVascularSystem.busConnector, cVS_varsToFile.busConnector)
          annotation (Line(
            points={{42,91.8},{24,91.8},{24,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (        experiment(StopTime=864000));
      end CardioVascular_test_SI;
    end IO_Bus;
  annotation (Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td>Marek Matejak</td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p><br><a href=\"modelica://Physiomodel.UsersGuide.References\">User&apos;s Guide</a></p><p><br><a href=\"https://www.zotero.org/search/type/group/q/physiomodel\">zotero: Physiomodel</a></p><p><br><a href=\"http://www.hummod.org\">HumMod</a></p><p><br><a href=\"https://www.zotero.org/groups/hummod_references\">zotero: HumMod References</a></p></td>
</tr>
</table>
<p><br>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>", info="<html>
<p>Heart pump</p>
<p>Cardiac output (CO) as a mean blood flow from heart ventricle is heart rate (HR) multiplied by stroke volume (SV), where stroke volume is difference of end diastolic volume (EDV) [Gaasch1975,Carter1998] and end systolic volume (ESV) [Noda1993]. The HR and heart contractility (in the meaning of ESV) [Suga1976] can be influenced by nervus vagus (main parasympathicus autonomic neural pathway) [Xenopoulos1994], epinephrine [Collins-Nakai1994] or angiotensin II [Kumagai1994]. The most comon descriptions are pressure-volume relations [Sawaga1988] as in famous A-V fistula experiments [Guyton1961] or filling pressure experiments [Suga1974] or less invasive exercise experiments [Little1993].</p>
<p>There is some evidence of non-steady state behaviour of end diastolic volume, because the stroke volume is dependent on heart rate [Ross1965,Sugimoto1966].</p>
<p><br><br>Blood viscosity[Begg1966,Schrier1970]</p>
<p><br>Vasoconstriction [Mellander1992, Shigemi1994]</p>
<p><br>The compliance of systemic arteries is constant around normal working conditions [Roach1957].</p>
<p><br>Systemic veins [Shigemi1994,Echt1974,Gauer1956]</p>
<p><br>Muscle pump effect [Armstrong1985,Laughlin1987,Laughlin1983]</p>
<p><br>Sequestered volume [Ochsner1951,Mayerson1939,Bevegard1962,Pollack1949,Block1930,Henry1950,Thomson1928]</p>
<p><br>Kidney blood flow [Skarlatos1993,Manning1987] - effect to renal arteries [Skov1996]</p>
<p>-myogenic [Auckland1989,Drummond2008,Heyeraas1987]</p>
<p>-tubuloglomerular feedback [Moore1990,Drummond2008,Ito1990]</p>
<p><br>Splanchnic circulation [Maass-Moreno1992,Bradley1953,Bradley1952,Mitzner1974,Laine1979]</p>
<p>- effect of norepinephrine [Greenway1985,Laut1987]</p>
<p>- effect of histamine [Greenway1973]</p>
<p><br><br>Brain blood flow [Kety1948]</p>
<p><br>Blood Volume regulations </p>
<p>- hypoproteinemia [Manning1990,Manning1983]</p>
<p><br>Autoregulation of circulation</p>
<p>- CO on CO2 [Davidson1986]</p>
<p>-  ,Hogan1990,Lash1987,Malo1984,Marshall1995,Metting1989,Metting1988,Weber2000,Borgstr&ouml;m1975,Whalen1974,Frisbee2000,Berg1997,Burattini1994,POHOST1976,Archer1996,Goodman1978,Granger1976,Granger1969,Harder1996,Harder1996,Marshall1988,Frisbee2000,Kunert1996,Prewitt1976,Kuwahira1993]</p>
<p><br>RAAS and other regulations .. see hormones, nerves and drugs</p>
</html>"));
  end CardioVascular;

  package Gases "Body O2 and CO2"
    extends Physiolibrary.Icons.GasesLib;
    package O2 "Body O2 Transport"

    partial model BloodO2Base
    //start values is for tissues veins blood

      parameter Boolean isSaturated = false;

      Physiolibrary.Types.Concentration tO2(start=0.75*8.14);
      Real aO2;
    //  Real pO2(start=5.33,           unit="kPa");
      // start=13,
      Physiolibrary.Types.Fraction sO2CO(start=0.75);
      Physiolibrary.Types.Pressure pO2CO;
      Physiolibrary.Types.Concentration cO2Hb(start=6);
      //
      Physiolibrary.Types.Fraction sCO;

      Physiolibrary.Types.Concentration ceHb;
      Real a(start=0.5);
      Real k;
      Real x;
      Real y;
      Real h;

    /*  Real ex;
  Real ey;
  Real ey0;
  Real tnh;
*/
      Physiolibrary.Types.Fraction FCOHb(start=0);

    //  Real pCO;
    //  Real pCO2;
      //(start=5);

      Physiolibrary.Types.RealIO.FractionOutput sO2
                                          annotation (Placement(
            transformation(extent={{-30,-112},{10,-72}}),
                                                        iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=270,
            origin={0,-120})));
      Physiolibrary.Types.RealIO.pHInput pH
                                      annotation (Placement(transformation(extent={{-120,70},
                {-80,110}}),          iconTransformation(extent={{-100,90},{
                -80,110}})));
      Physiolibrary.Types.RealIO.ConcentrationInput ctHb
                                       annotation (Placement(transformation(extent={{60,60},
                {100,100}}),          iconTransformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={90,100})));

      Physiolibrary.Types.RealIO.TemperatureInput T(start=310.15)  annotation (Placement(transformation(extent={{-120,
                -20},{-80,20}}),      iconTransformation(extent={{-100,10},{
                -80,30}})));
      Physiolibrary.Types.RealIO.PressureInput pCO
                                       annotation (Placement(transformation(extent={{60,-100},
                {100,-60}}),          iconTransformation(extent={{-10,-10},{
                10,10}},
            rotation=180,
            origin={90,-60})));
      Physiolibrary.Types.RealIO.PressureInput pCO2(start=5330)
                                       annotation (Placement(transformation(extent={{-120,20},
                {-80,60}}),           iconTransformation(extent={{-100,50},{-80,70}})));
      Physiolibrary.Types.RealIO.ConcentrationInput cDPG
                                       annotation (Placement(transformation(extent={{60,20},
                {100,60}}),           iconTransformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={90,60})));
      Physiolibrary.Types.RealIO.FractionInput FMetHb
                                       annotation (Placement(transformation(extent={{60,-20},
                {100,20}}),           iconTransformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={90,20})));

      Physiolibrary.Types.RealIO.FractionInput FHbF
                                       annotation (Placement(transformation(extent={{60,-60},
                {100,-20}}),          iconTransformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={90,-20})));

    //  Real mlTOmmol_O2(unit="mMol/ml") = 8.18/0.182
    //    "conversion constant for oxygen mass from ml to mMol";

     // Real mlTOmmol_O2(unit="mMol/ml") = 1/(740*2*16/1000)
     //   "conversion constant for oxygen mass from ml to mMol";
                                                       //8.18 / 0.182
                                                       //molar mass = 2*16 g/mol; density = 740 ml/g

     // constant Real MiniliterPerLiter(final unit="ml/l")=1000;

      Physiolibrary.Types.RealIO.PressureOutput pO2(start=5330)
                                          annotation (Placement(
            transformation(extent={{2,-112},{42,-72}}), iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=270,
            origin={40,-120})));

      Physiolibrary.Types.Concentration cdO2;
    /*
  Real aa;
  Real xx;
  Real yy;
  Real ssO2CO(start=0.96);
*/

     parameter Physiolibrary.Types.Temperature T0 = 273.15+37
        "normal temperature";
     parameter Physiolibrary.Types.pH pH0 = 7.4 "normal arterial pH";
     parameter Physiolibrary.Types.Pressure pCO20 = 5330
        "normal arterial CO2 partial pressure";
     parameter Physiolibrary.Types.Concentration cDPG0 = 5
        "normal DPG,used by a";
     parameter Real dadcDPG0 = 0.3 "used by a";
     parameter Real dadcDPGxHbF = -0.1 "or perhabs -0.125";
     parameter Real dadpH = -0.88 "used by a";
     parameter Real dadlnpCO2 = 0.048 "used by a";
     parameter Real dadxMetHb = -0.7 "used by a";
     parameter Real dadxHbF = -0.25 "used by a";

     //constant Real PaTOmmHg = 1/133;

    equation
    //   PO2 = PaTOmmHg*1000 * pO2;

    //  pCOmmHg = PaTOmmHg*1000 * pCO;
    //  pCO2mmHg = PaTOmmHg*1000 * pCO2;

    //oxygen:
      ceHb = ctHb * (1-FCOHb-FMetHb); //effective haemoglobin

      assert(tO2 <= ceHb*(1.06), "Model does not support this high level of oxygen in blood. Maximum of oxygen concentration should be connected with efective hemoglobin concentration!");
        //pO2,pCO,pCO2 .. Pa
      //TODO: check units of solubility
      aO2 = exp(log(0.0105)+(-0.0115*(T-T0))+0.5*0.00042*(T-T0)^2)/1000; //solubility
      cdO2 = aO2*pO2;
    /*  if (isSaturated) then
    cdO2 = homotopy( tO2 - sO2*ceHb, tO2 - 0.9999*ceHb);
  else
    sO2 = homotopy( (tO2-cdO2)/ceHb,  tO2/ceHb);  // ctO2 = aO2*pO2 + ceHb*sO2;  nazaciatok postaci veskery kyslik mat iba na hemoglobine a potom pridat uz len to zrnko rozpusteneho..
  end if; */
     //TODO: why not sO2 = homotopy( (tO2-cdO2)/ceHb,  tO2/ceHb);
      tO2 = aO2*pO2 + ceHb*sO2;
    //  cO2Hb = tO2 - cdO2;
      sO2 = cO2Hb/ceHb;
      //TODO: check this: a=-0.88*(pH-7.4)+0.048*log(pCO2/5.33)-0.7*FMetHb+(0.3-0.25*FHbF)*cDPG/(5-1);
      //TANH
      a=dadpH*(pH-pH0)+dadlnpCO2*log(max(1e-15+1e-22*pCO2,pCO2/pCO20)) +dadxMetHb*FMetHb+(dadcDPG0 + dadcDPGxHbF*FHbF)*(cDPG/cDPG0 - 1); //log(pCO2/5330)

      //orginal:
      x=log(pO2CO/7000) - a - 0.055*(T-T0); //namiesto:  x=log(pO2CO/7) - a - 0.055*(T-37);
      y-1.8747=x+h*tanh(k*x);
      k=0.5342857;
      h=3.5 + a;
      y=log(sO2CO/(1-sO2CO));

      //simplification:
    /*  ey/ey0=ex*exp((3.5 + a)*tnh);  //TANH:  y-log(0.867/(1-0.867))=x+(3.5 + a)*tanh(0.5342857*x);
  ey0=0.867/(1-0.867);  //y0=log(0.867/(1-0.867)); //1.8747
  tnh = (ex^(2*k) - 1) / (ex^(2*k) + 1);  // = tanh(k*x)
  ex=max(1e-15*(1+1e-6*pO2CO),(pO2CO/7.000) / exp(a + 0.055*(T-37)));  // = exp(x); x=log(max(1e-15*(1+1e-6*pO2CO),pO2CO/7000)) - a - 0.055*(T_degC-37);
  k=0.5342857;
  ey=sO2CO/(1-sO2CO); // = exp(y);  y=log(max(1e-15*(1+1e-6*sO2CO/(1-sO2CO)),sO2CO/(1-sO2CO)));
  */
        /************ O2 ********************/

      /************ CO ********************/
      //Haldane:
     /* if (pCOmmHg<1e-10) then
    sCO = 0;
    pO2CO = pO2;
    sO2CO = sO2;
    FCOHb = 0;/*
  else*/
     /*   pCO = sCO*pO2CO/ 218*sO2CO;
    pO2CO = pO2 + 218*pCO;
    sO2CO = (cO2Hb + ctHb*FCOHb)/(ctHb*(1-FMetHb));
    sCO = ctHb*FCOHb/(ctHb*(1-FMetHb));*/

        {pCO,FCOHb,pO2CO,sO2CO}=homotopy({sCO*pO2CO/ 218*sO2CO,sCO*(1-FMetHb),pO2 + 218*pCO,(cO2Hb + ctHb*FCOHb)/(ctHb*(1-FMetHb))},
        {0,0,pO2,sO2});
    //  end if;

    /*  ceHb = ctHb * (1-FCOHb-FMetHb); //effective haemoglobin
  aO2 = exp(log(0.0105)+(-0.0115*(T-37))+0.5*0.00042*(T-37)^2); //solubility
  tO2 = aO2*pO2 + ceHb*sO2;
  //Haldane:
  sCO*pO2CO = 218*pCO*sO2CO;
  pO2CO = pO2 + 218*pCO;
  //saturation definitions: "result: sO2CO = (sO2*(ceHb/ctHb)+FCOHb)/(1-FMetHb);"
  sO2 = cO2Hb/ceHb;
  sO2CO = (cO2Hb + ctHb*FCOHb)/(ctHb*(1-FMetHb));
  sCO = ctHb*FCOHb/(ctHb*(1-FMetHb));
  //TANH
//  a=-0.88*(pH-7.4)+0.048*log(pCO2/5.33)-0.7*FMetHb+(0.3-0.25*FHbF)*cDPG/(5-1); //Bohr coefficient: -der(log10(pO2),pH)=0.88/ln(10)=0.38, -der(ln(pO2),pH)=0.88
//  x=log(pO2CO/7); //namiesto:  x=log(pO2CO/7) - a - 0.055*(T-37);
  y-y0=x+h*tanh(k*x);
  y0=log(0.867/(1-0.867)); //1.8747

  k=0.5342857;
  h=3.5 + a;
//  y=log(sO2CO/(1-sO2CO));

//corrected:
  a=-0.88*(pH-7.4)+0.048*log(max(1e-15+1e-24*pCO2,pCO2/5.33))-0.7*FMetHb+(0.3-0.1*FHbF)*(cDPG/5 - 1);
  x=log(max(1e-15+1e-24*pO2CO,pO2CO/7)) - a - 0.055*(T-37);
  y=log(max(1e-15+1e-24*sO2CO/(1-sO2CO),sO2CO/(1-sO2CO)));

*/

    //oxygen: working well:
      //TANH
    //  a=-0.88*(pH-7.4)+0.048*log(max(1e-15+1e-19*pCO2,pCO2/5.33))-0.7*FMetHb+(0.3-0.25*FHbF)*cDPG/(5-1); //Bohr coefficient: -der(log10(pO2),pH)=0.88/ln(10)=0.38, -der(ln(pO2),pH)=0.88
    //  x=log(pO2CO/7);
    //  x=log(max(1e-15+1e-19*pO2CO,pO2CO/7)) - a - 0.055*(T-37); //namiesto:  x=log(pO2CO/7) - a - 0.055*(T-37);
    //  y=log(max(1e-15+1e-19*sO2CO/(1-sO2CO),sO2CO/(1-sO2CO)));

      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Rectangle(
              extent={{-100,100},{100,-100}},
              lineColor={0,0,255},
              fillColor={215,215,215},
              fillPattern=FillPattern.Solid), Text(
              extent={{-74,-32},{74,-64}},
              lineColor={0,0,255},
              textString="%name")}));
    end BloodO2Base;

      model MeassureBloodO2
        extends Physiomodel.Gases.O2.BloodO2Base;//_withoutCO_;
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
          Placement(transformation(extent={{-28,-116},{12,-76}}),
            iconTransformation(extent={{-20,-100},{20,-60}})));
      equation
         q_in.q = 0;  //flows: mmol/min
         tO2 = q_in.conc; //mmol/l
      end MeassureBloodO2;

      model BloodO2_Siggaard

      extends BloodO2Base;
                          //_withoutCO_;

      //Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in;
      //Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out;
      //Physiolibrary.Chemical.Interfaces.ChemicalPort_b alveolar;
      //Modelica.Blocks.Interfaces.RealInput

        Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
          annotation (Placement(transformation(extent={{-100,-100},{-80,-80}}),
              iconTransformation(extent={{-100,-100},{-80,-80}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out
          annotation (Placement(transformation(extent={{80,-100},{100,-80}}),
              iconTransformation(extent={{80,-100},{100,-80}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_b alveolar
          annotation (Placement(transformation(extent={{-14,72},{6,92}}),
              iconTransformation(extent={{-14,72},{6,92}})));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput BloodFlow
          annotation (Placement(transformation(extent={{-120,-54},{-80,-14}})));
        Physiolibrary.Types.RealIO.ConcentrationOutput ceHb_(
                                             displayUnit="mmol/l")
        "effective haemoglobin"             annotation (Placement(
              transformation(extent={{38,-102},{78,-62}}),iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-40,-120})));
      equation
      q_in.q + q_out.q + alveolar.q = 0;  //flows: mmol/min

      alveolar.conc =cdO2;

      q_in.conc = q_in.q/ BloodFlow; //mmol/l

      //tO2 = MiniliterPerLiter * (-q_out.q/ BloodFlow); //mmol/l
      tO2 =  (-q_out.q/ BloodFlow); //mmol/l

      ceHb_ = ceHb;

      end BloodO2_Siggaard;

      model BloodO2_Siggaard_Liver
        extends Physiomodel.Gases.O2.BloodO2Base;//_withoutCO_;
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a hepaticArty annotation (
          Placement(transformation(extent={{-120,-120},{-80,-80}}),
            iconTransformation(extent={{-120,-120},{-80,-80}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (
          Placement(transformation(extent={{80,-120},{120,-80}}),
            iconTransformation(extent={{80,-120},{120,-80}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a alveolar annotation (
          Placement(transformation(extent={{-20,80},{20,120}}),
            iconTransformation(extent={{-20,80},{20,120}})));

        Modelica.Blocks.Interfaces.RealInput HepaticArtyBloodFlow(
                                                           displayUnit="ml/min")
                                         annotation (Placement(transformation(extent={{-120,
                  -80},{-80,-40}}),     iconTransformation(extent={{-100,-80},{-80,-60}})));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a GIT annotation (
          Placement(transformation(extent={{-120,-120},{-80,-80}}),
            iconTransformation(extent={{-120,-40},{-80,0}})));
        Modelica.Blocks.Interfaces.RealInput GITBloodFlow(
                                                   displayUnit="ml/min")
                                         annotation (Placement(transformation(extent={{-120,
                  -80},{-80,-40}}),     iconTransformation(extent={{-100,0},{-80,20}})));
      equation
        GIT.q + hepaticArty.q + q_out.q + alveolar.q = 0;  //flows: mmol/min

        alveolar.pressure =Physiolibrary.NonSIunits.PaTOmmHg
                                                       *1000 * pO2;

        hepaticArty.conc = hepaticArty.q/ HepaticArtyBloodFlow; //mmol/ml
        GIT.conc = GIT.q/ GITBloodFlow; //mmol/ml

        tO2 = MiniliterPerLiter * (-q_out.q/ (GITBloodFlow+HepaticArtyBloodFlow)); //mmol/l

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-74,-32},{74,-64}},
                lineColor={0,0,255},
                textString="%name"),
              Polygon(
                points={{-72,10},{80,0},{-72,-10},{-72,10}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                origin={-2,-84},
                rotation=360)}));
      end BloodO2_Siggaard_Liver;

      model TissuesO2
       extends Physiolibrary.Icons.Tissues;
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
          Placement(transformation(extent={{80,-20},{120,20}}),
            iconTransformation(extent={{100,-20},{140,20}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (
          Placement(transformation(extent={{-120,-20},{-80,20}}),
            iconTransformation(extent={{-140,-20},{-100,20}})));
        Tissues.SkeletalMuscleO2 skeletalMuscleO2(
                                               initialMass=323.9)
          annotation (Placement(transformation(extent={{-54,64},{-34,84}})));
        Tissues.BoneO2 boneO2(       initialMass=56.2)
          annotation (Placement(transformation(extent={{-54,36},{-34,56}})));
        Tissues.FatO2 fatO2(        initialMass=39.8)
          annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));
        Tissues.BrainO2 brainO2(      initialMass=19.1)
          annotation (Placement(transformation(extent={{52,20},{72,40}})));
        Tissues.RightHeartO2 rightHeartO2( initialMass=0.6)
          annotation (Placement(transformation(extent={{52,-100},{72,-80}})));
        Tissues.RespiratoryMuscleO2 respiratoryMuscleO2(
                                                  initialMass=48.1)
          annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));
        Tissues.OtherTissueO2 otherTissueO2(initialMass=50.7)
          annotation (Placement(transformation(extent={{-54,6},{-34,26}})));
        Tissues.LiverO2 liverO2(initialMass=22.8)
          annotation (Placement(transformation(extent={{52,50},{72,70}})));
        Tissues.LeftHeartO2 leftHeartO2(  initialMass=3.5)
          annotation (Placement(transformation(extent={{52,-70},{72,-50}})));
        Physiomodel.Gases.O2.Tissues.TissueO2_kidney kidneyO2(initialMass=4.1)
          annotation (Placement(transformation(extent={{52,-40},{72,-20}})));
        Tissues.GITractO2 GITractO2(    initialMass=17.6)
          annotation (Placement(transformation(extent={{52,-10},{72,10}})));
      Physiolibrary.Types.BusConnector busConnector
        annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
        Tissues.SkinO2 skinO2(       initialMass=28.2)
          annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

       Physiolibrary.Types.MolarFlowRate O2ToTissues(displayUnit="mmol/min");
      // Real O2ToTissues2(displayUnit="mmol/min");
      // Real O2ToTissues3(displayUnit="ml/min");
       Physiolibrary.Types.VolumeFlowRate BloodFlow(displayUnit="ml/min");
      equation
       O2ToTissues = q_in.q + q_out.q;
       /*O2ToTissues2 =
 skeletalMuscleO2.O2Use_mmol_per_min +
 boneO2.O2Use_mmol_per_min +
 fatO2.O2Use_mmol_per_min +
 brainO2.O2Use_mmol_per_min +
 rightHeartO2.O2Use_mmol_per_min +
 respiratoryMuscleO2.O2Use_mmol_per_min +
 otherTissueO2.O2Use_mmol_per_min +
 liverO2.O2Use_mmol_per_min +
 leftHeartO2.O2Use_mmol_per_min +
 kidneyO2.O2Use_mmol_per_min +
 GITractO2.O2Use_mmol_per_min +
 skinO2.O2Use_mmol_per_min;
 O2ToTissues3 =
 skeletalMuscleO2.O2Use_ml_per_min +
 boneO2.O2Use_ml_per_min +
 fatO2.O2Use_ml_per_min +
 brainO2.O2Use_ml_per_min +
 rightHeartO2.O2Use_ml_per_min +
 respiratoryMuscleO2.O2Use_ml_per_min +
 otherTissueO2.O2Use_ml_per_min +
 liverO2.O2Use_ml_per_min +
 leftHeartO2.O2Use_ml_per_min +
 kidneyO2.O2Use_ml_per_min +
 GITractO2.O2Use_ml_per_min +
 skinO2.O2Use_ml_per_min;*/
      BloodFlow=
       skeletalMuscleO2.BloodFlow +
       boneO2.BloodFlow +
       fatO2.BloodFlow +
       brainO2.BloodFlow +
       rightHeartO2.BloodFlow +
       respiratoryMuscleO2.BloodFlow +
       otherTissueO2.BloodFlow +
       liverO2.BloodFlow +
       leftHeartO2.BloodFlow +
       kidneyO2.BloodFlow +
       GITractO2.BloodFlow +
       skinO2.BloodFlow;

        connect(q_out, skeletalMuscleO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,76},{-54,76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(q_out, boneO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,48},{-54,48}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, otherTissueO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,18},{-54,18}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, respiratoryMuscleO2.vein) annotation (Line(
            points={{-100,0},{-81,0},{-81,-12},{-54,-12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, fatO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,-42},{-54,-42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, skinO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,-72},{-54,-72}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, liverO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,62},{52,62}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, brainO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,32},{52,32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, kidneyO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,-28},{52,-28}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_out, leftHeartO2.vein) annotation (Line(
            points={{-100,0},{-82,0},{-82,-58},{52,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(skeletalMuscleO2.arty, q_in) annotation (Line(
            points={{-34,76},{84,76},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(brainO2.arty, q_in) annotation (Line(
            points={{72,32},{84,32},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GITractO2.arty, q_in) annotation (Line(
            points={{72,2},{86,2},{86,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(kidneyO2.arty, q_in) annotation (Line(
            points={{72,-28},{84,-28},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(leftHeartO2.arty, q_in) annotation (Line(
            points={{72,-58},{84,-58},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(rightHeartO2.arty, q_in) annotation (Line(
            points={{72,-88},{84,-88},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(rightHeartO2.vein, q_out) annotation (Line(
            points={{52,-88},{-82,-88},{-82,0},{-100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(boneO2.arty, q_in) annotation (Line(
            points={{-34,48},{84,48},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(otherTissueO2.arty, q_in) annotation (Line(
            points={{-34,18},{84,18},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fatO2.arty, q_in) annotation (Line(
            points={{-34,-42},{84,-42},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(skinO2.arty, q_in) annotation (Line(
            points={{-34,-72},{84,-72},{84,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, respiratoryMuscleO2.arty) annotation (Line(
            points={{100,0},{84,0},{84,-12},{-34,-12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(busConnector.cDPG, boneO2.cDPG)     annotation (
           Line(
            points={{-88,92},{-88,56},{-53,56}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, brainO2.cDPG)
          annotation (Line(
            points={{-88,92},{6,92},{6,40},{53,40}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, fatO2.cDPG)      annotation (
            Line(
            points={{-88,92},{-88,-34},{-53,-34}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, GITractO2.cDPG)
          annotation (Line(
            points={{-88,92},{6,92},{6,10},{53,10}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, kidneyO2.cDPG)
          annotation (Line(
            points={{-88,92},{6,92},{6,-20},{53,-20}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, leftHeartO2.cDPG)
          annotation (Line(
            points={{-88,92},{6,92},{6,-50},{53,-50}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, liverO2.cDPG)
          annotation (Line(
            points={{-88,92},{6,92},{6,70},{53,70}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, otherTissueO2.cDPG)
          annotation (Line(
            points={{-88,92},{-88,26},{-53,26}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, respiratoryMuscleO2.cDPG)
          annotation (Line(
            points={{-88,92},{-88,-4},{-53,-4}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, rightHeartO2.cDPG)
          annotation (Line(
            points={{-88,92},{6,92},{6,-80},{53,-80}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, skinO2.cDPG)      annotation (
           Line(
            points={{-88,92},{-88,-64},{-53,-64}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.cDPG, skeletalMuscleO2.cDPG)
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,84},{-53,84}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.FHbF, boneO2.FHbF)      annotation (
           Line(
            points={{-88,92},{-88,40},{-53,40}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, brainO2.FHbF)
          annotation (Line(
            points={{-88,92},{6,92},{6,24},{53,24}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, fatO2.FHbF)      annotation (
            Line(
            points={{-88,92},{-88,-50},{-53,-50}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, GITractO2.FHbF)
          annotation (Line(
            points={{-88,92},{6,92},{6,-6},{53,-6}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, kidneyO2.FHbF)
          annotation (Line(
            points={{-88,92},{6,92},{6,-36},{53,-36}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, leftHeartO2.FHbF)
          annotation (Line(
            points={{-88,92},{6,92},{6,-66},{53,-66}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, liverO2.FHbF)
          annotation (Line(
            points={{-88,92},{6,92},{6,54},{53,54}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, otherTissueO2.FHbF)
          annotation (Line(
            points={{-88,92},{-88,10},{-53,10}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, respiratoryMuscleO2.FHbF)
          annotation (Line(
            points={{-88,92},{-88,-20},{-53,-20}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, rightHeartO2.FHbF)
          annotation (Line(
            points={{-88,92},{6,92},{6,-96},{53,-96}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, skinO2.FHbF)      annotation (
           Line(
            points={{-88,92},{-88,-80},{-53,-80}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.FHbF, skeletalMuscleO2.FHbF)
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,68},{-53,68}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.bone.pCO2, boneO2.pCO2)        annotation (
           Line(
            points={{-88,92},{-88,36},{-53,36}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.brain.pCO2, brainO2.pCO2)
          annotation (Line(
            points={{-88,92},{6,92},{6,20},{53,20}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.fat.pCO2, fatO2.pCO2)      annotation (
            Line(
            points={{-88,92},{-88,-54},{-53,-54}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.GITract.pCO2, GITractO2.pCO2)
          annotation (Line(
            points={{-88,92},{6,92},{6,-10},{53,-10}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.kidney_pCO2, kidneyO2.pCO2)
          annotation (Line(
            points={{-88,92},{6,92},{6,-40},{53,-40}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.leftHeart_pCO2, leftHeartO2.pCO2)
          annotation (Line(
            points={{-88,92},{6,92},{6,-70},{53,-70}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.liver_pCO2, liverO2.pCO2)
          annotation (Line(
            points={{-88,92},{6,92},{6,50},{53,50}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.otherTissue.pCO2, otherTissueO2.pCO2)
          annotation (Line(
            points={{-88,92},{-88,6},{-53,6}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.respiratoryMuscle.pCO2, respiratoryMuscleO2.pCO2)
          annotation (Line(
            points={{-88,92},{-88,-24},{-53,-24}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.rightHeart_pCO2, rightHeartO2.pCO2)
          annotation (Line(
            points={{-88,92},{6,92},{6,-100},{53,-100}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.skin_pCO2, skinO2.pCO2)      annotation (
           Line(
            points={{-88,92},{-88,-84},{-53,-84}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.skeletalMuscle.pCO2, skeletalMuscleO2.pCO2)
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,64},{-53,64}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.ctHb, boneO2.ctHb)      annotation (
           Line(
            points={{-88,92},{-88,44},{-53,44}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, brainO2.ctHb)
          annotation (Line(
            points={{-88,92},{6,92},{6,28},{53,28}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, fatO2.ctHb)      annotation (
            Line(
            points={{-88,92},{-88,-46},{-53,-46}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, GITractO2.ctHb)
          annotation (Line(
            points={{-88,92},{6,92},{6,-2},{53,-2}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, kidneyO2.ctHb)
          annotation (Line(
            points={{-88,92},{6,92},{6,-32},{53,-32}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, leftHeartO2.ctHb)
          annotation (Line(
            points={{-88,92},{6,92},{6,-62},{53,-62}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, liverO2.ctHb)
          annotation (Line(
            points={{-88,92},{6,92},{6,58},{53,58}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, otherTissueO2.ctHb)
          annotation (Line(
            points={{-88,92},{-88,14},{-53,14}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, respiratoryMuscleO2.ctHb)
          annotation (Line(
            points={{-88,92},{-88,-16},{-53,-16}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, rightHeartO2.ctHb)
          annotation (Line(
            points={{-88,92},{6,92},{6,-92},{53,-92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, skinO2.ctHb)      annotation (
           Line(
            points={{-88,92},{-88,-76},{-53,-76}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.ctHb, skeletalMuscleO2.ctHb)
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,72},{-53,72}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.pCO, boneO2.pCO)
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,52},{-53,52}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, brainO2.pCO)
          annotation (Line(
            points={{-88,92},{6,92},{6,36},{53,36}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, fatO2.pCO)      annotation (
            Line(
            points={{-88,92},{-88,-38},{-53,-38}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, GITractO2.pCO)
          annotation (Line(
            points={{-88,92},{6,92},{6,6},{53,6}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, kidneyO2.pCO)
          annotation (Line(
            points={{-88,92},{6,92},{6,-24},{53,-24}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, leftHeartO2.pCO)
          annotation (Line(
            points={{-88,92},{6,92},{6,-54},{53,-54}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, liverO2.pCO)
          annotation (Line(
            points={{-88,92},{6,92},{6,66},{53,66}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, otherTissueO2.pCO)
          annotation (Line(
            points={{-88,92},{-88,22},{-53,22}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, respiratoryMuscleO2.pCO)
          annotation (Line(
            points={{-88,92},{-88,-8},{-53,-8}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, rightHeartO2.pCO)
          annotation (Line(
            points={{-88,92},{6,92},{6,-84},{53,-84}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, skinO2.pCO)      annotation (
           Line(
            points={{-88,92},{-88,-68},{-53,-68}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.pCO, skeletalMuscleO2.pCO)
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,80},{-53,80}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(boneO2.pH_plasma, busConnector.bone_pH_plasma)       annotation (
           Line(
            points={{-35,56},{6,56},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brainO2.pH_plasma, busConnector.brain_pH_plasma)
          annotation (Line(
            points={{71,40},{98,40},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fatO2.pH_plasma, busConnector.fat_pH_plasma)     annotation (
            Line(
            points={{-35,-34},{6,-34},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITractO2.pH_plasma, busConnector.GITract_pH_plasma)
          annotation (Line(
            points={{71,10},{98,10},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidneyO2.pH_plasma, busConnector.kidney_pH_plasma)
          annotation (Line(
            points={{71,-20},{98,-20},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeartO2.pH_plasma, busConnector.leftHeart_pH_plasma)
          annotation (Line(
            points={{71,-50},{98,-50},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liverO2.pH_plasma, busConnector.liver_pH_plasma)
          annotation (Line(
            points={{71,70},{98,70},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissueO2.pH_plasma, busConnector.otherTissue_pH_plasma)
          annotation (Line(
            points={{-35,26},{6,26},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscleO2.pH_plasma, busConnector.respiratoryMuscle_pH_plasma)
          annotation (Line(
            points={{-35,-4},{6,-4},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeartO2.pH_plasma, busConnector.rightHeart_pH_plasma)
          annotation (Line(
            points={{71,-80},{98,-80},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skinO2.pH_plasma, busConnector.skin_pH_plasma)     annotation (
           Line(
            points={{-35,-64},{6,-64},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscleO2.pH_plasma, busConnector.skeletalMuscle_pH_plasma)
          annotation (Line(
            points={{-35,84},{5.5,84},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(boneO2.FMetHb, busConnector.FMetHb)       annotation (
           Line(
            points={{-35,52},{6,52},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brainO2.FMetHb, busConnector.FMetHb)
          annotation (Line(
            points={{71,36},{98,36},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fatO2.FMetHb, busConnector.FMetHb)     annotation (
            Line(
            points={{-35,-38},{6,-38},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITractO2.FMetHb, busConnector.FMetHb)
          annotation (Line(
            points={{71,6},{98,6},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidneyO2.FMetHb, busConnector.FMetHb)
          annotation (Line(
            points={{71,-24},{98,-24},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeartO2.FMetHb, busConnector.FMetHb)
          annotation (Line(
            points={{71,-54},{98,-54},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liverO2.FMetHb, busConnector.FMetHb)
          annotation (Line(
            points={{71,66},{98,66},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissueO2.FMetHb, busConnector.FMetHb)
          annotation (Line(
            points={{-35,22},{6,22},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscleO2.FMetHb, busConnector.FMetHb)
          annotation (Line(
            points={{-35,-8},{6,-8},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeartO2.FMetHb, busConnector.FMetHb)
          annotation (Line(
            points={{71,-84},{98,-84},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skinO2.FMetHb, busConnector.FMetHb)     annotation (
           Line(
            points={{-35,-68},{6,-68},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscleO2.FMetHb, busConnector.FMetHb)
          annotation (Line(
            points={{-35,80},{5.5,80},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

        connect(boneO2.Tissue_O2Use, busConnector.bone_O2Use)       annotation (
           Line(
            points={{-35,44},{6,44},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brainO2.Tissue_O2Use, busConnector.brain_O2Use)
          annotation (Line(
            points={{71,28},{98,28},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fatO2.Tissue_O2Use, busConnector.fat_O2Use)     annotation (
            Line(
            points={{-35,-46},{6,-46},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITractO2.Tissue_O2Use, busConnector.GITract_O2Use)
          annotation (Line(
            points={{71,-2},{98,-2},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidneyO2.Tissue_O2Use, busConnector.kidney_O2Use)
          annotation (Line(
            points={{71,-32},{98,-32},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeartO2.Tissue_O2Use, busConnector.leftHeart_O2Use)
          annotation (Line(
            points={{71,-62},{98,-62},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liverO2.Tissue_O2Use, busConnector.liver_O2Use)
          annotation (Line(
            points={{71,58},{98,58},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissueO2.Tissue_O2Use, busConnector.otherTissue_O2Use)
          annotation (Line(
            points={{-35,14},{6,14},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscleO2.Tissue_O2Use, busConnector.respiratoryMuscle_O2Use)
          annotation (Line(
            points={{-35,-16},{6,-16},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeartO2.Tissue_O2Use, busConnector.rightHeart_O2Use)
          annotation (Line(
            points={{71,-92},{98,-92},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skinO2.Tissue_O2Use, busConnector.skin_O2Use)     annotation (
           Line(
            points={{-35,-76},{6,-76},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscleO2.Tissue_O2Use, busConnector.skeletalMuscle_O2Use)
          annotation (Line(
            points={{-35,72},{5.5,72},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

        connect(boneO2.BloodFlow, busConnector.bone_BloodFlow)        annotation (
           Line(
            points={{-35,36},{6,36},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brainO2.BloodFlow, busConnector.brain_BloodFlow)
          annotation (Line(
            points={{71,20},{98,20},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fatO2.BloodFlow, busConnector.fat_BloodFlow)     annotation (
            Line(
            points={{-35,-54},{6,-54},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITractO2.BloodFlow, busConnector.GITract_BloodFlow)
          annotation (Line(
            points={{71,-10},{98,-10},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidneyO2.BloodFlow, busConnector.kidney_BloodFlow)
          annotation (Line(
            points={{71,-40},{98,-40},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeartO2.BloodFlow, busConnector.leftHeart_BloodFlow)
          annotation (Line(
            points={{71,-70},{98,-70},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissueO2.BloodFlow, busConnector.otherTissue_BloodFlow)
          annotation (Line(
            points={{-35,6},{6,6},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscleO2.BloodFlow, busConnector.respiratoryMuscle_BloodFlow)
          annotation (Line(
            points={{-35,-24},{6,-24},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeartO2.BloodFlow, busConnector.rightHeart_BloodFlow)
          annotation (Line(
            points={{71,-100},{98,-100},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skinO2.BloodFlow, busConnector.skin_BloodFlow)     annotation (
           Line(
            points={{-35,-84},{6,-84},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscleO2.BloodFlow, busConnector.skeletalMuscle_BloodFlow)
          annotation (Line(
            points={{-35,64},{5.5,64},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

        connect(boneO2.T, busConnector.bone_T)       annotation (
           Line(
            points={{-35,40},{6,40},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brainO2.T, busConnector.brain_T)
          annotation (Line(
            points={{71,24},{98,24},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fatO2.T, busConnector.fat_T)     annotation (
            Line(
            points={{-35,-50},{6,-50},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITractO2.T, busConnector.GITract_T)
          annotation (Line(
            points={{71,-6},{98,-6},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidneyO2.T, busConnector.kidney_T)
          annotation (Line(
            points={{71,-36},{98,-36},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeartO2.T, busConnector.leftHeart_T)
          annotation (Line(
            points={{71,-66},{98,-66},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liverO2.T, busConnector.liver_T)
          annotation (Line(
            points={{71,54},{98,54},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissueO2.T, busConnector.otherTissue_T)
          annotation (Line(
            points={{-35,10},{6,10},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscleO2.T, busConnector.respiratoryMuscle_T)
          annotation (Line(
            points={{-35,-20},{6,-20},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeartO2.T, busConnector.rightHeart_T)
          annotation (Line(
            points={{71,-96},{98,-96},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skinO2.T, busConnector.skin_T)     annotation (
           Line(
            points={{-35,-80},{6,-80},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscleO2.T, busConnector.skeletalMuscle_T)
          annotation (Line(
            points={{-35,68},{5.5,68},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

          connect(boneO2.sO2, busConnector.bone_sO2) annotation (
           Line(
            points={{-44,35},{6,35},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(brainO2.sO2, busConnector.brain_sO2)
          annotation (Line(
            points={{62,19},{98,19},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(fatO2.sO2, busConnector.fat_sO2) annotation (
            Line(
            points={{-44,-55},{6,-55},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(GITractO2.sO2, busConnector.GITract_sO2)
          annotation (Line(
            points={{62,-11},{98,-11},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(kidneyO2.sO2, busConnector.kidney_sO2)
          annotation (Line(
            points={{62,-41},{98,-41},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(leftHeartO2.sO2, busConnector.leftHeart_sO2)
          annotation (Line(
            points={{62,-71},{98,-71},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(liverO2.sO2, busConnector.liver_sO2)
          annotation (Line(
            points={{62,49},{98,49},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(otherTissueO2.sO2, busConnector.otherTissue_sO2)
          annotation (Line(
            points={{-44,5},{6,5},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(respiratoryMuscleO2.sO2, busConnector.respiratoryMuscle_sO2)
          annotation (Line(
            points={{-44,-25},{6,-25},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(rightHeartO2.sO2, busConnector.rightHeart_sO2)
          annotation (Line(
            points={{62,-101},{98,-101},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(skinO2.sO2, busConnector.skin_sO2) annotation (
           Line(
            points={{-44,-85},{6,-85},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(skeletalMuscleO2.sO2, busConnector.skeletalMuscle_sO2)
          annotation (Line(
            points={{-44,63},{5.5,63},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None));

        connect(boneO2.pO2, busConnector.bone.pO2) annotation (
           Line(
            points={{-46,35},{6,35},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(brainO2.pO2, busConnector.brain.pO2)
          annotation (Line(
            points={{60,19},{98,19},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(fatO2.pO2, busConnector.fat.pO2) annotation (
            Line(
            points={{-46,-55},{6,-55},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(GITractO2.pO2, busConnector.GITract.pO2)
          annotation (Line(
            points={{60,-11},{98,-11},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(kidneyO2.pO2, busConnector.Kidney_PO2)
          annotation (Line(
            points={{60,-41},{98,-41},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(leftHeartO2.pO2, busConnector.LeftHeart_PO2)
          annotation (Line(
            points={{60,-71},{98,-71},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(liverO2.pO2, busConnector.Liver_PO2)
          annotation (Line(
            points={{60,49},{98,49},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(otherTissueO2.pO2, busConnector.otherTissue.pO2)
          annotation (Line(
            points={{-46,5},{6,5},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(respiratoryMuscleO2.pO2, busConnector.respiratoryMuscle.pO2)
          annotation (Line(
            points={{-46,-25},{6,-25},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(rightHeartO2.pO2, busConnector.RightHeart_PO2)
          annotation (Line(
            points={{60,-101},{98,-101},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(skinO2.pO2, busConnector.Skin_PO2) annotation (
           Line(
            points={{-46,-85},{6,-85},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None));
        connect(skeletalMuscleO2.pO2, busConnector.skeletalMuscle.pO2)
          annotation (Line(
            points={{-46,63},{5.5,63},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None));

        connect(kidneyO2.TubulePO2, busConnector.KidneyO2_TubulePO2) annotation (Line(
            points={{64,-41},{64,-46},{96,-46},{96,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-3},{6,-3}}));
        connect(GITractO2.vein, q_out) annotation (Line(
            points={{52,2},{-24,2},{-24,0},{-100,0}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(liverO2.BloodFlow, busConnector.HepaticArty_BloodFlow) annotation (
            Line(
            points={{71,50},{98,50},{98,92},{-88,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(liverO2.arty, q_in) annotation (Line(
            points={{72,62},{84,62},{84,0},{100,0}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        annotation (Icon(graphics={Rectangle(extent={{-120,100},{120,-100}},
                  lineColor={0,0,0})}));
      end TissuesO2;

      package Tissues
        model TissueO2Base

        Physiolibrary.Chemical.Interfaces.ChemicalPort_a arty annotation (
            Placement(transformation(extent={{-82,-6},{-62,14}}),
              iconTransformation(extent={{80,0},{120,40}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_b vein annotation (
            Placement(transformation(extent={{62,-6},{82,14}}),
              iconTransformation(extent={{-120,0},{-80,40}})));

          parameter Physiolibrary.Types.AmountOfSubstance initialMass;
          Physiolibrary.Types.RealIO.ConcentrationInput ctHb
          "concentration of haemoglobin"                        annotation (Placement(transformation(extent={{72,-20},
                    {64,-12}}),           iconTransformation(extent={{-100,-30},{-80,-10}})));
          Physiolibrary.Types.RealIO.ConcentrationInput cDPG
          "outgoing concentration of DPG" annotation (Placement(transformation(extent={{62,-16},
                    {54,-8}}),            iconTransformation(extent={{-100,90},{-80,110}})));
          Physiolibrary.Types.RealIO.VolumeFlowRateInput BloodFlow
          "blood flow through tissue"      annotation (Placement(transformation(extent={{-50,-4},
                    {-42,4}}),            iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-100})));

          Physiolibrary.Types.RealIO.TemperatureInput T "outgoing temperature"
                                                                 annotation (Placement(transformation(extent={{-38,-12},
                    {-30,-4}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-60})));
          Physiolibrary.Types.RealIO.PressureInput pCO
          "outgoing partial pressure of CO"
                                           annotation (Placement(transformation(extent={{38,-4},
                    {30,4}}),             iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={-90,60})));
          Physiolibrary.Types.RealIO.FractionInput FHbF
          "Foetal haemoglobin fraction"    annotation (Placement(transformation(extent={{46,-8},
                    {38,0}}),             iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={-90,-60})));
          Physiolibrary.Types.RealIO.FractionInput FMetHb
          "methaemoglobin fraction"                             annotation (Placement(transformation(extent={{56,-12},
                    {48,-4}}),            iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,60})));

          Physiolibrary.Types.RealIO.MolarFlowRateInput
                                               Tissue_O2Use
                                           annotation (Placement(transformation(extent={{-82,-64},
                    {-74,-56}}),          iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-20})));
          Physiolibrary.Types.RealIO.pHInput pH_plasma
          "outgoing veins pH of plasma"                          annotation (Placement(transformation(extent={{-60,-20},
                    {-52,-12}}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,100})));
          BloodO2_Siggaard O2Tissue
            annotation (Placement(transformation(extent={{-18,4},{2,-16}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut
                                                      Metabolism_O2Use(
              useSoluteFlowInput=true) annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={-8,-84})));
          Physiolibrary.Types.RealIO.FractionOutput sO2
                                                   annotation (Placement(
                transformation(extent={{8,14},{14,20}}),     iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-110})));
          Physiolibrary.Types.RealIO.PressureInput pCO2
          "outgoing veins CO2 partial pressure"                  annotation (Placement(transformation(extent={{-46,-16},
                    {-38,-8}}),           iconTransformation(extent={{-10,-10},{10,10}},
                origin={-90,-100})));
          Physiolibrary.Types.RealIO.PressureOutput pO2       annotation (Placement(
                transformation(extent={{10,8},{18,16}}),     iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,-110})));

        //  Real O2Use_ml_per_min;
        // Real O2Use_mmol_per_min;
        equation
        //  O2Use_mmol_per_min = fromMLtoMMOL.q_MMOL.q;
        //  O2Use_ml_per_min = -fromMLtoMMOL.q_ML.q;

          connect(O2Tissue.sO2, sO2)          annotation (Line(
              points={{-8,6},{-8,17},{11,17}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(pH_plasma, O2Tissue.pH)
                                   annotation (Line(
              points={{-56,-16},{-17,-16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(T, O2Tissue.T) annotation (Line(
              points={{-34,-8},{-17,-8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.pCO2, pCO2) annotation (Line(
              points={{-17,-12},{-42,-12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow, O2Tissue.BloodFlow) annotation (Line(
              points={{-46,0},{-32,0},{-32,-2.6},{-18,-2.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.ctHb, ctHb) annotation (Line(
              points={{1,-16},{68,-16}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.cDPG, cDPG) annotation (Line(
              points={{1,-12},{58,-12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(FMetHb, O2Tissue.FMetHb) annotation (Line(
              points={{52,-8},{1,-8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(FHbF, O2Tissue.FHbF) annotation (Line(
              points={{42,-4},{1,-4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(O2Tissue.pCO, pCO) annotation (Line(
              points={{1,0},{34,0}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(arty, O2Tissue.q_in) annotation (Line(
              points={{-72,4},{-44,4},{-44,3},{-17,3}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Tissue.q_out, vein) annotation (Line(
              points={{1,3},{36,3},{36,4},{72,4}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(O2Tissue.pO2, pO2) annotation (Line(
              points={{-4,6},{-4,12},{14,12}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(Tissue_O2Use, Metabolism_O2Use.soluteFlow) annotation (Line(
            points={{-78,-60},{-46,-60},{-46,-88},{-12,-88}},
            color={0,0,127},
            smooth=Smooth.None));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-80,-80},{80,-100}},
                  lineColor={127,0,0},
                  fillPattern=FillPattern.Solid,
                  textString="(init %initialMass mEq)"),
                Text(
                  extent={{28,94},{76,34}},
                  lineColor={0,0,0},
                  textString="O"),
                Text(
                  extent={{62,34},{82,62}},
                  lineColor={0,0,0},
                  textString="2"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
        end TissueO2Base;

        model TissueO2_kidney
          extends Physiolibrary.Icons.Kidney;
          extends TissueO2Base;

                                   /*(cO2Hb(start=7.39))*/
        Physiolibrary.Types.Constants.DiffusionPermeabilityConst O2PermBasic(k(
              displayUnit="l/min") = 0.00045)
          "see Resources/Data/erythropiesis ;  older notes:  0.9 ml_STP/(min.mmHg) = ? mol/(s.Pa), alphaO2=1.005e-5 mol/(m3.Pa)   Before: (3.929e-5)/60/0.00133989"
          annotation (Placement(transformation(extent={{46,-42},{60,-28}})));
        Physiolibrary.Blocks.Factors.Spline HgbOnPerm(data={{0.00,0.4,0},{0.15,
              1.0,8.0},{0.25,2.0,0}}, Xscale=9.3/0.15)
          "\"recalculated [Hb] in mmol = 56*[Hb] in ml\""
          annotation (Placement(transformation(extent={{74,-58},{54,-38}})));
          Physiolibrary.Types.RealIO.PressureOutput      TubulePO2
          "oxygen partial pressure KidneyO2_TubulePO2"   annotation (Placement(
                transformation(extent={{60,-90},{68,-82}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={20,-110})));
         // Real O2Use_ml_per_min;
         // Real O2Use_mmol_per_min;
          Modelica.Blocks.Math.Gain oxygenSolubility(k=1/1.005e-5)
            annotation (Placement(transformation(extent={{26,-96},{46,-76}})));
          Physiolibrary.Chemical.Components.Diffusion diffusion(useConductanceInput=true)
            annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-8,-58})));
          Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
            annotation (Placement(transformation(extent={{-4,-84},{16,-64}})));
        equation
         // O2Use_mmol_per_min = fromMLtoMMOL.q_MMOL.q;
         // O2Use_ml_per_min = -fromMLtoMMOL.q_ML.q;

          connect(O2PermBasic.y, HgbOnPerm.yBase) annotation (Line(
              points={{61.75,-35},{64,-35},{64,-46}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(diffusion.conductance, HgbOnPerm.y) annotation (Line(
              points={{-4,-58},{64,-58},{64,-52}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(diffusion.q_out, concentrationMeasure.q_in) annotation (Line(
              points={{-8,-68},{-8,-76},{6,-76}},
              color={107,45,134},
              thickness=1,
              smooth=Smooth.None));
          connect(TubulePO2, oxygenSolubility.y) annotation (Line(
              points={{64,-86},{47,-86}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(concentrationMeasure.concentration, oxygenSolubility.u) annotation (
              Line(
              points={{6,-70},{16,-70},{16,-86},{24,-86}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(O2Tissue.alveolar, diffusion.q_in) annotation (Line(
            points={{-8.4,-14.2},{-8.4,-31.1},{-8,-31.1},{-8,-48}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(O2Tissue.ceHb_, HgbOnPerm.u) annotation (Line(
            points={{-12,6},{-12,32},{92,32},{92,-48},{72,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(diffusion.q_out, Metabolism_O2Use.q_in) annotation (Line(
            points={{-8,-68},{-8,-74}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-80,-78},{80,-100}},
                  lineColor={127,0,0},
                  fillPattern=FillPattern.Solid,
                  textString="(init %initialMass mEq)"),
                Text(
                  extent={{28,94},{76,34}},
                  lineColor={0,0,0},
                  textString="O"),
                Text(
                  extent={{62,34},{82,62}},
                  lineColor={0,0,0},
                  textString="2"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
        end TissueO2_kidney;

        model TissueO2
          extends TissueO2Base;
        equation
        connect(O2Tissue.alveolar, Metabolism_O2Use.q_in) annotation (Line(
            points={{-8.4,-14.2},{-8.4,-44.1},{-8,-44.1},{-8,-74}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        end TissueO2;

        model SkeletalMuscleO2
          extends Physiomodel.Gases.O2.Tissues.TissueO2(arty(q(start=5.048)));
          extends Physiolibrary.Icons.SkeletalMuscle;
        end SkeletalMuscleO2;

        model BoneO2
          extends Physiomodel.Gases.O2.Tissues.TissueO2;
          extends Physiolibrary.Icons.Bone;
        end BoneO2;

        model OtherTissueO2
          extends Physiomodel.Gases.O2.Tissues.TissueO2;
          extends Physiolibrary.Icons.OtherTissue;
        end OtherTissueO2;

        model RespiratoryMuscleO2
          extends Physiomodel.Gases.O2.Tissues.TissueO2;
          extends Physiolibrary.Icons.RespiratoryMuscle;
        end RespiratoryMuscleO2;

        model FatO2
          extends Physiomodel.Gases.O2.Tissues.TissueO2;
          extends Physiolibrary.Icons.Fat;
        end FatO2;

        model SkinO2
          extends TissueO2;
          extends Physiolibrary.Icons.Skin;
        end SkinO2;

        model BrainO2
          extends TissueO2;
          extends Physiolibrary.Icons.Brain;
        end BrainO2;

        model GITractO2
          extends TissueO2;
          extends Physiolibrary.Icons.GITract;
        end GITractO2;

        model LeftHeartO2
          extends TissueO2;
          extends Physiolibrary.Icons.LeftHeart;
        end LeftHeartO2;

        model RightHeartO2
          extends TissueO2;
          extends Physiolibrary.Icons.RightHeart;
        end RightHeartO2;

        model LiverO2
          extends TissueO2;
          extends Physiolibrary.Icons.Liver;
        end LiverO2;
      end Tissues;

      package IO_Bus
      extends Physiolibrary.Types.IO_Bus;
        redeclare model extends Variables

        T.Pressure Bone_PO2(varName="Bone-Flow.PO2")
          "Partial oxygen pressure in bone blood venules."
        annotation (Placement(transformation(extent={{-64,-120},{-58,-114}})));
        T.Pressure Brain_PO2(varName="Brain-Flow.PO2")
          "Partial oxygen pressure in brain blood venules."
        annotation (Placement(transformation(extent={{-64,-90},{-58,-84}})));
        T.Pressure Fat_PO2(varName="Fat-Flow.PO2")
          "Partial oxygen pressure in fat blood venules."
        annotation (Placement(transformation(extent={{-64,-40},{-58,-34}})));
        T.Pressure GITract_PO2(varName="GITract-Flow.PO2")
          "Partial oxygen pressure in gITract blood venules."
        annotation (Placement(transformation(extent={{-64,-20},{-58,-14}})));
        T.Pressure KidneyO2_TubulePO2(varName="Kidney-O2.TubulePO2")
          "Kidney tubule partial O2 pressure. "
        annotation (Placement(transformation(extent={{-84,-4},{-78,2}})));
        T.Pressure Kidney_PO2(varName="Kidney-O2.VeinPO2")
          "Kidney vein partial O2 pressure."
        annotation (Placement(transformation(extent={{-64,10},{-58,16}})));
        T.Pressure LeftHeart_PO2(varName="LeftHeart-Flow.PO2")
          "Partial oxygen pressure in leftHeart blood venules."
        annotation (Placement(transformation(extent={{-64,30},{-58,36}})));
        T.Pressure Liver_PO2(varName="Liver-O2.PO2")
          "Partial oxygen pressure in hepatic vein."
        annotation (Placement(transformation(extent={{-64,50},{-58,56}})));
        T.Pressure OtherTissue_PO2(varName="OtherTissue-Flow.PO2")
          "Partial oxygen pressure in otherTissue blood venules."
        annotation (Placement(transformation(extent={{-64,70},{-58,76}})));
        T.Pressure RespiratoryMuscle_PO2(varName="RespiratoryMuscle-Flow.PO2")
          "Partial oxygen pressure in respiratoryMuscle blood venules."
        annotation (Placement(transformation(extent={{-64,90},{-58,96}})));
        T.Pressure RightHeart_PO2(varName="RightHeart-Flow.PO2")
          "Partial oxygen pressure in rightHeart blood venules."
        annotation (Placement(transformation(extent={{-64,110},{-58,116}})));
        T.Pressure SkeletalMuscle_PO2(varName="SkeletalMuscle-Flow.PO2")
          "Partial oxygen pressure in skeletalMuscle blood venules."
        annotation (Placement(transformation(extent={{-64,140},{-58,146}})));
        T.Pressure Skin_PO2(varName="Skin-Flow.PO2")
          "Partial oxygen pressure in skin blood venules."
        annotation (Placement(transformation(extent={{-64,160},{-58,166}})));
        T.Pressure O2Artys_PO2(varName="PO2Artys.Pressure")
          "Partial oxygen pressure in systemic arteries."
        annotation (Placement(transformation(extent={{-62,-148},{-56,-142}})));
        T.Fraction bone_sO2(varName="bone_sO2")
        annotation (Placement(transformation(extent={{356,86},{362,92}})));
        T.Fraction brain_sO2(varName="brain_sO2")
        annotation (Placement(transformation(extent={{356,170},{362,176}})));
        T.Fraction fat_sO2(varName="fat_sO2")
        annotation (Placement(transformation(extent={{132,192},{138,198}})));
        T.Fraction GITract_sO2(varName="GITract_sO2")
        annotation (Placement(transformation(extent={{114,-332},{120,-326}})));
        T.Fraction kidney_sO2(varName="kidney_sO2")
        annotation (Placement(transformation(extent={{114,-252},{120,-246}})));
        T.Fraction leftHeart_sO2(varName="leftHeart_sO2")
        annotation (Placement(transformation(extent={{114,-182},{120,-176}})));
        T.Fraction liver_sO2(varName="liver_sO2")
        annotation (Placement(transformation(extent={{114,-122},{120,-116}})));
        T.Fraction O2Artys_sO2(varName="O2Artys_sO2")
        annotation (Placement(transformation(extent={{114,-102},{120,-96}})));
        T.Fraction O2Lung_sO2(varName="O2Lung_sO2")
        annotation (Placement(transformation(extent={{114,-92},{120,-86}})));
        T.Fraction O2Veins_sO2(varName="O2Veins_sO2")
        annotation (Placement(transformation(extent={{114,-82},{120,-76}})));
        T.Fraction otherTissue_sO2(varName="otherTissue_sO2")
        annotation (Placement(transformation(extent={{114,-22},{120,-16}})));
        T.Fraction respiratoryMuscle_sO2(varName="respiratoryMuscle_sO2")
        annotation (Placement(transformation(extent={{114,68},{120,74}})));
        T.Fraction rightHeart_sO2(varName="rightHeart_sO2")
        annotation (Placement(transformation(extent={{114,148},{120,154}})));
        T.Fraction skeletalMuscle_sO2(varName="skeletalMuscle_sO2")
        annotation (Placement(transformation(extent={{114,218},{120,224}})));
        T.Fraction skin_sO2(varName="skin_sO2")
        annotation (Placement(transformation(extent={{114,288},{120,294}})));
        equation

        connect(Bone_PO2.y, busConnector.bone.pO2) annotation (Line(
         points={{-57.7,-117},{90,-117},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(Brain_PO2.y, busConnector.brain.pO2) annotation (Line(
         points={{-57.7,-87},{90,-87},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(Fat_PO2.y, busConnector.fat.pO2) annotation (Line(
         points={{-57.7,-37},{90,-37},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(GITract_PO2.y, busConnector.GITract.pO2) annotation (Line(
         points={{-57.7,-17},{90,-17},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(Kidney_PO2.y, busConnector.Kidney_PO2) annotation (Line(
         points={{-57.7,13},{90,13},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(LeftHeart_PO2.y, busConnector.LeftHeart_PO2) annotation (Line(
         points={{-57.7,33},{90,33},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(Liver_PO2.y, busConnector.Liver_PO2) annotation (Line(
         points={{-57.7,53},{90,53},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(OtherTissue_PO2.y, busConnector.otherTissue.pO2) annotation (Line(
         points={{-57.7,73},{90,73},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(RespiratoryMuscle_PO2.y, busConnector.respiratoryMuscle.pO2) annotation (Line(
         points={{-57.7,93},{90,93},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(RightHeart_PO2.y, busConnector.RightHeart_PO2) annotation (Line(
         points={{-57.7,113},{90,113},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(SkeletalMuscle_PO2.y, busConnector.skeletalMuscle.pO2) annotation (Line(
         points={{-57.7,143},{90,143},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(Skin_PO2.y, busConnector.Skin_PO2) annotation (Line(
         points={{-57.7,163},{90,163},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(O2Artys_PO2.y, busConnector.O2Artys_PO2) annotation (Line(
              points={{-55.7,-145},{60,-145},{60,-2},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(bone_sO2.y, busConnector.bone_sO2) annotation (Line(
         points={{362.3,89},{90,89},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(brain_sO2.y, busConnector.brain_sO2) annotation (Line(
         points={{362.3,173},{90,173},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(fat_sO2.y, busConnector.fat_sO2) annotation (Line(
         points={{138.3,195},{90,195},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(GITract_sO2.y, busConnector.GITract_sO2) annotation (Line(
         points={{120.3,-329},{90,-329},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(kidney_sO2.y, busConnector.kidney_sO2) annotation (Line(
         points={{120.3,-249},{90,-249},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(leftHeart_sO2.y, busConnector.leftHeart_sO2) annotation (Line(
         points={{120.3,-179},{90,-179},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(liver_sO2.y, busConnector.liver_sO2) annotation (Line(
         points={{120.3,-119},{90,-119},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(O2Artys_sO2.y, busConnector.O2Artys_sO2) annotation (Line(
         points={{120.3,-99},{90,-99},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(O2Veins_sO2.y, busConnector.O2Veins_sO2) annotation (Line(
         points={{120.3,-79},{90,-79},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(otherTissue_sO2.y, busConnector.otherTissue_sO2) annotation (Line(
         points={{120.3,-19},{90,-19},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(respiratoryMuscle_sO2.y, busConnector.respiratoryMuscle_sO2) annotation (Line(
         points={{120.3,71},{90,71},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(rightHeart_sO2.y, busConnector.rightHeart_sO2) annotation (Line(
         points={{120.3,151},{90,151},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(skeletalMuscle_sO2.y, busConnector.skeletalMuscle_sO2) annotation (Line(
         points={{120.3,221},{90,221},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(skin_sO2.y, busConnector.skin_sO2) annotation (Line(
         points={{120.3,291},{90,291},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(O2Lung_sO2.y, busConnector.O2Lung_sO2) annotation (Line(
         points={{120.3,-89},{90,-89},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(KidneyO2_TubulePO2.y, busConnector.KidneyO2_TubulePO2)
          annotation (Line(
            points={{-77.7,-1},{90,-1},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        end Variables;

        model Oxygen_test_SI
          import Physiomodel;

          import Modelica.Utilities.*;
         // constant String OUTPUT_FILE = "setup/output_startValues.txt"; //"setup/output.txt"; //"setup/v2.txt";

        Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
            annotation (Placement(transformation(extent={{40,72},{60,94}})));
          Physiomodel.Metabolism.IO_Bus.InputFromFile_SI
                                                  nutrientsAndMetabolism
            annotation (Placement(transformation(extent={{-86,60},{-66,80}})));
          Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
            annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
          Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
            annotation (Placement(transformation(extent={{40,6},{60,26}})));
          Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
            annotation (Placement(transformation(extent={{74,38},{94,58}})));
          Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
            annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
          Physiomodel.Water.IO_Bus.InputFromFile_SI water
            annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
          Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
            annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
          Physiomodel.Status.IO_Bus.InputFromFile_SI status
            annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
          Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
            annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Gases.Ventilation.IO_Bus.InputFromFile_SI ventilation_const
          annotation (Placement(transformation(extent={{-36,-76},{-16,-56}})));
          Physiomodel.Gases.CO2.IO_Bus.InputFromFile_SI cO2_variables
            annotation (Placement(transformation(extent={{-88,-48},{-68,-28}})));
          Physiomodel.Gases.O2.O2 o2_1
            annotation (Placement(transformation(extent={{-94,-90},{-74,-70}})));
        equation
          connect(setup.busConnector,hormones. busConnector) annotation (Line(
              points={{-6,-96},{-6,16},{50,16}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(setup.busConnector,proteins. busConnector) annotation (Line(
              points={{-6,-96},{-6,-18},{-38,-18}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                        annotation (Line(
              points={{-6,-96},{-6,83},{50,83}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
            annotation (Line(
              points={{-6,-96},{-6,70},{-76,70}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(setup.busConnector,water. busConnector) annotation (Line(
              points={{-6,-96},{-6,4},{-76,4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(setup.busConnector,nerves. busConnector) annotation (Line(
              points={{-6,-96},{-6,48},{84,48}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(status.busConnector,setup. busConnector)         annotation (Line(
              points={{52,-70},{-6,-70},{-6,-96}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
              points={{84,-24},{-6,-24},{-6,-96}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(heat.busConnector,setup. busConnector) annotation (Line(
              points={{-38,40},{-6,40},{-6,-96}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        //if terminal() then

        /*   Streams.print("cardioVascularSystem.busConnector.Bone_PCO2\n"+String(cardioVascularSystem.busConnector.Bone_PCO2),OUTPUT_FILE);

Streams.print("cardioVascularSystem.busConnector.Brain_PCO2\n"+String(cardioVascularSystem.busConnector.Brain_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Fat_PCO2\n"+String(cardioVascularSystem.busConnector.Fat_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.GITract_PCO2\n"+String(cardioVascularSystem.busConnector.GITract_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Kidney_PCO2\n"+String(cardioVascularSystem.busConnector.Kidney_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.LeftHeart_PCO2\n"+String(cardioVascularSystem.busConnector.LeftHeart_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Liver_PCO2\n"+String(cardioVascularSystem.busConnector.Liver_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.OtherTissue_PCO2\n"+String(cardioVascularSystem.busConnector.OtherTissue_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.RespiratoryMuscle_PCO2\n"+String(cardioVascularSystem.busConnector.RespiratoryMuscle_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.RightHeart_PCO2\n"+String(cardioVascularSystem.busConnector.RightHeart_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.SkeletalMuscle_PCO2\n"+String(cardioVascularSystem.busConnector.SkeletalMuscle_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Skin_PCO2\n"+String(cardioVascularSystem.busConnector.Skin_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Urine_pH\n"+String(cardioVascularSystem.busConnector.Urine_pH),OUTPUT_FILE);

Streams.print("gases.carbonDioxyd.alveolarVentilation.solventFlowPump.q_out.conc|"+String(gases.carbonDioxyd.alveolarVentilation.solventFlowPump.q_out.conc),OUTPUT_FILE);
Streams.print("gases.carbonDioxyd.artysCO2.pCO2|"+String(gases.carbonDioxyd.artysCO2.pCO2),OUTPUT_FILE);
Streams.print("gases.carbonDioxyd.veinsCO2.pCO2|"+String(gases.carbonDioxyd.veinsCO2.pCO2),OUTPUT_FILE);
Streams.print("gases.oxygen.alveolarVentilation.solventFlowPump.q_out.conc|"+String(gases.oxygen.alveolarVentilation.solventFlowPump.q_out.conc),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.a|"+String(gases.oxygen.artysO2.a),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.FCOHb|"+String(gases.oxygen.artysO2.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.pO2|"+String(gases.oxygen.artysO2.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.a|"+String(gases.oxygen.O2Lung.a),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.FCOHb|"+String(gases.oxygen.O2Lung.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.tO2|"+String(gases.oxygen.O2Lung.tO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.a|"+String(gases.oxygen.veinsO2.a),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.FCOHb|"+String(gases.oxygen.veinsO2.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.pO2|"+String(gases.oxygen.veinsO2.pO2),OUTPUT_FILE);*/
        //end if;
          connect(ventilation_const.busConnector, proteins.busConnector) annotation (
              Line(
              points={{-26,-66},{-40,-66},{-40,-18},{-38,-18}},
              color={255,204,51},
              thickness=0.5,
              smooth=Smooth.None));
          connect(o2_1.busConnector, ventilation_const.busConnector) annotation (Line(
              points={{-76,-72},{-44,-72},{-44,-66},{-26,-66}},
              color={255,204,51},
              thickness=0.5,
              smooth=Smooth.None));
          connect(cO2_variables.busConnector, ventilation_const.busConnector)
            annotation (Line(
              points={{-78,-38},{-62,-38},{-62,-66},{-26,-66}},
              color={255,204,51},
              thickness=0.5,
              smooth=Smooth.None));
          annotation (            experiment(StopTime=3600, Tolerance=1e-005));
        end Oxygen_test_SI;
      end IO_Bus;

      model O2
        extends Physiolibrary.Icons.Oxygen;
        Physiolibrary.Chemical.Components.Substance                artys(
                                     stateName="O2Artys.Mass[mMol]",
          useNormalizedVolume=false,
        solute_start=0.0130979)
          annotation (Placement(transformation(extent={{60,-96},{80,-76}})));
        Physiolibrary.Chemical.Components.Substance                veins(
                                               stateName="O2Veins.Mass[mMol]",
          useNormalizedVolume=false,
        solute_start=0.0247781)
          annotation (Placement(transformation(extent={{-88,-54},{-68,-34}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{88,16},{108,36}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Ventilation.AlveolarVentilation alveolarVentilation(solventFlowPump(q_out(
              conc(start=104/760)), useSolutionFlowInput=true)) annotation (
          Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-8,50})));
      Physiolibrary.Chemical.Components.Stream pulmShortCircuit(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-16,-28},{4,-48}})));
        Modelica.Blocks.Math.Feedback pulmShortCircuitFlow
          annotation (Placement(transformation(extent={{26,-64},{6,-44}})));
        MeassureBloodO2 artysO2(
        pO2(start=13459),
        cO2Hb(start=7.82305),
        pCO2(start=4428.03),
          a(start=-0.1))
          annotation (Placement(transformation(extent={{64,-20},{84,0}})));
                               /**/
        MeassureBloodO2 veinsO2(
        pO2(start=6140),
        cO2Hb(start=6.52),
        a(start=0.076),
        pCO2(start=6400))
          annotation (Placement(transformation(extent={{-90,-18},{-70,2}})));
                               /**/
        Physiomodel.Gases.O2.BloodO2_Siggaard O2Lung(
        pCO2(start=5700),
        pO2(start=13870),
          sO2CO(start=0.977),
          q_in(q(start=10)),
          a(start=-0.1),
          cO2Hb(start=8.16),
          tO2(start=8.161))
          annotation (Placement(transformation(extent={{-16,-18},{4,2}})));
         // sO2CO(start=0.951486),
                                               /**/
       Real x;
        Physiolibrary.Chemical.Components.GasSolubility
                                          gasSolubility(useHeatPort=true,
        C=1700,
        kH_T0(displayUnit="(mmol/l)/kPa at 37degC") = 0.02707666941329,
        solubilityRateCoef(displayUnit="m3/s") = 0.01,
        T0=310.15)
          annotation (Placement(transformation(extent={{-18,12},{2,32}})));
      Physiolibrary.Thermal.Sources.UnlimitedHeat alveolus(T=310.15)
        annotation (Placement(transformation(extent={{60,46},{80,66}})));
      Physiolibrary.Chemical.Sources.UnlimitedGasStorage air(PartialPressure(
            displayUnit="mmHg") = 21331.5819864, useHeatPort=true)
        annotation (Placement(transformation(extent={{-58,70},{-38,90}})));
      Physiolibrary.Thermal.Sources.UnlimitedHeat environment(T=298.15)
        annotation (Placement(transformation(extent={{-92,46},{-72,66}})));
      TissuesO2 tissuesO2
        annotation (Placement(transformation(extent={{-14,-94},{6,-74}})));
      initial equation
        //if Artys.STEADY then
           // Veins.soluteMass
          // x = -O2Lung.q_out.q;
        //   x = ((-O2Lung.q_out.q - tissuesO2.O2ToTissues)/O2Lung.BloodFlow)*Veins.SolventVolume;
           // end if;

      equation
        x = ((-O2Lung.q_out.q - tissuesO2.O2ToTissues)/O2Lung.BloodFlow)*veins.volume;
        connect(pulmShortCircuitFlow.u1, busConnector.CardiacOutput)
          annotation (Line(
            points={{24,-54},{34,-54},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(pulmShortCircuit.q_out,artys. q_out)
                                                  annotation (Line(
            points={{4,-38},{14,-38},{14,-18},{70,-18},{70,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(pulmShortCircuit.solutionFlow, pulmShortCircuitFlow.y)
        annotation (Line(
          points={{-6,-45},{-6,-54},{7,-54}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuitFlow.u2)
          annotation (Line(
            points={{98,26},{-50,26},{-50,-14},{-30,-14},{-30,-62},{16,-62}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(veins.q_out, pulmShortCircuit.q_in) annotation (Line(
            points={{-78,-44},{-78,-18},{-24,-18},{-24,-38},{-16,-38}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CO2Artys_pCO2, artysO2.pCO2)              annotation (
            Line(
            points={{98,26},{34,26},{34,-4},{65,-4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(artysO2.ctHb, busConnector.ctHb)              annotation (Line(
            points={{83,0},{104,0},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(artysO2.cDPG, busConnector.cDPG)              annotation (Line(
            points={{83,-4},{104,-4},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(artysO2.FMetHb, busConnector.FMetHb)              annotation (Line(
            points={{83,-8},{104,-8},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(artysO2.FHbF, busConnector.FHbF)              annotation (Line(
            points={{83,-12},{104,-12},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(artysO2.pCO, busConnector.pCO)              annotation (Line(
            points={{83,-16},{104,-16},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Artys_pH, artysO2.pH)  annotation (Line(
            points={{98,26},{34,26},{34,0},{65,0}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.core_T, artysO2.T)       annotation (Line(
            points={{98,26},{34,26},{34,-8},{65,-8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(artys.q_out, artysO2.q_in) annotation (Line(
            points={{70,-86},{70,-18},{74,-18}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(veinsO2.ctHb, busConnector.ctHb)              annotation (Line(
            points={{-71,2},{-50,2},{-50,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(veinsO2.cDPG, busConnector.cDPG)              annotation (Line(
            points={{-71,-2},{-50,-2},{-50,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(veinsO2.FMetHb, busConnector.FMetHb)              annotation (Line(
            points={{-71,-6},{-50,-6},{-50,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(veinsO2.FHbF, busConnector.FHbF)              annotation (Line(
            points={{-71,-10},{-50,-10},{-50,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(veinsO2.pCO, busConnector.pCO)              annotation (Line(
            points={{-71,-14},{-50,-14},{-50,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.CO2Veins_pCO2, veinsO2.pCO2)              annotation (
            Line(
            points={{98,26},{-100,26},{-100,-2},{-89,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Veins_pH, veinsO2.pH)  annotation (Line(
            points={{98,26},{-100,26},{-100,2},{-89,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.core_T, veinsO2.T)       annotation (Line(
            points={{98,26},{-100,26},{-100,-6},{-89,-6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(veins.q_out, veinsO2.q_in)  annotation (Line(
            points={{-78,-44},{-78,-16},{-80,-16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.O2Veins_sO2, veinsO2.sO2)  annotation (Line(
            points={{98,26},{-100,26},{-100,-26},{-80,-26},{-80,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-3,-3},{-3,-3}}));
        connect(artysO2.sO2, busConnector.O2Artys_sO2) annotation (Line(
            points={{74,-22},{74,-28},{104,-28},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));
        connect(artysO2.pO2, busConnector.O2Artys_PO2) annotation (Line(
            points={{78,-22},{104,-22},{104,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.CO2Lung_pCO2,O2Lung. pCO2)               annotation (
            Line(
            points={{98,26},{-50,26},{-50,-2},{-15,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(O2Lung.ctHb, busConnector.ctHb)               annotation (Line(
            points={{3,2},{34,2},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.cDPG, busConnector.cDPG)               annotation (Line(
            points={{3,-2},{34,-2},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.FMetHb, busConnector.FMetHb)               annotation (Line(
            points={{3,-6},{34,-6},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.FHbF, busConnector.FHbF)               annotation (Line(
            points={{3,-10},{34,-10},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(O2Lung.pCO, busConnector.pCO)               annotation (Line(
            points={{3,-14},{34,-14},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow,O2Lung. BloodFlow)
          annotation (Line(
            points={{98,26},{-50,26},{-50,-11.4},{-16,-11.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(O2Lung.sO2, busConnector.O2Lung_sO2) annotation (Line(
            points={{-6,-20},{-6,-26},{34,-26},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-3},{6,-3}}));
        connect(busConnector.core_T,O2Lung. T) annotation (Line(
            points={{98,26},{-50,26},{-50,-6},{-15,-6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(veins.q_out,O2Lung. q_in) annotation (Line(
            points={{-78,-44},{-78,-17},{-15,-17}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(O2Lung.q_out,artys. q_out) annotation (Line(
            points={{3,-17},{70,-17},{70,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.lungs_pH_plasma, O2Lung.pH) annotation (Line(
            points={{98,26},{-50,26},{-50,2},{-15,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(alveolarVentilation.AlveolarVentilation_Env, busConnector.AlveolarVentilation_Env)
          annotation (Line(
            points={{0,52},{34,52},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(alveolarVentilation.BronchiDilution, busConnector.BronchiDilution)
          annotation (Line(
            points={{0,46},{34,46},{34,26},{98,26}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(alveolarVentilation.alveolar, gasSolubility.q_out) annotation (Line(
            points={{-7.8,40},{-8,40},{-8,32}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(O2Lung.alveolar, gasSolubility.q_in) annotation (Line(
            points={{-6.4,0.2},{-8,0.2},{-8,14}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
      connect(artys.solutionVolume, busConnector.ArtysVol) annotation (Line(
          points={{66,-82},{66,-74},{34,-74},{34,26},{98,26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(veins.solutionVolume, busConnector.VeinsVol) annotation (Line(
          points={{-82,-40},{-82,-34},{-100,-34},{-100,26},{98,26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(alveolus.port, gasSolubility.heatPort) annotation (Line(
          points={{80,56},{84,56},{84,22},{-8,22}},
          color={191,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(air.q_out, alveolarVentilation.inspired) annotation (Line(
          points={{-38,80},{-28,80},{-28,58},{-18,58}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(air.q_out, alveolarVentilation.expired) annotation (Line(
          points={{-38,80},{14,80},{14,58},{2,58}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(environment.port, air.heatPort) annotation (Line(
          points={{-72,56},{-48,56},{-48,80}},
          color={191,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(artys.q_out, tissuesO2.q_in) annotation (Line(
          points={{70,-86},{38,-86},{38,-84},{8,-84}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(veins.q_out, tissuesO2.q_out) annotation (Line(
          points={{-78,-44},{-52,-44},{-52,-84},{-16,-84}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(tissuesO2.busConnector, busConnector) annotation (Line(
          points={{-12.8,-74.8},{-12.8,-70},{106,-70},{106,26},{98,26}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={                 Text(
                extent={{-120,-62},{122,-96}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td>Marek Matejak</td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end O2;

      model Hemoglobin_MKM_Specie "Part of model Hemoglobin_MKM_Adair"

      parameter Boolean loadStarts
        "Start values of state variables from data file (to help with initialization)";
      parameter Boolean storeState
        "Save state variables at the end of simulation";
      constant String dirName = Modelica.Utilities.Files.loadResource("modelica://Physiolibrary/Resources/Data/Hemoglobin_MKM")
        "Directory to load start gues values and store final simulation values";

      parameter Real[4] pKz
        "Dissociation coefficient of reaction z (Val1 amino terminal protonation)";
      parameter Real[4] pKc
        "Dissociation coefficient of reaction c (Val1 amino terminal carbamination)";
      parameter Real[4] pKh
        "Dissociation coefficient of reaction h (other Bohr protonation reactions of side chains)";

      parameter Physiolibrary.Types.MolarEnergy[4] dH_HbuANH2
        "Standard enthalpy of deprotonated and decarboxylated hemoglobin subunit";
      parameter Physiolibrary.Types.MolarEnergy[4] dHz
        "Enthalpy of reaction z (Val1 amino terminal protonation)";
      parameter Physiolibrary.Types.MolarEnergy[4] dHc
        "Enthalpy of reaction c (Val1 amino terminal carbamination)";
      parameter Physiolibrary.Types.MolarEnergy[4] dHh
        "Enthalpy of reaction h (other Bohr protonation reactions of side chains)";

      parameter Boolean isDependent=false
        "contains dependent equation (if solver is not smart enough)";

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a Hbtn
        annotation (Placement(transformation(extent={{-108,-10},{-88,10}})));
          Physiolibrary.Chemical.Components.Substance Hbu_A_NH3[4](
        each Simulation=Physiolibrary.Types.SimulationType.SteadyState,
        dH=dH_HbuANH2 - dHz,
        each dirName=dirName,
        each LOAD_STARTS=loadStarts,
        each SAVE_RESULTS=storeState,
        each solute_start=1e-06)
        annotation (Placement(transformation(extent={{-32,70},{-12,90}})));
      Physiolibrary.Chemical.Components.Substance Hbu_AH_NH3[4](
        each Simulation=Physiolibrary.Types.SimulationType.SteadyState,
        each dirName=dirName,
        each LOAD_STARTS=loadStarts,
        each SAVE_RESULTS=storeState,
        each solute_start=1e-06,
        dH=dH_HbuANH2 - dHh - dHz)
        annotation (Placement(transformation(extent={{54,70},{74,90}})));
      Physiolibrary.Chemical.Components.Substance Hbu_A_NH2[4](
        each Simulation=Physiolibrary.Types.SimulationType.SteadyState,
        isDependent={isDependent,true,true,true},
        each dirName=dirName,
        each LOAD_STARTS=loadStarts,
        each SAVE_RESULTS=storeState,
        each solute_start=1e-06,
        dH=dH_HbuANH2)
        annotation (Placement(transformation(extent={{-32,-2},{-12,18}})));
      Physiolibrary.Chemical.Components.Substance Hbu_AH_NH2[4](
        each Simulation=Physiolibrary.Types.SimulationType.SteadyState,
        each dirName=dirName,
        each LOAD_STARTS=loadStarts,
        each SAVE_RESULTS=storeState,
        each solute_start=1e-06,
        dH=dH_HbuANH2 - dHh)
        annotation (Placement(transformation(extent={{54,-2},{74,18}})));
      Physiolibrary.Chemical.Components.Substance Hbu_A_NHCOO[4](
        each Simulation=Physiolibrary.Types.SimulationType.SteadyState,
        dH=dH_HbuANH2 + dHc,
        each dirName=dirName,
        each LOAD_STARTS=loadStarts,
        each SAVE_RESULTS=storeState,
        each solute_start=1e-06)
        annotation (Placement(transformation(extent={{-32,-84},{-12,-64}})));
      Physiolibrary.Chemical.Components.Substance Hbu_AH_NHCOO[4](
        each Simulation=Physiolibrary.Types.SimulationType.SteadyState,
        each dirName=dirName,
        each LOAD_STARTS=loadStarts,
        each SAVE_RESULTS=storeState,
        dH=dH_HbuANH2 + dHc,
        each solute_start=1e-06)
        annotation (Placement(transformation(extent={{54,-84},{74,-64}})));
      Physiolibrary.Chemical.Components.ChemicalReaction h2[4](
        each nS=1,
        each nP=2,
        K=fill(10, 4) .^ (-pKh .+ 3),
        each TK=310.15,
        dH=dHh) annotation (Placement(transformation(extent={{32,-2},{12,18}})));
      Physiolibrary.Chemical.Components.ChemicalReaction z1[4](
        each nP=2,
        K=fill(10, 4) .^ (-pKz .+ 3),
        dH=dHz,
        each TK=310.15) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-22,44})));
      Physiolibrary.Chemical.Components.ChemicalReaction z2[4](
        each nP=2,
        K=fill(10, 4) .^ (-pKz .+ 3),
        each TK=310.15,
        dH=dHz) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={64,44})));
      Physiolibrary.Chemical.Components.ChemicalReaction c1[4](
        each nS=2,
        each nP=2,
        K=fill(10, 4) .^ (-pKc .+ 3),
        each TK=310.15,
        dH=dHc) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-22,-34})));
      Physiolibrary.Chemical.Components.ChemicalReaction c2[4](
        each nS=2,
        each nP=2,
        K=fill(10, 4) .^ (-pKc .+ 3),
        each TK=310.15,
        dH=dHc) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={64,-34})));
      Modelica.Blocks.Math.Sum total[4](each nin=6) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-64,62})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_a H3O(conc(nominal=10^(-7.2
               + 3))) "hydrogen ions"
        annotation (Placement(transformation(extent={{90,76},{110,96}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_a CO2
        annotation (Placement(transformation(extent={{90,-70},{110,-50}})));
        Physiolibrary.Chemical.Components.Speciation Hb_tn(
        Simulation=Physiolibrary.Types.SimulationType.SteadyState,
        NumberOfSubunits=4,
        useInternalHeatsInput=false)
        annotation (Placement(transformation(extent={{-54,-22},{-74,-2}})));
      Physiolibrary.Types.RealIO.AmountOfSubstanceOutput tHb_u annotation (
          Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={-100,-78})));
      equation
      connect(Hbu_AH_NH3.q_out, z2.substrates[1]) annotation (Line(
          points={{64,80},{64,54}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(Hbu_A_NH3.q_out, z1.substrates[1]) annotation (Line(
          points={{-22,80},{-22,54}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(z1.products[1], Hbu_A_NH2.q_out) annotation (Line(
          points={{-22.5,34},{-22.5,22},{-22,22},{-22,8}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(z2.products[1], Hbu_AH_NH2.q_out) annotation (Line(
          points={{63.5,34},{63.5,22},{64,22},{64,8}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(h2.substrates[1], Hbu_AH_NH2.q_out) annotation (Line(
          points={{32,8},{64,8}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(Hbu_A_NH2.q_out, c1.substrates[1]) annotation (Line(
          points={{-22,8},{-22,-24},{-22.5,-24}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(Hbu_AH_NH2.q_out, c2.substrates[1]) annotation (Line(
          points={{64,8},{64,-24},{63.5,-24}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(c1.products[1], Hbu_A_NHCOO.q_out) annotation (Line(
          points={{-22.5,-44},{-22.5,-60},{-22,-60},{-22,-74}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(c2.products[1], Hbu_AH_NHCOO.q_out) annotation (Line(
          points={{63.5,-44},{63.5,-60},{64,-60},{64,-74}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(Hbu_A_NH3.solute, total.u[1]) annotation (Line(
          points={{-16,70},{-44,70},{-44,63.6667},{-52,63.6667}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Hbu_AH_NH3.solute, total.u[2]) annotation (Line(
          points={{70,70},{-44,70},{-44,63},{-52,63}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Hbu_A_NH2.solute, total.u[3]) annotation (Line(
          points={{-16,-2},{-44,-2},{-44,62.3333},{-52,62.3333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Hbu_AH_NH2.solute, total.u[4]) annotation (Line(
          points={{70,-2},{-44,-2},{-44,61.6667},{-52,61.6667}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Hbu_A_NHCOO.solute, total.u[5]) annotation (Line(
          points={{-16,-84},{-44,-84},{-44,61},{-52,61}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Hbu_AH_NHCOO.solute, total.u[6]) annotation (Line(
          points={{70,-84},{-44,-84},{-44,60.3333},{-52,60.3333}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(Hbu_A_NH2.q_out, h2.products[1]) annotation (Line(
          points={{-22,8},{-10,8},{-10,7.5},{12,7.5}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));

        connect(Hb_tn.specificForm, Hbtn) annotation (Line(
            points={{-74,-20},{-86,-20},{-86,0},{-98,0}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(total.y, Hb_tn.amountOfSubunit) annotation (Line(
            points={{-75,62},{-78,62},{-78,-12},{-72,-12}},
            color={0,0,127},
            smooth=Smooth.None));

        for i in 1:4 loop
        connect(z1[i].products[2], H3O) annotation (Line(
            points={{-21.5,34},{-21.5,28},{-4,28},{-4,96},{88,96},{88,86},{100,
                86}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(z2[i].products[2], H3O) annotation (Line(
            points={{64.5,34},{64.5,28},{-4,28},{-4,96},{88,96},{88,86},{100,86}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));

        connect(c1[i].products[2], H3O) annotation (Line(
            points={{-21.5,-44},{-21.5,-50},{-4,-50},{-4,96},{88,96},{88,86},{
                100,86}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(c2[i].products[2], H3O) annotation (Line(
            points={{64.5,-44},{64.5,-50},{-4,-50},{-4,96},{88,96},{88,86},{100,
                86}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));

        connect(H3O, h2[i].products[2]) annotation (Line(
            points={{100,86},{88,86},{88,96},{-4,96},{-4,8.5},{12,8.5}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));

          connect(CO2, c2[i].substrates[2]) annotation (Line(
            points={{100,-60},{88,-60},{88,-20},{64.5,-20},{64.5,-24}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(CO2, c1[i].substrates[2]) annotation (Line(
            points={{100,-60},{88,-60},{88,-20},{-21.5,-20},{-21.5,-24}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        end for;
        connect(Hb_tn.specificSubunitForm, Hbu_A_NH2.q_out) annotation (Line(
            points={{-64,-2},{-64,8},{-22,8}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(tHb_u, Hb_tn.amount) annotation (Line(
            points={{-100,-78},{-64,-78},{-64,-20}},
            color={0,0,127},
            smooth=Smooth.None));

      annotation ( Documentation(revisions="<html>
<p><i>2014</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>", info="<html>

<p>Ref: Mateják Marek, Kulhánek Tomáa, Matouaek Stanislav. Adair-Based Hemoglobin Equilibrium with Oxygen, Carbon Dioxide and Hydrogen Ion Activity. Scandinavian Journal of Clinical &AMP; Laboratory Investigation 2014</p>

<p>Parameters are chosen to fit following measurements:</p>
<p>[1] Bauer C, Schr&ouml;der E. Carbamino compounds of haemoglobin in human adult and foetal blood. The Journal of physiology 1972;227:457-71.</p>
<p>[2] Siggaard-Andersen O. Oxygen-Linked Hydrogen Ion Binding of Human Hemoglobin. Effects of Carbon Dioxide and 2, 3-Diphosphoglycerate I. Studies on Erythrolysate. Scandinavian Journal of Clinical &AMP; Laboratory Investigation 1971;27:351-60.</p>

</html>"));
      end Hemoglobin_MKM_Specie;

      model Hemoglobin_MKM_Adair "Matejak,Kulhanek,Matousek (2014)"

        constant Real pKzD=7.73,pKcD=7.54,pKhD=7.52;
        constant Real pKzO=7.25,pKcO=8.35,pKhO=6.89;
        constant Physiolibrary.Types.MolarEnergy dHzD=-51400;
        constant Physiolibrary.Types.MolarEnergy dHzO=7700;
        constant Physiolibrary.Types.MolarEnergy dHcD=59100;
        constant Physiolibrary.Types.MolarEnergy dHcO=-41100;
        constant Physiolibrary.Types.MolarEnergy dHhD=49000;
        constant Physiolibrary.Types.MolarEnergy dHhO=-105000;
        constant Physiolibrary.Types.MolarEnergy dHo=50000;
        constant Physiolibrary.Types.MolarEnergy dH_HbuDANH2=0;
        // dHhD=0, dHhO=-104000, dHo=12700, dH_HbuDANH2=0;                           // dHhD=48600, dHhO=-104000, dHo=50000, dH_HbuDANH2=0;

        parameter Boolean storeResults=false;
        parameter Boolean loadStarts=true;

        Physiolibrary.Chemical.Components.ChemicalReaction K1(
          K=0.0121,
          nS=1,
          nP=2) annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=270,
              origin={-44,68})));
        Physiolibrary.Chemical.Components.ChemicalReaction K2(
          K=0.0117,
          nS=1,
          nP=2) annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=270,
              origin={-46,28})));
        Physiolibrary.Chemical.Components.ChemicalReaction K3(
          K=0.0871,
          nS=1,
          nP=2) annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=270,
              origin={-48,-18})));
        Physiolibrary.Chemical.Components.ChemicalReaction K4(
          K=0.000386,
          nS=1,
          nP=2) annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=270,
              origin={-50,-60})));
        Physiolibrary.Chemical.Examples.Hemoglobin.Hemoglobin_MKM_Specie Hb0(
          pKz=fill(pKzD, 4),
          pKc=fill(pKcD, 4),
          pKh=fill(pKhD, 4),
          isDependent=true,
          dH_HbuANH2(displayUnit="kJ/mol") = fill(dH_HbuDANH2, 4),
          dHz(displayUnit="kJ/mol") = fill(dHzD, 4),
          dHc(displayUnit="kJ/mol") = fill(dHcD, 4),
          dHh(displayUnit="kJ/mol") = fill(dHhD, 4),
          storeState=storeResults,
          loadStarts=loadStarts)
          annotation (Placement(transformation(extent={{-24,78},{-4,98}})));
        Physiolibrary.Chemical.Examples.Hemoglobin.Hemoglobin_MKM_Specie Hb1(
          pKz=cat(
              1,
              fill(pKzD, 3),
              fill(pKzO, 1)),
          pKc=cat(
              1,
              fill(pKcD, 3),
              fill(pKcO, 1)),
          pKh=cat(
              1,
              fill(pKhD, 3),
              fill(pKhO, 1)),
          dH_HbuANH2(displayUnit="kJ/mol") = cat(
            1,
            fill(dH_HbuDANH2, 3),
            fill(dH_HbuDANH2 - dHo, 1)),
          dHz(displayUnit="kJ/mol") = cat(
            1,
            fill(dHzD, 3),
            fill(dHzO, 1)),
          dHc(displayUnit="kJ/mol") = cat(
            1,
            fill(dHcD, 3),
            fill(dHcO, 1)),
          dHh(displayUnit="kJ/mol") = cat(
            1,
            fill(dHhD, 3),
            fill(dHhO, 1)),
          storeState=storeResults,
          loadStarts=loadStarts)
          annotation (Placement(transformation(extent={{-24,40},{-4,60}})));
        Physiolibrary.Chemical.Examples.Hemoglobin.Hemoglobin_MKM_Specie Hb2(
          pKz=cat(
              1,
              fill(pKzD, 2),
              fill(pKzO, 2)),
          pKc=cat(
              1,
              fill(pKcD, 2),
              fill(pKcO, 2)),
          pKh=cat(
              1,
              fill(pKhD, 2),
              fill(pKhO, 2)),
          dH_HbuANH2(displayUnit="kJ/mol") = cat(
            1,
            fill(dH_HbuDANH2, 2),
            fill(dH_HbuDANH2 - dHo, 2)),
          dHz(displayUnit="kJ/mol") = cat(
            1,
            fill(dHzD, 2),
            fill(dHzO, 2)),
          dHc(displayUnit="kJ/mol") = cat(
            1,
            fill(dHcD, 2),
            fill(dHcO, 2)),
          dHh(displayUnit="kJ/mol") = cat(
            1,
            fill(dHhD, 2),
            fill(dHhO, 2)),
          storeState=storeResults,
          loadStarts=loadStarts)
          annotation (Placement(transformation(extent={{-24,0},{-4,20}})));
        Physiolibrary.Chemical.Examples.Hemoglobin.Hemoglobin_MKM_Specie Hb3(
          pKz=cat(
              1,
              fill(pKzD, 1),
              fill(pKzO, 3)),
          pKc=cat(
              1,
              fill(pKcD, 1),
              fill(pKcO, 3)),
          pKh=cat(
              1,
              fill(pKhD, 1),
              fill(pKhO, 3)),
          dH_HbuANH2(displayUnit="kJ/mol") = cat(
            1,
            fill(dH_HbuDANH2, 1),
            fill(dH_HbuDANH2 - dHo, 3)),
          dHz(displayUnit="kJ/mol") = cat(
            1,
            fill(dHzD, 1),
            fill(dHzO, 3)),
          dHc(displayUnit="kJ/mol") = cat(
            1,
            fill(dHcD, 1),
            fill(dHcO, 3)),
          dHh(displayUnit="kJ/mol") = cat(
            1,
            fill(dHhD, 1),
            fill(dHhO, 3)),
          storeState=storeResults,
          loadStarts=loadStarts)
          annotation (Placement(transformation(extent={{-24,-44},{-4,-24}})));
        Physiolibrary.Chemical.Examples.Hemoglobin.Hemoglobin_MKM_Specie Hb4(
          pKz=fill(pKzO, 4),
          pKc=fill(pKcO, 4),
          pKh=fill(pKhO, 4),
          dH_HbuANH2(displayUnit="kJ/mol") = fill(dH_HbuDANH2 - dHo, 4),
          dHz(displayUnit="kJ/mol") = fill(dHzO, 4),
          dHc(displayUnit="kJ/mol") = fill(dHcO, 4),
          dHh(displayUnit="kJ/mol") = fill(dHhO, 4),
          storeState=storeResults,
          loadStarts=loadStarts)
          annotation (Placement(transformation(extent={{-24,-88},{-4,-68}})));
        Physiolibrary.SteadyStates.Components.MolarConservationLaw totalHemoglobin(
          n=5,
          Total(displayUnit="mol") = 1,
          Simulation=Physiolibrary.Types.SimulationType.SteadyState,
          useTotalInput=true)
          annotation (Placement(transformation(extent={{56,6},{76,26}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_a O2
          annotation (Placement(transformation(extent={{-94,-14},{-74,6}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_a H3O
          annotation (Placement(transformation(extent={{58,76},{78,96}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_a CO2
          annotation (Placement(transformation(extent={{60,-92},{80,-72}})));
        Physiolibrary.Types.RealIO.AmountOfSubstanceInput tHb
          annotation (Placement(transformation(extent={{36,22},{54,40}})));
      equation

        connect(Hb1.H, Hb0.H) annotation (Line(
            points={{-4,58.6},{10,58.6},{10,96.6},{-4,96.6}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb4.H, Hb0.H) annotation (Line(
            points={{-4,-69.4},{10,-69.4},{10,96.6},{-4,96.6}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb2.H, Hb0.H) annotation (Line(
            points={{-4,18.6},{10,18.6},{10,96.6},{-4,96.6}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb1.CO2, Hb0.CO2) annotation (Line(
            points={{-4,44},{4,44},{4,82},{-4,82}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb2.CO2, Hb0.CO2) annotation (Line(
            points={{-4,4},{4,4},{4,82},{-4,82}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb0.Hbtn, K1.products[2]) annotation (Line(
            points={{-23.8,88},{-43.5,88},{-43.5,78}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb1.Hbtn, K1.substrates[1]) annotation (Line(
            points={{-23.8,50},{-44,50},{-44,58}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb1.Hbtn, K2.products[2]) annotation (Line(
            points={{-23.8,50},{-44,50},{-44,38},{-45.5,38}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb2.Hbtn, K2.substrates[1]) annotation (Line(
            points={{-23.8,10},{-46,10},{-46,18}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb2.Hbtn, K3.products[2]) annotation (Line(
            points={{-23.8,10},{-46,10},{-46,-8},{-47.5,-8}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb3.Hbtn, K3.substrates[1]) annotation (Line(
            points={{-23.8,-34},{-48,-34},{-48,-28}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb3.Hbtn, K4.products[2]) annotation (Line(
            points={{-23.8,-34},{-48,-34},{-48,-50},{-49.5,-50}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb4.Hbtn, K4.substrates[1]) annotation (Line(
            points={{-23.8,-78},{-50,-78},{-50,-70}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb4.tHb_u, totalHemoglobin.fragment[1]) annotation (Line(
            points={{-24,-85.8},{-30,-85.8},{-30,-96},{24,-96},{24,10.4},{56,10.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hb3.tHb_u, totalHemoglobin.fragment[2]) annotation (Line(
            points={{-24,-41.8},{-30,-41.8},{-30,-48},{22,-48},{22,11.2},{56,11.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hb2.tHb_u, totalHemoglobin.fragment[3]) annotation (Line(
            points={{-24,2.2},{-30,2.2},{-30,-4},{20,-4},{20,12},{56,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hb1.tHb_u, totalHemoglobin.fragment[4]) annotation (Line(
            points={{-24,42.2},{-28,42.2},{-28,34},{18,34},{18,12.8},{56,12.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hb0.tHb_u, totalHemoglobin.fragment[5]) annotation (Line(
            points={{-24,80.2},{-28,80.2},{-28,72},{20,72},{20,13.6},{56,13.6}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(O2, K4.products[1]) annotation (Line(
            points={{-84,-4},{-68,-4},{-68,-38},{-50.5,-38},{-50.5,-50}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(O2, K3.products[1]) annotation (Line(
            points={{-84,-4},{-68,-4},{-68,4},{-48.5,4},{-48.5,-8}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(O2, K2.products[1]) annotation (Line(
            points={{-84,-4},{-68,-4},{-68,46},{-46.5,46},{-46.5,38}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(O2, K1.products[1]) annotation (Line(
            points={{-84,-4},{-68,-4},{-68,88},{-44.5,88},{-44.5,78}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb0.H, Hb3.H) annotation (Line(
            points={{-4,96.6},{10,96.6},{10,-25.4},{-4,-25.4}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb0.H, H3O) annotation (Line(
            points={{-4,96.6},{10,96.6},{10,86},{68,86}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(Hb1.CO2, CO2) annotation (Line(
            points={{-4,44},{4,44},{4,-82},{70,-82}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
        connect(tHb, totalHemoglobin.total) annotation (Line(
            points={{45,31},{66,31},{66,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hb4.CO2, CO2) annotation (Line(
            points={{-4,-84},{4,-84},{4,-82},{70,-82}},
            color={107,45,134},
            thickness=1,
            smooth=Smooth.None));
      connect(Hb3.CO2, CO2) annotation (Line(
          points={{-4,-40},{4,-40},{4,-82},{70,-82}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
        annotation (          experiment(
            StopTime=15000,
            Tolerance=1e-014,
            __Dymola_Algorithm="Euler"), Documentation(info=
                   "<html>
<p>Ref: Mateják Marek, Kulhánek Tomáa, Matouaek Stanislav. Adair-Based Hemoglobin Equilibrium with Oxygen, Carbon Dioxide and Hydrogen Ion Activity. Scandinavian Journal of Clinical &AMP; Laboratory Investigation 2014</p>

<p>Before silumation in &QUOT;Dymola 2014 FD01&QUOT; please set environment variable &QUOT;<code><b>Advanced.Define.NonLinearIterations&nbsp;=&nbsp;3&QUOT;</b></code> and chose &QUOT;Euler&QUOT; method!</p>
<p>Parameters are chosen to fit following measurements:</p>
<p>[1] Bauer C, Schr&ouml;der E. Carbamino compounds of haemoglobin in human adult and foetal blood. The Journal of physiology 1972;227:457-71.</p>
<p>[2] Siggaard-Andersen O. Oxygen-Linked Hydrogen Ion Binding of Human Hemoglobin. Effects of Carbon Dioxide and 2, 3-Diphosphoglycerate I. Studies on Erythrolysate. Scandinavian Journal of Clinical &AMP; Laboratory Investigation 1971;27:351-60.</p>
<p>[3] Severinghaus JW. Simple, accurate equations for human blood O2 dissociation computations. Journal of Applied Physiology 1979;46:599-602.</p>
</html>", revisions="<html>
<p><i>2014</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end Hemoglobin_MKM_Adair;
      annotation (Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
    end O2;

    package CO2 "Body CO2 Transport"

      partial model HendersonHasselbach
        import Modelica.Math;

        Real pK;
        Real aCO2(final displayUnit="mmol/(l.kPa)");
         Physiolibrary.Types.Concentration cdCO2(displayUnit="mmol/l");
      // start=3,
      //  Physiolibrary.Types.Pressure pCO2(start=6000,            displayUnit="kPa");
      //  start=6,
       // constant Real MiniliterPerLiter(final displayUnit="ml/l")=1000;

         Physiolibrary.Types.RealIO.ConcentrationOutput cHCO3(
                                              displayUnit="mmol/l")
        "outgoing concentration of HCO3"                                                             annotation (Placement(
              transformation(extent={{20,-70},{60,-30}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={80,-120})));
         Physiolibrary.Types.RealIO.TemperatureInput T(      displayUnit="degC")
        "outgoing temperature"                                                              annotation (Placement(transformation(extent={{70,-26},
                  {110,14}}),           iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,80})));        /*start=37,*/

         Physiolibrary.Types.RealIO.pHInput pH "outgoing plasma pH"
                                                              annotation (Placement(transformation(extent={{-120,50},
                  {-80,90}}),           iconTransformation(extent={{-100,70},{-80,90}})));
       Physiolibrary.Types.RealIO.PressureOutput pCO2(start=6000,       displayUnit="mmHg")
        "alveolar partial pressure of pCO2"
                                          annotation (Placement(transformation(
                extent={{20,-70},{60,-30}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={40,-120})));               /*start=40,*/
      equation
        //Henderson-Hasselbalch equation:
        pK = 6.1 + (-0.0026)*(T-310.15);
        aCO2 = 0.00023 * 10^(-0.0092*(T-310.15)); //solubility depends on temperature
        cdCO2 = aCO2*pCO2;
       // pH = if ( cdCO2 > 1e-8) then  pK + log10(max(1e-15,cHCO3/cdCO2)) else pK;
        cdCO2 * 10^(pH-pK) = cHCO3;

        annotation ( Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end HendersonHasselbach;

      partial model BloodCO2Base
        extends Physiomodel.Gases.CO2.HendersonHasselbach;

        import Modelica.Math;

        Physiolibrary.Types.Concentration tCO2_P(start=24, displayUnit="mmol/l");
        //start=24,

        Real pK_ery;
        Physiolibrary.Types.GasSolubility aCO2_ery( displayUnit="mmol/l/mmHg");
        Physiolibrary.Types.Concentration tCO2_ery( displayUnit="mmol/l");

         Physiolibrary.Types.Concentration tCO2( displayUnit="mmol/l");

      //  constant Real MiniliterPerLiter(final displayUnit="ml/l")=1000;

         Physiolibrary.Types.RealIO.pHInput pH_ery
        "outgoing intracellular erytrocytes pH"
                                        annotation (Placement(transformation(extent={{-120,10},
                  {-80,50}}),           iconTransformation(extent={{-100,30},{-80,50}})));
         Physiolibrary.Types.RealIO.FractionInput Hct
        "outgoing hematocrit (erytrocytes volume/blood volume)"
                                         annotation (Placement(transformation(extent={{60,60},
                  {100,100}}),          iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,40})));
         Physiolibrary.Types.RealIO.FractionInput sO2
        "outgoing oxygen saturation"     annotation (Placement(transformation(extent={{60,20},
                  {100,60}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,0})));

      equation
        //total plasma CO2 from SimpleCO2Solution
        tCO2_P = cHCO3 + cdCO2;

        //erythrocytes:
        pK_ery = 6.125 - log10(1+10^(pH_ery-7.84-0.06*sO2));
        tCO2_ery=aCO2_ery*pCO2*(1+10^(pH_ery-pK_ery));
        aCO2_ery=0.000195; //solubility 0.23 (mmol/l)/kPa at 25degC

        //plasma+erythrocyte
        tCO2 = tCO2_ery*Hct + tCO2_P*(1-Hct);

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid), Text(
                extent={{-74,-26},{74,-58}},
                lineColor={0,0,255},
                textString="%name")}),        Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end BloodCO2Base;

      partial model BloodCO2TransportBase
        extends BloodCO2Base;

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "CO2 inflow to ventilated alveols in mmol/ml" annotation (Placement(
            transformation(extent={{-120,-100},{-80,-60}}), iconTransformation(
              extent={{-120,-100},{-80,-60}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out
        "CO2 outflow from ventilated alveols in mmol/ml" annotation (Placement(
            transformation(extent={{80,-100},{120,-60}}), iconTransformation(
              extent={{80,-100},{120,-60}})));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput BloodFlow(
                                                final displayUnit="ml/min")
        "blood flow through ventilated alveols"
                                         annotation (Placement(transformation(extent={{-120,
                  -80},{-80,-40}}),     iconTransformation(extent={{-100,-10},{-80,10}})));
      equation
        q_in.conc = q_in.q/ BloodFlow; //mmol/l

        tCO2 = (-q_out.q/BloodFlow); //mmol/l

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-74,-26},{74,-58}},
                lineColor={0,0,255},
                textString="%name"),
              Polygon(
                points={{-72,10},{80,0},{-72,-10},{-72,10}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                origin={-2,-80},
                rotation=360)}),        Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end BloodCO2TransportBase;

      model CO2
       extends Physiolibrary.Icons.CarbonDioxide;
        Physiolibrary.Chemical.Components.Substance                veins(
                                                                 stateName=
              "CO2Veins.Mass[mMol]",
        useNormalizedVolume=false,
        solute_start=0.0869)
          annotation (Placement(transformation(extent={{-96,-14},{-76,6}})));
        Physiolibrary.Chemical.Components.Substance                artys(
                                                                 stateName=
              "CO2Artys.Mass[mMol]",
        useNormalizedVolume=false,
        solute_start=0.0343)
          annotation (Placement(transformation(extent={{92,-12},{72,8}})));
        TissuesWithInterstitium.TissuesCO2 CO2Tissues(
          skeletalMuscleCO2(vein(q(start=-14.5357))),
          liverCO2(vein(q(start=-31.11))),
          boneCO2(vein(q(start=-7.3))),
          brainCO2(vein(q(start=-18.5364)), tissueVeinsCO2(tCO2_P(start=27.1283))),
          otherTissueCO2(vein(q(start=-8.149))),
          GITractCO2(vein(q(start=-24.8656))),
          respiratoryMuscleCO2(vein(q(start=-2.26257))),
          kidneyCO2(vein(q(start=-26.7849))),
          fatCO2(vein(q(start=-5.277))),
          leftHeartCO2(vein(q(start=-4.84675))),
          rightHeartCO2(vein(q(start=-0.914))),
          skinCO2(vein(q(start=-3.5889))))
          annotation (Placement(transformation(extent={{-48,-40},{-28,-20}})));

          /*(
    skeletalMuscleCO2(tissueVeinsCO2(pCO2(start=6.079))),
    liverCO2(tissueVeinsCO2(pCO2(start=5.8879))),
    boneCO2(tissueVeinsCO2(pCO2(start=6.0267))),
    brainCO2(tissueVeinsCO2(pCO2(start=6.2398))),
    otherTissueCO2(tissueVeinsCO2(pCO2(start=5.7258))),
    GITractCO2(tissueVeinsCO2(pCO2(start=5.6768))),
    respiratoryMuscleCO2(tissueVeinsCO2(pCO2(start=6.34097))),
    kidneyCO2(tissueVeinsCO2(pCO2(start=5.51929))),
    fatCO2(tissueVeinsCO2(pCO2(start=5.6931))),
    leftHeartCO2(tissueVeinsCO2(pCO2(start=7.8986))),
    rightHeartCO2(tissueVeinsCO2(pCO2(start=7.9346))),
    skinCO2(tissueVeinsCO2(pCO2(start=5.9118))))*/

      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-114,-62},{-74,-22}}), iconTransformation(
              extent={{60,40},{100,80}})));
        Physiolibrary.Chemical.Sources.UnlimitedGasStorage air(useHeatPort=true)
          annotation (Placement(transformation(extent={{-60,84},{-48,96}})));
      Ventilation.AlveolarVentilation alveolarVentilation annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            origin={0,78})));                       /*(
    solventFlowPump(q_out(conc(start=0.05))))*/
      Physiolibrary.Chemical.Components.Stream pulmShortCircuit(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-22,14},{-2,-6}})));
        Modelica.Blocks.Math.Feedback pulmShortCircuitFlow
          annotation (Placement(transformation(extent={{10,-10},{-10,10}},
              rotation=270,
              origin={-12,-10})));
      //1000 * 1.977/40.01
        Physiomodel.Gases.CO2.MeassureBloodCO2 veinsCO2(tCO2_P(start=27.4), pCO2(
              start=6240))
          annotation (Placement(transformation(extent={{-96,22},{-76,42}})));
        Physiomodel.Gases.CO2.MeassureBloodCO2 artysCO2(tCO2_P(start=26), pCO2(start=5330))
          annotation (Placement(transformation(extent={{72,22},{92,42}})));

        Physiomodel.Gases.CO2.BloodCO2 CO2Lung(
          q_in(q(start=115.472)),
          tCO2_P(start=24.9),
        pCO2(start=5160))
          annotation (Placement(transformation(extent={{-10,22},{10,42}})));

      Physiolibrary.Chemical.Components.GasSolubility gasSolubility(
        useHeatPort=true,
          C=2400,
        kH_T0(displayUnit="(mmol/l)/(mmol/l)") = 0.604,
        solubilityRateCoef(displayUnit="m3/s") = 0.1,
        T0=310.15)
        annotation (Placement(transformation(extent={{-10,44},{10,64}})));
      Physiolibrary.Thermal.Sources.UnlimitedHeat environment(T=298.15)
        annotation (Placement(transformation(extent={{-90,64},{-70,84}})));
      Physiolibrary.Thermal.Sources.UnlimitedHeat alveolus(T=310.15)
        annotation (Placement(transformation(extent={{64,58},{84,78}})));
      equation
        connect(CO2Tissues.q_out, veins.q_out)   annotation (Line(
            points={{-50,-30},{-70,-30},{-70,-4},{-86,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(air.q_out, alveolarVentilation.inspired) annotation (Line(
            points={{-48,90},{-14,90},{-14,86},{-10,86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(air.q_out, alveolarVentilation.expired) annotation (Line(
            points={{-48,90},{14,90},{14,86},{10,86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(pulmShortCircuit.solutionFlow, pulmShortCircuitFlow.y)
        annotation (Line(
          points={{-12,-3},{-12,-3},{-12,-1},{-12,-1}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(pulmShortCircuitFlow.u1, busConnector.CardiacOutput)
          annotation (Line(
            points={{-12,-18},{10,-18},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow, pulmShortCircuitFlow.u2)
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,-10},{-20,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(veins.q_out, pulmShortCircuit.q_in)    annotation (Line(
            points={{-86,-4},{-86,24},{-46,24},{-46,4},{-22,4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pulmShortCircuit.q_out, artys.q_out)    annotation (Line(
            points={{-2,4},{24,4},{24,24},{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Veins_pH, veinsCO2.pH)             annotation (
            Line(
            points={{-94,-42},{-100,-42},{-100,40},{-95,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Veins_pH_ery, veinsCO2.pH_ery)
          annotation (Line(
            points={{-94,-42},{-100,-42},{-100,36},{-95,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(veinsCO2.sO2, busConnector.O2Veins_sO2)             annotation (
            Line(
            points={{-77,32},{-54,32},{-54,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(veinsCO2.Hct, busConnector.BloodVol_Hct)             annotation (Line(
            points={{-77,36},{-54,36},{-54,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(veinsCO2.T, busConnector.core_T)
                                                annotation (Line(
            points={{-77,40},{-54,40},{-54,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(veinsCO2.cHCO3, busConnector.CO2Veins_cHCO3)
                                                            annotation (Line(
            points={{-78,20},{-78,14},{-100,14},{-100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));
        connect(veins.q_out, veinsCO2.q_in)   annotation (Line(
            points={{-86,-4},{-86,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Artys_pH, artysCO2.pH)             annotation (
            Line(
            points={{-94,-42},{50,-42},{50,40},{73,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Artys_pH_ery, artysCO2.pH_ery)
          annotation (Line(
            points={{-94,-42},{50,-42},{50,36},{73,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(artysCO2.sO2, busConnector.O2Artys_sO2)             annotation (
            Line(
            points={{91,32},{100,32},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(artysCO2.Hct, busConnector.BloodVol_Hct)             annotation (Line(
            points={{91,36},{100,36},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(artysCO2.T, busConnector.core_T)       annotation (Line(
            points={{91,40},{100,40},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(artysCO2.q_in, artys.q_out)    annotation (Line(
            points={{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(artysCO2.cHCO3, busConnector.CO2Artys_cHCO3) annotation (Line(
            points={{90,20},{90,14},{100,14},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,-3},{3,-3}}));
        connect(veinsCO2.pCO2, busConnector.CO2Veins_pCO2)     annotation (Line(
            points={{-82,20},{-82,16},{-100,16},{-100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(artysCO2.pCO2, busConnector.CO2Artys_pCO2) annotation (
            Line(
            points={{86,20},{86,12},{100,12},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector, CO2Tissues.busConnector) annotation (Line(
            points={{-94,-42},{-54,-42},{-54,-20.8},{-46.8,-20.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CO2Lung.sO2, busConnector.O2Lung_sO2)              annotation (
            Line(
            points={{9,32},{50,32},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.AlveolarVentilated_BloodFlow,CO2Lung. BloodFlow)
          annotation (Line(
            points={{-94,-42},{-54,-42},{-54,32},{-9,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CO2Lung.q_out, artys.q_out)                 annotation (Line(
            points={{10,24},{82,24},{82,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CO2Lung.Hct, busConnector.BloodVol_Hct)              annotation (Line(
            points={{9,36},{50,36},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Lung.T, busConnector.core_T) annotation (Line(
            points={{9,40},{50,40},{50,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(CO2Lung.pCO2, busConnector.CO2Lung_pCO2) annotation (Line(
            points={{4,20},{4,10},{10,10},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-5},{6,-5}}));
        connect(CO2Lung.cHCO3, busConnector.CO2Lung_cHCO3) annotation (Line(
            points={{8,20},{8,12},{10,12},{10,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(veins.q_out, CO2Lung.q_in)    annotation (Line(
            points={{-86,-4},{-86,24},{-10,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.lungs_pH_plasma, CO2Lung.pH) annotation (Line(
            points={{-94,-42},{-54,-42},{-54,40},{-9,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.lungs_pH_ery, CO2Lung.pH_ery) annotation (Line(
            points={{-94,-42},{-54,-42},{-54,36},{-9,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(alveolarVentilation.AlveolarVentilation_Env, busConnector.AlveolarVentilation_Env)
          annotation (Line(
            points={{8,80},{100,80},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(artys.q_out, CO2Tissues.q_in) annotation (Line(
            points={{82,-2},{52,-2},{52,-30},{-26,-30}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(alveolarVentilation.BronchiDilution, busConnector.BronchiDilution)
          annotation (Line(
            points={{8,74},{100,74},{100,-42},{-94,-42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(alveolarVentilation.alveolar, gasSolubility.q_out) annotation (
          Line(
          points={{0.2,68},{0,68},{0,64}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(CO2Lung.alveolar_outflow, gasSolubility.q_in) annotation (Line(
          points={{0,42},{0,46}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.VeinsVol, veins.solutionVolume) annotation (Line(
          points={{-94,-42},{-100,-42},{-100,0},{-90,0}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(artys.solutionVolume, busConnector.ArtysVol) annotation (Line(
          points={{86,2},{100,2},{100,-42},{-94,-42}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(environment.port, air.heatPort) annotation (Line(
          points={{-70,74},{-54,74},{-54,90}},
          color={191,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(alveolus.port, gasSolubility.heatPort) annotation (Line(
          points={{84,68},{94,68},{94,54},{0,54}},
          color={191,0,0},
          thickness=1,
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={              Text(
                extent={{-116,-60},{126,-94}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end CO2;

      model MeassureBloodCO2
        extends BloodCO2Base;

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
          Placement(transformation(extent={{80,-20},{120,20}}),
            iconTransformation(extent={{-20,-100},{20,-60}})));
      equation
        q_in.q=0;
        tCO2 = q_in.conc;// * MiniliterPerLiter;  //mmol/l

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid), Text(
                extent={{-74,-26},{74,-58}},
                lineColor={0,0,255},
                textString="%name")}));
      end MeassureBloodCO2;

      model TissueHCO3
        extends Physiomodel.Gases.CO2.HendersonHasselbach;
        import Modelica.Math;

      /*  Real pK;
  Real aCO2(final displayUnit="mmol/(l.kPa)");
  Real cdCO2(start=3,             final displayUnit="mmol/l");

  Real pCO2(displayUnit="kPa");

  constant Real MiniliterPerLiter(final displayUnit="ml/l")=1000;


  Library.Interfaces.RealOutput_ cHCO3(final displayUnit="mmol/l")
    "outgoing concentration of HCO3"                                                           annotation (Placement(
        transformation(extent={{20,-70},{60,-30}}), iconTransformation(
        extent={{-20,-20},{20,20}},
        rotation=270,
        origin={80,-120})));
  Library.Interfaces.RealInput_ T(final displayUnit="degC") "outgoing temperature" annotation (Placement(transformation(extent={{70,-26},
            {110,14}}),           iconTransformation(extent={{-10,-10},{10,10}},
        rotation=180,
        origin={90,80})));

  Library.Interfaces.RealInput_ pH "outgoing plasma pH" annotation (Placement(transformation(extent={{-120,50},
            {-80,90}}),           iconTransformation(extent={{-100,70},{-80,90}})));
*/
       Physiolibrary.Types.Concentration tCO2(final displayUnit="mmol/l");

       Physiolibrary.Types.RealIO.PressureInput pCO2_(       displayUnit="mmHg")
        "tissue venous partial pressure of CO2"
                                          annotation (Placement(transformation(
                extent={{20,-70},{60,-30}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              origin={-90,42})));               //start=45,

      equation
        pCO2 = pCO2_;

        /*




  //Henderson-Hasselbalch equation:
  pK = 6.1 + (-0.0026)*(T-37);
  pH = pK + log10(max(1e-15,cHCO3/cdCO2));
  cdCO2 = aCO2*pCO2;
  aCO2 = 0.23 * 10^(-0.0092*(T-37)); //solubility depends on temperature

*/
        //total interstitial CO2 from SimpleCO2Solution
        tCO2 = cHCO3 + cdCO2;

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid), Text(
                extent={{-96,-40},{98,-68}},
                lineColor={0,0,255},
                textString="%name")}),        Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end TissueHCO3;

      model FlowMeasureCO2
        extends Physiomodel.Gases.CO2.BloodCO2Base;

        import Modelica.Math;
      /*
  Real tCO2_P(start=24,              final displayUnit="mmol/l");

  Real pK_ery;
  Real aCO2_ery(final displayUnit="mmol/l/mmHg");
  Real tCO2_ery(final displayUnit="mmol/l");

  Real tCO2(final displayUnit="mmol/l");

  constant Real MiniliterPerLiter(final displayUnit="ml/l")=1000;
*/
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "CO2 inflow to ventilated alveols in mmol/ml" annotation (Placement(
            transformation(extent={{-120,-100},{-80,-60}}), iconTransformation(
              extent={{-120,-100},{-80,-60}})));
      /*  Library.Interfaces.RealInput_ pH_ery "outgoing intracellular erytrocytes pH"
                                  annotation (Placement(transformation(extent={{-120,10},
            {-80,50}}),           iconTransformation(extent={{-100,30},{-80,50}})));
  Library.Interfaces.RealInput_ Hct
    "outgoing hematocrit (erytrocytes volume/blood volume)"
                                   annotation (Placement(transformation(extent={{60,60},
            {100,100}}),          iconTransformation(
        extent={{-10,-10},{10,10}},
        rotation=180,
        origin={90,40})));
  Library.Interfaces.RealInput_ sO2 "outgoing oxygen saturation"
                                   annotation (Placement(transformation(extent={{60,20},
            {100,60}}),           iconTransformation(
        extent={{-10,-10},{10,10}},
        rotation=180,
        origin={90,0})));
*/
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out
        "CO2 outflow from ventilated alveols in mmol/ml" annotation (Placement(
            transformation(extent={{80,-100},{120,-60}}), iconTransformation(
              extent={{80,-100},{120,-60}})));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput BloodFlow(
                                                displayUnit="ml/min")
        "blood flow through ventilated alveols"
                                         annotation (Placement(transformation(extent={{-120,
                  -80},{-80,-40}}),     iconTransformation(extent={{-100,-10},{-80,10}})));
      equation

        q_in.q + q_out.q = 0;
        q_in.conc = (q_in.q/BloodFlow);
        tCO2 = q_in.conc; //=(-q_out.q/BloodFlow);  //mmol/l

      /*
  //total plasma CO2 from SimpleCO2Solution
  tCO2_P = cHCO3 + cdCO2;

  //erythrocytes:
  pK_ery = 6.125 - log10(1+10^(pH_ery-7.84-0.06*sO2));
  tCO2_ery=aCO2_ery*pCO2*(1+10^(pH_ery-pK_ery));
  aCO2_ery=0.195; //solubility

  //plasma+erythrocyte
  tCO2 = tCO2_ery*Hct + tCO2_P*(1-Hct);
*/
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-74,-26},{74,-58}},
                lineColor={0,0,255},
                textString="%name"),
              Polygon(
                points={{-72,10},{80,0},{-72,-10},{-72,10}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                origin={-2,-80},
                rotation=360)}));
      end FlowMeasureCO2;

      package TissuesWithInterstitium

        model TissuesCO2
          import QHP = Physiomodel;
         extends Physiolibrary.Icons.Tissues;
        Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
            Placement(transformation(extent={{80,-20},{120,20}}),
              iconTransformation(extent={{100,-20},{140,20}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (
            Placement(transformation(extent={{-140,-20},{-100,20}}),
              iconTransformation(extent={{-140,-20},{-100,20}})));
          SkeletalMuscleCO2 skeletalMuscleCO2(      initialMass=323.9)
            annotation (Placement(transformation(extent={{-54,64},{-34,84}})));
          BoneCO2 boneCO2(                initialMass=56.2)
            annotation (Placement(transformation(extent={{-54,36},{-34,56}})));
          FatCO2 fatCO2(                 initialMass=39.8)
            annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));
          BrainCO2 brainCO2(               initialMass=19.1)
            annotation (Placement(transformation(extent={{52,20},{72,40}})));
          QHP.Gases.CO2.TissuesWithInterstitium.RightHeartCO2 rightHeartCO2(
                                                initialMass=0.6)
            annotation (Placement(transformation(extent={{52,-100},{72,-80}})));
          RespiratoryMuscleCO2 respiratoryMuscleCO2(   initialMass=48.1)
            annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));
          OtherTissueCO2 otherTissueCO2(         initialMass=50.7)
            annotation (Placement(transformation(extent={{-54,6},{-34,26}})));
          TissueCO2_liver liverCO2(        initialMass=22.8)
            annotation (Placement(transformation(extent={{52,50},{72,70}})));
          QHP.Gases.CO2.TissuesWithInterstitium.LeftHeartCO2 leftHeartCO2(
                                               initialMass=3.5)
            annotation (Placement(transformation(extent={{52,-70},{72,-50}})));
          QHP.Gases.CO2.TissuesWithInterstitium.KidneyCO2 kidneyCO2(
                                            initialMass=4.1)
            annotation (Placement(transformation(extent={{52,-40},{72,-20}})));
          QHP.Gases.CO2.TissuesWithInterstitium.GITractCO2 GITractCO2(
                                             initialMass=17.6)
            annotation (Placement(transformation(extent={{52,-10},{72,10}})));
        Physiolibrary.Types.BusConnector busConnector
          annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
          SkinCO2 skinCO2(                initialMass=28.2)
            annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

          Physiolibrary.Types.MolarFlowRate CO2FromTissues(displayUnit="mmol/min");
        equation
          CO2FromTissues = -( q_out.q + q_in.q);
          connect(q_out, skeletalMuscleCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,75},{-54,75}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, boneCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,47},{-54,47}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, otherTissueCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,17},{-54,17}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, respiratoryMuscleCO2.vein) annotation (Line(
              points={{-120,0},{-81,0},{-81,-13},{-54,-13}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, fatCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,-43},{-54,-43}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, skinCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,-73},{-54,-73}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, liverCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,61},{52,61}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, brainCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,31},{52,31}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, kidneyCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,-29},{52,-29}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_out, leftHeartCO2.vein) annotation (Line(
              points={{-120,0},{-82,0},{-82,-59},{52,-59}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));

          connect(skeletalMuscleCO2.arty, q_in) annotation (Line(
              points={{-34,75},{84,75},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(brainCO2.arty, q_in) annotation (Line(
              points={{72,31},{84,31},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(GITractCO2.arty, q_in) annotation (Line(
              points={{72,1},{72,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(kidneyCO2.arty, q_in) annotation (Line(
              points={{72,-29},{84,-29},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(leftHeartCO2.arty, q_in) annotation (Line(
              points={{72,-59},{84,-59},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(rightHeartCO2.arty, q_in) annotation (Line(
              points={{72,-89},{84,-89},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(rightHeartCO2.vein, q_out) annotation (Line(
              points={{52,-89},{-82,-89},{-82,0},{-120,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(boneCO2.arty, q_in) annotation (Line(
              points={{-34,47},{84,47},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(otherTissueCO2.arty, q_in) annotation (Line(
              points={{-34,17},{84,17},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(fatCO2.arty, q_in) annotation (Line(
              points={{-34,-43},{84,-43},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(skinCO2.arty, q_in) annotation (Line(
              points={{-34,-73},{84,-73},{84,0},{100,0}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, respiratoryMuscleCO2.arty) annotation (Line(
              points={{100,0},{84,0},{84,-13},{-34,-13}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));

          connect(busConnector.bone_pH_plasma, boneCO2.pH_plasma)      annotation (
             Line(
              points={{-88,92},{-88,44},{-53,44}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_pH_plasma, brainCO2.pH_plasma)
            annotation (Line(
              points={{-88,92},{6,92},{6,28},{53,28}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_pH_plasma, fatCO2.pH_plasma)      annotation (
              Line(
              points={{-88,92},{-88,-46},{-53,-46}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_pH_plasma, GITractCO2.pH_plasma)
            annotation (Line(
              points={{-88,92},{6,92},{6,-2},{53,-2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_pH_plasma, kidneyCO2.pH_plasma)
            annotation (Line(
              points={{-88,92},{6,92},{6,-32},{53,-32}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_pH_plasma, leftHeartCO2.pH_plasma)
            annotation (Line(
              points={{-88,92},{6,92},{6,-62},{53,-62}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_pH_plasma, liverCO2.pH_plasma)
            annotation (Line(
              points={{-88,92},{6,92},{6,58},{53,58}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_pH_plasma, otherTissueCO2.pH_plasma)
            annotation (Line(
              points={{-88,92},{-88,14},{-53,14}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_pH_plasma,
            respiratoryMuscleCO2.pH_plasma)
            annotation (Line(
              points={{-88,92},{-88,-16},{-53,-16}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_pH_plasma, rightHeartCO2.pH_plasma)
            annotation (Line(
              points={{-88,92},{6,92},{6,-92},{53,-92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_pH_plasma, skinCO2.pH_plasma)      annotation (
             Line(
              points={{-88,92},{-88,-76},{-53,-76}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_pH_plasma, skeletalMuscleCO2.pH_plasma)
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,72},{-53,72}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(busConnector.bone_pH_ery, boneCO2.pH_ery)      annotation (
             Line(
              points={{-88,92},{-88,56},{-53,56}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_pH_ery, brainCO2.pH_ery)
            annotation (Line(
              points={{-88,92},{6,92},{6,40},{53,40}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_pH_ery, fatCO2.pH_ery)      annotation (
              Line(
              points={{-88,92},{-88,-34},{-53,-34}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_pH_ery, GITractCO2.pH_ery)
            annotation (Line(
              points={{-88,92},{6,92},{6,10},{53,10}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_pH_ery, kidneyCO2.pH_ery)
            annotation (Line(
              points={{-88,92},{6,92},{6,-20},{53,-20}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_pH_ery, leftHeartCO2.pH_ery)
            annotation (Line(
              points={{-88,92},{6,92},{6,-50},{53,-50}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_pH_ery, liverCO2.pH_ery)
            annotation (Line(
              points={{-88,92},{6,92},{6,70},{53,70}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_pH_ery, otherTissueCO2.pH_ery)
            annotation (Line(
              points={{-88,92},{-88,26},{-53,26}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_pH_ery, respiratoryMuscleCO2.pH_ery)
            annotation (Line(
              points={{-88,92},{-88,-4},{-53,-4}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_pH_ery, rightHeartCO2.pH_ery)
            annotation (Line(
              points={{-88,92},{6,92},{6,-80},{53,-80}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_pH_ery, skinCO2.pH_ery)      annotation (
             Line(
              points={{-88,92},{-88,-64},{-53,-64}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_pH_ery, skeletalMuscleCO2.pH_ery)
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,84},{-53,84}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(busConnector.bone_sO2, boneCO2.sO2)        annotation (
             Line(
              points={{-88,92},{-88,52},{-53,52}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_sO2, brainCO2.sO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,36},{53,36}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_sO2, fatCO2.sO2)      annotation (
              Line(
              points={{-88,92},{-88,-38},{-53,-38}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_sO2, GITractCO2.sO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,6},{53,6}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_sO2, kidneyCO2.sO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,-24},{53,-24}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_sO2, leftHeartCO2.sO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,-54},{53,-54}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_sO2, liverCO2.sO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,66},{53,66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_sO2, otherTissueCO2.sO2)
            annotation (Line(
              points={{-88,92},{-88,22},{-53,22}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_sO2, respiratoryMuscleCO2.sO2)
            annotation (Line(
              points={{-88,92},{-88,-8},{-53,-8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_sO2, rightHeartCO2.sO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,-84},{53,-84}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_sO2, skinCO2.sO2)      annotation (
             Line(
              points={{-88,92},{-88,-68},{-53,-68}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_sO2, skeletalMuscleCO2.sO2)
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,80},{-53,80}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(busConnector.BloodVol_Hct, boneCO2.Hct)      annotation (
             Line(
              points={{-88,92},{-88,40},{-53,40}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, brainCO2.Hct)
            annotation (Line(
              points={{-88,92},{6,92},{6,24},{53,24}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, fatCO2.Hct)      annotation (
              Line(
              points={{-88,92},{-88,-50},{-53,-50}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, GITractCO2.Hct)
            annotation (Line(
              points={{-88,92},{6,92},{6,-6},{53,-6}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, kidneyCO2.Hct)
            annotation (Line(
              points={{-88,92},{6,92},{6,-36},{53,-36}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, leftHeartCO2.Hct)
            annotation (Line(
              points={{-88,92},{6,92},{6,-66},{53,-66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, liverCO2.Hct)
            annotation (Line(
              points={{-88,92},{6,92},{6,54},{53,54}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, otherTissueCO2.Hct)
            annotation (Line(
              points={{-88,92},{-88,10},{-53,10}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, respiratoryMuscleCO2.Hct)
            annotation (Line(
              points={{-88,92},{-88,-20},{-53,-20}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, rightHeartCO2.Hct)
            annotation (Line(
              points={{-88,92},{6,92},{6,-96},{53,-96}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, skinCO2.Hct)      annotation (
             Line(
              points={{-88,92},{-88,-80},{-53,-80}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.BloodVol_Hct, skeletalMuscleCO2.Hct)
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,68},{-53,68}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(boneCO2.Tissue_CO2FromMetabolism, busConnector.bone_CO2FromMetabolism)    annotation (
             Line(
              points={{-35,44},{6,44},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brainCO2.Tissue_CO2FromMetabolism, busConnector.brain_CO2FromMetabolism)
            annotation (Line(
              points={{71,28},{98,28},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fatCO2.Tissue_CO2FromMetabolism, busConnector.fat_CO2FromMetabolism)     annotation (
              Line(
              points={{-35,-46},{6,-46},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITractCO2.Tissue_CO2FromMetabolism, busConnector.GITract_CO2FromMetabolism)
            annotation (Line(
              points={{71,-2},{98,-2},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidneyCO2.Tissue_CO2FromMetabolism, busConnector.kidney_CO2FromMetabolism)
            annotation (Line(
              points={{71,-32},{98,-32},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeartCO2.Tissue_CO2FromMetabolism, busConnector.leftHeart_CO2FromMetabolism)
            annotation (Line(
              points={{71,-62},{98,-62},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liverCO2.Tissue_CO2FromMetabolism, busConnector.liver_CO2FromMetabolism)
            annotation (Line(
              points={{71,56},{98,56},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissueCO2.Tissue_CO2FromMetabolism, busConnector.otherTissue_CO2FromMetabolism)
            annotation (Line(
              points={{-35,14},{6,14},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscleCO2.Tissue_CO2FromMetabolism, busConnector.respiratoryMuscle_CO2FromMetabolism)
            annotation (Line(
              points={{-35,-16},{6,-16},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeartCO2.Tissue_CO2FromMetabolism, busConnector.rightHeart_CO2FromMetabolism)
            annotation (Line(
              points={{71,-92},{98,-92},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skinCO2.Tissue_CO2FromMetabolism, busConnector.skin_CO2FromMetabolism)     annotation (
             Line(
              points={{-35,-76},{6,-76},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscleCO2.Tissue_CO2FromMetabolism, busConnector.skeletalMuscle_CO2FromMetabolism)
            annotation (Line(
              points={{-35,72},{5.5,72},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(boneCO2.BloodFlow, busConnector.bone_BloodFlow)        annotation (
             Line(
              points={{-35,51.4},{6,51.4},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brainCO2.BloodFlow, busConnector.brain_BloodFlow)
            annotation (Line(
              points={{71,35.4},{98,35.4},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fatCO2.BloodFlow, busConnector.fat_BloodFlow)     annotation (
              Line(
              points={{-35,-38.6},{6,-38.6},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITractCO2.BloodFlow, busConnector.GITract_BloodFlow)
            annotation (Line(
              points={{71,5.4},{98,5.4},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidneyCO2.BloodFlow, busConnector.kidney_BloodFlow)
            annotation (Line(
              points={{71,-24.6},{98,-24.6},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeartCO2.BloodFlow, busConnector.leftHeart_BloodFlow)
            annotation (Line(
              points={{71,-54.6},{98,-54.6},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissueCO2.BloodFlow, busConnector.otherTissue_BloodFlow)
            annotation (Line(
              points={{-35,21.4},{6,21.4},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscleCO2.BloodFlow, busConnector.respiratoryMuscle_BloodFlow)
            annotation (Line(
              points={{-35,-8.6},{6,-8.6},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeartCO2.BloodFlow, busConnector.rightHeart_BloodFlow)
            annotation (Line(
              points={{71,-84.6},{98,-84.6},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skinCO2.BloodFlow, busConnector.skin_BloodFlow)     annotation (
             Line(
              points={{-35,-68.6},{6,-68.6},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscleCO2.BloodFlow, busConnector.skeletalMuscle_BloodFlow)
            annotation (Line(
              points={{-35,79.4},{5.5,79.4},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(boneCO2.T, busConnector.bone_T)       annotation (
             Line(
              points={{-35,40},{6,40},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brainCO2.T, busConnector.brain_T)
            annotation (Line(
              points={{71,24},{98,24},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fatCO2.T, busConnector.fat_T)     annotation (
              Line(
              points={{-35,-50},{6,-50},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITractCO2.T, busConnector.GITract_T)
            annotation (Line(
              points={{71,-6},{98,-6},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidneyCO2.T, busConnector.kidney_T)
            annotation (Line(
              points={{71,-36},{98,-36},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeartCO2.T, busConnector.leftHeart_T)
            annotation (Line(
              points={{71,-66},{98,-66},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liverCO2.T, busConnector.liver_T)
            annotation (Line(
              points={{71,65.8},{98,65.8},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissueCO2.T, busConnector.otherTissue_T)
            annotation (Line(
              points={{-35,10},{6,10},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscleCO2.T, busConnector.respiratoryMuscle_T)
            annotation (Line(
              points={{-35,-20},{6,-20},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeartCO2.T, busConnector.rightHeart_T)
            annotation (Line(
              points={{71,-96},{98,-96},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skinCO2.T, busConnector.skin_T)     annotation (
             Line(
              points={{-35,-80},{6,-80},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscleCO2.T, busConnector.skeletalMuscle_T)
            annotation (Line(
              points={{-35,68},{5.5,68},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(boneCO2.pCO2, busConnector.bone.pCO2)       annotation (
             Line(
              points={{-44,35},{6,35},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(brainCO2.pCO2, busConnector.brain.pCO2)
            annotation (Line(
              points={{62,19},{98,19},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(fatCO2.pCO2, busConnector.fat.pCO2)     annotation (
              Line(
              points={{-44,-55},{6,-55},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(GITractCO2.pCO2, busConnector.GITract_pCO2)
            annotation (Line(
              points={{62,-11},{98,-11},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(kidneyCO2.pCO2, busConnector.kidney_pCO2)
            annotation (Line(
              points={{62,-41},{98,-41},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(leftHeartCO2.pCO2, busConnector.leftHeart_pCO2)
            annotation (Line(
              points={{62,-71},{98,-71},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(liverCO2.pCO2, busConnector.liver_pCO2)
            annotation (Line(
              points={{62,49},{98,49},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(otherTissueCO2.pCO2, busConnector.otherTissue.pCO2)
            annotation (Line(
              points={{-44,5},{6,5},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(respiratoryMuscleCO2.pCO2, busConnector.respiratoryMuscle.pCO2)
            annotation (Line(
              points={{-44,-25},{6,-25},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(rightHeartCO2.pCO2, busConnector.rightHeart_pCO2)
            annotation (Line(
              points={{62,-101},{98,-101},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skinCO2.pCO2, busConnector.skin_pCO2)     annotation (
             Line(
              points={{-44,-85},{6,-85},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skeletalMuscleCO2.pCO2, busConnector.skeletalMuscle.pCO2)
            annotation (Line(
              points={{-44,63},{5.5,63},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None));

          connect(boneCO2.pCO2, busConnector.Bone_PCO2)       annotation (
             Line(
              points={{-44,35},{6,35},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(brainCO2.pCO2, busConnector.Brain_PCO2)
            annotation (Line(
              points={{62,19},{98,19},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(fatCO2.pCO2, busConnector.Fat_PCO2)     annotation (
              Line(
              points={{-44,-55},{6,-55},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(GITractCO2.pCO2, busConnector.GITract.pCO2)
            annotation (Line(
              points={{62,-11},{98,-11},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(kidneyCO2.pCO2, busConnector.Kidney_PCO2)
            annotation (Line(
              points={{62,-41},{98,-41},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(leftHeartCO2.pCO2, busConnector.LeftHeart_PCO2)
            annotation (Line(
              points={{62,-71},{98,-71},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(liverCO2.pCO2, busConnector.Liver_PCO2)
            annotation (Line(
              points={{62,49},{98,49},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(otherTissueCO2.pCO2, busConnector.OtherTissue_PCO2)
            annotation (Line(
              points={{-44,5},{6,5},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(respiratoryMuscleCO2.pCO2, busConnector.RespiratoryMuscle_PCO2)
            annotation (Line(
              points={{-44,-25},{6,-25},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(rightHeartCO2.pCO2, busConnector.RightHeart_PCO2)
            annotation (Line(
              points={{62,-101},{98,-101},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skinCO2.pCO2, busConnector.Skin_PCO2)     annotation (
             Line(
              points={{-44,-85},{6,-85},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skeletalMuscleCO2.pCO2, busConnector.SkeletalMuscle_PCO2)
            annotation (Line(
              points={{-44,63},{5.5,63},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None));

          connect(boneCO2.cHCO3, busConnector.bone_cHCO3)       annotation (
             Line(
              points={{-46,35},{6,35},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(brainCO2.cHCO3, busConnector.brain_cHCO3)
            annotation (Line(
              points={{60,19},{98,19},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(fatCO2.cHCO3, busConnector.fat_cHCO3)     annotation (
              Line(
              points={{-46,-55},{6,-55},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(GITractCO2.cHCO3, busConnector.GITract_cHCO3)
            annotation (Line(
              points={{60,-11},{98,-11},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(kidneyCO2.cHCO3, busConnector.kidney_cHCO3)
            annotation (Line(
              points={{60,-41},{98,-41},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(leftHeartCO2.cHCO3, busConnector.leftHeart_cHCO3)
            annotation (Line(
              points={{60,-71},{98,-71},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(liverCO2.cHCO3, busConnector.liver_cHCO3)
            annotation (Line(
              points={{60,49},{98,49},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(otherTissueCO2.cHCO3, busConnector.otherTissue_cHCO3)
            annotation (Line(
              points={{-46,5},{6,5},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(respiratoryMuscleCO2.cHCO3, busConnector.respiratoryMuscle_cHCO3)
            annotation (Line(
              points={{-46,-25},{6,-25},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(rightHeartCO2.cHCO3, busConnector.rightHeart_cHCO3)
            annotation (Line(
              points={{60,-101},{98,-101},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skinCO2.cHCO3, busConnector.skin_cHCO3)     annotation (
             Line(
              points={{-46,-85},{6,-85},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skeletalMuscleCO2.cHCO3, busConnector.skeletalMuscle_cHCO3)
            annotation (Line(
              points={{-46,63},{5.5,63},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None));

          connect(boneCO2.cHCO3_interstitial, busConnector.bone_cHCO3_interstitial)       annotation (
             Line(
              points={{-42,35},{6,35},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(brainCO2.cHCO3_interstitial, busConnector.brain_cHCO3_interstitial)
            annotation (Line(
              points={{64,19},{98,19},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(fatCO2.cHCO3_interstitial, busConnector.fat_cHCO3_interstitial)     annotation (
              Line(
              points={{-42,-55},{6,-55},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(GITractCO2.cHCO3_interstitial, busConnector.GITract_cHCO3_interstitial)
            annotation (Line(
              points={{64,-11},{98,-11},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(kidneyCO2.cHCO3_interstitial, busConnector.kidney_cHCO3_interstitial)
            annotation (Line(
              points={{64,-41},{98,-41},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(leftHeartCO2.cHCO3_interstitial, busConnector.leftHeart_cHCO3_interstitial)
            annotation (Line(
              points={{64,-71},{98,-71},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(liverCO2.cHCO3_interstitial, busConnector.liver_cHCO3_interstitial)
            annotation (Line(
              points={{64,49},{98,49},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(otherTissueCO2.cHCO3_interstitial, busConnector.otherTissue_cHCO3_interstitial)
            annotation (Line(
              points={{-42,5},{6,5},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(respiratoryMuscleCO2.cHCO3_interstitial, busConnector.respiratoryMuscle_cHCO3_interstitial)
            annotation (Line(
              points={{-42,-25},{6,-25},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(rightHeartCO2.cHCO3_interstitial, busConnector.rightHeart_cHCO3_interstitial)
            annotation (Line(
              points={{64,-101},{98,-101},{98,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skinCO2.cHCO3_interstitial, busConnector.skin_cHCO3_interstitial)     annotation (
             Line(
              points={{-42,-85},{6,-85},{6,92},{-88,92}},
              color={0,127,0},
              smooth=Smooth.None));
          connect(skeletalMuscleCO2.cHCO3_interstitial, busConnector.skeletalMuscle_cHCO3_interstitial)
            annotation (Line(
              points={{-42,63},{5.5,63},{5.5,92},{-88,92}},
              color={127,0,0},
              smooth=Smooth.None));

          connect(liverCO2.HepaticArtyBloodFlow, busConnector.HepaticArty_BloodFlow)
            annotation (Line(
              points={{71,50},{98,50},{98,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.GITract_BloodFlow, liverCO2.PortalVeinBloodFlow)
            annotation (Line(
              points={{-88,92},{60,92},{60,69}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-3,13},{-3,13}}));
          connect(GITractCO2.vein, liverCO2.portalVein) annotation (Line(
              points={{52,1},{38,1},{38,80},{64,80},{64,70}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(q_in, liverCO2.hepaticArty) annotation (Line(
              points={{100,0},{84,0},{84,61},{72,61}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          annotation (Icon(graphics={Rectangle(extent={{-120,100},{120,-100}},
                    lineColor={0,0,0})}));
        end TissuesCO2;

        model TissueCO2

        Physiolibrary.Chemical.Interfaces.ChemicalPort_a arty annotation (
            Placement(transformation(extent={{76,-66},{96,-46}}),
              iconTransformation(extent={{80,-10},{120,30}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_b vein annotation (
            Placement(transformation(extent={{-88,-66},{-68,-46}}),
              iconTransformation(extent={{-120,-10},{-80,30}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump InflowBase(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-64,42},{-44,62}})));

          parameter Real initialMass;
          Modelica.Blocks.Interfaces.RealInput pH_plasma "outgoing plasma pH"
                                                                annotation (Placement(transformation(extent={{-3,-3},
                    {3,3}},
                rotation=180,
                origin={9,-39}),          iconTransformation(extent={{-100,-30},{-80,-10}})));
          Modelica.Blocks.Interfaces.RealInput pH_ery
          "outgoing intracellular erytrocytes pH"
                                          annotation (Placement(transformation(extent={{-3,-3},
                    {3,3}},
                rotation=180,
                origin={9,-45}),          iconTransformation(extent={{-100,90},{-80,110}})));
          Modelica.Blocks.Interfaces.RealInput BloodFlow
          "blood flow through ventilated alveols"
                                           annotation (Placement(transformation(extent={{64,-50},
                    {58,-44}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,54})));

          Modelica.Blocks.Interfaces.RealInput T "outgoing temperature"
                                                                 annotation (Placement(transformation(extent={{-4,-4},
                    {4,4}},
                rotation=180,
                origin={86,20}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-60})));
          Modelica.Blocks.Interfaces.RealInput sO2 "outgoing oxygen saturation"
                                           annotation (Placement(transformation(extent={{3,-3},{
                    -3,3}},
                rotation=180,
                origin={-35,-47}),        iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={-90,60})));
          Modelica.Blocks.Interfaces.RealInput Hct
          "outgoing hematocrit (erytrocytes volume/blood volume)"
                                           annotation (Placement(transformation(extent={{3,-3},{
                    -3,3}},
                rotation=180,
                origin={-35,-41}),        iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={-90,-60})));

          Modelica.Blocks.Interfaces.RealInput Tissue_CO2FromMetabolism
          "Co2 flow from metabolism"       annotation (Placement(transformation(extent={{-74,66},
                    {-66,74}}),           iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-20})));
          Physiolibrary.Types.RealIO.PressureOutput pCO2(
                                              start=45)
                                                   annotation (Placement(
                transformation(extent={{38,-82},{46,-74}}),  iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-110})));
          Physiolibrary.Types.RealIO.ConcentrationOutput cHCO3
                                                   annotation (Placement(
                transformation(extent={{36,-90},{44,-82}}),  iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,-110})));
          Physiolibrary.Types.RealIO.ConcentrationOutput cHCO3_interstitial
                                                   annotation (Placement(
                transformation(extent={{50,36},{58,44}}),    iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={20,-110})));
        Physiolibrary.Chemical.Components.Stream tissueFlow(
            useSolutionFlowInput=true) annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=180,
              origin={42,-56})));
          FlowMeasureCO2 tissueVeinsCO2
            annotation (Placement(transformation(extent={{-4,-58},{-24,-38}})));
          Modelica.Blocks.Math.Gain DonnansCoeficient(k=1.04)
            annotation (Placement(transformation(extent={{34,36},{42,44}})));
        equation

          connect(arty, tissueFlow.q_in) annotation (Line(
              points={{86,-56},{52,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(tissueFlow.solutionFlow, BloodFlow) annotation (Line(
            points={{42,-49},{42,-47},{61,-47}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(tissueVeinsCO2.pCO2, pCO2) annotation (Line(
              points={{-18,-60},{-18,-78},{42,-78}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.cHCO3, cHCO3) annotation (Line(
              points={{-22,-60},{-22,-86},{40,-86}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.T, T) annotation (Line(
              points={{-23,-40},{-26,-40},{-26,20},{86,20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.Hct, Hct) annotation (Line(
              points={{-23,-44},{-29,-44},{-29,-41},{-35,-41}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.sO2, sO2) annotation (Line(
              points={{-23,-48},{-30,-48},{-30,-47},{-35,-47}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.pH, pH_plasma) annotation (Line(
              points={{-5,-40},{2,-40},{2,-39},{9,-39}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(pH_ery, tissueVeinsCO2.pH_ery) annotation (Line(
              points={{9,-45},{0.5,-45},{0.5,-44},{-5,-44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(InflowBase.q_out, tissueVeinsCO2.q_in) annotation (Line(
              points={{-44,52},{10,52},{10,-56},{-4,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueFlow.q_out, tissueVeinsCO2.q_in) annotation (Line(
              points={{32,-56},{-4,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueVeinsCO2.q_out, vein) annotation (Line(
              points={{-24,-56},{-78,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(BloodFlow, tissueVeinsCO2.BloodFlow) annotation (Line(
              points={{61,-47},{28.5,-47},{28.5,-48},{-5,-48}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(InflowBase.soluteFlow, Tissue_CO2FromMetabolism) annotation (
            Line(
            points={{-50,56},{-50,70},{-70,70}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(DonnansCoeficient.y, cHCO3_interstitial) annotation (Line(
              points={{42.4,40},{54,40}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.cHCO3, DonnansCoeficient.u) annotation (Line(
              points={{-22,-60},{-22,-86},{26,-86},{26,40},{33.2,40}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-100,-80},{100,-100}},
                  lineColor={127,0,0},
                  fillPattern=FillPattern.Solid,
                  textString="(init %initialMass mEq)"),
                Text(
                  extent={{-6,92},{80,34}},
                  lineColor={0,0,0},
                  textString="CO"),
                Text(
                  extent={{66,34},{86,62}},
                  lineColor={0,0,0},
                  textString="2"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
        end TissueCO2;

        model TissueCO2_liver
         extends Physiolibrary.Icons.Liver;
        Physiolibrary.Chemical.Interfaces.ChemicalPort_b vein annotation (
            Placement(transformation(extent={{-42,-66},{-22,-46}}),
              iconTransformation(extent={{-120,-10},{-80,30}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump InflowBase(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-64,24},{-44,44}})));

          parameter Real initialMass;
          Modelica.Blocks.Interfaces.RealInput pH_plasma "outgoing plasma pH"
                                                                annotation (Placement(transformation(extent={{-3,-3},
                    {3,3}},
                rotation=180,
                origin={7,-37}),          iconTransformation(extent={{-100,-30},{-80,-10}})));
          Modelica.Blocks.Interfaces.RealInput pH_ery
          "outgoing intracellular erytrocytes pH"
                                          annotation (Placement(transformation(extent={{-3,-3},
                    {3,3}},
                rotation=180,
                origin={7,-43}),          iconTransformation(extent={{-100,90},{-80,110}})));

          Modelica.Blocks.Interfaces.RealInput T "outgoing temperature"
                                                                 annotation (Placement(transformation(extent={{-4,-4},
                    {4,4}},
                rotation=180,
                origin={86,20}),          iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,58})));
          Modelica.Blocks.Interfaces.RealInput sO2 "outgoing oxygen saturation"
                                           annotation (Placement(transformation(extent={{3,-3},{
                    -3,3}},
                rotation=180,
                origin={-35,-47}),        iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={-90,60})));
          Modelica.Blocks.Interfaces.RealInput Hct
          "outgoing hematocrit (erytrocytes volume/blood volume)"
                                           annotation (Placement(transformation(extent={{3,-3},{
                    -3,3}},
                rotation=180,
                origin={-35,-41}),        iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={-90,-60})));

          Modelica.Blocks.Interfaces.RealOutput pCO2
                                                   annotation (Placement(
                transformation(extent={{38,-82},{46,-74}}),  iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-110})));
          Modelica.Blocks.Interfaces.RealOutput cHCO3
                                                   annotation (Placement(
                transformation(extent={{36,-90},{44,-82}}),  iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,-110})));
          Modelica.Blocks.Interfaces.RealOutput cHCO3_interstitial
                                                   annotation (Placement(
                transformation(extent={{50,36},{58,44}}),    iconTransformation(
                  extent={{-10,-10},{10,10}},
                rotation=270,
                origin={20,-110})));
        Physiolibrary.Chemical.Components.Stream tissueFlow(
            useSolutionFlowInput=true) annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=180,
              origin={42,-56})));
          FlowMeasureCO2 tissueVeinsCO2
            annotation (Placement(transformation(extent={{-4,-58},{-24,-38}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_a portalVein annotation (
           Placement(transformation(extent={{68,-86},{88,-66}}),
              iconTransformation(extent={{0,80},{40,120}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_a hepaticArty
          annotation (Placement(transformation(extent={{78,-66},{98,-46}}),
              iconTransformation(extent={{80,-10},{120,30}})));
          Modelica.Blocks.Interfaces.RealInput HepaticArtyBloodFlow
          "blood flow through hepatic artery"
                                           annotation (Placement(transformation(extent={{62,-50},
                    {54,-42}}),           iconTransformation(extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-100})));
          Modelica.Blocks.Interfaces.RealInput PortalVeinBloodFlow
          "blood flow through portal vein" annotation (Placement(transformation(extent={{-4,-4},
                    {4,4}},
                rotation=180,
                origin={46,-28}),         iconTransformation(extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-20,90})));
          Modelica.Blocks.Math.Add add annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=180,
                origin={30,-40})));
          Modelica.Blocks.Interfaces.RealInput Tissue_CO2FromMetabolism
          "Co2 flow from metabolism"       annotation (Placement(transformation(extent={{-72,40},
                    {-64,48}}),           iconTransformation(
                extent={{-10,-10},{10,10}},
                rotation=180,
                origin={90,-40})));
          Modelica.Blocks.Math.Gain DonnansCoeficient(k=1.04)
            annotation (Placement(transformation(extent={{32,36},{40,44}})));
        equation

          connect(tissueVeinsCO2.pCO2, pCO2) annotation (Line(
              points={{-18,-60},{-18,-78},{42,-78}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.cHCO3, cHCO3) annotation (Line(
              points={{-22,-60},{-22,-86},{40,-86}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.T, T) annotation (Line(
              points={{-23,-40},{-26,-40},{-26,20},{86,20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.Hct, Hct) annotation (Line(
              points={{-23,-44},{-29,-44},{-29,-41},{-35,-41}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.sO2, sO2) annotation (Line(
              points={{-23,-48},{-30,-48},{-30,-47},{-35,-47}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.pH, pH_plasma) annotation (Line(
              points={{-5,-40},{0,-40},{0,-37},{7,-37}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(pH_ery, tissueVeinsCO2.pH_ery) annotation (Line(
              points={{7,-43},{0.5,-43},{0.5,-44},{-5,-44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(InflowBase.q_out, tissueVeinsCO2.q_in) annotation (Line(
              points={{-44,34},{10,34},{10,-56},{-4,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueFlow.q_out, tissueVeinsCO2.q_in) annotation (Line(
              points={{32,-56},{-4,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueVeinsCO2.q_out, vein) annotation (Line(
              points={{-24,-56},{-32,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(hepaticArty, tissueFlow.q_in) annotation (Line(
              points={{88,-56},{52,-56}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(tissueVeinsCO2.q_in, portalVein) annotation (Line(
              points={{-4,-56},{24,-56},{24,-74},{78,-74},{78,-76}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(HepaticArtyBloodFlow, tissueFlow.solutionFlow) annotation (Line(
            points={{58,-46},{42,-46},{42,-52}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(PortalVeinBloodFlow, add.u2) annotation (Line(
              points={{46,-28},{40,-28},{40,-37.6},{34.8,-37.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(HepaticArtyBloodFlow, add.u1) annotation (Line(
              points={{58,-46},{42,-46},{42,-42.4},{34.8,-42.4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(add.y, tissueVeinsCO2.BloodFlow) annotation (Line(
              points={{25.6,-40},{24,-40},{24,-48},{-5,-48}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(InflowBase.soluteFlow, Tissue_CO2FromMetabolism) annotation (
            Line(
            points={{-50,38},{-50,44},{-68,44}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(DonnansCoeficient.y, cHCO3_interstitial) annotation (Line(
              points={{40.4,40},{54,40}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tissueVeinsCO2.cHCO3, DonnansCoeficient.u) annotation (Line(
              points={{-22,-60},{-22,-86},{20,-86},{20,40},{31.2,40}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={
                Text(
                  extent={{-100,-80},{100,-100}},
                  lineColor={127,0,0},
                  fillPattern=FillPattern.Solid,
                  textString="(init %initialMass mEq)"),
                Text(
                  extent={{-6,92},{80,34}},
                  lineColor={0,0,0},
                  textString="CO"),
                Text(
                  extent={{66,34},{86,62}},
                  lineColor={0,0,0},
                  textString="2"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
        end TissueCO2_liver;

        model SkeletalMuscleCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.SkeletalMuscle;
        end SkeletalMuscleCO2;

        model BoneCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.Bone;
        end BoneCO2;

        model OtherTissueCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.OtherTissue;
        end OtherTissueCO2;

        model RespiratoryMuscleCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.RespiratoryMuscle;
        end RespiratoryMuscleCO2;

        model FatCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.Fat;
        end FatCO2;

        model SkinCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.Skin;
        end SkinCO2;

        model BrainCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.Brain;
        end BrainCO2;

        model GITractCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.GITract;
        end GITractCO2;

        model LeftHeartCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.LeftHeart;
        end LeftHeartCO2;

        model RightHeartCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.RightHeart;
        end RightHeartCO2;

        model KidneyCO2
          extends TissueCO2;
          extends Physiolibrary.Icons.Kidney;
        end KidneyCO2;
      end TissuesWithInterstitium;

      model BloodCO2

       extends BloodCO2TransportBase;
      // extends Physiolibrary.Icons.LungShunt;

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a alveolar_outflow
        "CO2 outflow from blood to alveol space in mmol/min"
          annotation (Placement(transformation(extent={{-20,80},{20,120}}),
              iconTransformation(extent={{-20,80},{20,120}})));
      equation
        q_in.q + q_out.q + alveolar_outflow.q = 0;
        alveolar_outflow.conc = cdCO2;

      end BloodCO2;

      package IO_Bus
      extends Physiolibrary.Types.IO_Bus;
        redeclare model extends Variables

        T.Pressure Brain_PCO2(varName="Brain-CO2.PCO2")
          "Partial carbondioxyde pressure in brain venules."
        annotation (Placement(transformation(extent={{-80,128},{-74,134}})));
        T.Concentration CO2Artys_cHCO3(varName="CO2Artys.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-206},{-74,-200}})));
        T.Pressure CO2Artys_pCO2(varName="CO2Artys.Pressure")
        annotation (Placement(transformation(extent={{-80,-196},{-74,-190}})));
        T.Pressure CO2Lung_pCO2(varName="LungCO2.PCapy")
        annotation (Placement(transformation(extent={{-80,-186},{-74,-180}})));
        T.Concentration CO2Veins_cHCO3(varName="CO2Veins.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-176},{-74,-170}})));
        T.Pressure CO2Veins_pCO2(varName="CO2Veins.Pressure")
        annotation (Placement(transformation(extent={{-80,-166},{-74,-160}})));
        T.Concentration GITract_cHCO3_interstitial(varName="GITract-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-152},{-74,-146}})));
        T.Concentration bone_cHCO3_interstitial(varName="Bone-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-142},{-74,-136}})));
        T.Concentration brain_cHCO3_interstitial(varName="Brain-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-132},{-74,-126}})));
        T.Concentration fat_cHCO3_interstitial(varName="Fat-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-122},{-74,-116}})));
        T.Concentration kidney_cHCO3_interstitial(varName="Kidney-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-112},{-74,-106}})));
        T.Concentration leftHeart_cHCO3_interstitial(varName="LeftHeart-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-102},{-74,-96}})));
        T.Concentration liver_cHCO3_interstitial(varName="Liver-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-92},{-74,-86}})));
        T.Concentration otherTissue_cHCO3_interstitial(varName="OtherTissue-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-82},{-74,-76}})));
        T.Concentration respiratoryMuscle_cHCO3_interstitial(varName="RespiratoryMuscle-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-72},{-74,-66}})));
        T.Concentration rightHeart_cHCO3_interstitial(varName="RightHeart-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-62},{-74,-56}})));
        T.Concentration skeletalMuscle_cHCO3_interstitial(varName="SkeletalMuscle-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-52},{-74,-46}})));
        T.Concentration skin_cHCO3_interstitial(varName="Skin-CO2.[HCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-42},{-74,-36}})));
        T.Concentration skin_cHCO3(varName="Skin-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-12},{-74,-6}})));
        T.Concentration skeletalMuscle_cHCO3(varName="SkeletalMuscle-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,-2},{-74,4}})));
        T.Concentration rightHeart_cHCO3(varName="RightHeart-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,8},{-74,14}})));
        T.Concentration respiratoryMuscle_cHCO3(varName="RespiratoryMuscle-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,18},{-74,24}})));
        T.Concentration otherTissue_cHCO3(varName="OtherTissue-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,28},{-74,34}})));
        T.Concentration liver_cHCO3(varName="Liver-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,38},{-74,44}})));
        T.Concentration leftHeart_cHCO3(varName="LeftHeart-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,48},{-74,54}})));
        T.Concentration kidney_cHCO3(varName="Kidney-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,58},{-74,64}})));
        T.Concentration GITract_cHCO3(varName="GITract-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,68},{-74,74}})));
        T.Concentration fat_cHCO3(varName="Fat-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,78},{-74,84}})));
        T.Concentration brain_cHCO3(varName="Brain-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,88},{-74,94}})));
        T.Concentration bone_cHCO3(varName="Bone-CO2.[BloodHCO3(mEq/L)]")
        annotation (Placement(transformation(extent={{-80,98},{-74,104}})));
        T.Pressure GITract_pCO2(varName="GITract-CO2.PCO2")
        annotation (Placement(transformation(extent={{-78,108},{-72,114}})));
        T.Pressure bone_pCO2(varName="Bone-CO2.PCO2")
        annotation (Placement(transformation(extent={{-78,118},{-72,124}})));
        T.Pressure brain_pCO2(varName="Brain-CO2.PCO2")
        annotation (Placement(transformation(extent={{-80,138},{-74,144}})));
        T.Pressure fat_pCO2(varName="Fat-CO2.PCO2")
        annotation (Placement(transformation(extent={{-80,148},{-74,154}})));
        T.Pressure kidney_pCO2(varName="Kidney-CO2.PCO2")
        annotation (Placement(transformation(extent={{-80,158},{-74,164}})));
        T.Pressure leftHeart_pCO2(varName="LeftHeart-CO2.PCO2")
        annotation (Placement(transformation(extent={{-80,168},{-74,174}})));
        T.Pressure liver_pCO2(varName="Liver-CO2.PCO2")
        annotation (Placement(transformation(extent={{-80,178},{-74,184}})));
        T.Pressure otherTissue_pCO2(varName="OtherTissue-CO2.PCO2")
        annotation (Placement(transformation(extent={{-80,188},{-74,194}})));
        T.Pressure respiratoryMuscle_pCO2(varName="RespiratoryMuscle-CO2.PCO2")
        annotation (Placement(transformation(extent={{-80,198},{-74,204}})));
        T.Pressure rightHeart_pCO2(varName="RightHeart-CO2.PCO2")
        annotation (Placement(transformation(extent={{-80,208},{-74,214}})));
        T.Pressure skeletalMuscle_pCO2(varName="SkeletalMuscle-CO2.PCO2")
        annotation (Placement(transformation(extent={{-80,218},{-74,224}})));
        T.Pressure skin_pCO2(varName="Skin-CO2.PCO2")
        annotation (Placement(transformation(extent={{-80,228},{-74,234}})));
        T.Concentration CO2Lungs_cHCO3(varName="LungCO2.[Capy]", storeUnit=
              "mol/l")
          annotation (Placement(transformation(extent={{-80,-20},{-74,-14}})));
        equation

        connect(Brain_PCO2.y, busConnector.Brain_PCO2) annotation (Line(
         points={{-73.7,131},{90,131},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(bone_cHCO3.y, busConnector.bone_cHCO3) annotation (Line(
         points={{-73.7,101},{90,101},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(brain_cHCO3.y, busConnector.brain_cHCO3) annotation (Line(
         points={{-73.7,91},{90,91},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(CO2Artys_cHCO3.y, busConnector.CO2Artys_cHCO3) annotation (Line(
         points={{-73.7,-203},{90,-203},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(CO2Veins_cHCO3.y, busConnector.CO2Veins_cHCO3) annotation (Line(
         points={{-73.7,-173},{90,-173},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(fat_cHCO3.y, busConnector.fat_cHCO3) annotation (Line(
         points={{-73.7,81},{90,81},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(GITract_cHCO3.y, busConnector.GITract_cHCO3) annotation (Line(
         points={{-73.7,71},{90,71},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(kidney_cHCO3.y, busConnector.kidney_cHCO3) annotation (Line(
         points={{-73.7,61},{90,61},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(leftHeart_cHCO3.y, busConnector.leftHeart_cHCO3) annotation (Line(
         points={{-73.7,51},{90,51},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(liver_cHCO3.y, busConnector.liver_cHCO3) annotation (Line(
         points={{-73.7,41},{90,41},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(otherTissue_cHCO3.y, busConnector.otherTissue_cHCO3) annotation (Line(
         points={{-73.7,31},{90,31},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(respiratoryMuscle_cHCO3.y, busConnector.respiratoryMuscle_cHCO3) annotation (Line(
         points={{-73.7,21},{90,21},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(rightHeart_cHCO3.y, busConnector.rightHeart_cHCO3) annotation (Line(
         points={{-73.7,11},{90,11},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(skeletalMuscle_cHCO3.y, busConnector.skeletalMuscle_cHCO3) annotation (Line(
         points={{-73.7,1},{86,1},{86,-2},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(skin_cHCO3.y, busConnector.skin_cHCO3) annotation (Line(
         points={{-73.7,-9},{90,-9},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(bone_cHCO3_interstitial.y, busConnector.bone_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-139},{90,-139},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(brain_cHCO3_interstitial.y, busConnector.brain_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-129},{90,-129},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(fat_cHCO3_interstitial.y, busConnector.fat_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-119},{90,-119},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(GITract_cHCO3_interstitial.y, busConnector.GITract_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-149},{90,-149},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(kidney_cHCO3_interstitial.y, busConnector.kidney_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-109},{90,-109},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(leftHeart_cHCO3_interstitial.y, busConnector.leftHeart_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-99},{90,-99},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(liver_cHCO3_interstitial.y, busConnector.liver_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-89},{90,-89},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(otherTissue_cHCO3_interstitial.y, busConnector.otherTissue_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-79},{90,-79},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(respiratoryMuscle_cHCO3_interstitial.y, busConnector.respiratoryMuscle_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-69},{90,-69},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(rightHeart_cHCO3_interstitial.y, busConnector.rightHeart_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-59},{90,-59},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(skeletalMuscle_cHCO3_interstitial.y, busConnector.skeletalMuscle_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-49},{90,-49},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(skin_cHCO3_interstitial.y, busConnector.skin_cHCO3_interstitial) annotation (Line(
         points={{-73.7,-39},{90,-39},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(bone_pCO2.y, busConnector.bone.pCO2) annotation (Line(
         points={{-71.7,121},{90,121},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(brain_pCO2.y, busConnector.brain.pCO2) annotation (Line(
         points={{-73.7,141},{90,141},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(CO2Artys_pCO2.y, busConnector.CO2Artys_pCO2) annotation (Line(
         points={{-73.7,-193},{90,-193},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(CO2Veins_pCO2.y, busConnector.CO2Veins_pCO2) annotation (Line(
         points={{-73.7,-163},{90,-163},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(fat_pCO2.y, busConnector.fat.pCO2) annotation (Line(
         points={{-73.7,151},{90,151},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(GITract_pCO2.y, busConnector.GITract.pCO2) annotation (Line(
         points={{-71.7,111},{90,111},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(kidney_pCO2.y, busConnector.kidney_pCO2) annotation (Line(
         points={{-73.7,161},{90,161},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(leftHeart_pCO2.y, busConnector.leftHeart_pCO2) annotation (Line(
         points={{-73.7,171},{90,171},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(liver_pCO2.y, busConnector.liver_pCO2) annotation (Line(
         points={{-73.7,181},{90,181},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(CO2Lung_pCO2.y, busConnector.CO2Lung_pCO2) annotation (Line(
         points={{-73.7,-183},{90,-183},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(otherTissue_pCO2.y, busConnector.otherTissue.pCO2) annotation (Line(
         points={{-73.7,191},{90,191},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(respiratoryMuscle_pCO2.y, busConnector.respiratoryMuscle.pCO2) annotation (Line(
         points={{-73.7,201},{90,201},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(rightHeart_pCO2.y, busConnector.rightHeart_pCO2) annotation (Line(
         points={{-73.7,211},{90,211},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(skeletalMuscle_pCO2.y, busConnector.skeletalMuscle.pCO2) annotation (Line(
         points={{-73.7,221},{90,221},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(skin_pCO2.y, busConnector.skin_pCO2) annotation (Line(
         points={{-73.7,231},{90,231},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(CO2Lungs_cHCO3.y, busConnector.CO2Lung_cHCO3) annotation (Line(
            points={{-73.7,-17},{-6.85,-17},{-6.85,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        end Variables;

        model CO2_test_SI
        import Physiomodel;
        CardioVascular.IO_Bus.InputFromFile_SI             cardioVascularSystem
            annotation (Placement(transformation(extent={{42,78},{62,100}})));
          Metabolism.IO_Bus.InputFromFile_SI      nutrientsAndMetabolism
            annotation (Placement(transformation(extent={{-84,66},{-64,86}})));
          Electrolytes.IO_Bus.InputFromFile_SI             electrolytes
            annotation (Placement(transformation(extent={{76,-28},{96,-8}})));
          Hormones.IO_Bus.InputFromFile_SI             hormones
            annotation (Placement(transformation(extent={{42,12},{62,32}})));
          Nerves.IO_Bus.InputFromFile_SI             nerves
            annotation (Placement(transformation(extent={{76,44},{96,64}})));
          Setup.IO_Bus.InputFromFile_SI                 setup
            annotation (Placement(transformation(extent={{-14,-100},{6,-80}})));
          Water.IO_Bus.InputFromFile_SI             water
            annotation (Placement(transformation(extent={{-84,0},{-64,20}})));
          Proteins.IO_Bus.InputFromFile_SI             proteins
            annotation (Placement(transformation(extent={{-46,-22},{-26,-2}})));
          Status.IO_Bus.InputFromFile_SI             status
            annotation (Placement(transformation(extent={{44,-74},{64,-54}})));
          Heat.IO_Bus.InputFromFile_SI             heat
            annotation (Placement(transformation(extent={{-26,36},{-46,56}})));
        Physiomodel.Gases.Ventilation.IO_Bus.InputFromFile_SI ventilation_const
          annotation (Placement(transformation(extent={{-34,-70},{-14,-50}})));
        Physiomodel.Gases.O2.IO_Bus.InputFromFile O2
          annotation (Placement(transformation(extent={{-66,-94},{-46,-74}})));
        Physiomodel.Gases.CO2.CO2 cO2_1
          annotation (Placement(transformation(extent={{-90,-56},{-70,-36}})));
        equation
          connect(setup.busConnector,hormones. busConnector) annotation (Line(
              points={{-4,-90},{-4,22},{52,22}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(setup.busConnector,proteins. busConnector) annotation (Line(
              points={{-4,-90},{-4,-12},{-36,-12}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                        annotation (Line(
              points={{-4,-90},{-4,89},{52,89}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
            annotation (Line(
              points={{-4,-90},{-4,76},{-74,76}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(setup.busConnector,water. busConnector) annotation (Line(
              points={{-4,-90},{-4,10},{-74,10}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(setup.busConnector,nerves. busConnector) annotation (Line(
              points={{-4,-90},{-4,54},{86,54}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(status.busConnector,setup. busConnector)         annotation (Line(
              points={{54,-64},{-4,-64},{-4,-90}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
              points={{86,-18},{-4,-18},{-4,-90}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(heat.busConnector,setup. busConnector) annotation (Line(
              points={{-36,46},{-4,46},{-4,-90}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(ventilation_const.busConnector,proteins. busConnector) annotation (
              Line(
              points={{-24,-60},{-38,-60},{-38,-12},{-36,-12}},
              color={255,204,51},
              thickness=0.5,
              smooth=Smooth.None));
        connect(proteins.busConnector, O2.busConnector) annotation (Line(
            points={{-36,-12},{-46,-12},{-46,-84},{-56,-84}},
            color={255,204,51},
            thickness=0.5,
            smooth=Smooth.None));
        connect(proteins.busConnector, cO2_1.busConnector) annotation (Line(
            points={{-36,-12},{-54,-12},{-54,-40},{-72,-40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        end CO2_test_SI;
      end IO_Bus;

      annotation (Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
    end CO2;

    package Ventilation
      model RespiratoryNeuralDrive3
        extends Physiolibrary.Icons.RespiratoryCenter;
      AfferentPath afferentPath annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={66,32})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-80,80},{-60,100}}), iconTransformation(
              extent={{-100,60},{-60,100}})));
        Physiomodel.Gases.Ventilation.PeripheralChemoreceptors peripheralChemoreceptors
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-26,36})));
        Physiomodel.Gases.Ventilation.SkeletalMuscleMetaboreflex skeletalMuscleMetaboreflex
        annotation (Placement(transformation(extent={{-18,-16},{2,4}})));
        Physiomodel.Gases.Ventilation.CentralChemoreceptors centralChemoreceptors
        annotation (Placement(transformation(extent={{8,48},{28,68}})));
      EfferentPath efferentPath
        annotation (Placement(transformation(extent={{50,-22},{70,-2}})));
      /*  Modelica.Blocks.Logical.TerminateSimulation terminateSimulation(
      terminationText="solution reached", condition=false and (
        afferentPath.TotalDrive < efferentPath.TotalDrive))
    annotation (Placement(transformation(extent={{-10,-84},{70,-76}})));

Physiolibrary.Utilities.ConstantFromFile RespiratoryCenter_RespRate(
                                    varName="RespiratoryCenter-Output.Rate")
    "Respiration rate. [1/min]"
annotation (Placement(transformation(extent={{-92,-78},{-86,-72}})));
Physiolibrary.Utilities.ConstantFromFile
    RespiratoryCenter_MotorNerveActivity(     varName="RespiratoryCenter-Output.MotorNerveActivity")
    "Neural activity from respiratory center to respiratory muscle. []"
annotation (Placement(transformation(extent={{-92,-88},{-86,-82}})));
Physiolibrary.Utilities.ConstantFromFile
    RespiratoryCenterIntegration_TotalDrive(                                      varName=
        "RespiratoryCenter-Integration.TotalDrive")
    "RespiratoryCenter-Integration.TotalDrive"
annotation (Placement(transformation(extent={{16,-70},{22,-64}})));
  Physiolibrary.Blocks.Constant Constant(
                                   k=1.04494)
    annotation (Placement(transformation(extent={{24,-84},{32,-76}})));
  Modelica.Blocks.Sources.Clock clock(offset=0.75)
    annotation (Placement(transformation(extent={{-28,-80},{-8,-60}})));
*/
      Physiolibrary.Blocks.Math.HomotopyStrongComponentBreaker homotopy(
          defaultValue=1, defaultSlope=0.1)
        annotation (Placement(transformation(extent={{82,32},{90,40}})));
      Physiolibrary.Types.Constants.OneConst one
        annotation (Placement(transformation(extent={{8,-34},{16,-26}})));
      equation
       // efferentPath.TotalDrive=homotopy(actual=afferentPath.TotalDrive, simplified=1.045922);

        connect(busConnector, afferentPath.busConnector)      annotation (Line(
            points={{-70,90},{61.8,90},{61.8,40.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, peripheralChemoreceptors.busConnector)
                                                           annotation (Line(
            points={{-70,90},{-25.8,90},{-25.8,43.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(peripheralChemoreceptors.Chemoreceptors_FiringRate,
          afferentPath.Chemoreceptors_FiringRate)
          annotation (Line(
            points={{-16,38},{58,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skeletalMuscleMetaboreflex.NA, afferentPath.Metaboreflex)
          annotation (Line(
            points={{2,-6},{28,-6},{28,34},{56.2,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_pH_intracellular,
          skeletalMuscleMetaboreflex.skeletalMuscle_pH) annotation (Line(
            points={{-70,90},{-70,-6},{-18,-6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GangliaGeneral_NA, peripheralChemoreceptors.GangliaGeneral_NA)
          annotation (Line(
            points={{-70,90},{-70,40},{-36,40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.brain_pH_intracellular, centralChemoreceptors.Brain_pH_intracellular)
          annotation (Line(
            points={{-70,90},{-70,64},{10,64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.O2Artys_PO2, peripheralChemoreceptors.artys_pO2)
                                                                    annotation (
            Line(
            points={{-70,90},{-70,32},{-36,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Artys_pH, peripheralChemoreceptors.artys_ph)
                                                                annotation (Line(
            points={{-70,90},{-70,36},{-36,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(efferentPath.RespRate, busConnector.RespiratoryCenter_RespRate)
          annotation (Line(
            points={{69.4,-8},{98,-8},{98,90},{-70,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(efferentPath.RespiratoryCenterOutput_MotorNerveActivity,
          busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
            points={{69.6,-16},{98,-16},{98,90},{-70,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(efferentPath.busConnector, busConnector)              annotation (
           Line(
            points={{55.8,-3.8},{50,-3.8},{50,90},{-70,90}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(centralChemoreceptors.CentralChemoreceptors, afferentPath.CentralChemoreceptors)
          annotation (Line(
            points={{27.4,62},{38,62},{38,29},{58,29}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(afferentPath.TotalDrive, homotopy.u) annotation (Line(
          points={{75.4,36},{81.2,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(one.y, efferentPath.TotalDrive) annotation (Line(
          points={{17,-30},{34,-30},{34,-10},{50.2,-10}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-142,-108},{142,-140}},
                lineColor={0,0,255},
                textString="%name")}));
      end RespiratoryNeuralDrive3;

      model AfferentPath
        extends Physiolibrary.Icons.RespiratoryCenter;
        parameter Real RadiationTotalDrive[:,3]={{    0,  0.0,  0}, {  500,  3.5,  0.003}, { 1000,  4.0,  0}};
        parameter Real OutputRate[:,3]={{  0,   0,  12}, {  1,  12,   4}, { 10,  40,   0}};

        Physiolibrary.Types.RealIO.FractionOutput TotalDrive
          annotation (Placement(transformation(extent={{80,-20},{120,20}}),
              iconTransformation(extent={{74,20},{114,60}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-42,82},{-22,102}}), iconTransformation(
              extent={{-62,62},{-22,102}})));
        Physiolibrary.Types.RealIO.FractionInput Chemoreceptors_FiringRate
          annotation (Placement(transformation(extent={{-100,40},{-60,80}}),
              iconTransformation(extent={{-100,40},{-60,80}})));
      Physiolibrary.Blocks.Interpolation.Curve Radiation(
        x=RadiationTotalDrive[:, 1],
        y=RadiationTotalDrive[:, 2],
        slope=RadiationTotalDrive[:, 3])
        annotation (Placement(transformation(extent={{-10,12},{10,32}})));
        Modelica.Blocks.Math.Add RespiratoryCenterChemical_TotalDrive(k1=0.6,
            k2=0.4)
          annotation (Placement(transformation(extent={{36,52},{56,72}})));
        Physiolibrary.Types.RealIO.FractionInput Metaboreflex
          annotation (Placement(transformation(extent={{-120,0},{-80,40}}),
              iconTransformation(extent={{-118,0},{-78,40}})));
        Modelica.Blocks.Math.Add RespiratoryCenterExercise_TotalDrive
          annotation (Placement(transformation(extent={{26,18},{46,38}})));
        Modelica.Blocks.Math.Add RespiratoryCenterIntegration_TotalDrive
          annotation (Placement(transformation(extent={{66,24},{86,44}})));
        Physiolibrary.Types.RealIO.FractionInput CentralChemoreceptors
          annotation (Placement(transformation(extent={{-100,66},{-60,106}}),
              iconTransformation(extent={{-100,-50},{-60,-10}})));
      equation
        connect(Radiation.val, RespiratoryCenterExercise_TotalDrive.u2) annotation (
            Line(
            points={{10,22},{24,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Metaboreflex, RespiratoryCenterExercise_TotalDrive.u1) annotation (
            Line(
            points={{-100,20},{-44,20},{-44,34},{24,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RespiratoryCenterChemical_TotalDrive.y,
          RespiratoryCenterIntegration_TotalDrive.u1) annotation (Line(
            points={{57,62},{60,62},{60,40},{64,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RespiratoryCenterExercise_TotalDrive.y,
          RespiratoryCenterIntegration_TotalDrive.u2) annotation (Line(
            points={{47,28},{64,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RespiratoryCenterChemical_TotalDrive.u1, CentralChemoreceptors)
          annotation (Line(
            points={{34,68},{-18,68},{-18,86},{-80,86}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(RespiratoryCenterIntegration_TotalDrive.y, TotalDrive)
          annotation (Line(
            points={{87,34},{94,34},{94,0},{100,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Chemoreceptors_FiringRate, RespiratoryCenterChemical_TotalDrive.u2)
          annotation (Line(
            points={{-80,60},{-23,60},{-23,56},{34,56}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(busConnector.Exercise_Metabolism_MotionWatts, Radiation.u)
        annotation (Line(
          points={{-32,92},{-32,22},{-10,22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-66,32},{76,-22}},
                lineColor={0,0,0},
                fillColor={213,255,170},
                fillPattern=FillPattern.Solid,
                textString="%name"),
              Text(
                extent={{-124,-104},{124,-130}},
                lineColor={0,0,255},
                textString="%name")}));
      end AfferentPath;

      model EfferentPath
        extends Physiolibrary.Icons.RespiratoryCenter;
        parameter Real RadiationTotalDrive[:,3]={{    0,  0.0,  0}, {  500,  3.5,  0.003}, { 1000,  4.0,  0}};
        parameter Real OutputRate[:,3]={{  0,   0,  12}, {  1,  12,   4}, { 10,  40,   0}};

      Physiolibrary.Blocks.Interpolation.Curve RespiratoryCenterOutput(
        x=OutputRate[:, 1],
        y=OutputRate[:, 2],
        slope=OutputRate[:, 3],
        Yscale=1/60)
        annotation (Placement(transformation(extent={{-10,-16},{10,4}})));
        Physiolibrary.Types.RealIO.FrequencyOutput RespRate
          annotation (Placement(transformation(extent={{80,-20},{120,20}}),
              iconTransformation(extent={{74,20},{114,60}})));
        Physiolibrary.Types.RealIO.FractionOutput
          RespiratoryCenterOutput_MotorNerveActivity
          annotation (Placement(transformation(extent={{54,-68},{94,-28}}),
              iconTransformation(extent={{76,-60},{116,-20}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-42,82},{-22,102}}), iconTransformation(
              extent={{-62,62},{-22,102}})));
        Physiolibrary.Types.RealIO.FractionInput TotalDrive(
                                                 start=1)
          annotation (Placement(transformation(extent={{-120,0},{-80,40}}),
              iconTransformation(extent={{-118,0},{-78,40}})));
        Modelica.Blocks.Math.Product Rate
          annotation (Placement(transformation(extent={{62,-10},{82,10}})));
      Physiolibrary.Blocks.Factors.Normalization FunctionEffect
        annotation (Placement(transformation(extent={{14,-48},{34,-28}})));
      Physiolibrary.Blocks.Factors.Normalization AnesthesiaEffect
        annotation (Placement(transformation(extent={{14,-60},{34,-40}})));
      equation
        connect(RespiratoryCenterOutput.val, Rate.u2) annotation (Line(
            points={{10,-6},{60,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Rate.y, RespRate) annotation (Line(
            points={{83,0},{100,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FunctionEffect.y, AnesthesiaEffect.yBase) annotation (Line(
            points={{24,-42},{24,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AnesthesiaEffect.y, RespiratoryCenterOutput_MotorNerveActivity)
          annotation (Line(
            points={{24,-54},{24,-62},{64,-62},{64,-48},{74,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.AnesthesiaTidalVolume, AnesthesiaEffect.u)
          annotation (Line(
            points={{-32,92},{-32,-50},{16,-50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.brain_FunctionEffect, FunctionEffect.u) annotation (
            Line(
            points={{-32,92},{-32,-38},{16,-38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.brain_FunctionEffect, Rate.u1) annotation (Line(
            points={{-32,92},{-32,6},{60,6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(TotalDrive, RespiratoryCenterOutput.u) annotation (Line(
            points={{-100,20},{-56,20},{-56,-6},{-10,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalDrive, FunctionEffect.yBase) annotation (Line(
            points={{-100,20},{-56,20},{-56,-22},{24,-22},{24,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-66,32},{76,-22}},
                lineColor={0,0,0},
                fillColor={213,255,170},
                fillPattern=FillPattern.Solid,
                textString="%name"),
              Text(
                extent={{-122,-100},{126,-126}},
                lineColor={0,0,255},
                textString="%name")}));
      end EfferentPath;

      model CentralChemoreceptors
          extends Physiolibrary.Icons.RespiratoryCenter;

          parameter Real data[:,3]={{6.60,0.0,0},{6.85,10.0,0},{7.07,1.0,-8.0},{7.50,0.0,0}}; //{{6.60,0.0,0},{6.87,10.0,0},{7.12,1.0,-8.0},{7.50,0.0,0}};
        Physiolibrary.Types.RealIO.FractionOutput CentralChemoreceptors
          annotation (Placement(transformation(extent={{80,-20},{120,20}}),
              iconTransformation(extent={{74,20},{114,60}})));
        Physiolibrary.Types.RealIO.pHInput Brain_pH_intracellular
          annotation (Placement(transformation(extent={{-100,40},{-60,80}}),
              iconTransformation(extent={{-100,40},{-60,80}})));                                                //orginal data from Coleman {{6.60,0.0,0},{6.87,10.0,0},{7.22,1.0,-8.0},{7.50,0.0,0}}) was corrected, becase the normal intracellular pH in neuron cells is 7.16
      Physiolibrary.Blocks.Interpolation.Curve curve(
        x=data[:, 1],
        y=data[:, 2],
        slope=data[:, 3])
        annotation (Placement(transformation(extent={{18,-10},{38,10}})));
      equation

        connect(curve.val, CentralChemoreceptors) annotation (Line(
            points={{38,0},{100,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Brain_pH_intracellular, curve.u) annotation (Line(
            points={{-80,60},{-32,60},{-32,0},{18,0}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-66,32},{76,-22}},
                lineColor={0,0,0},
                fillColor={213,255,170},
                fillPattern=FillPattern.Solid,
                textString="%name"),
              Text(
                extent={{-118,-104},{130,-130}},
                lineColor={0,0,255},
                textString="%name")}));
      end CentralChemoreceptors;

      model PeripheralChemoreceptors
        extends Physiolibrary.Icons.PeripheralChemoreceptors;
      Physiolibrary.Blocks.Interpolation.Curve PhEffectCurve(
        x=PhEffect[:, 1],
        y=PhEffect[:, 2],
        slope=PhEffect[:, 3])
        annotation (Placement(transformation(extent={{-24,8},{12,44}})));
        Physiolibrary.Types.RealIO.FractionOutput
                                              Chemoreceptors_FiringRate
          annotation (Placement(transformation(extent={{98,-18},{122,6}}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={-20,100})));
        parameter Real PhEffect[:,3]={{7.1,2,0},{7.4,0.4,-3},{7.7,0,0}}; //Orginal values from Coleman {{ 7.10,  2.0,  0}, { 7.44,  0.4,  -3.0}, { 7.70,  0.0,  0}} was corrected, because normal arteries pH is not 7.44 but 7.4
        parameter Real PO2Effect[:,3]={{  30,  10.0,  0}, {  60,   2.0,  -0.05}, {  85,   0.5,  -0.005}, { 200,   0.2,  0}}; //Orginal values from Coleman {{  30,  10.0,  0}, {  60,   2.0,  -0.05}, {  94,   0.5,  -0.005}, { 400,   0.2,  0}} was corrected, because normal arteries pO2 is not 94 but 85
        parameter Real PO2Effect_original[:,3]={{  30,  10.0,  0}, {  60,   2.0,  -0.05}, {  94,   0.5,  -0.005}, { 200,   0.2,  0}};
        parameter Real SteadyState[:,3]={{  0,  0,  0}, {  1,  1,  0.3}, { 10,  2,  0}};
        parameter Physiolibrary.Types.Time Tau(displayUnit="h") = 20*60*60;

      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-102,64},{-82,84}}), iconTransformation(
              extent={{-96,-18},{-56,22}})));
        Physiolibrary.Types.RealIO.FractionInput
                                             GangliaGeneral_NA
          annotation (Placement(transformation(extent={{-74,44},{-48,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
              rotation=90,
              origin={-40,-100})));
        Physiomodel.Nerves.AplhaReceptorsActivityFactor aplhaReceptorsActivityFactor(
          data={{0,0.0,0},{1,0.1,0.2},{4,0.6,0}},
          NEURALK=0.5,
          HUMORALK=0.5)
          annotation (Placement(transformation(extent={{-26,68},{-6,88}})));
      Physiolibrary.Types.Constants.FractionConst             Constant(k=1)
        annotation (Placement(transformation(extent={{-30,90},{-22,98}})));
      Physiolibrary.Blocks.Interpolation.Curve PO2EffectCurve(
        x=PO2Effect[:, 1],
        y=PO2Effect[:, 2],
        slope=PO2Effect[:, 3],
          Xscale=101325/760)
        annotation (Placement(transformation(extent={{-24,-38},{12,-2}})));
        Modelica.Blocks.Math.Sum sum(nin=3)
          annotation (Placement(transformation(extent={{32,0},{52,20}})));
        Modelica.Blocks.Math.Product product
          annotation (Placement(transformation(extent={{74,-16},{94,4}})));
      Physiolibrary.Blocks.Interpolation.Curve SteadyStateCurve(
        x=SteadyState[:, 1],
        y=SteadyState[:, 2],
        slope=SteadyState[:, 3]) "ChemoreceptorAcclimation"
        annotation (Placement(transformation(extent={{-62,-96},{-26,-60}})));
        Modelica.Blocks.Math.Feedback feedback
          annotation (Placement(transformation(extent={{-8,-88},{12,-68}})));
      Physiolibrary.Blocks.Math.Integrator integrator(
        stateName="ChemoreceptorAcclimation.Effect",
        y_start=1.01445,
          k=1/Tau) "ChemoreceptorAcclimation.Effect"
        annotation (Placement(transformation(extent={{24,-88},{44,-68}})));
        Physiolibrary.Types.RealIO.pHInput   artys_ph
          annotation (Placement(transformation(extent={{-106,16},{-66,56}}),
              iconTransformation(extent={{-20,-20},{20,20}},
              rotation=90,
              origin={0,-100})));
        Physiolibrary.Types.RealIO.PressureInput
                                             artys_pO2
          annotation (Placement(transformation(extent={{-106,-20},{-66,20}}),
              iconTransformation(extent={{-20,-20},{20,20}},
              rotation=90,
              origin={40,-100})));
      Physiolibrary.Blocks.Interpolation.Curve PO2EffectCurve1(
        x=PO2Effect_original[:, 1],
        y=PO2Effect_original[:, 2],
        slope=PO2Effect_original[:, 3],
          Xscale=101325/760)
        annotation (Placement(transformation(extent={{40,52},{76,88}})));
      equation
        assert(artys_pO2>30,"artys_pO2 should be greater then 30 mmHg!");
        connect(Constant.y, aplhaReceptorsActivityFactor.yBase) annotation (Line(
            points={{-21,94},{-16,94},{-16,85}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.AlphaPool_Effect, aplhaReceptorsActivityFactor.AlphaPool_Effect)
          annotation (Line(
            points={{-92,74},{-60,74},{-60,84},{-25.8,84}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AlphaBlocade_Effect, aplhaReceptorsActivityFactor.AlphaBlockade_Effect)
          annotation (Line(
            points={{-92,74},{-60,74},{-60,78},{-25.8,78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(aplhaReceptorsActivityFactor.GangliaGeneral_NA, GangliaGeneral_NA)
          annotation (Line(
            points={{-25.8,72},{-46,72},{-46,57},{-61,57}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PhEffectCurve.val, sum.u[2]) annotation (Line(
            points={{12,26},{26,26},{26,10},{30,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(aplhaReceptorsActivityFactor.y, sum.u[1]) annotation (Line(
            points={{-16,71},{-16,54},{26,54},{26,8.66667},{30,8.66667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, Chemoreceptors_FiringRate) annotation (Line(
            points={{95,-6},{110,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sum.y, product.u1) annotation (Line(
            points={{53,10},{60,10},{60,0},{72,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sum.y, SteadyStateCurve.u) annotation (Line(
            points={{53,10},{60,10},{60,-42},{-82,-42},{-82,-78},{-62,-78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, product.u2) annotation (Line(
            points={{45,-78},{66,-78},{66,-12},{72,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SteadyStateCurve.val, feedback.u1) annotation (Line(
            points={{-26,-78},{-6,-78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, feedback.u2) annotation (Line(
            points={{45,-78},{56,-78},{56,-98},{2,-98},{2,-86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, integrator.u) annotation (Line(
            points={{11,-78},{22,-78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PhEffectCurve.u, artys_ph) annotation (Line(
            points={{-24,26},{-50,26},{-50,36},{-86,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PO2EffectCurve.u, artys_pO2) annotation (Line(
            points={{-24,-20},{-50,-20},{-50,0},{-86,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(artys_pO2, PO2EffectCurve1.u) annotation (Line(
            points={{-86,0},{20,0},{20,70},{40,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PO2EffectCurve1.val, sum.u[3]) annotation (Line(
            points={{76,70},{88,70},{88,32},{26,32},{26,11.3333},{30,11.3333}},
            color={0,0,127},
            smooth=Smooth.None));

        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-124,13},{124,-13}},
                lineColor={0,0,255},
                textString="%name",
                origin={122,-9},
                rotation=90)}));
      end PeripheralChemoreceptors;

      model SkeletalMuscleMetaboreflex
        extends Physiolibrary.Icons.SkeletalMuscleAcidity;
        Physiolibrary.Types.RealIO.pHInput skeletalMuscle_pH
                                               annotation (Placement(transformation(
                extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-110,-10},
                  {-90,10}})));
      Physiolibrary.Blocks.Interpolation.Curve NerveActivity(
        x=PhOnNerveActivity[:, 1],
        y=PhOnNerveActivity[:, 2],
        slope=PhOnNerveActivity[:, 3])
        annotation (Placement(transformation(extent={{-10,-18},{26,18}})));
        Physiolibrary.Types.RealIO.FractionOutput NA
          annotation (Placement(transformation(extent={{80,-20},{120,20}})));
         parameter Real PhOnNerveActivity[:,3]={{ 6.5,  5.0,  0}, { 6.9,  0.0,  0}};

      equation
        connect(NerveActivity.val, NA)      annotation (Line(
            points={{26,0},{100,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skeletalMuscle_pH, NerveActivity.u) annotation (Line(
            points={{-100,0},{-10,0}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-128,-106},{120,-132}},
                lineColor={0,0,255},
                textString="%name")}));
      end SkeletalMuscleMetaboreflex;

      model GasEquation

        Physiolibrary.Types.RealIO.VolumeInput
                                           V1(
                                         displayUnit="ml") annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(extent={{-100,66},{-72,94}})));
        Physiolibrary.Types.RealIO.PressureInput
                                           P1(
                                         displayUnit="mmHg") annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(extent={{-100,6},{-72,34}})));
        Physiolibrary.Types.RealIO.TemperatureInput
                                           T1(
                                         displayUnit="degC") annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(extent={{-100,-54},{-72,
                  -26}})));
        Physiolibrary.Types.RealIO.PressureInput
                                           P2(
                                        displayUnit="mmHg") annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(
              extent={{-14,-14},{14,14}},
              rotation=180,
              origin={86,20})));
        Physiolibrary.Types.RealIO.TemperatureInput
                                           T2(
                                         displayUnit="degC") annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(
              extent={{-14,-14},{14,14}},
              rotation=180,
              origin={86,-40})));
        Physiolibrary.Types.RealIO.VolumeOutput
                                            V2(
                                          displayUnit="ml") annotation (Placement(transformation(extent=
                  {{56,54},{96,94}}), iconTransformation(extent={{72,66},{100,94}})));
      equation
        (P1*V1)/(T1)=(P2*V2)/(T2);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                fillColor={170,213,255},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{0,100},{0,-100}},
                lineColor={0,0,0},
                fillColor={170,213,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-98,136},{100,100}},
                lineColor={0,0,0},
                fillColor={170,213,255},
                fillPattern=FillPattern.Solid,
                textString="%name")}));
      end GasEquation;

      model VaporPressure

        Physiolibrary.Types.RealIO.TemperatureInput
                                           T(
                                        displayUnit="degC")   annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(extent={{-100,-14},{-72,14}})));
        Physiolibrary.Types.RealIO.PressureOutput
                                            VaporPressure_(
                                                    displayUnit="mmHg")
                                                          annotation (Placement(transformation(extent=
                  {{56,54},{96,94}}), iconTransformation(extent={{100,-14},{128,14}})));
      equation
       VaporPressure_ =  if T<273.15 then 0 else if T>373.15 then 101325 else
                          (101325/760)*exp(18.6686-(4030.183/(T-273.15+235)));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,0},
                fillColor={170,213,255},
                fillPattern=FillPattern.Solid)}));
      end VaporPressure;

      model NaturalVentilation2
        extends Physiolibrary.Icons.Ventilation;
        Physiolibrary.Types.RealIO.FrequencyInput
          RespiratoryCenterOutput_MotorNerveActivity(
             displayUnit="Hz")                             annotation (Placement(transformation(extent={{-88,40},
                  {-48,80}}),           iconTransformation(extent={{-100,66},{-72,94}})));
        Physiolibrary.Types.RealIO.FractionInput Thorax_LungInflation(
                                                            displayUnit="1")
                                                           annotation (Placement(transformation(extent={{-88,-22},
                  {-48,18}}),           iconTransformation(extent={{-100,-54},{
                  -72,-26}})));
        Physiolibrary.Types.RealIO.VolumeInput ExcessLungWater_Volume(
                                                             displayUnit=
              "1")                                      annotation (Placement(transformation(extent={{-88,-58},
                  {-48,-18}}),          iconTransformation(extent={{-100,-94},{
                  -72,-66}})));
        Physiolibrary.Types.RealIO.VolumeOutput TidalVolume(
                                                   displayUnit="ml")
                                                          annotation (Placement(transformation(extent={{52,-48},
                  {92,-8}}),          iconTransformation(extent={{100,6},{128,34}})));
        Physiolibrary.Types.RealIO.VolumeOutput DeadSpace(
                                                  displayUnit="ml")
                                                          annotation (Placement(transformation(extent={{14,-96},
                  {54,-56}}),         iconTransformation(extent={{100,-54},{128,
                  -26}})));
        Physiolibrary.Types.RealIO.FractionInput RespiratoryMuscleFunctionEffect(
                                                                      displayUnit= "1")
                                                        annotation (Placement(transformation(extent={{-88,6},
                  {-48,46}}),           iconTransformation(extent={{-100,26},{-72,
                  54}})));

        parameter Physiolibrary.Types.Fraction DeadSpaceSlope =   0.20;
        parameter Physiolibrary.Types.Volume DeadSpaceMin =                            60.0e-6;
        parameter Real[:,3] DriveOnTidalVolume =  {{  0,     0,    0}, {  1,   450,  400}, { 10,  2630,    0}};  //corrected from {{  0,     0,    0}, {  1,   550,  400}, { 10,  2630,    0}}

      // Real TidalVolumeBasic;
      Physiolibrary.Blocks.Interpolation.Curve curve(
        x=DriveOnTidalVolume[:, 1],
        y=DriveOnTidalVolume[:, 2],
        slope=DriveOnTidalVolume[:, 3],
        Yscale=1e-6)
        annotation (Placement(transformation(extent={{-2,32},{18,52}})));

      Physiolibrary.Blocks.Factors.Normalization LungInflation
        annotation (Placement(transformation(extent={{16,6},{36,26}})));
      Physiolibrary.Blocks.Factors.Normalization FunctionEffect
        annotation (Placement(transformation(extent={{16,16},{36,36}})));
        Modelica.Blocks.Math.Max max
          annotation (Placement(transformation(extent={{36,-38},{56,-18}})));
        Modelica.Blocks.Math.Feedback tidalVol0 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={26,-2})));
      Physiolibrary.Types.Constants.VolumeConst Breathing_TidalVolumeMin(k=0)
        "Breathing.TidalVolumeMin"
        annotation (Placement(transformation(extent={{4,-42},{20,-26}})));
      Physiolibrary.Types.Constants.VolumeConst Breathing_DeadSpaceMin(k=
            DeadSpaceMin) "Breathing.DeadSpaceMin"
        annotation (Placement(transformation(extent={{-88,-102},{-58,-72}})));
      Physiolibrary.Types.Constants.FractionConst             deadSpaceSlope(k=
            DeadSpaceSlope)
        annotation (Placement(transformation(extent={{-82,-80},{-58,-56}})));
        Modelica.Blocks.Math.Product product
          annotation (Placement(transformation(extent={{-30,-72},{-10,-52}})));
        Modelica.Blocks.Math.Add add
          annotation (Placement(transformation(extent={{2,-86},{22,-66}})));
      equation
      //  u=RespiratoryCenterOutput_MotorNerveActivity; //curve x value
      /*
  TidalVolumeBasic  =
      curve.val
    * Thorax_LungInflation
    * RespiratoryMuscleFunctionEffect;   //val.. curve y value

   TidalVolume  = max(0, TidalVolumeBasic - ExcessLungWater_Volume);
   DeadSpace  =  DeadSpaceSlope * TidalVolume + DeadSpaceMin; */
        connect(RespiratoryCenterOutput_MotorNerveActivity, curve.u) annotation (Line(
            points={{-68,60},{-16,60},{-16,42},{-2,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RespiratoryMuscleFunctionEffect, FunctionEffect.u) annotation (Line(
            points={{-68,26},{18,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Thorax_LungInflation, LungInflation.u) annotation (Line(
            points={{-68,-2},{-32,-2},{-32,16},{18,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(curve.val, FunctionEffect.yBase) annotation (Line(
            points={{18,42},{26,42},{26,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FunctionEffect.y, LungInflation.yBase) annotation (Line(
            points={{26,22},{26,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LungInflation.y, tidalVol0.u1) annotation (Line(
            points={{26,12},{26,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExcessLungWater_Volume, tidalVol0.u2) annotation (Line(
            points={{-68,-38},{-16,-38},{-16,-2},{18,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(tidalVol0.y, max.u1) annotation (Line(
            points={{26,-11},{26,-22},{34,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Breathing_TidalVolumeMin.y, max.u2)
                                          annotation (Line(
            points={{22,-34},{34,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add.y, DeadSpace) annotation (Line(
            points={{23,-76},{34,-76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(deadSpaceSlope.y, product.u2) annotation (Line(
            points={{-55,-68},{-32,-68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, add.u1) annotation (Line(
            points={{-9,-62},{-6,-62},{-6,-70},{0,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Breathing_DeadSpaceMin.y, add.u2)
                                           annotation (Line(
            points={{-54.25,-87},{-28,-87},{-28,-82},{0,-82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.u1, TidalVolume) annotation (Line(
            points={{-32,-56},{-42,-56},{-42,-46},{68,-46},{68,-28},{72,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(max.y, TidalVolume) annotation (Line(
            points={{57,-28},{72,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-120,-108},{130,-126}},
                lineColor={0,0,255},
                textString="%name")}));
      end NaturalVentilation2;

      model AlveolarVentilation_STPD
        extends Physiolibrary.Icons.Lungs;
      //  parameter Real EnvironmentPressure(final displayUnit="mmHg");
      //  parameter Real EnvironmentTemperature(final displayUnit="degC");

        Physiolibrary.Types.RealIO.FrequencyInput RespRate
                                               annotation (Placement(transformation(
                extent={{26,68},{40,82}}),    iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=180,
              origin={80,20})));
        Physiolibrary.Types.RealIO.VolumeInput TidalVolume
                                                  annotation (Placement(
              transformation(
              extent={{-18,-18},{10,10}},
              origin={-50,-32}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=180,
              origin={80,100})));
        Physiolibrary.Types.RealIO.VolumeInput DeadSpace
                                                annotation (Placement(transformation(
                extent={{-68,-76},{-40,-48}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=180,
              origin={80,60})));
        Physiolibrary.Types.RealIO.TemperatureInput core_T
                                               annotation (Placement(
              transformation(
              extent={{-20,-20},{8,8}},
              origin={-48,-80}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=180,
              origin={80,-20})));
        GasEquation tidalVolume(V2(start=400))
          annotation (Placement(transformation(extent={{-12,-54},{8,-34}})));
        GasEquation deadVolume(V2(start=150))
          annotation (Placement(transformation(extent={{-12,-80},{8,-60}})));
        Modelica.Blocks.Math.Product alveolarVentilation annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={54,52})));
        VaporPressure vaporPressure annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={14,90})));
        Modelica.Blocks.Math.Division vaporPart annotation (Placement(
              transformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-20,34})));
        Modelica.Blocks.Math.Feedback added_pH2O annotation (Placement(
              transformation(
              extent={{-7,-7},{7,7}},
              rotation=270,
              origin={-15,61})));
        VaporPressure vaporPressure1
                                    annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-56,64})));
        Modelica.Blocks.Math.Product air_pH2O
          annotation (Placement(transformation(extent={{-36,68},{-26,78}})));
        Physiolibrary.Types.RealIO.TemperatureInput AmbientTemperature
                                               annotation (Placement(
              transformation(
              extent={{-20,-20},{8,8}},
              origin={-78,70}),  iconTransformation(
              extent={{-20,-20},{20,20}},
              origin={-80,100})));
        Physiolibrary.Types.RealIO.PressureInput EnvironmentPressure
                                               annotation (Placement(
              transformation(
              extent={{-20,-20},{8,8}},
              origin={-78,-4}),  iconTransformation(
              extent={{-20,-20},{20,20}},
              origin={-80,40})));
        Physiolibrary.Types.RealIO.FractionInput EnvironmentRelativeHumidity
                                               annotation (Placement(
              transformation(
              extent={{-20,-20},{8,8}},
              origin={-58,90}),  iconTransformation(
              extent={{-20,-20},{20,20}},
              origin={-80,-20})));
        Modelica.Blocks.Math.Feedback alveolarVolume
        annotation (Placement(transformation(extent={{58,-46},{78,-26}})));
        Modelica.Blocks.Math.Feedback airPressureWitoutVapor
          annotation (Placement(transformation(extent={{-64,0},{-44,-20}})));
        Physiolibrary.Types.RealIO.VolumeFlowRateOutput AlveolarVentilation
        annotation (Placement(transformation(extent={{70,22},{84,36}}),
            iconTransformation(
            extent={{-20,-20},{20,20}},
            origin={100,-60})));
        Modelica.Blocks.Math.Feedback dilution
          annotation (Placement(transformation(extent={{-30,20},{-10,0}})));
      Physiolibrary.Types.Constants.FractionConst             Constant(k=1)
        annotation (Placement(transformation(extent={{-48,6},{-40,14}})));
        Physiolibrary.Types.RealIO.FractionOutput BronchiDilution
                                               annotation (Placement(transformation(
                extent={{6,4},{18,16}}),      iconTransformation(
              extent={{-20,-20},{20,20}},
              origin={100,-100})));
      equation

        connect(TidalVolume,tidalVolume. V1) annotation (Line(
            points={{-54,-36},{-10.6,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DeadSpace, deadVolume.V1)   annotation (Line(
            points={{-54,-62},{-10.6,-62}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(RespRate, alveolarVentilation.u2) annotation (Line(
          points={{33,75},{48,75},{48,64}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(core_T, vaporPressure.T)   annotation (Line(
            points={{-54,-86},{94,-86},{94,90},{22.6,90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(air_pH2O.y, added_pH2O.u2) annotation (Line(
            points={{-25.5,73},{-25.5,61},{-20.6,61}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(added_pH2O.y, vaporPart.u1) annotation (Line(
            points={{-15,54.7},{-14,54.7},{-14,54},{-16,54},{-16,44},{-16.4,44},
              {-16.4,41.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AmbientTemperature, vaporPressure1.T) annotation (Line(
            points={{-84,64},{-64.6,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EnvironmentRelativeHumidity, air_pH2O.u1) annotation (Line(
            points={{-64,84},{-40,84},{-40,76},{-37,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(core_T, tidalVolume.T1) annotation (Line(
            points={{-54,-86},{-32,-86},{-32,-48},{-10.6,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(core_T, deadVolume.T1) annotation (Line(
            points={{-54,-86},{-32,-86},{-32,-74},{-10.6,-74}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(alveolarVolume.y, alveolarVentilation.u1) annotation (Line(
          points={{77,-36},{90,-36},{90,80},{60,80},{60,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(tidalVolume.V2, alveolarVolume.u1) annotation (Line(
          points={{6.6,-36},{60,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(alveolarVolume.u2, deadVolume.V2) annotation (Line(
          points={{68,-44},{68,-62},{6.6,-62}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(EnvironmentPressure, airPressureWitoutVapor.u1) annotation (Line(
            points={{-84,-10},{-62,-10}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(airPressureWitoutVapor.y, tidalVolume.P1) annotation (Line(
            points={{-45,-10},{-28,-10},{-28,-42},{-10.6,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(airPressureWitoutVapor.y, deadVolume.P1) annotation (Line(
            points={{-45,-10},{-28,-10},{-28,-68},{-10.6,-68}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(Constant.y, dilution.u1) annotation (Line(
            points={{-39,10},{-28,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(vaporPart.y, dilution.u2) annotation (Line(
            points={{-20,27.4},{-20,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(dilution.y, BronchiDilution) annotation (Line(
            points={{-11,10},{12,10}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(vaporPressure1.VaporPressure_, air_pH2O.u2) annotation (Line(
          points={{-44.6,64},{-40,64},{-40,70},{-37,70}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(vaporPressure.VaporPressure_, added_pH2O.u1) annotation (Line(
          points={{2.6,90},{-15,90},{-15,66.6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(alveolarVentilation.y, AlveolarVentilation) annotation (Line(
          points={{54,41},{54,29},{77,29}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(added_pH2O.y, airPressureWitoutVapor.u2) annotation (Line(
          points={{-15,54.7},{-54,54.7},{-54,-2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EnvironmentPressure, vaporPart.u2) annotation (Line(
          points={{-84,-10},{-70,-10},{-70,41.2},{-23.6,41.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EnvironmentPressure, tidalVolume.P2) annotation (Line(
          points={{-84,-10},{-70,-10},{-70,-22},{30,-22},{30,-42},{6.6,-42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EnvironmentPressure, deadVolume.P2) annotation (Line(
          points={{-84,-10},{-70,-10},{-70,-22},{30,-22},{30,-68},{6.6,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AmbientTemperature, tidalVolume.T2) annotation (Line(
          points={{-84,64},{-94,64},{-94,-98},{38,-98},{38,-48},{6.6,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AmbientTemperature, deadVolume.T2) annotation (Line(
          points={{-84,64},{-94,64},{-94,-98},{38,-98},{38,-74},{6.6,-74}},
          color={0,0,127},
          smooth=Smooth.None));
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Text(
                extent={{-100,-100},{76,-70}},
                textString="%name",
                lineColor={0,0,255})}));
      end AlveolarVentilation_STPD;

      model AlveolarVentilation
        extends Physiolibrary.Icons.Lungs;
      //  parameter Real EnvironmentPressure(final displayUnit="mmHg");
      //  parameter Real EnvironmentTemperature(final displayUnit="degC");
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b expired annotation (
          extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,-110},
                {10,-90}}, rotation=0),
                          iconTransformation(extent={{90,70},{110,90}})));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a inspired annotation (
          Placement(transformation(extent={{-120,8},{-80,48}}),
            iconTransformation(extent={{-110,70},{-90,90}})));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput AlveolarVentilation_Env
        annotation (Placement(transformation(extent={{-14,44},{0,58}}),
            iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=180,
            origin={80,20})));
      Physiolibrary.Chemical.Components.Stream solventFlowPump(q_out(conc(start=
               0.13686)), useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-2,18},{18,38}})));
      Physiolibrary.Chemical.Components.Dilution dilution(useDilutionInput=true)
                                                          annotation (Placement(
            transformation(
            extent={{-8,8},{12,-12}},
            origin={-26,30})));
      Physiolibrary.Chemical.Components.Stream solventFlowPump1(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{44,18},{64,38}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b   alveolar annotation (
          extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,-110},
                {10,-90}}, rotation=0),
                          iconTransformation(extent={{-8,-110},{12,-90}})));
        Physiolibrary.Types.RealIO.FractionInput BronchiDilution
                                               annotation (Placement(
              transformation(
              extent={{-10.0004,-10.0004},{4.00021,4.00021}},
              origin={-78.0002,73.9998}),
                                 iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=180,
              origin={80,-40})));
      equation

        connect(solventFlowPump1.q_out, expired) annotation (Line(
            points={{64,28},{78,28}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(solventFlowPump.q_out, solventFlowPump1.q_in) annotation (Line(
            points={{18,28},{44,28}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));

      connect(AlveolarVentilation_Env, solventFlowPump.solutionFlow)
        annotation (Line(
          points={{-7,51},{8,51},{8,35}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AlveolarVentilation_Env, solventFlowPump1.solutionFlow)
        annotation (Line(
          points={{-7,51},{54,51},{54,35}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(BronchiDilution, dilution.dilution) annotation (Line(
            points={{-81.0003,70.9997},{-46,70.9997},{-46,20},{-34,20}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(dilution.q_out, solventFlowPump.q_in) annotation (Line(
          points={{-14,28},{-2,28}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(inspired, dilution.q_in) annotation (Line(
          points={{-100,28},{-34,28}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(solventFlowPump.q_out, alveolar) annotation (Line(
          points={{18,28},{36,28},{36,-4},{30,-4}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Polygon(
                points={{-38,93},{40,80},{-38,66},{-38,93}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-92,-90},{84,-60}},
                textString="%name",
                lineColor={0,0,255})}));
      end AlveolarVentilation;

      model GasEquation_Flow

        Physiolibrary.Types.RealIO.VolumeFlowRateInput
                                           V1(
                                         displayUnit="ml/min") annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(extent={{-100,66},{-72,94}})));
        Physiolibrary.Types.RealIO.PressureInput
                                           P1(
                                         displayUnit="mmHg") annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(extent={{-100,6},{-72,34}})));
        Physiolibrary.Types.RealIO.TemperatureInput
                                           T1(
                                         displayUnit="degC") annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(extent={{-100,-54},{-72,
                  -26}})));
        Physiolibrary.Types.RealIO.PressureInput
                                           P2(
                                         displayUnit="mmHg") annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(
              extent={{-14,-14},{14,14}},
              rotation=180,
              origin={86,20})));
        Physiolibrary.Types.RealIO.TemperatureInput
                                           T2(
                                         displayUnit="degC") annotation (Placement(transformation(extent={
                  {-118,42},{-78,82}}), iconTransformation(
              extent={{-14,-14},{14,14}},
              rotation=180,
              origin={86,-40})));
        Physiolibrary.Types.RealIO.VolumeFlowRateOutput
                                            V2(
                                          displayUnit="ml/min") annotation (Placement(transformation(extent=
                  {{56,54},{96,94}}), iconTransformation(extent={{72,66},{100,94}})));
      equation
        (P1*V1)/(T1)=(P2*V2)/(T2);
        annotation (Icon(coordinateSystem(preserveAspectRatio=false,extent={{-100,
                -100},{100,100}}),   graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                fillColor={170,213,255},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{0,100},{0,-100}},
                lineColor={0,0,0},
                fillColor={170,213,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-98,136},{100,100}},
                lineColor={0,0,0},
                fillColor={170,213,255},
                fillPattern=FillPattern.Solid,
                textString="%name")}));
      end GasEquation_Flow;

      model Ventilation
        extends Physiolibrary.Icons.Ventilation;
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{66,-30},{86,-10}}), iconTransformation(
              extent={{80,40},{120,80}})));
      AlveolarVentilation_STPD alveolarVentilation annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            origin={-32,-38})));
        NaturalVentilation2 naturalVentilation(DriveOnTidalVolume={{0,0,0},{1,
            550,400},{10,2630,0}})
          annotation (Placement(transformation(extent={{46,2},{26,22}})));
        Modelica.Blocks.Math.Product TotalVentilation
          annotation (Placement(transformation(extent={{42,24},{48,30}})));
        RespiratoryNeuralDrive3 respiratoryNeuralDrive2_1
          annotation (Placement(transformation(extent={{-56,38},{-22,72}})));
      equation
        connect(alveolarVentilation.TidalVolume,naturalVentilation. TidalVolume)
          annotation (Line(
            points={{-24,-28},{2,-28},{2,14},{24.6,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(alveolarVentilation.DeadSpace,naturalVentilation. DeadSpace)
          annotation (Line(
            points={{-24,-32},{6.3,-32},{6.3,8},{24.6,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(naturalVentilation.ExcessLungWater_Volume,busConnector. ExcessLungWater_Volume)
          annotation (Line(
            points={{44.6,4},{76,4},{76,-20}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.Thorax_LungInflation,busConnector. Thorax_LungInflation)
          annotation (Line(
            points={{44.6,8},{76,8},{76,-20}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.RespiratoryMuscleFunctionEffect,busConnector. RespiratoryMuscleFunctionEffect)
          annotation (Line(
            points={{44.6,16},{76,16},{76,-20}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.RespiratoryCenterOutput_MotorNerveActivity,
          busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
            points={{44.6,20},{76,20},{76,-20}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(alveolarVentilation.core_T,busConnector. core_T)
          annotation (Line(
            points={{-24,-40},{18,-40},{18,-20},{76,-20}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(naturalVentilation.TidalVolume,TotalVentilation. u2)
          annotation (Line(
            points={{24.6,14},{4,14},{4,26},{41.4,26},{41.4,25.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.RespiratoryCenter_RespRate,TotalVentilation. u1)
          annotation (Line(
            points={{76,-20},{76,44},{24,44},{24,28.8},{41.4,28.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(TotalVentilation.y,busConnector. BreathingTotalVentilation)
          annotation (Line(
            points={{48.3,27},{76,27},{76,-20}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(alveolarVentilation.RespRate,busConnector. RespiratoryCenter_RespRate)
          annotation (Line(
            points={{-24,-36},{18,-36},{18,-20},{76,-20}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.BarometerPressure,alveolarVentilation. EnvironmentPressure)
          annotation (Line(
            points={{76,-20},{-72,-20},{-72,-34},{-40,-34}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AmbientTemperature,alveolarVentilation. AmbientTemperature)
          annotation (Line(
            points={{76,-20},{-72,-20},{-72,-28},{-40,-28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.EnvironmentRelativeHumidity,alveolarVentilation. EnvironmentRelativeHumidity)
          annotation (Line(
            points={{76,-20},{-72,-20},{-72,-40},{-40,-40}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(respiratoryNeuralDrive2_1.busConnector, busConnector) annotation (
           Line(
            points={{-52.6,68.6},{76,68.6},{76,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(alveolarVentilation.BronchiDilution, busConnector.BronchiDilution)
          annotation (Line(
            points={{-22,-48},{76,-48},{76,-20}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(alveolarVentilation.AlveolarVentilation, busConnector.AlveolarVentilation_Env)
        annotation (Line(
          points={{-22,-44},{76,-44},{76,-20}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-120,-108},{130,-126}},
                lineColor={0,0,255},
                textString="%name")}));
      end Ventilation;

      package IO_Bus
      extends Physiolibrary.Types.IO_Bus;
        redeclare model extends Variables
        //  extends Physiolibrary.Icons.Ventilation;

        T.Frequency RespiratoryCenter_RespRate(varName="RespiratoryCenter-Output.Rate")
          "Respiration rate."
        annotation (Placement(transformation(extent={{-44,-62},{-38,-56}})));
        T.Fraction RespiratoryCenter_MotorNerveActivity(varName="RespiratoryCenter-Output.MotorNerveActivity")
          "Neural activity from respiratory center to respiratory muscle."
        annotation (Placement(transformation(extent={{-44,-72},{-38,-66}})));
        T.VolumeFlowRate AlveolarVentilation_Env(varName=
              "AlveolarVentilation_Env")
          annotation (Placement(transformation(extent={{-22,76},{-16,82}})));
        T.Fraction Bronchi_Dilution(varName="Bronchi.Dilution")
        annotation (Placement(transformation(extent={{-44,-24},{-38,-18}})));
        T.VolumeFlowRate BreathingTotalVentilation(
                                  varName="Breathing.TotalVentilation")
        annotation (Placement(transformation(extent={{-34,10},{-28,16}})));
        equation

        connect(RespiratoryCenter_MotorNerveActivity.y, busConnector.RespiratoryCenter_MotorNerveActivity) annotation (Line(
         points={{-37.7,-69},{90,-69},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(RespiratoryCenter_RespRate.y, busConnector.RespiratoryCenter_RespRate) annotation (Line(
         points={{-37.7,-59},{90,-59},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(Bronchi_Dilution.y, busConnector.BronchiDilution) annotation (
              Line(
              points={{-37.7,-21},{26,-21},{26,-2},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BreathingTotalVentilation.y, busConnector.BreathingTotalVentilation)
                                                                    annotation (
              Line(
              points={{-27.7,13},{15.65,13},{15.65,-2},{90,-2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(AlveolarVentilation_Env.y, busConnector.AlveolarVentilation_Env)
          annotation (Line(
            points={{-15.7,79},{90,79},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        end Variables;
      end IO_Bus;
    end Ventilation;

    model Gases
      extends Physiolibrary.Icons.Gases;

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{38,-4},{58,16}}), iconTransformation(extent={
              {60,60},{100,100}})));
      O2.O2 oxygen annotation (Placement(transformation(extent={{-62,-24},{-42,
                -4}})));
      CO2.CO2 carbonDioxyd
        annotation (Placement(transformation(extent={{-22,-22},{-2,-2}})));
    Ventilation.Ventilation ventilation
      annotation (Placement(transformation(extent={{-50,28},{-30,48}})));
    equation
      connect(carbonDioxyd.busConnector, busConnector) annotation (Line(
          points={{-4,-6},{-4,6},{48,6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(oxygen.busConnector, busConnector) annotation (Line(
          points={{-44,-6},{-44,6},{48,6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(ventilation.busConnector, busConnector) annotation (Line(
          points={{-30,44},{-28,44},{-28,6},{48,6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}), graphics={
            Text(
              extent={{-122,-106},{126,-132}},
              lineColor={0,0,255},
              textString="%name"),
            Text(
              extent={{-82,24},{-8,58}},
              lineColor={0,0,0},
              textString="CO2"),
            Text(
              extent={{6,-64},{80,-30}},
              lineColor={0,0,0},
              textString="O2"),
            Text(
              extent={{-104,-70},{-30,-36}},
              lineColor={255,255,255},
              textString="pH")}));
    end Gases;

    package IO_Bus
      extends Physiolibrary.Types.IO_Bus;

      redeclare model extends Variables

      CO2.IO_Bus.Variables co2(T(redeclare block Variable = T.Variable))
        annotation (Placement(transformation(extent={{-14,-46},{6,-26}})));
      Ventilation.IO_Bus.Variables ventilation(T(redeclare block Variable =
              T.Variable))
        annotation (Placement(transformation(extent={{-4,28},{16,48}})));
      O2.IO_Bus.Variables o2(T(redeclare block Variable = T.Variable))
        annotation (Placement(transformation(extent={{-58,-48},{-38,-28}})));
      equation

      connect(co2.busConnector, busConnector) annotation (Line(
          points={{-4,-36},{-4,-2},{90,-2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(o2.busConnector, busConnector) annotation (Line(
          points={{-48,-38},{-52,-38},{-52,-2},{90,-2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(ventilation.busConnector, busConnector) annotation (Line(
          points={{6,38},{6,-2},{90,-2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      end Variables;

      model Gases_test
        import Physiomodel;

        import Modelica.Utilities.*;
       // constant String OUTPUT_FILE = "setup/output_startValues.txt"; //"setup/output.txt"; //"setup/v2.txt";

      Physiomodel.CardioVascular.IO_Bus.InputFromFile cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile
                                                nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-86,60},{-66,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.Gases gases
          annotation (Placement(transformation(extent={{-78,-64},{-58,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Gases.IO_Bus.OutputComparison
                                    gases_dif
          annotation (Placement(transformation(extent={{-38,-80},{-18,-60}})));
        Physiomodel.Gases.IO_Bus.OutputToFile
                                           gases_varsToFile
          annotation (Placement(transformation(extent={{-98,-92},{-78,-72}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-76,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-60,-46},{-6,-46},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector, gases_dif.busConnector) annotation (Line(
            points={{-60,-46},{-44,-46},{-44,-70},{-28,-70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases_varsToFile.busConnector, gases.busConnector) annotation (
            Line(
            points={{-88,-82},{-88,-46},{-60,-46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      if terminal() then

      /*   Streams.print("cardioVascularSystem.busConnector.Bone_PCO2\n"+String(cardioVascularSystem.busConnector.Bone_PCO2),OUTPUT_FILE);

Streams.print("cardioVascularSystem.busConnector.Brain_PCO2\n"+String(cardioVascularSystem.busConnector.Brain_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Fat_PCO2\n"+String(cardioVascularSystem.busConnector.Fat_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.GITract_PCO2\n"+String(cardioVascularSystem.busConnector.GITract_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Kidney_PCO2\n"+String(cardioVascularSystem.busConnector.Kidney_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.LeftHeart_PCO2\n"+String(cardioVascularSystem.busConnector.LeftHeart_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Liver_PCO2\n"+String(cardioVascularSystem.busConnector.Liver_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.OtherTissue_PCO2\n"+String(cardioVascularSystem.busConnector.OtherTissue_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.RespiratoryMuscle_PCO2\n"+String(cardioVascularSystem.busConnector.RespiratoryMuscle_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.RightHeart_PCO2\n"+String(cardioVascularSystem.busConnector.RightHeart_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.SkeletalMuscle_PCO2\n"+String(cardioVascularSystem.busConnector.SkeletalMuscle_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Skin_PCO2\n"+String(cardioVascularSystem.busConnector.Skin_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Urine_pH\n"+String(cardioVascularSystem.busConnector.Urine_pH),OUTPUT_FILE);

Streams.print("gases.carbonDioxyd.alveolarVentilation.solventFlowPump.q_out.conc|"+String(gases.carbonDioxyd.alveolarVentilation.solventFlowPump.q_out.conc),OUTPUT_FILE);
Streams.print("gases.carbonDioxyd.artysCO2.pCO2|"+String(gases.carbonDioxyd.artysCO2.pCO2),OUTPUT_FILE);
Streams.print("gases.carbonDioxyd.veinsCO2.pCO2|"+String(gases.carbonDioxyd.veinsCO2.pCO2),OUTPUT_FILE);
Streams.print("gases.oxygen.alveolarVentilation.solventFlowPump.q_out.conc|"+String(gases.oxygen.alveolarVentilation.solventFlowPump.q_out.conc),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.a|"+String(gases.oxygen.artysO2.a),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.FCOHb|"+String(gases.oxygen.artysO2.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.pO2|"+String(gases.oxygen.artysO2.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.a|"+String(gases.oxygen.O2Lung.a),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.FCOHb|"+String(gases.oxygen.O2Lung.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.tO2|"+String(gases.oxygen.O2Lung.tO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.a|"+String(gases.oxygen.veinsO2.a),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.FCOHb|"+String(gases.oxygen.veinsO2.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.pO2|"+String(gases.oxygen.veinsO2.pO2),OUTPUT_FILE);*/
      end if;
        annotation (          experiment(StopTime=3600, Tolerance=1e-005));
      end Gases_test;

      model Gases_test_SI
        import Physiomodel;

        import Modelica.Utilities.*;
       // constant String OUTPUT_FILE = "setup/output_startValues.txt"; //"setup/output.txt"; //"setup/v2.txt";

      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI
                                                nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-86,60},{-66,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.Gases gases
          annotation (Placement(transformation(extent={{-78,-64},{-58,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Gases.IO_Bus.OutputComparison_SI
                                    gases_dif
          annotation (Placement(transformation(extent={{-38,-80},{-18,-60}})));
        Physiomodel.Gases.IO_Bus.OutputToFile_SI
                                           gases_varsToFile
          annotation (Placement(transformation(extent={{-98,-92},{-78,-72}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-76,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-60,-46},{-6,-46},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector, gases_dif.busConnector) annotation (Line(
            points={{-60,-46},{-44,-46},{-44,-70},{-28,-70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases_varsToFile.busConnector, gases.busConnector) annotation (
            Line(
            points={{-88,-82},{-88,-46},{-60,-46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      //if terminal() then

      /*   Streams.print("cardioVascularSystem.busConnector.Bone_PCO2\n"+String(cardioVascularSystem.busConnector.Bone_PCO2),OUTPUT_FILE);

Streams.print("cardioVascularSystem.busConnector.Brain_PCO2\n"+String(cardioVascularSystem.busConnector.Brain_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Fat_PCO2\n"+String(cardioVascularSystem.busConnector.Fat_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.GITract_PCO2\n"+String(cardioVascularSystem.busConnector.GITract_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Kidney_PCO2\n"+String(cardioVascularSystem.busConnector.Kidney_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.LeftHeart_PCO2\n"+String(cardioVascularSystem.busConnector.LeftHeart_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Liver_PCO2\n"+String(cardioVascularSystem.busConnector.Liver_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.OtherTissue_PCO2\n"+String(cardioVascularSystem.busConnector.OtherTissue_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.RespiratoryMuscle_PCO2\n"+String(cardioVascularSystem.busConnector.RespiratoryMuscle_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.RightHeart_PCO2\n"+String(cardioVascularSystem.busConnector.RightHeart_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.SkeletalMuscle_PCO2\n"+String(cardioVascularSystem.busConnector.SkeletalMuscle_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Skin_PCO2\n"+String(cardioVascularSystem.busConnector.Skin_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Urine_pH\n"+String(cardioVascularSystem.busConnector.Urine_pH),OUTPUT_FILE);

Streams.print("gases.carbonDioxyd.alveolarVentilation.solventFlowPump.q_out.conc|"+String(gases.carbonDioxyd.alveolarVentilation.solventFlowPump.q_out.conc),OUTPUT_FILE);
Streams.print("gases.carbonDioxyd.artysCO2.pCO2|"+String(gases.carbonDioxyd.artysCO2.pCO2),OUTPUT_FILE);
Streams.print("gases.carbonDioxyd.veinsCO2.pCO2|"+String(gases.carbonDioxyd.veinsCO2.pCO2),OUTPUT_FILE);
Streams.print("gases.oxygen.alveolarVentilation.solventFlowPump.q_out.conc|"+String(gases.oxygen.alveolarVentilation.solventFlowPump.q_out.conc),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.a|"+String(gases.oxygen.artysO2.a),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.FCOHb|"+String(gases.oxygen.artysO2.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.pO2|"+String(gases.oxygen.artysO2.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.a|"+String(gases.oxygen.O2Lung.a),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.FCOHb|"+String(gases.oxygen.O2Lung.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.tO2|"+String(gases.oxygen.O2Lung.tO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.a|"+String(gases.oxygen.veinsO2.a),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.FCOHb|"+String(gases.oxygen.veinsO2.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.pO2|"+String(gases.oxygen.veinsO2.pO2),OUTPUT_FILE);*/
      //end if;
        annotation (          experiment(StopTime=864000, Tolerance=1e-005));
      end Gases_test_SI;

      model WithoutProteins_test_SI
        import Physiomodel;

        import Modelica.Utilities.*;
       // constant String OUTPUT_FILE = "setup/output_startValues.txt"; //"setup/output.txt"; //"setup/v2.txt";

        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Gases.Gases gases
          annotation (Placement(transformation(extent={{-78,-64},{-58,-44}})));
        Physiomodel.Gases.IO_Bus.OutputComparison_SI
                                    gases_dif
          annotation (Placement(transformation(extent={{-38,-80},{-18,-60}})));
        Physiomodel.Gases.IO_Bus.OutputToFile_SI
                                           gases_varsToFile
          annotation (Placement(transformation(extent={{-98,-92},{-78,-72}})));
      Physiomodel.Metabolism.NutrientsAndMetabolism nutrientsAndMetabolism1
        annotation (Placement(transformation(extent={{-84,60},{-64,80}})));
      Physiomodel.Electrolytes.Electrolytes electrolytes1
        annotation (Placement(transformation(extent={{70,-36},{90,-16}})));
      Physiomodel.CardioVascular.CardioVascularSystem cVS_Dynamic
        annotation (Placement(transformation(extent={{50,60},{70,80}})));
      Physiomodel.Nerves.Nerves nerves1
        annotation (Placement(transformation(extent={{74,28},{94,48}})));
      Physiomodel.Hormones.Hormones hormones1
        annotation (Placement(transformation(extent={{44,2},{64,22}})));
      Physiomodel.Heat.Heat2 heat2_1
        annotation (Placement(transformation(extent={{-52,24},{-32,46}})));
      Physiomodel.Status.TissuesFitness tissuesFitness
        annotation (Placement(transformation(extent={{40,-72},{60,-52}})));
      Physiomodel.Water.Water3 water3_1
        annotation (Placement(transformation(extent={{-78,-12},{-58,8}})));
      Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
        annotation (Placement(transformation(extent={{-42,-34},{-22,-14}})));
      equation
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-60,-46},{-6,-46},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector, gases_dif.busConnector) annotation (Line(
            points={{-60,-46},{-44,-46},{-44,-70},{-28,-70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases_varsToFile.busConnector, gases.busConnector) annotation (
            Line(
            points={{-88,-82},{-88,-46},{-60,-46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      //if terminal() then

      /*   Streams.print("cardioVascularSystem.busConnector.Bone_PCO2\n"+String(cardioVascularSystem.busConnector.Bone_PCO2),OUTPUT_FILE);

Streams.print("cardioVascularSystem.busConnector.Brain_PCO2\n"+String(cardioVascularSystem.busConnector.Brain_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Fat_PCO2\n"+String(cardioVascularSystem.busConnector.Fat_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.GITract_PCO2\n"+String(cardioVascularSystem.busConnector.GITract_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Kidney_PCO2\n"+String(cardioVascularSystem.busConnector.Kidney_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.LeftHeart_PCO2\n"+String(cardioVascularSystem.busConnector.LeftHeart_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Liver_PCO2\n"+String(cardioVascularSystem.busConnector.Liver_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.OtherTissue_PCO2\n"+String(cardioVascularSystem.busConnector.OtherTissue_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.RespiratoryMuscle_PCO2\n"+String(cardioVascularSystem.busConnector.RespiratoryMuscle_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.RightHeart_PCO2\n"+String(cardioVascularSystem.busConnector.RightHeart_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.SkeletalMuscle_PCO2\n"+String(cardioVascularSystem.busConnector.SkeletalMuscle_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Skin_PCO2\n"+String(cardioVascularSystem.busConnector.Skin_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Urine_pH\n"+String(cardioVascularSystem.busConnector.Urine_pH),OUTPUT_FILE);

Streams.print("gases.carbonDioxyd.alveolarVentilation.solventFlowPump.q_out.conc|"+String(gases.carbonDioxyd.alveolarVentilation.solventFlowPump.q_out.conc),OUTPUT_FILE);
Streams.print("gases.carbonDioxyd.artysCO2.pCO2|"+String(gases.carbonDioxyd.artysCO2.pCO2),OUTPUT_FILE);
Streams.print("gases.carbonDioxyd.veinsCO2.pCO2|"+String(gases.carbonDioxyd.veinsCO2.pCO2),OUTPUT_FILE);
Streams.print("gases.oxygen.alveolarVentilation.solventFlowPump.q_out.conc|"+String(gases.oxygen.alveolarVentilation.solventFlowPump.q_out.conc),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.a|"+String(gases.oxygen.artysO2.a),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.FCOHb|"+String(gases.oxygen.artysO2.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.pO2|"+String(gases.oxygen.artysO2.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.a|"+String(gases.oxygen.O2Lung.a),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.FCOHb|"+String(gases.oxygen.O2Lung.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.tO2|"+String(gases.oxygen.O2Lung.tO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.a|"+String(gases.oxygen.veinsO2.a),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.FCOHb|"+String(gases.oxygen.veinsO2.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.pO2|"+String(gases.oxygen.veinsO2.pO2),OUTPUT_FILE);*/
      //end if;
      connect(gases.busConnector, electrolytes1.busConnector) annotation (Line(
          points={{-60,-46},{-6,-46},{-6,-22},{70,-22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(nutrientsAndMetabolism1.busConnector, cVS_Dynamic.busConnector)
        annotation (Line(
          points={{-66,78},{52,78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(cVS_Dynamic.busConnector, gases.busConnector) annotation (Line(
          points={{52,78},{-6,78},{-6,-46},{-60,-46}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(cVS_Dynamic.busConnector, nerves1.busConnector) annotation (Line(
          points={{52,78},{-6,78},{-6,45.6},{76.2,45.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(nutrientsAndMetabolism1.busConnector, hormones1.busConnector)
        annotation (Line(
          points={{-66,78},{-6,78},{-6,17.9},{47.9,17.9}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(nutrientsAndMetabolism1.busConnector, heat2_1.busConnector)
        annotation (Line(
          points={{-66,78},{-6,78},{-6,45.56},{-51.4,45.56}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(electrolytes1.busConnector, tissuesFitness.busConnector)
        annotation (Line(
          points={{70,-22},{-6,-22},{-6,-54},{41.2,-54},{41.2,-52.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(hormones1.busConnector, water3_1.busConnector) annotation (Line(
          points={{47.9,17.9},{-6,17.9},{-6,5},{-61,5}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(water3_1.busConnector, proteins.busConnector) annotation (Line(
          points={{-61,5},{-6,5},{-6,-24},{-32,-24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
        annotation (          experiment(StopTime=3600, Tolerance=1e-005));
      end WithoutProteins_test_SI;

      model GasesAndElectrolytes_test_SI
        import Physiomodel;

        import Modelica.Utilities.*;
       // constant String OUTPUT_FILE = "setup/output_startValues.txt"; //"setup/output.txt"; //"setup/v2.txt";

      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI
                                                nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-86,60},{-66,80}})));
        Physiomodel.Electrolytes.Electrolytes            electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.Gases gases
          annotation (Placement(transformation(extent={{-78,-64},{-58,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Gases.IO_Bus.OutputComparison_SI
                                    gases_dif
          annotation (Placement(transformation(extent={{-38,-80},{-18,-60}})));
        Physiomodel.Gases.IO_Bus.OutputToFile_SI
                                           gases_varsToFile
          annotation (Placement(transformation(extent={{-98,-92},{-78,-72}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-76,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{74,-20},{-6,-20},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-60,-46},{-6,-46},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector, gases_dif.busConnector) annotation (Line(
            points={{-60,-46},{-44,-46},{-44,-70},{-28,-70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases_varsToFile.busConnector, gases.busConnector) annotation (
            Line(
            points={{-88,-82},{-88,-46},{-60,-46}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      //if terminal() then

      /*   Streams.print("cardioVascularSystem.busConnector.Bone_PCO2\n"+String(cardioVascularSystem.busConnector.Bone_PCO2),OUTPUT_FILE);

Streams.print("cardioVascularSystem.busConnector.Brain_PCO2\n"+String(cardioVascularSystem.busConnector.Brain_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Fat_PCO2\n"+String(cardioVascularSystem.busConnector.Fat_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.GITract_PCO2\n"+String(cardioVascularSystem.busConnector.GITract_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Kidney_PCO2\n"+String(cardioVascularSystem.busConnector.Kidney_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.LeftHeart_PCO2\n"+String(cardioVascularSystem.busConnector.LeftHeart_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Liver_PCO2\n"+String(cardioVascularSystem.busConnector.Liver_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.OtherTissue_PCO2\n"+String(cardioVascularSystem.busConnector.OtherTissue_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.RespiratoryMuscle_PCO2\n"+String(cardioVascularSystem.busConnector.RespiratoryMuscle_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.RightHeart_PCO2\n"+String(cardioVascularSystem.busConnector.RightHeart_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.SkeletalMuscle_PCO2\n"+String(cardioVascularSystem.busConnector.SkeletalMuscle_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Skin_PCO2\n"+String(cardioVascularSystem.busConnector.Skin_PCO2),OUTPUT_FILE);
Streams.print("cardioVascularSystem.busConnector.Urine_pH\n"+String(cardioVascularSystem.busConnector.Urine_pH),OUTPUT_FILE);

Streams.print("gases.carbonDioxyd.alveolarVentilation.solventFlowPump.q_out.conc|"+String(gases.carbonDioxyd.alveolarVentilation.solventFlowPump.q_out.conc),OUTPUT_FILE);
Streams.print("gases.carbonDioxyd.artysCO2.pCO2|"+String(gases.carbonDioxyd.artysCO2.pCO2),OUTPUT_FILE);
Streams.print("gases.carbonDioxyd.veinsCO2.pCO2|"+String(gases.carbonDioxyd.veinsCO2.pCO2),OUTPUT_FILE);
Streams.print("gases.oxygen.alveolarVentilation.solventFlowPump.q_out.conc|"+String(gases.oxygen.alveolarVentilation.solventFlowPump.q_out.conc),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.a|"+String(gases.oxygen.artysO2.a),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.FCOHb|"+String(gases.oxygen.artysO2.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.artysO2.pO2|"+String(gases.oxygen.artysO2.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.a|"+String(gases.oxygen.O2Lung.a),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.FCOHb|"+String(gases.oxygen.O2Lung.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.O2Lung.tO2|"+String(gases.oxygen.O2Lung.tO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.boneO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.boneO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.brainO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.brainO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.fatO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.fatO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.GITractO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.GITractO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.kidneyO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.kidneyO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.leftHeartO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.liverO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.liverO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.otherTissueO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.respiratoryMuscleO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.rightHeartO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.skeletalMuscleO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.a|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.a),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.FCOHb|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.tissuesO2.skinO2.O2Tissue.pO2|"+String(gases.oxygen.tissuesO2.skinO2.O2Tissue.pO2),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.a|"+String(gases.oxygen.veinsO2.a),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.FCOHb|"+String(gases.oxygen.veinsO2.FCOHb),OUTPUT_FILE);
Streams.print("gases.oxygen.veinsO2.pO2|"+String(gases.oxygen.veinsO2.pO2),OUTPUT_FILE);*/
      //end if;
        annotation (          experiment(StopTime=1e+006, Tolerance=1e-005));
      end GasesAndElectrolytes_test_SI;
    end IO_Bus;
    annotation (Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: HumMod 1.6, University of Mississippi Medical Center</p></td>
</tr>
<tr>
<td></td>
<td><p><br><br>Siggaard Andersen: OSA (2005), University of Copenhagen</p><p>M. Matej&aacute;k, T. Kulh&aacute;nek, and S. Matou&scaron;ek, &QUOT;Adair-based hemoglobin equilibrium with oxygen, carbon dioxide and hydrogen ion activity,&QUOT; Scandinavian Journal of Clinical &AMP; Laboratory Investigation, pp. 1-8, 2015.</p></td>
</tr>
</table>
<p><br><br>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>"));
  end Gases;

  package Water "Body Water"
    extends Physiolibrary.Icons.WaterLib;
    package Hydrostatics
    "Hydrostatic pressure difference in upper, midle and lower torso"

    block Constant "Generate constant signal of type Posture"
      parameter Posture k=Posture.Lying "Constant output value";

      PostureOutput y "Connector of Real output signal"
        annotation (Placement(transformation(extent={{100,-10},{120,10}})));

    equation
      y = k;

      annotation (
        Icon(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        grid={2,2},
        initialScale=0.04), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-100,-40},{100,46}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%k")}),
        Diagram(coordinateSystem(
        preserveAspectRatio=true,
        extent={{-100,-100},{100,100}},
        grid={2,2},
        initialScale=0.04), graphics={Text(
                extent={{-100,-100},{100,100}},
                lineColor={0,0,0},
                textString="%k")}),
    Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
    end Constant;

      type Posture = enumeration(
        Lying,
        Sitting,
        Standing,
        Tilting,
        SteadyState);

      model TorsoHydrostatics

         parameter Physiolibrary.Types.Fraction Alpha =   0.1667
        "torso: capilary pressure coeficient between artery and vein pressure";
         parameter Physiolibrary.Types.Acceleration GravityAcceleration = 9.81
        "gravity constant";
         parameter Physiolibrary.Types.Density BloodDensity = 1060
        "blood density";

         parameter Physiolibrary.Types.Position TorsoHeight
        "torso: center of gravity - height";

         parameter Physiolibrary.Types.Fraction artyFractGz[Posture]
        "torso: arty hydrostatic effects for posturing";
         parameter Physiolibrary.Types.Fraction veinFractGz[Posture]
        "torso: vein hydrostatic effects for posturing";

         Physiolibrary.Types.Fraction ArtyFractGz;
         Physiolibrary.Types.Fraction VeinFractGz;
         Physiolibrary.Types.Pressure TorsoArtyGradient;
         Physiolibrary.Types.Pressure TorsoVeinGradient;
         Physiolibrary.Types.Pressure Arty;
         Physiolibrary.Types.Pressure Vein;

        Physiolibrary.Types.RealIO.FractionInput
                                           Pump_Effect "xNormal"
                                                 annotation (Placement(transformation(extent={{
                  -120,-100},{-80,-60}}), iconTransformation(extent={{-120,-100},{-80,
                  -60}})));
        Physiolibrary.Types.RealIO.PressureInput
                                           fromPressure
        "torso: systemic arteries pressure"                               annotation (Placement(transformation(extent={{
                  -120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,40}})));
        Physiolibrary.Types.RealIO.PressureInput
                                           toPressure
        "torso: systemic veins pressure"                                     annotation (Placement(transformation(extent={{-120,
                  -40},{-80,0}}),       iconTransformation(extent={{-120,-40},{-80,0}})));
        PostureInput Status_Posture "Lying, Sitting, Standing or Tilting"           annotation (Placement(transformation(
                extent={{-120,60},{-80,100}}), iconTransformation(extent={{-120,60},{
                  -80,100}})));
        Physiolibrary.Types.RealIO.PressureOutput Capy
        "torso: average capilaries pressure"                                                        annotation (Placement(transformation(extent={{80,-20},
                  {120,20}}), iconTransformation(extent={{80,-20},{120,20}})));
      equation
         ArtyFractGz = artyFractGz[Status_Posture];
         VeinFractGz = veinFractGz[Status_Posture]; //in legs veins are valves

         TorsoArtyGradient  =  TorsoHeight * GravityAcceleration * BloodDensity * ArtyFractGz;  //Hydrostatic pressure: P=ro.g.h
         //cm *  0.01 m/cm * 9.81 m/s² * 1060 kg/m3 * 1/133.322 mmHg/Pa
         //= height[cm] * 0.77996129671022036873134216408395 [mmHg]
         //Blood density = 1060 kg/m3: Cutnell, John & Johnson, Kenneth. Physics, Fourth Edition. Wiley, 1998: 308.

         //bloodDensity = 1060 kg/m3
         //gravityAcceleration = 9.81 m/s2
         //Pa2mmHg = 1/133.322 mmHg/Pa
         //cm2m = 0.01 m/cm
         //averageHydrostaticHeight = TorsoCM * postureCoef[Status_Posture]
         //hydrostaticPressure = averageHydrostaticHeight * cm2m * bloodDensity * gravityAcceleration * Pa2mmHg
         //                    = 0.77996 * averageHydrostaticHeight

         TorsoVeinGradient  =  TorsoHeight * GravityAcceleration * BloodDensity * VeinFractGz;

         Arty  = max( (fromPressure + TorsoArtyGradient), 0);
         Vein  = max( toPressure + ( TorsoVeinGradient * Pump_Effect), 0);  //only lower torso has LegMusclePump_Effect
         Capy  = max( ( Alpha * Arty)   + ( 1.0 - Alpha)  * Vein, 0);

       annotation (
      Documentation(info="<HTML>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"));
      end TorsoHydrostatics;

      model Hydrostatics
        extends Physiolibrary.Icons.Hydrostatics;

         parameter Real TiltTable_Degrees( final quantity="Angle", final displayUnit="Deg")= 0;

        TorsoHydrostatics UpperTorsoHydrostatics(
          artyFractGz={0,1,1,sin(Modelica.SIunits.Conversions.from_deg(
              TiltTable_Degrees)),1.76947},
          veinFractGz={0,1,1,sin(Modelica.SIunits.Conversions.from_deg(
              TiltTable_Degrees)),1.76947},
          TorsoHeight=-0.1)
          annotation (Placement(transformation(extent={{-12,34},{16,62}})));

        TorsoHydrostatics LowerTorsoHydrostatics(
          artyFractGz={0,0.7,1,sin(Modelica.SIunits.Conversions.from_deg(
              TiltTable_Degrees)),0.0190301},
          veinFractGz={0.2,0.7,1,0.2 + sin(Modelica.SIunits.Conversions.from_deg(
              TiltTable_Degrees)),0.0190301},
          TorsoHeight=0.5)
          annotation (Placement(transformation(extent={{-12,-42},{16,-14}})));

        TorsoHydrostatics MiddleTorsoHydrostatics(
          artyFractGz={0,1,1,sin(Modelica.SIunits.Conversions.from_deg(
              TiltTable_Degrees)),-0.00024891},
          veinFractGz={0,1,1,sin(Modelica.SIunits.Conversions.from_deg(
              TiltTable_Degrees)),-0.00024891},
          TorsoHeight=0.04)
          annotation (Placement(transformation(extent={{-12,-4},{16,24}})));

      Physiolibrary.Types.Constants.FractionConst             PumpEffect(k=1)
        annotation (Placement(transformation(extent={{-40,32},{-36,36}})));
        Physiolibrary.Types.RealIO.PressureInput
                                           SystemicArtys_Pressure
          annotation (Placement(transformation(extent={{-44,56},{-40,60}}),
              iconTransformation(extent={{-100,-30},{-80,-10}})));
        Physiolibrary.Types.RealIO.PressureInput
                                           RightAtrium_Pressure
          annotation (Placement(transformation(extent={{-34,66},{-30,70}}),
              iconTransformation(extent={{-100,10},{-80,30}})));
        Physiolibrary.Types.RealIO.FractionInput
                                           LegMusclePump_Effect
          annotation (Placement(transformation(extent={{-46,-42},{-38,-34}}),
              iconTransformation(extent={{-100,-90},{-80,-70}})));
        Modelica.Blocks.Interfaces.RealInput Status_Posture
        "Lying, Sitting, Standing or Tilting"                                     annotation (Placement(transformation(
                extent={{-90,22},{-86,26}}), iconTransformation(extent={{-100,70},{-80,
                  90}})));
        Physiolibrary.Types.RealIO.PressureOutput
                                            RegionalPressure_UpperCapy
                                                annotation (Placement(transformation(
                extent={{42,44},{50,52}}),     iconTransformation(extent={{90,20},{
                  110,40}})));
        Physiolibrary.Types.RealIO.PressureOutput
                                            RegionalPressure_MiddleCapy
                                                annotation (Placement(transformation(
                extent={{42,6},{50,14}}),      iconTransformation(extent={{90,-20},{
                  110,0}})));
        Physiolibrary.Types.RealIO.PressureOutput
                                            RegionalPressure_LowerCapy
                                                annotation (Placement(transformation(
                extent={{42,-32},{50,-24}}),   iconTransformation(extent={{90,-60},{
                  110,-40}})));
        Real2Posture real2Posture
          annotation (Placement(transformation(extent={{-72,20},{-64,28}})));
      equation
        connect(RightAtrium_Pressure,LowerTorsoHydrostatics. toPressure) annotation (
            Line(
            points={{-32,68},{-28,68},{-28,-30.8},{-12,-30.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RightAtrium_Pressure,MiddleTorsoHydrostatics. toPressure) annotation (
           Line(
            points={{-32,68},{-28,68},{-28,7.2},{-12,7.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(RightAtrium_Pressure,UpperTorsoHydrostatics. toPressure) annotation (
            Line(
            points={{-32,68},{-28,68},{-28,45.2},{-12,45.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PumpEffect.y,UpperTorsoHydrostatics. Pump_Effect) annotation (Line(
            points={{-35.5,34},{-26,34},{-26,36.8},{-12,36.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MiddleTorsoHydrostatics.Pump_Effect,PumpEffect. y) annotation (Line(
            points={{-12,-1.2},{-26,-1.2},{-26,34},{-35.5,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SystemicArtys_Pressure,LowerTorsoHydrostatics. fromPressure)
          annotation (Line(
            points={{-42,58},{-30,58},{-30,-25.2},{-12,-25.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SystemicArtys_Pressure,MiddleTorsoHydrostatics. fromPressure)
          annotation (Line(
            points={{-42,58},{-30,58},{-30,12.8},{-12,12.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SystemicArtys_Pressure,UpperTorsoHydrostatics. fromPressure)
          annotation (Line(
            points={{-42,58},{-30,58},{-30,50.8},{-12,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LegMusclePump_Effect,LowerTorsoHydrostatics. Pump_Effect) annotation (
           Line(
            points={{-42,-38},{-32,-38},{-32,-39.2},{-12,-39.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(UpperTorsoHydrostatics.Capy, RegionalPressure_UpperCapy) annotation (
            Line(
            points={{16,48},{46,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MiddleTorsoHydrostatics.Capy, RegionalPressure_MiddleCapy)
          annotation (Line(
            points={{16,10},{46,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LowerTorsoHydrostatics.Capy, RegionalPressure_LowerCapy) annotation (
            Line(
            points={{16,-28},{46,-28}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(UpperTorsoHydrostatics.Status_Posture, real2Posture.y) annotation (
            Line(
            points={{-12,59.2},{-32,59.2},{-32,24},{-63.2,24}},
            color={0,127,127},
            smooth=Smooth.None));

        connect(real2Posture.y, MiddleTorsoHydrostatics.Status_Posture) annotation (
            Line(
            points={{-63.2,24},{-32,24},{-32,21.2},{-12,21.2}},
            color={0,127,127},
            smooth=Smooth.None));
        connect(LowerTorsoHydrostatics.Status_Posture, real2Posture.y) annotation (
            Line(
            points={{-12,-16.8},{-32,-16.8},{-32,24},{-63.2,24}},
            color={0,127,127},
            smooth=Smooth.None));
      connect(Status_Posture, real2Posture.u) annotation (Line(
          points={{-88,24},{-72.8,24}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-100,122},{100,102}},
                lineColor={0,0,255},
                textString="%name"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
      end Hydrostatics;

      connector PostureInput =
                            input Posture "'input Posture' as connector"
        annotation (defaultComponentName="u",
        Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,127,127},
              fillColor={0,127,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{100,-50},{700,50}},
              lineColor={0,127,127},
              textString="%name")},
             coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
        Diagram(coordinateSystem(
              preserveAspectRatio=true, initialScale=0.2,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,127,127},
              fillColor={0,127,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={0,127,127},
              textString="%name")}),
          Documentation(info="<html>
<p>
Connector with one input signal of type Posture.
</p>
</html>"));

      connector PostureOutput =
                          output Posture "'input Posture' as connector"
      annotation (defaultComponentName="u",
      Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,127,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{100,-50},{700,50}},
              lineColor={0,127,127},
              textString="%name")},
           coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
      Diagram(coordinateSystem(
            preserveAspectRatio=true, initialScale=0.2,
            extent={{-100,-100},{100,100}},
            grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,127,127},
              fillColor={0,127,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={0,127,127},
              textString="%name")}),
        Documentation(info="<html>
<p>
Connector with one input signal of type Posture.
</p>
</html>"));

    model Real2Posture "Convert Real to type Posture"
      extends Physiolibrary.Icons.ConversionIcon;

      PostureOutput y "Connector of Real output signal"
        annotation (Placement(transformation(extent={{60,-20},{80,0}}), iconTransformation(extent={{100,-20},{140,20}})));

      Modelica.Blocks.Interfaces.RealInput u
                                      annotation (Placement(transformation(extent={{-130,
                -20},{-90,20}}),      iconTransformation(extent={{-140,-20},{-100,20}})));
      Integer tmp;
    equation

      tmp = integer(u);
      y = if tmp <= 0 then Posture.Lying elseif tmp == 1 then Posture.Sitting
       elseif tmp == 2 then Posture.Standing
       elseif tmp == 3 then Posture.Tilting else Posture.SteadyState;
      annotation (
    Documentation(info="<html>
<p>
The Real output y is a constant signal:
</p>
</html>"));
    end Real2Posture;
    end Hydrostatics;

    package Osmoles "Intracellular vs. Extracellular Water"

      model OsmBody

        Physiolibrary.Types.RealIO.AmountOfSubstanceInput
                                           OsmECFV_Electrolytes                                annotation (Placement(transformation(
                extent={{-120,50},{-80,90}}), iconTransformation(extent={{-100,88},{-76,
                  112}})));
        Physiolibrary.Types.RealIO.AmountOfSubstanceInput
                                           OsmCell_Electrolytes                                annotation (Placement(transformation(
                extent={{-120,-10},{-80,30}}),
                                             iconTransformation(extent={{-100,48},{-76,
                  72}})));
        Physiolibrary.Types.RealIO.AmountOfSubstanceInput
                                           UreaECF      annotation (Placement(
              transformation(extent={{-120,20},{-80,60}}), iconTransformation(extent={{-100,8},
                  {-76,32}})));
        Physiolibrary.Types.RealIO.AmountOfSubstanceInput
                                           UreaICF      annotation (Placement(
              transformation(extent={{-120,-40},{-80,0}}),iconTransformation(extent={{-100,
                  -32},{-76,-8}})));
        Physiolibrary.Types.RealIO.VolumeInput
                                           BodyH2O_Vol "all water in body"
                                                               annotation (Placement(transformation(extent={{-120,
                  -110},{-80,-70}}),   iconTransformation(extent={{-100,-112},{-76,-88}})));
        Physiolibrary.Types.RealIO.VolumeOutput
                                            ECFV "extracellular water"
                                                           annotation (Placement(transformation(extent={{60,-80},
                  {100,-40}}),iconTransformation(extent={{92,28},{116,52}})));
        Physiolibrary.Types.RealIO.VolumeOutput
                                            ICFV "intracellular water"
                                                           annotation (Placement(transformation(extent={{60,60},
                  {100,100}}),iconTransformation(extent={{92,68},{116,92}})));

        parameter Physiolibrary.Types.Fraction Dissociation = 0.890;

        Physiolibrary.Types.AmountOfSubstance OsmECFV_NonElectrolytes;
        Physiolibrary.Types.AmountOfSubstance OsmCell_NonElectrolytes;
        Physiolibrary.Types.AmountOfSubstance Electrolytes;
        Physiolibrary.Types.AmountOfSubstance NonElectrolytes;
        Physiolibrary.Types.AmountOfSubstance Total;
        Physiolibrary.Types.AmountOfSubstance ECFVActiveElectrolytes;
        Physiolibrary.Types.AmountOfSubstance ICFVActiveElectrolytes;
        Physiolibrary.Types.AmountOfSubstance ActiveElectrolytes;
        Physiolibrary.Types.AmountOfSubstance ECFVActiveOsmoles;
        Physiolibrary.Types.AmountOfSubstance ICFVActiveOsmoles;
        Physiolibrary.Types.AmountOfSubstance ActiveOsmoles(start=11.6831341496947);
      //  Real Osm_conc_CellWall;
        //Real Osm_conc_Osmoreceptors;
        Physiolibrary.Types.RealIO.OsmolarityOutput
                                            OsmBody_Osm_conc_CellWalls      annotation (
            Placement(transformation(extent={{60,-20},{100,20}}), iconTransformation(
                extent={{92,-12},{116,12}})));
        Physiolibrary.Types.RealIO.OsmolarityOutput
                                            Osmoreceptors( start=0.25331)
                                                                  annotation (
            Placement(transformation(extent={{60,-54},{100,-14}}),iconTransformation(
                extent={{92,-52},{116,-28}})));
        Physiolibrary.Types.RealIO.AmountOfSubstanceInput
                                           GlucoseECF   annotation (Placement(
              transformation(extent={{-120,-40},{-80,0}}),iconTransformation(extent={{-100,
                  -72},{-76,-48}})));
        Physiolibrary.Types.RealIO.OsmolarityOutput ECFVOsmolarity annotation (
            Placement(transformation(extent={{60,-120},{100,-80}}),
              iconTransformation(extent={{92,-92},{116,-68}})));
      equation
            OsmECFV_NonElectrolytes = UreaECF + GlucoseECF + 0.340;
            OsmCell_NonElectrolytes = UreaICF + 0.354;

             Electrolytes  =  OsmECFV_Electrolytes + OsmCell_Electrolytes;
             NonElectrolytes  =  OsmECFV_NonElectrolytes + OsmCell_NonElectrolytes;
             Total  =  Electrolytes + NonElectrolytes;
             ECFVActiveElectrolytes  =  Dissociation * OsmECFV_Electrolytes;
             ICFVActiveElectrolytes  =  Dissociation * OsmCell_Electrolytes;
             ActiveElectrolytes  =  ECFVActiveElectrolytes + ICFVActiveElectrolytes;
             ECFVActiveOsmoles  =  ECFVActiveElectrolytes + OsmECFV_NonElectrolytes;
             ICFVActiveOsmoles  =  ICFVActiveElectrolytes + OsmCell_NonElectrolytes;
             ActiveOsmoles  =  ECFVActiveOsmoles + ICFVActiveOsmoles;
             OsmBody_Osm_conc_CellWalls  =  ActiveOsmoles / BodyH2O_Vol;
             Osmoreceptors  = ActiveElectrolytes / BodyH2O_Vol; //, simplified=0.25331);
             ICFV  =  ( ICFVActiveOsmoles / ActiveOsmoles)  * BodyH2O_Vol;
             ECFV  =  BodyH2O_Vol - ICFV; // == ( ECFVActiveOsmoles / ActiveOsmoles)  * BodyH2O_Vol

             ECFVOsmolarity = ECFVActiveOsmoles/ECFV; // == OsmBody_Osm_conc_CellWalls
      annotation (
      Documentation(info="<html>
<pre>QHP 2008 / OsmBody

</pre>
<p><br/><br/>Intracellular water calculation from cells osmotic pressure.</p>
</html>",
       revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"));
      end OsmBody;

      model ActiveOsmolesFake
      "Fake Distribution of active osmoles into extracellular parts to have the same extracellular osmolarity (typically 285 mosm/l)"

        Modelica.Blocks.Math.Product plasmaOsmoles
          annotation (Placement(transformation(extent={{40,9},{52,20}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-20,32},{-8,44}}),iconTransformation(extent={
                {-118,62},{-80,100}})));
        Modelica.Blocks.Math.Product upperTorsoInterstitialOsmoles
          annotation (Placement(transformation(extent={{40,-15},{52,-4}})));
        Modelica.Blocks.Math.Product middleTorsoInterstitialOsmoles
          annotation (Placement(transformation(extent={{40,-35},{52,-24}})));
        Modelica.Blocks.Math.Product lowerTorsoInterstitialOsmoles
          annotation (Placement(transformation(extent={{40,-57},{52,-46}})));
        Modelica.Blocks.Math.Product plasmaOsmoles1
          annotation (Placement(transformation(extent={{40,31},{52,42}})));
      equation
        connect(busConnector.PlasmaVol, plasmaOsmoles.u2) annotation (Line(
            points={{-14,38},{-14,11.2},{38.8,11.2}},
            color={255,204,51},
            thickness=0.5,
            smooth=Smooth.None));
        connect(plasmaOsmoles.y, busConnector.PlasmaActiveOsmoles) annotation (Line(
            points={{52.6,14.5},{90,14.5},{90,25},{-14,25},{-14,38}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.ECFVOsmolarity, plasmaOsmoles.u1) annotation (Line(
            points={{-14,38},{-14,17.8},{38.8,17.8}},
            color={255,204,51},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(upperTorsoInterstitialOsmoles.y, busConnector.UT.InterstitialOsmoles)
          annotation (Line(
            points={{52.6,-9.5},{92,-9.5},{92,1},{-14,1},{-14,38}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.ECFVOsmolarity, upperTorsoInterstitialOsmoles.u1)
          annotation (Line(
            points={{-14,38},{-14,-6.2},{38.8,-6.2}},
            color={255,204,51},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.MT.InterstitialWater_Vol, middleTorsoInterstitialOsmoles.u2)
          annotation (Line(
            points={{-14,38},{-14,-32.8},{38.8,-32.8}},
            color={255,204,51},
            thickness=0.5,
            smooth=Smooth.None));
        connect(middleTorsoInterstitialOsmoles.y, busConnector.MT.InterstitialOsmoles)
          annotation (Line(
            points={{52.6,-29.5},{92,-29.5},{92,-19},{-14,-19},{-14,38}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.ECFVOsmolarity, middleTorsoInterstitialOsmoles.u1)
          annotation (Line(
            points={{-14,38},{-14,-26.2},{38.8,-26.2}},
            color={255,204,51},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.LT.InterstitialWater_Vol, lowerTorsoInterstitialOsmoles.u2) annotation (
           Line(
            points={{-14,38},{-14,-54.8},{38.8,-54.8}},
            color={255,204,51},
            thickness=0.5,
            smooth=Smooth.None));
        connect(lowerTorsoInterstitialOsmoles.y, busConnector.LT.InterstitialOsmoles)
          annotation (Line(
            points={{52.6,-51.5},{92,-51.5},{92,-41},{-14,-41},{-14,38}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.ECFVOsmolarity, lowerTorsoInterstitialOsmoles.u1)
          annotation (Line(
            points={{-14,38},{-14,-48.2},{38.8,-48.2}},
            color={255,204,51},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.UT.InterstitialWater_Vol, upperTorsoInterstitialOsmoles.u2)
          annotation (Line(
            points={{-14,38},{-14,-12.8},{38.8,-12.8}},
            color={255,204,51},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(busConnector.RBCH2O_Vol, plasmaOsmoles1.u2) annotation (Line(
          points={{-14,38},{-14,33.2},{38.8,33.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(plasmaOsmoles1.y, busConnector.ErythrocytesOsmoles) annotation (
          Line(
          points={{52.6,36.5},{88,36.5},{88,52},{-14,52},{-14,38}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.ECFVOsmolarity, plasmaOsmoles1.u1) annotation (Line(
          points={{-14,38},{-14,39.8},{38.8,39.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      end ActiveOsmolesFake;

      model ActiveOsmolesFake2
      "Fake Distribution of active osmoles into extracellular parts to have the same extracellular osmolarity (typically 285 mosm/l)"

        Physiolibrary.Types.Constants.AmountOfSubstanceConst plasmaOsmoles(k=0.82)
          annotation (Placement(transformation(extent={{40,9},{52,20}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-20,32},{-8,44}}),iconTransformation(extent={
                {-118,62},{-80,100}})));
        Physiolibrary.Types.Constants.AmountOfSubstanceConst upperTorsoInterstitialOsmoles(k=0.62)
          annotation (Placement(transformation(extent={{40,-15},{52,-4}})));
        Physiolibrary.Types.Constants.AmountOfSubstanceConst middleTorsoInterstitialOsmoles(k=1.55)
          annotation (Placement(transformation(extent={{40,-35},{52,-24}})));
        Physiolibrary.Types.Constants.AmountOfSubstanceConst lowerTorsoInterstitialOsmoles(k=0.93)
          annotation (Placement(transformation(extent={{40,-57},{52,-46}})));
        Physiolibrary.Types.Constants.AmountOfSubstanceConst ErythrocytesOsmoles(k=0.43)
          annotation (Placement(transformation(extent={{40,31},{52,42}})));
      equation
        connect(plasmaOsmoles.y, busConnector.PlasmaActiveOsmoles) annotation (Line(
            points={{53.5,14.5},{90,14.5},{90,25},{-14,25},{-14,38}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(upperTorsoInterstitialOsmoles.y, busConnector.UT.InterstitialOsmoles)
          annotation (Line(
            points={{53.5,-9.5},{92,-9.5},{92,1},{-14,1},{-14,38}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(middleTorsoInterstitialOsmoles.y, busConnector.MT.InterstitialOsmoles)
          annotation (Line(
            points={{53.5,-29.5},{92,-29.5},{92,-19},{-14,-19},{-14,38}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(lowerTorsoInterstitialOsmoles.y, busConnector.LT.InterstitialOsmoles)
          annotation (Line(
            points={{53.5,-51.5},{92,-51.5},{92,-41},{-14,-41},{-14,38}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ErythrocytesOsmoles.y, busConnector.ErythrocytesOsmoles) annotation (
            Line(
            points={{53.5,36.5},{88,36.5},{88,52},{-14,52},{-14,38}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      end ActiveOsmolesFake2;
    end Osmoles;

    package WaterCompartments "Body Water Distribution"

      model Outtake

      Physiolibrary.Osmotic.Interfaces.OsmoticPort_a     H2OLoss annotation (
          Placement(transformation(extent={{-120,-20},{-80,20}}),
            iconTransformation(extent={{-110,-10},{-90,10}})));

      //parameter Real H2OTarget(final quantity="VolumeFlowRate",final displayUnit="ml/min") = 0;

      parameter Real H2OMassEffect[ :,3] = {{  0.0,  0.0,  0.0}, { 50.0,  1.0,  0.0}}
        "volume to outtake effect";

      Physiolibrary.Osmotic.Sources.SolventOutflux  outputPump(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{20,-20},{60,20}})));
      Physiolibrary.Blocks.Interpolation.Curve curve(
        x=H2OMassEffect[:, 1],
        y=H2OMassEffect[:, 2],
        slope=H2OMassEffect[:, 3])
        annotation (Placement(transformation(extent={{-60,24},{-40,44}})));
        Modelica.Blocks.Math.Product product
          annotation (Placement(transformation(extent={{-8,30},{12,50}})));
        Physiolibrary.Types.RealIO.VolumeFlowRateOutput
                                              outflow "volume flow rate"
                                               annotation (Placement(
              transformation(extent={{80,-60},{120,-20}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              origin={100,-40})));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput
                                             H2OTarget(displayUnit="ml/min")
        "maximal volume outflow rate"
          annotation (Placement(transformation(extent={{-100,60},{-60,100}}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,40})));
        Physiolibrary.Types.RealIO.VolumeInput H2OVolume "volume" annotation (
            Placement(transformation(extent={{-118,22},{-78,62}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,40})));
      equation

        connect(curve.val, product.u2) annotation (Line(
            points={{-40,34},{-10,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, outflow) annotation (Line(
            points={{13,40},{84,40},{84,-40},{100,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OTarget, product.u1) annotation (Line(
            points={{-80,80},{-24,80},{-24,46},{-10,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, outputPump.solutionFlow) annotation (Line(
            points={{13,40},{40,40},{40,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OVolume, curve.u) annotation (Line(
            points={{-98,42},{-80,42},{-80,34},{-60,34}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(H2OLoss, outputPump.q_in) annotation (Line(
          points={{-100,0},{28,0}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false,extent={{-100,-100},
                  {100,100}}),       graphics={Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,255},
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255}), Text(
                extent={{-90,-40},{100,40}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name")}));
      end Outtake;

      model GILumenInternal
        extends Physiolibrary.SteadyStates.Interfaces.SteadyState(state_start=mass_start);
        extends Physiolibrary.Icons.GILumen;

        Physiolibrary.Types.RealIO.AmountOfSubstanceInput
                                             GILumenSodium
        "sodium in gastro intestinal lumen"                                                                  annotation (Placement(transformation(extent={{120,20},
                  {80,60}}),
                         iconTransformation(extent={{-100,70},{-80,90}})));
        Physiolibrary.Types.RealIO.AmountOfSubstanceInput
                                             GILumenPotassium
        "potasium in gastro intestinal lumen"                     annotation (Placement(transformation(
                extent={{120,60},{80,100}}),iconTransformation(extent={{-100,10},{-80,
                  30}})));

      Physiolibrary.Osmotic.Interfaces.OsmoticPort_b absorbtion annotation (
          Placement(transformation(extent={{60,-20},{100,20}}),
            iconTransformation(extent={{90,-10},{110,10}})));

      /*Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a env annotation (
    Placement(transformation(extent={{-120,-60},{-80,-20}}),
    iconTransformation(extent={{-120,-60},{-80,-20}})));
    */
      //parameter Physiolibrary.Types.Osmolarity Fiber_mass = 0.043;
      //parameter Real Na_EqToAllConnectedOsm(final displayUnit="mOsm/mEq") = 2;
      //parameter Real K_EqToAllConnectedOsm(final displayUnit="mOsm/mEq") = 2;
      //parameter Real initialVolume(final quantity="Volume", final displayUnit="ml") = initialValue;
      parameter Physiolibrary.Types.Volume mass_start= 0.000949201;
      Physiolibrary.Types.Volume mass(start= mass_start)
        "water volume in gastro intestinal lumen";
      Physiolibrary.Types.Osmolarity OsmNa;
      Physiolibrary.Types.Osmolarity OsmK;
      //Physiolibrary.Types.Osmolarity Fiber;

        Physiolibrary.Types.RealIO.VolumeOutput
                                              Vol
                                           annotation (Placement(transformation(
                extent={{82,60},{122,100}}), iconTransformation(extent={{82,60},{122,100}})));
        Physiolibrary.Types.RealIO.OsmolarityInput Fiber
        "dietary fiber in gastro intestinal lumen"   annotation (Placement(
              transformation(extent={{120,60},{80,100}}), iconTransformation(extent={{
                  -100,-50},{-80,-30}})));
      initial equation
        //mass = 949.201;
      equation
      //   der(mass) = (intake.q + absorbtion.q + outtake.q)/Library.SecPerMin;

       //  env.pressure = Vol; //used in diarrea or vomitus calculation
      //   OsmNa=Na_EqToAllConnectedOsm*GILumenSodium_Mass/mass;
      //   OsmK = K_EqToAllConnectedOsm*GILumenPotassium_Mass/mass;
         OsmNa=2*GILumenSodium/mass;
         OsmK =2*GILumenPotassium/mass;

      //   Fiber =Fiber_mass; ///mass;
         absorbtion.o = (Fiber + OsmNa + OsmK);

         Vol = mass;

      state = mass;
         change = (            absorbtion.q)/60;
                   /*env.q + */
          annotation (
      Documentation(info="<HTML>
<PRE>
QHP 2008 / GILumenH2O.REF



Volume ========================================

Typical lumen volume is 1000 mL on an intake of 1.4 mL/Min.
This number is based on lumen volume being 1.4% body weight
from

   JCI 36:289-296, 1957.

Data suggests a 1L oral load is nearly all absorbed in
1 Hr.  Average rate would be 17 mL/Hr with a peak rate
of about 30.

   Baldes & Smirk. J.Physiol. 82:62,1934.

Osmolar gradient is assumed to be 0.200 mOsm/mL.

   Rate = Perm * Grad
   30 = Perm * 0.200
   Perm = 150

Temperature ===================================

Typical lumen heat content is 155 kCal.

Specific heat (SH) of H2O is 0.001 (kCal/G)/DegK.

To get temperature from heat

   DegK = 1000.0 * kCal/G (or mL)
   DegC = DegK - 273.15
   DegF = ( 9 / 5 ) * DegC + 32

To get heat from temperature

   kCal = 0.001 * DegK * mL
   kCal/Min = 0.001 * DegK * mL/Min
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"), Icon(coordinateSystem(
                preserveAspectRatio=false,extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-100,-10},{100,-26}},
                lineColor={0,0,255},
                textString="(initial %initialVolume ml)"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0}),
              Text(
                extent={{-100,120},{100,104}},
                lineColor={0,0,255},
                textString="%name")}));
      end GILumenInternal;

      model GI_Absorption
        import QHP = Physiomodel;
      extends Physiolibrary.Icons.GILumen;

      Physiolibrary.Osmotic.Interfaces.OsmoticPort_b vascularH2O
        "plasma osmolarity on cell membranes"
                      annotation (Placement(transformation(extent={{80,44},{100,
                64}}), iconTransformation(extent={{90,-10},{110,10}})));
      parameter Physiolibrary.Types.Osmolarity Fiber = 0.043;
      //parameter Real Na_EqToAllConnectedOsm(final displayUnit="mOsm/mEq") = 2;
      //parameter Real K_EqToAllConnectedOsm(final displayUnit="mOsm/mEq") = 2;
      //parameter Real initialVolume(final quantity="Volume", final displayUnit="ml") =  1000;

      //    Na_EqToAllConnectedOsm=Na_EqToAllConnectedOsm,
      //    K_EqToAllConnectedOsm=K_EqToAllConnectedOsm,
        Outtake vomitus
          annotation (Placement(transformation(extent={{-7,-7},{7,7}},
              rotation=180,
              origin={-34,79})));
        Outtake diarrhea
          annotation (Placement(transformation(extent={{-27,60},{-41,74}})));
      Physiolibrary.Osmotic.Components.Membrane absorption(cond=0.15e-6/(8.314*310.15)
              /60) annotation (Placement(transformation(
              extent={{-8,-8},{8,8}},
              origin={18,22})));
      Physiolibrary.Osmotic.Sources.SolventInflux   Diet(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{-59,-52},{-49,-42}})));
      Physiolibrary.Osmotic.Sensors.FlowMeasure flowMeasure annotation (
          Placement(transformation(
            extent={{-7,-6},{7,6}},
            rotation=90,
            origin={42,33})));
      Physiolibrary.Blocks.Factors.Spline DietThirst(data={{233,0.0,0},{253,1.0,0.1},{
              313,15.0,0}})
        annotation (Placement(transformation(extent={{-64,-32},{-44,-12}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst Normal(k(displayUnit="ml/day")=
               2.3148148148148e-08)
          annotation (Placement(transformation(extent={{-68,-14},{-60,-6}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-98,80},{-78,100}}), iconTransformation(
              extent={{-106,-10},{-86,10}})));
      Physiolibrary.Osmotic.Sensors.FlowMeasure   flowMeasure1 annotation (
          Placement(transformation(
            extent={{-7,7},{7,-7}},
            rotation=90,
            origin={-31,-1})));
        Physiolibrary.Osmotic.Components.OsmoticCell GILumen(
            useImpermeableSolutesInput=true, volume_start=0.0009492)
          annotation (Placement(transformation(extent={{-34,12},{-14,32}})));
        Modelica.Blocks.Math.Add3 osmoles(
          k1=2,
          k2=2,
          k3=1) annotation (Placement(transformation(extent={{-48,22},{-36,34}})));
      equation

        connect(absorption.q_out, flowMeasure.q_in) annotation (Line(
            points={{26,22},{42,22},{42,26}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Normal.y, DietThirst.yBase) annotation (Line(
            points={{-59,-10},{-54,-10},{-54,-20}},
            color={0,0,127},
            smooth=Smooth.None));

      connect(flowMeasure.volumeFlowRate, busConnector.GILumenVolume_Absorption)
        annotation (Line(
          points={{46.8,33},{98,33},{98,90},{-88,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(busConnector.GILumenDiarrhea_H2OLoss, diarrhea.outflow)
          annotation (Line(
            points={{-88,90},{-88,64.2},{-41,64.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GILumenVomitus_H2OLoss, vomitus.outflow)
          annotation (Line(
            points={{-88,90},{-88,81.8},{-41,81.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(busConnector.GILumenVolume_Intake, flowMeasure1.volumeFlowRate)
        annotation (Line(
          points={{-88,90},{-88,-1},{-36.6,-1}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(busConnector.GILumenVomitus_H2OTarget, vomitus.H2OTarget)
          annotation (Line(
            points={{-88,90},{-88,76},{-34,76},{-34,76.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GILumenDiarrhea_H2OTarget, diarrhea.H2OTarget)
          annotation (Line(
            points={{-88,90},{-88,69.8},{-34,69.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Osmreceptors, DietThirst.u) annotation (Line(
            points={{-88,90},{-88,-22},{-62,-22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(diarrhea.H2OLoss, vomitus.H2OLoss) annotation (Line(
            points={{-27,67},{-24,67},{-24,79},{-27,79}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Diet.q_out, flowMeasure1.q_in) annotation (Line(
            points={{-51,-47},{-31,-47},{-31,-8}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.GILumenSodium_Mass, osmoles.u1) annotation (Line(
            points={{-88,90},{-88,32.8},{-49.2,32.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GILumenPotassium_Mass, osmoles.u2) annotation (Line(
            points={{-88,90},{-88,28},{-49.2,28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GILumenFiber_Mass, osmoles.u3) annotation (Line(
            points={{-88,90},{-88,23.2},{-49.2,23.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(GILumen.volume, busConnector.GILumenVolume_Mass) annotation (Line(
            points={{-18,12},{-10,12},{-10,90},{-88,90}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumen.volume, vomitus.H2OVolume) annotation (Line(
            points={{-18,12},{-10,12},{-10,76.2},{-29.8,76.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.volume, diarrhea.H2OVolume) annotation (Line(
            points={{-18,12},{-10,12},{-10,69.8},{-29.8,69.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(diarrhea.H2OLoss, GILumen.q_in[1]) annotation (Line(
            points={{-27,67},{-24,67},{-24,22}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(osmoles.y, GILumen.impermeableSolutes[1]) annotation (Line(
            points={{-35.4,28},{-32,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.q_in[1], flowMeasure1.q_out) annotation (Line(
            points={{-24,22},{-32,22},{-32,6},{-31,6}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GILumen.q_in[1], absorption.q_in) annotation (Line(
            points={{-24,22},{10,22}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(DietThirst.y, Diet.solutionFlow) annotation (Line(
            points={{-54,-26},{-54,-43.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(vascularH2O, flowMeasure.q_out) annotation (Line(
            points={{90,54},{42,54},{42,40}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
          annotation (
      Documentation(info="<HTML>
<PRE>
QHP 2008 / GILumenH2O.REF



Volume ========================================

Typical lumen volume is 1000 mL on an intake of 1.4 mL/Min.
This number is based on lumen volume being 1.4% body weight
from

   JCI 36:289-296, 1957.

Data suggests a 1L oral load is nearly all absorbed in
1 Hr.  Average rate would be 17 mL/Hr with a peak rate
of about 30.

   Baldes & Smirk. J.Physiol. 82:62,1934.

Osmolar gradient is assumed to be 0.200 mOsm/mL.

   Rate = Perm * Grad
   30 = Perm * 0.200
   Perm = 150

Temperature ===================================

Typical lumen heat content is 155 kCal.

Specific heat (SH) of H2O is 0.001 (kCal/G)/DegK.

To get temperature from heat

   DegK = 1000.0 * kCal/G (or mL)
   DegC = DegK - 273.15
   DegF = ( 9 / 5 ) * DegC + 32

To get heat from temperature

   kCal = 0.001 * DegK * mL
   kCal/Min = 0.001 * DegK * mL/Min
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-102,124},{98,108}},
                lineColor={0,0,255},
                textString="%name")}));
      end GI_Absorption;

      model LungEdema
      extends Physiolibrary.Icons.Lungs;

       parameter Real initialVolume(displayUnit="ml") = 0;

      Physiolibrary.Osmotic.Interfaces.OsmoticPort_a q_in(o(final displayUnit=
              "g/ml")) annotation (Placement(transformation(extent={{-110,10},{
                -90,30}}), iconTransformation(extent={{-10,30},{10,50}})));
      Physiolibrary.Blocks.Interpolation.Curve ExcessLungWaterOnLymph(
        x={10,1000},
        y={0,1},
        slope={0,0},
        Xscale=1e-6,
        Yscale=1e-6/60)
        annotation (Placement(transformation(extent={{16,-26},{-4,-6}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-104,61},{-84,81}}), iconTransformation(
              extent={{60,60},{80,80}})));

      Physiolibrary.Osmotic.Components.Membrane pulmCapys(
          useHydraulicPressureInputs=true, cond=3.7503078792283e-10)
        annotation (Placement(transformation(extent={{-44,28},{-24,48}})));
      Physiolibrary.Osmotic.Components.SolventFlux PulmLymph(
          useSolutionFlowInput=true) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={-42,-2})));
      Physiolibrary.Osmotic.Components.OsmoticCell waterInLungs(volume_start=
            1e-09)
        annotation (Placement(transformation(extent={{16,20},{36,40}})));
      Physiolibrary.Types.Constants.PressureConst pressure(k=0)
        annotation (Placement(transformation(extent={{-12,58},{-20,66}})));
      equation
      connect(busConnector.PulmCapys_Pressure, pulmCapys.hydraulicPressureIn)
        annotation (Line(
          points={{-94,71},{-42,71},{-42,46}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(ExcessLungWaterOnLymph.val, PulmLymph.solutionFlow) annotation (
          Line(
          points={{-4,-16},{-42,-16},{-42,-9}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pulmCapys.q_out, waterInLungs.q_in[1]) annotation (Line(
          points={{-24,38},{2,38},{2,30},{26,30}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(waterInLungs.q_in[1], PulmLymph.q_in) annotation (Line(
          points={{26,30},{2,30},{2,-2},{-32,-2}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(PulmLymph.q_out, q_in) annotation (Line(
          points={{-52,-2},{-66,-2},{-66,20},{-100,20}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(pulmCapys.q_in, q_in) annotation (Line(
          points={{-44,38},{-66,38},{-66,20},{-100,20}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(waterInLungs.volume, ExcessLungWaterOnLymph.u) annotation (Line(
          points={{32,20},{32,-16},{16,-16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(waterInLungs.volume, busConnector.ExcessLungWater_Volume)
        annotation (Line(
          points={{32,20},{32,8},{58,8},{58,71},{-94,71}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(pressure.y, pulmCapys.hydraulicPressureOut) annotation (Line(
          points={{-21,62},{-26,62},{-26,46}},
          color={0,0,127},
          smooth=Smooth.None));
          annotation (
      Documentation(info="<HTML>
<PRE>
Torso water compartment.

</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={                                   Text(
                extent={{-100,88},{100,72}},
                lineColor={0,0,255},
                textString="%name")}));
      end LungEdema;

      model Peritoneum2
      extends Physiolibrary.Icons.Peritoneum;
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_a flux
        "plasma proteins concentration" annotation (Placement(transformation(
              extent={{76,-8},{96,12}}), iconTransformation(extent={{-10,30},{
                10,50}})));

        parameter Physiolibrary.Types.Volume initialVolume = 0
        "initial water in peritoneum";

      Physiomodel.Metabolism.deprecated.HydraulicPressure colloidhydraulicPressure0_1
        annotation (Placement(transformation(extent={{68,34},{60,42}})));
      Physiomodel.Metabolism.deprecated.HydraulicPressure colloidhydraulicPressure0_2
        annotation (Placement(transformation(extent={{64,-6},{56,2}})));
      Physiolibrary.Types.Constants.PressureConst ExternalPressure(k=
            1199.901486735)
        annotation (Placement(transformation(extent={{-72,60},{-64,68}})));
        Physiolibrary.Hydraulic.Components.ElasticVessel
          vascularElasticBloodCompartment(volume_start=initialVolume, stateName=
              "PeritoneumSpace.Volume",
          useV0Input=true,
          useComplianceInput=true,
          useExternalPressureInput=true)
          annotation (Placement(transformation(extent={{-70,14},{-50,34}})));
      Physiolibrary.Types.Constants.VolumeConst PeritoneumSpace_V0(k=0)
        "PeritoneumSpace.V0"
        annotation (Placement(transformation(extent={{-78,36},{-70,44}})));
      Physiolibrary.Types.Constants.HydraulicComplianceConst complianceConstant(
          k=5.700467976427015e-006)
        annotation (Placement(transformation(extent={{-74,48},{-66,56}})));

      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-84,71},{-64,91}}), iconTransformation(
              extent={{60,60},{80,80}})));

        Physiolibrary.Hydraulic.Components.IdealValve idealValve
          annotation (Placement(transformation(extent={{30,-8},{50,12}})));
        Physiolibrary.Hydraulic.Components.Conductor lymph(Conductance=1.8751539396141e-10)
          annotation (Placement(transformation(extent={{-32,-8},{-12,12}})));
        Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure
          annotation (Placement(transformation(extent={{2,-8},{22,12}})));
        Physiolibrary.Hydraulic.Components.Conductor splanchnic(Conductance=1.8751539396141e-10)
          annotation (Placement(transformation(extent={{-28,32},{-8,52}})));
        Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure1
          annotation (Placement(transformation(extent={{20,52},{0,32}})));

      Physiolibrary.Osmotic.Sensors.FlowMeasure flowMeasure2
        annotation (Placement(transformation(extent={{82,32},{70,16}})));
      equation
        connect(colloidhydraulicPressure0_2.hydraulicPressure, ExternalPressure.y)
          annotation (Line(
            points={{58.4,2.8},{58.4,20},{-38,20},{-38,64},{-63,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.SplanchnicVeins_Pressure,
          colloidhydraulicPressure0_1.hydraulicPressure) annotation (Line(
            points={{-74,81},{62.4,81},{62.4,42.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(colloidhydraulicPressure0_2.withoutCOP, idealValve.q_out) annotation (
           Line(
            points={{56,2},{50,2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(lymph.q_out, flowMeasure.q_in) annotation (Line(
            points={{-12,2},{2,2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(idealValve.q_in, flowMeasure.q_out) annotation (Line(
            points={{30,2},{22,2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.volumeFlow, busConnector.PeritoneumSpace_Loss)
          annotation (Line(
            points={{12,14},{12,-16},{94,-16},{94,81},{-74,81}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure1.q_in, colloidhydraulicPressure0_1.withoutCOP)
          annotation (Line(
            points={{20,42},{60,42}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.q_out, splanchnic.q_out) annotation (Line(
            points={{0,42},{-8,42}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.volumeFlow, busConnector.PeritoneumSpace_Gain)
          annotation (Line(
            points={{10,30},{10,81},{-74,81}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PeritoneumSpace_V0.y, vascularElasticBloodCompartment.zeroPressureVolume)
          annotation (Line(
            points={{-69,40},{-68,40},{-68,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExternalPressure.y, vascularElasticBloodCompartment.externalPressure)
          annotation (Line(
            points={{-63,64},{-52,64},{-52,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(complianceConstant.y, vascularElasticBloodCompartment.compliance)
          annotation (Line(
            points={{-65,52},{-60,52},{-60,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.PeritoneumSpace_Vol,
          vascularElasticBloodCompartment.volume) annotation (Line(
            points={{-74,81},{-96,81},{-96,14},{-54,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(vascularElasticBloodCompartment.q_in, splanchnic.q_in)
          annotation (Line(
            points={{-60,24},{-36,24},{-36,42},{-28,42}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(vascularElasticBloodCompartment.q_in, lymph.q_in)
          annotation (Line(
            points={{-60,24},{-46,24},{-46,2},{-32,2}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flux, flowMeasure2.q_in) annotation (Line(
          points={{86,2},{86,24},{82,24}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(colloidhydraulicPressure0_1.q_in, flowMeasure2.q_out) annotation (
         Line(
          points={{68,38},{70,38},{70,24}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(colloidhydraulicPressure0_2.q_in, flowMeasure2.q_out) annotation (
         Line(
          points={{64,-2},{70,-2},{70,24}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure2.volumeFlowRate, busConnector.PeritoneumSpace_Change)
        annotation (Line(
          points={{76,30.4},{76,81},{-74,81}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation (
      Documentation(info="<HTML>
<PRE>
QHP 2008 / Peritoneum
</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),       Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-100,120},{100,104}},
                lineColor={0,0,255},
                textString="%name")}));
      end Peritoneum2;

      model Torso
        import Physiomodel;
          extends Physiolibrary.Icons.Torso;

      //    parameter Real interstitiumProteins = 2.6;

          parameter Physiolibrary.Types.Volume InterstitialWater_start
        "2270,5670,3400 ml";
          parameter Physiolibrary.Types.Volume IntracellularWater_start
        "4980,12460,7470 ml";

          parameter Physiolibrary.Types.VolumeFlowRate NormalLymphFlow
        "0.4,0.8,1.3 ml/min";

          parameter Physiolibrary.Types.OsmoticPermeability CapillaryConductance
        "Capillary wall permeability for water. 0.6, 3.6, 1.3 ml/(kPa.min)";

          parameter Real[ :,3] InterstitialPressureVolumeData
        "{{600.0,-30.0,0.01},{2000.0,-4.8,0.0004},{5000.0,0.0,0.0004},{12000.0,50.0,0.01}}, {{1200.0,-30.0,0.01},{4800.0,-4.8,0.0004},{12000.0,0.0,0.0004},{24000.0,50.0,0.01}}, {{600.0,-30.0,0.02},{3000.0,-4.8,0.0004},{4000.0,-4.0,0.0004},{6000.0,50.0,0.03}}";
          parameter Physiolibrary.Types.Fraction ICFVFract
        "0.94. Ratio between non-RBC-ICFV and total ICFV, because red cells are not part of any torso ICF!";
          parameter Physiolibrary.Types.Fraction SizeFract "0.2,0.5,0.3";
          parameter Physiolibrary.Types.Fraction CalsFract "0.3,0.5,0.2";
          parameter Physiolibrary.Types.Fraction SweatFract "0.33,0.34,0.33";
          parameter Physiolibrary.Types.Fraction SkinFract "0.33,0.34,0.33";
          parameter Physiolibrary.Types.Fraction LungFract "0,1,0";

      Physiolibrary.Types.TorsoBusConnector torsoSpecific annotation (Placement(
            transformation(extent={{62,27},{80,44}}), iconTransformation(extent=
               {{30,10},{50,30}})));
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_a vascularH2O
        "plasma capillary wall osmotic connector"
        annotation (Placement(transformation(extent={{-92,-42},{-72,-22}}),
            iconTransformation(extent={{-70,-10},{-50,10}})));
        Modelica.Blocks.Math.Gain calsFract(k=CalsFract) annotation (Placement(
              transformation(
              extent={{-6,-6},{6,6}},
              origin={48,-82})));

      //  Physiolibrary.Types.Volume volume;
      //  Physiolibrary.Types.VolumeFlowRate change;
      Physiolibrary.Osmotic.Sources.SolventInflux metabolicH2O(useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{68,-98},{88,-78}})));
      Physiolibrary.Osmotic.Sensors.FlowMeasure flowMeasure1 annotation (
          Placement(transformation(
            extent={{5,4},{-5,-4}},
            rotation=270,
            origin={24,45})));
      Physiolibrary.Osmotic.Sensors.FlowMeasure flowMeasure2 annotation (
          Placement(transformation(
            extent={{5,6},{-5,-6}},
            rotation=270,
            origin={8,25})));
        Physiolibrary.Osmotic.Components.Membrane capyMembrane(
          useHydraulicPressureInputs=true,
          useTemperatureInputs=false,
          cond=CapillaryConductance)
          annotation (Placement(transformation(extent={{-60,-24},{-40,-4}})));
      Physiolibrary.Osmotic.Components.SolventFlux lymph(useSolutionFlowInput=
            true) annotation (Placement(transformation(
            extent={{-10,10},{10,-10}},
            rotation=180,
            origin={-58,-70})));
      Physiolibrary.Blocks.Factors.Spline InterstitialPressureEffect(
          data={{-14.0,0.0,0.0},{-4.0,1.0,0.1},{2.0,8.0,4.0},{6.0,25.0,0.0}},
          Xscale=101325/760,
          y(unit="m3/s"))
        annotation (Placement(transformation(extent={{-48,-68},{-68,-48}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst flowConstant(k=
              NormalLymphFlow)
        annotation (Placement(transformation(extent={{-68,-50},{-60,-42}})));
        Physiolibrary.Osmotic.Components.OsmoticCell Interstitium(
            useImpermeableSolutesInput=true, volume_start=InterstitialWater_start,
          NumberOfMembraneTypes=2)
        "Iterstitium has two type of membranes: capillary membrane (index 1) and cell membrane (index 2)"
          annotation (Placement(transformation(extent={{18,-10},{-2,10}})));
        Physiolibrary.Blocks.Interpolation.Curve pressureOnVolume(
          Xscale=1e-6,
          Yscale=101325/760,
        data=InterstitialPressureVolumeData)
          annotation (Placement(transformation(extent={{4,-50},{-16,-30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux sweat(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{10,10},{-10,-10}},
            rotation=270,
            origin={24,64})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst Vapor(k=
            6.1666666666667e-09)
          annotation (Placement(transformation(extent={{-24,40},{-16,48}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux insensibleSkinVapor(
            useSolutionFlowInput=true) annotation (Placement(transformation(
              extent={{10,10},{-10,-10}},
              rotation=270,
              origin={8,44})));
        Physiolibrary.Osmotic.Components.OsmoticCell ICF(useImpermeableSolutesInput=true,
            volume_start=IntracellularWater_start)
          annotation (Placement(transformation(extent={{94,-66},{74,-46}})));
        Physiolibrary.Osmotic.Components.Membrane cellMembrane(
          useTemperatureInputs=false,
          useHydraulicPressureInputs=false,
        cond(displayUnit="l/(kPa.min)") = 1.6666666666667e-08)
          annotation (Placement(transformation(extent={{62,-46},{82,-26}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{30,70},{50,90}}), iconTransformation(extent=
               {{30,70},{50,90}})));
        Modelica.Blocks.Math.Gain sizeFract(k=SizeFract*ICFVFract)
                                                         annotation (Placement(
              transformation(
              extent={{6,-6},{-6,6}},
              rotation=180,
              origin={90,72})));
      Modelica.Blocks.Math.Gain lungFract(k=LungFract)
        annotation (Placement(transformation(extent={{-24,22},{-16,30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux insensibleLungVapor(
          useSolutionFlowInput=true) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=90,
            origin={-6,26})));
      Modelica.Blocks.Math.Gain skinFract(k=SkinFract) annotation (Placement(
            transformation(
            extent={{-4,-4},{4,4}},
            origin={-6,44})));
      Modelica.Blocks.Math.Gain sweatFract(k=SweatFract) annotation (Placement(
            transformation(
            extent={{-4,-4},{4,4}},
            origin={10,64})));

        Physiolibrary.Types.VolumeFlowRate fromCapillaries, toLymph, evaporation, fromMetabolism;
      equation
        fromCapillaries = capyMembrane.q_in.q;
        toLymph = lymph.q_out.q;
        evaporation = insensibleLungVapor.q_in.q + insensibleSkinVapor.q_in.q + sweat.q_in.q;
        fromMetabolism = metabolicH2O.q_out.q;

        connect(calsFract.y, metabolicH2O.solutionFlow) annotation (Line(
            points={{54.6,-82},{78,-82},{78,-81}},
            color={0,0,127},
            smooth=Smooth.None));
      //  volume = extravascularH2O.WaterVolume;
      //  change = extravascularH2O.q_out.q;

        connect(vascularH2O, capyMembrane.q_in) annotation (Line(
            points={{-82,-32},{-82,-14},{-60,-14}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(InterstitialPressureEffect.y, lymph.solutionFlow) annotation (Line(
            points={{-58,-62},{-58,-63}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowConstant.y,InterstitialPressureEffect. yBase) annotation (
            Line(
            points={{-59,-46},{-58,-46},{-58,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(vascularH2O, lymph.q_out) annotation (Line(
            points={{-82,-32},{-82,-70},{-68,-70}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure2.q_in, Interstitium.q_in[1]) annotation (Line(
            points={{8,20},{8,-0.5}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pressureOnVolume.u, Interstitium.volume) annotation (Line(
            points={{4,-40},{2,-40},{2,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureOnVolume.val, capyMembrane.hydraulicPressureOut) annotation (
            Line(
            points={{-16,-40},{-20,-40},{-20,-6},{-42,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureOnVolume.val, InterstitialPressureEffect.u) annotation (Line(
            points={{-16,-40},{-20,-40},{-20,-58},{-50,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sweat.q_in, flowMeasure1.q_out) annotation (Line(
            points={{24,58},{24,50}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(insensibleSkinVapor.q_in, flowMeasure2.q_out) annotation (Line(
            points={{8,38},{8,30}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ICF.q_in[1], cellMembrane.q_out) annotation (Line(
            points={{84,-56},{86,-56},{86,-36},{82,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(metabolicH2O.q_out, ICF.q_in[1]) annotation (Line(
            points={{84,-88},{96,-88},{96,-56},{84,-56}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowMeasure1.volumeFlowRate, torsoSpecific.Sweat_H2OOutflow)
        annotation (Line(
          points={{27.2,45},{54,45},{54,35.5},{71,35.5}},
          color={215,215,215},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(flowMeasure2.volumeFlowRate, torsoSpecific.InsensibleSkin_H2O)
        annotation (Line(
          points={{12.8,25},{54,25},{54,35.5},{71,35.5}},
          color={215,215,215},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(Interstitium.volume, torsoSpecific.InterstitialWater_Vol) annotation (
           Line(
            points={{2,-10},{54,-10},{54,35.5},{71,35.5}},
            color={215,215,215},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Interstitium.impermeableSolutes[1], torsoSpecific.InterstitialProtein_Mass)
          annotation (Line(
            points={{16,5},{54,5},{54,35.5},{71,35.5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(InterstitialPressureEffect.y, torsoSpecific.LymphFlow) annotation (
           Line(
            points={{-58,-62},{52,-62},{52,35.5},{71,35.5}},
            color={215,215,215},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ICF.impermeableSolutes[1], sizeFract.y) annotation (Line(
            points={{92,-50},{96,-50},{96,72},{96.6,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.OsmBody_ICFVActiveOsmoles, sizeFract.u) annotation (Line(
            points={{40,80},{40,72},{82.8,72}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(torsoSpecific.CapillaryRegionalPressure, capyMembrane.hydraulicPressureIn)
          annotation (Line(
            points={{71,35.5},{71,36},{56,36},{56,14},{-98,14},{-98,-6},{-58,-6}},
            color={170,255,255},
            smooth=Smooth.None,
          thickness=0.5),        Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(lungFract.y, insensibleLungVapor.solutionFlow) annotation (Line(
          points={{-15.6,26},{-13,26}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(insensibleLungVapor.q_in, Interstitium.q_in[1]) annotation (Line(
            points={{-6,20},{-6,10},{8,10},{8,-0.5}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(Vapor.y, skinFract.u) annotation (Line(
          points={{-15,44},{-10.8,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(insensibleSkinVapor.solutionFlow, skinFract.y) annotation (Line(
          points={{1,44},{-1.6,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sweat.solutionFlow, sweatFract.y) annotation (Line(
          points={{17,64},{14.4,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.SweatDuct_H2OOutflow, sweatFract.u) annotation (Line(
          points={{40,80},{-66,80},{-66,64},{5.2,64}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.HeatInsensibleLung_H2O, lungFract.u) annotation (
          Line(
          points={{40,80},{-66,80},{-66,26},{-24.8,26}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(torsoSpecific.Cell_H2O, ICF.volume) annotation (Line(
          points={{71,35.5},{54,35.5},{54,-66},{78,-66}},
          color={215,215,215},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.MetabolicH2O_Rate, calsFract.u) annotation (Line(
          points={{40,80},{-100,80},{-100,-82},{40.8,-82}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(Interstitium.impermeableSolutes[2], torsoSpecific.InterstitialOsmoles)
          annotation (Line(
            points={{16,7},{68,7},{68,35.5},{71,35.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Interstitium.q_in[2], cellMembrane.q_in) annotation (Line(
            points={{8,0.5},{36,0.5},{36,-36},{62,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowMeasure1.q_in, Interstitium.q_in[1]) annotation (Line(
          points={{24,40},{24,10},{8,10},{8,-0.5}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Interstitium.q_in[1], lymph.q_in) annotation (Line(
          points={{8,-0.5},{-18,-0.5},{-18,-70},{-48,-70}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(capyMembrane.q_out, Interstitium.q_in[1]) annotation (Line(
          points={{-40,-14},{-18,-14},{-18,-0.5},{8,-0.5}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={                 Text(
                extent={{-139,-101},{142,-126}},
                lineColor={0,0,255},
                textString="%name")}), experiment(StopTime=31536000, Tolerance=
              1e-005));
      end Torso;

      model CerebrospinalFluid
          extends Physiolibrary.Icons.Brain;
      Physiolibrary.Osmotic.Components.OsmoticCell CSF_osmotic(volume_start(
            displayUnit="ml") = 0.00015, ImpermeableSolutes={(0.286*0.15)})
        "cerebro-spinal fluid"
        annotation (Placement(transformation(extent={{-78,-16},{-58,4}})));
        Physiolibrary.Osmotic.Components.Membrane
                            choroid_plexus(useHydraulicPressureInputs=true, cond(
              displayUnit="ml/(mmHg.day)") = 1.9966916949595e-12)
        "choroid plexus"
          annotation (Placement(transformation(extent={{-18,-16},{-38,4}})));
        Physiolibrary.Hydraulic.Components.ElasticVessel
                                           CSF_hydraulic(
          volume_start=0.00015,
          ZeroPressureVolume=0.000145,
          Compliance=2.250184727537e-09) "cerebro-spinal fluid"
          annotation (Placement(transformation(extent={{-98,-42},{-78,-22}})));
        Physiolibrary.Hydraulic.Components.Pump
                                  choroid_plexus_hydraulic(useSolutionFlowInput=
              true) annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=180,
              origin={6,-32})));
        Physiolibrary.Osmotic.Sensors.FlowMeasure
                            flowMeasure annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=180,
              origin={6,-6})));
        Physiolibrary.Hydraulic.Sensors.PressureMeasure
                                          pressureMeasure
          annotation (Placement(transformation(extent={{-92,54},{-72,74}})));
        Physiolibrary.Hydraulic.Sources.UnlimitedVolume
                                          veins(P=0) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={80,76})));
        Physiolibrary.Osmotic.Components.Membrane
                            arachnoid_villi(useHydraulicPressureInputs=true, cond(
              displayUnit="ml/(mmHg.day)") = 1.1285648710641e-11)
        "choroid plexus"
          annotation (Placement(transformation(extent={{-38,36},{-18,56}})));
        Physiolibrary.Hydraulic.Components.Pump
                                  arachnoid_villi_hydraulic(useSolutionFlowInput=
              true)
          annotation (Placement(transformation(extent={{-4,86},{16,66}})));
        Physiolibrary.Osmotic.Sensors.FlowMeasure
                            flowMeasure1
          annotation (Placement(transformation(extent={{-4,56},{16,36}})));
        Physiolibrary.Hydraulic.Sources.UnlimitedVolume choroidPlexusCapy(P=
            3733.02684762) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={80,-28})));
        Physiolibrary.Hydraulic.Sensors.PressureMeasure
                                          pressureMeasure1
          annotation (Placement(transformation(extent={{66,54},{46,74}})));
        Physiolibrary.Hydraulic.Sensors.PressureMeasure
                                          pressureMeasure2
          annotation (Placement(transformation(extent={{60,-32},{40,-12}})));
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_a flux
        "plasma proteins concentration" annotation (Placement(transformation(
              extent={{46,14},{66,34}}), iconTransformation(extent={{-10,30},{
                10,50}})));
      Physiolibrary.Osmotic.Components.PermeabilityLevelSwitch
        permeabilityLevelSwitch
        annotation (Placement(transformation(extent={{44,14},{24,34}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{28,81},{48,101}}), iconTransformation(
              extent={{50,-10},{70,10}})));
      equation

      connect(flowMeasure.volumeFlowRate, choroid_plexus_hydraulic.solutionFlow)
        annotation (Line(
          points={{6,-12},{6,-25}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(CSF_hydraulic.q_in,pressureMeasure. q_in) annotation (Line(
            points={{-88,-32},{-88,58},{-86,58}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CSF_hydraulic.q_in,choroid_plexus_hydraulic. q_out) annotation (
            Line(
            points={{-88,-32},{-4,-32}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(CSF_osmotic.q_in[1], arachnoid_villi.q_in) annotation (Line(
          points={{-68,-6},{-68,46},{-38,46}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
        connect(CSF_hydraulic.q_in,arachnoid_villi_hydraulic. q_in) annotation (
            Line(
            points={{-88,-32},{-88,76},{-4,76}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(arachnoid_villi_hydraulic.q_out,veins. y) annotation (Line(
            points={{16,76},{70,76}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(pressureMeasure.pressure, arachnoid_villi.hydraulicPressureIn)
        annotation (Line(
          points={{-76,60},{-36,60},{-36,54}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(arachnoid_villi.q_out,flowMeasure1. q_in) annotation (Line(
            points={{-18,46},{-4,46}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowMeasure1.volumeFlowRate, arachnoid_villi_hydraulic.solutionFlow)
        annotation (Line(
          points={{6,52},{6,69}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(pressureMeasure1.q_in,veins. y) annotation (Line(
            points={{60,58},{64,58},{64,76},{70,76}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(pressureMeasure1.pressure, arachnoid_villi.hydraulicPressureOut)
        annotation (Line(
          points={{50,60},{-20,60},{-20,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CSF_osmotic.q_in[1], choroid_plexus.q_out) annotation (Line(
          points={{-68,-6},{-38,-6}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
        connect(choroid_plexus.q_in,flowMeasure. q_out) annotation (Line(
            points={{-18,-6},{-4,-6}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(pressureMeasure.pressure, choroid_plexus.hydraulicPressureOut)
        annotation (Line(
          points={{-76,60},{-44,60},{-44,10},{-36,10},{-36,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureMeasure2.pressure, choroid_plexus.hydraulicPressureIn)
        annotation (Line(
          points={{44,-26},{26,-26},{26,10},{-20,10},{-20,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(flux, permeabilityLevelSwitch.q_in) annotation (Line(
          points={{56,24},{44,24}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure.q_in, permeabilityLevelSwitch.q_out) annotation (Line(
          points={{16,-6},{20,-6},{20,24},{24,24}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(permeabilityLevelSwitch.q_out, flowMeasure1.q_out) annotation (
          Line(
          points={{24,24},{20,24},{20,46},{16,46}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(permeabilityLevelSwitch.additionalOsmolarity, busConnector.OsmBody_Osm_conc_CellWalls)
        annotation (Line(
          points={{24,34},{24,63},{38,63},{38,91}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(choroidPlexusCapy.y, choroid_plexus_hydraulic.q_in) annotation (
          Line(
          points={{70,-28},{54,-28},{54,-32},{16,-32}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(choroidPlexusCapy.y, pressureMeasure2.q_in) annotation (Line(
          points={{70,-28},{54,-28}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      annotation (  Icon(graphics={      Text(
                extent={{-145,87},{136,62}},
                lineColor={0,0,255},
                textString="%name")}));
      end CerebrospinalFluid;

      model Bladder
       // extends Library.PressureFlow.VolumeCompartement;
        extends Physiolibrary.Icons.Bladder;
        Physiolibrary.Hydraulic.Components.ElasticVessel   volumeCompartement(
          stateName="BladderVolume.Mass", volume_start=0.0002)
          annotation (Placement(transformation(extent={{-18,0},{2,20}})));
      Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a con annotation (
          Placement(transformation(extent={{-84,18},{-44,58}}),
            iconTransformation(extent={{-120,-20},{-80,20}})));
      Physiolibrary.Hydraulic.Sources.UnlimitedOutflowPump
                                                    bladderVoidFlow(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-58,-23},{-73,-8}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-100,69},{-80,89}}), iconTransformation(
              extent={{-100,-100},{-80,-80}})));

      //  Real volume;
      //  Real change;
      equation
      //  volume = volumeCompartement.Volume;
      //  change = volumeCompartement.con.q;

      connect(busConnector.BladderVoidFlow, bladderVoidFlow.solutionFlow)
        annotation (Line(
          points={{-90,79},{-90,0},{-65.5,0},{-65.5,-10.25}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(con, volumeCompartement.q_in) annotation (Line(
            points={{-64,38},{-36,38},{-36,10},{-8,10}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladderVoidFlow.q_in, volumeCompartement.q_in) annotation (Line(
            points={{-58,-15.5},{-36,-15.5},{-36,10},{-8,10}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(volumeCompartement.volume, busConnector.BladderVolume_Mass)
          annotation (Line(
            points={{-2,0},{46,0},{46,80},{-90,80},{-90,79}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-100,96},{100,80}},
                lineColor={0,0,255},
                textString="%name")}));
      end Bladder;

      package Kidney "Kidney Water Excretion"
         extends Physiolibrary.Icons.Kidney;

        model DistalTubule

        Physiolibrary.Osmotic.Interfaces.OsmoticPort_a Inflow annotation (
            Placement(transformation(extent={{-120,-20},{-80,20}}),
              iconTransformation(extent={{-120,-20},{-80,20}})));
        Physiolibrary.Osmotic.Interfaces.OsmoticPort_b Outflow
          annotation (Placement(transformation(extent={{80,-20},{120,20}})));
        Physiolibrary.Osmotic.Interfaces.OsmoticPort_b Reabsorbtion
          annotation (Placement(transformation(extent={{-20,-60},{20,-20}}),
              iconTransformation(extent={{-20,-60},{20,-20}})));
          Physiolibrary.Types.RealIO.VolumeFlowRateInput DesiredFlow(displayUnit="ml/min")
                                       annotation (Placement(transformation(extent={{-20,20},{20,
                    60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                        rotation=-90,
                origin={60,40})));
        equation
          Outflow.q + Inflow.q + Reabsorbtion.q = 0;
          Inflow.o = Outflow.o;
          Outflow.q = - DesiredFlow;
          annotation (Icon(coordinateSystem(preserveAspectRatio=false,extent={{-100,
                  -100},{100,100}}),   graphics={
                Rectangle(
                  extent={{-100,40},{100,-40}},
                  lineColor={127,127,0},
                  fillColor={255,255,170},
                  fillPattern=FillPattern.HorizontalCylinder),
                Line(
                  points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,
                      -28},{6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,
                      8},{-58,12},{-70,14}},
                  color={0,0,255},
                  smooth=Smooth.None),
                Text(
                  extent={{12,-42},{166,-72}},
                  lineColor={0,0,255},
                  textString="%name"),
                Polygon(
                  points={{20,14},{20,-14},{82,-2},{20,14}},
                  lineColor={0,0,255},
                  smooth=Smooth.None,
                  fillColor={0,0,255},
                  fillPattern=FillPattern.Solid)}));
        end DistalTubule;

        model CD_H2OChannels
          extends Physiolibrary.SteadyStates.Interfaces.SteadyState(
                                                        stateName="CD_H2OChannels.Inactive", state_start = 2-initialActive);

        parameter Physiolibrary.Types.Fraction initialActive(final displayUnit="1") = 1;
        parameter Physiolibrary.Types.Volume InactivateKinv(final displayUnit="ml")
          "1/0.000125 ml";
        parameter Physiolibrary.Types.Frequency ReactivateK(final displayUnit="1/min")
          "0.0004 1/min";

        Physiolibrary.Osmotic.Interfaces.OsmoticPort_a     CD_H2O_Reab
          annotation (Placement(transformation(extent={{-20,80},{20,120}}),
              iconTransformation(extent={{-20,80},{20,120}})));

          Physiolibrary.Types.Fraction Inactive( start = 2-initialActive, final displayUnit="1");
          Physiolibrary.Types.RealIO.FractionOutput Active(final displayUnit="1")
                                     annotation (Placement(transformation(extent={{96,46},
                    {136,86}}), iconTransformation(extent={{96,46},{136,86}})));
        Physiolibrary.Osmotic.Interfaces.OsmoticPort_b     q_out annotation (
            Placement(transformation(extent={{-20,-120},{20,-80}}),
              iconTransformation(extent={{-20,-120},{20,-80}})));
        equation
          q_out.q + CD_H2O_Reab.q = 0;
          q_out.o = CD_H2O_Reab.o;

        //  der(Inactive) = ((1/InactivateKinv) * CD_H2O_Reab.q - ReactivateK * Inactive) / Library.SecPerMin;
          Active = 2 - Inactive;

        state = Inactive;
          change = ((1/InactivateKinv) * CD_H2O_Reab.q - ReactivateK * Inactive);
          annotation (Icon(coordinateSystem(preserveAspectRatio=false,extent={{-100,-100},
                    {100,100}}),       graphics={Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,255},
                  fillColor={170,255,255},
                  fillPattern=FillPattern.Solid),Text(
                  extent={{-100,-22},{100,-38}},
                  lineColor={0,0,255},
                  textString="(initial %initialActive)")}));
        end CD_H2OChannels;

        model Kidney
           extends Physiolibrary.Icons.Kidney;
          import QHP = Physiomodel;
        Physiolibrary.Osmotic.Interfaces.OsmoticPort_b     urine
          "H2O excretion" annotation (Placement(transformation(extent={{78,-82},
                  {100,-62}}),iconTransformation(extent={{-10,-110},{10,-90}})));
        Physiolibrary.Osmotic.Components.Reabsorption   LoopOfHenle
          annotation (Placement(transformation(extent={{-12,-68},{6,-50}})));
          Modelica.Blocks.Math.Gain gain(k=0.37)
            annotation (Placement(transformation(extent={{4,-4},{-4,4}},      rotation=180,
                origin={-24,-64})));
        Physiolibrary.Blocks.Factors.Normalization ADHEffect(yBase(nominal=1e-5),
            y(nominal=1e-7))
          annotation (Placement(transformation(extent={{34,50},{14,70}})));
        Physiolibrary.Osmotic.Components.Reabsorption   CollectingDuct(
            useExternalOutflowMin=true)
          annotation (Placement(transformation(extent={{34,-26},{54,-6}})));
          Modelica.Blocks.Math.Gain gain1(k=0.5)
            annotation (Placement(transformation(extent={{54,24},{50,28}})));
          Modelica.Blocks.Math.Sum sum1(nin=4)
            annotation (Placement(transformation(extent={{3,-3},{-5,5}},
                rotation=90,
                origin={49,17})));
        Physiolibrary.Blocks.Factors.Normalization MedullaNaEffect
          annotation (Placement(transformation(extent={{58,-4},{38,16}})));
        Physiolibrary.Osmotic.Interfaces.OsmoticPort_a plasma "blood plasma"
            annotation (Placement(transformation(extent={{-108,20},{-88,40}}),
                iconTransformation(extent={{30,-10},{50,10}})));
          QHP.Water.WaterCompartments.Kidney.CD_H2OChannels H2OChannels(
            initialActive=0.969492,
            InactivateKinv=0.008,
            ReactivateK=6.6666666666667e-06)
            annotation (Placement(transformation(extent={{34,-68},{54,-48}})));
        Physiolibrary.Blocks.Math.Reciprocal inv1 annotation (Placement(
              transformation(
              extent={{2,-2},{-2,2}},
              origin={38,60})));
        Physiolibrary.Blocks.Math.Reciprocal inv2 annotation (Placement(
              transformation(
              extent={{-5,-5},{3,3}},
              rotation=180,
              origin={65,5})));
        Physiolibrary.Osmotic.Sensors.FlowMeasure   flowMeasure1
          annotation (Placement(transformation(extent={{62,-2},{82,-22}})));
        Physiolibrary.Blocks.Factors.LagSpline
                                            NephronADHOnPerm(data={{0.0,0.3,0},
              {2.0,1.0,0.5},{10.0,3.0,0}}, Xscale=1e-9/QHP.Substances.Vasopressin.mw,
          HalfTime=Modelica.Math.log(2)*20*60,
          initialValue=2.0)
          annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=270,
              origin={72,-44})));
        Physiolibrary.Blocks.Factors.Spline PermOnOutflow(data={{0.3,0.00,0},{
              1.0,0.93,0.1},{3.0,1.00,0}}) annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=270,
              origin={66,-30})));
        Physiolibrary.Types.Constants.FractionConst             Constant(k=1)
          annotation (Placement(transformation(extent={{76,-32},{72,-28}})));
        Physiolibrary.Types.Constants.FractionConst             Constant1(k=1)
          annotation (Placement(transformation(extent={{38,72},{44,78}})));
        Physiolibrary.Blocks.Factors.LagSpline
                                            NephronADHEffect(data={{0.0,0.060,0},
              {2.0,0.110,0.02},{10,0.160,0}}, Xscale=1e-9/QHP.Substances.Vasopressin.mw,
          HalfTime=Modelica.Math.log(2)*20*60,
          initialValue=2.0,
          Yscale=1e3) "initial: 2 pg/ml = 2e-9 kg/m3, NephronADH.Tau = 20 min"
          annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              origin={46,68})));
        Physiolibrary.Osmotic.Sensors.FlowMeasure   flowMeasure2 annotation (
            Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=180,
              origin={26,-80})));
        Physiolibrary.Osmotic.Sensors.FlowMeasure   flowMeasure3 annotation (
            Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=90,
              origin={12,-30})));
        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{-102,76},{-82,96}}), iconTransformation(
                extent={{-70,66},{-50,86}})));
          Physiolibrary.Osmotic.Components.Membrane glomerulus(
              useHydraulicPressureInputs=true,
          useConductanceInput=true)
            annotation (Placement(transformation(extent={{-66,48},{-46,68}})));
          Physiolibrary.Osmotic.Sensors.FlowMeasure flowMeasure4 annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-44,24})));
          Physiolibrary.Types.Constants.PressureConst PelvisPressure(k=0)
          annotation (Placement(transformation(extent={{-34,70},{-42,78}})));
          Physiolibrary.Osmotic.Components.Reabsorption ProximalTubule
            annotation (Placement(transformation(extent={{10,-10},{-10,10}},
              rotation=90,
              origin={-18,44})));
        Physiolibrary.Types.Constants.VolumeConst MedullaVolume(k=3.1e-05)
          annotation (Placement(transformation(extent={{-86,-94},{-78,-86}})));
        Physiolibrary.Types.Constants.OsmoticPermeabilityConst Perm(k(displayUnit="ml/(mmHg.min)")=
                 6.500533657329e-10)
          "glomerular Kf and PT conductance (permeability"
          annotation (Placement(transformation(extent={{-68,90},{-60,98}})));
        Physiolibrary.Blocks.Factors.Normalization NephronCountEffect
          annotation (Placement(transformation(extent={{-66,68},{-46,88}})));
          Physiolibrary.Osmotic.Components.IdealOverflowFiltration
                                                               glomerulusFlow(
              useSolutionFlowInput=true) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-78,44})));
        Physiolibrary.Osmotic.Components.SolventFlux distalTubule(
            useSolutionFlowInput=true) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={24,46})));
        QHP.Water.WaterCompartments.Kidney.ZeroOsmol zeroOsmol annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-4,70})));
        equation

          connect(gain1.y, sum1.u[1]) annotation (Line(
              points={{49.8,26},{48.6,26},{48.6,20.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(MedullaNaEffect.yBase, sum1.y)   annotation (Line(
              points={{48,8},{48,11.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(inv1.y, ADHEffect.u)  annotation (Line(
              points={{35.8,60},{32,60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(inv2.y, MedullaNaEffect.u) annotation (Line(
              points={{61.6,6},{56,6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(H2OChannels.Active, NephronADHOnPerm.yBase) annotation (Line(
              points={{55.6,-51.4},{66,-51.4},{66,-58},{78,-58},{78,-44},{74,
                -44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NephronADHOnPerm.y, PermOnOutflow.u) annotation (Line(
              points={{68,-44},{66,-44},{66,-38}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(PermOnOutflow.y, CollectingDuct.FractReab) annotation (Line(
              points={{62,-30},{30,-30},{30,-20},{36,-20}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(Constant.y, PermOnOutflow.yBase) annotation (Line(
              points={{71.5,-30},{68,-30}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant1.y, NephronADHEffect.yBase) annotation (Line(
              points={{44.75,75},{46,75},{46,70}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NephronADHEffect.y, inv1.u) annotation (Line(
              points={{46,64},{46,60},{40.4,60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(LoopOfHenle.FractReab, gain.y) annotation (Line(
              points={{-10.2,-62.6},{-15.82,-62.6},{-15.82,-64},{-19.6,-64}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(CollectingDuct.outflowMin, MedullaNaEffect.y) annotation (
              Line(
              points={{48,-8},{48,2}},
              color={0,0,127},
              smooth=Smooth.None));

          //!!!

          connect(busConnector.DT_Na_Outflow, ADHEffect.yBase)       annotation (Line(
              points={{-92,86},{24,86},{24,62}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(gain.u, busConnector.LH_Na_FractReab) annotation (Line(
              points={{-28.8,-64},{-36,-64},{-36,86},{-92,86}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(inv2.u, busConnector.MedullaNa_conc) annotation (Line(
              points={{70.8,6},{96,6},{96,86},{-92,86}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.CD_Glucose_Outflow, gain1.u) annotation (Line(
              points={{-92,86},{96.1,86},{96.1,26},{54.4,26}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.CD_NH4_Outflow, sum1.u[2]) annotation (Line(
              points={{-92,86},{98,86},{98,20.8},{48.2,20.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.CD_K_Outflow, sum1.u[3]) annotation (Line(
              points={{-92,86},{98,86},{98,20.8},{47.8,20.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.CD_Na_Outflow, sum1.u[4]) annotation (Line(
              points={{-92,86},{98,86},{98,20.8},{47.4,20.8}},
              color={0,0,127},
              smooth=Smooth.None));

        connect(NephronADHEffect.u, busConnector.Vasopressin) annotation (Line(
            points={{54,68},{78,68},{78,86},{-92,86}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(NephronADHOnPerm.u, busConnector.Vasopressin) annotation (Line(
            points={{72,-52},{96,-52},{96,86},{-92,86}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(busConnector.GlomerulusBloodPressure, glomerulus.hydraulicPressureIn)
            annotation (Line(
              points={{-92,86},{-92,66},{-64,66}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(glomerulus.q_out, flowMeasure4.q_in) annotation (Line(
              points={{-46,58},{-44,58},{-44,34}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
        connect(PelvisPressure.y, glomerulus.hydraulicPressureOut) annotation (
            Line(
            points={{-43,74},{-48,74},{-48,66}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector.GlomerulusFiltrate_GFR, flowMeasure4.volumeFlowRate)
            annotation (Line(
              points={{-92,86},{-92,24},{-52,24}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(flowMeasure4.q_out, ProximalTubule.Inflow) annotation (Line(
              points={{-44,14},{-44,12},{-34,12},{-34,58},{-22,58},{-22,54}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(ProximalTubule.Outflow, LoopOfHenle.Inflow) annotation (Line(
              points={{-22,34},{-22,-55.4},{-12,-55.4}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(LoopOfHenle.Outflow, flowMeasure3.q_in) annotation (Line(
              points={{6,-55.4},{6,-56},{12,-56},{12,-40}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.LH_H2O_Outflow, flowMeasure3.volumeFlowRate) annotation (
             Line(
              points={{-92,86},{-92,-30},{4,-30}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(flowMeasure1.volumeFlowRate, busConnector.CD_H2O_Outflow) annotation (
             Line(
              points={{72,-4},{98,-4},{98,86},{-92,86}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(CollectingDuct.Reabsorption, H2OChannels.CD_H2O_Reab) annotation (
              Line(
              points={{44,-26},{44,-48}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure2.volumeFlowRate, busConnector.CD_H2O_Reab) annotation (
              Line(
              points={{26,-88},{98,-88},{98,86},{-92,86}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(flowMeasure2.q_in, H2OChannels.q_out) annotation (Line(
              points={{36,-80},{44,-80},{44,-68}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure2.q_out, plasma) annotation (Line(
              points={{16,-80},{-98,-80},{-98,30}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(LoopOfHenle.Reabsorption, plasma) annotation (Line(
              points={{-3,-68},{-2,-68},{-2,-80},{-98,-80},{-98,30}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));

          connect(ProximalTubule.FractReab, busConnector.PT_Na_FractReab) annotation (Line(
              points={{-14,52},{-14,86},{-92,86}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(MedullaVolume.y, busConnector.Medulla_Volume) annotation (Line(
            points={{-77,-90},{98,-90},{98,86},{-92,86}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.Glomerulus_GFR, flowMeasure4.volumeFlowRate)
          annotation (Line(
            points={{-92,86},{-92,24},{-52,24}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CollectingDuct.Outflow, flowMeasure1.q_in) annotation (Line(
            points={{54,-12},{62,-12}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.q_out, urine) annotation (Line(
            points={{82,-12},{94,-12},{94,-72},{89,-72}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Perm.y, NephronCountEffect.yBase) annotation (Line(
            points={{-59,94},{-56,94},{-56,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NephronCountEffect.y, glomerulus.conduction) annotation (Line(
            points={{-56,74},{-56,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Kidney_NephronCount_Total_xNormal,
          NephronCountEffect.u) annotation (Line(
            points={{-92,86},{-92,78},{-64,78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
          connect(plasma, glomerulusFlow.port_a) annotation (Line(
              points={{-98,30},{-82,30},{-82,34.4}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(glomerulus.q_in, glomerulusFlow.filtrate) annotation (Line(
              points={{-66,58},{-66,44},{-67.8,44}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.KidneyPlasmaFlow, glomerulusFlow.solutionFlow)
            annotation (Line(
              points={{-92,86},{-92,44},{-85,44}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
        connect(ADHEffect.y, distalTubule.solutionFlow) annotation (Line(
            points={{24,56},{24,53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure3.q_out, distalTubule.q_in) annotation (Line(
            points={{12,-20},{12,46},{14,46}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(distalTubule.q_out, CollectingDuct.Inflow) annotation (Line(
            points={{34,46},{40,46},{40,36},{30,36},{30,-12},{34,-12}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(distalTubule.q_in, zeroOsmol.q_in) annotation (Line(
            points={{14,46},{-4,46},{-4,60}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ProximalTubule.Reabsorption, zeroOsmol.q_in) annotation (Line(
            points={{-8,44},{-4,44},{-4,60}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(zeroOsmol.q_out, plasma) annotation (Line(
            points={{-4,80},{-4,100},{-98,100},{-98,30}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        end Kidney;

        model ZeroOsmol "Prescripted zero osmolarity"
          extends Physiolibrary.Osmotic.Interfaces.OnePort;

        equation
          q_in.o = 0;

         annotation (
            Icon(coordinateSystem(preserveAspectRatio=false,extent={{-100,
                    -100},{100,100}}),
                                graphics={
                Text(
                  extent={{-100,-80},{100,-54}},
                  textString="%name",
                  lineColor={0,0,255}),
                Rectangle(
                  extent={{-100,-50},{100,50}},
                  lineColor={127,127,0},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-100,50},{14,12}},
                  lineColor={0,0,255},
                  textString="0 Osm")}),
            Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end ZeroOsmol;
      end Kidney;

    model Peritoneum_const
    extends Physiolibrary.Icons.Peritoneum;

    Physiolibrary.Osmotic.Interfaces.OsmoticPort_a flux
        "plasma proteins concentration"
                                      annotation (Placement(transformation(
            extent={{56,30},{76,50}}), iconTransformation(extent={{-10,30},{
              10,50}})));

      parameter Physiolibrary.Types.Volume initialVolume(displayUnit="ml") = 0
        "initial water in peritoneum";

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-106,87},{-86,107}}), iconTransformation(
            extent={{60,60},{80,80}})));

    Physiolibrary.Types.Constants.VolumeFlowRateConst PeritoneumSpace_Change(k=0)
        "Water gain to peritoneum. "
        annotation (Placement(transformation(extent={{-66,-4},{-20,42}})));
    Physiolibrary.Types.Constants.VolumeConst
             PeritoneumSpace_Volume(k=1e-18) "Water in peritoneum. [ml]"
    annotation (Placement(transformation(extent={{-66,48},{-20,94}})));

    equation
      flux.q=0;
      connect(PeritoneumSpace_Volume.y, busConnector.PeritoneumSpace_Vol)
        annotation (Line(
          points={{-14.25,71},{26,71},{26,97},{-96,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(PeritoneumSpace_Change.y, busConnector.PeritoneumSpace_Change)
        annotation (Line(
          points={{-14.25,19},{26,19},{26,97},{-96,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (
    Documentation(info="<HTML>
<PRE>
QHP 2008 / Peritoneum
</PRE>
</HTML>
",   revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"),     Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,120},{100,104}},
              lineColor={0,0,255},
              textString="%name")}));
    end Peritoneum_const;

    model Bladder_steady
     // extends Library.PressureFlow.VolumeCompartement;
      extends Physiolibrary.Icons.Bladder;
    Physiolibrary.Hydraulic.Interfaces.HydraulicPort_a con annotation (
        Placement(transformation(extent={{-84,18},{-44,58}}),
          iconTransformation(extent={{-120,-20},{-80,20}})));
    Physiolibrary.Hydraulic.Sources.UnlimitedOutflowPump
                                                  bladderVoidFlow(
        useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{-58,-23},{-73,-8}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-100,69},{-80,89}}), iconTransformation(
            extent={{-100,-100},{-80,-80}})));

    Physiolibrary.Types.Constants.VolumeConst volumeConstant(k=0.0003)
      annotation (Placement(transformation(extent={{-28,32},{-20,40}})));
    Physiolibrary.Hydraulic.Sensors.FlowMeasure flowMeasure annotation (
        Placement(transformation(
          extent={{-10,10},{10,-10}},
          rotation=270,
          origin={-38,6})));

      Physiolibrary.Hydraulic.Components.ElasticVessel elasticVesselvolumeCompartement(
        stateName="BladderVolume.Mass",
        ZeroPressureVolume(displayUnit="l") = 0.001,
        volume_start=0.0003)
        annotation (Placement(transformation(extent={{-20,54},{0,74}})));
    equation
      connect(con, flowMeasure.q_in) annotation (Line(
          points={{-64,38},{-38,38},{-38,16}},
          color={0,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure.volumeFlow, busConnector.BladderVoidFlow) annotation (
          Line(
          points={{-50,6},{20,6},{20,79},{-90,79}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(bladderVoidFlow.q_in, flowMeasure.q_out) annotation (Line(
        points={{-58,-15.5},{-48,-15.5},{-48,-16},{-38,-16},{-38,-4}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(busConnector.CD_H2O_Outflow, bladderVoidFlow.solutionFlow)
      annotation (Line(
        points={{-90,79},{-90,8},{-66,8},{-66,-10.25},{-65.5,-10.25}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(con, elasticVesselvolumeCompartement.q_in) annotation (Line(
        points={{-64,38},{-38,38},{-38,64},{-10,64}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(elasticVesselvolumeCompartement.volume, busConnector.BladderVolume_Mass)
      annotation (Line(
        points={{-4,54},{-4,44},{20,44},{20,79},{-90,79}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,96},{100,80}},
              lineColor={0,0,255},
              textString="%name")}));
    end Bladder_steady;

    model Bladder_steady2
     // extends Library.PressureFlow.VolumeCompartement;
      extends Physiolibrary.Icons.Bladder;
    Physiolibrary.Osmotic.Interfaces.OsmoticPort_a     con annotation (
        Placement(transformation(extent={{-84,18},{-44,58}}),
          iconTransformation(extent={{-120,-20},{-80,20}})));
    Physiolibrary.Osmotic.Sources.SolventOutflux  bladderVoidFlow(
        useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{-58,-23},{-73,-8}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-100,69},{-80,89}}), iconTransformation(
            extent={{-100,-100},{-80,-80}})));

    Physiolibrary.Osmotic.Sensors.FlowMeasure   flowMeasure annotation (
        Placement(transformation(
          extent={{-10,10},{10,-10}},
          rotation=270,
          origin={-38,6})));

      Physiolibrary.Osmotic.Components.OsmoticCell bladder(volume_start=0.0003)
        annotation (Placement(transformation(extent={{-26,28},{-6,48}})));
    equation
    connect(busConnector.CD_H2O_Outflow, bladderVoidFlow.solutionFlow)
      annotation (Line(
        points={{-90,79},{-90,8},{-66,8},{-66,-10.25},{-65.5,-10.25}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(flowMeasure.volumeFlowRate, busConnector.BladerVoidFlow)
        annotation (Line(
          points={{-32,6},{22,6},{22,79},{-90,79}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(con, bladder.q_in[1]) annotation (Line(
          points={{-64,38},{-16,38}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure.q_in, bladder.q_in[1]) annotation (Line(
          points={{-38,16},{-38,38},{-16,38}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure.q_out, bladderVoidFlow.q_in) annotation (Line(
          points={{-38,-4},{-38,-15.5},{-61,-15.5}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(bladder.volume, busConnector.BladderVolume_Mass) annotation (Line(
          points={{-10,28},{22,28},{22,79},{-90,79}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(flowMeasure.volumeFlowRate, busConnector.BladderVoidFlow)
        annotation (Line(
          points={{-32,6},{30,6},{30,79},{-90,79}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,96},{100,80}},
              lineColor={0,0,255},
              textString="%name")}));
    end Bladder_steady2;

      model LungEdema_const
      extends Physiolibrary.Icons.Lungs;

       parameter Real initialVolume(displayUnit="ml") = 0;

      Physiolibrary.Osmotic.Interfaces.OsmoticPort_a q_in(o(final displayUnit=
              "g/ml")) annotation (Placement(transformation(extent={{-110,10},{
                -90,30}}), iconTransformation(extent={{-10,30},{10,50}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-104,61},{-84,81}}), iconTransformation(
              extent={{60,60},{80,80}})));

      Physiolibrary.Types.Constants.VolumeConst volume(k=0)
        annotation (Placement(transformation(extent={{-66,42},{-58,50}})));
      equation
        q_in.q=0;
      connect(volume.y, busConnector.ExcessLungWater_Volume) annotation (Line(
          points={{-57,46},{-8,46},{-8,71},{-94,71}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
          annotation (
      Documentation(info="<HTML>
<PRE>
Torso water compartment.

</PRE>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={                                   Text(
                extent={{-100,88},{100,72}},
                lineColor={0,0,255},
                textString="%name")}));
      end LungEdema_const;

      model Torsos
        import Physiomodel;
          extends Physiolibrary.Icons.Torso;

         replaceable package anatomy = Anatomies.ThreeTorsos
           constrainedby Anatomies
          "Anatomy model to divide body into parts"
          annotation (choicesAllMatching = true);

           parameter anatomy.Parameters anatomyData
           "Definition of the anatomy"
           annotation (choicesAllMatching = true);

          parameter Physiolibrary.Types.Volume InterstitialWater_start
        "Sum of volumes 2270,5670,3400 ml";
          parameter Physiolibrary.Types.Volume IntracellularWater_start
        "Sum of volumes 4980,12460,7470 ml";

          parameter Physiolibrary.Types.VolumeFlowRate NormalLymphFlow
        "Sum of lymph flows 0.4,0.8,1.3 ml/min";

          parameter Physiolibrary.Types.OsmoticPermeability CapillaryConductance
        "Capillary wall permeability for water. 0.6, 3.6, 1.3 ml/(kPa.min)";

          parameter Real[ :,3] InterstitialPressureVolumeData
        "{{600.0,-30.0,0.01},{2000.0,-4.8,0.0004},{5000.0,0.0,0.0004},{12000.0,50.0,0.01}}, {{1200.0,-30.0,0.01},{4800.0,-4.8,0.0004},{12000.0,0.0,0.0004},{24000.0,50.0,0.01}}, {{600.0,-30.0,0.02},{3000.0,-4.8,0.0004},{4000.0,-4.0,0.0004},{6000.0,50.0,0.03}}";
          parameter Physiolibrary.Types.Fraction ICFVFract
        "0.94. Ratio between non-RBC-ICFV and total ICFV, because red cells are not part of any torso ICF!";
          parameter Physiolibrary.Types.Fraction SizeFract "0.2,0.5,0.3";
          parameter Physiolibrary.Types.Fraction CalsFract "0.3,0.5,0.2";
          parameter Physiolibrary.Types.Fraction SweatFract "0.33,0.34,0.33";
          parameter Physiolibrary.Types.Fraction SkinFract "0.33,0.34,0.33";
          parameter Physiolibrary.Types.Fraction LungFract "0,1,0";

      Physiolibrary.Types.TorsoBusConnector torsoSpecific annotation (Placement(
            transformation(extent={{62,27},{80,44}}), iconTransformation(extent=
               {{30,10},{50,30}})));
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_a vascularH2O
        "plasma capillary wall osmotic connector"
        annotation (Placement(transformation(extent={{-92,-42},{-72,-22}}),
            iconTransformation(extent={{-70,-10},{-50,10}})));
        Modelica.Blocks.Math.Gain calsFract(k=CalsFract) annotation (Placement(
              transformation(
              extent={{-6,-6},{6,6}},
              origin={48,-82})));

      //  Physiolibrary.Types.Volume volume;
      //  Physiolibrary.Types.VolumeFlowRate change;
      Physiolibrary.Osmotic.Sources.SolventInflux metabolicH2O(useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{68,-98},{88,-78}})));
      Physiolibrary.Osmotic.Sensors.FlowMeasure flowMeasure1 annotation (
          Placement(transformation(
            extent={{5,4},{-5,-4}},
            rotation=270,
            origin={24,45})));
      Physiolibrary.Osmotic.Sensors.FlowMeasure flowMeasure2 annotation (
          Placement(transformation(
            extent={{5,6},{-5,-6}},
            rotation=270,
            origin={8,25})));
        Physiolibrary.Osmotic.Components.Membrane capyMembrane(
          useHydraulicPressureInputs=true,
          useTemperatureInputs=false,
          cond=CapillaryConductance)
          annotation (Placement(transformation(extent={{-60,-24},{-40,-4}})));
      Physiolibrary.Osmotic.Components.SolventFlux lymph(useSolutionFlowInput=
            true) annotation (Placement(transformation(
            extent={{-10,10},{10,-10}},
            rotation=180,
            origin={-58,-70})));
      Physiolibrary.Blocks.Factors.Spline InterstitialPressureEffect(
          data={{-14.0,0.0,0.0},{-4.0,1.0,0.1},{2.0,8.0,4.0},{6.0,25.0,0.0}},
          Xscale=101325/760,
          y(unit="m3/s"))
        annotation (Placement(transformation(extent={{-48,-68},{-68,-48}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst flowConstant(k=
              NormalLymphFlow)
        annotation (Placement(transformation(extent={{-68,-50},{-60,-42}})));
        Physiolibrary.Osmotic.Components.OsmoticCell Interstitium(
            useImpermeableSolutesInput=true, volume_start=InterstitialWater_start,
          NumberOfMembraneTypes=2)
        "Iterstitium has two type of membranes: capillary membrane (index 1) and cell membrane (index 2)"
          annotation (Placement(transformation(extent={{18,-10},{-2,10}})));
        Physiolibrary.Blocks.Interpolation.Curve pressureOnVolume(
          Xscale=1e-6,
          Yscale=101325/760,
        data=InterstitialPressureVolumeData)
          annotation (Placement(transformation(extent={{4,-50},{-16,-30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux sweat(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{10,10},{-10,-10}},
            rotation=270,
            origin={24,64})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst Vapor(k=
            6.1666666666667e-09)
          annotation (Placement(transformation(extent={{-24,40},{-16,48}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux insensibleSkinVapor(
            useSolutionFlowInput=true) annotation (Placement(transformation(
              extent={{10,10},{-10,-10}},
              rotation=270,
              origin={8,44})));
        Physiolibrary.Osmotic.Components.OsmoticCell ICF(useImpermeableSolutesInput=true,
            volume_start=IntracellularWater_start)
          annotation (Placement(transformation(extent={{94,-66},{74,-46}})));
        Physiolibrary.Osmotic.Components.Membrane cellMembrane(
          useTemperatureInputs=false,
          useHydraulicPressureInputs=false,
        cond(displayUnit="l/(kPa.min)") = 1.6666666666667e-08)
          annotation (Placement(transformation(extent={{62,-46},{82,-26}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{30,70},{50,90}}), iconTransformation(extent=
               {{30,70},{50,90}})));
        Modelica.Blocks.Math.Gain sizeFract(k=SizeFract*ICFVFract)
                                                         annotation (Placement(
              transformation(
              extent={{6,-6},{-6,6}},
              rotation=180,
              origin={90,72})));
      Modelica.Blocks.Math.Gain lungFract(k=LungFract)
        annotation (Placement(transformation(extent={{-24,22},{-16,30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux insensibleLungVapor(
          useSolutionFlowInput=true) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=90,
            origin={-6,26})));
      Modelica.Blocks.Math.Gain skinFract(k=SkinFract) annotation (Placement(
            transformation(
            extent={{-4,-4},{4,4}},
            origin={-6,44})));
      Modelica.Blocks.Math.Gain sweatFract(k=SweatFract) annotation (Placement(
            transformation(
            extent={{-4,-4},{4,4}},
            origin={10,64})));

        Physiolibrary.Types.VolumeFlowRate fromCapillaries, toLymph, evaporation, fromMetabolism;
      equation
        fromCapillaries = capyMembrane.q_in.q;
        toLymph = lymph.q_out.q;
        evaporation = insensibleLungVapor.q_in.q + insensibleSkinVapor.q_in.q + sweat.q_in.q;
        fromMetabolism = metabolicH2O.q_out.q;

        connect(calsFract.y, metabolicH2O.solutionFlow) annotation (Line(
            points={{54.6,-82},{78,-82},{78,-81}},
            color={0,0,127},
            smooth=Smooth.None));
      //  volume = extravascularH2O.WaterVolume;
      //  change = extravascularH2O.q_out.q;

        connect(vascularH2O, capyMembrane.q_in) annotation (Line(
            points={{-82,-32},{-82,-14},{-60,-14}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(InterstitialPressureEffect.y, lymph.solutionFlow) annotation (Line(
            points={{-58,-62},{-58,-63}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowConstant.y,InterstitialPressureEffect. yBase) annotation (
            Line(
            points={{-59,-46},{-58,-46},{-58,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(vascularH2O, lymph.q_out) annotation (Line(
            points={{-82,-32},{-82,-70},{-68,-70}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure2.q_in, Interstitium.q_in[1]) annotation (Line(
            points={{8,20},{8,-0.5}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pressureOnVolume.u, Interstitium.volume) annotation (Line(
            points={{4,-40},{2,-40},{2,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureOnVolume.val, capyMembrane.hydraulicPressureOut) annotation (
            Line(
            points={{-16,-40},{-20,-40},{-20,-6},{-42,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pressureOnVolume.val, InterstitialPressureEffect.u) annotation (Line(
            points={{-16,-40},{-20,-40},{-20,-58},{-50,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sweat.q_in, flowMeasure1.q_out) annotation (Line(
            points={{24,58},{24,50}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(insensibleSkinVapor.q_in, flowMeasure2.q_out) annotation (Line(
            points={{8,38},{8,30}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ICF.q_in[1], cellMembrane.q_out) annotation (Line(
            points={{84,-56},{86,-56},{86,-36},{82,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(metabolicH2O.q_out, ICF.q_in[1]) annotation (Line(
            points={{84,-88},{96,-88},{96,-56},{84,-56}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowMeasure1.volumeFlowRate, torsoSpecific.Sweat_H2OOutflow)
        annotation (Line(
          points={{27.2,45},{54,45},{54,35.5},{71,35.5}},
          color={215,215,215},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(flowMeasure2.volumeFlowRate, torsoSpecific.InsensibleSkin_H2O)
        annotation (Line(
          points={{12.8,25},{54,25},{54,35.5},{71,35.5}},
          color={215,215,215},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(Interstitium.volume, torsoSpecific.InterstitialWater_Vol) annotation (
           Line(
            points={{2,-10},{54,-10},{54,35.5},{71,35.5}},
            color={215,215,215},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Interstitium.impermeableSolutes[1], torsoSpecific.InterstitialProtein_Mass)
          annotation (Line(
            points={{16,5},{54,5},{54,35.5},{71,35.5}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(InterstitialPressureEffect.y, torsoSpecific.LymphFlow) annotation (
           Line(
            points={{-58,-62},{52,-62},{52,35.5},{71,35.5}},
            color={215,215,215},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ICF.impermeableSolutes[1], sizeFract.y) annotation (Line(
            points={{92,-50},{96,-50},{96,72},{96.6,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.OsmBody_ICFVActiveOsmoles, sizeFract.u) annotation (Line(
            points={{40,80},{40,72},{82.8,72}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(torsoSpecific.CapillaryRegionalPressure, capyMembrane.hydraulicPressureIn)
          annotation (Line(
            points={{71,35.5},{71,36},{56,36},{56,14},{-98,14},{-98,-6},{-58,-6}},
            color={170,255,255},
            smooth=Smooth.None,
          thickness=0.5),        Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(lungFract.y, insensibleLungVapor.solutionFlow) annotation (Line(
          points={{-15.6,26},{-13,26}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(insensibleLungVapor.q_in, Interstitium.q_in[1]) annotation (Line(
            points={{-6,20},{-6,10},{8,10},{8,-0.5}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(Vapor.y, skinFract.u) annotation (Line(
          points={{-15,44},{-10.8,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(insensibleSkinVapor.solutionFlow, skinFract.y) annotation (Line(
          points={{1,44},{-1.6,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sweat.solutionFlow, sweatFract.y) annotation (Line(
          points={{17,64},{14.4,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.SweatDuct_H2OOutflow, sweatFract.u) annotation (Line(
          points={{40,80},{-66,80},{-66,64},{5.2,64}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.HeatInsensibleLung_H2O, lungFract.u) annotation (
          Line(
          points={{40,80},{-66,80},{-66,26},{-24.8,26}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(torsoSpecific.Cell_H2O, ICF.volume) annotation (Line(
          points={{71,35.5},{54,35.5},{54,-66},{78,-66}},
          color={215,215,215},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.MetabolicH2O_Rate, calsFract.u) annotation (Line(
          points={{40,80},{-100,80},{-100,-82},{40.8,-82}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(Interstitium.impermeableSolutes[2], torsoSpecific.InterstitialOsmoles)
          annotation (Line(
            points={{16,7},{68,7},{68,35.5},{71,35.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Interstitium.q_in[2], cellMembrane.q_in) annotation (Line(
            points={{8,0.5},{36,0.5},{36,-36},{62,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowMeasure1.q_in, Interstitium.q_in[1]) annotation (Line(
          points={{24,40},{24,10},{8,10},{8,-0.5}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Interstitium.q_in[1], lymph.q_in) annotation (Line(
          points={{8,-0.5},{-18,-0.5},{-18,-70},{-48,-70}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
      connect(capyMembrane.q_out, Interstitium.q_in[1]) annotation (Line(
          points={{-40,-14},{-18,-14},{-18,-0.5},{8,-0.5}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={                 Text(
                extent={{-139,-101},{142,-126}},
                lineColor={0,0,255},
                textString="%name")}), experiment(StopTime=31536000, Tolerance=1e-005));
      end Torsos;
    end WaterCompartments;

    package TissuesVolume
    "Division of intracellular and interstitial water into tissues"
      extends Physiolibrary.Icons.Tissues;

      model Tissue
      "compute tissue size from global interstitial and cell H20 volume"

        parameter Physiolibrary.Types.Fraction FractIFV;
        parameter Physiolibrary.Types.Fraction FractOrganH2O;

        Physiolibrary.Types.RealIO.VolumeInput InterstitialWater_Vol
          annotation (Placement(transformation(extent={{-120,60},{-80,100}})));
        Physiolibrary.Types.RealIO.VolumeInput CellH2O_Vol
          annotation (Placement(transformation(extent={{-120,20},{-80,60}})));
        Physiolibrary.Types.RealIO.VolumeOutput LiquidVol
        "all tissue water volume"
          annotation (Placement(transformation(extent={{80,60},{120,100}}),
              iconTransformation(extent={{80,60},{120,100}})));
        Physiolibrary.Types.RealIO.VolumeOutput OrganH2O
        "tissue cells water volume"
          annotation (Placement(transformation(extent={{80,20},{120,60}}),
              iconTransformation(extent={{80,20},{120,60}})));

        Physiolibrary.Types.RealIO.VolumeOutput InterstitialWater
        "tissue interstitial water volume"
          annotation (Placement(transformation(extent={{80,20},{120,60}}),
              iconTransformation(extent={{80,-20},{120,20}})));
      equation
        OrganH2O = FractOrganH2O * CellH2O_Vol;
        LiquidVol = FractIFV*InterstitialWater_Vol + OrganH2O;
        InterstitialWater = LiquidVol - OrganH2O;
        annotation ( Icon(coordinateSystem(preserveAspectRatio=false,
                        extent={{-100,-100},{100,100}}), graphics={
              Text(
                extent={{-72,64},{64,96}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="IST .. %FractIFV"),
              Text(
                extent={{-72,26},{64,58}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="ICF .. %FractOrganH2O"),
              Text(
                extent={{-98,-104},{102,-120}},
                lineColor={0,0,255},
                textString="%name"),
              Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
      end Tissue;

      model Tissues
        import QHP = Physiomodel;
       extends Physiolibrary.Icons.Tissues;
        SkeletalMuscle skeletalMuscle(FractIFV=0.59704112420698, FractOrganH2O=
            0.59704112420698)
          annotation (Placement(transformation(extent={{-54,62},{-34,82}})));
        Bone bone(FractIFV=0.075535107692334, FractOrganH2O=0.075535107692334)
          annotation (Placement(transformation(extent={{-54,36},{-34,56}})));
        Fat fat(FractIFV=0.068679312541595, FractOrganH2O=0.068679312541595)
          annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));
        Brain brain(FractIFV=0.021385027838153, FractOrganH2O=0.021385027838153)
          annotation (Placement(transformation(extent={{52,28},{72,48}})));
        QHP.Water.TissuesVolume.RightHeart rightHeart(FractIFV=
            0.00071147906305641, FractOrganH2O=0.00071147906305641)
          annotation (Placement(transformation(extent={{52,-92},{72,-72}})));
        RespiratoryMuscle respiratoryMuscle(FractIFV=6.71126519181567e-002,
            FractOrganH2O=6.71126519181567e-002)
          annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));
        OtherTissue otherTissue(FractIFV=6.70823116596042e-002, FractOrganH2O=6.70823116596042e-002)
          annotation (Placement(transformation(extent={{-54,8},{-34,28}})));
        Liver liver(FractIFV=2.84998184687167e-002, FractOrganH2O=2.84998184687167e-002)
          annotation (Placement(transformation(extent={{52,58},{72,78}})));
        QHP.Water.TissuesVolume.LeftHeart leftHeart(FractIFV=0.0042688743783384,
          FractOrganH2O=0.0042688743783384)
          annotation (Placement(transformation(extent={{52,-62},{72,-42}})));
        QHP.Water.TissuesVolume.Kidney kidney(FractIFV=4.71608978940247e-003,
            FractOrganH2O=4.71608978940247e-003)
          annotation (Placement(transformation(extent={{52,-34},{72,-14}})));
        QHP.Water.TissuesVolume.GITract GITract(FractIFV=2.34991370540916e-002,
            FractOrganH2O=2.34991370540916e-002)
          annotation (Placement(transformation(extent={{52,-2},{72,18}})));
      Physiolibrary.Types.BusConnector busConnector
        annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
        Skin skin(FractIFV=0.041469065389573, FractOrganH2O=0.041469065389573)
          annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

      //Real ifv;
      //Real organ;
      equation

        connect(busConnector.InterstitialWater_Vol, bone.InterstitialWater_Vol)      annotation (
           Line(
            points={{-88,92},{-88,54},{-54,54}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.InterstitialWater_Vol, brain.InterstitialWater_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,46},{52,46}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, fat.InterstitialWater_Vol)      annotation (
            Line(
            points={{-88,92},{-88,-36},{-54,-36}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, GITract.InterstitialWater_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,16},{52,16}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, kidney.InterstitialWater_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,-16},{52,-16}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, leftHeart.InterstitialWater_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,-44},{52,-44}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, liver.InterstitialWater_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,76},{52,76}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, otherTissue.InterstitialWater_Vol)
          annotation (Line(
            points={{-88,92},{-88,26},{-54,26}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, respiratoryMuscle.InterstitialWater_Vol)
          annotation (Line(
            points={{-88,92},{-88,-6},{-54,-6}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, rightHeart.InterstitialWater_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,-74},{52,-74}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, skin.InterstitialWater_Vol)      annotation (
           Line(
            points={{-88,92},{-88,-66},{-54,-66}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.InterstitialWater_Vol, skeletalMuscle.InterstitialWater_Vol)
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,80},{-54,80}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(busConnector.CellH2O_Vol, bone.CellH2O_Vol)         annotation (
           Line(
            points={{-88,92},{-88,50},{-54,50}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, brain.CellH2O_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,42},{52,42}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, fat.CellH2O_Vol)         annotation (
            Line(
            points={{-88,92},{-88,-40},{-54,-40}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, GITract.CellH2O_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,12},{52,12}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, kidney.CellH2O_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,-20},{52,-20}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, leftHeart.CellH2O_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,-48},{52,-48}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, liver.CellH2O_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,72},{52,72}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, otherTissue.CellH2O_Vol)
          annotation (Line(
            points={{-88,92},{-88,22},{-54,22}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, respiratoryMuscle.CellH2O_Vol)
          annotation (Line(
            points={{-88,92},{-88,-10},{-54,-10}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, rightHeart.CellH2O_Vol)
          annotation (Line(
            points={{-88,92},{6,92},{6,-78},{52,-78}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, skin.CellH2O_Vol)         annotation (
           Line(
            points={{-88,92},{-88,-70},{-54,-70}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));
        connect(busConnector.CellH2O_Vol, skeletalMuscle.CellH2O_Vol)
          annotation (Line(
            points={{-88,92},{-87.5,92},{-87.5,76},{-54,76}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,2},{-5,2}}));

        connect(bone.LiquidVol, busConnector.bone_LiquidVol)       annotation (
           Line(
            points={{-34,54},{6,54},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brain.LiquidVol, busConnector.brain_LiquidVol)
          annotation (Line(
            points={{72,46},{98,46},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fat.LiquidVol, busConnector.fat_LiquidVol)     annotation (
            Line(
            points={{-34,-36},{6,-36},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITract.LiquidVol, busConnector.GITract_LiquidVol)
          annotation (Line(
            points={{72,16},{98,16},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidney.LiquidVol, busConnector.kidney_LiquidVol)
          annotation (Line(
            points={{72,-16},{98,-16},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeart.LiquidVol, busConnector.leftHeart_LiquidVol)
          annotation (Line(
            points={{72,-44},{98,-44},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liver.LiquidVol, busConnector.liver_LiquidVol)
          annotation (Line(
            points={{72,76},{98,76},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissue.LiquidVol, busConnector.otherTissue_LiquidVol)
          annotation (Line(
            points={{-34,26},{6,26},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscle.LiquidVol, busConnector.respiratoryMuscle_LiquidVol)
          annotation (Line(
            points={{-34,-6},{6,-6},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeart.LiquidVol, busConnector.rightHeart_LiquidVol)
          annotation (Line(
            points={{72,-74},{98,-74},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skin.LiquidVol, busConnector.skin_LiquidVol)     annotation (
           Line(
            points={{-34,-66},{6,-66},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscle.LiquidVol, busConnector.skeletalMuscle_LiquidVol)
          annotation (Line(
            points={{-34,80},{5.5,80},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

       connect(bone.LiquidVol, busConnector.Bone_LiquidVol)       annotation (
           Line(
            points={{-34,54},{6,54},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brain.LiquidVol, busConnector.Brain_LiquidVol)
          annotation (Line(
            points={{72,46},{98,46},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fat.LiquidVol, busConnector.Fat_LiquidVol)     annotation (
            Line(
            points={{-34,-36},{6,-36},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidney.LiquidVol, busConnector.Kidney_LiquidVol)
          annotation (Line(
            points={{72,-16},{98,-16},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeart.LiquidVol, busConnector.LeftHeart_LiquidVol)
          annotation (Line(
            points={{72,-44},{98,-44},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liver.LiquidVol, busConnector.Liver_LiquidVol)
          annotation (Line(
            points={{72,76},{98,76},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissue.LiquidVol, busConnector.OtherTissue_LiquidVol)
          annotation (Line(
            points={{-34,26},{6,26},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscle.LiquidVol, busConnector.RespiratoryMuscle_LiquidVol)
          annotation (Line(
            points={{-34,-6},{6,-6},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeart.LiquidVol, busConnector.RightHeart_LiquidVol)
          annotation (Line(
            points={{72,-74},{98,-74},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skin.LiquidVol, busConnector.Skin_LiquidVol)     annotation (
           Line(
            points={{-34,-66},{6,-66},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscle.LiquidVol, busConnector.SkeletalMuscle_LiquidVol)
          annotation (Line(
            points={{-34,80},{5.5,80},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

        connect(bone.OrganH2O, busConnector.bone_CellH2OVol)       annotation (
           Line(
            points={{-34,50},{6,50},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brain.OrganH2O, busConnector.brain_CellH2OVol)
          annotation (Line(
            points={{72,42},{98,42},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fat.OrganH2O, busConnector.fat_CellH2OVol)     annotation (
            Line(
            points={{-34,-40},{6,-40},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITract.OrganH2O, busConnector.GITract_CellH2OVol)
          annotation (Line(
            points={{72,12},{98,12},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidney.OrganH2O, busConnector.kidney_CellH2OVol)
          annotation (Line(
            points={{72,-20},{98,-20},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeart.OrganH2O, busConnector.leftHeart_CellH2OVol)
          annotation (Line(
            points={{72,-48},{98,-48},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liver.OrganH2O, busConnector.liver_CellH2OVol)
          annotation (Line(
            points={{72,72},{98,72},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissue.OrganH2O, busConnector.otherTissue_CellH2OVol)
          annotation (Line(
            points={{-34,22},{6,22},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscle.OrganH2O, busConnector.respiratoryMuscle_CellH2OVol)
          annotation (Line(
            points={{-34,-10},{6,-10},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeart.OrganH2O, busConnector.rightHeart_CellH2OVol)
          annotation (Line(
            points={{72,-78},{98,-78},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skin.OrganH2O, busConnector.skin_CellH2OVol)     annotation (
           Line(
            points={{-34,-70},{6,-70},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscle.OrganH2O, busConnector.skeletalMuscle_CellH2OVol)
          annotation (Line(
            points={{-34,76},{5.5,76},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));

       connect(bone.InterstitialWater, busConnector.bone_InterstitialWater)       annotation (
           Line(
            points={{-34,46},{6,46},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(brain.InterstitialWater, busConnector.brain_InterstitialWater)
          annotation (Line(
            points={{72,38},{98,38},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(fat.InterstitialWater, busConnector.fat_InterstitialWater)     annotation (
            Line(
            points={{-34,-44},{6,-44},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(GITract.InterstitialWater, busConnector.GITract_InterstitialWater)
          annotation (Line(
            points={{72,8},{98,8},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(kidney.InterstitialWater, busConnector.kidney_InterstitialWater)
          annotation (Line(
            points={{72,-24},{98,-24},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(leftHeart.InterstitialWater, busConnector.leftHeart_InterstitialWater)
          annotation (Line(
            points={{72,-52},{98,-52},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(liver.InterstitialWater, busConnector.liver_InterstitialWater)
          annotation (Line(
            points={{72,68},{98,68},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(otherTissue.InterstitialWater, busConnector.otherTissue_InterstitialWater)
          annotation (Line(
            points={{-34,18},{6,18},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(respiratoryMuscle.InterstitialWater, busConnector.respiratoryMuscle_InterstitialWater)
          annotation (Line(
            points={{-34,-14},{6,-14},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(rightHeart.InterstitialWater, busConnector.rightHeart_InterstitialWater)
          annotation (Line(
            points={{72,-82},{98,-82},{98,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skin.InterstitialWater, busConnector.skin_InterstitialWater)     annotation (
           Line(
            points={{-34,-74},{6,-74},{6,92},{-88,92}},
            color={0,127,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
        connect(skeletalMuscle.InterstitialWater, busConnector.skeletalMuscle_InterstitialWater)
          annotation (Line(
            points={{-34,72},{5.5,72},{5.5,92},{-88,92}},
            color={127,0,0},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,2},{5,2}}));
      //ifv=bone.FractIFV +brain.FractIFV +fat.FractIFV +GITract.FractIFV +kidney.FractIFV +leftHeart.FractIFV +liver.FractIFV +otherTissue.FractIFV +respiratoryMuscle.FractIFV +rightHeart.FractIFV +skin.FractIFV +skeletalMuscle.FractIFV;
      //organ=bone.FractOrganH2O +brain.FractOrganH2O +fat.FractOrganH2O +GITract.FractOrganH2O +kidney.FractOrganH2O +leftHeart.FractOrganH2O +liver.FractOrganH2O +otherTissue.FractOrganH2O +respiratoryMuscle.FractOrganH2O +rightHeart.FractOrganH2O +skin.FractOrganH2O +skeletalMuscle.FractOrganH2O;
      /*
 assert(bone.FractIFV +
brain.FractIFV +
fat.FractIFV +
GITract.FractIFV +
kidney.FractIFV +
leftHeart.FractIFV +
liver.FractIFV +
otherTissue.FractIFV +
respiratoryMuscle.FractIFV +
rightHeart.FractIFV +
skin.FractIFV +
skeletalMuscle.FractIFV <> 1, "Water.TissuesVolume.Tissues: Sum of FractIFV is not 1!");
 assert(bone.FractOrganH2O +
brain.FractOrganH2O +
fat.FractOrganH2O +
GITract.FractOrganH2O +
kidney.FractOrganH2O +
leftHeart.FractOrganH2O +
liver.FractOrganH2O +
otherTissue.FractOrganH2O +
respiratoryMuscle.FractOrganH2O +
rightHeart.FractOrganH2O +
skin.FractOrganH2O +
skeletalMuscle.FractOrganH2O <> 1, "Water.TissuesVolume.Tissues: Sum of FractOrganH20 is not 1!");
*/
        annotation (Icon(graphics={Text(
                extent={{-100,-104},{100,-120}},
                lineColor={0,0,255},
                textString="%name")}));
      end Tissues;

      model SkeletalMuscle
        extends Physiolibrary.Icons.SkeletalMuscle;
        extends Tissue;
      end SkeletalMuscle;

      model Bone
        extends Physiolibrary.Icons.Bone;
        extends Tissue;
      end Bone;

      model OtherTissue
        extends Physiolibrary.Icons.OtherTissue;
        extends Tissue;
      end OtherTissue;

      model RespiratoryMuscle
        extends Physiolibrary.Icons.RespiratoryMuscle;
        extends Tissue;
      end RespiratoryMuscle;

      model Fat
        extends Physiolibrary.Icons.Fat;
        extends Tissue;
      end Fat;

      model Skin
        extends Physiolibrary.Icons.Skin;
        extends Tissue;
      end Skin;

      model Liver
        extends Physiolibrary.Icons.Liver;
        extends Tissue;
      end Liver;

      model Brain
        extends Physiolibrary.Icons.Brain;
        extends Tissue;
      end Brain;

      model GITract
        extends Physiolibrary.Icons.GITract;
        extends Tissue;
      end GITract;

      model Kidney
        extends Physiolibrary.Icons.Kidney;
        extends Tissue;
      end Kidney;

      model LeftHeart
        extends Physiolibrary.Icons.LeftHeart;
        extends Tissue;
      end LeftHeart;

      model RightHeart
        extends Physiolibrary.Icons.RightHeart;
        extends Tissue;
      end RightHeart;
    end TissuesVolume;

    package Skin
      extends Physiolibrary.Icons.Skin;

      model Skin
        extends Physiolibrary.Icons.Skin;
        parameter Real bodyPart=1/3;
      Physiolibrary.Types.Constants.VolumeFlowRateConst flowConstant(k=1*
            bodyPart)
        annotation (Placement(transformation(extent={{62,80},{70,88}})));
      Physiolibrary.Blocks.Factors.Spline NerveEffect(data={{0.0,0.0,0.0},{4.0,
            30.0,0.0}})
        annotation (Placement(transformation(extent={{62,54},{82,74}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-100,81},{-80,101}}), iconTransformation(
              extent={{60,60},{80,80}})));
      Physiolibrary.Blocks.Factors.Normalization FuelEffect
        annotation (Placement(transformation(extent={{62,42},{82,62}})));
      Physiomodel.Metabolism.deprecated.Input2EffectDelayed AcclimationEffect(Tau=6,
          data={{60,0.5,0.0},{85,1.0,0.05},{100,2.0,0.0}})
        annotation (Placement(transformation(extent={{62,22},{82,42}})));
      Physiolibrary.Blocks.Factors.Normalization SkinFunctionEffect
        annotation (Placement(transformation(extent={{62,2},{82,22}})));
        Physiolibrary.NonSIunits.degC_to_degF degC_to_degF
          annotation (Placement(transformation(extent={{48,28},{56,36}})));
        Physiolibrary.Chemical.MassStorageCompartment          SweatFuel(
            initialSoluteMass=1, stateName="SweatFuel.Mass")
          annotation (Placement(transformation(extent={{56,-52},{78,-32}})));
        Physiolibrary.Chemical.InputPump          inputPump
          annotation (Placement(transformation(extent={{34,-52},{54,-32}})));
        Physiolibrary.Chemical.OutputPump          outputPump
          annotation (Placement(transformation(extent={{82,-52},{102,-32}})));
        Modelica.Blocks.Math.Gain gain(k=0.0004) annotation (Placement(
              transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={92,-26})));
      Physiolibrary.Blocks.Factors.Spline MassEffect(data={{0.9,1.0,0.0},{1.0,
            0.0,0.0}})
        annotation (Placement(transformation(extent={{34,-38},{54,-18}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=0.004)
        annotation (Placement(transformation(extent={{34,-20},{42,-12}})));
        Modelica.Blocks.Math.Feedback H2OOutflow
          annotation (Placement(transformation(extent={{-2,-12},{-18,4}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab(k=0)
        annotation (Placement(transformation(extent={{-26,-22},{-18,-14}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab1(k=0.37*
            bodyPart)
        annotation (Placement(transformation(extent={{-48,-64},{-40,-56}})));
        Modelica.Blocks.Logical.Switch switch1
          annotation (Placement(transformation(extent={{-28,-82},{-8,-62}})));
        Modelica.Blocks.Logical.Greater greater
          annotation (Placement(transformation(extent={{-70,-82},{-50,-62}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab2(k=0)
        annotation (Placement(transformation(extent={{-74,-98},{-66,-90}})));
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_b q_out annotation (
          Placement(transformation(extent={{-48,-44},{-30,-28}}),
            iconTransformation(extent={{-90,-50},{-70,-30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux sweat(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{-62,-46},{-82,-26}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux vapor(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{6,-92},{26,-72}})));
        Modelica.Blocks.Interfaces.RealOutput LiquidVol(
                                                 final displayUnit="ml")
        "all tissue water volume"
          annotation (Placement(transformation(extent={{90,70},{130,110}}),
              iconTransformation(extent={{80,60},{120,100}})));
      equation
        connect(flowConstant.y, NerveEffect.yBase) annotation (Line(
            points={{71,84},{72,84},{72,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.HypothalamusSweating_NA, NerveEffect.u)
          annotation (Line(
            points={{-90,91},{-56,91},{-56,64},{64,64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skin_FunctionEffect, SkinFunctionEffect.u)
          annotation (Line(
            points={{-90,91},{-56,91},{-56,12},{64,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(AcclimationEffect.y, SkinFunctionEffect.yBase) annotation (Line(
            points={{72,30},{72,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NerveEffect.y, FuelEffect.yBase) annotation (Line(
            points={{72,60},{72,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FuelEffect.y, AcclimationEffect.yBase) annotation (Line(
            points={{72,50},{72,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_T, degC_to_degF.degC) annotation (Line(
            points={{-90,91},{-56,91},{-56,32},{47.2,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(degC_to_degF.degF, AcclimationEffect.u) annotation (Line(
            points={{56.8,32},{62.2,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatFuel.soluteMass, FuelEffect.u) annotation (Line(
            points={{67,-49.4},{67,-58},{22,-58},{22,52},{62.2,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inputPump.q_out, SweatFuel.q_out) annotation (Line(
            points={{50,-42},{67,-42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(SweatFuel.q_out, outputPump.q_in) annotation (Line(
            points={{67,-42},{86,-42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(gain.y, outputPump.desiredFlow) annotation (Line(
            points={{92,-30.4},{92,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MassEffect.y, inputPump.desiredFlow) annotation (Line(
            points={{44,-30},{44,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatFuel.soluteMass, MassEffect.u) annotation (Line(
            points={{67,-49.4},{67,-58},{22,-58},{22,-28},{34.2,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, MassEffect.yBase) annotation (Line(
            points={{43,-16},{44,-16},{44,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SkinFunctionEffect.y, H2OOutflow.u1) annotation (Line(
            points={{72,8},{72,-4},{-3.6,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab.y, H2OOutflow.u2) annotation (Line(
            points={{-17,-18},{-10,-18},{-10,-10.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SkinFunctionEffect.y, gain.u) annotation (Line(
            points={{72,8},{72,-4},{92,-4},{92,-21.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(greater.y, switch1.u2) annotation (Line(
            points={{-49,-72},{-30,-72}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(H2OReab1.y, switch1.u1) annotation (Line(
            points={{-39,-60},{-36,-60},{-36,-64},{-30,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab2.y, switch1.u3) annotation (Line(
            points={{-65,-94},{-34,-94},{-34,-80},{-30,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab2.y, greater.u2) annotation (Line(
            points={{-65,-94},{-60,-94},{-60,-86},{-76,-86},{-76,-80},{-72,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_BloodFlow, greater.u1) annotation (Line(
            points={{-90,91},{-90,-72},{-72,-72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(vapor.q_in, q_out) annotation (Line(
            points={{10,-82},{4,-82},{4,-36},{-39,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(sweat.q_in, q_out) annotation (Line(
            points={{-66,-36},{-39,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(switch1.y, vapor.solutionFlow) annotation (Line(
          points={{-7,-72},{16,-72},{16,-75}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(H2OOutflow.y, sweat.solutionFlow) annotation (Line(
          points={{-17.2,-4},{-72,-4},{-72,-29}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-155,-83},{126,-108}},
                lineColor={0,0,255},
                textString="%name")}));
      end Skin;

      model SweatGland
        extends Physiolibrary.Icons.SweatGland;
        parameter Real bodyPart=1/3;
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-100,81},{-80,101}}), iconTransformation(
              extent={{60,60},{80,80}})));
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_b q_out annotation (
          Placement(transformation(extent={{-48,-44},{-30,-28}}),
            iconTransformation(extent={{-90,-50},{-70,-30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux sweat(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{-62,-46},{-82,-26}})));
      Physiolibrary.Types.Constants.FractionConst             fractConstant(k=
            bodyPart)
        annotation (Placement(transformation(extent={{-92,-4},{-66,22}})));
      Physiolibrary.Blocks.Factors.Normalization BodyPart
        annotation (Placement(transformation(extent={{-44,18},{-24,38}})));
      equation
        connect(sweat.q_in, q_out) annotation (Line(
            points={{-66,-36},{-39,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.SweatDuct_H2OOutflow, BodyPart.yBase) annotation (
            Line(
            points={{-90,91},{-34,91},{-34,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(fractConstant.y, BodyPart.u) annotation (Line(
            points={{-62.75,9},{-53.35,9},{-53.35,28},{-42,28}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(BodyPart.y, sweat.solutionFlow) annotation (Line(
          points={{-34,24},{-36,24},{-36,-20},{-72,-20},{-72,-29}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-137,-103},{144,-128}},
                lineColor={0,0,255},
                textString="%name")}));
      end SweatGland;

      model InsensibleSkin
        extends Physiolibrary.Icons.Skin;
        parameter Real bodyPart=1/3;
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-100,81},{-80,101}}), iconTransformation(
              extent={{60,60},{80,80}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab1(k=0.37*
            bodyPart)
        annotation (Placement(transformation(extent={{-48,-64},{-40,-56}})));
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_b q_out annotation (
          Placement(transformation(extent={{-48,-44},{-30,-28}}),
            iconTransformation(extent={{-90,-50},{-70,-30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux vapor(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{6,-92},{26,-72}})));
      equation
        connect(vapor.q_in, q_out) annotation (Line(
            points={{10,-82},{4,-82},{4,-36},{-39,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(H2OReab1.y, vapor.solutionFlow) annotation (Line(
          points={{-39,-60},{16,-60},{16,-78}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-155,-83},{126,-108}},
                lineColor={0,0,255},
                textString="%name")}));
      end InsensibleSkin;

      model InsensibleSkin2
        extends Physiolibrary.Icons.Skin;
        parameter Real bodyPart=1/3;
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-100,81},{-80,101}}), iconTransformation(
              extent={{60,60},{80,80}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab1(k=0.37*
            bodyPart)
        annotation (Placement(transformation(extent={{-48,-64},{-40,-56}})));
        Modelica.Blocks.Logical.Switch switch1
          annotation (Placement(transformation(extent={{-28,-82},{-8,-62}})));
        Modelica.Blocks.Logical.Greater greater
          annotation (Placement(transformation(extent={{-70,-82},{-50,-62}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab2(k=0)
        annotation (Placement(transformation(extent={{-74,-98},{-66,-90}})));
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_b q_out annotation (
          Placement(transformation(extent={{-48,-44},{-30,-28}}),
            iconTransformation(extent={{-90,-50},{-70,-30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux vapor(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{6,-92},{26,-72}})));
      equation
        connect(greater.y, switch1.u2) annotation (Line(
            points={{-49,-72},{-30,-72}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(H2OReab1.y, switch1.u1) annotation (Line(
            points={{-39.6,-60},{-36,-60},{-36,-64},{-30,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab2.y, switch1.u3) annotation (Line(
            points={{-65.6,-94},{-34,-94},{-34,-80},{-30,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab2.y, greater.u2) annotation (Line(
            points={{-65.6,-94},{-60,-94},{-60,-86},{-76,-86},{-76,-80},{-72,
                -80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_BloodFlow, greater.u1) annotation (Line(
            points={{-90,91},{-90,-72},{-72,-72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(vapor.q_in, q_out) annotation (Line(
            points={{10,-82},{4,-82},{4,-36},{-39,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(switch1.y, vapor.solutionFlow) annotation (Line(
          points={{-7,-72},{16,-72},{16,-78}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-155,-83},{126,-108}},
                lineColor={0,0,255},
                textString="%name")}));
      end InsensibleSkin2;

      package test
        model SweatGland
          extends Physiolibrary.Icons.SweatGland;
          parameter Real bodyPart=1/3;
        Physiolibrary.Types.Constants.VolumeFlowRateConst flowConstant(k=1*
              bodyPart)
          annotation (Placement(transformation(extent={{62,80},{70,88}})));
        Physiolibrary.Blocks.Factors.Spline NerveEffect(data={{0.0,0.0,0.0},{
              4.0,30.0,0.0}})
          annotation (Placement(transformation(extent={{62,54},{82,74}})));
        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{-100,81},{-80,101}}), iconTransformation(
                extent={{60,60},{80,80}})));
        Physiolibrary.Blocks.Factors.Normalization FuelEffect
          annotation (Placement(transformation(extent={{62,42},{82,62}})));
        Physiomodel.Metabolism.deprecated.Input2EffectDelayed AcclimationEffect(
          Tau=6,
          data={{60,0.5,0.0},{85,1.0,0.05},{100,2.0,0.0}},
          stateName="SweatAcclimation.Effect")
          annotation (Placement(transformation(extent={{62,22},{82,42}})));
        Physiolibrary.Blocks.Factors.Normalization SkinFunctionEffect
          annotation (Placement(transformation(extent={{62,2},{82,22}})));
          Physiolibrary.NonSIunits.degC_to_degF degC_to_degF
            annotation (Placement(transformation(extent={{48,28},{56,36}})));
          Physiolibrary.Chemical.MassStorageCompartment          SweatFuel(
              initialSoluteMass=1, stateName="SweatFuel.Mass")
            annotation (Placement(transformation(extent={{56,-52},{78,-32}})));
          Physiolibrary.Chemical.InputPump          inputPump
            annotation (Placement(transformation(extent={{34,-52},{54,-32}})));
          Physiolibrary.Chemical.OutputPump          outputPump
            annotation (Placement(transformation(extent={{82,-52},{102,-32}})));
          Modelica.Blocks.Math.Gain gain(k=0.0004) annotation (Placement(
                transformation(
                extent={{-4,-4},{4,4}},
                rotation=270,
                origin={92,-26})));
        Physiolibrary.Blocks.Factors.Spline MassEffect(data={{0.9,1.0,0.0},{1.0,
              0.0,0.0}})
          annotation (Placement(transformation(extent={{34,-38},{54,-18}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=
              0.004)
          annotation (Placement(transformation(extent={{34,-20},{42,-12}})));
          Modelica.Blocks.Math.Feedback H2OOutflow
            annotation (Placement(transformation(extent={{-2,-12},{-18,4}})));
        Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab(k=0)
          annotation (Placement(transformation(extent={{-26,-22},{-18,-14}})));
        Physiolibrary.Osmotic.Interfaces.OsmoticPort_b q_out annotation (
            Placement(transformation(extent={{-48,-44},{-30,-28}}),
              iconTransformation(extent={{-90,-50},{-70,-30}})));
        Physiolibrary.Osmotic.Sources.SolventOutflux sweat(useSolutionFlowInput=
             true)
          annotation (Placement(transformation(extent={{-62,-46},{-82,-26}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant fractConstant(k=
             bodyPart)
          annotation (Placement(transformation(extent={{-94,-4},{-68,22}})));
        Physiolibrary.Blocks.Factors.Normalization BodyPart
          annotation (Placement(transformation(extent={{-44,18},{-24,38}})));
        equation
          connect(flowConstant.y, NerveEffect.yBase) annotation (Line(
              points={{70.4,84},{72,84},{72,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.HypothalamusSweating_NA, NerveEffect.u)
            annotation (Line(
              points={{-90,91},{-56,91},{-56,64},{62.2,64}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.skin_FunctionEffect, SkinFunctionEffect.u)
            annotation (Line(
              points={{-90,91},{-56,91},{-56,12},{62.2,12}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(AcclimationEffect.y, SkinFunctionEffect.yBase) annotation (Line(
              points={{72,30},{72,14}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NerveEffect.y, FuelEffect.yBase) annotation (Line(
              points={{72,62},{72,54}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(FuelEffect.y, AcclimationEffect.yBase) annotation (Line(
              points={{72,50},{72,34}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.skin_T, degC_to_degF.degC) annotation (Line(
              points={{-90,91},{-56,91},{-56,32},{47.2,32}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(degC_to_degF.degF, AcclimationEffect.u) annotation (Line(
              points={{56.8,32},{62.2,32}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(SweatFuel.soluteMass, FuelEffect.u) annotation (Line(
              points={{67,-49.4},{67,-58},{22,-58},{22,52},{62.2,52}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(inputPump.q_out, SweatFuel.q_out) annotation (Line(
              points={{50,-42},{67,-42}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(SweatFuel.q_out, outputPump.q_in) annotation (Line(
              points={{67,-42},{86,-42}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(gain.y, outputPump.desiredFlow) annotation (Line(
              points={{92,-30.4},{92,-38}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(MassEffect.y, inputPump.desiredFlow) annotation (Line(
              points={{44,-30},{44,-38}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(SweatFuel.soluteMass, MassEffect.u) annotation (Line(
              points={{67,-49.4},{67,-58},{22,-58},{22,-28},{34.2,-28}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant.y, MassEffect.yBase) annotation (Line(
              points={{42.4,-16},{44,-16},{44,-26}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(SkinFunctionEffect.y, H2OOutflow.u1) annotation (Line(
              points={{72,10},{72,-4},{-3.6,-4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(H2OReab.y, H2OOutflow.u2) annotation (Line(
              points={{-17.6,-18},{-10,-18},{-10,-10.4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(SkinFunctionEffect.y, gain.u) annotation (Line(
              points={{72,10},{72,-4},{92,-4},{92,-21.2}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(sweat.q_in, q_out) annotation (Line(
              points={{-66,-36},{-39,-36}},
              color={127,127,0},
              thickness=1,
              smooth=Smooth.None));
        connect(H2OOutflow.y, sweat.solutionFlow) annotation (Line(
            points={{-17.2,-4},{-72,-4},{-72,-32}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector.SweatDuct_H2OOutflow, BodyPart.yBase)
            annotation (Line(
              points={{-90,91},{-34,91},{-34,30}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(fractConstant.y, BodyPart.u) annotation (Line(
              points={{-66.7,9},{-53.35,9},{-53.35,28},{-43.8,28}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(BodyPart.y, sweat.solutionFlow) annotation (Line(
            points={{-34,26},{-36,26},{-36,-20},{-72,-20},{-72,-32}},
            color={0,0,127},
            smooth=Smooth.None));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
                graphics={Text(
                  extent={{-137,-103},{144,-128}},
                  lineColor={0,0,255},
                  textString="%name")}));
        end SweatGland;
      end test;
    end Skin;

    model InsensibleLungs
      extends Physiolibrary.Icons.Lungs;
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-84,67},{-64,87}}), iconTransformation(extent=
             {{60,60},{80,80}})));
      Modelica.Blocks.Math.Product product
        annotation (Placement(transformation(extent={{-44,34},{-24,54}})));
      Modelica.Blocks.Math.Feedback feedback
        annotation (Placement(transformation(extent={{-44,2},{-24,22}})));
      Modelica.Blocks.Math.Division division
        annotation (Placement(transformation(extent={{28,-10},{48,10}})));
      Modelica.Blocks.Math.Product product1
        annotation (Placement(transformation(extent={{-10,8},{10,28}})));
    Physiolibrary.Types.Constants.PressureConst pressureConstant(k=
          6266.152208505)
      annotation (Placement(transformation(extent={{-66,16},{-58,24}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=0.80E-3)
      annotation (Placement(transformation(extent={{-64,56},{-56,64}})));
    Physiolibrary.Osmotic.Sources.SolventOutflux vapor(useSolutionFlowInput=
          true)
      annotation (Placement(transformation(extent={{64,-36},{84,-16}})));
    Physiolibrary.Osmotic.Interfaces.OsmoticPort_b q_out
      annotation (Placement(transformation(extent={{-36,-36},{-16,-16}})));
    equation
      connect(busConnector.BarometerPressure, division.u2) annotation (Line(
          points={{-74,77},{-74,-6},{26,-6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(product1.y, division.u1) annotation (Line(
          points={{11,18},{18,18},{18,6},{26,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback.y, product1.u2) annotation (Line(
          points={{-25,12},{-12,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureConstant.y, feedback.u1) annotation (Line(
          points={{-57,20},{-50,20},{-50,12},{-42,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.EnvironmentRelativeHumidity, feedback.u2)
        annotation (Line(
          points={{-74,77},{-74,4},{-34,4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(product.y, product1.u1) annotation (Line(
          points={{-23,44},{-18,44},{-18,24},{-12,24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.BreathingTotalVentilation, product.u2) annotation (
          Line(
          points={{-74,77},{-74,38},{-46,38}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Constant.y, product.u1) annotation (Line(
          points={{-55,60},{-52,60},{-52,50},{-46,50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(vapor.q_in, q_out) annotation (Line(
          points={{68,-26},{-26,-26}},
          color={127,127,0},
          thickness=1,
          smooth=Smooth.None));
    connect(division.y, vapor.solutionFlow) annotation (Line(
        points={{49,0},{74,0},{74,-19}},
        color={0,0,127},
        smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-153,-59},{128,-84}},
              lineColor={0,0,255},
              textString="%name")}));
    end InsensibleLungs;

    model WaterProperties
    extends Physiolibrary.Icons.Water;
      Osmoles.OsmBody osmBody(ECFV(start=14600)) "intra/extracellular water"
        annotation (Placement(transformation(extent={{-84,-22},{-64,-2}})));
      Hydrostatics.Hydrostatics hydrostatics
        annotation (Placement(transformation(extent={{-62,62},{-38,86}})));
      Modelica.Blocks.Math.Feedback sub
        annotation (Placement(transformation(extent={{-4,4},{4,-4}},
            rotation=90,
            origin={-34,4})));
    Physiolibrary.Blocks.Math.Parts CellH2O(nout=3, w={0.2,0.5,0.3})
      annotation (Placement(transformation(extent={{-28,22},{-16,34}})));
      Modelica.Blocks.Math.Sum BodyH2O1(nin=9)
        annotation (Placement(transformation(extent={{74,-50},{66,-42}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-12,34},{0,46}}), iconTransformation(extent={
              {-118,62},{-80,100}})));
      TissuesVolume.Tissues tissues
        annotation (Placement(transformation(extent={{-70,15},{-50,35}})));
      Modelica.Blocks.Math.Sum InterstitialWater(nin=3)
        annotation (Placement(transformation(extent={{4,-4},{-4,4}},
            rotation=180,
            origin={48,54})));
      Modelica.Blocks.Math.Sum ExternalH2O(nin=3)
        annotation (Placement(transformation(extent={{4,-4},{-4,4}},
            rotation=180,
            origin={54,26})));
      Modelica.Blocks.Math.Sum IntravascularVol(nin=2)
        annotation (Placement(transformation(extent={{4,-4},{-4,4}},
            rotation=180,
            origin={74,-8})));
      Modelica.Blocks.Math.Sum ExtravascularVol(nin=3)
        annotation (Placement(transformation(extent={{4,-4},{-4,4}},
            rotation=180,
            origin={74,8})));
      Modelica.Blocks.Math.Sum BodyH2O(nin=2)
        annotation (Placement(transformation(extent={{62,-38},{54,-30}})));
      Modelica.Blocks.Math.Sum BodyH2O_Gain(nin=4)
        annotation (Placement(transformation(extent={{28,-66},{44,-50}})));
      Modelica.Blocks.Math.Feedback BodyH2O_Change
        annotation (Placement(transformation(extent={{62,-74},{82,-54}})));
      Modelica.Blocks.Math.Sum BodyH2O_Loss(nin=8)
        annotation (Placement(transformation(extent={{38,-96},{54,-80}})));
      Modelica.Blocks.Math.Sum sweatDuct(nin=3)
        annotation (Placement(transformation(extent={{14,75},{30,91}})));
      Modelica.Blocks.Math.Sum insensibleSkin(nin=3)
        annotation (Placement(transformation(extent={{72,68},{88,84}})));
      Modelica.Blocks.Math.Add3 ICFVOsmoles(k1=0.89)
        annotation (Placement(transformation(extent={{-54,-43},{-40,-29}})));
      Physiolibrary.Types.Constants.AmountOfSubstanceConst OsmCell_UnknownOsmoles(k=0.354)
        annotation (Placement(transformation(extent={{-80,-46},{-72,-38}})));
      Modelica.Blocks.Math.Product vaporFlow
      annotation (Placement(transformation(extent={{-24,-86},{-16,-78}})));
      Modelica.Blocks.Math.Feedback pressureDrop
      annotation (Placement(transformation(extent={{-56,-71},{-44,-59}})));
      Modelica.Blocks.Math.Division H2OFraction
      annotation (Placement(transformation(extent={{-38,-77},{-30,-69}})));
    Physiolibrary.Types.Constants.PressureConst pressureConstant(k=
          6266.152208505)
      annotation (Placement(transformation(extent={{-76,-62},{-68,-54}})));
    Physiolibrary.Types.Constants.FractionConst             Constant(k(
          displayUnit="1") = 0.0008)
      annotation (Placement(transformation(extent={{-90,-96},{-82,-88}})));
      Modelica.Blocks.Math.Product HeatInsensibleLung_H2O
      annotation (Placement(transformation(extent={{-66,-99},{-58,-91}})));
    Osmoles.ActiveOsmolesFake2 activeOsmolesFake
      annotation (Placement(transformation(extent={{16,-39},{36,-19}})));
    equation
      connect(osmBody.ICFV, sub.u1)      annotation (Line(
          points={{-63.6,-4},{-34,-4},{-34,0.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sub.y, CellH2O.u)      annotation (Line(
          points={{-34,7.6},{-34,28},{-29.2,28}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CellH2O.y[1], busConnector.UT_Cell_H2O)  annotation (Line(
          points={{-15.4,27.6},{-12,24},{-6,24},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CellH2O.y[2], busConnector.MT_Cell_H2O)  annotation (Line(
          points={{-15.4,28},{-6,28},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CellH2O.y[3], busConnector.LT_Cell_H2O)  annotation (Line(
          points={{-15.4,28.4},{-12,32},{-6,32},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(osmBody.OsmBody_Osm_conc_CellWalls, busConnector.OsmBody_Osm_conc_CellWalls)
        annotation (Line(
          points={{-63.6,-12},{-6,-12},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Status_Posture, hydrostatics.Status_Posture)
        annotation (Line(
          points={{-6,40},{-86,40},{-86,83.6},{-60.8,83.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.SystemicArtys_Pressure, hydrostatics.SystemicArtys_Pressure)
        annotation (Line(
          points={{-6,40},{-86,40},{-86,71.6},{-60.8,71.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.RightAtrium_Pressure, hydrostatics.RightAtrium_Pressure)
        annotation (Line(
          points={{-6,40},{-86,40},{-86,76.4},{-60.8,76.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.LegMusclePump_Effect, hydrostatics.LegMusclePump_Effect)
        annotation (Line(
          points={{-6,40},{-86,40},{-86,64.4},{-60.8,64.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.OsmECFV_Electrolytes, osmBody.OsmECFV_Electrolytes)
        annotation (Line(
          points={{-6,40},{-86,40},{-86,-2},{-82.8,-2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.OsmCell_Electrolytes, osmBody.OsmCell_Electrolytes)
        annotation (Line(
          points={{-6,40},{-86,40},{-86,-6},{-82.8,-6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.RBCH2O_Vol, sub.u2)              annotation (Line(
          points={{-6,40},{-86,40},{-86,4},{-37.2,4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(busConnector, tissues.busConnector)         annotation (Line(
          points={{-6,40},{-6,39},{-68.8,39},{-68.8,34.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(sub.y, busConnector.CellH2O_Vol)              annotation (Line(
          points={{-34,7.6},{-34,40},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(InterstitialWater.y, busConnector.InterstitialWater_Vol)
        annotation (Line(
          points={{52.4,54},{100,54},{100,40},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(osmBody.ECFV, busConnector.ECFV_Vol)         annotation (Line(
          points={{-63.6,-8},{-6,-8},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(osmBody.ICFV, busConnector.ICFV_Vol) annotation (Line(
          points={{-63.6,-4},{-6,-4},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(osmBody.Osmoreceptors, busConnector.Osmreceptors) annotation (
          Line(
          points={{-63.6,-16},{-6,-16},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.UreaECF_Osmoles, osmBody.UreaECF) annotation (Line(
          points={{-6,40},{-86,40},{-86,-10},{-82.8,-10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.UreaICF_Osmoles, osmBody.UreaICF) annotation (Line(
          points={{-6,40},{-86,40},{-86,-14},{-82.8,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GlucoseECF_Osmoles, osmBody.GlucoseECF) annotation (Line(
          points={{-6,40},{-86,40},{-86,-18},{-82.8,-18}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

    /*  connect(busConnector.ExcessLungWater_Volume, BodyH2O.u[6]) annotation (Line(
      points={{-6,40},{88,40},{88,-25.5429},{32.8,-25.5429}},
      color={0,0,255},
      thickness=0.5,
      smooth=Smooth.None));
  connect(busConnector.PeritoneumSpace_Vol, BodyH2O.u[7]) annotation (Line(
      points={{-6,40},{88,40},{88,-25.3143},{32.8,-25.3143}},
      color={0,0,255},
      thickness=0.5,
      smooth=Smooth.None));
*/

      connect(busConnector.ExcessLungWater_Volume, ExternalH2O.u[1]) annotation (
          Line(
          points={{-6,40},{14,40},{14,30},{44,30},{44,26.5333},{49.2,26.5333}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,6},{-6,6}}));
      connect(busConnector.GILumenVolume_Mass, ExternalH2O.u[2]) annotation (Line(
          points={{-6,40},{14,40},{14,26},{49.2,26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,2},{-6,2}}));
      connect(busConnector.PeritoneumSpace_Vol, ExternalH2O.u[3]) annotation (Line(
          points={{-6,40},{14,40},{14,20},{44,20},{44,25.4667},{49.2,25.4667}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,-3},{-6,-3}}));
      connect(busConnector.PlasmaVol, IntravascularVol.u[1]) annotation (Line(
          points={{-6,40},{14,40},{14,-6},{66,-6},{66,-7.6},{69.2,-7.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.RBCH2O_Vol, IntravascularVol.u[2]) annotation (Line(
          points={{-6,40},{14,40},{14,-12},{66,-12},{66,-8.4},{69.2,-8.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,-2},{-6,-2}}));
      connect(ExternalH2O.y, ExtravascularVol.u[1]) annotation (Line(
          points={{58.4,26},{66,26},{66,8.53333},{69.2,8.53333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CellH2O_Vol, ExtravascularVol.u[2]) annotation (Line(
          points={{-6,40},{14,40},{14,10},{66,10},{66,8},{69.2,8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.InterstitialWater_Vol, ExtravascularVol.u[3])
        annotation (Line(
          points={{-6,40},{14,40},{14,4},{66,4},{66,7.46667},{69.2,7.46667}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,-2},{-6,-2}}));

      connect(ExtravascularVol.y, BodyH2O.u[1]) annotation (Line(
          points={{78.4,8},{84,8},{84,-34.4},{62.8,-34.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(IntravascularVol.y, BodyH2O.u[2]) annotation (Line(
          points={{78.4,-8},{82,-8},{82,-33.6},{62.8,-33.6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BodyH2O_Gain.y, BodyH2O_Change.u1) annotation (Line(
          points={{44.8,-58},{54,-58},{54,-64},{64,-64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BodyH2O_Loss.y, BodyH2O_Change.u2) annotation (Line(
          points={{54.8,-88},{72,-88},{72,-72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.GILumenVolume_Intake, BodyH2O_Gain.u[1]) annotation (
          Line(
          points={{-6,40},{-6,-56},{26,-56},{26,-59.2},{26.4,-59.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,5},{-6,5}}));
      connect(busConnector.MetabolicH2O_Rate, BodyH2O_Gain.u[2]) annotation (Line(
          points={{-6,40},{-6,-58},{28,-58},{28,-58.4},{26.4,-58.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,2},{-6,2}}));
      connect(busConnector.IVDrip_H2ORate, BodyH2O_Gain.u[3]) annotation (Line(
          points={{-6,40},{-6,-60},{26,-60},{26,-57.6},{26.4,-57.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,-1},{-6,-1}}));
      connect(busConnector.Transfusion_H2ORate, BodyH2O_Gain.u[4]) annotation (
          Line(
          points={{-6,40},{-6,-62},{26,-62},{26,-56.8},{26.4,-56.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,-4},{-6,-4}}));
      connect(busConnector.CD_H2O_Outflow, BodyH2O_Loss.u[1]) annotation (Line(
          points={{-6,40},{-6,-79},{36.4,-79},{36.4,-89.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,12},{-6,12}}));
      connect(busConnector.SweatDuct_H2OOutflow, BodyH2O_Loss.u[2]) annotation (
          Line(
          points={{-6,40},{-6,-82},{36,-82},{36.4,-89}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,9},{-6,9}}));
      connect(busConnector.Hemorrhage_H2ORate, BodyH2O_Loss.u[3]) annotation (Line(
          points={{-6,40},{-6,-84},{36.4,-84},{36.4,-88.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,6},{-6,6}}));
      connect(busConnector.DialyzerActivity_UltrafiltrationRate, BodyH2O_Loss.u[4])
        annotation (Line(
          points={{-6,40},{-6,-87},{36.4,-87},{36.4,-88.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.HeatInsensibleSkin_H2O, BodyH2O_Loss.u[5]) annotation (
          Line(
          points={{-6,40},{-6,-89},{36.4,-89},{36.4,-87.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,0},{-6,0}}));
      connect(busConnector.HeatInsensibleLung_H2O, BodyH2O_Loss.u[6]) annotation (
          Line(
          points={{-6,40},{-6,-92},{36.4,-92},{36.4,-87.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,-3},{-6,-3}}));
      connect(busConnector.GILumenVomitus_H2OLoss, BodyH2O_Loss.u[7]) annotation (
          Line(
          points={{-6,40},{-6,-94},{36.4,-94},{36.4,-87}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,-6},{-6,-6}}));
      connect(busConnector.GILumenDiarrhea_H2OLoss, BodyH2O_Loss.u[8]) annotation (
          Line(
          points={{-6,40},{-6,-97},{36.4,-97},{36.4,-86.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,-9},{-6,-9}}));
      connect(insensibleSkin.y, busConnector.HeatInsensibleSkin_H2O)
        annotation (Line(
          points={{88.8,76},{92,76},{92,63},{0,63},{0,40},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(sweatDuct.y, busConnector.SweatGland_H2ORate) annotation (Line(
          points={{30.8,83},{100,83},{100,40},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ICFVOsmoles.y, busConnector.OsmBody_ICFVActiveOsmoles) annotation (
          Line(
          points={{-39.3,-36},{-6,-36},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.OsmCell_Electrolytes, ICFVOsmoles.u1) annotation (Line(
          points={{-6,40},{-86,40},{-86,-30.4},{-55.4,-30.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.UreaICF_Osmoles, ICFVOsmoles.u2) annotation (Line(
          points={{-6,40},{-86,40},{-86,-36},{-55.4,-36}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(OsmCell_UnknownOsmoles.y, ICFVOsmoles.u3) annotation (Line(
          points={{-71,-42},{-66,-42},{-66,-41.6},{-55.4,-41.6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.UT.Sweat_H2OOutflow, sweatDuct.u[1]) annotation (
          Line(
          points={{-6,40},{-6,82},{12.4,82},{12.4,81.9333}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.MT.Sweat_H2OOutflow, sweatDuct.u[2]) annotation (
          Line(
          points={{-6,40},{-6,83},{12.4,83}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.LT.Sweat_H2OOutflow, sweatDuct.u[3]) annotation (
          Line(
          points={{-6,40},{-6,84.0667},{12.4,84.0667}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.UT.InsensibleSkin_H2O, insensibleSkin.u[1])
        annotation (Line(
          points={{-6,40},{-6,70},{70,70},{70,74.9333},{70.4,74.9333}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.MT.InsensibleSkin_H2O, insensibleSkin.u[2])
        annotation (Line(
          points={{-6,40},{-6,71},{70,71},{70,76},{70.4,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.LT.InsensibleSkin_H2O, insensibleSkin.u[3])
        annotation (Line(
          points={{-6,40},{-6,72},{70,72},{70,77.0667},{70.4,77.0667}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.UT.InterstitialWater_Vol, InterstitialWater.u[1])
        annotation (Line(
          points={{-6,40},{24,40},{24,54.5333},{43.2,54.5333}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.MT.InterstitialWater_Vol, InterstitialWater.u[2])
        annotation (Line(
          points={{-6,40},{24,40},{24,54},{43.2,54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.LT.InterstitialWater_Vol, InterstitialWater.u[3])
        annotation (Line(
          points={{-6,40},{24,40},{24,53.4667},{43.2,53.4667}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(hydrostatics.RegionalPressure_UpperCapy, busConnector.UT.CapillaryRegionalPressure)
        annotation (Line(
          points={{-38,77.6},{-6,77.6},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.PlasmaVol,BodyH2O1. u[1])   annotation (Line(
          points={{-6,40},{100,40},{100,-29},{74.8,-29},{74.8,-46.7111}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.RBCH2O_Vol, BodyH2O1.u[5]) annotation (Line(
          points={{-6,40},{88,40},{88,-46},{74.8,-46}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.LT.InterstitialWater_Vol,BodyH2O1. u[2])  annotation (Line(
          points={{-6,40},{100,40},{100,-46.5333},{74.8,-46.5333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.MT.InterstitialWater_Vol,BodyH2O1. u[3])  annotation (Line(
          points={{-6,40},{100,40},{100,-34},{88,-34},{88,-46.3556},{74.8,
            -46.3556}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.UT.InterstitialWater_Vol,BodyH2O1. u[4])  annotation (Line(
          points={{-6,40},{100,40},{100,-39},{88,-39},{88,-46.1778},{74.8,
            -46.1778}},
          color={0,0,127},
          smooth=Smooth.None));
       connect(busConnector.LT.Cell_H2O,BodyH2O1. u[7])  annotation (Line(
          points={{-6,40},{100,40},{100,-37},{88,-37},{88,-45.6444},{74.8,
            -45.6444}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.MT.Cell_H2O,BodyH2O1. u[8])  annotation (Line(
          points={{-6,40},{100,40},{100,-49},{88,-49},{88,-45.4667},{74.8,
            -45.4667}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.UT.Cell_H2O,BodyH2O1. u[9])  annotation (Line(
          points={{-6,40},{100,40},{100,-51},{88,-51},{88,-45.2889},{74.8,
            -45.2889}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ExternalH2O.y, BodyH2O1.u[6]) annotation (Line(
          points={{58.4,26},{100,26},{100,-53},{88,-53},{88,-45.8222},{74.8,
            -45.8222}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(busConnector.BarometerPressure, H2OFraction.u2) annotation (Line(
        points={{-6,40},{-86,40},{-86,-75.4},{-38.8,-75.4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(pressureConstant.y, pressureDrop.u1) annotation (Line(
        points={{-67,-58},{-60,-58},{-60,-65},{-54.8,-65}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.BreathingTotalVentilation, vaporFlow.u2) annotation (
        Line(
        points={{-6,40},{-86,40},{-86,-84.4},{-24.8,-84.4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(pressureDrop.y, H2OFraction.u1) annotation (Line(
        points={{-44.6,-65},{-42,-65},{-42,-70},{-40,-70},{-40,-70.6},{-38.8,
            -70.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(H2OFraction.y, vaporFlow.u1) annotation (Line(
        points={{-29.6,-73},{-28,-73},{-28,-79.6},{-24.8,-79.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant.y, HeatInsensibleLung_H2O.u2) annotation (Line(
        points={{-81,-92},{-74,-92},{-74,-97.4},{-66.8,-97.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(vaporFlow.y, HeatInsensibleLung_H2O.u1) annotation (Line(
        points={{-15.6,-82},{-14,-82},{-14,-88},{-72,-88},{-72,-92.6},{-66.8,-92.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.EnviromentRelativeHumidity_VaporPressure, pressureDrop.u2)
      annotation (Line(
        points={{-6,40},{-86,40},{-86,-69.8},{-50,-69.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(hydrostatics.RegionalPressure_MiddleCapy, busConnector.MT.CapillaryRegionalPressure)
        annotation (Line(
          points={{-38,72.8},{-6,72.8},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hydrostatics.RegionalPressure_LowerCapy, busConnector.LT.CapillaryRegionalPressure)
        annotation (Line(
          points={{-38,68},{-6,68},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatInsensibleLung_H2O.y, busConnector.HeatInsensibleLung_H2O)
        annotation (Line(
          points={{-57.6,-95},{-6,-95},{-6,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(busConnector, activeOsmolesFake.busConnector) annotation (Line(
        points={{-6,40},{6,40},{6,-20.9},{16.1,-20.9}},
        color={255,204,51},
        thickness=0.5,
        smooth=Smooth.None));
    connect(osmBody.ECFVOsmolarity, busConnector.ECFVOsmolarity) annotation (
        Line(
        points={{-63.6,-20},{-6,-20},{-6,40}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(BodyH2O1.y, osmBody.BodyH2O_Vol) annotation (Line(
        points={{65.6,-46},{-16,-46},{-16,-47},{-98,-47},{-98,-22},{-82.8,-22}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(BodyH2O1.y, busConnector.BodyH2O_Vol) annotation (Line(
        points={{65.6,-46},{-6,-46},{-6,40}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={2,1}), graphics={Text(
              extent={{-110,-103},{132,-137}},
              lineColor={0,0,255},
              textString="%name")}),
        Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>Design:</p></td>
<td><p>Zuzana Rubaninska</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>",     info="<html>
<p>Distribution of H2O in whole body:</p>
<p><ul>
<li>blood plasma</li>
<li>erythrocytes</li>
<li>upper torso interstitium</li>
<li>midle torso interstitium</li>
<li>lower torso interstitium</li>
<li>intracellular water (constant fraction coeficient in different tissues(torsos))</li>
</ul></p>
<p><br/>Water redistribution flows:</p>
<p><ul>
<li>semipermeable capilary walls (plasma - GIT/interstitium/glomerulus filtrate)</li>
<li>lymph from upper/lower/midle torso</li>
<li>kidney nephron filtration/reabsorbtion</li>
</ul></p>
<p><br/>driving by hydraulic, hydrostatic and coloid osmotic pressures.</p>
</html>"));
    end WaterProperties;

    model Water
      import QHP = Physiomodel;
      extends Physiolibrary.Icons.Water;
    //  extends Physiomodel.Library.Utilities.DynamicState(stateName="BodyH2O.Vol", initType=Library.Utilities.Init.NoInit, STEADY=false);

    Physiolibrary.Osmotic.Sources.SolventOutflux Hemorrhage(
        useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{16,47},{32,63}})));
    Physiolibrary.Osmotic.Sources.SolventInflux Transfusion(
        useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{32,34},{16,50}})));
    Physiolibrary.Osmotic.Sources.SolventInflux IVDrip(useSolutionFlowInput=
          true) annotation (Placement(transformation(extent={{32,21},{16,37}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-99,80},{-79,100}}), iconTransformation(
            extent={{60,60},{80,80}})));
    QHP.Water.WaterCompartments.Torso UpperTorso(
      LungFract=0,
      InterstitialPressureVolumeData={{600.0,-30.0,0.01},{2000.0,-4.8,0.0004},{
          5000.0,0.0,0.0004},{12000.0,50.0,0.01}},
      InterstitialWater_start=0.00227,
      IntracellularWater_start=0.00498,
      NormalLymphFlow=6.6666666666667e-09,
      CapillaryConductance(displayUnit="l/(kPa.d)") = 1.4814814814815e-11,
      ICFVFract=0.94,
      SizeFract=0.2,
      CalsFract=0.3,
      SweatFract=0.33,
      SkinFract=0.33)
      annotation (Placement(transformation(extent={{21,-31},{41,-11}})));
    //  interstitiumProteins=3.3,
    QHP.Water.WaterCompartments.GI_Absorption GILumen
      annotation (Placement(transformation(extent={{-56,54},{-36,74}})));
    QHP.Water.WaterCompartments.Kidney.Kidney Kidney
      annotation (Placement(transformation(extent={{-51,-67},{-31,-47}})));
      QHP.Water.WaterCompartments.Bladder_steady2             Bladder
        annotation (Placement(transformation(extent={{-26,-97},{-6,-77}})));
      QHP.Water.WaterProperties waterProperties
        annotation (Placement(transformation(extent={{-80,-89},{-60,-69}})));

    //  Real bodyH2O;
    /*initial equation
  if STEADY then
     waterProperties.BodyH2O_Change.y = 0;
  end if;
*/

    //initial equation
    //   bodyH2O = waterProperties.BodyH2O.y;
    Physiolibrary.Osmotic.Components.OsmoticCell plasma(
        useImpermeableSolutesInput=true,
      NumberOfMembraneTypes=2,
      volume_start=0.00302)
      "Plasma water with two membrane types: capillary (index 1) and cell membrane (index 2)"
      annotation (Placement(transformation(extent={{-27,-5},{-7,15}})));
    QHP.Water.WaterCompartments.Torso MiddleTorso(
      InterstitialPressureVolumeData={{1200.0,-30.0,0.01},{4800.0,-4.8,0.0004},
          {12000.0,0.0,0.0004},{24000.0,50.0,0.01}},
      CapillaryConductance(displayUnit="l/(kPa.d)") = 3.7268518518519e-11,
      InterstitialWater_start=0.00567,
      IntracellularWater_start=0.01246,
      NormalLymphFlow=1.3333333333333e-08,
      ICFVFract=0.94,
      SizeFract=0.5,
      CalsFract=0.5,
      SweatFract=0.34,
      SkinFract=0.34,
      LungFract=1)
      annotation (Placement(transformation(extent={{22,-62},{42,-42}})));
    QHP.Water.WaterCompartments.Torso LowerTorso(
      LungFract=0,
      InterstitialPressureVolumeData={{600.0,-30.0,0.02},{3000.0,-4.8,0.0004},{
          4000.0,-4.0,0.0004},{6000.0,50.0,0.03}},
      InterstitialWater_start=0.0034,
      IntracellularWater_start=0.00747,
      NormalLymphFlow=2.1666666666667e-08,
      CapillaryConductance(displayUnit="l/(kPa.d)") = 1.5509259259259e-11,
      ICFVFract=0.94,
      SizeFract=0.3,
      CalsFract=0.2,
      SweatFract=0.33,
      SkinFract=0.33)
      annotation (Placement(transformation(extent={{21,-90},{41,-70}})));
    //  interstitiumProteins=2.2,
    QHP.Water.WaterCompartments.Peritoneum_const      peritoneum_const(
        initialVolume=1e-09)
      annotation (Placement(transformation(extent={{73,-16},{93,4}})));
    QHP.Hormones.ADH aDH
      annotation (Placement(transformation(extent={{-11,59},{9,79}})));
    Physiolibrary.Osmotic.Components.OsmoticCell erythrocytes(
      useImpermeableSolutesInput=true,
      NumberOfMembraneTypes=1,
      volume_start=0.002) "Water of red cells"
      annotation (Placement(transformation(extent={{-78,19},{-58,39}})));
    Physiolibrary.Osmotic.Components.Membrane RBCmembrane(cond(displayUnit=
            "ml/(kPa.min)") = 1.6666666666667e-08)
      annotation (Placement(transformation(extent={{-52,20},{-32,40}})));
    QHP.Water.WaterCompartments.LungEdema_const lungEdema_const
      annotation (Placement(transformation(extent={{72,14},{92,34}})));
    equation
    //   changePerMin = waterProperties.BodyH2O_Change.y;
    //   stateValue = bodyH2O;

    connect(IVDrip.solutionFlow, busConnector.IVDrip_H2ORate) annotation (Line(
        points={{24,34.6},{61,34.6},{61,90},{-89,90}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(Transfusion.solutionFlow, busConnector.Transfusion_H2ORate)
      annotation (Line(
        points={{24,47.6},{61,47.6},{61,90},{-89,90}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(Hemorrhage.solutionFlow, busConnector.Hemorrhage_H2ORate)
      annotation (Line(
        points={{24,60.6},{61,60.6},{61,90},{-89,90}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

      connect(busConnector, Kidney.busConnector) annotation (Line(
          points={{-89,90},{-89,-49.4},{-47,-49.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));

      connect(busConnector, GILumen.busConnector) annotation (Line(
          points={{-89,90},{-89,64},{-55.6,64}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(Bladder.busConnector, busConnector) annotation (Line(
          points={{-25,-96},{-89,-96},{-89,90}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
    connect(plasma.q_in[1], Hemorrhage.q_in) annotation (Line(
        points={{-17,4.5},{-17,42},{8,42},{8,55},{19.2,55}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(plasma.q_in[1], Transfusion.q_out) annotation (Line(
        points={{-17,4.5},{-17,42},{19.2,42}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(plasma.q_in[1], IVDrip.q_out) annotation (Line(
        points={{-17,4.5},{-17,42},{8,42},{8,29},{19.2,29}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(busConnector.PlasmaProtein_Mass, plasma.impermeableSolutes[1])
      annotation (Line(
        points={{-89,90},{-89,10},{-25,10}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(plasma.volume, busConnector.PlasmaVol) annotation (Line(
        points={{-11,-5},{-89,-5},{-89,90}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(plasma.volume, busConnector.PlasmaVol_Vol) annotation (Line(
        points={{-11,-5},{-89,-5},{-89,90}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector, waterProperties.busConnector) annotation (Line(
          points={{-89,90},{-89,-70.9},{-79.9,-70.9}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
    connect(UpperTorso.torsoSpecific, busConnector.UT) annotation (Line(
        points={{35,-19},{65,-19},{65,90},{-89,90}},
        color={170,255,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(UpperTorso.busConnector, busConnector) annotation (Line(
        points={{35,-13},{65,-13},{65,90},{-89,90}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(MiddleTorso.torsoSpecific, busConnector.MT) annotation (Line(
        points={{36,-50},{65,-50},{65,90},{-89,90}},
        color={170,255,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(LowerTorso.torsoSpecific, busConnector.LT) annotation (Line(
        points={{35,-78},{65,-78},{65,90},{-89,90}},
        color={170,255,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(LowerTorso.busConnector, busConnector) annotation (Line(
        points={{35,-72},{65,-72},{65,90},{-89,90}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(MiddleTorso.busConnector, busConnector) annotation (Line(
        points={{36,-44},{65,-44},{65,90},{-89,90}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(peritoneum_const.busConnector, busConnector) annotation (Line(
        points={{90,1},{96,1},{96,88},{-89,88},{-89,90}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasma.q_in[2], GILumen.vascularH2O) annotation (Line(
        points={{-17,5.5},{-17,5},{-20,5},{-20,64},{-36,64}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(UpperTorso.vascularH2O, plasma.q_in[1]) annotation (Line(
        points={{25,-21},{4,-21},{4,4.5},{-17,4.5}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(MiddleTorso.vascularH2O, plasma.q_in[1]) annotation (Line(
        points={{26,-52},{4,-52},{4,4.5},{-17,4.5}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(LowerTorso.vascularH2O, plasma.q_in[1]) annotation (Line(
        points={{25,-80},{4,-80},{4,4.5},{-17,4.5}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(peritoneum_const.flux, plasma.q_in[1]) annotation (Line(
        points={{83,-2},{68,-2},{68,4.5},{-17,4.5}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(Kidney.plasma, plasma.q_in[1]) annotation (Line(
        points={{-37,-57},{-27,-57},{-27,4.5},{-17,4.5}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(Kidney.urine, Bladder.con) annotation (Line(
        points={{-41,-67},{-41,-87},{-26,-87}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(busConnector, aDH.busConnector) annotation (Line(
        points={{-89,90},{-15,90},{-15,63},{-9,63}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.PlasmaActiveOsmoles, plasma.impermeableSolutes[2])
      annotation (Line(
        points={{-89,90},{-89,12},{-25,12}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.ErythrocytesOsmoles, erythrocytes.impermeableSolutes[1])
      annotation (Line(
        points={{-89,90},{-89,35},{-76,35}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(erythrocytes.q_in[1], RBCmembrane.q_in) annotation (Line(
        points={{-68,29},{-58,29},{-58,30},{-52,30}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(RBCmembrane.q_out, GILumen.vascularH2O) annotation (Line(
        points={{-32,30},{-20,30},{-20,64},{-36,64}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(plasma.q_in[1], lungEdema_const.q_in) annotation (Line(
        points={{-17,4.5},{68,4.5},{68,25},{82,25},{82,28}},
        color={127,127,0},
        thickness=1,
        smooth=Smooth.None));
    connect(lungEdema_const.busConnector, busConnector) annotation (Line(
        points={{89,31},{96,31},{96,90},{-89,90}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
      annotation (
    Documentation(info="<HTML>
<PRE>
QHP 2008 / H2O Reference



There are several different ways to describe the body's
water compartments while implementing mass balance.

Water compartments can initially be divided into two
basic types: intracellular (ICFV) and extracellular (ECFV).

Intracellular compartments are red blood cells and
(all other) cells.

Extracellular compartments are plasma and interstitium.

Red Cells     =  1.6
Cells         = 26.4
                -----
ICFV          = 28.0

Interstitium  = 12.0
Plasma        =  3.0
                -----
ECFV          = 15.0

Total         = 43.0

The problem with this scheme is that water cannot move
freely between plasma and interstitium but it can move
freely between interstitium and cell H2O.

So, we'll divide the body's water compartments into
vascular and extravascular. The vascular compartment
is futher subdivided into RBC water and plasma.

Red Cells     =  1.6
Plasma        =  3.0
                 ---
Vascular      =  4.6

Cells         = 26.4 (ICFV less RBC's H2O)
Interstitium  = 12.0
                ----
Extravascular = 38.4

Total         = 43.0

To relax the nomenclature a bit, extravascular water
is referred to as tissue H2O.

This scheme is implemented using three integrals: plasma,
RBC and extravascular.

Exchanges are internal and external.

Internal exchanges are capillary
filtration and lymph flow.

External exchanges are many: absorption
from gut, urine, IV drip, transfusion,
hemorrhage ...

External exchanges influence the derivative
of either plasma or extravasular H2O.

Traditional compartments are also
represented here.

Red Cell H2O  =  1584
Organ H2O     = 26428
                -----
Cell H2O      = 28012

IFV           = 11988
Plasma        =  3000
                -----
Extracellular = 14988

Total         = 43000
</PRE>
</HTML>
",   revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> january 2009 </i><br>
       by Marek Matejak in Modelica initially implemented (consulted with Jiri Kofranek), Charles University, Prague<br>
       orginaly described by Tom Coleman in QHP 2008 beta 3, University of Mississippi Medical Center
       </li>
</ul>
</html>"), Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={1,1}), graphics={Text(
              extent={{-139,-99},{142,-124}},
              lineColor={0,0,255},
              textString="%name")}));
    end Water;

    package IO_Bus
        extends Physiolibrary.Types.IO_Bus;
      redeclare model extends Variables

      T.Volume BladderVolume_Mass(varName="BladderVolume.Mass")
        "Urine volume in bladder."
      annotation (Placement(transformation(extent={{-90,-138},{-84,-132}})));
      T.Volume BodyH2O_Vol(varName="BodyH2O.Vol") "Body water volume."
      annotation (Placement(transformation(extent={{-90,-128},{-84,-122}})));
      T.Volume bone_InterstitialWater(varName="Bone-Size.IFV")
        "Bone interstitial water volume."
      annotation (Placement(transformation(extent={{-90,-118},{-84,-112}})));
      T.Volume Bone_LiquidVol(varName="Bone-Size.LiquidVol")
        "Bone water volume = sum of bone interstitial and bone intracellular water."
      annotation (Placement(transformation(extent={{-90,-108},{-84,-102}})));

      T.Volume brain_InterstitialWater(varName="Brain-Size.IFV")
        "Brain interstitial water volume."
      annotation (Placement(transformation(extent={{-90,-98},{-84,-92}})));
      T.Volume Brain_LiquidVol(varName="Brain-Size.LiquidVol")
        "Brain water volume = sum of brain interstitial and brain intracellular water."
      annotation (Placement(transformation(extent={{-90,-88},{-84,-82}})));

      T.VolumeFlowRate CD_H2O_Outflow(varName="CD_H2O.Outflow")
        "Collecting duct water outflow to urine."
      annotation (Placement(transformation(extent={{-90,-78},{-84,-72}})));
      T.VolumeFlowRate CD_H2O_Reab(varName="CD_H2O.Reab")
        "Collecting duct water reabsorbtion."
      annotation (Placement(transformation(extent={{-90,-68},{-84,-62}})));
      T.Volume CellH2O_Vol(varName="CellH2O.Vol") "Intracellular water volume."
      annotation (Placement(transformation(extent={{-90,-58},{-84,-52}})));
      T.Volume ECFV_Vol(varName="ECFV.Vol") "Extracellular fluid volume."
      annotation (Placement(transformation(extent={{-90,-48},{-84,-42}})));
      T.Volume ExcessLungWater_Volume(varName="ExcessLungWater.Volume")
        "Pulmonary edema water."
      annotation (Placement(transformation(extent={{-90,-38},{-84,-32}})));
      T.Volume fat_InterstitialWater(varName="Fat-Size.IFV")
        "Fat interstitial water volume."
      annotation (Placement(transformation(extent={{-90,-28},{-84,-22}})));
      T.Volume Fat_LiquidVol(varName="Fat-Size.LiquidVol")
        "Fat water volume = sum of fat interstitial and fat intracellular water."
      annotation (Placement(transformation(extent={{-90,-18},{-84,-12}})));

      T.VolumeFlowRate GILumenVolume_Absorption(varName="GILumenVolume.Absorption")
        "Water absorbtion through intestines."
      annotation (Placement(transformation(extent={{-90,-8},{-84,-2}})));
      T.VolumeFlowRate GILumenVolume_Intake(varName="GILumenVolume.Intake")
        "Water intake to intestines."
      annotation (Placement(transformation(extent={{-90,2},{-84,8}})));
      T.Volume GILumenVolume_Mass(varName="GILumenVolume.Mass")
        "Water in intestines."
      annotation (Placement(transformation(extent={{-90,12},{-84,18}})));
      T.Volume GITract_InterstitialWater(varName="GITract-Size.IFV")
        "GITract interstitial water volume."
      annotation (Placement(transformation(extent={{-90,22},{-84,28}})));
      T.Volume GITract_LiquidVol(varName="GITract-Size.LiquidVol")
        "GITract water volume = sum of gITract interstitial and gITract intracellular water."
      annotation (Placement(transformation(extent={{-90,32},{-84,38}})));

      T.VolumeFlowRate GlomerulusFiltrate_GFR(varName="GlomerulusFiltrate.GFR")
        "Glomerulus filtration rate."
      annotation (Placement(transformation(extent={{-90,42},{-84,48}})));
      T.VolumeFlowRate Glomerulus_GFR(varName="GlomerulusFiltrate.GFR")
        "Glomerulus filtration rate."
      annotation (Placement(transformation(extent={{-90,52},{-84,58}})));
      T.VolumeFlowRate HeatInsensibleLung_H2O(varName="HeatInsensibleLung.H2O")
        "Vaporized water outflow by breathing."
      annotation (Placement(transformation(extent={{-90,62},{-84,68}})));
      T.VolumeFlowRate HeatInsensibleSkin_H2O(varName="HeatInsensibleSkin.H2O")
        "Vaporized water outflow from skin."
      annotation (Placement(transformation(extent={{-90,72},{-84,78}})));
      T.Volume ICFV_Vol(varName="ICFV.Vol") "Intracellular water volume."
      annotation (Placement(transformation(extent={{-90,82},{-84,88}})));
      T.Volume kidney_InterstitialWater(varName="Kidney-Size.IFV")
        "Kidney interstitial water volume."
      annotation (Placement(transformation(extent={{-90,92},{-84,98}})));
      T.Volume Kidney_LiquidVol(varName="Kidney-Size.LiquidVol")
        "Kidney water volume = sum of kidney interstitial and kidney intracellular water."
      annotation (Placement(transformation(extent={{-90,102},{-84,108}})));

      T.VolumeFlowRate LH_H2O_Outflow(varName="LH_H2O.Outflow")
        "Water outflow from loop of Henle to distal tubule."
      annotation (Placement(transformation(extent={{-90,112},{-84,118}})));
      T.Volume LT_InterstitialWater_Vol(varName="LT_InterstitialWater.Vol")
        "Lower torso interstitial water."
      annotation (Placement(transformation(extent={{-90,122},{-84,128}})));
      T.VolumeFlowRate LT_LymphFlow(varName="LT_LymphWater.Rate")
        "Flow of lymph water from lower torso."
      annotation (Placement(transformation(extent={{-90,132},{-84,138}})));
      T.Volume leftHeart_InterstitialWater(varName="LeftHeart-Size.IFV")
        "LeftHeart interstitial water volume."
      annotation (Placement(transformation(extent={{88,-148},{94,-142}})));
      T.Volume LeftHeart_LiquidVol(varName="LeftHeart-Size.LiquidVol")
        "LeftHeart water volume = sum of leftHeart interstitial and leftHeart intracellular water."
      annotation (Placement(transformation(extent={{88,-138},{94,-132}})));

      T.Volume liver_InterstitialWater(varName="Liver-Size.IFV")
        "Liver interstitial water volume."
      annotation (Placement(transformation(extent={{88,-128},{94,-122}})));
      T.Volume Liver_LiquidVol(varName="Liver-Size.LiquidVol")
        "Liver water volume = sum of liver interstitial and liver intracellular water."
      annotation (Placement(transformation(extent={{88,-118},{94,-112}})));

      T.Volume MT_InterstitialWater_Vol(varName="MT_InterstitialWater.Vol")
        "Middle torso interstitional water."
      annotation (Placement(transformation(extent={{88,-108},{94,-102}})));
      T.VolumeFlowRate MT_LymphFlow(varName="MT_LymphWater.Rate")
        "Middle torso lymph flow."
      annotation (Placement(transformation(extent={{88,-98},{94,-92}})));
      T.Volume Medulla_Volume(varName="Medulla.Volume")
        "Kidney medulla interstitial water volume."
      annotation (Placement(transformation(extent={{88,-88},{94,-82}})));
      T.Osmolarity Osmreceptors(varName="OsmBody.[Osm]-Osmoreceptors", storeUnit="osm/l")
        "Osmolarity in hypothalamic osmoreceptors."
      annotation (Placement(transformation(extent={{88,-78},{94,-72}})));
      T.Volume otherTissue_InterstitialWater(varName="OtherTissue-Size.IFV")
        "OtherTissue interstitial water volume."
      annotation (Placement(transformation(extent={{88,-68},{94,-62}})));
      T.Volume OtherTissue_LiquidVol(varName="OtherTissue-Size.LiquidVol")
        "OtherTissue water volume = sum of otherTissue interstitial and otherTissue intracellular water."
      annotation (Placement(transformation(extent={{88,-58},{94,-52}})));

      T.VolumeFlowRate PeritoneumSpace_Change(varName="PeritoneumSpace.Change")
        "Water inflow(outflow) to pericardium interstitial space."
        annotation (Placement(transformation(extent={{88,-38},{94,-32}})));
      T.Volume PeritoneumSpace_Vol(varName="PeritoneumSpace.Volume")
        "Water in pericardium interstitial space."
      annotation (Placement(transformation(extent={{88,-28},{94,-22}})));
      T.Volume PlasmaVol(varName="PlasmaVol.Vol") "Plasma volume."
      annotation (Placement(transformation(extent={{88,-18},{94,-12}})));
      T.Volume PlasmaVol_Vol(varName="PlasmaVol.Vol") "Plasma volume."
      annotation (Placement(transformation(extent={{88,-8},{94,-2}})));
      T.Volume respiratoryMuscle_InterstitialWater(varName="RespiratoryMuscle-Size.IFV")
        "RespiratoryMuscle interstitial water volume."
      annotation (Placement(transformation(extent={{88,2},{94,8}})));
      T.Volume RespiratoryMuscle_LiquidVol(varName="RespiratoryMuscle-Size.LiquidVol")
        "RespiratoryMuscle water volume = sum of respiratoryMuscle interstitial and respiratoryMuscle intracellular water."
      annotation (Placement(transformation(extent={{88,12},{94,18}})));

      T.Volume rightHeart_InterstitialWater(varName="RightHeart-Size.IFV")
        "RightHeart interstitial water volume."
      annotation (Placement(transformation(extent={{88,22},{94,28}})));
      T.Volume RightHeart_LiquidVol(varName="RightHeart-Size.LiquidVol")
        "RightHeart water volume = sum of rightHeart interstitial and rightHeart intracellular water."
      annotation (Placement(transformation(extent={{88,32},{94,38}})));

      T.Volume skeletalMuscle_InterstitialWater(varName="SkeletalMuscle-Size.IFV")
        "SkeletalMuscle interstitial water volume."
      annotation (Placement(transformation(extent={{88,42},{94,48}})));
      T.Volume SkeletalMuscle_LiquidVol(varName="SkeletalMuscle-Size.LiquidVol")
        "SkeletalMuscle water volume = sum of skeletalMuscle interstitial and skeletalMuscle intracellular water."
      annotation (Placement(transformation(extent={{88,52},{94,58}})));

      T.Volume skin_InterstitialWater(varName="Skin-Size.IFV")
        "Skin interstitial water volume."
      annotation (Placement(transformation(extent={{88,62},{94,68}})));
      T.Volume Skin_LiquidVol(varName="Skin-Size.LiquidVol")
        "Skin water volume = sum of skin interstitial and skin intracellular water."
      annotation (Placement(transformation(extent={{88,72},{94,78}})));

      T.Volume UT_InterstitialWater_Vol(varName="UT_InterstitialWater.Vol")
        "Upper tissue interstitial water."
      annotation (Placement(transformation(extent={{88,92},{94,98}})));
      T.VolumeFlowRate UT_LymphFlow(varName="UT_LymphWater.Rate")
        "Upper tissue lypmh outflow."
      annotation (Placement(transformation(extent={{88,102},{94,108}})));
      T.VolumeFlowRate BladderVoidFlow(varName="BladderVoidFlow")
      annotation (Placement(transformation(extent={{-164,-138},{-158,-132}})));

      T.Concentration Vasopressin(varName="ADHPool.[ADH(pMol/L)]", storeUnit=
            "pmol/l") "Vasopressin extracellular concentration."
        annotation (Placement(transformation(extent={{-104,-150},{-98,-144}})));

      T.VolumeFlowRate SweatGland_H2ORate(varName="SweatGland.H2ORate")
        "Outflow of sweat gland water."
      annotation (Placement(transformation(extent={{-90,150},{-84,156}})));
      T.Volume Liver_CellH2O(varName="Liver-Size.CellH2O")
        "Liver intracellular water volume."
      annotation (Placement(transformation(extent={{-224,0},{-218,6}})));
      T.Volume RespiratoryMuscle_CellH2O(varName="RespiratoryMuscle-Size.CellH2O")
        "Respiratory muscle intracellular water volume."
      annotation (Placement(transformation(extent={{-214,10},{-208,16}})));
      T.Volume SkeletalMuscle_CellH2O(varName="SkeletalMuscle-Size.CellH2O")
        "Skeletal muscle intracellular water volume."
      annotation (Placement(transformation(extent={{-226,20},{-220,26}})));
      equation

      connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
       points={{-83.7,-135},{90,-135},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BodyH2O_Vol.y, busConnector.BodyH2O_Vol) annotation (Line(
       points={{-83.7,-125},{90,-125},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_InterstitialWater.y, busConnector.bone_InterstitialWater) annotation (Line(
       points={{-83.7,-115},{90,-115},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_LiquidVol.y, busConnector.Bone_LiquidVol) annotation (Line(
       points={{-83.7,-105},{90,-105},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_InterstitialWater.y, busConnector.brain_InterstitialWater) annotation (Line(
       points={{-83.7,-95},{90,-95},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_LiquidVol.y, busConnector.Brain_LiquidVol) annotation (Line(
       points={{-83.7,-85},{90,-85},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_H2O_Outflow.y, busConnector.CD_H2O_Outflow) annotation (Line(
       points={{-83.7,-75},{90,-75},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_H2O_Reab.y, busConnector.CD_H2O_Reab) annotation (Line(
       points={{-83.7,-65},{90,-65},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CellH2O_Vol.y, busConnector.CellH2O_Vol) annotation (Line(
       points={{-83.7,-55},{90,-55},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
       points={{-83.7,-45},{90,-45},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ExcessLungWater_Volume.y, busConnector.ExcessLungWater_Volume) annotation (Line(
       points={{-83.7,-35},{90,-35},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_InterstitialWater.y, busConnector.fat_InterstitialWater) annotation (Line(
       points={{-83.7,-25},{90,-25},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_LiquidVol.y, busConnector.Fat_LiquidVol) annotation (Line(
       points={{-83.7,-15},{90,-15},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenVolume_Absorption.y, busConnector.GILumenVolume_Absorption) annotation (Line(
       points={{-83.7,-5},{90,-5},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenVolume_Intake.y, busConnector.GILumenVolume_Intake) annotation (Line(
       points={{-83.7,5},{90,5},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
       points={{-83.7,15},{90,15},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_InterstitialWater.y, busConnector.GITract_InterstitialWater) annotation (Line(
       points={{-83.7,25},{90,25},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_LiquidVol.y, busConnector.GITract_LiquidVol) annotation (Line(
       points={{-83.7,35},{90,35},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GlomerulusFiltrate_GFR.y, busConnector.GlomerulusFiltrate_GFR) annotation (Line(
       points={{-83.7,45},{90,45},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Glomerulus_GFR.y, busConnector.Glomerulus_GFR) annotation (Line(
       points={{-83.7,55},{90,55},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatInsensibleLung_H2O.y, busConnector.HeatInsensibleLung_H2O) annotation (Line(
       points={{-83.7,65},{90,65},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatInsensibleSkin_H2O.y, busConnector.HeatInsensibleSkin_H2O) annotation (Line(
       points={{-83.7,75},{90,75},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ICFV_Vol.y, busConnector.ICFV_Vol) annotation (Line(
       points={{-83.7,85},{90,85},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_InterstitialWater.y, busConnector.kidney_InterstitialWater) annotation (Line(
       points={{-83.7,95},{90,95},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_LiquidVol.y, busConnector.Kidney_LiquidVol) annotation (Line(
       points={{-83.7,105},{90,105},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LH_H2O_Outflow.y, busConnector.LH_H2O_Outflow) annotation (Line(
       points={{-83.7,115},{90,115},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_InterstitialWater.y, busConnector.leftHeart_InterstitialWater) annotation (Line(
       points={{94.3,-145},{90,-145},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_LiquidVol.y, busConnector.LeftHeart_LiquidVol) annotation (Line(
       points={{94.3,-135},{90,-135},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_InterstitialWater.y, busConnector.liver_InterstitialWater) annotation (Line(
       points={{94.3,-125},{90,-125},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_LiquidVol.y, busConnector.Liver_LiquidVol) annotation (Line(
       points={{94.3,-115},{90,-115},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
       points={{94.3,-85},{90,-85},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Osmreceptors.y, busConnector.Osmreceptors) annotation (Line(
       points={{94.3,-75},{90,-75},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_InterstitialWater.y, busConnector.otherTissue_InterstitialWater) annotation (Line(
       points={{94.3,-65},{90,-65},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_LiquidVol.y, busConnector.OtherTissue_LiquidVol) annotation (Line(
       points={{94.3,-55},{90,-55},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PeritoneumSpace_Vol.y, busConnector.PeritoneumSpace_Vol) annotation (Line(
       points={{94.3,-25},{90,-25},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PlasmaVol.y, busConnector.PlasmaVol) annotation (Line(
       points={{94.3,-15},{90,-15},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PlasmaVol_Vol.y, busConnector.PlasmaVol_Vol) annotation (Line(
       points={{94.3,-5},{90,-5},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_InterstitialWater.y, busConnector.respiratoryMuscle_InterstitialWater) annotation (Line(
       points={{94.3,5},{90,5},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_LiquidVol.y, busConnector.RespiratoryMuscle_LiquidVol) annotation (Line(
       points={{94.3,15},{90,15},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_InterstitialWater.y, busConnector.rightHeart_InterstitialWater) annotation (Line(
       points={{94.3,25},{90,25},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_LiquidVol.y, busConnector.RightHeart_LiquidVol) annotation (Line(
       points={{94.3,35},{90,35},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_InterstitialWater.y, busConnector.skeletalMuscle_InterstitialWater) annotation (Line(
       points={{94.3,45},{90,45},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_LiquidVol.y, busConnector.SkeletalMuscle_LiquidVol) annotation (Line(
       points={{94.3,55},{90,55},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_InterstitialWater.y, busConnector.skin_InterstitialWater) annotation (Line(
       points={{94.3,65},{90,65},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_LiquidVol.y, busConnector.Skin_LiquidVol) annotation (Line(
       points={{94.3,75},{90,75},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BladderVoidFlow.y,busConnector.BladderVoidFlow) annotation (Line(
            points={{-157.7,-135},{90,-135},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatGland_H2ORate.y, busConnector.SweatGland_H2ORate)
          annotation (Line(
            points={{-83.7,153},{90,153},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Liver_CellH2O.y, busConnector.liver_CellH2OVol) annotation (Line(
            points={{-217.7,3},{-151.85,3},{-151.85,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(SkeletalMuscle_CellH2O.y, busConnector.skeletalMuscle_CellH2OVol)
          annotation (Line(
            points={{-219.7,23},{-150.85,23},{-150.85,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(RespiratoryMuscle_CellH2O.y, busConnector.respiratoryMuscle_CellH2OVol)
          annotation (Line(
            points={{-207.7,13},{-145.85,13},{-145.85,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PeritoneumSpace_Change.y, busConnector.PeritoneumSpace_Change)
        annotation (Line(
          points={{94.3,-35},{98,-35},{98,-38},{90,-38},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Vasopressin.y, busConnector.Vasopressin) annotation (Line(
          points={{-97.7,-147},{90,-147},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(LT_InterstitialWater_Vol.y, busConnector.LT.InterstitialWater_Vol) annotation (Line(
       points={{-83.7,125},{90,125},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(UT_LymphFlow.y, busConnector.UT.LymphFlow) annotation (Line(
       points={{94.3,105},{90,105},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(UT_InterstitialWater_Vol.y, busConnector.UT.InterstitialWater_Vol) annotation (Line(
       points={{94.3,95},{90,95},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MT_LymphFlow.y, busConnector.MT.LymphFlow) annotation (Line(
       points={{94.3,-95},{90,-95},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MT_InterstitialWater_Vol.y, busConnector.MT.InterstitialWater_Vol) annotation (Line(
       points={{94.3,-105},{90,-105},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(LT_LymphFlow.y, busConnector.LT.LymphFlow) annotation (Line(
            points={{-83.7,135},{90,135},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{18,118},{100,80}},
                lineColor={0,0,0},
                textString="vars"), Text(
                extent={{-120,-100},{122,-134}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model Water_test
        import Physiomodel;

      Physiomodel.CardioVascular.IO_Bus.InputFromFile cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
      Physiomodel.Water.Water water
        annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile heat
          annotation (Placement(transformation(extent={{-30,36},{-50,56}})));
        Physiomodel.Water.IO_Bus.OutputComparison water_dif
          annotation (Placement(transformation(extent={{-102,-8},{-82,12}})));
        Physiomodel.Water.IO_Bus.OutputToFile water_varsToFile
          annotation (Placement(transformation(extent={{-62,2},{-42,22}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,11},{-69,11}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-40,46},{-6,46},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(water.busConnector, water_dif.busConnector) annotation (Line(
            points={{-69,11},{-81.5,11},{-81.5,2},{-92,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(water.busConnector, water_varsToFile.busConnector) annotation (
            Line(
            points={{-69,11},{-59.5,11},{-59.5,12},{-52,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Water_test;

      model Water_test_SI
        import Physiomodel;

      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
      Physiomodel.Water.Water water
        annotation (Placement(transformation(extent={{-98,-8},{-78,12}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-30,36},{-50,56}})));
        Physiomodel.Water.IO_Bus.OutputComparison_SI water_dif
          annotation (Placement(transformation(extent={{-42,2},{-22,22}})));
        Physiomodel.Water.IO_Bus.OutputToFile_SI water_varsToFile
          annotation (Placement(transformation(extent={{-62,2},{-42,22}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,9},{-81,9}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-40,46},{-6,46},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(water.busConnector, water_dif.busConnector) annotation (Line(
            points={{-81,9},{-81.5,9},{-81.5,12},{-32,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(water.busConnector, water_varsToFile.busConnector) annotation (
            Line(
            points={{-81,9},{-59.5,9},{-59.5,12},{-52,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (        experiment(StopTime=864000));
      end Water_test_SI;
    end IO_Bus;
    annotation (                   Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: HumMod 1.6, University of Mississippi Medical Center</p></td>
</tr>
</table>
<p>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>", info="<html>
<p>Sources of water in human body are from diet and base mitochondrial metabolism, where from each consumed oxygen molecule is creader two water molecules by adding hydrogen ions with electrons.</p>
<p>The amount of plasma volume is regulated by kidney excretion to urine. This process is regulated through hormone Vasopressin(ADH) [Atherton1971,Khokhar1976] with efect on aquapirins - membrane chanels of nephrons in kidney [Gottschalk1959,Nielsen2000].</p>
<p>The right amount of water in each compartment determines the osmolarities and all concentrations inside compartment. Water can cross the capillary wall to reach the same ospomarity of interstitium and plasma [Landis1933,Xie1995]. From interstitium is transported back to plasma together with proteins by lymphatic system [Guyton1965, Engeset1973,Olszewiski1980,Henriksen1985,Auckland1993].</p>
<p>Water is also necessary for termoregulation in heat conditions, where evaporation takes heat from body to cool it down. Evaporation can be driven by sweating [Dodt1952,Wyndham1966,Piwonka1967,Benzinger1969,Sato1977,Sato1989a,b] or be spontaneus from lungs [Brebbia1957] and insensible tissues.</p>
</html>"));
  end Water;

  package Proteins "Body Proteins"
    extends Physiolibrary.Icons.ProteinsLib;

    model Synthesis
    //  parameter Physiolibrary.Types.MassFlowRate  SynthesisBasic "10 mg/min";
      parameter Physiolibrary.Types.MolarFlowRate SynthesisBasic = 2.75753e-09
      "10 mg/min";
      parameter Real[:,3] data =  {{ 20.0,  3.0,  0.0}, { 28.0,  1.0,  -0.2}, { 40.0,  0.0,  0.0}}
      "COPEffect";
    Physiolibrary.Blocks.Interpolation.Curve c(
      x=data[:, 1],
      y=data[:, 2],
      slope=data[:, 3],
      Xscale=101325/760);

    Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (extent=[
          -10,-110; 10,-90], Placement(transformation(extent={{-10,-110},{10,
              -90}}, rotation=0)));

      Physiolibrary.Types.Pressure COP;
    //  Physiolibrary.Types.AmountOfSubstance  synthetizedAmount(start=0);
    //  Physiolibrary.Types.Mass  synthetizedMass(start=0);
    //protected
    //  constant Physiolibrary.Types.Time sec=1;
    //  constant Physiolibrary.Types.Volume ghostPlasmaVol=3.02e-3
    //    "Strange dependence derived from original HumMod";
    equation
      COP =  q_out.conc * Modelica.Constants.R * 310.15;
      c.u=COP;
      q_out.q = -SynthesisBasic * c.val;

    //TODO: state
    //der(synthetizedAmount) = -q_out.q;
    //  ProteinsMass2AmountOfSubstance(synthetizedMass,ghostPlasmaVol) = synthetizedAmount;
     annotation (
        defaultComponentName="synthesis",
        Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                100,100}}), graphics={Rectangle(
              extent={{-100,-50},{100,50}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-100,-50},{90,50}},
              lineColor={0,0,255},
              textString="%name")}),        Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
    end Synthesis;

    model Degradation
    //  parameter Physiolibrary.Types.MassFlowRate  DegradationBasic "10 mg/min";
    //  parameter Real[:,3] data =  {{ 0.00,  0.0,  0.0}, { 0.07,  1.0,  40.0}, { 0.09,  6.0,  0.0}}
    //    "ProteinEffect";
       parameter Physiolibrary.Types.MolarFlowRate DegradationBasic = 2.75753e-09
      "10 mg/min";
       parameter Real[:,3] data =  {{ 0.00,  0.0,  0.0}, { 1.45,  1.0,  1.59}, { 1.97,  6.0,  0.0}}
      "ProteinEffect";

    Physiolibrary.Blocks.Interpolation.Curve c(
      x=data[:, 1],
      y=data[:, 2],
      slope=data[:, 3]);
    Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (Placement(
          transformation(extent={{-100,0},{-60,40}}), iconTransformation(extent=
             {{-110,-10},{-90,10}})));

    //  Physiolibrary.Types.AmountOfSubstance  degradedAmount(start=0);
    //  Physiolibrary.Types.Mass  degradedMass(start=0);
    //protected
    //  constant Physiolibrary.Types.Time sec=1;
    //  constant Physiolibrary.Types.Volume ghostPlasmaVol=3.02e-3
    //    "Strange dependence derived from original HumMod";
    equation
    //  ProteinsMassConcentration2Concentration(c.u*1000) = q_in.conc;
      c.u = q_in.conc;
      q_in.q = DegradationBasic * c.val;
    //  q_in.q =ProteinsMass2AmountOfSubstance(DegradationBasic*c.val*sec,ghostPlasmaVol)/sec;

    //TODO: state
    //der(degradedAmount) = q_in.q;
    //  ProteinsMass2AmountOfSubstance(degradedMass,ghostPlasmaVol) = degradedAmount;
     annotation (
        defaultComponentName="degradation",
        Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                100,100}}), graphics={Rectangle(
              extent={{-100,-50},{100,50}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-88,-50},{100,50}},
              lineColor={0,0,255},
              textString="%name")}),        Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
    end Degradation;

    function ProteinsMass2AmountOfSubstance
       input Physiolibrary.Types.Mass m;
       input Physiolibrary.Types.Volume v;
       output Physiolibrary.Types.AmountOfSubstance n;
    algorithm
       n:=(320*101325/760)/(310.15*8.314) *0.001*m + (1160*101325/760)/(310.15*8.314)* (0.001*m)^2 / v;
    end ProteinsMass2AmountOfSubstance;

    function ProteinsMassConcentration2Concentration
       input Physiolibrary.Types.MassConcentration m;
       output Physiolibrary.Types.Concentration n;
    algorithm
       n:=(320*101325/760)/(310.15*8.314) *0.001*m + (1160*101325/760)/(310.15*8.314)* (0.001*m)^2;
    end ProteinsMassConcentration2Concentration;

    model ProteinDivision "60% of total plasma protein mass are albumin"

      Physiolibrary.Types.RealIO.ConcentrationInput totalProteins
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
      Physiolibrary.Types.RealIO.ConcentrationOutput albumin
        annotation (Placement(transformation(extent={{90,50},{110,70}})));
      Physiolibrary.Types.RealIO.MassConcentrationOutput nonAlbumin
        annotation (Placement(transformation(extent={{90,-50},{110,-30}})));
      Physiolibrary.Types.RealIO.ConcentrationOutput nonAlbuminMolarConc
        annotation (Placement(transformation(extent={{90,-90},{110,-70}})));

    //  Physiolibrary.Types.MassConcentration tProtMassConc;
    //  Physiolibrary.Types.MassConcentration albuminMassConc;
    //  parameter Physiolibrary.Types.MolarMass albuminMM=66.5 "albumin molar mass";

  protected
      Physiolibrary.Types.MolarMass nonAlbuminMM
      "average molar mass of non-albumin proteins";

    equation
     /* totalProteins = ProteinsMassConcentration2Concentration(tProtMassConc);
  albuminMassConc = 0.6 * tProtMassConc;
  nonAlbumin = tProtMassConc - albuminMassConc;
  albumin = albuminMassConc / 66.5;
  nonAlbuminMolarConc = totalProteins - albumin; */

      albumin = totalProteins * (0.63/1.45);
      nonAlbuminMolarConc = totalProteins - albumin;
      nonAlbumin = nonAlbuminMM * nonAlbuminMolarConc;

    // inversion of totalProteins=(320*101325/760)/(310.15*8.314) *0.001*tProtMassConc + (1160*101325/760)/(310.15*8.314)* (0.001*tProtMassConc)^2;
    //  tProtMassConc = 0.0000170159 * (-8.106e6 + 63.6632 * ((1.6212e10 + 1.4208e10 * totalProteins)^0.5));
    // linear aproximation at point totalProteins = 1.45 mmol/l :
      nonAlbuminMM = 34.16-10*(totalProteins-1.45);

    end ProteinDivision;

    model Proteins
        extends Physiolibrary.Icons.Proteins;
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{82,4},{102,24}}), iconTransformation(extent={
              {46,66},{80,100}})));
    Physiolibrary.Chemical.Components.Diffusion UT_Capillary(Conductance(
          displayUnit="l/day") = 3.9351851851852e-09)
      annotation (Placement(transformation(extent={{-2,78},{10,90}})));
    Physiolibrary.Chemical.Components.Diffusion MT_Capillary(Conductance(
          displayUnit="l/day") = 7.4074074074074e-09)
      annotation (Placement(transformation(extent={{-2,32},{10,44}})));
    Physiolibrary.Chemical.Components.Diffusion LT_Capillary(Conductance(
          displayUnit="l/day") = 1.1805555555556e-08)
      annotation (Placement(transformation(extent={{0,-8},{12,4}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut
                                                  Hemorrhage(useSoluteFlowInput=
         true)
        annotation (Placement(transformation(extent={{20,-100},{40,-80}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-86,-92},{-66,-72}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-98,-74},{-78,-54}})));
    Physiolibrary.Chemical.Components.Stream UT_Lymph(useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{10,74},{0,64}})));
    Physiolibrary.Chemical.Components.Stream MT_Lymph(useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{10,28},{0,18}})));
    Physiolibrary.Chemical.Components.Stream LT_Lymph(useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{10,-12},{0,-22}})));
    Physiolibrary.Chemical.Components.Stream Change(useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{-28,-36},{-40,-24}})));
      Physiolibrary.Chemical.Components.Substance plasma(
        stateName="PlasmaProtein.Mass",
        useNormalizedVolume=false,
      solute_start=0.00437)
        annotation (Placement(transformation(extent={{-76,32},{-56,52}})));
      Physiolibrary.Chemical.Components.Substance UpperTorso(
        stateName="UT_InterstitialProtein.Mass",
        useNormalizedVolume=false,
      solute_start=0.00122)
        annotation (Placement(transformation(extent={{76,64},{56,84}})));
      Physiolibrary.Chemical.Components.Substance MiddleTorso(
        stateName="MT_InterstitialProtein.Mass",
        useNormalizedVolume=false,
      solute_start=0.00299)
        annotation (Placement(transformation(extent={{74,20},{54,40}})));
      Physiolibrary.Chemical.Components.Substance LowerTorso(
        stateName="LT_InterstitialProtein.Mass",
        useNormalizedVolume=false,
      solute_start=0.0018)
        annotation (Placement(transformation(extent={{78,-22},{58,-2}})));
      Physiolibrary.Chemical.Components.Substance peritoneum(
        stateName="PeritoneumProtein.Mass",
        useNormalizedVolume=false,
      solute_start=1e-15)
        annotation (Placement(transformation(extent={{-64,-40},{-44,-20}})));

      Physiomodel.Proteins.Synthesis                 synthesis(SynthesisBasic=
          1.6666666666667e-07)
        annotation (Placement(transformation(extent={{-58,54},{-38,74}})));
      Physiomodel.Proteins.Degradation                 degradation(
        DegradationBasic=1.6666666666667e-07)
        annotation (Placement(transformation(extent={{0,-52},{20,-32}})));
    Physiolibrary.Chemical.Components.Diffusion GlomerulusProtein_Perm(
        Conductance=(0)*(1e-6)/60)
      annotation (Placement(transformation(extent={{-2,-70},{18,-50}})));
      Physiolibrary.Chemical.Components.Substance Bladder(
        stateName="BladderProtein.Mass",
        useNormalizedVolume=false,
      solute_start=1e-15)
        annotation (Placement(transformation(extent={{66,-70},{46,-50}})));

    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=180,
          origin={-94,24})));
      ProteinDivision proteinDivision
        annotation (Placement(transformation(extent={{-60,16},{-50,26}})));
    equation
    connect(Transfusion.soluteFlow, busConnector.Transfusion_ProteinRate)
      annotation (Line(
        points={{-72,-78},{-72,14},{92,14}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(IVDrip.soluteFlow, busConnector.IVDripProteinRate) annotation (Line(
        points={{-84,-60},{-84,14},{92,14}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(busConnector.PeritoneumSpace_Vol, peritoneum.solutionVolume)
      annotation (Line(
        points={{92,14},{-58,14},{-58,-26}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(plasma.solute, busConnector.PlasmaProtein_Mass)  annotation (Line(
          points={{-60,32},{-60,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));

      connect(synthesis.q_out, plasma.q_out) annotation (Line(
          points={{-38,64},{-26,64},{-26,42},{-66,42}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(UT_Capillary.q_out, UpperTorso.q_out) annotation (Line(
          points={{10,84},{18,84},{18,74},{66,74}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, UT_Capillary.q_in) annotation (Line(
          points={{-66,42},{-26,42},{-26,84},{-2,84}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, UT_Lymph.q_out) annotation (Line(
          points={{-66,42},{-26,42},{-26,68},{0,68},{0,69}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, MT_Capillary.q_in) annotation (Line(
          points={{-66,42},{-26,42},{-26,38},{-2,38}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(MT_Capillary.q_out, MiddleTorso.q_out) annotation (Line(
          points={{10,38},{16,38},{16,30},{64,30}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(MT_Lymph.q_in, MiddleTorso.q_out) annotation (Line(
          points={{10,23},{16,23},{16,30},{64,30}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, MT_Lymph.q_out) annotation (Line(
          points={{-66,42},{-26,42},{-26,22},{0,22},{0,23}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, LT_Capillary.q_in) annotation (Line(
          points={{-66,42},{-26,42},{-26,-2},{0,-2}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, LT_Lymph.q_out) annotation (Line(
          points={{-66,42},{-26,42},{-26,-18},{0,-18},{0,-17}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, GlomerulusProtein_Perm.q_in) annotation (Line(
          points={{-66,42},{-26,42},{-26,-60},{-2,-60}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, Hemorrhage.q_in) annotation (Line(
          points={{-66,42},{-26,42},{-26,-90},{20,-90}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, Transfusion.q_out) annotation (Line(
          points={{-66,42},{-26,42},{-26,-82},{-66,-82}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, IVDrip.q_out) annotation (Line(
          points={{-66,42},{-26,42},{-26,-64},{-78,-64}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, degradation.q_in) annotation (Line(
          points={{-66,42},{-26,42},{-26,-42},{0,-42}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(plasma.q_out, Change.q_in)
                                       annotation (Line(
          points={{-66,42},{-26,42},{-26,-30},{-28,-30}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(LT_Capillary.q_out, LowerTorso.q_out) annotation (Line(
          points={{12,-2},{18,-2},{18,-12},{68,-12}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(LT_Lymph.q_in, LowerTorso.q_out) annotation (Line(
          points={{10,-17},{18,-17},{18,-12},{68,-12}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(Change.q_out, peritoneum.q_out)
                                            annotation (Line(
          points={{-40,-30},{-54,-30}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(GlomerulusProtein_Perm.q_out, Bladder.q_out) annotation (Line(
          points={{18,-60},{56,-60}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
    connect(Bladder.solutionVolume, busConnector.BladderVolume_Mass)
      annotation (Line(
        points={{60,-56},{96,-56},{96,14},{92,14}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(plasma.q_out, concentrationMeasure1.q_in) annotation (Line(
          points={{-66,42},{-94,42},{-94,24}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
    connect(concentrationMeasure1.concentration, busConnector.PlasmaProteinConc)
      annotation (Line(
        points={{-94,32},{-94,14},{92,14}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(plasma.solutionVolume, busConnector.PlasmaVol) annotation (Line(
        points={{-70,46},{-70,48},{-98,48},{-98,14},{92,14}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(concentrationMeasure1.concentration, proteinDivision.totalProteins)
      annotation (Line(
        points={{-94,32},{-94,21},{-60,21}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(proteinDivision.albumin, busConnector.ctAlb) annotation (Line(
          points={{-50,24},{-32,24},{-32,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(proteinDivision.nonAlbumin, busConnector.ctGlb) annotation (Line(
          points={{-50,19},{-32,19},{-32,14},{92,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(UT_Lymph.q_in, UpperTorso.q_out) annotation (Line(
        points={{10,69},{18,69},{18,74},{66,74}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(Change.solutionFlow, busConnector.PeritoneumSpace_Change)
      annotation (Line(
        points={{-34,-25.8},{-34,14},{92,14}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(UpperTorso.solutionVolume, busConnector.UT.InterstitialWater_Vol)
      annotation (Line(
        points={{70,78},{92,78},{92,14}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(busConnector.UT.InterstitialProtein_Mass,UpperTorso. solute) annotation (
          Line(
          points={{92,14},{92,70},{60,70},{60,64}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
    connect(MiddleTorso.solutionVolume, busConnector.MT.InterstitialWater_Vol)
      annotation (Line(
        points={{68,34},{92,34},{92,14}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(busConnector.MT.InterstitialProtein_Mass,MiddleTorso. solute) annotation (
          Line(
          points={{92,14},{58,14},{58,20}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
    connect(LowerTorso.solutionVolume, busConnector.LT.InterstitialWater_Vol)
      annotation (Line(
        points={{72,-8},{92,-8},{92,14}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(busConnector.LT.InterstitialProtein_Mass,LowerTorso. solute) annotation (
          Line(
          points={{92,14},{92,-22},{62,-22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
    connect(busConnector.UT.LymphFlow, UT_Lymph.solutionFlow) annotation (Line(
        points={{92,14},{18,14},{18,54},{6,54},{6,65.5},{5,65.5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.MT.LymphFlow, MT_Lymph.solutionFlow) annotation (Line(
        points={{92,14},{6,14},{6,19.5},{5,19.5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.LT.LymphFlow, LT_Lymph.solutionFlow) annotation (Line(
        points={{92,14},{14,14},{14,-26},{6,-26},{6,-20.5},{5,-20.5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(Hemorrhage.soluteFlow, busConnector.Hemorrhage_ProteinRate)
      annotation (Line(
        points={{34,-86},{34,14},{92,14}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={  Text(
              extent={{-114,-86},{128,-120}},
              lineColor={0,0,255},
              textString="%name")}),        Documentation(info="<html>
<p>Proteins are converted from Mol/L to mg/L by average molecular weight 86 kDa.</p>
</html>"));
    end Proteins;

    package IO_Bus
      extends Physiolibrary.Types.IO_Bus;
      redeclare model extends Variables

      T.Concentration ctAlb(varName="ctAlb")
        "Blood molar albumin concentration."
      annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
      T.MassConcentration ctGlb(varName="ctGlb", storeUnit="g/l")
        "Blood globolins mass concentration."
      annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
      /*T.VolumeDensityOfCharge NBB(varName="BloodIons.Protein")
annotation (Placement(transformation(extent={{-42,64},{-24,82}})));*/
      T.AmountOfSubstance UT_InterstitialProtein_Mass(varName="UT_InterstitialProtein.Mass")
        "Upper tissue interstitial protein."
      annotation (Placement(transformation(extent={{-36,26},{-30,32}})));
      T.AmountOfSubstance PlasmaProtein_Mass(varName="PlasmaProtein.Mass")
        "Plasma proteins."
      annotation (Placement(transformation(extent={{-36,-12},{-30,-6}})));
      T.AmountOfSubstance MT_InterstitialProtein_Mass(varName="MT_InterstitialProtein.Mass")
        "Middle torso interstitional proteins."
      annotation (Placement(transformation(extent={{-36,-44},{-30,-38}})));
      T.AmountOfSubstance LT_InterstitialProtein_Mass(varName="LT_InterstitialProtein.Mass")
        "Lower torso interstitial protein mass."
      annotation (Placement(transformation(extent={{-38,-90},{-32,-84}})));
      equation

      connect(ctAlb.y, busConnector.ctAlb) annotation (Line(
       points={{-29.7,53},{90,53},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      /*    connect(NBB.y, busConnector.BloodIons_ProteinAnions) annotation (Line(
        points={{-23.1,73},{79,73},{79,5}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));*/
      connect(ctGlb.y, busConnector.ctGlb) annotation (Line(
          points={{-29.7,63},{90,63},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(UT_InterstitialProtein_Mass.y, busConnector.UT.InterstitialProtein_Mass)
        annotation (Line(
          points={{-29.7,29},{90,29},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(MT_InterstitialProtein_Mass.y, busConnector.MT.InterstitialProtein_Mass)
        annotation (Line(
          points={{-29.7,-41},{90,-41},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(LT_InterstitialProtein_Mass.y, busConnector.LT.InterstitialProtein_Mass)
        annotation (Line(
          points={{-31.7,-87},{90,-87},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(PlasmaProtein_Mass.y, busConnector.PlasmaProtein_Mass) annotation (
          Line(
          points={{-29.7,-9},{90,-9},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={
              Text(
                extent={{18,120},{100,82}},
                lineColor={0,0,0},
                textString="vars"),
              Text(
                extent={{-122,-98},{120,-132}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model Proteins_test
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.Proteins proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Proteins.IO_Bus.OutputComparison proteins_dif
          annotation (Placement(transformation(extent={{-76,-32},{-56,-12}})));
        Physiomodel.Proteins.IO_Bus.OutputToFile proteins_varsToFile
          annotation (Placement(transformation(extent={{-98,-36},{-78,-16}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-9.7},{-31.7,-9.7}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(proteins_dif.busConnector, proteins.busConnector) annotation (
            Line(
            points={{-66,-22},{-50,-22},{-50,-9.7},{-31.7,-9.7}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(proteins_varsToFile.busConnector, proteins.busConnector)
          annotation (Line(
            points={{-88,-26},{-50,-26},{-50,-9.7},{-31.7,-9.7}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Proteins_test;

      model Proteins_test_SI
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.Proteins proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Proteins.IO_Bus.OutputComparison_SI proteins_dif
          annotation (Placement(transformation(extent={{-76,-32},{-56,-12}})));
        Physiomodel.Proteins.IO_Bus.OutputToFile_SI proteins_varsToFile
          annotation (Placement(transformation(extent={{-98,-36},{-78,-16}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-9.7},{-31.7,-9.7}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(proteins_dif.busConnector, proteins.busConnector) annotation (
            Line(
            points={{-66,-22},{-50,-22},{-50,-9.7},{-31.7,-9.7}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(proteins_varsToFile.busConnector, proteins.busConnector)
          annotation (Line(
            points={{-88,-26},{-50,-26},{-50,-9.7},{-31.7,-9.7}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (        experiment(StopTime=864000));
      end Proteins_test_SI;
    end IO_Bus;
    annotation (Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: HumMod 1.6, University of Mississippi Medical Center</p></td>
</tr>
</table>
<p>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>", info="<html>
<p>Extracellular proteins determine the transfer of water between extracellular compartments such as plasma, tissue interstitia [Reed1993] or the glomerular filtration[Manning1987]. Proteins are also acid-base buffers, because side chains of some amino acids buffers the hydrogen ions [VanSlyke1928].</p>
<p>Plasma proteins: Albumin(66.5kDa) is about 60&percnt; of all prasma protein mass. It is synthetised and degraded in liver and distributed through the body [Beeken1962]. The rest of plasma proteins are mostly globulins. They are almost half-time smaller (about 34kDa), so their plasma molar concentration is higer than albumin in contrast with their plasma mass concentration. Both generate the osmotic pressure on capillary walls [Ahlqvist2003]. </p>
<p>Problems:</p>
<p>hypoproteinanemia [Manning1983,1990]</p>
<p>hypogammaglobulinamia [Wollheim1964]</p>
</html>"));
  end Proteins;

  package Metabolism "Body Nutrients, Metabolism and Heat Systems"
    extends Physiolibrary.Icons.NutrientsMetabolismLib;
    model LiverMetabolism
     // import QHP = Physiomodel;
      extends Physiolibrary.Icons.Liver;
      //outer parameter Real EFC_Vol(final displayUnit="ml");
    Physiolibrary.Chemical.Components.Substance Glycogen(solute_start=120e-6/
          Substances.Glucose.mw)
      "amount of bound glucose molecules in glycogen (initial mass 120 mg of bound glucose molecules)"
      annotation (Placement(transformation(extent={{96,46},{76,66}})));
    Physiolibrary.Chemical.Components.SolutePump LM_Glycogenesis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{4,58},{24,78}})));
    Physiolibrary.Chemical.Components.SolutePump LM_Glycogenolysis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{24,6},{4,26}})));
    Physiolibrary.Chemical.Components.SolutePump LM_FA_Glucose(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-20,-34},{-40,-14}})));
    Physiolibrary.Chemical.Components.SolutePump LM_Gluconeogenesis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{64,-34},{44,-14}})));
    Physiomodel.Metabolism.deprecated.ContinualReaction2 AA_TO_GLU
      annotation (Placement(transformation(extent={{34,-34},{14,-14}})));
    Physiomodel.Metabolism.deprecated.ContinualReaction GLU_TO_FA(a=0.42*(Substances.Glucose.mw
          /Substances.Triglycerides.mw))
      annotation (Placement(transformation(extent={{-48,-34},{-68,-14}})));
    Physiolibrary.Blocks.Factors.LagSpline InsulinEffect_Glycogenesis(
      data={{0,0.0,0.0},{35,1.0,0.03},{120,3.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      "initial: 40 uiu/ml = 40 iu/m3 , LM_Insulin.Tau = 40 min"
      annotation (Placement(transformation(extent={{4,80},{24,100}})));
    Physiolibrary.Blocks.Factors.LagSpline InsulinEffect_Glucose2FA(
      data={{0,0.0,0.0},{50,1.0,0.06},{200,3.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      annotation (Placement(transformation(extent={{-20,-18},{-40,2}})));
    Physiolibrary.Blocks.Factors.LagSpline
                                        InsulinEffect4(data={{0,2.5,0.0},{50,
          1.0,-0.005},{500,0.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      annotation (Placement(transformation(extent={{44,-8},{64,12}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseGlycogenesis(k(
          displayUnit="mol/s") = 75e-6/Substances.Glucose.mw/60)
      "glucose flow rate 75 mg/min"
      annotation (Placement(transformation(extent={{36,88},{26,98}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseGlucose2FA(k=70e-6/
          Substances.Glucose.mw/60) "glucose flow rate 70 mg/min"
      annotation (Placement(transformation(extent={{-18,2},{-28,12}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseAminoAcids2Glucose(k=30e-6/
          Substances.AminoAcids.mw/60)
      annotation (Placement(transformation(extent={{70,10},{60,20}})));
    Physiolibrary.Blocks.Factors.Spline MassEffect_Glycogenesis(
                                               Xscale=1e-6/Substances.Glucose.mw, data={{0,
          3.0,0.0},{100,1.0,-0.03},{200,0.0,0.0}})
      annotation (Placement(transformation(extent={{24,68},{4,88}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect_Glycogenesis(data={{120,
          0.0,0.0},{130,1.0,0.06},{200,2.0,0.0}}, Xscale=0.01/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{4,76},{24,96}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_Glycogenesis
      annotation (Placement(transformation(extent={{4,72},{24,92}})));
    Physiolibrary.Blocks.Factors.LagSpline InsulinEffect_Glycogenolysis(
      data={{0,2.0,0.0},{35,1.0,-0.02},{120,0.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      annotation (Placement(transformation(extent={{4,36},{24,56}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseGlycogenolysis(k=75e-6/
          Substances.Glucose.mw/60) "glucose flow rate 75 mg/min"
      annotation (Placement(transformation(extent={{36,44},{26,54}})));
    Physiolibrary.Blocks.Factors.Spline MassEffect_Glycogenolysis(data={{0,0.0,
          0.0},{100,1.0,0.0}}, Xscale=1e-6/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{24,14},{4,34}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect_Glycogenolysis(data={{45,
          2.0,0.0},{125,1.0,-0.01},{350,0.3,0.0}}, Xscale=0.01/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{4,28},{24,48}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_Glycogenolysis
      annotation (Placement(transformation(extent={{4,20},{24,40}})));
    Physiolibrary.Blocks.Factors.Spline GlucagonEffect_Glycogenolysis(data={{
          170,1.0,0.0},{680,2.0,0.0}}, Xscale=1e-9/Substances.Glucagon.mw)
      "170 pg/ml = 170e-9 kg/m3"
      annotation (Placement(transformation(extent={{4,32},{24,52}})));
    Physiolibrary.Blocks.Factors.Spline EpinephrineEffect_Glycogenolysis(data={{0,
          0.8,0.0},{40,1.0,0.01},{400,10.0,0.02},{1200,20.0,0.0}}, Xscale=1e-9/
          Substances.Epinephrine.mw) "40 pg/ml = 40e-9 kg/m3"
      annotation (Placement(transformation(extent={{24,24},{4,44}})));
    Physiolibrary.Types.Constants.FractionConst             Constant3(k=0.6*(
          Substances.AminoAcids.mw/Substances.Glucose.mw))
      annotation (Placement(transformation(extent={{32,-18},{26,-12}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect_Glucose2FA(data={{120,0.0,
          0.0},{130,1.0,0.05},{200,2.0,0.0}}, Xscale=0.01/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{-20,-22},{-40,-2}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_Glucose2FA
      annotation (Placement(transformation(extent={{-20,-26},{-40,-6}})));
    Physiolibrary.Blocks.Factors.Spline GlucagonEffect_AminoAcids2Glucose(data={{
          170,1.0,0.0},{680,2.0,0.0}}, Xscale=1e-9/Substances.Glucagon.mw)
      annotation (Placement(transformation(extent={{44,-14},{64,6}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect_AminoAcids2Glucose(data={{45,
          2.0,0.0},{125,1.0,-0.008},{340,0.3,0.0}}, Xscale=0.01/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{44,-18},{64,2}})));
    Physiolibrary.Blocks.Factors.Spline AminoAcidEffect(
      data={{0,0.0,0.0},{50,1.0,0.02},{200,2.0,0.0}},
      y(start=1.13856),
      u(start=57.2753),
      Xscale=1e-2/Substances.AminoAcids.mw) "50 mg/dl = 50e-2 kg/m3"
      annotation (Placement(transformation(extent={{92,-8},{72,12}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_AminoAcids2Glucose
      annotation (Placement(transformation(extent={{44,-26},{64,-6}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b Glucose(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "extracellular storage" annotation (Placement(transformation(extent={{-62,
              58},{-42,78}}), iconTransformation(extent={{90,-70},{110,-50}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b triglicerides(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min")) annotation (
        Placement(transformation(extent={{-92,-16},{-72,4}}),
          iconTransformation(extent={{90,50},{110,70}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b Ketoacids(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "extracellular storage" annotation (Placement(transformation(extent={{-12,
              -92},{8,-72}}), iconTransformation(extent={{90,-10},{110,10}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-108,86},{-88,106}}), iconTransformation(
            extent={{-108,-10},{-88,10}})));
    Physiolibrary.Chemical.Components.SolutePump LM_Ketoacids(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-58,-92},{-38,-72}})));
    Physiomodel.Metabolism.deprecated.ContinualReaction FA_TO_KA(a=1.02*(Substances.FattyAcids.mw
          /Substances.KetoAcids.mw)) annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          origin={-18,-82})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_Ketogenesis
      annotation (Placement(transformation(extent={{-58,-84},{-38,-64}})));
    Physiolibrary.Blocks.Factors.Spline FattyAcidEffect_Ketogenesis(data={{0,
          0.5,0.0},{15,1.0,0.05},{75,5.0,0.0}}, Xscale=1e-2/Substances.FattyAcids.mw)
      "effect on fatty acids concentration in mg/dl"
      annotation (Placement(transformation(extent={{-58,-76},{-38,-56}})));
    Physiolibrary.Blocks.Factors.Spline GlucagonEffect_Ketogenesis(
                                               Xscale=1e-9/Substances.Glucagon.mw, data={{0,
          0.5,0.0},{170,1.0,0.005},{340,10.0,0.0}})
      annotation (Placement(transformation(extent={{-58,-80},{-38,-60}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseKetogenesis(k=2.2e-6/
          Substances.FattyAcids.mw/60)
      annotation (Placement(transformation(extent={{-24,-58},{-34,-48}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
      annotation (Placement(transformation(extent={{-80,-90},{-60,-70}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b AminoAcids(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "extracellular storage" annotation (Placement(transformation(extent={{76,
              -34},{96,-14}}), iconTransformation(extent={{50,-110},{70,-90}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1
      annotation (Placement(transformation(extent={{86,-22},{106,-2}})));
    Physiolibrary.Chemical.Components.SolutePump LM_FA_AminoAcids(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{64,-78},{44,-58}})));
    Physiomodel.Metabolism.deprecated.ContinualReaction2 AA_TO_FA
      annotation (Placement(transformation(extent={{38,-78},{18,-58}})));
    Physiolibrary.Blocks.Factors.LagSpline InsulinEffect_AminoAcids2FA(
      data={{0,0.0,0.0},{50,1.0,0.05},{80,4.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      annotation (Placement(transformation(extent={{64,-62},{44,-42}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseAminoAcids2FA(
                                                                      k=20e-6/
          Substances.AminoAcids.mw/60)
      annotation (Placement(transformation(extent={{66,-48},{56,-38}})));
    Physiolibrary.Types.Constants.FractionConst             Constant5(k=0.437*(
          Substances.AminoAcids.mw/Substances.FattyAcids.mw))
      annotation (Placement(transformation(extent={{38,-60},{32,-54}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_AminoAcids2FA
      annotation (Placement(transformation(extent={{64,-70},{44,-50}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b Urea(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "extracellular storage" annotation (Placement(transformation(extent={{-8,-54},
              {12,-34}}),      iconTransformation(extent={{-70,-110},{-50,-90}})));
    Physiolibrary.Types.Constants.FractionConst             Constant6(k=0.3*(
          Substances.AminoAcids.mw/Substances.Urea.mw))
      annotation (Placement(transformation(extent={{10,-18},{16,-12}})));
    Physiolibrary.Types.Constants.FractionConst             Constant7(k=0.3*(
          Substances.AminoAcids.mw/Substances.Urea.mw))
      annotation (Placement(transformation(extent={{14,-60},{20,-54}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b fattyAcids(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min")) annotation (
        Placement(transformation(extent={{-102,-92},{-82,-72}}),
          iconTransformation(extent={{90,90},{110,110}})));
    Physiolibrary.Blocks.Factors.Normalization AAEffect_AminoAcids2Glucose
      annotation (Placement(transformation(extent={{64,-22},{44,-2}})));
    Physiolibrary.Types.Constants.FractionConst             Constant1(k=1)
      annotation (Placement(transformation(extent={{96,12},{88,20}})));
    Physiolibrary.Blocks.Factors.Normalization AAEffect_AminoAcids2FA
      annotation (Placement(transformation(extent={{64,-66},{44,-46}})));
    Physiolibrary.Chemical.Sensors.MolarFlowMeasure molarFlowMeasure
      annotation (Placement(transformation(extent={{8,-26},{-10,-16}})));
    equation
    connect(InsulinEffect_Glycogenesis.yBase, BaseGlycogenesis.y) annotation (
        Line(
        points={{14,92},{14,93},{24.75,93}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect4.yBase, BaseAminoAcids2Glucose.y) annotation (Line(
        points={{54,4},{54,15},{58.75,15}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect_Glucose2FA.yBase, BaseGlucose2FA.y) annotation (Line(
        points={{-30,-6},{-30,7},{-29.25,7}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucoseEffect_Glycogenesis.y, LiverFunctionEffect_Glycogenesis.yBase)
      annotation (Line(
        points={{14,82},{14,84}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect_Glycogenolysis.yBase, BaseGlycogenolysis.y)
      annotation (Line(
        points={{14,48},{14,49},{24.75,49}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucagonEffect_Glycogenolysis.yBase, InsulinEffect_Glycogenolysis.y)
      annotation (Line(
        points={{14,44},{14,42}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(EpinephrineEffect_Glycogenolysis.yBase,
      GlucoseEffect_Glycogenolysis.y) annotation (Line(
        points={{14,36},{14,34}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(EpinephrineEffect_Glycogenolysis.y,
      LiverFunctionEffect_Glycogenolysis.yBase) annotation (Line(
        points={{14,30},{14,32}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(Constant3.y, AA_TO_GLU.coef) annotation (Line(
          points={{25.25,-15},{24,-15},{24,-20}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(InsulinEffect_Glucose2FA.y, GlucoseEffect_Glucose2FA.yBase)
      annotation (Line(
        points={{-30,-12},{-30,-10}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucoseEffect_Glucose2FA.y, LiverFunctionEffect_Glucose2FA.yBase)
      annotation (Line(
        points={{-30,-16},{-30,-14}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LiverFunctionEffect_Glucose2FA.y, LM_FA_Glucose.soluteFlow)
      annotation (Line(
        points={{-30,-20},{-34,-20}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect4.y, GlucagonEffect_AminoAcids2Glucose.yBase)
      annotation (Line(
        points={{54,-2},{54,-2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucagonEffect_AminoAcids2Glucose.y,
      GlucoseEffect_AminoAcids2Glucose.yBase) annotation (Line(
        points={{54,-8},{54,-6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LiverFunctionEffect_AminoAcids2Glucose.y, LM_Gluconeogenesis.soluteFlow)
      annotation (Line(
        points={{54,-20},{50,-20}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect, LiverFunctionEffect_Glycogenesis.u)
      annotation (Line(
        points={{-98,96},{-6,96},{-6,82},{6,82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect,
      LiverFunctionEffect_Glycogenolysis.u) annotation (Line(
        points={{-98,96},{-5.9,96},{-5.9,30},{6,30}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect,
      LiverFunctionEffect_AminoAcids2Glucose.u) annotation (Line(
        points={{-98,96},{-6,96},{-6,-10},{40,-10},{40,-16},{46,-16}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect, LiverFunctionEffect_Glucose2FA.u)
      annotation (Line(
        points={{-98,96},{-6,96},{-6,-16},{-22,-16}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(busConnector.PortalVein_Glucagon, GlucagonEffect_AminoAcids2Glucose.u)
      annotation (Line(
        points={{-98,96},{-2,96},{-2,-4},{46,-4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucagonEffect_Glycogenolysis.u, busConnector.PortalVein_Glucagon)
      annotation (Line(
        points={{6,42},{-2,42},{-2,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(AA_TO_GLU.q_in, LM_Gluconeogenesis.q_out) annotation (Line(
          points={{34,-24},{44,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(LiverFunctionEffect_Ketogenesis.y, LM_Ketoacids.soluteFlow)
      annotation (Line(
        points={{-48,-78},{-44,-78}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucagonEffect_Ketogenesis.y, LiverFunctionEffect_Ketogenesis.yBase)
      annotation (Line(
        points={{-48,-74},{-48,-72}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(FattyAcidEffect_Ketogenesis.y, GlucagonEffect_Ketogenesis.yBase)
      annotation (Line(
        points={{-48,-70},{-48,-68}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(FattyAcidEffect_Ketogenesis.yBase, BaseKetogenesis.y) annotation (
        Line(
        points={{-48,-64},{-48,-53},{-35.25,-53}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect, LiverFunctionEffect_Ketogenesis.u)
      annotation (Line(
        points={{-98,96},{-98,-74},{-56,-74}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Glucagon, GlucagonEffect_Ketogenesis.u)
      annotation (Line(
        points={{-98,96},{-98,-70},{-56,-70}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Glucose, GlucoseEffect_Glycogenesis.u)
      annotation (Line(
        points={{-98,96},{-10,96},{-10,86},{6,86}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Glucose, GlucoseEffect_Glycogenolysis.u)
      annotation (Line(
        points={{-98,96},{-10,96},{-10,38},{6,38}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Glucose, GlucoseEffect_AminoAcids2Glucose.u)
      annotation (Line(
        points={{-98,96},{-10,96},{-10,-8},{46,-8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Glucose, GlucoseEffect_Glucose2FA.u)
      annotation (Line(
        points={{-98,96},{-10,96},{-10,-12},{-22,-12}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(EpinephrineEffect_Glycogenolysis.u, busConnector.Epinephrine)
      annotation (Line(
        points={{22,34},{100,34},{100,100},{-98,100},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Glucose, LM_Glycogenesis.q_in) annotation (Line(
          points={{-52,68},{4,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_Glycogenolysis.q_out, Glucose) annotation (Line(
          points={{4,16},{-14,16},{-14,68},{-52,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_FA_Glucose.q_in, Glucose) annotation (Line(
          points={{-20,-24},{-14,-24},{-14,68},{-52,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AminoAcids, LM_Gluconeogenesis.q_in) annotation (Line(
          points={{86,-24},{64,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AminoAcids, concentrationMeasure1.q_in) annotation (Line(
          points={{86,-24},{80,-24},{80,-12},{96,-12}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(InsulinEffect_AminoAcids2FA.yBase, BaseAminoAcids2FA.y) annotation (
       Line(
        points={{54,-50},{54,-43},{54.75,-43}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(Constant5.y, AA_TO_FA.coef)  annotation (Line(
          points={{31.25,-57},{28,-57},{28,-64}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(LiverFunctionEffect_AminoAcids2FA.y, LM_FA_AminoAcids.soluteFlow)
      annotation (Line(
        points={{54,-64},{50,-64}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect, LiverFunctionEffect_AminoAcids2FA.u)
      annotation (Line(
        points={{-98,96},{-98,100},{100,100},{100,-60},{62,-60}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(AA_TO_FA.q_in, LM_FA_AminoAcids.q_out) annotation (Line(
          points={{38,-68},{44,-68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_FA.q_out, triglicerides)
                                          annotation (Line(
          points={{18,-65},{-14,-65},{-14,-44},{-82,-44},{-82,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_FA_AminoAcids.q_in, AminoAcids) annotation (Line(
          points={{64,-68},{80,-68},{80,-24},{86,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Urea, AA_TO_GLU.q_out2) annotation (Line(
          points={{2,-44},{8,-44},{8,-26},{14,-26},{14,-27}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_FA.q_out2, Urea) annotation (Line(
          points={{18,-71},{8,-71},{8,-44},{2,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_GLU.coef2, Constant6.y) annotation (Line(
          points={{18,-20},{18,-15},{16.75,-15}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AA_TO_FA.coef2, Constant7.y) annotation (Line(
          points={{22,-64},{22,-57},{20.75,-57}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(fattyAcids, concentrationMeasure.q_in)
        annotation (Line(
          points={{-92,-82},{-82,-82},{-82,-80},{-70,-80}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(fattyAcids, LM_Ketoacids.q_in)                   annotation (Line(
          points={{-92,-82},{-58,-82}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(InsulinEffect_Glycogenesis.y, GlucoseEffect_Glycogenesis.yBase)
      annotation (Line(
        points={{14,86},{14,88}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LiverFunctionEffect_Glycogenesis.y, MassEffect_Glycogenesis.yBase)
      annotation (Line(
        points={{14,78},{14,80}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(MassEffect_Glycogenesis.y, LM_Glycogenesis.soluteFlow) annotation (
        Line(
        points={{14,74},{14,72},{18,72}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucagonEffect_Glycogenolysis.y, GlucoseEffect_Glycogenolysis.yBase)
      annotation (Line(
        points={{14,38},{14,40}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(MassEffect_Glycogenolysis.yBase, LiverFunctionEffect_Glycogenolysis.y)
      annotation (Line(
        points={{14,26},{14,26}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(MassEffect_Glycogenolysis.y, LM_Glycogenolysis.soluteFlow)
      annotation (Line(
        points={{14,20},{10,20}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(LM_Glycogenolysis.q_in, Glycogen.q_out) annotation (Line(
          points={{24,16},{56,16},{56,56},{86,56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_Glycogenesis.q_out, Glycogen.q_out) annotation (Line(
          points={{24,68},{56,68},{56,56},{86,56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(GlucoseEffect_AminoAcids2Glucose.y, AAEffect_AminoAcids2Glucose.yBase)
      annotation (Line(
        points={{54,-12},{54,-10}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LiverFunctionEffect_AminoAcids2Glucose.yBase,
      AAEffect_AminoAcids2Glucose.y) annotation (Line(
        points={{54,-14},{54,-16}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(Constant1.y, AminoAcidEffect.yBase) annotation (Line(
          points={{87,16},{82,16},{82,4}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(AminoAcidEffect.y, AAEffect_AminoAcids2Glucose.u) annotation (Line(
        points={{82,-2},{82,-12},{62,-12}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect_AminoAcids2FA.y, AAEffect_AminoAcids2FA.yBase)
      annotation (Line(
        points={{54,-56},{54,-54}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(AAEffect_AminoAcids2FA.y, LiverFunctionEffect_AminoAcids2FA.yBase)
      annotation (Line(
        points={{54,-60},{54,-58}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(AminoAcidEffect.y, AAEffect_AminoAcids2FA.u) annotation (Line(
        points={{82,-2},{82,-56},{62,-56}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(FA_TO_KA.B, Ketoacids) annotation (Line(
        points={{-8,-79},{-8,-82},{-2,-82}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(LM_Ketoacids.q_out, FA_TO_KA.A) annotation (Line(
        points={{-38,-82},{-28,-82}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(GLU_TO_FA.B, triglicerides) annotation (Line(
        points={{-68,-21},{-82,-21},{-82,-6}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(GLU_TO_FA.A, LM_FA_Glucose.q_out) annotation (Line(
        points={{-48,-24},{-40,-24}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(MassEffect_Glycogenesis.y, busConnector.liver_GlucoseToCellStorageFlow)
      annotation (Line(
        points={{14,74},{60,74},{60,100},{-98,100},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(Glycogen.solute, MassEffect_Glycogenolysis.u) annotation (Line(
        points={{80,46},{80,24},{22,24}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Glycogen.solute, MassEffect_Glycogenesis.u) annotation (Line(
        points={{80,46},{80,26},{26,26},{26,78},{22,78}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure1.concentration, AminoAcidEffect.u)
      annotation (Line(
        points={{96,-20},{96,2},{90,2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure.concentration, FattyAcidEffect_Ketogenesis.u)
      annotation (Line(
        points={{-70,-88},{-70,-66},{-56,-66}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.PortalVein_Insulin, InsulinEffect_Glycogenesis.u)
      annotation (Line(
        points={{-98,96},{-30,96},{-30,90},{6,90}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Insulin, InsulinEffect_Glycogenolysis.u)
      annotation (Line(
        points={{-98,96},{-30,96},{-30,46},{6,46}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(InsulinEffect_Glucose2FA.u, busConnector.PortalVein_Insulin)
      annotation (Line(
        points={{-22,-8},{-10,-8},{-10,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(InsulinEffect_AminoAcids2FA.u, busConnector.PortalVein_Insulin)
      annotation (Line(
        points={{62,-52},{100,-52},{100,100},{-98,100},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(busConnector.PortalVein_Insulin, InsulinEffect4.u) annotation (Line(
        points={{-98,96},{-10,96},{-10,2},{46,2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(AA_TO_GLU.q_out, molarFlowMeasure.q_in) annotation (Line(
        points={{14,-21},{8,-21}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(Glucose, molarFlowMeasure.q_out) annotation (Line(
        points={{-52,68},{-14,68},{-14,-21},{-10,-21}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(molarFlowMeasure.molarFlowRate, busConnector.GlucoseFromGluconeogenesis)
      annotation (Line(
        points={{-1,-25},{-2,-25},{-2,-34},{-98,-34},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect_Glucose2FA.y, busConnector.GlucoseToFA)
      annotation (Line(
        points={{-30,-20},{-98,-20},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect_Ketogenesis.y, busConnector.FattyAcidsToKA)
      annotation (Line(
        points={{-48,-78},{-98,-78},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect_AminoAcids2FA.y, busConnector.AminoAcidsToFA)
      annotation (Line(
        points={{54,-64},{-98,-64},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect_AminoAcids2Glucose.y, busConnector.AminoAcidsToGlucose)
      annotation (Line(
        points={{54,-20},{100,-20},{100,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Text(
              extent={{-122,100},{94,66}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end LiverMetabolism;

    model Glucose
    extends Physiolibrary.Icons.Glucose;
      //outer parameter Real EFC_Vol(final displayUnit="ml");
    Physiolibrary.Chemical.Components.Substance GlucosePool(
      stateName="GlucosePool.Mass",
      useNormalizedVolume=false,
      solute_start(displayUnit="mol") = 15.513e-3/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{-76,46},{-56,66}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut
                                                  Decomposition(
        useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-86,16},{-66,36}})));
      Modelica.Blocks.Math.Gain K(k(unit="1/s")=0.0007/60)
        annotation (Placement(transformation(extent={{3,-3},{-3,3}},
          rotation=90,
          origin={-71,37})));
    Physiolibrary.Chemical.Components.Stream Glomerulus(useSolutionFlowInput=
          true)
      annotation (Placement(transformation(extent={{-34,66},{-14,86}})));
    Physiolibrary.Chemical.Components.Reabsorption Reabsorbtion(MaxReabsorption(
          displayUnit="mol/min") = 0.250/Substances.Glucose.mw/60)
      " TubularMax  =  250.0 mg/min"
      annotation (Placement(transformation(extent={{2,66},{22,86}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_out(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min")) annotation (
        Placement(transformation(extent={{-40,18},{-20,38}}),
          iconTransformation(extent={{-10,50},{10,70}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-100,0},{-80,20}}), iconTransformation(extent=
             {{-100,-12},{-80,8}})));
    Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
      annotation (Placement(transformation(extent={{50,66},{70,86}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
      annotation (Placement(transformation(extent={{-82,74},{-62,94}})));
      Electrolytes.Bladder bladder(                      stateVarName=
            "BladderGlucose.Mass")
        annotation (Placement(transformation(extent={{70,36},{90,56}})));
    equation
      connect(Decomposition.q_in, GlucosePool.q_out) annotation (Line(
          points={{-86,26},{-90,26},{-90,56},{-66,56}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Glomerulus.q_out, Reabsorbtion.Inflow) annotation (Line(
          points={{-14,76},{-6,76},{-6,80},{2,80}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(GlucosePool.q_out, Glomerulus.q_in) annotation (Line(
          points={{-66,56},{-44.9,56},{-44.9,76},{-34,76}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Reabsorbtion.Reabsorption, GlucosePool.q_out) annotation (Line(
          points={{12,66},{12,56},{-66,56}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));

      connect(GlucosePool.q_out, q_out)       annotation (Line(
          points={{-66,56},{-30,56},{-30,28}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(busConnector.Glomerulus_GFR, Glomerulus.solutionFlow) annotation (
        Line(
        points={{-90,10},{-100,10},{-100,83},{-24,83}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(Reabsorbtion.Outflow, flowMeasure.q_in) annotation (Line(
          points={{22,80},{36,80},{36,76},{50,76}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(busConnector.CD_Glucose_Outflow, flowMeasure.molarFlowRate)
      annotation (Line(
        points={{-90,10},{60,10},{60,68}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(GlucosePool.q_out, concentrationMeasure.q_in) annotation (Line(
          points={{-66,56},{-60,56},{-60,84},{-72,84}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure.q_out, bladder.q_in) annotation (Line(
          points={{70,76},{80,76},{80,54}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));

      connect(bladder.busConnector, busConnector) annotation (Line(
          points={{88,54},{88,10},{-90,10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
    connect(busConnector.ECFV_Vol, GlucosePool.solutionVolume) annotation (Line(
        points={{-90,10},{-100,10},{-100,60},{-70,60}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(GlucosePool.solute, K.u) annotation (Line(
        points={{-60,46},{-60,40.6},{-71,40.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Decomposition.soluteFlow, K.y) annotation (Line(
        points={{-72,30},{-72,33.7},{-71,33.7}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.Glucose, concentrationMeasure.concentration)
      annotation (Line(
        points={{-90,10},{-100,10},{-100,76},{-72,76}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(GlucosePool.solute, busConnector.GlucoseECF_Osmoles) annotation (
        Line(
        points={{-60,46},{-60,10},{-90,10}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(K.y, busConnector.GlucoseDecomposition) annotation (Line(
        points={{-71,33.7},{-71,10},{-90,10}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={
            Text(
              extent={{-160,-62},{160,-90}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end Glucose;

    model Urea
      extends Physiolibrary.Icons.Urea;
    Physiolibrary.Chemical.Interfaces.ChemicalPort_a ureaFromMetabolism
      annotation (Placement(transformation(extent={{-30,54},{-10,74}}),
          iconTransformation(extent={{50,90},{70,110}})));
    Physiolibrary.Chemical.Components.Reabsorption reabsorbtion(useEffect=true)
      annotation (Placement(transformation(extent={{2,-36},{22,-16}})));
    Physiolibrary.Chemical.Components.Stream CD_Outflow(useSolutionFlowInput=
          true)
      annotation (Placement(transformation(extent={{48,-32},{68,-12}})));
    Physiolibrary.Chemical.Components.Substance Medulla(
      stateName="MedullaUrea.Mass",
      useNormalizedVolume=false,
      solute_start=0.0117) "initial 590 mg, (initial of RC2014: 955.045 mg)"
      annotation (Placement(transformation(extent={{2,-64},{22,-44}})));
    Physiolibrary.Types.Constants.FractionConst fractConstant(k=0.4)
      annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=180,
          origin={21,-9})));
    Physiolibrary.Chemical.Components.Stream VasaRecta_Outflow(
        useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{-4,-52},{-24,-72}})));
    Physiolibrary.Types.Constants.FractionConst CCK(k=0.04)
      annotation (Placement(transformation(extent={{-50,-94},{-38,-82}})));
      Modelica.Blocks.Math.Product product
        annotation (Placement(transformation(extent={{-30,-84},{-18,-72}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-54,60},{-14,100}}), iconTransformation(
            extent={{-100,20},{-60,60}})));
    Physiolibrary.Chemical.Components.Substance Urea(
      stateName="UreaPool.Mass",
      useNormalizedVolume=false,
      solute_start=0.0936) "initial 7206.24 mg"
      annotation (Placement(transformation(extent={{-14,24},{6,44}})));
    Physiolibrary.Chemical.Components.Stream Glomerulus(useSolutionFlowInput=
          true) annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=270,
          origin={-42,6})));
      Physiolibrary.Chemical.Components.Substance               UreaCell(
                                   stateName="UreaCell.Mass",
      useNormalizedVolume=false,
      solute_start=0.17225) "initial 13288.1 mg"
        annotation (Placement(transformation(extent={{48,24},{68,44}})));
    Physiolibrary.Chemical.Components.Diffusion DC(Conductance=(910)*(1e-6)/60)
      annotation (Placement(transformation(extent={{14,24},{34,44}})));
    Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
      annotation (Placement(transformation(extent={{72,-14},{88,-30}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure osmolarityMeasure
      annotation (Placement(transformation(extent={{-10,-10},{10,10}},
          rotation=270,
          origin={44,-54})));
      Electrolytes.Bladder bladder(
                       stateVarName="BladderUrea.Mass")
        annotation (Placement(transformation(extent={{82,-84},{102,-64}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{44,54},{64,74}})));
    equation
      connect(reabsorbtion.Outflow, CD_Outflow.q_in) annotation (Line(
          points={{22,-22},{48,-22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(fractConstant.y, reabsorbtion.baseReabsorption) annotation (Line(
        points={{14.75,-9},{16,-9},{16,-16}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(VasaRecta_Outflow.q_in, Medulla.q_out) annotation (Line(
          points={{-4,-62},{0,-62},{0,-54},{12,-54}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(product.y, VasaRecta_Outflow.solutionFlow) annotation (Line(
        points={{-17.4,-78},{-14,-78},{-14,-69}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.CD_H2O_Outflow, CD_Outflow.solutionFlow) annotation (
        Line(
        points={{-34,80},{-34,0},{58,0},{58,-15}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(Glomerulus.q_out, reabsorbtion.Inflow) annotation (Line(
          points={{-42,-4},{-42,-22},{2,-22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Urea.q_out, Glomerulus.q_in) annotation (Line(
          points={{-4,34},{-42,34},{-42,16}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(VasaRecta_Outflow.q_out, Urea.q_out) annotation (Line(
          points={{-24,-62},{-54,-62},{-54,34},{-4,34}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ureaFromMetabolism, Urea.q_out) annotation (Line(
          points={{-20,64},{-4,64},{-4,34}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Urea.q_out, DC.q_in) annotation (Line(
          points={{-4,34},{14,34}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(DC.q_out, UreaCell.q_out) annotation (Line(
          points={{34,34},{58,34}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.VasaRecta_Outflow, product.u1) annotation (Line(
          points={{-34,80},{-34,-74.4},{-31.2,-74.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(CD_Outflow.q_out, flowMeasure.q_in) annotation (Line(
          points={{68,-22},{72,-22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(flowMeasure.molarFlowRate, busConnector.CD_Urea_Outflow)
      annotation (Line(
        points={{80,-15.6},{80,80},{-34,80}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Medulla.q_out, osmolarityMeasure.q_in) annotation (Line(
          points={{12,-54},{44,-54}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure.q_out, bladder.q_in) annotation (Line(
          points={{88,-22},{92,-22},{92,-66}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(bladder.busConnector, busConnector) annotation (Line(
          points={{100,-66},{100,80},{-34,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
    connect(Glomerulus.solutionFlow, busConnector.GlomerulusFiltrate_GFR)
      annotation (Line(
        points={{-35,6},{-34,6},{-34,80}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(CCK.y, product.u2) annotation (Line(
        points={{-36.5,-88},{-34,-88},{-34,-81.6},{-31.2,-81.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.ICFV_Vol, UreaCell.solutionVolume) annotation (Line(
        points={{-34,80},{34,80},{34,38},{54,38}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.ECFV_Vol, Urea.solutionVolume) annotation (Line(
        points={{-34,80},{-34,38},{-8,38}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.UreaECF_Osmoles, Urea.solute) annotation (Line(
        points={{-34,80},{-34,20},{2,20},{2,24}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.UreaICF_Osmoles, UreaCell.solute) annotation (Line(
        points={{-34,80},{-34,20},{64,20},{64,24}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(reabsorbtion.Effect, fractConstant.y) annotation (Line(
        points={{12,-16},{12,-9},{14.75,-9}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(osmolarityMeasure.concentration, busConnector.MedullaUrea_Osmolarity)
      annotation (Line(
        points={{36,-54},{100,-54},{100,80},{-34,80}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(busConnector.Medulla_Volume, Medulla.solutionVolume) annotation (
        Line(
        points={{-34,80},{-34,-50},{8,-50}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(reabsorbtion.Reabsorption, Medulla.q_out) annotation (Line(
        points={{12,-36},{12,-54}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(reabsorbtion.Outflow, Medulla.q_out) annotation (Line(
        points={{22,-22},{34,-22},{34,-54},{12,-54}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(Urea.q_out, DialyzerActivity.q_in) annotation (Line(
        points={{-4,34},{-4,64},{44,64}},
        color={107,45,134},
        thickness=1));
    connect(busConnector.DialyzerActivity_UreaFlux, DialyzerActivity.soluteFlow)
      annotation (Line(
        points={{-34,80},{58,80},{58,68}},
        color={0,0,255},
        thickness=0.5), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={
            Text(
              extent={{-144,-16},{176,-44}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end Urea;

    model KetoAcids
     extends Physiolibrary.Icons.KetoAcids;
    Physiolibrary.Chemical.Components.Substance KAPool(
      stateName="KAPool.Mass",
      useNormalizedVolume=false,
      solute_start=0.000725)
      "initial 0.725 mmol,  (initial of RC2013: 316.7 mg)"
      annotation (Placement(transformation(extent={{-32,14},{-12,34}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump KAPump(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-74,32},{-54,52}})));
    Physiolibrary.Chemical.Components.Stream glomerulusKARate(
        useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{-18,-56},{2,-36}})));
      Electrolytes.Phosphate.GlomerulusStrongAnionFiltration glomerulus
        annotation (Placement(transformation(extent={{-42,-56},{-22,-36}})));
    Physiolibrary.Chemical.Components.Reabsorption NephronKetoacids(
      useBaseReabsorption=true,
      useEffect=true,
      useMaxReabInput=true)
      annotation (Placement(transformation(extent={{42,-56},{62,-36}})));
    Physiolibrary.Types.Constants.FractionConst             Constant(k=1)
      annotation (Placement(transformation(extent={{72,-22},{64,-14}})));
    Physiolibrary.Blocks.Factors.Spline PhEffect(data={{7.00,0.0,0},{7.40,1.0,0}})
      annotation (Placement(transformation(extent={{16,-36},{36,-16}})));
    Physiolibrary.Types.Constants.FractionConst             Constant1(k=1)
      annotation (Placement(transformation(extent={{38,-22},{30,-14}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut
                                                  KADecomposition(
        useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-50,26},{-70,6}})));
      Modelica.Blocks.Math.Gain K(k=0.024/60)
      "(before 0.0007 per min) marek fix: to reach steady state of ketogenesis and brain consumption is needed the typical flux of 1.74 mg/min"
        annotation (Placement(transformation(extent={{-32,6},{-38,12}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min")) annotation (
        Placement(transformation(extent={{-68,64},{-52,80}}),
          iconTransformation(extent={{-10,-70},{10,-50}})));
    Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
      annotation (Placement(transformation(extent={{70,-36},{90,-56}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-96,82},{-76,102}}), iconTransformation(
            extent={{-100,90},{-80,110}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst electrolytesFlowConstant4(
                                                                              k=
         0) annotation (Placement(transformation(extent={{-78,48},{-72,54}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          origin={-8,44})));
    Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure1
      annotation (Placement(transformation(extent={{-40,62},{-20,42}})));
      Electrolytes.Bladder bladder(                      stateVarName=
            "BladderKetoacid.Mass")
        annotation (Placement(transformation(extent={{78,-100},{98,-80}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst Constant2(k(displayUnit=
            "mmol/min") = 30e-6/60/Substances.KetoAcids.mw) "30 mg/min"
      annotation (Placement(transformation(extent={{30,-66},{38,-58}})));
    equation
      connect(glomerulus.q_out,glomerulusKARate. q_in)     annotation (Line(
          points={{-22,-46},{-18,-46}},
          color={0,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(glomerulusKARate.q_out, NephronKetoacids.Inflow) annotation (
          Line(
          points={{2,-46},{22,-46},{22,-42},{42,-42}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));
    connect(NephronKetoacids.Effect, Constant.y) annotation (Line(
        points={{52,-36},{52,-18},{63,-18}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(Constant1.y, PhEffect.yBase) annotation (Line(
          points={{29,-18},{26,-18},{26,-24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(NephronKetoacids.Outflow, flowMeasure.q_in) annotation (Line(
          points={{62,-42},{66,-42},{66,-46},{70,-46}},
          color={200,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(PhEffect.u,busConnector. BloodPh_ArtysPh) annotation (Line(
          points={{18,-26},{-84,-26},{-84,92},{-86,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.BloodCations, glomerulus.Cations) annotation (Line(
          points={{-86,92},{-84,92},{-84,-28},{-38,-28},{-38,-41}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(electrolytesFlowConstant4.y, KAPump.soluteFlow) annotation (Line(
        points={{-71.25,51},{-60,51},{-60,46}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(flowMeasure.molarFlowRate, busConnector.CD_KA_Outflow) annotation (
        Line(
        points={{80,-38},{80,92},{-86,92}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(KAPool.q_out, concentrationMeasure1.q_in) annotation (Line(
          points={{-22,24},{-16,24},{-16,44},{-8,44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(KAPump.q_out, flowMeasure1.q_in) annotation (Line(
          points={{-54,42},{-46,42},{-46,52},{-40,52}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(KADecomposition.q_in, flowMeasure1.q_in) annotation (Line(
          points={{-50,16},{-46,16},{-46,52},{-40,52}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(q_out, flowMeasure1.q_in) annotation (Line(
          points={{-60,72},{-46,72},{-46,52},{-40,52}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure1.q_out, KAPool.q_out) annotation (Line(
          points={{-20,52},{-22,52},{-22,24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(PhEffect.y, NephronKetoacids.baseReabsorption) annotation (Line(
        points={{26,-30},{26,-32},{56,-32},{56,-36}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(KAPool.q_out, glomerulus.q_in) annotation (Line(
          points={{-22,24},{6,24},{6,-4},{-62,-4},{-62,-46},{-42,-46}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(NephronKetoacids.Reabsorption, KAPool.q_out) annotation (Line(
          points={{52,-56},{52,-70},{-62,-70},{-62,-4},{6,-4},{6,24},{-22,24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));

      connect(busConnector.BloodIons_ProteinAnions, glomerulus.ProteinAnions)
        annotation (Line(
          points={{-86,92},{-84,92},{-84,-28},{-34,-28},{-34,-41}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(flowMeasure.q_out, bladder.q_in) annotation (Line(
          points={{90,-46},{88,-46},{88,-82}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(bladder.busConnector, busConnector) annotation (Line(
          points={{96,-82},{96,92},{-86,92}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
    connect(glomerulusKARate.solutionFlow, busConnector.GlomerulusFiltrate_GFR)
      annotation (Line(
        points={{-8,-39},{-8,-28},{-84,-28},{-84,92},{-86,92}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant2.y, NephronKetoacids.MaxReab) annotation (Line(
        points={{39,-62},{44,-62},{44,-52}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.ECFV_Vol, KAPool.solutionVolume) annotation (Line(
        points={{-86,92},{-84,92},{-84,28},{-26,28}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(KAPool.solute, busConnector.KAPool_Osmoles) annotation (Line(
        points={{-16,14},{-16,8},{82,8},{82,92},{-86,92}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(KAPool.solute, K.u) annotation (Line(
        points={{-16,14},{-16,9},{-31.4,9}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(flowMeasure1.molarFlowRate, busConnector.KA_Change_mmol_per_min)
      annotation (Line(
        points={{-30,60},{-30,92},{-86,92}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(concentrationMeasure1.concentration, busConnector.KAPool)
      annotation (Line(
        points={{-8,36},{44,36},{44,92},{-86,92}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(K.y, KADecomposition.soluteFlow) annotation (Line(
        points={{-38.3,9},{-64.15,9},{-64.15,12},{-64,12}},
        color={0,0,127},
        smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=false,extent={{-100,
              -100},{100,100}}),   graphics={Text(
              extent={{-80,-18},{-64,-20}},
              lineColor={0,0,0},
              textString="StrongAnions")}),         Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={
            Text(
              extent={{-162,-98},{158,-126}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end KetoAcids;

    model Lipids
     extends Physiolibrary.Icons.Lipids;
      //outer parameter Real EFC_Vol(final displayUnit="ml");
    Physiolibrary.Chemical.Components.Substance LipidDepositsFA(stateName=
          "LipidDeposits.Mass", solute_start=12.0324/Substances.FattyAcids.mw)
      "amount of fatty acids stored as lipid deposits (initial 12.0324 kg)"
      annotation (Placement(transformation(extent={{98,12},{78,32}})));
    Physiolibrary.Chemical.Components.SolutePump LipidDeposits_Uptake(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{6,32},{26,52}})));
    Physiolibrary.Chemical.Components.SolutePump LipidDeposits_Release(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{26,-18},{6,2}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst massFlowConstant2(k(
          displayUnit="mol/s") = 100e-6/Substances.FattyAcids.mw/60)
      "100 mg/min"
      annotation (Placement(transformation(extent={{32,58},{22,68}})));
    Physiolibrary.Blocks.Factors.Spline InsulinEffect(data={{0,0.5,0.0},{20,1.0,
          0.03},{100,2.0,0.0}})
      annotation (Placement(transformation(extent={{6,44},{26,64}})));
    Physiolibrary.Blocks.Factors.Spline FattyAcidEffect(data={{0,0.0,0.0},{15,
          1.0,0.10},{50,3.0,0.0}}, Xscale=1e-2/Substances.FattyAcids.mw)
      annotation (Placement(transformation(extent={{6,40},{26,60}})));
    Physiolibrary.Blocks.Factors.Spline GlucagonEffect(data={{120,1.0,0.0},{200,
          2.0,0.0}}, Xscale=1e-9)
      annotation (Placement(transformation(extent={{6,-2},{26,18}})));
    Physiolibrary.Blocks.Factors.Spline InsulinEffect_(data={{0,2.0,0.0},{20,
          1.0,-0.04},{100,0.0,0.0}})
      annotation (Placement(transformation(extent={{6,2},{26,22}})));
    Physiolibrary.Blocks.Factors.Spline EpinephrineEffect(data={{0,0.5,0.0},{40,
          1.0,0.013},{400,4.0,0.0}}, Xscale=1e-9/Substances.Epinephrine.mw)
      "40 pg/ml = 40e-9 kg/m3"
      annotation (Placement(transformation(extent={{6,-6},{26,14}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b FattyAcids(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "extracellular storage" annotation (Placement(transformation(extent={{-76,
              -54},{-56,-34}}), iconTransformation(extent={{-10,-10},{10,10}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-108,86},{-88,106}}), iconTransformation(
            extent={{-90,-48},{-70,-28}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
      annotation (Placement(transformation(extent={{-44,-28},{-24,-8}})));
    Physiolibrary.Blocks.Factors.Spline FattyAcidEffect_(data={{0,3.0,0.0},{15,
          1.0,-0.04},{100,0.0,0.0}}, Xscale=1e-2/Substances.FattyAcids.mw)
      annotation (Placement(transformation(extent={{6,-10},{26,10}})));
    Physiolibrary.Chemical.Components.Substance Triglyceride(
      stateName="TriglyceridePool.Mass",
      useNormalizedVolume=false,
      solute_start=17000e-6/Substances.Triglycerides.mw) "initial 17000 mg"
      annotation (Placement(transformation(extent={{-56,56},{-76,76}})));
      Modelica.Blocks.Math.Gain K(k(unit="1/s")=0.0007/60)
        annotation (Placement(transformation(extent={{-56,50},{-50,56}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut
                                                  Decomposition(
        useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-58,32},{-38,52}})));
    Physiolibrary.Chemical.Components.Substance FAPool(
      stateName="FAPool.Mass",
      useNormalizedVolume=false,
      solute_start=2400e-6/Substances.FattyAcids.mw) "initial 2400 mg"
      annotation (Placement(transformation(extent={{0,-64},{20,-44}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut
                                                  FADecomposition(
        useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{16,-90},{36,-70}})));
      Modelica.Blocks.Math.Gain K1(k(unit="1/s")=0.0007/60)
        annotation (Placement(transformation(extent={{16,-74},{22,-68}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure2
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=270,
          origin={24,-48})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b toTriglicerides(conc(
          final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "from GILumen" annotation (Placement(transformation(extent={{-108,72},{-88,
              92}}), iconTransformation(extent={{-10,-90},{10,-70}})));
    Physiolibrary.Chemical.Components.SolutePump TriglycerideHydrolysis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=270,
          origin={-66,4})));
    Physiolibrary.Blocks.Factors.Spline TriglycerideEffect1(data={{0,0.0,0.0},{
          100,1.0,0.03},{200,3.0,0.0}}, Xscale=1e-2/Substances.Triglycerides.mw)
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=270,
          origin={-54,4})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure3
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=270,
          origin={-66,18})));
    Physiomodel.Metabolism.deprecated.ContinualReaction TRIG_TO_FFA(a=0.89*(Substances.Triglycerides.mw
          /Substances.FattyAcids.mw)) "may be 3:1?" annotation (Placement(
          transformation(
          extent={{10,-10},{-10,10}},
          rotation=90,
          origin={-66,-22})));
    Physiolibrary.Types.Constants.MolarFlowRateConst massFlowConstant1(k(
          displayUnit="mmol/min") = 100e-6/Substances.FattyAcids.mw/60)
      "100 mg/min"
      annotation (Placement(transformation(extent={{-32,4},{-42,14}})));
    Physiomodel.Metabolism.deprecated.ContinualReaction FFA_TO_TRIG(a=0.89*(Substances.Triglycerides.mw
          /Substances.FattyAcids.mw)) annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=180,
          origin={-78,84})));
    Modelica.Blocks.Math.Gain FA_releaseBase(k=0.0075e-3/60)
      "base fatty-acids flux from lipid deposits of 13 kg is 100 mg/min"
      annotation (Placement(transformation(extent={{44,14},{32,26}})));
    equation
      connect(InsulinEffect.y, FattyAcidEffect.yBase)
                                                 annotation (Line(
          points={{16,50},{16,52}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EpinephrineEffect.yBase,GlucagonEffect. y) annotation (Line(
          points={{16,6},{16,4}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(FattyAcids, concentrationMeasure.q_in) annotation (Line(
          points={{-66,-44},{-30,-44},{-30,-20},{-34,-20}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(massFlowConstant2.y, InsulinEffect.yBase) annotation (Line(
          points={{20.75,63},{16,63},{16,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Insulin, InsulinEffect.u) annotation (Line(
          points={{-98,96},{-28,96},{-28,54},{8,54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(FattyAcidEffect.y, LipidDeposits_Uptake.soluteFlow)
                                                       annotation (Line(
          points={{16,46},{20,46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Insulin, InsulinEffect_.u) annotation (Line(
          points={{-98,96},{-28,96},{-28,12},{8,12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(GlucagonEffect.yBase, InsulinEffect_.y) annotation (Line(
          points={{16,10},{16,8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Glucagon_conc, GlucagonEffect.u) annotation (Line(
          points={{-98,96},{-28,96},{-28,8},{8,8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(LipidDeposits_Release.soluteFlow, FattyAcidEffect_.y)
                                                      annotation (Line(
          points={{12,-4},{14,-4},{14,-6},{16,-6},{16,-4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(EpinephrineEffect.y, FattyAcidEffect_.yBase) annotation (Line(
          points={{16,0},{16,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FattyAcids, LipidDeposits_Release.q_out)
                                         annotation (Line(
          points={{-66,-44},{-30,-44},{-30,-8},{6,-8}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Decomposition.q_in, Triglyceride.q_out) annotation (Line(
          points={{-58,42},{-66,42},{-66,66}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FAPool.q_out, concentrationMeasure2.q_in)
                                                       annotation (Line(
          points={{10,-54},{16,-54},{16,-48},{22,-48}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(FAPool.q_out, FattyAcids) annotation (Line(
          points={{10,-54},{-30,-54},{-30,-44},{-66,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(TriglycerideEffect1.y, TriglycerideHydrolysis.soluteFlow)
                                                       annotation (Line(
          points={{-58,4},{-59,4},{-59,-8.88178e-016},{-62,-8.88178e-016}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Triglyceride.q_out, TriglycerideHydrolysis.q_in)
                                                             annotation (Line(
          points={{-66,66},{-66,14}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Triglyceride.q_out,concentrationMeasure3. q_in) annotation (Line(
          points={{-66,66},{-66,18},{-68,18}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(TriglycerideEffect1.yBase, massFlowConstant1.y) annotation (Line(
          points={{-52,4},{-52.75,4},{-52.75,9},{-43.25,9}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FattyAcids, LipidDeposits_Uptake.q_in) annotation (Line(
          points={{-66,-44},{-30,-44},{-30,42},{6,42}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));

      connect(FAPool.q_out, FADecomposition.q_in) annotation (Line(
          points={{10,-54},{-2,-54},{-2,-80},{16,-80}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(FFA_TO_TRIG.A, Triglyceride.q_out) annotation (Line(
          points={{-68,84},{-66,66}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(toTriglicerides, FFA_TO_TRIG.B) annotation (Line(
          points={{-98,82},{-92,82},{-92,81},{-88,81}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(TriglycerideHydrolysis.q_out, TRIG_TO_FFA.A) annotation (Line(
          points={{-66,-6},{-66,-12}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(TRIG_TO_FFA.B, FattyAcids) annotation (Line(
          points={{-69,-32},{-66,-32},{-66,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(busConnector.ECFV_Vol, FAPool.solutionVolume) annotation (Line(
        points={{-98,96},{-100,96},{-100,-50},{6,-50}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(FAPool.solute, K1.u) annotation (Line(
        points={{16,-64},{16,-71},{15.4,-71}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(K1.y, FADecomposition.soluteFlow) annotation (Line(
        points={{22.3,-71},{30,-71},{30,-76}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure.concentration, FattyAcidEffect_.u) annotation (
       Line(
        points={{-34,-14},{-34,0},{8,0}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure.concentration, FattyAcidEffect.u) annotation (
        Line(
        points={{-34,-14},{-34,50},{8,50}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LipidDepositsFA.q_out, LipidDeposits_Release.q_in) annotation (Line(
        points={{88,22},{58,22},{58,-8},{26,-8}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(LipidDepositsFA.q_out, LipidDeposits_Uptake.q_out) annotation (Line(
        points={{88,22},{58,22},{58,42},{26,42}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(Triglyceride.solutionVolume, busConnector.ECFV_Vol) annotation (
        Line(
        points={{-62,70},{-28,70},{-28,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(Triglyceride.solute, K.u) annotation (Line(
        points={{-72,56},{-64,56},{-64,53},{-56.6,53}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(K.y, Decomposition.soluteFlow) annotation (Line(
        points={{-49.7,53},{-44,53},{-44,46}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure3.concentration, TriglycerideEffect1.u)
      annotation (Line(
        points={{-62,18},{-54,18},{-54,12}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LipidDepositsFA.solute, busConnector.LipidDepositsFA) annotation (
        Line(
        points={{82,12},{82,2},{100,2},{100,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(busConnector.Epinephrine, EpinephrineEffect.u) annotation (Line(
        points={{-98,96},{-28,96},{-28,4},{8,4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(FA_releaseBase.u, LipidDepositsFA.solute) annotation (Line(
        points={{45.2,20},{52,20},{52,4},{82,4},{82,12}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(FA_releaseBase.y, InsulinEffect_.yBase) annotation (Line(
        points={{31.4,20},{16,20},{16,14}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure3.concentration, busConnector.Triglycerides)
      annotation (Line(
        points={{-62,18},{-36,18},{-36,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(concentrationMeasure2.concentration, busConnector.FattyAcids)
      annotation (Line(
        points={{28,-48},{100,-48},{100,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation (                Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Text(
              extent={{-168,-100},{152,-128}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end Lipids;

    model Lactate
      extends Physiolibrary.Icons.Lactate;
      //outer parameter Real EFC_Vol(final displayUnit="ml");
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b Lactate(q(final
          displayUnit="mEq/min"), conc(
        final displayUnit="mEq/ml",
        min=0,
        start=0)) "extracellular storage" annotation (Placement(transformation(
            extent={{-74,-18},{-54,2}}), iconTransformation(extent={{-10,-10},{
              10,10}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-108,86},{-88,106}}), iconTransformation(
            extent={{-90,-70},{-70,-50}})));
    Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure annotation (
        Placement(transformation(
          extent={{-6,6},{6,-6}},
          rotation=270,
          origin={-16,-16})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
      annotation (Placement(transformation(extent={{-10,-54},{10,-34}})));
    Physiolibrary.Chemical.Components.Substance substance(useNormalizedVolume=
          false, solute_start=0.015)
      annotation (Placement(transformation(extent={{-24,-70},{-4,-50}})));
    equation

      connect(Lactate, flowMeasure.q_in) annotation (Line(
          points={{-64,-8},{-16,-8},{-16,-10}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(busConnector.ECFV_Vol, substance.solutionVolume) annotation (Line(
        points={{-98,96},{-38,96},{-38,-56},{-18,-56}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(concentrationMeasure.q_in, substance.q_out) annotation (Line(
        points={{0,-44},{-14,-44},{-14,-60}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationMeasure.concentration, busConnector.lactate)
      annotation (Line(
        points={{0,-52},{38,-52},{38,-36},{76,-36},{76,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(flowMeasure.molarFlowRate, busConnector.LactateFromTissues)
      annotation (Line(
        points={{-11.2,-16},{76,-16},{76,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(flowMeasure.q_out, substance.q_out) annotation (Line(
        points={{-16,-22},{-14,-22},{-14,-60}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationMeasure.concentration, busConnector.LacPool)
      annotation (Line(
        points={{0,-52},{38,-52},{38,-46},{76,-46},{76,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(substance.solute, busConnector.LacPool_Mass) annotation (Line(
        points={{-8,-70},{-8,-76},{76,-76},{76,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation (                Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Text(
              extent={{-168,-100},{152,-128}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end Lactate;

    model AminoAcids
      extends Physiolibrary.Icons.AminoAcids;
      //outer parameter Real EFC_Vol(final displayUnit="ml");
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b AminoAcids(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "extracellular storage" annotation (Placement(transformation(extent={{80,34},
              {100,54}}),     iconTransformation(extent={{-18,-90},{2,-70}})));
    Physiolibrary.Chemical.Components.Substance AminoAcidsPool(
        useNormalizedVolume=false, solute_start=7500e-6/Substances.AminoAcids.mw)
      "initial 7.5 g"
      annotation (Placement(transformation(extent={{42,34},{62,54}})));
    Physiolibrary.Chemical.Components.Substance CellProteins(
      stateName="CellProtein.Mass",
      useNormalizedVolume=false,
      solute_start(displayUnit="mol") = 7.76/Substances.AminoAcids.mw)
      "amount of amino acids stored in cell proteins (average molar mass of amino acid is 100 g/mol, initial mass 7.76 kg)"
      annotation (Placement(transformation(extent={{-52,-4},{-32,16}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut
                                                 Degradation(useSoluteFlowInput=
         true)
      annotation (Placement(transformation(extent={{-64,-84},{-32,-52}})));
      Modelica.Blocks.Math.Gain K(k(unit="1/s")=0.0000053/60)
        annotation (Placement(transformation(extent={{10,-10},{-10,10}},
            rotation=90,
            origin={-42,-42})));
    Physiolibrary.Chemical.Components.Stream Outflow(useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{-14,18},{6,38}})));
    Physiolibrary.Chemical.Components.Stream Inflow(useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{8,-30},{-12,-10}})));
    Physiolibrary.Types.Constants.VolumeFlowRateConst       Constant(k(
          displayUnit="ml/min") = 1.4666666666667e-08)
      annotation (Placement(transformation(extent={{-16,38},{-8,46}})));
    Physiolibrary.Types.Constants.VolumeFlowRateConst       Constant1(k(
          displayUnit="ml/min") = 7.7333333333333e-06)
      annotation (Placement(transformation(extent={{-16,-10},{-8,-2}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-86,62},{-66,82}}), iconTransformation(extent=
             {{-102,-10},{-82,10}})));
    equation

    connect(AminoAcids, AminoAcidsPool.q_out) annotation (Line(
        points={{90,44},{52,44}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
      connect(Degradation.q_in,CellProteins. q_out)  annotation (Line(
          points={{-64,-68},{-70,-68},{-70,6},{-42,6}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(CellProteins.q_out,Outflow. q_in)   annotation (Line(
          points={{-42,6},{-24.9,6},{-24.9,28},{-14,28}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(CellProteins.q_out,Inflow. q_out) annotation (Line(
          points={{-42,6},{-24,6},{-24,-18},{-12,-18},{-12,-20}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(Constant.y,Outflow. solutionFlow) annotation (Line(
        points={{-7,42},{-4,42},{-4,35}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Inflow.solutionFlow,Constant1. y) annotation (Line(
        points={{-2,-13},{-2,-6},{-7,-6}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(K.y,Degradation. soluteFlow) annotation (Line(
          points={{-42,-53},{-42,-61.6},{-41.6,-61.6}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(busConnector.ICFV_Vol, CellProteins.solutionVolume) annotation (
        Line(
        points={{-76,72},{-46,72},{-46,10}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(CellProteins.solute,K. u) annotation (Line(
        points={{-36,-4},{-36,-18},{-42,-18},{-42,-30}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(CellProteins.solute, busConnector.CellProteinAA) annotation (Line(
        points={{-36,-4},{-36,-8},{-76,-8},{-76,72}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(busConnector.ECFV_Vol, AminoAcidsPool.solutionVolume) annotation (
        Line(
        points={{-76,72},{48,72},{48,48}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(Outflow.q_out, AminoAcidsPool.q_out) annotation (Line(
        points={{6,28},{24,28},{24,44},{52,44}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(Inflow.q_in, AminoAcidsPool.q_out) annotation (Line(
        points={{8,-20},{24,-20},{24,44},{52,44}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
      annotation (                Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Text(
              extent={{-168,-100},{152,-128}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end AminoAcids;

    model CellularMetabolism
      extends Physiolibrary.Icons.CellularMetabolism;

      constant Physiolibrary.Types.Density WaterDensity = 1000;

      parameter Boolean canBurnFattyAcids = true;

      parameter Physiolibrary.Types.MolarEnergy glucoseEnergy = (1/0.2439e-6)*4.1864*Substances.Glucose.mw
      "Metabolism-Tools.CarboAerobic(mg/cal)=0.2439";   // 1/(kg/cal)*(J/cal)*(kg/mol) = J/mol
      parameter Physiolibrary.Types.MolarEnergy fattyAcidsEnergy = (1/0.1075e-6)*4.1864*Substances.FattyAcids.mw
      "Metabolism-Tools.Fat(mg/cal)=0.1075";
      parameter Physiolibrary.Types.MolarEnergy lactateEnergy = (1/0.2538e-6)*4.1864*Substances.Lactate.mw
      "Metabolism-Tools.Lac-(mg/cal)=0.2438";
      parameter Physiolibrary.Types.MolarEnergy ketoAcidsEnergy = (1/0.1075e-6)*4.1864*Substances.KetoAcids.mw
      "Metabolism-Tools.Fat(mg/cal)=0.1075";
      parameter Physiolibrary.Types.MolarEnergy oxygenEnergy = (1/0.2093)*4.1864*22710.95322615; // 22710.95322615 ml/mol of oxygen at 0 degC

      parameter Physiolibrary.Types.MolarEnergy glucoseAnaerobicEnergy = glucoseEnergy - lactateEnergy;
      parameter Physiolibrary.Types.MolarEnergy glycogenAnaerobicEnergy = glucoseAnaerobicEnergy;
    /*
  parameter Real eTOglu_coef(displayUnit="g/kcal") = 0.2439
    "how much carbohydrates will be produced with one kilocalorie";
  parameter Real eTOlac_coef(displayUnit="g/kcal") = 0.2538
    "how much lactate will produce one kilocalorie";
  parameter Real eTOfat_coef(displayUnit="g/kcal") = 0.1075
    "how much fatty acids will produce one kilocalorie";
  parameter Real eTOketo_coef(displayUnit="g/kcal") = 0.1075
    "how much ketoacids will produce one kilocalorie";

  parameter Real eTOo2_coef(displayUnit="ml/kcal") = 0.2093
  "how much oxygen will be produced with one kilocalorie";

  parameter Real anaerobic_glu2energy( displayUnit="kcal/g") = (1.0/eTOglu_coef) - (1.0/eTOlac_coef)
    "how much energy in callories will produce one unit of reactant by anaerobic metabolism"; // 0.1577

  parameter Real gly2energy( displayUnit="kcal/g") = anaerobic_glu2energy
    "how much energy in callories is produced by one gram of glycogen";

*/

      parameter Real RQglu(displayUnit="1") = 1
      "how much CO2 will be produced with one oxygen by glucose burning";
      parameter Real RQlac(displayUnit="1") = 1
      "how much CO2 will be produced with one oxygen by lactate burning";
      parameter Real RQfat(displayUnit="1") = 0.7
      "how much CO2 will be produced with one oxygen by fatty acid burning";
      parameter Real RQketo(displayUnit="1") = 0.7
      "how much CO2 will be produced with one oxygen by keto acid burning";

        /*
  parameter Physiolibrary.Types.MolarMass lacDensity( displayUnit="g/mol") = 0.09008 "density of lactate";

  parameter Real glu2lac( displayUnit="mEq/g") = 1.0 / lacDensity
    "how much lactate will produce one gram of glucose";
  parameter Real gly2lac( displayUnit="mEq/g") =  1.0 / lacDensity
    "how much lactate is produced by one gram of glycogen";
  */

      parameter Real[:,3] LacFractionData
      "fraction of oxygen to be use for lactate metabolism (depends on lactate concentration)";

    //  parameter Real[:,3] PO2OnAerobicFractionData
    //    "Aerobic Fraction of O2 tissue use depents on pO2";
      parameter Real[:,3] PO2OnAerobicFractionData = {{2,0,0},{10,1,0}}
      "Aerobic Fraction of O2 tissue use depents on pO2";

    Physiolibrary.Blocks.Interpolation.Curve LacFraction(
      x=LacFractionData[:, 1],
      y=LacFractionData[:, 2],
      slope=LacFractionData[:, 3],
        Xscale=10/90.08)           annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          origin={-10,52})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_a lactate(q(nominal=1e-6))
      annotation (Placement(transformation(extent={{46,47},{66,67}}),
          iconTransformation(extent={{-76,90},{-56,110}}))); //(q(final displayUnit="mEq/min"), conc(final displayUnit="mEq/ml")) "in mEq/ml"

        Physiolibrary.Chemical.Interfaces.ChemicalPort_a   glucose(q(nominal=1e-6))
      annotation (Placement(transformation(extent={{45,-4},{65,16}}),
          iconTransformation(extent={{-110,70},{-90,90}})));       //(q(final displayUnit="mg/min"), conc(final displayUnit="mg/ml")) "in mg/ml"

      Physiolibrary.Types.RealIO.MolarFlowRateOutput
                                            Tissue_CO2FromMetabolism
                                                              annotation (
          Placement(transformation(extent={{98,58},{106,66}}),
            iconTransformation(extent={{74,-20},{114,20}})));
      Physiolibrary.Types.RealIO.VolumeFlowRateOutput
                                            Tissue_MetabolicH2ORate
                                                              annotation (
          Placement(transformation(extent={{90,-98},{100,-88}}),
            iconTransformation(extent={{-20,-20},{20,20}},
            rotation=270,
            origin={14,-98})));

      Physiolibrary.Types.RealIO.PowerInput CalsUse(
                                            displayUnit="cal/min") annotation (
          Placement(transformation(extent={{46,-86},{56,-76}}),
            iconTransformation(
            extent={{-20,-20},{20,20}},
            rotation=270,
            origin={40,100})));
    Physiolibrary.Blocks.Interpolation.Curve AerobicFraction(
      x=PO2OnAerobicFractionData[:, 1],
      y=PO2OnAerobicFractionData[:, 2],
      slope=PO2OnAerobicFractionData[:, 3],
        Xscale=101325/760)
      annotation (Placement(transformation(extent={{-80,-20},{-60,0}})));
      Physiolibrary.Types.RealIO.PressureInput
                                           pO2(
                                              displayUnit="mmHg")
                                               annotation (Placement(
            transformation(
            extent={{-4.57101,-4.57142},{11.4274,11.4284}},
            origin={-93.427,6.5716}),
                               iconTransformation(
            extent={{-11.4284,-11.4285},{28.5715,28.5715}},
            origin={-104.572,-48.5715})));
    //  Real O2Use;
      Physiolibrary.Types.MolarFlowRate O2UseByGlu,O2UseByLac,O2UseByFA, O2UseByKA;
      Physiolibrary.Types.Fraction FAfraction, KAfraction, Ratio;
      Physiolibrary.Types.Power AnaerobicCals;

    Physiolibrary.Chemical.Interfaces.ChemicalPort_a fattyAcids
      annotation (Placement(transformation(extent={{45,-60},{65,-40}}),
          iconTransformation(extent={{-110,-10},{-90,10}})));  //(q(final displayUnit="mg/min"), conc(final displayUnit="mg/ml")) "in mg/ml"

    Physiolibrary.Chemical.Interfaces.ChemicalPort_a glycogen "glycogen flow"
      annotation (Placement(transformation(extent={{4,-50},{26,-28}}),
          iconTransformation(extent={{-110,30},{-90,50}})));
      parameter Real GlycogenAvailability[:,3]= {{  0,  0.0,  0.0}, { 50,  1.0,  0.0}};

    Physiolibrary.Blocks.Interpolation.Curve GlycogenAvailabilityCurve(
      x=GlycogenAvailability[:, 1],
      y=GlycogenAvailability[:, 2],
      slope=GlycogenAvailability[:, 3],
        Xscale=1/180.16)
      annotation (Placement(transformation(extent={{-44,-88},{-14,-58}})));
      Physiolibrary.Types.RealIO.MolarFlowRateOutput
                                            O2Use
        annotation (Placement(transformation(extent={{90,-10},{130,30}}),
            iconTransformation(extent={{-20,-20},{20,20}},
            rotation=270,
            origin={-56,-84})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_a ketoAcids
      annotation (Placement(transformation(extent={{67,-40},{87,-20}}),
          iconTransformation(extent={{-38,90},{-18,110}})));  //(q(final displayUnit="mg/min"), conc(final displayUnit="mg/ml")) "in mg/ml"

     Modelica.SIunits.Power gluW=glucose.q*glucoseEnergy, gluO2W=O2UseByGlu*oxygenEnergy, lacW=lactate.q*lactateEnergy, lacO2W=LacFraction.val * CalsUse, anaerobicGluW=glucoseAnaerobicEnergy *(glucose.q - (O2UseByGlu*oxygenEnergy)/glucoseEnergy), anaerobicGlyW=glycogenAnaerobicEnergy*glycogen.q;
      Modelica.SIunits.MolarFlowRate anaerobicGluGly=((glucose.q - (O2UseByGlu*oxygenEnergy)/glucoseEnergy) + glycogen.q), anaerobicProducedLac=(lactate.q - LacFraction.val * CalsUse/lactateEnergy);
    equation
     AerobicFraction.u = pO2;
     LacFraction.u = lactate.conc; // * lacDensity * 100.0; //  [mg/dl]
     O2Use*oxygenEnergy = AerobicFraction.val * CalsUse; //O2Use = AerobicFraction.val * eTOo2_coef * CalsUse;
     O2UseByLac = LacFraction.val * O2Use;

     Tissue_MetabolicH2ORate = (O2Use/2)*Substances.Water.mw / WaterDensity;

     if canBurnFattyAcids then
       ketoAcids.q=0;
       KAfraction=0;
       O2UseByKA=0;

       O2UseByFA  = FAfraction    * O2Use;
       O2UseByGlu + O2UseByLac + O2UseByFA = O2Use;
       FAfraction = (1-LacFraction.val)*(Ratio/(Ratio+0.026*(Substances.Glucose.mw/Substances.FattyAcids.mw)));
       Ratio = (fattyAcids.conc) / (glucose.conc); // Ratio = fattyAcids.conc / glucose.conc;

       //Tissue_CO2FromMetabolism = 0.0446 * (O2UseByGlu*RQglu + O2UseByLac*RQlac + O2UseByFA*RQfat);
       Tissue_CO2FromMetabolism = (O2UseByGlu*RQglu + O2UseByLac*RQlac + O2UseByFA*RQfat);

      // Tissue_MetabolicH2ORate = 0.000176 * CalsUse;
      // Tissue_MetabolicH2ORate = (0.176e-9/4.1864) * CalsUse; // 0.000176 ml/cal = 0.176e-9/4.1864 m3/J

       fattyAcids.q*fattyAcidsEnergy = FAfraction * CalsUse;
     else
       fattyAcids.q=0;
       FAfraction=0;
       O2UseByFA=0;

       O2UseByKA  = KAfraction    * O2Use;
       O2UseByGlu + O2UseByLac + O2UseByKA = O2Use;
       KAfraction = (1-LacFraction.val)*(Ratio/(Ratio+0.222*(Substances.Glucose.mw/Substances.KetoAcids.mw)));
       Ratio = (ketoAcids.conc) / (glucose.conc);

       Tissue_CO2FromMetabolism = (O2UseByGlu*RQglu + O2UseByLac*RQlac + O2UseByKA*RQketo);
       //Tissue_MetabolicH2ORate = (0.176e-9/4186.4) * CalsUse; // 0.000176 ml/cal = 0.176e-9/4186.4 m3/J

       ketoAcids.q*ketoAcidsEnergy = KAfraction * CalsUse;
     end if;

     GlycogenAvailabilityCurve.u = glycogen.conc;

      if AerobicFraction.val<1-Modelica.Constants.eps then
          // with anaerobic metabolism
        AnaerobicCals = (1-AerobicFraction.val)*CalsUse; //anaerobic callories

        glycogen.q = GlycogenAvailabilityCurve.val * AnaerobicCals;

       // anaerobic_glu2energy *(glucose.q - (O2UseByGlu/eTOo2_coef) * eTOglu_coef) + gly2energy*glycogen.q = AnaerobicCals;
       // (glucose.q - (O2UseByGlu/eTOo2_coef) * eTOglu_coef) + gly2lac*glycogen.q = (lactate.q*lacDensity - LacFraction.val * CalsUse * eTOlac_coef);

       glucoseAnaerobicEnergy *(glucose.q - (O2UseByGlu*oxygenEnergy)/glucoseEnergy) + glycogenAnaerobicEnergy*glycogen.q = AnaerobicCals;

       ((glucose.q - (O2UseByGlu*oxygenEnergy)/glucoseEnergy) + glycogen.q) = -2*(lactate.q - LacFraction.val * CalsUse/lactateEnergy);

      else
          // only aerobic metabolism
       AnaerobicCals = 0.0;
       glycogen.q = 0.0;
       lactate.q*lactateEnergy = LacFraction.val * CalsUse;
       glucose.q*glucoseEnergy = O2UseByGlu*oxygenEnergy;
      end if;

      annotation (        Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2012</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: Physiomodel v1.5, University of Mississippi Medical Center</p></td>
</tr>
<tr>
<td></td>
<td></td>
</tr>
<tr>
<td></td>
<td></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
    end CellularMetabolism;

    model GILumenLeptinDriven
      extends Physiolibrary.Icons.GILumen;
    Physiolibrary.Chemical.Components.Substance Carbohydrates(
      stateName="GILumenCarbohydrates.Mass",
      useNormalizedVolume=false,
      solute_start=1976.32e-6/Substances.Glucose.mw) "1976.32 mg"
      annotation (Placement(transformation(extent={{0,38},{20,58}})));
    Physiolibrary.Chemical.Components.SolutePump Absorbtion(
        useSoluteFlowInput=true)                            annotation (
        Placement(transformation(
          extent={{-6,6},{6,-6}},
          rotation=90,
          origin={14,66})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-22,58},{-2,38}})));
    Physiolibrary.Blocks.Factors.Spline AbsorptionSaturation(
      data={{0,0,0.0},{1900,150,0.08},{6000,600,0.0}},
      Xscale=1e-6/Substances.Glucose.mw,
      Yscale=1e-6/60/Substances.Glucose.mw) annotation (Placement(
          transformation(
          extent={{-10,10},{10,-10}},
          rotation=90,
          origin={26,66})));
    Physiolibrary.Types.Constants.FractionConst             Constant(k=1)
      annotation (Placement(transformation(extent={{34,64},{30,68}})));
    Physiolibrary.Chemical.Components.Substance Fat(
      stateName="GILumenFat.Mass",
      useNormalizedVolume=false,
      solute_start=2041.83e-6/Substances.FattyAcids.mw) "2041.83 mg"
      annotation (Placement(transformation(extent={{0,-92},{20,-72}})));
    Physiolibrary.Chemical.Components.SolutePump Absorbtion1(
        useSoluteFlowInput=true)                             annotation (
        Placement(transformation(
          extent={{-6,6},{6,-6}},
          rotation=90,
          origin={14,-64})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet1(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-22,-72},{-2,-92}})));
    Physiolibrary.Blocks.Factors.Normalization AbsorptionSaturation1
      annotation (Placement(transformation(
          extent={{-10,10},{10,-10}},
          rotation=90,
          origin={26,-64})));
    Physiolibrary.Types.Constants.FrequencyConst     Constant1(k=0.0005)
      annotation (Placement(transformation(extent={{38,-68},{30,-60}})));
    Physiolibrary.Types.BusConnector busConnector
      annotation (Placement(transformation(extent={{-88,48},{-48,88}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b Carbohydrates_Absorption(
        conc(final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      annotation (Placement(transformation(extent={{38,72},{58,92}}),
          iconTransformation(extent={{90,-70},{110,-50}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b Fat_Absorption(conc(
          final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      annotation (Placement(transformation(extent={{42,-60},{62,-40}}),
          iconTransformation(extent={{90,-10},{110,10}})));
    Physiolibrary.Chemical.Components.Substance Protein(
      stateName="GILumenProtein.Mass",
      useNormalizedVolume=false,
      solute_start=1637.19e-6/Substances.AminoAcids.mw) "1637.19 mg"
      annotation (Placement(transformation(extent={{0,-28},{20,-8}})));
    Physiolibrary.Chemical.Components.SolutePump Absorbtion2(
        useSoluteFlowInput=true)                             annotation (
        Placement(transformation(
          extent={{-6,6},{6,-6}},
          rotation=90,
          origin={14,0})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet2(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-24,-10},{-4,-30}})));
    Physiolibrary.Blocks.Factors.Normalization AbsorptionSaturation2
      annotation (Placement(transformation(
          extent={{-10,10},{10,-10}},
          rotation=90,
          origin={26,0})));
    Physiolibrary.Types.Constants.FrequencyConst     Constant2(k=
          0.00083333333333333)
      annotation (Placement(transformation(extent={{40,-4},{32,4}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b Protein_Absorption(conc(
          final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      annotation (Placement(transformation(extent={{42,4},{62,24}}),
          iconTransformation(extent={{90,50},{110,70}})));
    Physiolibrary.Blocks.Factors.Spline LeptinEffect(data={{0,3.0,0},{8,1.0,-0.04},
          {50,0.0,0}}, Xscale=1e-6/Substances.Leptin.mw)
      annotation (Placement(transformation(extent={{-44,-58},{-24,-38}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst DietGoalNutrition_Fat(k=(751/
          9.30)*1e-3/(60*60*24)/Substances.FattyAcids.mw)
      "60 mg/min  (fat: 9.3 cal/g,  800 cal/day) or (751/9.30) g/day"
      annotation (Placement(transformation(extent={{-44,-40},{-36,-32}})));
    Physiolibrary.Blocks.Factors.Spline LeptinEffect1(data={{0,3.0,0},{8,1.0,
          -0.04},{50,0.0,0}}, Xscale=1e-6/Substances.Leptin.mw)
      annotation (Placement(transformation(extent={{-40,2},{-20,22}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst DietGoalNutrition_Protein(k=(500/
          4.35)*1e-3/(60*60*24)/Substances.AminoAcids.mw)
      annotation (Placement(transformation(extent={{-42,26},{-34,34}})));
    Physiolibrary.Blocks.Factors.Spline LeptinEffect2(data={{0,3.0,0},{8,1.0,
          -0.04},{50,0.0,0}}, Xscale=1e-6/Substances.Leptin.mw)
      "8 ug/l = 8 mg/m3"
      annotation (Placement(transformation(extent={{-26,70},{-6,90}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst DietGoalNutrition_Carbo(k=(900/
          4.1)*1e-3/(60*60*24)/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{-30,90},{-22,98}})));
    equation
      connect(Carbohydrates.q_out, Absorbtion.q_in)
                                              annotation (Line(
          points={{10,48},{14,48},{14,60}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Diet.q_out, Carbohydrates.q_out)
                                         annotation (Line(
          points={{-2,48},{10,48}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(AbsorptionSaturation.y,Absorbtion. soluteFlow) annotation (Line(
          points={{22,66},{20,66},{20,68.4},{16.4,68.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AbsorptionSaturation.yBase,Constant. y) annotation (Line(
          points={{28,66},{29.5,66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Fat.q_out, Absorbtion1.q_in)    annotation (Line(
          points={{10,-82},{14,-82},{14,-70}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Diet1.q_out, Fat.q_out)    annotation (Line(
          points={{-2,-82},{10,-82}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(AbsorptionSaturation1.y,Absorbtion1. soluteFlow)
                                                             annotation (Line(
          points={{22,-64},{20,-64},{20,-61.6},{16.4,-61.6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AbsorptionSaturation1.yBase,Constant1. y)
                                                      annotation (Line(
          points={{28,-64},{29,-64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Absorbtion1.q_out, Fat_Absorption) annotation (Line(
          points={{14,-58},{14,-50},{52,-50}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Absorbtion.q_out, Carbohydrates_Absorption) annotation (Line(
          points={{14,72},{14,82},{48,82}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Protein.q_out, Absorbtion2.q_in)
                                              annotation (Line(
          points={{10,-18},{14,-18},{14,-6}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(Diet2.q_out, Protein.q_out)
                                         annotation (Line(
          points={{-4,-20},{6,-20},{6,-18},{10,-18}},
          color={255,0,0},
          smooth=Smooth.None,
          thickness=1));
      connect(AbsorptionSaturation2.y,Absorbtion2. soluteFlow)
                                                             annotation (Line(
          points={{22,1.22465e-016},{20,1.22465e-016},{20,2.4},{16.4,2.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AbsorptionSaturation2.yBase,Constant2. y)
                                                      annotation (Line(
          points={{28,-1.22465e-016},{28,0},{31,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Absorbtion2.q_out, Protein_Absorption) annotation (Line(
          points={{14,6},{14,14},{52,14}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.FA_Absorbtion, AbsorptionSaturation1.y) annotation (
          Line(
          points={{-68,68},{-68,-64},{22,-64}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Leptin, LeptinEffect.u) annotation (Line(
          points={{-68,68},{-68,-48},{-42,-48}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
    connect(DietGoalNutrition_Fat.y, LeptinEffect.yBase) annotation (Line(
        points={{-35,-36},{-34,-36},{-34,-46}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.Leptin, LeptinEffect1.u) annotation (Line(
          points={{-68,68},{-68,12},{-38,12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
    connect(DietGoalNutrition_Protein.y, LeptinEffect1.yBase) annotation (Line(
        points={{-33,30},{-30,30},{-30,14}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
          points={{-68,68},{-68,80},{-24,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
    connect(DietGoalNutrition_Carbo.y, LeptinEffect2.yBase) annotation (Line(
        points={{-21,94},{-16,94},{-16,82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.GILumenVolume_Mass, Carbohydrates.solutionVolume) annotation (Line(
        points={{-68,68},{-68,56},{6,56},{6,52}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(Carbohydrates.solute, AbsorptionSaturation.u)
      annotation (Line(
        points={{16,38},{16,34},{26,34},{26,58}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.GILumenVolume_Mass, Protein.solutionVolume) annotation (Line(
        points={{-68,68},{-68,-14},{6,-14}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GILumenVolume_Mass, Fat.solutionVolume) annotation (Line(
        points={{-68,68},{-68,-78},{6,-78}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(Protein.solute, AbsorptionSaturation2.u)
      annotation (Line(
        points={{16,-28},{16,-34},{26,-34},{26,-8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Fat.solute, AbsorptionSaturation1.u)
      annotation (Line(
        points={{16,-92},{16,-98},{26,-98},{26,-72}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LeptinEffect2.y, Diet.soluteFlow) annotation (Line(
        points={{-16,76},{-16,36},{-8,36},{-8,44}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LeptinEffect1.y, Diet2.soluteFlow) annotation (Line(
        points={{-30,8},{-30,-30},{-10,-30},{-10,-24}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LeptinEffect.y, Diet1.soluteFlow) annotation (Line(
        points={{-34,-52},{-34,-96},{-8,-96},{-8,-86}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(AbsorptionSaturation.y, busConnector.Glucose_GILumenAbsorption)
      annotation (Line(
        points={{22,66},{-24,66},{-24,68},{-68,68}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(AbsorptionSaturation2.y, busConnector.Protein_GILumenAbsorption)
      annotation (Line(
        points={{22,0},{-68,0},{-68,68},{-68,68}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-168,-106},{152,-134}},
              lineColor={0,0,255},
              textString="%name"), Rectangle(extent={{-100,100},{100,-100}},
                lineColor={0,0,0})}));
    end GILumenLeptinDriven;

    package TissueMetabolism "Metabolism Reactions in Tissues"

      partial model TissueMetabolismBase
      extends Physiolibrary.Icons.MetabolismPart;

        parameter Physiolibrary.Types.AmountOfSubstance initialTissueO2(displayUnit="ml_STP")=1.7612646902879852858386051702718e-4; //pO2*solubility*LiquidVolume
      //  parameter Physiolibrary.Types.GasSolubility O2solubility(final displayUnit="ml/mmHg"); //=0.00003;
      //  parameter Real O2fromBloodtoTissueConductance(final displayUnit="ml/(min.mmHg)")=1000000;

        parameter Physiolibrary.Types.AmountOfSubstance initialLactateMass(displayUnit="mEq") = 0;

        parameter Real NormalCalsUsed
        "basal energy per kilogram of tissue [cal/min]";

        parameter Physiolibrary.Types.PowerPerMass BasalCalsUsed
        "basal energy per kilogram of tissue";            //= NormalCalsUsed*(4.1864/60)

                                                                                       //BasalCalsUsedPerKG(final displayUnit="kcal/min")
        parameter Physiolibrary.Types.Mass TissueSize "mass of tissue";

        parameter Physiolibrary.Types.VolumeFlowRate DC(displayUnit="(mEq/min)/(mEq/ml)");
        parameter Real[:,3] PO2OnAerobicFractionData = {{2,0,0},{10,1,0}}
        "Aerobic Fraction of O2 tissue use depents on pO2";

        Physiolibrary.Types.RealIO.VolumeInput LiquidVol(
                                                final displayUnit="ml")
        "sum of interstitial and intracellular tissue water"
          annotation (Placement(transformation(extent={{-6,15},{4,25}}),
              iconTransformation(extent={{-100,30},{-80,50}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a lactate(conc(final
            displayUnit="mEq/ml"), q(final displayUnit="mEq/min")) annotation (
          Placement(transformation(extent={{-103,22},{-83,42}}),
            iconTransformation(extent={{90,10},{110,30}})));
      Physiolibrary.Blocks.Factors.Spline        Thyroid(data={{0,0.7,0},{8,1.0,
            0.4},{40,1.5,0}}, Xscale=1e-5/Substances.Thyroxine.mw)
        "8 ug/dl = 8e-9/1e-4 kg/m3"
        annotation (Placement(transformation(extent={{60,74},{80,94}})));
      Physiolibrary.Blocks.Factors.Spline HeatMetabolism_Skin(data={{10 + 273.15,0.0,0},
              {37 + 273.15,1.0,0.12},{40 + 273.15,1.5,0},{46 + 273.15,0.0,0}})
        annotation (Placement(transformation(extent={{60,70},{80,90}})));
      Physiolibrary.Blocks.Factors.Normalization StructureEffect
        annotation (Placement(transformation(extent={{60,66},{80,86}})));
      Physiolibrary.Types.ScaleConstants.Power        caloriesConstant(k=
              BasalCalsUsed)
        annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=270,
              origin={69,95})));
        Physiolibrary.Types.RealIO.TemperatureInput
                                             T(
                                        final displayUnit="degC") "temperature"
          annotation (Placement(transformation(extent={{32,72},{42,82}}),
              iconTransformation(extent={{-100,-10},{-80,10}})));
        Physiolibrary.Types.RealIO.FractionInput Structure_Effect(
                                                       final displayUnit="1")
          annotation (Placement(transformation(extent={{32,64},{42,74}}),
              iconTransformation(extent={{-100,10},{-80,30}})));
        Physiolibrary.Types.RealIO.ConcentrationInput Thyroxine annotation (
          Placement(transformation(extent={{32,81},{42,91}}),
            iconTransformation(extent={{-100,-30},{-80,-10}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a glucose(conc(final
            displayUnit="mg/ml"), q(final displayUnit="mg/min")) annotation (
          Placement(transformation(extent={{-102,-44},{-82,-24}}),
            iconTransformation(extent={{90,90},{110,110}})));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput
                                             BloodFlow(
                                                final displayUnit="ml/min")
        "blood flow through all tissue capilaries cross-section"
          annotation (Placement(transformation(extent={{-91,3},{-82,12}}),
              iconTransformation(extent={{-100,70},{-80,90}})));
        Modelica.Blocks.Math.Product PlasmaFlow1
          annotation (Placement(transformation(extent={{-78,-5},{-70,3}})));
        Modelica.Blocks.Math.Gain CalToO2(k=1/((1/0.2093)*4.1864*22710.95322615))
        "0.2093 ml/cal,  4.1864 J/cal, 22710.95322615 ml/mol"
          annotation (Placement(transformation(extent={{4,-4},{-4,4}},
              rotation=90,
              origin={86,24})));
        Physiolibrary.Types.RealIO.FractionInput
                                             BloodVol_PVCrit(
                                                      final displayUnit="1")
        "part of plasma in blood"
          annotation (Placement(transformation(extent={{-94,-9},{-84,1}}),
              iconTransformation(extent={{-100,90},{-80,110}})));
        Physiolibrary.Types.RealIO.PressureInput
                                             pO2(
                                          final displayUnit="mmHg")
        "tissue venous O2 partial pressure"
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              origin={32,-66}),
              iconTransformation(extent={{-100,50},{-80,70}})));
        Modelica.Blocks.Math.Sum TotalCaloriesUse
                                      annotation (Placement(transformation(
              extent={{-4.5,-4.5},{3.5,3.5}},
              rotation=270,
              origin={71.5,45.5})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
        annotation (Placement(transformation(extent={{10,6},{30,26}})));
           /* unitsString="mEq/l",*/
        Physiolibrary.Types.RealIO.ConcentrationOutput
                                              cLactate(
                                                displayUnit="mEq/l") annotation (
            Placement(transformation(extent={{32,28},{44,40}}),iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-30,-100})));
        Physiolibrary.Types.RealIO.MolarFlowRateOutput
                                              Tissue_CO2FromMetabolism(
                                                                displayUnit="ml/min")
                                                              annotation (
            Placement(transformation(extent={{90,-66},{102,-54}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-50,-100})));
        Physiolibrary.Types.RealIO.FractionOutput
                                              Fuel_FractUseDelay
                                                              annotation (
            Placement(transformation(extent={{-46,-6},{-34,6}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-70,-100})));
        Physiolibrary.Types.RealIO.MolarFlowRateOutput
                                              O2Use(
                                             displayUnit="ml/min")   annotation (
            Placement(transformation(extent={{58,-100},{70,-88}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-10,-100})));
        Physiolibrary.Types.RealIO.MolarFlowRateOutput
                                              O2Need(
                                              displayUnit="ml/min")  annotation (
            Placement(transformation(extent={{92,6},{104,18}}),iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={10,-100})));
        Physiolibrary.Types.RealIO.MolarFlowRateOutput
                                              LactateFromMetabolism(
                                                             displayUnit="mEq/min", start=0)
                                                              annotation (
            Placement(transformation(extent={{46,18},{58,30}}),iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={30,-100})));
        Physiolibrary.Types.RealIO.VolumeFlowRateOutput
                                              H2OFromMetabolism(
                                                         displayUnit="ml/min")
                                                              annotation (
            Placement(transformation(extent={{78,-86},{90,-74}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={50,-100})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure annotation (
          Placement(transformation(
            extent={{-8,-8},{8,8}},
            rotation=180,
            origin={36,14})));
      Physiolibrary.Blocks.Math.Min min(nin=2)
        annotation (Placement(transformation(extent={{-52,-4},{-44,4}})));
        Physiolibrary.Types.RealIO.PowerOutput TotalCalsUsed(
                                                     displayUnit="cal/min")
                                                              annotation (
            Placement(transformation(extent={{90,32},{102,44}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={70,-100})));
        Modelica.Blocks.Math.Sum PartCaloriesUse
                                      annotation (Placement(transformation(
              extent={{-4.5,-4.5},{3.5,3.5}},
              rotation=270,
              origin={71.5,59.5})));
        NutrientDelivery lactateDelivery
          annotation (Placement(transformation(extent={{-80,42},{-60,22}})));

        Physiolibrary.Types.Constants.MassConst size(k=TissueSize)
          annotation (Placement(transformation(extent={{98,90},{90,98}})));
      initial equation
       // BasalCalsUsedPerKG = NormalCalsUsed*(4186.4/60)/mass;

      equation
        connect(Thyroid.y,HeatMetabolism_Skin. yBase)       annotation (Line(
            points={{70,80},{70,82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HeatMetabolism_Skin.y,StructureEffect. yBase) annotation (Line(
            points={{70,76},{70,78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T, HeatMetabolism_Skin.u)               annotation (Line(
            points={{37,77},{49,77},{49,80},{62,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Structure_Effect,StructureEffect. u) annotation (Line(
            points={{37,69},{52,69},{52,76},{62,76}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(Thyroid.u, Thyroxine) annotation (Line(
          points={{62,84},{50,84},{50,86},{37,86}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(PlasmaFlow1.u1, BloodFlow)
                                          annotation (Line(
            points={{-78.8,1.4},{-81.85,1.4},{-81.85,7.5},{-86.5,7.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodVol_PVCrit, PlasmaFlow1.u2) annotation (Line(
            points={{-89,-4},{-88.5,-4},{-88.5,-3.4},{-78.8,-3.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y, CalToO2.u) annotation (Line(
            points={{71,41.6},{71,38},{86,38},{86,28.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CalToO2.y, O2Need) annotation (Line(
            points={{86,19.6},{86,12},{98,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.molarFlowRate, LactateFromMetabolism) annotation (Line(
            points={{36,20.4},{36,24},{52,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(min.y, Fuel_FractUseDelay) annotation (Line(
            points={{-43.6,0},{-40,0}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(TotalCaloriesUse.y, TotalCalsUsed) annotation (Line(
            points={{71,41.6},{71,38},{96,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PartCaloriesUse.y, TotalCaloriesUse.u[1]) annotation (Line(
            points={{71,55.6},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(StructureEffect.y, PartCaloriesUse.u[1]) annotation (Line(
            points={{70,72},{70,64.8},{71,64.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PlasmaFlow1.y,lactateDelivery. solventFlow) annotation (Line(
            points={{-69.6,-1},{-70,-1},{-70,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lactateDelivery.q_out, lactate) annotation (Line(
            points={{-60,32},{-56,32},{-56,14},{-93,14},{-93,32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(lactate, lactateDelivery.q_in) annotation (Line(
            points={{-93,32},{-80,32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(lactateDelivery.neededFlow, concentrationMeasure.q_in) annotation (
            Line(
            points={{-70,37},{-20,37},{-20,16},{20,16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(lactateDelivery.neededFlow, flowMeasure.q_out) annotation (Line(
            points={{-70,37},{-20,37},{-20,14},{28,14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.concentration, cLactate) annotation (Line(
            points={{20,8},{20,34},{38,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(caloriesConstant.y, Thyroid.yBase) annotation (Line(
            points={{69,90},{70,90},{70,86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(caloriesConstant.mass, size.y) annotation (Line(
            points={{73,95},{80.5,95},{80.5,94},{89,94}},
            color={0,0,127},
            smooth=Smooth.None));
      end TissueMetabolismBase;

      model TissueMetabolism
        extends TissueMetabolismBase;

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a fattyAcids
       annotation (
          Placement(transformation(extent={{-103,-80},{-83,-60}}),
            iconTransformation(extent={{90,-70},{110,-50}})));
        Physiomodel.Metabolism.CellularMetabolism
                           cellularMetabolism(LacFractionData={{10,0,0},{100,0.3,0}},
          PO2OnAerobicFractionData=PO2OnAerobicFractionData)
          annotation (Placement(transformation(extent={{60,-74},{90,-44}})));
        NutrientDelivery fattyAcidsDelivery
          annotation (Placement(transformation(extent={{-74,-80},{-54,-60}})));
        NutrientDelivery glucoseDelivery
          annotation (Placement(transformation(extent={{-70,-44},{-50,-24}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage unlimitedStorage(
          concentration=0)
        annotation (Placement(transformation(extent={{0,-78},{20,-58}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage unlimitedStorage1(
         concentration=0)
        annotation (Placement(transformation(extent={{64,-22},{84,-2}})));
      equation
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{89.1,-59},{96,-59},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{44,14},{56,14},{56,-44},{65.1,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y, cellularMetabolism.CalsUse) annotation (
            Line(
            points={{71,41.6},{71,38},{96,38},{96,-36},{81,-36},{81,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcids, fattyAcidsDelivery.q_in) annotation (Line(
            points={{-93,-70},{-74,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, fattyAcidsDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-64,-1},{-64,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-60,-1},{-60,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-70,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-50,-34},{-40,-34},{-40,-22},{-92,-22},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.q_out, fattyAcids) annotation (Line(
            points={{-54,-70},{-40,-70},{-40,-60},{-93,-60},{-93,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-66,-41},{-66,-46},{-56,-46},{-56,0.4},{-52.8,0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, cellularMetabolism.glucose)
          annotation (Line(
            points={{-60,-39},{-60,-47},{60,-47}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, cellularMetabolism.fattyAcids)
          annotation (Line(
            points={{-64,-75},{-64,-90},{56,-90},{56,-59},{60,-59}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (
            Line(
            points={{-70,-77},{-70,-84},{-56,-84},{-56,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(unlimitedStorage.q_out, cellularMetabolism.glycogen)
          annotation (Line(
            points={{20,-68},{24,-68},{24,-53},{60,-53}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pO2, cellularMetabolism.pO2) annotation (Line(
            points={{32,-66},{32,-65},{60.5999,-65}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.O2Use, O2Use) annotation (Line(
            points={{66.6,-71.6},{66.6,-82.8},{64,-82.8},{64,-94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.ketoAcids, unlimitedStorage1.q_out)
          annotation (Line(
            points={{70.8,-44},{74,-44},{74,-12},{84,-12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(cellularMetabolism.Tissue_MetabolicH2ORate, H2OFromMetabolism)
        annotation (Line(
          points={{77.1,-73.7},{77.1,-74.85},{84,-74.85},{84,-80}},
          color={0,0,127},
          smooth=Smooth.None));
      end TissueMetabolism;

      model SkeletalMuscleMetabolism
        extends TissueMetabolismBase(TotalCaloriesUse(nin=1),
            HeatMetabolism_Skin(data={{10.0+273.15,0.0,0},{37.1+273.15,1.0,0.12},{40.0+273.15,1.5,0},
                {46.0+273.15,0.0,0}}),
          PartCaloriesUse(nin=4));
       //   Lactate(stateName="SkeletalMuscle-Lactate.Mass"),
        extends Physiolibrary.Icons.SkeletalMuscle;

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a fattyAcids
             annotation (
          Placement(transformation(extent={{-103,-78},{-83,-58}}),
            iconTransformation(extent={{90,-70},{110,-50}})));   //(conc(final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
        Physiomodel.Metabolism.CellularMetabolism
                                 cellularMetabolism(
                                              LacFractionData={{10,0,0},{100,0.3,0}},
          PO2OnAerobicFractionData=PO2OnAerobicFractionData)
          annotation (Placement(transformation(extent={{60,-76},{92,-44}})));
      Physiolibrary.Types.Constants.HeatFlowRateConst Posture_Cals(k(
            displayUnit="cal/min") = 0)
        annotation (Placement(transformation(extent={{99,64},{89,74}})));
        Physiolibrary.Types.RealIO.PowerInput ExerciseMetabolism_MotionCals(
                                                                    final displayUnit="cal/min")
          annotation (Placement(transformation(extent={{-50,46},{-40,56}}),
              iconTransformation(extent={{-100,-70},{-80,-50}})));
        Physiolibrary.Chemical.Components.Substance             glycogen(
          stateName="SkeletalMuscle-Glycogen.Mass", solute_start=500e-3/
            Substances.Glucose.mw) "500 g"
          annotation (Placement(transformation(extent={{24,-38},{44,-18}})));
      Physiolibrary.Chemical.Components.SolutePump synthesis(useSoluteFlowInput=
           true)
        annotation (Placement(transformation(extent={{-4,-42},{16,-22}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst massFlowConstant(k(displayUnit=
               "mol/s") = 0.02/180.16/60) "20 mg/min"
        annotation (Placement(transformation(extent={{-6,-10},{4,0}})));
      Physiolibrary.Blocks.Factors.Spline GlucoseEffect(data={{0,0.0,0.0},{100,
            1.0,0.01},{300,3.0,0.0}}, Xscale=0.01/Substances.Glucose.mw)
        annotation (Placement(transformation(extent={{-4,-32},{16,-12}})));
      Physiolibrary.Blocks.Factors.Spline Space(data={{0,4.0,0.0},{400,1.0,-0.015},
            {500,0.0,0.0}}, Xscale=1e-3/Substances.Glucose.mw)
        annotation (Placement(transformation(extent={{16,-24},{-4,-4}})));
        Physiolibrary.Blocks.Factors.LagSpline     InsulinEffect(
                                                      initialValue=20, data={{0,
              0.0,0.0},{20,1.0,0.2},{100,20.0,0.0}},
          integrator(stateName="SkeletalMuscle-Insulin.[InsulinDelayed]"),
        HalfTime=40*60/Modelica.Math.log(2))
          annotation (Placement(transformation(extent={{-4,-28},{16,-8}})));
        Hormones.Insulin_Physiolibrary.Types.RealIO.ConcentrationInput Insulin(
                                              displayUnit="uU_Insulin/ml")
        "tissue venous O2 partial pressure"
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              origin={-16,-18}),
              iconTransformation(extent={{-100,-50},{-80,-30}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure3
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-14,-32})));
        Physiolibrary.Types.RealIO.MolarFlowRateOutput GlucoseToCellsStorageFlow(
                                                                 displayUnit=
              "mmol/min") "glucose to muscle cells"           annotation (
            Placement(transformation(extent={{32,-16},{44,-4}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-90,-100})));
        NutrientDelivery fattyAcidsDelivery
          annotation (Placement(transformation(extent={{-76,-78},{-56,-58}})));
        NutrientDelivery glucoseDelivery
          annotation (Placement(transformation(extent={{-72,-44},{-52,-24}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage unlimitedStorage1(
         concentration=0)
        annotation (Placement(transformation(extent={{64,-26},{84,-6}})));
        Physiolibrary.Types.RealIO.PowerOutput skeletalMuscle_producedHeat(
            displayUnit="kcal/min")
        "Termal energy produced by skeletal muscle. "
          annotation (Placement(transformation(extent={{28,40},{40,52}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={90,-100})));
        Modelica.Blocks.Math.Feedback HeatCals
          annotation (Placement(transformation(extent={{-4,52},{8,40}})));
      Physiolibrary.Blocks.Factors.Spline HeatShivering(data={{0.0,0.0,0},{4.0,
            70.0,0}}, Yscale=4.1868/60)
        annotation (Placement(transformation(extent={{-8,64},{12,84}})));
        Physiolibrary.Types.RealIO.FrequencyInput
                                             HypothalamusShivering_NerveActivity
          annotation (Placement(transformation(extent={{-48,70},{-38,80}}),
              iconTransformation(extent={{-100,110},{-80,130}})));
      equation
        connect(TotalCaloriesUse.y,cellularMetabolism. CalsUse) annotation (Line(
            points={{71,41.6},{71,38},{94,38},{94,-44},{82.4,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(synthesis.q_out, glycogen.q_out) annotation (Line(
            points={{16,-32},{26,-32},{26,-28},{34,-28}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glycogen.q_out, cellularMetabolism.glycogen) annotation (Line(
            points={{34,-28},{52,-28},{52,-53.6},{60,-53.6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GlucoseEffect.y, synthesis.soluteFlow) annotation (Line(
            points={{6,-26},{6,-28},{10,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Space.yBase, massFlowConstant.y) annotation (Line(
            points={{6,-12},{6,-5},{5.25,-5}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(InsulinEffect.y, GlucoseEffect.yBase) annotation (Line(
            points={{6,-22},{6,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InsulinEffect.yBase, Space.y) annotation (Line(
            points={{6,-16},{6,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InsulinEffect.u, Insulin) annotation (Line(
            points={{-2,-18},{-16,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{91.04,-60},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{44,14},{56,14},{56,-44},{65.44,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, synthesis.q_in) annotation (Line(
            points={{-62,-39},{-62,-54},{-8,-54},{-8,-32},{-4,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, concentrationMeasure3.q_in)
          annotation (Line(
            points={{-62,-39},{-62,-54},{-8,-54},{-8,-32},{-14,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, cellularMetabolism.glucose)
          annotation (Line(
            points={{-62,-39},{-62,-47.2},{60,-47.2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcids, fattyAcidsDelivery.q_in) annotation (Line(
            points={{-93,-68},{-76,-68}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, fattyAcidsDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-66,-1},{-66,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, cellularMetabolism.fattyAcids)
          annotation (Line(
            points={{-66,-73},{-66,-80},{54,-80},{54,-60},{60,-60}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-62,-1},{-62,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-72,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-52,-34},{-42,-34},{-42,-24},{-92,-24},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.q_out, fattyAcids) annotation (Line(
            points={{-56,-68},{-42,-68},{-42,-58},{-93,-58},{-93,-68}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-68,-41},{-68,-44},{-58,-44},{-58,0.4},{-52.8,0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (
            Line(
            points={{-72,-75},{-72,-92},{-58,-92},{-58,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pO2, cellularMetabolism.pO2) annotation (Line(
            points={{32,-66},{46.32,-66},{46.32,-66.4},{60.6399,-66.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.O2Use, O2Use) annotation (Line(
            points={{67.04,-73.44},{67.04,-84.72},{64,-84.72},{64,-94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.ketoAcids, unlimitedStorage1.q_out)
          annotation (Line(
            points={{71.52,-44},{72,-44},{72,-16},{84,-16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Posture_Cals.y, PartCaloriesUse.u[3]) annotation (Line(
            points={{87.75,69},{72,69},{72,68},{72,68},{72,66},{71,66},{71,64.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExerciseMetabolism_MotionCals, HeatCals.u2) annotation (Line(
            points={{-45,51},{2,51},{2,50},{2,50},{2,50},{2,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_MetabolicH2ORate, H2OFromMetabolism)
          annotation (Line(
            points={{78.24,-75.68},{78.24,-73.84},{84,-73.84},{84,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glycogen.solute, Space.u) annotation (Line(
            points={{40,-38},{40,-42},{22,-42},{22,-14},{14,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure3.concentration, GlucoseEffect.u) annotation (
            Line(
            points={{-14,-40},{-14,-22},{-2,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GlucoseEffect.y, GlucoseToCellsStorageFlow) annotation (Line(
            points={{6,-26},{20,-26},{20,-10},{38,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HeatShivering.u,HypothalamusShivering_NerveActivity)  annotation (
            Line(
            points={{-6,74},{-32,74},{-32,75},{-43,75}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skeletalMuscle_producedHeat, HeatCals.y) annotation (Line(
            points={{34,46},{7.4,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y, HeatCals.u1) annotation (Line(
            points={{71,41.6},{71,38},{-14,38},{-14,46},{-2.8,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Structure_Effect, HeatShivering.yBase) annotation (Line(
            points={{37,69},{54,69},{54,64},{14,64},{14,84},{2,84},{2,76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HeatShivering.y, PartCaloriesUse.u[2]) annotation (Line(
            points={{2,70},{2,62},{60,62},{60,66},{70,66},{70,64},{70,64},{70,64.8},{71,
                64.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ExerciseMetabolism_MotionCals, PartCaloriesUse.u[4]) annotation (Line(
            points={{-45,51},{-10,51},{-10,60},{62,60},{62,68},{71,68},{71,64.8}},
            color={0,0,127},
            smooth=Smooth.None));
      end SkeletalMuscleMetabolism;

      model RespiratoryMuscle
        extends Physiomodel.Metabolism.TissueMetabolism.TissueMetabolismBase(
            TotalCaloriesUse(nin=4), HeatMetabolism_Skin(data={{10.0+273.15,0.0,0},{
                37.1+273.15,1.0,0.12},{40.0+273.15,1.5,0},{46.0+273.15,0.0,0}}));
      //    ,Lactate(stateName="RespiratoryMuscle-Lactate.Mass")
        extends Physiolibrary.Icons.RespiratoryMuscle;

      Physiolibrary.Types.Constants.HeatFlowRateConst Shivering_Cals(k=0)
        annotation (Placement(transformation(extent={{-36,38},{-26,48}})));
      Physiolibrary.Types.Constants.HeatFlowRateConst motionCals(k=0.3489)
        annotation (Placement(transformation(extent={{-38,66},{-26,78}})));
      Physiolibrary.Types.Constants.HeatFlowRateConst heatCals(k=1.11648)
        annotation (Placement(transformation(extent={{-38,52},{-26,64}})));
        Physiolibrary.Chemical.Components.Substance             glycogen(
          stateName="RespiratoryMuscle-Glycogen.Mass",
          solute_start=46/180.16)
        "glucose mols stored in gycogen (initial 46 g)"
          annotation (Placement(transformation(extent={{30,-40},{50,-20}})));
      Physiolibrary.Chemical.Components.SolutePump synthesis(useSoluteFlowInput=
           true)
        annotation (Placement(transformation(extent={{2,-40},{22,-20}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst massFlowConstant(k=0.02/180.16/
              60) "20 mg/min"
        annotation (Placement(transformation(extent={{0,-10},{10,0}})));
      Physiolibrary.Blocks.Factors.Spline GlucoseEffect(data={{0,0.0,0.0},{100,
            1.0,0.01},{300,3.0,0.0}}, Xscale=10/180.16)
        annotation (Placement(transformation(extent={{2,-32},{22,-12}})));
      Physiolibrary.Blocks.Factors.Spline Space(data={{0,4.0,0.0},{40,1.0,-0.15},
            {46,0.0,0.0}}, Xscale=1/180.16)
        annotation (Placement(transformation(extent={{22,-24},{2,-4}})));
        Physiolibrary.Blocks.Factors.LagSpline     InsulinEffect(
                                                      initialValue=20, data={{0,0.0,0.0},
              {20,1.0,0.2},{100,20.0,0.0}},
          integrator(stateName="RespiratoryMuscle-Insulin.[InsulinDelayed]"),
          HalfTime=40*60/Modelica.Math.log(2))
          annotation (Placement(transformation(extent={{2,-28},{22,-8}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure3
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-14,-30})));
        Hormones.Insulin_Physiolibrary.Types.RealIO.ConcentrationInput Insulin(displayUnit="uU_Insulin/ml")
        "tissue venous O2 partial pressure"
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              origin={-16,-18}),
              iconTransformation(extent={{-100,-50},{-80,-30}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a fattyAcids
             annotation (
          Placement(transformation(extent={{-101,-78},{-81,-58}}),
            iconTransformation(extent={{90,-70},{110,-50}})));   //(conc(final  displayUnit="mg/ml"), q(final displayUnit="mg/min"))
        Physiomodel.Metabolism.CellularMetabolism
                                 cellularMetabolism(
                                              LacFractionData={{10,0,0},{100,0.3,0}},
          GlycogenAvailability={{0,0,0},{5,1,0}},
        PO2OnAerobicFractionData=PO2OnAerobicFractionData)
          annotation (Placement(transformation(extent={{58,-72},{90,-40}})));
        Physiolibrary.Types.RealIO.MolarFlowRateOutput
                                              GlucoseToCellsStorageFlow(
                                                                 displayUnit=
              "mmol/min") "glucose to muscle cells"           annotation (
            Placement(transformation(extent={{42,-16},{54,-4}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-90,-100})));
        NutrientDelivery fattyAcidsDelivery
          annotation (Placement(transformation(extent={{-78,-78},{-58,-58}})));
        NutrientDelivery glucoseDelivery
          annotation (Placement(transformation(extent={{-70,-44},{-50,-24}})));
        Physiolibrary.Types.RealIO.PowerOutput MotionCals_(
                                                   displayUnit="cal/min")
                                                              annotation (
            Placement(transformation(extent={{2,66},{14,78}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={90,-100})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage unlimitedStorage1(
         concentration=0)
        annotation (Placement(transformation(extent={{62,-30},{82,-10}})));
      equation
        connect(Shivering_Cals.y, TotalCaloriesUse.u[4]) annotation (Line(
            points={{-24.75,43},{-6,43},{-6,56},{71,56},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(motionCals.y, TotalCaloriesUse.u[2]) annotation (Line(
            points={{-24.5,72},{-6,72},{-6,56},{71,56},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(heatCals.y, TotalCaloriesUse.u[3]) annotation (Line(
            points={{-24.5,58},{-6,58},{-6,56},{71,56},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(synthesis.q_out, glycogen.q_out) annotation (Line(
            points={{22,-30},{40,-30}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glycogen.q_out, cellularMetabolism.glycogen) annotation (Line(
            points={{40,-30},{52,-30},{52,-49.6},{58,-49.6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GlucoseEffect.y, synthesis.soluteFlow) annotation (Line(
            points={{12,-26},{16,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Space.yBase, massFlowConstant.y) annotation (Line(
            points={{12,-12},{12,-5},{11.25,-5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InsulinEffect.y, GlucoseEffect.yBase) annotation (Line(
            points={{12,-22},{12,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InsulinEffect.yBase, Space.y) annotation (Line(
            points={{12,-16},{12,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InsulinEffect.u, Insulin) annotation (Line(
            points={{4,-18},{-16,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y,cellularMetabolism. CalsUse) annotation (Line(
            points={{71,41.6},{71,38},{96,38},{96,-40},{80.4,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{89.04,-56},{94,-56},{94,-60},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{44,14},{56,14},{56,-40},{63.44,-40}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcids, fattyAcidsDelivery.q_in) annotation (Line(
            points={{-91,-68},{-78,-68}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, fattyAcidsDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-68,-1},{-68,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, cellularMetabolism.fattyAcids)
          annotation (Line(
            points={{-68,-73},{-68,-80},{52,-80},{52,-56},{58,-56}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, synthesis.q_in) annotation (Line(
            points={{-60,-39},{-60,-54},{-4,-54},{-4,-30},{2,-30}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, concentrationMeasure3.q_in)
          annotation (Line(
            points={{-60,-39},{-60,-54},{-4,-54},{-4,-32},{-14,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, cellularMetabolism.glucose)
          annotation (Line(
            points={{-60,-39},{-60,-43.2},{58,-43.2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-60,-1},{-60,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-70,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-50,-34},{-40,-34},{-40,-24},{-92,-24},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.q_out, fattyAcids) annotation (Line(
            points={{-58,-68},{-40,-68},{-40,-58},{-91,-58},{-91,-68}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-66,-41},{-66,-46},{-56,-46},{-56,0.4},{-52.8,0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (
            Line(
            points={{-74,-75},{-74,-90},{-56,-90},{-56,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(motionCals.y, MotionCals_) annotation (Line(
            points={{-24.5,72},{8,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pO2, cellularMetabolism.pO2) annotation (Line(
            points={{32,-66},{46.32,-66},{46.32,-62.4},{58.6399,-62.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.O2Use, O2Use) annotation (Line(
            points={{65.04,-69.44},{65.04,-83.72},{64,-83.72},{64,-94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.ketoAcids, unlimitedStorage1.q_out)
          annotation (Line(
            points={{69.52,-40},{69.52,-32},{82,-32},{82,-20}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_MetabolicH2ORate, H2OFromMetabolism)
          annotation (Line(
            points={{76.24,-71.68},{76.24,-73.84},{84,-73.84},{84,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GlucoseToCellsStorageFlow, GlucoseEffect.y) annotation (Line(
            points={{48,-10},{28,-10},{28,-26},{12,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GlucoseEffect.u, concentrationMeasure3.concentration) annotation (
            Line(
            points={{4,-22},{-14,-22},{-14,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glycogen.solute, Space.u) annotation (Line(
            points={{46,-40},{46,-48},{26,-48},{26,-14},{20,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation ( Diagram(coordinateSystem(preserveAspectRatio=false,
                extent={{-100,-100},{100,100}}),
                                            graphics={
              Text(
                extent={{-24,46},{-4,46}},
                lineColor={0,0,255},
                textString="Shivering_Cals"),
              Text(
                extent={{-24,74},{-4,74}},
                lineColor={0,0,255},
                textString="Motion_Cals"),
              Text(
                extent={{-24,60},{-4,60}},
                lineColor={0,0,255},
                textString="Heat_Cals")}));
      end RespiratoryMuscle;

      model Brain
        extends Physiomodel.Metabolism.TissueMetabolism.TissueMetabolismBase;
      //  (Lactate(     stateName="Brain-Lactate.Mass"));
        extends Physiolibrary.Icons.Brain;
        Physiomodel.Metabolism.CellularMetabolism
                                cellularMetabolism(
                                              LacFractionData={{10,0,0},{100,0.3,0}},
            canBurnFattyAcids=false,
        PO2OnAerobicFractionData=PO2OnAerobicFractionData)
          annotation (Placement(transformation(extent={{59,-75},{90,-44}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a ketoAcids(conc(final
            displayUnit="mg/ml"), q(final displayUnit="mg/min")) annotation (
          Placement(transformation(extent={{-104,-76},{-84,-56}}),
            iconTransformation(extent={{90,-70},{110,-50}})));
        NutrientDelivery ketoAcidsDelivery
          annotation (Placement(transformation(extent={{-75,-76},{-55,-56}})));
        NutrientDelivery glucoseDelivery
          annotation (Placement(transformation(extent={{-72,-44},{-52,-24}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage unlimitedStorage(
          concentration=0)
        annotation (Placement(transformation(extent={{-2,-64},{18,-44}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage unlimitedStorage1(
         concentration=0)
        annotation (Placement(transformation(extent={{-24,-78},{-4,-58}})));
      equation
        connect(TotalCaloriesUse.y,cellularMetabolism. CalsUse) annotation (Line(
            points={{71,41.6},{71,34},{98,34},{98,-36},{80,-36},{80,-44},{80.7,
                -44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{89.07,-59.5},{94,-59.5},{94,-60},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{44,14},{55,14},{55,-44},{64.27,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, cellularMetabolism.glucose)
          annotation (Line(
            points={{-62,-39},{-62,-47},{59,-47},{59,-47.1}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ketoAcidsDelivery.solventFlow, PlasmaFlow1.y) annotation (Line(
            points={{-65,-60},{-65,-1},{-69.6,-1}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ketoAcids, ketoAcidsDelivery.q_in) annotation (Line(
            points={{-94,-66},{-75,-66}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ketoAcidsDelivery.neededFlow, cellularMetabolism.ketoAcids)
          annotation (Line(
            points={{-65,-71},{-65,-88},{-30,-88},{-30,-37},{70,-37},{70,-44},
                {70.16,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-62,-1},{-62,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-72,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-52,-34},{-40,-34},{-40,-23},{-92,-23},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(ketoAcidsDelivery.q_out, ketoAcids) annotation (Line(
            points={{-55,-66},{-39,-66},{-39,-57},{-94,-57},{-94,-66}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-68,-41},{-69,-41},{-69,-45},{-56,-45},{-56,0.4},{-52.8,
                0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ketoAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (Line(
            points={{-71,-73},{-71,-90},{-56,-90},{-56,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pO2, cellularMetabolism.pO2) annotation (Line(
            points={{32,-66},{45,-66},{45,-65.7},{59.6199,-65.7}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.O2Use, O2Use) annotation (Line(
            points={{65.82,-72.52},{65.82,-83.76},{64,-83.76},{64,-94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(unlimitedStorage.q_out, cellularMetabolism.glycogen)
          annotation (Line(
            points={{18,-54},{49,-54},{49,-53.3},{59,-53.3}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(unlimitedStorage1.q_out, cellularMetabolism.fattyAcids)
          annotation (Line(
            points={{-4,-68},{23,-68},{23,-59.5},{59,-59.5}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(cellularMetabolism.Tissue_MetabolicH2ORate, H2OFromMetabolism)
        annotation (Line(
          points={{76.67,-74.69},{76.67,-80},{84,-80}},
          color={0,0,127},
          smooth=Smooth.None));
      end Brain;

      model Kidney
        extends Physiomodel.Metabolism.TissueMetabolism.TissueMetabolism(
            TotalCaloriesUse(nin=4));//, Lactate(stateName="Kidney-Lactate.Mass"));
        extends Physiolibrary.Icons.Kidney;

        Physiolibrary.Types.RealIO.MolarFlowRateInput PT_Na_Reab( displayUnit="mmol/min")
          annotation (Placement(transformation(extent={{-38,55},{-28,65}}),
              iconTransformation(extent={{-100,-70},{-80,-50}})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput LH_Na_Reab( displayUnit="mmol/min")
          annotation (Placement(transformation(extent={{-38,47},{-28,57}}),
              iconTransformation(extent={{-100,110},{-80,130}})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput DT_Na_Reab( displayUnit="mmol/min")
          annotation (Placement(transformation(extent={{-38,39},{-28,49}}),
              iconTransformation(extent={{-100,-50},{-80,-30}})));

        Modelica.Blocks.Math.Gain CalPerNa(k=3600*4.1864) "CalPerNa+(Meq/Min)"
          annotation (Placement(transformation(extent={{-19,58},{-15,62}})));
        Modelica.Blocks.Math.Gain CalPerNa1(k=3600*4.1864) "CalPerNa+(Meq/Min)"
          annotation (Placement(transformation(extent={{-19,42},{-15,46}})));
        Modelica.Blocks.Math.Gain CalPerNa2(k=3600*4.1864) "CalPerNa+(Meq/Min)"
          annotation (Placement(transformation(extent={{-19,50},{-15,54}})));
      equation
        connect(CalPerNa.y, TotalCaloriesUse.u[2]) annotation (Line(
            points={{-14.8,60},{71,60},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CalPerNa1.y, TotalCaloriesUse.u[3]) annotation (Line(
            points={{-14.8,44},{14,44},{14,60},{71,60},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CalPerNa2.y, TotalCaloriesUse.u[4]) annotation (Line(
            points={{-14.8,52},{15,52},{15,60},{71,60},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CalPerNa.u, PT_Na_Reab) annotation (Line(
            points={{-19.4,60},{-33,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LH_Na_Reab, CalPerNa2.u) annotation (Line(
            points={{-33,52},{-19.4,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DT_Na_Reab, CalPerNa1.u) annotation (Line(
            points={{-33,44},{-19.4,44}},
            color={0,0,127},
            smooth=Smooth.None));
      end Kidney;

      model HeartMuscle
        extends Physiomodel.Metabolism.TissueMetabolism.TissueMetabolism(
            TotalCaloriesUse(nin=3));

        parameter Physiolibrary.Types.Power MotionCals( displayUnit="cal/min");
        parameter Physiolibrary.Types.Power HeatCals( displayUnit="cal/min");
      Physiolibrary.Types.Constants.HeatFlowRateConst motionCals(k=MotionCals)
        annotation (Placement(transformation(extent={{-42,60},{-30,72}})));
      Physiolibrary.Types.Constants.HeatFlowRateConst heatCals(k=HeatCals)
        annotation (Placement(transformation(extent={{-44,38},{-32,50}})));
      equation

        connect(motionCals.y, TotalCaloriesUse.u[2]) annotation (Line(
            points={{-28.5,66},{-8,66},{-8,56},{71,56},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(heatCals.y, TotalCaloriesUse.u[3]) annotation (Line(
            points={{-30.5,44},{-4,44},{-4,50.8},{71,50.8}},
            color={0,0,127},
            smooth=Smooth.None));
      end HeartMuscle;

      model GITract
        extends TissueMetabolismBase;//(Lactate(stateName="GITract-Lactate.Mass"));
        extends Physiolibrary.Icons.GITract;

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a fattyAcids
             annotation (
          Placement(transformation(extent={{-103,-80},{-83,-60}}),
            iconTransformation(extent={{90,-70},{110,-50}})));   //(conc(final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
        Physiomodel.Metabolism.CellularMetabolism
                           cellularMetabolism(LacFractionData={{10,0,0},{100,0.3,0}},
          PO2OnAerobicFractionData=PO2OnAerobicFractionData)
          annotation (Placement(transformation(extent={{60,-62},{90,-32}})));
        NutrientDelivery fattyAcidsDelivery
          annotation (Placement(transformation(extent={{-74,-80},{-54,-60}})));
        NutrientDelivery glucoseDelivery
          annotation (Placement(transformation(extent={{-70,-44},{-50,-24}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure1 annotation (
          Placement(transformation(
            extent={{8,8},{-8,-8}},
            rotation=180,
            origin={28,-54})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure2 annotation (
          Placement(transformation(
            extent={{-8,-8},{8,8}},
            origin={28,-82})));
        Physiolibrary.Types.RealIO.MolarFlowRateOutput GIT_GluUse
                                                              annotation (
            Placement(transformation(extent={{34,-80},{46,-68}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={36,100})));
        Physiolibrary.Types.RealIO.MolarFlowRateOutput GIT_FatUse
                                                              annotation (
            Placement(transformation(extent={{30,-96},{42,-84}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={16,100})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage unlimitedStorage1(
         concentration=0)
        annotation (Placement(transformation(extent={{62,-14},{82,6}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage unlimitedStorage2(
         concentration=0)
        annotation (Placement(transformation(extent={{0,-36},{20,-16}})));
      equation
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{89.1,-47},{96,-47},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{44,14},{56,14},{56,-32},{65.1,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y, cellularMetabolism.CalsUse) annotation (
            Line(
            points={{71,41.6},{71,38},{96,38},{96,-36},{81,-36},{81,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcids, fattyAcidsDelivery.q_in) annotation (Line(
            points={{-93,-70},{-74,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, fattyAcidsDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-64,-1},{-64,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-60,-1},{-60,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-70,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-66,-41},{-66,-44},{-56,-44},{-56,0.4},{-52.8,0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.q_out, fattyAcids) annotation (Line(
            points={{-54,-70},{-46,-70},{-46,-60},{-93,-60},{-93,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-50,-34},{-44,-34},{-44,-22},{-92,-22},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure1.molarFlowRate, GIT_GluUse) annotation (Line(
            points={{28,-58.8},{28,-74},{40,-74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure2.molarFlowRate, GIT_FatUse) annotation (Line(
            points={{28,-86.8},{28,-90},{36,-90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (
            Line(
            points={{-70,-77},{-70,-88},{-56,-88},{-56,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pO2, cellularMetabolism.pO2) annotation (Line(
            points={{32,-66},{47.3,-66},{47.3,-53},{60.5999,-53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.O2Use, O2Use) annotation (Line(
            points={{66.6,-59.6},{66.6,-82.8},{64,-82.8},{64,-94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.ketoAcids, unlimitedStorage1.q_out)
          annotation (Line(
            points={{70.8,-32},{72,-32},{72,-4},{82,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(cellularMetabolism.glycogen, unlimitedStorage2.q_out)
          annotation (Line(
            points={{60,-41},{50,-41},{50,-26},{20,-26}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(cellularMetabolism.Tissue_MetabolicH2ORate, H2OFromMetabolism)
          annotation (Line(
            points={{77.1,-61.7},{77.1,-80},{84,-80}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(flowMeasure1.q_out, cellularMetabolism.glucose) annotation (Line(
          points={{36,-54},{44,-54},{44,-36},{60,-36},{60,-35}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(flowMeasure2.q_out, cellularMetabolism.fattyAcids) annotation (
          Line(
          points={{36,-82},{52,-82},{52,-47},{60,-47}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(fattyAcidsDelivery.neededFlow, flowMeasure2.q_in) annotation (
          Line(
          points={{-64,-75},{-64,-82},{20,-82}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(glucoseDelivery.neededFlow, flowMeasure1.q_in) annotation (Line(
          points={{-60,-39},{-60,-54},{20,-54}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      end GITract;

      model Liver
        extends TissueMetabolismBase;//(Lactate(stateName="Liver-Lactate.Mass"));
        extends Physiolibrary.Icons.Liver;
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a fattyAcids
             annotation (
          Placement(transformation(extent={{-103,-80},{-83,-60}}),
            iconTransformation(extent={{90,-70},{110,-50}})));   //(conc(final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
        Physiomodel.Metabolism.CellularMetabolism
                           cellularMetabolism(LacFractionData={{10,0,0},{100,0.3,0}},
        PO2OnAerobicFractionData=PO2OnAerobicFractionData,
        Ratio(start=0.087))
          annotation (Placement(transformation(extent={{62,-76},{92,-46}})));
         // glucose(conc(start=1.43)),
        NutrientDelivery_Fat fattyAcidsDelivery
          annotation (Placement(transformation(extent={{-74,-80},{-54,-60}})));
                                               //(neededFlow(q(start=125.166135276543)))
        NutrientDelivery_2 glucoseDelivery
          annotation (Placement(transformation(extent={{-72,-44},{-52,-24}})));
                                          //(delivery(start=991.319))
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a GILumenCarbohydrates
        annotation (Placement(transformation(extent={{-96,-58},{-76,-38}}),
            iconTransformation(extent={{-30,90},{-10,110}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-52,-46})));
        Physiolibrary.Types.RealIO.ConcentrationOutput PortalVeinGlucose
                                                              annotation (
            Placement(transformation(extent={{-28,-52},{-16,-40}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-50,100})));
        Physiolibrary.Types.RealIO.ConcentrationOutput PortalVeinFat
                                                              annotation (
            Placement(transformation(extent={{-26,-88},{-14,-76}}),
                                                               iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={14,100})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure2
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-54,-82})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput GITract_GlucoseUsed
        "glucose to GIT metabolism flow"
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=180,
              origin={-31,-18}),
              iconTransformation(extent={{-100,-52},{-80,-32}})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput GITract_FatUsed
        "fat to GIT metabolism flow"
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=180,
              origin={-31,-60}),
              iconTransformation(extent={{-100,-74},{-80,-54}})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput FatAbsorbtion
        "from GILumen"
          annotation (Placement(transformation(extent={{-5,-5},{5,5}},
              rotation=180,
              origin={-31,-54}),
              iconTransformation(extent={{-100,-94},{-80,-74}})));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput HepaticArtyBloodFlow(
                                                           displayUnit="ml/min")
        "blood flow through all tissue capilaries cross-section"
          annotation (Placement(transformation(extent={{-91,53},{-82,62}}),
              iconTransformation(extent={{-36,56},{-16,76}})));
        Modelica.Blocks.Math.Product PlasmaFlow2
          annotation (Placement(transformation(extent={{-70,47},{-62,55}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage unlimitedStorage1(
         concentration=0)
        annotation (Placement(transformation(extent={{62,-14},{82,6}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutionStorage unlimitedStorage2(
         concentration=0)
        annotation (Placement(transformation(extent={{2,-80},{22,-60}})));
      equation
        connect(cellularMetabolism.Tissue_CO2FromMetabolism,
          Tissue_CO2FromMetabolism) annotation (Line(
            points={{91.1,-61},{96,-61},{96,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_in, cellularMetabolism.lactate) annotation (Line(
            points={{44,14},{56,14},{56,-46},{67.1,-46}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(TotalCaloriesUse.y, cellularMetabolism.CalsUse) annotation (
            Line(
            points={{71,41.6},{71,38},{96,38},{96,-46},{83,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, cellularMetabolism.glucose)
          annotation (Line(
            points={{-62,-39},{-62,-52},{62,-52},{62,-49}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcids, fattyAcidsDelivery.q_in) annotation (Line(
            points={{-93,-70},{-74,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, fattyAcidsDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-64,-1},{-64,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, cellularMetabolism.fattyAcids)
          annotation (Line(
            points={{-64,-75},{-64,-94},{56,-94},{56,-61},{62,-61}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(PlasmaFlow1.y, glucoseDelivery.solventFlow) annotation (Line(
            points={{-69.6,-1},{-62,-1},{-62,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucose, glucoseDelivery.q_in) annotation (Line(
            points={{-92,-34},{-72,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.FuelFractUseDelay, min.u[2]) annotation (Line(
            points={{-68,-41},{-68,-44},{-58,-44},{-58,0.4},{-52.8,0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(glucoseDelivery.neededFlow, concentrationMeasure1.q_in)
          annotation (Line(
            points={{-62,-39},{-62,-46},{-52,-46}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glucoseDelivery.q_out, glucose) annotation (Line(
            points={{-52,-34},{-42,-34},{-42,-24},{-92,-24},{-92,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.q_out, fattyAcids) annotation (Line(
            points={{-54,-70},{-42,-70},{-42,-62},{-93,-62},{-93,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.neededFlow, concentrationMeasure2.q_in)
          annotation (Line(
            points={{-64,-75},{-64,-82},{-54,-82}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GITract_GlucoseUsed, glucoseDelivery.GITUsed) annotation (Line(
            points={{-31,-18},{-54,-18},{-54,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GITract_FatUsed, fattyAcidsDelivery.GITUsed) annotation (Line(
            points={{-31,-60},{-56,-60},{-56,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FatAbsorbtion, FatAbsorbtion) annotation (
            Line(
            points={{-60,-64},{-60,-54},{-31,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fattyAcidsDelivery.FuelFractUseDelay, min.u[1]) annotation (
            Line(
            points={{-70,-77},{-70,-88},{-58,-88},{-58,-0.4},{-52.8,-0.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodVol_PVCrit,PlasmaFlow2. u2) annotation (Line(
            points={{-89,-4},{-80.5,-4},{-80.5,48.6},{-70.8,48.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HepaticArtyBloodFlow, PlasmaFlow2.u1) annotation (Line(
            points={{-86.5,57.5},{-79.25,57.5},{-79.25,53.4},{-70.8,53.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PlasmaFlow2.y, glucoseDelivery.HepaticArty) annotation (Line(
            points={{-61.6,51},{-48,51},{-48,-14},{-70,-14},{-70,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumenCarbohydrates, glucoseDelivery.fromGILumen) annotation (
            Line(
            points={{-86,-48},{-80,-48},{-80,-38},{-72,-38}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(cellularMetabolism.ketoAcids, unlimitedStorage1.q_out)
          annotation (Line(
            points={{72.8,-46},{72,-46},{72,-4},{82,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(pO2, cellularMetabolism.pO2) annotation (Line(
            points={{32,-66},{46,-66},{46,-67},{62.5999,-67}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(cellularMetabolism.O2Use, O2Use) annotation (Line(
            points={{68.6,-73.6},{68.6,-83.8},{64,-83.8},{64,-94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(unlimitedStorage2.q_out, cellularMetabolism.glycogen)
          annotation (Line(
            points={{22,-70},{22,-56},{62,-56},{62,-55}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(cellularMetabolism.Tissue_MetabolicH2ORate, H2OFromMetabolism)
          annotation (Line(
            points={{79.1,-75.7},{79.1,-72.85},{84,-72.85},{84,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure1.concentration, PortalVeinGlucose) annotation (
            Line(
            points={{-60,-46},{-22,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure2.concentration, PortalVeinFat) annotation (Line(
            points={{-62,-82},{-20,-82}},
            color={0,0,127},
            smooth=Smooth.None));
      end Liver;

      model Skin
        extends TissueMetabolism(HeatMetabolism_Skin(data={{10.0+273.15,0.0,0},{29.5+273.15,
                1.0,0.12},{40.0+273.15,1.5,0},{46.0+273.15,0.0,0}}));
                                 //(Lactate(stateName="Skin-Lactate.Mass"));
        extends Physiolibrary.Icons.Skin;
      end Skin;

      model Bone
        extends TissueMetabolism;//(Lactate(stateName="Bone-Lactate.Mass"));
        extends Physiolibrary.Icons.Bone;
      end Bone;

      model Fat
        extends TissueMetabolism;//(Lactate(stateName="Fat-Lactate.Mass"));
        extends Physiolibrary.Icons.Fat;
      end Fat;

      model OtherTissue
        extends TissueMetabolism;//(Lactate(stateName="OtherTissue-Lactate.Mass"));
        extends Physiolibrary.Icons.OtherTissue;
      end OtherTissue;

      model Metabolism_
        import QHP = Physiomodel;
        extends Physiolibrary.Icons.Tissues;
        Physiomodel.Metabolism.TissueMetabolism.Bone bone(
          NormalCalsUsed=69.8614,
          initialTissueO2(displayUnit="ml_STP") = 0.0002012244908654,
          BasalCalsUsed=0.565218,
          TissueSize=8.558,
          DC(displayUnit="ml/min") = 3e-06)
          annotation (Placement(transformation(extent={{66,88},{40,114}})));
        //initialLactateMass=3.00477
        Physiomodel.Metabolism.TissueMetabolism.Brain brain(
          PO2OnAerobicFractionData={{2.0,0.0,0},{20.0,1.0,0}},
          NormalCalsUsed=193.709,
        DC(displayUnit="ml/min") = 3e-06,
          BasalCalsUsed=11.492766,
          TissueSize=1.1572)
          annotation (Placement(transformation(extent={{-60,86},{-32,114}})));
          //initialLactateMass=0.850703,
        Physiomodel.Metabolism.TissueMetabolism.Fat fat(
          NormalCalsUsed=29.9658,
          initialTissueO2(displayUnit="ml_STP") = 0.00096297146941496,
          BasalCalsUsed=0.125604,
          TissueSize=16.6,
          DC(displayUnit="ml/min") = 4.5e-06)
          annotation (Placement(transformation(extent={{66,-54},{40,-28}})));
      //   initialLactateMass=2.73208,

        Physiomodel.Metabolism.TissueMetabolism.GITract gITract(
          NormalCalsUsed=92.7945,
          initialTissueO2(displayUnit="ml_STP") = 8.0401733111647e-05,
          BasalCalsUsed=5.010204,
          TissueSize=1.2716,
          DC(displayUnit="ml/min") = 3e-06)
          annotation (Placement(transformation(extent={{66,-22},{40,4}})));
      //    initialLactateMass=0.934802)
        Physiomodel.Metabolism.TissueMetabolism.Kidney kidney(
          PO2OnAerobicFractionData={{2.0,0.0,0},{20.0,1.0,0}},
          NormalCalsUsed=36.8312,
          initialTissueO2(displayUnit="ml_STP") = 2.1135176283456e-05,
          DC(displayUnit="ml/min") = 3.3333333333333e-07,
          BasalCalsUsed=9.90876,
          TissueSize=0.2552)
          annotation (Placement(transformation(extent={{66,10},{40,36}})));
      //    initialLactateMass=0.187607)
        Physiomodel.Metabolism.TissueMetabolism.Liver liver(
          PO2OnAerobicFractionData={{2.0,0.0,0},{10.0,1.0,0}},
          NormalCalsUsed=147.338,
          initialTissueO2(displayUnit="ml_STP") = 0.00013033358708131,
          BasalCalsUsed=6.55932,
          TissueSize=1.5422,
          DC(displayUnit="ml/min") = 1.6666666666667e-06)
          annotation (Placement(transformation(extent={{66,44},{40,70}})));
       //   initialLactateMass=1.13373)
        Physiomodel.Metabolism.TissueMetabolism.OtherTissue otherTissue(
          NormalCalsUsed=39.1075,
          initialTissueO2(displayUnit="ml_STP") = 0.00022235966714886,
          DC(displayUnit="ml/min") = 4.5e-06,
          BasalCalsUsed=0.739668,
          TissueSize=3.63)
          annotation (Placement(transformation(extent={{66,-88},{40,-62}})));
      //    initialLactateMass=2.66855)
        Physiomodel.Metabolism.TissueMetabolism.RespiratoryMuscle respiratoryMuscle(
          NormalCalsUsed=6.27882,
        DC(displayUnit="ml/min") = 4.5e-06,
          initialTissueO2(displayUnit="ml_STP") = 2.5098021836604e-05,
          BasalCalsUsed=0.13956,
          TissueSize=3.08)
          annotation (Placement(transformation(extent={{-60,52},{-32,80}})));
      //    initialLactateMass=2.66976)
        Physiomodel.Metabolism.TissueMetabolism.RightHeartMuscle rightHeart(
          NormalCalsUsed=2.34779,
        DC(displayUnit="ml/min") = 5e-08,
          initialTissueO2(displayUnit="ml_STP") = 8.8063234514399e-07,
          MotionCals(displayUnit="cal/min") = 0.3489,
          HeatCals(displayUnit="cal/min") = 1.18626,
          BasalCalsUsed=4.1868,
          TissueSize=0.0385)
          annotation (Placement(transformation(extent={{-60,14},{-32,42}})));
      //    ,Lactate(stateName="RightHeart-Lactate.Mass")
      //    initialLactateMass=2.8e-002,
        Physiomodel.Metabolism.TissueMetabolism.LeftHeartMuscle leftHeart(
          DC=18,
          NormalCalsUsed=15.7067,
          initialTissueO2(displayUnit="ml_STP") = 5.063635984578e-06,
          BasalCalsUsed=4.668282,
          TissueSize=0.231,
          MotionCals(displayUnit="cal/min") = 1.67472,
          HeatCals(displayUnit="cal/min") = 6.07086)
          annotation (Placement(transformation(extent={{-58,-20},{-30,8}})));
      //    ,Lactate(stateName="LeftHeart-Lactate.Mass")
      //    initialLactateMass=0.169817,
        Physiomodel.Metabolism.TissueMetabolism.SkeletalMuscleMetabolism skeletalMuscle(
          PO2OnAerobicFractionData={{0.0,0.0,0},{15.0,0.2,0.04},{20.0,1.0,0}},
          NormalCalsUsed=145.228,
          initialTissueO2(displayUnit="ml_STP") = 0.0023056275744387,
          DC(displayUnit="ml/min") = 3.125e-05,
          BasalCalsUsed=0.362856,
          TissueSize=27.4)
          annotation (Placement(transformation(extent={{-58,-58},{-30,-30}})));
      //    initialLactateMass=23.7503)
        Physiomodel.Metabolism.TissueMetabolism.Skin skin(
          PO2OnAerobicFractionData={{2.0,0.0,0},{20.0,1.0,0}},
          HeatMetabolism_Skin(data={{10.0+273.15,0.0,0},{29.5+273.15,1.0,0.12},{40.0+273.15,1.5,0},{
                46.0+273.15,0.0,0}}),
          NormalCalsUsed=31.2457,
          initialTissueO2(displayUnit="ml_STP") = 8.1018175753247e-05,
          DC(displayUnit="ml/min") = 4.5e-06,
          BasalCalsUsed=0.955986,
          TissueSize=2.244)
          annotation (Placement(transformation(extent={{-60,-96},{-32,-68}})));
      //    initialLactateMass=1.64965)
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a glucose
             annotation (
          Placement(transformation(extent={{-12,2},{8,22}}), iconTransformation(
              extent={{90,-20},{110,0}})));                   //(conc(final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a fattyAcids
             annotation (
          Placement(transformation(extent={{-10,-16},{10,4}}),
            iconTransformation(extent={{90,70},{110,90}})));     //(conc(final       displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a ketoAcids
             annotation (
          Placement(transformation(extent={{-10,76},{10,96}}),
            iconTransformation(extent={{90,20},{110,40}})));    //(conc(final     displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-92,106},{-72,126}}), iconTransformation(
              extent={{-92,80},{-72,100}})));
              Physiolibrary.Chemical.Interfaces.ChemicalPort_a GILumenCarbohydrates
        annotation (Placement(transformation(extent={{70,72},{90,92}}),
            iconTransformation(extent={{-70,-110},{-50,-90}})));
              //(    conc(final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a lactate
             annotation (
          Placement(transformation(extent={{-10,56},{10,76}}),
            iconTransformation(extent={{90,-70},{110,-50}})));//(conc(final       displayUnit="mEq/ml"), q(final displayUnit="mEq/min"))
        Modelica.Blocks.Math.Feedback Heat annotation (Placement(transformation(
              extent={{-5,-5},{5,5}},
              rotation=180,
              origin={-77,-61})));
        Modelica.Blocks.Math.Sum MetabolicH2ORate(nin=12)
          annotation (Placement(transformation(extent={{80,-96},{88,-88}})));
        Modelica.Blocks.Math.Sum CoreHeat(nin=11)
          annotation (Placement(transformation(extent={{80,-102},{88,-94}})));
        Modelica.Blocks.Math.Sum MotionCals(nin=3)
          annotation (Placement(transformation(extent={{-6,-88},{2,-80}})));
        Modelica.Blocks.Math.Gain gain(k=-1)
          annotation (Placement(transformation(extent={{8,-86},{12,-82}})));

       Physiolibrary.Types.MolarFlowRate tissuesO2Use,tissueCO2Produce;
      equation
        tissuesO2Use = brain.O2Use + fat.O2Use + gITract.O2Use + kidney.O2Use + liver.O2Use + otherTissue.O2Use + respiratoryMuscle.O2Use + leftHeart.O2Use + rightHeart.O2Use + skeletalMuscle.O2Use + skin.O2Use + bone.O2Use;
        tissueCO2Produce = brain.Tissue_CO2FromMetabolism + fat.Tissue_CO2FromMetabolism + gITract.Tissue_CO2FromMetabolism + kidney.Tissue_CO2FromMetabolism + liver.Tissue_CO2FromMetabolism + otherTissue.Tissue_CO2FromMetabolism + respiratoryMuscle.Tissue_CO2FromMetabolism + leftHeart.Tissue_CO2FromMetabolism + rightHeart.Tissue_CO2FromMetabolism + skeletalMuscle.Tissue_CO2FromMetabolism + skin.Tissue_CO2FromMetabolism + bone.Tissue_CO2FromMetabolism;

        connect(brain.glucose, glucose) annotation (Line(
            points={{-32,111.455},{-28,111.455},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(respiratoryMuscle.glucose, glucose) annotation (Line(
            points={{-32,77.4545},{-28,77.4545},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(rightHeart.glucose, glucose) annotation (Line(
            points={{-32,39.4545},{-28,39.4545},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(leftHeart.glucose, glucose) annotation (Line(
            points={{-30,5.45455},{-28,5.45455},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skeletalMuscle.glucose, glucose) annotation (Line(
            points={{-30,-32.5455},{-28,-32.5455},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skin.glucose, glucose) annotation (Line(
            points={{-32,-70.5455},{-28,-70.5455},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(bone.glucose, glucose) annotation (Line(
            points={{40,111.636},{24,111.636},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(kidney.glucose, glucose) annotation (Line(
            points={{40,33.6364},{24,33.6364},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(gITract.glucose, glucose) annotation (Line(
            points={{40,1.63636},{24,1.63636},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(fat.glucose, glucose) annotation (Line(
            points={{40,-30.3636},{24,-30.3636},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(otherTissue.glucose, glucose) annotation (Line(
            points={{40,-64.3636},{24,-64.3636},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(brain.lactate, lactate) annotation (Line(
            points={{-32,101.273},{-24,101.273},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(respiratoryMuscle.lactate, lactate) annotation (Line(
            points={{-32,67.2727},{-24,67.2727},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(leftHeart.lactate, lactate) annotation (Line(
            points={{-30,-4.72727},{-24,-4.72727},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(rightHeart.lactate, lactate) annotation (Line(
            points={{-32,29.2727},{-24,29.2727},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skeletalMuscle.lactate, lactate) annotation (Line(
            points={{-30,-42.7273},{-24,-42.7273},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skin.lactate, lactate) annotation (Line(
            points={{-32,-80.7273},{-24,-80.7273},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(bone.lactate, lactate) annotation (Line(
            points={{40,102.182},{20,102.182},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(liver.lactate, lactate) annotation (Line(
            points={{40,58.1818},{20,58.1818},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(kidney.lactate, lactate) annotation (Line(
            points={{40,24.1818},{20,24.1818},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(gITract.lactate, lactate) annotation (Line(
            points={{40,-7.81818},{20,-7.81818},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(fat.lactate, lactate) annotation (Line(
            points={{40,-39.8182},{20,-39.8182},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(otherTissue.lactate, lactate) annotation (Line(
            points={{40,-73.8182},{20,-73.8182},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(respiratoryMuscle.fattyAcids, fattyAcids) annotation (Line(
            points={{-32,57.0909},{-20,57.0909},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(rightHeart.fattyAcids, fattyAcids) annotation (Line(
            points={{-32,19.0909},{-20,19.0909},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(leftHeart.fattyAcids, fattyAcids) annotation (Line(
            points={{-30,-14.9091},{-20,-14.9091},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skeletalMuscle.fattyAcids, fattyAcids) annotation (Line(
            points={{-30,-52.9091},{-20,-52.9091},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skin.fattyAcids, fattyAcids) annotation (Line(
            points={{-32,-90.9091},{-20,-90.9091},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(bone.fattyAcids, fattyAcids) annotation (Line(
            points={{40,92.7273},{16,92.7273},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(kidney.fattyAcids, fattyAcids) annotation (Line(
            points={{40,14.7273},{16,14.7273},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(gITract.fattyAcids, fattyAcids) annotation (Line(
            points={{40,-17.2727},{16,-17.2727},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(fat.fattyAcids, fattyAcids) annotation (Line(
            points={{40,-49.2727},{16,-49.2727},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(otherTissue.fattyAcids, fattyAcids) annotation (Line(
            points={{40,-83.2727},{16,-83.2727},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));

        connect(busConnector.Brain_LiquidVol,brain. LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,103.818},{-58.6,103.818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_LiquidVol,respiratoryMuscle. LiquidVol)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,69.8182},{-58.6,69.8182}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RightHeart_LiquidVol,rightHeart. LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,31.8182},{-58.6,31.8182}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.LeftHeart_LiquidVol,leftHeart. LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-2.18182},{-56.6,-2.18182}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.SkeletalMuscle_LiquidVol,skeletalMuscle. LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-40.1818},{-56.6,-40.1818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(bone.LiquidVol, busConnector.Bone_LiquidVol)  annotation (Line(
            points={{64.7,104.545},{68,104.545},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(liver.LiquidVol, busConnector.Liver_LiquidVol)  annotation (Line(
            points={{64.7,60.5455},{68,60.5455},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(gITract.LiquidVol, busConnector.GITract_LiquidVol)  annotation (Line(
            points={{64.7,-5.45455},{68,-5.45455},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(fat.LiquidVol, busConnector.Fat_LiquidVol)  annotation (Line(
            points={{64.7,-37.4545},{68,-37.4545},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(otherTissue.LiquidVol, busConnector.OtherTissue_LiquidVol)  annotation (Line(
            points={{64.7,-71.4545},{68,-71.4545},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.LiquidVol, busConnector.Kidney_LiquidVol)  annotation (Line(
            points={{64.7,26.5455},{68,26.5455},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Skin_LiquidVol,skin. LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-78.1818},{-58.6,-78.1818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(busConnector.LeftHeart_BloodFlow,leftHeart. BloodFlow)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,2.90909},{-56.6,2.90909}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RightHeart_BloodFlow,rightHeart. BloodFlow)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,36.9091},{-58.6,36.9091}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.Brain_BloodFlow,brain. BloodFlow)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,108.909},{-58.6,108.909}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_BloodFlow,respiratoryMuscle. BloodFlow)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,74.9091},{-58.6,74.9091}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
           connect(busConnector.SkeletalMuscle_BloodFlow,skeletalMuscle. BloodFlow)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-35.0909},{-56.6,-35.0909}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
       connect(busConnector.Skin_BloodFlow,skin. BloodFlow)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-73.0909},{-58.6,-73.0909}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(bone.BloodFlow, busConnector.Bone_BloodFlow)  annotation (Line(
            points={{64.7,109.273},{68,109.273},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.BloodFlow, busConnector.Kidney_BloodFlow)  annotation (Line(
            points={{64.7,31.2727},{68,31.2727},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(gITract.BloodFlow, busConnector.GITract_BloodFlow)  annotation (
            Line(
            points={{64.7,-0.727273},{68,-0.727273},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(fat.BloodFlow, busConnector.Fat_BloodFlow)  annotation (Line(
            points={{64.7,-32.7273},{68,-32.7273},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(otherTissue.BloodFlow, busConnector.OtherTissue_BloodFlow)
          annotation (Line(
            points={{64.7,-66.7273},{68,-66.7273},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));

        connect(bone.Structure_Effect, busConnector.Bone_StructureEffect)
          annotation (Line(
            points={{64.7,102.182},{68,102.182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(liver.Structure_Effect, busConnector.Liver_StructureEffect)
          annotation (Line(
            points={{64.7,58.1818},{68,58.1818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.Structure_Effect, busConnector.Kidney_StructureEffect)
          annotation (Line(
            points={{64.7,24.1818},{68,24.1818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(gITract.Structure_Effect, busConnector.GITract_StructureEffect)
          annotation (Line(
            points={{64.7,-7.81818},{68,-7.81818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(fat.Structure_Effect, busConnector.Fat_StructureEffect)  annotation (
            Line(
            points={{64.7,-39.8182},{68,-39.8182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(otherTissue.Structure_Effect, busConnector.OtherTissue_StructureEffect)
          annotation (Line(
            points={{64.7,-73.8182},{68,-73.8182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Skin_StructureEffect,skin. Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-80.7273},{-58.6,-80.7273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.SkeletalMuscle_StructureEffect,skeletalMuscle. Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-42.7273},{-56.6,-42.7273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.LeftHeart_StructureEffect,leftHeart. Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-4.72727},{-56.6,-4.72727}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
          connect(busConnector.RightHeart_StructureEffect,rightHeart. Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,29.2727},{-58.6,29.2727}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_StructureEffect,
          respiratoryMuscle.                                                      Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,67.2727},{-58.6,67.2727}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.Brain_StructureEffect,brain. Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,101.273},{-58.6,101.273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(kidney.PT_Na_Reab, busConnector.PT_Na_Reab)  annotation (Line(
            points={{64.7,14.7273},{68,14.7273},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.LH_Na_Reab, busConnector.LH_Na_Reab)  annotation (Line(
            points={{64.7,36},{68,36},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.DT_Na_Reab, busConnector.DT_Na_Reab)  annotation (Line(
            points={{64.7,17.0909},{68,17.0909},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Exercise_Metabolism_MotionWatts,skeletalMuscle. ExerciseMetabolism_MotionCals)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-52.9091},{-56.6,-52.9091}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(busConnector.BloodVol_PVCrit,brain. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,111.455},{-58.6,111.455}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,respiratoryMuscle. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,77.4545},{-58.6,77.4545}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,rightHeart. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,39.4545},{-58.6,39.4545}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,leftHeart. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,5.45455},{-56.6,5.45455}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,skeletalMuscle. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-32.5455},{-56.6,-32.5455}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,skin. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-70.5455},{-58.6,-70.5455}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,bone. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{68,116},{68,111.636},{64.7,111.636}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,liver. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{68,116},{68,67.6364},{64.7,67.6364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gITract.BloodVol_PVCrit, busConnector.BloodVol_PVCrit)  annotation (Line(
            points={{64.7,1.63636},{68,1.63636},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(otherTissue.BloodVol_PVCrit, busConnector.BloodVol_PVCrit)  annotation (Line(
            points={{64.7,-64.3636},{68,-64.3636},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(fat.BloodVol_PVCrit, busConnector.BloodVol_PVCrit)  annotation (Line(
            points={{64.7,-30.3636},{68,-30.3636},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,kidney. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{68,116},{68,33.6364},{64.7,33.6364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(busConnector.Thyroxine,brain. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,96.1818},{-58.6,96.1818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,respiratoryMuscle. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,62.1818},{-58.6,62.1818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,rightHeart. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,24.1818},{-58.6,24.1818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,leftHeart. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-9.81818},{-56.6,-9.81818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,skeletalMuscle. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-47.8182},{-56.6,-47.8182}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,skin. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-85.8182},{-58.6,-85.8182}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,bone. Thyroxine)  annotation (Line(
            points={{-82,116},{68,116},{68,97.4545},{64.7,97.4545}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,liver. Thyroxine)  annotation (Line(
            points={{-82,116},{68,116},{68,53.4545},{64.7,53.4545}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gITract.Thyroxine, busConnector.Thyroxine)  annotation (Line(
            points={{64.7,-12.5455},{68,-12.5455},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(otherTissue.Thyroxine, busConnector.Thyroxine)  annotation (Line(
            points={{64.7,-78.5455},{68,-78.5455},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(fat.Thyroxine, busConnector.Thyroxine)  annotation (Line(
            points={{64.7,-44.5455},{68,-44.5455},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,kidney. Thyroxine)  annotation (Line(
            points={{-82,116},{68,116},{68,19.4545},{64.7,19.4545}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(bone.pO2, busConnector.Bone_PO2)
          annotation (Line(
            points={{64.7,106.909},{68,106.909},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(liver.pO2, busConnector.Liver_PO2)
          annotation (Line(
            points={{64.7,62.9091},{68,62.9091},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.pO2, busConnector.Kidney_PO2)
          annotation (Line(
            points={{64.7,28.9091},{68,28.9091},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(gITract.pO2, busConnector.GITract.pO2)
          annotation (Line(
            points={{64.7,-3.09091},{68,-3.09091},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(fat.pO2, busConnector.Fat_PO2)  annotation (
            Line(
            points={{64.7,-35.0909},{68,-35.0909},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(otherTissue.pO2, busConnector.OtherTissue_PO2)
          annotation (Line(
            points={{64.7,-69.0909},{68,-69.0909},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Skin_PO2,skin. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-75.6364},{-58.6,-75.6364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.SkeletalMuscle_PO2,skeletalMuscle. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-37.6364},{-56.6,-37.6364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.LeftHeart_PO2,leftHeart. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,0.363636},{-56.6,0.363636}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
          connect(busConnector.RightHeart_PO2,rightHeart. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,34.3636},{-58.6,34.3636}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_PO2,respiratoryMuscle. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,72.3636},{-58.6,72.3636}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.Brain_PO2,brain. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,106.364},{-58.6,106.364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

      connect(bone.T, busConnector.bone_T)
          annotation (Line(
            points={{64.7,99.8182},{68,99.8182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(liver.T, busConnector.liver_T)
          annotation (Line(
            points={{64.7,55.8182},{68,55.8182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.T, busConnector.kidney_T)
          annotation (Line(
            points={{64.7,21.8182},{68,21.8182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(gITract.T, busConnector.GITract_T)
          annotation (Line(
            points={{64.7,-10.1818},{68,-10.1818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(fat.T, busConnector.fat_T)  annotation (
            Line(
            points={{64.7,-42.1818},{68,-42.1818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(otherTissue.T, busConnector.otherTissue_T)
          annotation (Line(
            points={{64.7,-76.1818},{68,-76.1818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.skin_T,skin. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-83.2727},{-58.6,-83.2727}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.skeletalMuscle_T,skeletalMuscle. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-45.2727},{-56.6,-45.2727}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.leftHeart_T,leftHeart. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-7.27273},{-56.6,-7.27273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
          connect(busConnector.rightHeart_T,rightHeart. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,26.7273},{-58.6,26.7273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.respiratoryMuscle_T,respiratoryMuscle. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,64.7273},{-58.6,64.7273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.brain_T,brain. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,98.7273},{-58.6,98.7273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(bone.cLactate, busConnector.bone_cLactate)
          annotation (Line(
            points={{56.9,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.cLactate, busConnector.liver_cLactate)
          annotation (Line(
            points={{56.9,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.cLactate, busConnector.kidney_cLactate)
          annotation (Line(
            points={{56.9,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.cLactate, busConnector.GITract_cLactate)
          annotation (Line(
            points={{56.9,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.cLactate, busConnector.fat_cLactate)  annotation (
            Line(
            points={{56.9,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.cLactate, busConnector.otherTissue_cLactate)
          annotation (Line(
            points={{56.9,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_cLactate,skin. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-50.2,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_cLactate,skeletalMuscle. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-48.2,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_cLactate,leftHeart. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-48.2,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_cLactate,rightHeart. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-50.2,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_cLactate,respiratoryMuscle. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-50.2,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_cLactate,brain. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-50.2,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(bone.Tissue_CO2FromMetabolism, busConnector.bone_CO2FromMetabolism)
          annotation (Line(
            points={{59.5,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.Tissue_CO2FromMetabolism, busConnector.liver_CO2FromMetabolism)
          annotation (Line(
            points={{59.5,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.Tissue_CO2FromMetabolism, busConnector.kidney_CO2FromMetabolism)
          annotation (Line(
            points={{59.5,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.Tissue_CO2FromMetabolism, busConnector.GITract_CO2FromMetabolism)
          annotation (Line(
            points={{59.5,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.Tissue_CO2FromMetabolism, busConnector.fat_CO2FromMetabolism)  annotation (
            Line(
            points={{59.5,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.Tissue_CO2FromMetabolism, busConnector.otherTissue_CO2FromMetabolism)
          annotation (Line(
            points={{59.5,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_CO2FromMetabolism,skin. Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-53,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_CO2FromMetabolism,skeletalMuscle. Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-51,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_CO2FromMetabolism,leftHeart. Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-51,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_CO2FromMetabolism,rightHeart. Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-53,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_CO2FromMetabolism,
          respiratoryMuscle.                                                        Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-53,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_CO2FromMetabolism,brain. Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-53,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

       connect(bone.LactateFromMetabolism, busConnector.bone_LactateFromMetabolism)
          annotation (Line(
            points={{49.1,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.LactateFromMetabolism, busConnector.liver_LactateFromMetabolism)
          annotation (Line(
            points={{49.1,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.LactateFromMetabolism, busConnector.kidney_LactateFromMetabolism)
          annotation (Line(
            points={{49.1,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.LactateFromMetabolism, busConnector.GITract_LactateFromMetabolism)
          annotation (Line(
            points={{49.1,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.LactateFromMetabolism, busConnector.fat_LactateFromMetabolism)  annotation (
            Line(
            points={{49.1,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.LactateFromMetabolism, busConnector.otherTissue_LactateFromMetabolism)
          annotation (Line(
            points={{49.1,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_LactateFromMetabolism,skin. LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-41.8,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_LactateFromMetabolism,
          skeletalMuscle.                                                         LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-39.8,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_LactateFromMetabolism,leftHeart. LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-39.8,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_LactateFromMetabolism,rightHeart. LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-41.8,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_LactateFromMetabolism,
          respiratoryMuscle.                                                            LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-41.8,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_LactateFromMetabolism,brain. LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-41.8,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

       connect(bone.O2Use, busConnector.bone_O2Use)
          annotation (Line(
            points={{54.3,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.O2Use, busConnector.liver_O2Use)
          annotation (Line(
            points={{54.3,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.O2Use, busConnector.kidney_O2Use)
          annotation (Line(
            points={{54.3,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.O2Use, busConnector.GITract_O2Use)
          annotation (Line(
            points={{54.3,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.O2Use, busConnector.fat_O2Use)  annotation (
            Line(
            points={{54.3,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.O2Use, busConnector.otherTissue_O2Use)
          annotation (Line(
            points={{54.3,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_O2Use,skin. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-47.4,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_O2Use,skeletalMuscle. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-45.4,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_O2Use,leftHeart. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-45.4,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_O2Use,rightHeart. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-47.4,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_O2Use,respiratoryMuscle. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-47.4,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_O2Use,brain. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-47.4,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

       connect(bone.O2Need, busConnector.Bone_O2Need)
          annotation (Line(
            points={{51.7,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.O2Need, busConnector.Liver_O2Need)
          annotation (Line(
            points={{51.7,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.O2Need, busConnector.Kidney_O2Need)
          annotation (Line(
            points={{51.7,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.O2Need, busConnector.GITract_O2Need)
          annotation (Line(
            points={{51.7,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.O2Need, busConnector.Fat_O2Need)  annotation (
            Line(
            points={{51.7,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.O2Need, busConnector.OtherO2Need)
          annotation (Line(
            points={{51.7,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Skin_O2Need,skin. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-44.6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.SkeletalMuscle_O2Need,skeletalMuscle. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-42.6,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.LeftHeart_O2Need,leftHeart. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-42.6,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.RightHeart_O2Need,rightHeart. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-44.6,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.RespiratoryMuscle_O2Need,respiratoryMuscle. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-44.6,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Brain_O2Need,brain. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-44.6,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(bone.Fuel_FractUseDelay, busConnector.bone_Fuel_FractUseDelay)
          annotation (Line(
            points={{62.1,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.Fuel_FractUseDelay, busConnector.liver_Fuel_FractUseDelay)
          annotation (Line(
            points={{62.1,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.Fuel_FractUseDelay, busConnector.kidney_Fuel_FractUseDelay)
          annotation (Line(
            points={{62.1,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.Fuel_FractUseDelay, busConnector.GITract_Fuel_FractUseDelay)
          annotation (Line(
            points={{62.1,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.Fuel_FractUseDelay, busConnector.fat_Fuel_FractUseDelay)  annotation (
            Line(
            points={{62.1,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.Fuel_FractUseDelay, busConnector.otherTissue_Fuel_FractUseDelay)
          annotation (Line(
            points={{62.1,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_Fuel_FractUseDelay,skin. Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-55.8,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_Fuel_FractUseDelay,skeletalMuscle. Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-53.8,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_Fuel_FractUseDelay,leftHeart. Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-53.8,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_Fuel_FractUseDelay,rightHeart. Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-55.8,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_Fuel_FractUseDelay,
          respiratoryMuscle.                                                         Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-55.8,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_Fuel_FractUseDelay,brain. Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-55.8,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(brain.ketoAcids, ketoAcids) annotation (Line(
            points={{-32,91.0909},{0,91.0909},{0,86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Insulin,skeletalMuscle. Insulin) annotation (Line(
            points={{-82,116},{-62,116},{-62,-50.3636},{-56.6,-50.3636}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,1},{-6,1}}));
        connect(busConnector.Insulin,respiratoryMuscle. Insulin) annotation (
            Line(
            points={{-82,116},{-62,116},{-62,59.6364},{-58.6,59.6364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow,
          skeletalMuscle.                                                            GlucoseToCellsStorageFlow)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-56.6,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow,
          respiratoryMuscle.GlucoseToCellsStorageFlow) annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-58.6,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(skin.TotalCalsUsed, busConnector.MetabolismCaloriesUsed_SkinHeat)
          annotation (Line(
            points={{-36.2,-96},{-62,-96},{-62,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skeletalMuscle.TotalCalsUsed, Heat.u1) annotation (Line(
            points={{-34.2,-58},{-36,-58},{-36,-61},{-73,-61}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Exercise_Metabolism_MotionWatts, Heat.u2) annotation (Line(
            points={{-82,116},{-62,116},{-62,-56},{-77,-56},{-77,-57}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(Heat.y, busConnector.MetabolismCaloriesUsed_SkeletalMuscleHeat)
          annotation (Line(
            points={{-81.5,-61},{-86,-61},{-86,-66},{-62,-66},{-62,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MetabolicH2ORate.y, busConnector.MetabolicH2O_Rate) annotation (Line(
            points={{88.4,-92},{94,-92},{94,-82},{68,-82},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

       connect(bone.H2OFromMetabolism, MetabolicH2ORate.u[1])
          annotation (Line(
            points={{46.5,88},{68,88},{68,-92.7333},{79.2,-92.7333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.H2OFromMetabolism, MetabolicH2ORate.u[2])
          annotation (Line(
            points={{46.5,44},{68,44},{68,-92.6},{79.2,-92.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.H2OFromMetabolism, MetabolicH2ORate.u[3])
          annotation (Line(
            points={{46.5,10},{68,10},{68,-92.4667},{79.2,-92.4667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.H2OFromMetabolism, MetabolicH2ORate.u[4])
          annotation (Line(
            points={{46.5,-22},{68,-22},{68,-92.3333},{79.2,-92.3333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.H2OFromMetabolism, MetabolicH2ORate.u[5])  annotation (
            Line(
            points={{46.5,-54},{68,-54},{68,-92.2},{79.2,-92.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.H2OFromMetabolism, MetabolicH2ORate.u[6])
          annotation (Line(
            points={{46.5,-88},{68,-88},{68,-92.0667},{79.2,-92.0667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[7],skin. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.9333},{-62,-91.9333},{-62,-96},{-39,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[8],skeletalMuscle. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.8},{-62,-91.8},{-62,-58},{-37,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[9],leftHeart. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.6667},{-62,-91.6667},{-62,-20},{-37,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(MetabolicH2ORate.u[10],rightHeart. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.5333},{-62,-91.5333},{-62,14},{-39,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[11],respiratoryMuscle. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.4},{-62,-91.4},{-62,52},{-39,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[12],brain. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.2667},{-62,-91.2667},{-62,86},{-39,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(liver.GILumenCarbohydrates, GILumenCarbohydrates) annotation (
            Line(
            points={{55.6,67.6364},{56,67.6364},{56,82},{80,82}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(liver.PortalVeinGlucose, busConnector.PortalVein_Glucose)
          annotation (Line(
            points={{59.5,67.6364},{60,67.6364},{60,74},{36,74},{36,116},{-82,
              116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(liver.glucose, glucose) annotation (Line(
            points={{40,67.6364},{24,67.6364},{24,12},{-2,12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(liver.fattyAcids, fattyAcids) annotation (Line(
            points={{40,48.7273},{16,48.7273},{16,-6},{0,-6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(gITract.GIT_GluUse,liver. GITract_GlucoseUsed) annotation (Line(
            points={{48.32,1.63636},{48,1.63636},{48,6},{80,6},{80,50.8545},{
              64.7,50.8545}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.GIT_FatUse,liver. GITract_FatUsed) annotation (Line(
            points={{50.92,1.63636},{82,1.63636},{82,48.2545},{64.7,48.2545}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.FatAbsorbtion, busConnector.FA_Absorbtion) annotation (
            Line(
            points={{64.7,45.8909},{68,45.8909},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(CoreHeat.y, busConnector.MetabolismCaloriesUsed_CoreHeat)         annotation (Line(
            points={{88.4,-98},{94,-98},{94,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(bone.TotalCalsUsed, CoreHeat.u[1])
          annotation (Line(
            points={{43.9,88},{68,88},{68,-98.7273},{79.2,-98.7273}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.TotalCalsUsed, CoreHeat.u[2])
          annotation (Line(
            points={{43.9,44},{68,44},{68,-98.5818},{79.2,-98.5818}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.TotalCalsUsed, CoreHeat.u[3])
          annotation (Line(
            points={{43.9,10},{68,10},{68,-98.4364},{79.2,-98.4364}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.TotalCalsUsed, CoreHeat.u[4])
          annotation (Line(
            points={{43.9,-22},{68,-22},{68,-98.2909},{79.2,-98.2909}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.TotalCalsUsed, CoreHeat.u[5])          annotation (
            Line(
            points={{43.9,-54},{68,-54},{68,-98.1455},{79.2,-98.1455}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.TotalCalsUsed, CoreHeat.u[6])
          annotation (Line(
            points={{43.9,-88},{68,-88},{68,-98},{79.2,-98}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CoreHeat.u[7],leftHeart. TotalCalsUsed)
          annotation (Line(
            points={{79.2,-97.8545},{-62,-97.8545},{-62,-20},{-34.2,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CoreHeat.u[8],rightHeart. TotalCalsUsed)
          annotation (Line(
            points={{79.2,-97.7091},{-62,-97.7091},{-62,14},{-36.2,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CoreHeat.u[9],respiratoryMuscle. TotalCalsUsed)
          annotation (Line(
            points={{79.2,-97.5636},{-62,-97.5636},{-62,52},{-36.2,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CoreHeat.u[10],brain. TotalCalsUsed)
          annotation (Line(
            points={{79.2,-97.4182},{-62,-97.4182},{-62,86},{-36.2,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(rightHeart.MotionCals_, MotionCals.u[1]) annotation (Line(
            points={{-33.4,14},{-12,14},{-12,-84.5333},{-6.8,-84.5333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(leftHeart.MotionCals_, MotionCals.u[2]) annotation (Line(
            points={{-31.4,-20},{-12,-20},{-12,-84},{-6.8,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(respiratoryMuscle.MotionCals_, MotionCals.u[3]) annotation (Line(
            points={{-33.4,52},{-12,52},{-12,-83.4667},{-6.8,-83.4667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MotionCals.y, gain.u) annotation (Line(
            points={{2.4,-84},{7.6,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, CoreHeat.u[11]) annotation (Line(
            points={{12.2,-84},{20,-84},{20,-97.2727},{79.2,-97.2727}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.BloodFlow, busConnector.Liver_BloodFlow) annotation (Line(
            points={{64.7,65.2727},{68,65.2727},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(liver.HepaticArtyBloodFlow, busConnector.HepaticArty_BloodFlow)
          annotation (Line(
            points={{56.38,63.6182},{56.38,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skeletalMuscle.skeletalMuscle_HeatWithoutTermoregulation,
          busConnector.skeletalMuscle_HeatWithoutTermoregulation) annotation (
           Line(
            points={{-31.4,-58},{-30,-58},{-30,-64},{-62,-64},{-62,116},{-82,
                116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_shiveringCals, skeletalMuscle.ShiveringCals)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-27.2},{-56.6,-27.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false,extent={{-100,
                -100},{100,120}}),        graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,120}}),
              graphics={Text(
                extent={{-166,136},{154,108}},
                lineColor={0,0,255},
                textString="%name")}));
      end Metabolism_;

      model NutrientDelivery

      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (extent=
           [-10,-110; 10,-90], Placement(transformation(extent={{-10,-110},{10,
                -90}}, rotation=0)));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput solventFlow
                                      annotation ( extent = [-10,50;10,70], rotation = -90,
        Placement(transformation(
            origin={0,60},
            extent={{-10,-10},{10,10}},
            rotation=270)));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
          Placement(transformation(extent={{-120,-20},{-80,20}}),
            iconTransformation(extent={{-110,-10},{-90,10}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a neededFlow annotation (
          Placement(transformation(extent={{24,-110},{44,-90}}),
            iconTransformation(extent={{-10,-60},{10,-40}})));
      Physiolibrary.Chemical.Components.Stream toCapylaries(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-90,-10},{-70,10}})));
        FuelDeficit fuelDeficit
          annotation (Placement(transformation(extent={{-10,-52},{10,-32}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{-44,10},{-24,-10}})));
        Physiolibrary.Types.RealIO.FractionOutput FuelFractUseDelay
                                                         annotation (Placement(
              transformation(extent={{-80,-60},{-66,-46}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,-70})));
      equation
      connect(solventFlow, toCapylaries.solutionFlow) annotation (Line(
          points={{0,60},{0,28},{-80,28},{-80,7}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(q_in, toCapylaries.q_in) annotation (Line(
            points={{-100,0},{-90,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fuelDeficit.neededFlow, neededFlow) annotation (Line(
            points={{10,-42},{34,-42},{34,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(toCapylaries.q_out, flowMeasure.q_in) annotation (Line(
            points={{-70,0},{-44,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, fuelDeficit.delivered) annotation (Line(
            points={{-24,0},{0,0},{0,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.molarFlowRate, fuelDeficit.maximalDeliveryFlow)
          annotation (Line(
            points={{-34,8},{-34,-36},{-10,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fuelDeficit.FractUseDelay, FuelFractUseDelay) annotation (Line(
            points={{0,-52},{0,-53},{-73,-53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, q_out) annotation (Line(
            points={{-24,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{10,-84},{240,-48}},
                textString="%name",
                lineColor={0,0,255})}),          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end NutrientDelivery;

      model NutrientDelivery2
        extends NutrientDelivery;
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in2 annotation (
          Placement(transformation(extent={{-102,-38},{-82,-18}}),
            iconTransformation(extent={{-110,-50},{-90,-30}})));
      equation
        connect(q_in2, flowMeasure.q_in) annotation (Line(
            points={{-92,-28},{-56,-28},{-56,0},{-44,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      end NutrientDelivery2;

      model FuelDeficit

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a delivered
        "delivery flow is limited" annotation (Placement(transformation(extent=
                {{-38,72},{2,112}}), iconTransformation(extent={{-10,90},{10,
                110}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a neededFlow
        "needed solute mass flow have to be achieved" annotation (Placement(
            transformation(extent={{88,-28},{108,-8}}), iconTransformation(
              extent={{90,-10},{110,10}})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput maximalDeliveryFlow
        "maximal flow limit of delivered connector"                                                 annotation (Placement(
              transformation(extent={{-120,40},{-80,80}}), iconTransformation(extent={
                  {-120,40},{-80,80}})));

        Physiolibrary.Types.RealIO.FractionOutput FractUseDelay(
                                                           start=1)
        "less than 1 if neededFlow is grater than delivered flow"   annotation (
            Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-100})));

        parameter Real Zero = 1e-1;
      equation
        delivered.conc = neededFlow.conc;
        if (not initial()) and ( -neededFlow.q > maximalDeliveryFlow) and ( -neededFlow.q > Zero) then
          delivered.q = maximalDeliveryFlow;
          FractUseDelay*(-neededFlow.q) = delivered.q;
        else
          delivered.q + neededFlow.q = 0;
          FractUseDelay = 1;
        end if;
      end FuelDeficit;

      model LeftHeartMuscle
        extends HeartMuscle;
        extends Physiolibrary.Icons.LeftHeart;
        Modelica.Blocks.Interfaces.RealOutput MotionCals_(
                                                   displayUnit="cal/min")
                                                              annotation (
            Placement(transformation(extent={{-6,60},{6,72}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={90,-100})));
      equation
        connect(motionCals.y, MotionCals_) annotation (Line(
            points={{-28.5,66},{0,66}},
            color={0,0,127},
            smooth=Smooth.None));
      end LeftHeartMuscle;

      model RightHeartMuscle
        extends HeartMuscle;
        extends Physiolibrary.Icons.RightHeart;
        Modelica.Blocks.Interfaces.RealOutput MotionCals_(
                                                   displayUnit="cal/min")
                                                              annotation (
            Placement(transformation(extent={{-2,60},{10,72}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={90,-100})));
      equation
        connect(motionCals.y, MotionCals_) annotation (Line(
            points={{-28.5,66},{4,66}},
            color={0,0,127},
            smooth=Smooth.None));
      end RightHeartMuscle;

      model FuelDeficit2

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a delivered
        "delivery flow is limited" annotation (Placement(transformation(extent=
                {{-38,72},{2,112}}), iconTransformation(extent={{-10,90},{10,
                110}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a neededFlow
        "needed solute mass flow have to be achieved" annotation (Placement(
            transformation(extent={{88,-28},{108,-8}}), iconTransformation(
              extent={{90,-10},{110,10}})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput maximalDeliveryFlow
        "maximal flow limit of delivered connector"                                                 annotation (Placement(
              transformation(extent={{-120,40},{-80,80}}), iconTransformation(extent={
                  {-120,40},{-80,80}})));

        Physiolibrary.Types.RealIO.FractionOutput FractUseDelay
        "less than 1 if neededFlow is grater than delivered flow"   annotation (
            Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-100})));

        parameter Real Zero = 1e-10;
        Physiolibrary.Types.RealIO.ConcentrationInput concChange
        "aditional change of delivered concentration"                                               annotation (Placement(
              transformation(extent={{-120,0},{-80,40}}),  iconTransformation(extent={{-120,
                  -80},{-80,-40}})));
      equation
        delivered.conc  + concChange = neededFlow.conc;
        if ( -neededFlow.q > maximalDeliveryFlow) then
          delivered.q = maximalDeliveryFlow;
          FractUseDelay = delivered.q/(-neededFlow.q);
        else
          delivered.q + neededFlow.q = 0;
          FractUseDelay = 1;
        end if;
      end FuelDeficit2;

      model NutrientDelivery_Fat

      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (extent=
           [-10,-110; 10,-90], Placement(transformation(extent={{-10,-110},{10,
                -90}}, rotation=0)));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput solventFlow
                                      annotation ( extent = [-10,50;10,70], rotation = -90,
        Placement(transformation(
            origin={0,60},
            extent={{-10,-10},{10,10}},
            rotation=270)));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
          Placement(transformation(extent={{-120,-20},{-80,20}}),
            iconTransformation(extent={{-110,-10},{-90,10}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a neededFlow annotation (
          Placement(transformation(extent={{24,-110},{44,-90}}),
            iconTransformation(extent={{-10,-60},{10,-40}})));
      Physiolibrary.Chemical.Components.Stream toCapylaries(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-90,-10},{-70,10}})));
        FuelDeficit2 fuelDeficit
          annotation (Placement(transformation(extent={{-10,-52},{10,-32}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{-44,10},{-24,-10}})));
        Modelica.Blocks.Interfaces.RealOutput FuelFractUseDelay
                                                         annotation (Placement(
              transformation(extent={{-80,-60},{-66,-46}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,-70})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput GITUsed
        "GITract concumption"                                                                                  annotation (Placement(
              transformation(extent={{-94,-50},{-74,-30}}),iconTransformation(extent={{-20,-20},
                  {20,20}},
              rotation=270,
              origin={80,60})));
        Modelica.Blocks.Math.Feedback feedback
          annotation (Placement(transformation(extent={{-54,-40},{-42,-28}})));
        Modelica.Blocks.Math.Division division
          annotation (Placement(transformation(extent={{-32,-50},{-22,-40}})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput FatAbsorbtion
        "fat from GILumen absorbtion"                                                                 annotation (Placement(
              transformation(extent={{-94,-36},{-74,-16}}),iconTransformation(extent={{-20,-20},
                  {20,20}},
              rotation=270,
              origin={40,60})));
      equation
      connect(solventFlow, toCapylaries.solutionFlow) annotation (Line(
          points={{0,60},{0,28},{-80,28},{-80,4}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(q_in, toCapylaries.q_in) annotation (Line(
            points={{-100,0},{-90,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(fuelDeficit.neededFlow, neededFlow) annotation (Line(
            points={{10,-42},{34,-42},{34,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(toCapylaries.q_out, flowMeasure.q_in) annotation (Line(
            points={{-70,0},{-44,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, fuelDeficit.delivered) annotation (Line(
            points={{-24,0},{0,0},{0,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.molarFlowRate, fuelDeficit.maximalDeliveryFlow)
          annotation (Line(
            points={{-34,6},{-34,-36},{-10,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fuelDeficit.FractUseDelay, FuelFractUseDelay) annotation (Line(
            points={{0,-52},{0,-53},{-73,-53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flowMeasure.q_out, q_out) annotation (Line(
            points={{-24,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GITUsed, feedback.u2) annotation (Line(
            points={{-84,-40},{-49,-40},{-49,-38.8},{-48,-38.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, division.u1) annotation (Line(
            points={{-42.6,-34},{-38,-34},{-38,-42},{-33,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(solventFlow, division.u2) annotation (Line(
            points={{0,60},{0,28},{-40,28},{-40,-48},{-33,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.y, fuelDeficit.concChange) annotation (Line(
            points={{-21.5,-45},{-15.75,-45},{-15.75,-48},{-10,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FatAbsorbtion, feedback.u1) annotation (Line(
            points={{-84,-26},{-68,-26},{-68,-34},{-52.8,-34}},
            color={0,0,127},
            smooth=Smooth.None));
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{10,-84},{240,-48}},
                textString="%name",
                lineColor={0,0,255})}),          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end NutrientDelivery_Fat;

      model NutrientDelivery_2

      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out
        "Base plasma pool of glucose, outflow of glucose to plasma pool from tissue"
        annotation (extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0)));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput solventFlow
        "Portal vein plus hepatic artery plasma flow"
                                      annotation ( extent = [-10,50;10,70], rotation = -90,
        Placement(transformation(
            origin={0,60},
            extent={{-10,-10},{10,10}},
            rotation=270)));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "Base plasma pool of glucose, delivery of glucose minus absorbtion from GI lumen"
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}}),
            iconTransformation(extent={{-110,-10},{-90,10}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a neededFlow
        "Glucose flow to metabolism, its concentration in tissue" annotation (
          Placement(transformation(extent={{24,-110},{44,-90}}),
            iconTransformation(extent={{-10,-60},{10,-40}})));
        Physiolibrary.Types.RealIO.FractionOutput FuelFractUseDelay
        "1 if enough glucose delivery"                   annotation (Placement(
              transformation(extent={{-80,-60},{-66,-46}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,-70})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput GITUsed
        "Negative GITract consumption"                                                                                  annotation (Placement(
              transformation(extent={{-94,-50},{-74,-30}}),iconTransformation(extent={{-20,-20},
                  {20,20}},
              rotation=270,
              origin={80,60})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a fromGILumen
        "Absorbtion flow of glucose from gastro intestinal lumen and GIT glucose concentration"
        annotation (Placement(transformation(extent={{-92,-28},{-72,-8}}),
            iconTransformation(extent={{-110,-50},{-90,-30}})));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput HepaticArty
        "Hepatic artery plasma flow"                                                                         annotation (Placement(
              transformation(extent={{-96,44},{-76,64}}),  iconTransformation(extent={{-20,-20},
                  {20,20}},
              rotation=270,
              origin={-80,60})));

        Physiolibrary.Types.MolarFlowRate consumption;
      //  Real fromGILumen_conc;
        Physiolibrary.Types.MolarFlowRate delivery; //(start=300);

      equation
      //  delivered.conc  = neededFlow.conc + concChange;
        if ( -neededFlow.q > delivery) then
          consumption = delivery;
          FuelFractUseDelay = consumption/(-neededFlow.q);
        else
          consumption + neededFlow.q = 0;
          FuelFractUseDelay = 1;
        end if;
        delivery = q_in.q + fromGILumen.q + GITUsed;

        consumption = q_in.q + q_out.q + fromGILumen.q;

        neededFlow.conc * solventFlow = - q_out.q;

        q_in.q = q_in.conc * solventFlow;

      //calculation of glucose concentration in gartro intestinal tract:  fromGILumen.conc
        q_in.conc = fromGILumen.conc;
      //  fromGILumen.q + q_in.conc * (solventFlow-HepaticArty) + GITUsed = fromGILumen.conc * (solventFlow-HepaticArty);

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{10,-84},{240,-48}},
                textString="%name",
                lineColor={0,0,255})}),          Documentation(revisions="<html>
<p><i>2012</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end NutrientDelivery_2;

      model Metabolism
        import QHP = Physiomodel;
        extends Physiolibrary.Icons.Tissues;
        Physiomodel.Metabolism.TissueMetabolism.Bone bone(
          NormalCalsUsed=69.8614,
          initialTissueO2(displayUnit="ml_STP") = 0.0002012244908654,
          DC(displayUnit="ml/min") = 3e-06,
          BasalCalsUsed=0.6126684,
          TissueSize=8.558)
          annotation (Placement(transformation(extent={{66,88},{40,114}})));
        //initialLactateMass=3.00477
        Physiomodel.Metabolism.TissueMetabolism.Brain brain(
          PO2OnAerobicFractionData={{2.0,0.0,0},{20.0,1.0,0}},
          NormalCalsUsed=193.709,
        DC(displayUnit="ml/min") = 3e-06,
          BasalCalsUsed=12.4431696,
          TissueSize=1.1572)
          annotation (Placement(transformation(extent={{-60,86},{-32,114}})));
          //initialLactateMass=0.850703,
        Physiomodel.Metabolism.TissueMetabolism.Fat fat(
          NormalCalsUsed=29.9658,
          initialTissueO2(displayUnit="ml_STP") = 0.00096297146941496,
          DC(displayUnit="ml/min") = 4.5e-06,
          BasalCalsUsed=0.136071,
          TissueSize=16.6)
          annotation (Placement(transformation(extent={{66,-54},{40,-28}})));
      //   initialLactateMass=2.73208,

        Physiomodel.Metabolism.TissueMetabolism.GITract gITract(
          NormalCalsUsed=92.7945,
          initialTissueO2(displayUnit="ml_STP") = 8.0401733111647e-05,
          DC(displayUnit="ml/min") = 3e-06,
          BasalCalsUsed=5.4191148,
          TissueSize=1.2716)
          annotation (Placement(transformation(extent={{66,-22},{40,4}})));
      //    initialLactateMass=0.934802)
        Physiomodel.Metabolism.TissueMetabolism.Kidney kidney(
          PO2OnAerobicFractionData={{2.0,0.0,0},{20.0,1.0,0}},
          NormalCalsUsed=36.8312,
          initialTissueO2(displayUnit="ml_STP") = 2.1135176283456e-05,
          DC(displayUnit="ml/min") = 3.3333333333333e-07,
          BasalCalsUsed=11.40903,
          TissueSize=0.2552)
          annotation (Placement(transformation(extent={{66,10},{40,36}})));
      //    initialLactateMass=0.187607)
        Physiomodel.Metabolism.TissueMetabolism.Liver liver(
          PO2OnAerobicFractionData={{2.0,0.0,0},{10.0,1.0,0}},
          NormalCalsUsed=147.338,
          initialTissueO2(displayUnit="ml_STP") = 0.00013033358708131,
          DC(displayUnit="ml/min") = 1.6666666666667e-06,
          BasalCalsUsed=7.1357028,
          TissueSize=1.5422)
          annotation (Placement(transformation(extent={{66,44},{40,70}})));
       //   initialLactateMass=1.13373)
        Physiomodel.Metabolism.TissueMetabolism.OtherTissue otherTissue(
          NormalCalsUsed=39.1075,
          initialTissueO2(displayUnit="ml_STP") = 0.00022235966714886,
          DC(displayUnit="ml/min") = 4.5e-06,
          BasalCalsUsed=0.7933986,
          TissueSize=3.63)
          annotation (Placement(transformation(extent={{66,-88},{40,-62}})));
      //    initialLactateMass=2.66855)
        Physiomodel.Metabolism.TissueMetabolism.RespiratoryMuscle respiratoryMuscle(
          NormalCalsUsed=6.27882,
        DC(displayUnit="ml/min") = 4.5e-06,
          initialTissueO2(displayUnit="ml_STP") = 2.5098021836604e-05,
          BasalCalsUsed=0.1584006,
          TissueSize=3.08)
          annotation (Placement(transformation(extent={{-60,52},{-32,80}})));
      //    initialLactateMass=2.66976)
        Physiomodel.Metabolism.TissueMetabolism.RightHeartMuscle rightHeart(
          NormalCalsUsed=2.34779,
        DC(displayUnit="ml/min") = 5e-08,
          initialTissueO2(displayUnit="ml_STP") = 8.8063234514399e-07,
          MotionCals(displayUnit="cal/min") = 0.3489,
          HeatCals(displayUnit="cal/min") = 1.18626,
          BasalCalsUsed=5.5398342,
          TissueSize=0.0385)
          annotation (Placement(transformation(extent={{-60,14},{-32,42}})));
      //    ,Lactate(stateName="RightHeart-Lactate.Mass")
      //    initialLactateMass=2.8e-002,
        Physiomodel.Metabolism.TissueMetabolism.LeftHeartMuscle leftHeart(
          DC=18,
          NormalCalsUsed=15.7067,
          initialTissueO2(displayUnit="ml_STP") = 5.063635984578e-06,
          MotionCals(displayUnit="cal/min") = 1.67472,
          HeatCals(displayUnit="cal/min") = 6.07086,
          BasalCalsUsed=6.0959808,
          TissueSize=0.231)
          annotation (Placement(transformation(extent={{-58,-20},{-30,8}})));
      //    ,Lactate(stateName="LeftHeart-Lactate.Mass")
      //    initialLactateMass=0.169817,
        Physiomodel.Metabolism.TissueMetabolism.SkeletalMuscleMetabolism skeletalMuscle(
          PO2OnAerobicFractionData={{0.0,0.0,0},{15.0,0.2,0.04},{20.0,1.0,0}},
          NormalCalsUsed=145.228,
          initialTissueO2(displayUnit="ml_STP") = 0.0023056275744387,
          DC(displayUnit="ml/min") = 3.125e-05,
          BasalCalsUsed=0.411702,
          TissueSize=27.4)
          annotation (Placement(transformation(extent={{-58,-58},{-30,-30}})));
      //    initialLactateMass=23.7503)
        Physiomodel.Metabolism.TissueMetabolism.Skin skin(
          PO2OnAerobicFractionData={{2.0,0.0,0},{20.0,1.0,0}},
          HeatMetabolism_Skin(data={{10.0+273.15,0.0,0},{29.5+273.15,1.0,0.12},{40.0+273.15,1.5,0},{
                46.0+273.15,0.0,0}}),
          NormalCalsUsed=31.2457,
          initialTissueO2(displayUnit="ml_STP") = 8.1018175753247e-05,
          DC(displayUnit="ml/min") = 4.5e-06,
          BasalCalsUsed=0.9622662,
          TissueSize=2.244)
          annotation (Placement(transformation(extent={{-60,-96},{-32,-68}})));
      //    initialLactateMass=1.64965)
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a glucose
             annotation (
          Placement(transformation(extent={{-12,2},{8,22}}), iconTransformation(
              extent={{90,-20},{110,0}})));                   //(conc(final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a fattyAcids
             annotation (
          Placement(transformation(extent={{-10,-16},{10,4}}),
            iconTransformation(extent={{90,70},{110,90}})));     //(conc(final       displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a ketoAcids
             annotation (
          Placement(transformation(extent={{-10,76},{10,96}}),
            iconTransformation(extent={{90,20},{110,40}})));    //(conc(final     displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-92,106},{-72,126}}), iconTransformation(
              extent={{-92,80},{-72,100}})));
              Physiolibrary.Chemical.Interfaces.ChemicalPort_a GILumenCarbohydrates
        annotation (Placement(transformation(extent={{70,72},{90,92}}),
            iconTransformation(extent={{-70,-110},{-50,-90}})));
              //(    conc(final displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a lactate
             annotation (
          Placement(transformation(extent={{-10,56},{10,76}}),
            iconTransformation(extent={{90,-70},{110,-50}})));//(conc(final       displayUnit="mEq/ml"), q(final displayUnit="mEq/min"))
        Modelica.Blocks.Math.Feedback Heat annotation (Placement(transformation(
              extent={{-5,-5},{5,5}},
              rotation=180,
              origin={-77,-61})));
        Modelica.Blocks.Math.Sum MetabolicH2ORate(nin=12)
          annotation (Placement(transformation(extent={{80,-96},{88,-88}})));
        Modelica.Blocks.Math.Sum CoreHeat(nin=11)
          annotation (Placement(transformation(extent={{80,-102},{88,-94}})));
        Modelica.Blocks.Math.Sum MotionCals(nin=3)
          annotation (Placement(transformation(extent={{-6,-88},{2,-80}})));
        Modelica.Blocks.Math.Gain gain(k=-1)
          annotation (Placement(transformation(extent={{8,-86},{12,-82}})));

       Physiolibrary.Types.MolarFlowRate tissuesO2Use,tissueCO2Produce;
      equation
        tissuesO2Use = brain.O2Use + fat.O2Use + gITract.O2Use + kidney.O2Use + liver.O2Use + otherTissue.O2Use + respiratoryMuscle.O2Use + leftHeart.O2Use + rightHeart.O2Use + skeletalMuscle.O2Use + skin.O2Use + bone.O2Use;
        tissueCO2Produce = brain.Tissue_CO2FromMetabolism + fat.Tissue_CO2FromMetabolism + gITract.Tissue_CO2FromMetabolism + kidney.Tissue_CO2FromMetabolism + liver.Tissue_CO2FromMetabolism + otherTissue.Tissue_CO2FromMetabolism + respiratoryMuscle.Tissue_CO2FromMetabolism + leftHeart.Tissue_CO2FromMetabolism + rightHeart.Tissue_CO2FromMetabolism + skeletalMuscle.Tissue_CO2FromMetabolism + skin.Tissue_CO2FromMetabolism + bone.Tissue_CO2FromMetabolism;

        connect(brain.glucose, glucose) annotation (Line(
            points={{-32,111.455},{-28,111.455},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(respiratoryMuscle.glucose, glucose) annotation (Line(
            points={{-32,77.4545},{-28,77.4545},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(rightHeart.glucose, glucose) annotation (Line(
            points={{-32,39.4545},{-28,39.4545},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(leftHeart.glucose, glucose) annotation (Line(
            points={{-30,5.45455},{-28,5.45455},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skeletalMuscle.glucose, glucose) annotation (Line(
            points={{-30,-32.5455},{-28,-32.5455},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skin.glucose, glucose) annotation (Line(
            points={{-32,-70.5455},{-28,-70.5455},{-28,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(bone.glucose, glucose) annotation (Line(
            points={{40,111.636},{24,111.636},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(kidney.glucose, glucose) annotation (Line(
            points={{40,33.6364},{24,33.6364},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(gITract.glucose, glucose) annotation (Line(
            points={{40,1.63636},{24,1.63636},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(fat.glucose, glucose) annotation (Line(
            points={{40,-30.3636},{24,-30.3636},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(otherTissue.glucose, glucose) annotation (Line(
            points={{40,-64.3636},{24,-64.3636},{24,12},{-2,12}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(brain.lactate, lactate) annotation (Line(
            points={{-32,101.273},{-24,101.273},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(respiratoryMuscle.lactate, lactate) annotation (Line(
            points={{-32,67.2727},{-24,67.2727},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(leftHeart.lactate, lactate) annotation (Line(
            points={{-30,-4.72727},{-24,-4.72727},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(rightHeart.lactate, lactate) annotation (Line(
            points={{-32,29.2727},{-24,29.2727},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skeletalMuscle.lactate, lactate) annotation (Line(
            points={{-30,-42.7273},{-24,-42.7273},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skin.lactate, lactate) annotation (Line(
            points={{-32,-80.7273},{-24,-80.7273},{-24,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(bone.lactate, lactate) annotation (Line(
            points={{40,102.182},{20,102.182},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(liver.lactate, lactate) annotation (Line(
            points={{40,58.1818},{20,58.1818},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(kidney.lactate, lactate) annotation (Line(
            points={{40,24.1818},{20,24.1818},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(gITract.lactate, lactate) annotation (Line(
            points={{40,-7.81818},{20,-7.81818},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(fat.lactate, lactate) annotation (Line(
            points={{40,-39.8182},{20,-39.8182},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(otherTissue.lactate, lactate) annotation (Line(
            points={{40,-73.8182},{20,-73.8182},{20,66},{0,66}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(respiratoryMuscle.fattyAcids, fattyAcids) annotation (Line(
            points={{-32,57.0909},{-20,57.0909},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(rightHeart.fattyAcids, fattyAcids) annotation (Line(
            points={{-32,19.0909},{-20,19.0909},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(leftHeart.fattyAcids, fattyAcids) annotation (Line(
            points={{-30,-14.9091},{-20,-14.9091},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skeletalMuscle.fattyAcids, fattyAcids) annotation (Line(
            points={{-30,-52.9091},{-20,-52.9091},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(skin.fattyAcids, fattyAcids) annotation (Line(
            points={{-32,-90.9091},{-20,-90.9091},{-20,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(bone.fattyAcids, fattyAcids) annotation (Line(
            points={{40,92.7273},{16,92.7273},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(kidney.fattyAcids, fattyAcids) annotation (Line(
            points={{40,14.7273},{16,14.7273},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(gITract.fattyAcids, fattyAcids) annotation (Line(
            points={{40,-17.2727},{16,-17.2727},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(fat.fattyAcids, fattyAcids) annotation (Line(
            points={{40,-49.2727},{16,-49.2727},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(otherTissue.fattyAcids, fattyAcids) annotation (Line(
            points={{40,-83.2727},{16,-83.2727},{16,-6},{0,-6}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));

        connect(busConnector.Brain_LiquidVol,brain. LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,103.818},{-58.6,103.818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_LiquidVol,respiratoryMuscle. LiquidVol)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,69.8182},{-58.6,69.8182}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RightHeart_LiquidVol,rightHeart. LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,31.8182},{-58.6,31.8182}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.LeftHeart_LiquidVol,leftHeart. LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-2.18182},{-56.6,-2.18182}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.SkeletalMuscle_LiquidVol,skeletalMuscle. LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-40.1818},{-56.6,-40.1818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(bone.LiquidVol, busConnector.Bone_LiquidVol)  annotation (Line(
            points={{64.7,104.545},{68,104.545},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(liver.LiquidVol, busConnector.Liver_LiquidVol)  annotation (Line(
            points={{64.7,60.5455},{68,60.5455},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(gITract.LiquidVol, busConnector.GITract_LiquidVol)  annotation (Line(
            points={{64.7,-5.45455},{68,-5.45455},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(fat.LiquidVol, busConnector.Fat_LiquidVol)  annotation (Line(
            points={{64.7,-37.4545},{68,-37.4545},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(otherTissue.LiquidVol, busConnector.OtherTissue_LiquidVol)  annotation (Line(
            points={{64.7,-71.4545},{68,-71.4545},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.LiquidVol, busConnector.Kidney_LiquidVol)  annotation (Line(
            points={{64.7,26.5455},{68,26.5455},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Skin_LiquidVol,skin. LiquidVol)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-78.1818},{-58.6,-78.1818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(busConnector.LeftHeart_BloodFlow,leftHeart. BloodFlow)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,2.90909},{-56.6,2.90909}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RightHeart_BloodFlow,rightHeart. BloodFlow)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,36.9091},{-58.6,36.9091}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.Brain_BloodFlow,brain. BloodFlow)  annotation (
            Line(
            points={{-82,116},{-62,116},{-62,108.909},{-58.6,108.909}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_BloodFlow,respiratoryMuscle. BloodFlow)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,74.9091},{-58.6,74.9091}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
           connect(busConnector.SkeletalMuscle_BloodFlow,skeletalMuscle. BloodFlow)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-35.0909},{-56.6,-35.0909}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
       connect(busConnector.Skin_BloodFlow,skin. BloodFlow)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-73.0909},{-58.6,-73.0909}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(bone.BloodFlow, busConnector.Bone_BloodFlow)  annotation (Line(
            points={{64.7,109.273},{68,109.273},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.BloodFlow, busConnector.Kidney_BloodFlow)  annotation (Line(
            points={{64.7,31.2727},{68,31.2727},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(gITract.BloodFlow, busConnector.GITract_BloodFlow)  annotation (
            Line(
            points={{64.7,-0.727273},{68,-0.727273},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(fat.BloodFlow, busConnector.Fat_BloodFlow)  annotation (Line(
            points={{64.7,-32.7273},{68,-32.7273},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(otherTissue.BloodFlow, busConnector.OtherTissue_BloodFlow)
          annotation (Line(
            points={{64.7,-66.7273},{68,-66.7273},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));

        connect(bone.Structure_Effect, busConnector.Bone_StructureEffect)
          annotation (Line(
            points={{64.7,102.182},{68,102.182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(liver.Structure_Effect, busConnector.Liver_StructureEffect)
          annotation (Line(
            points={{64.7,58.1818},{68,58.1818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.Structure_Effect, busConnector.Kidney_StructureEffect)
          annotation (Line(
            points={{64.7,24.1818},{68,24.1818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(gITract.Structure_Effect, busConnector.GITract_StructureEffect)
          annotation (Line(
            points={{64.7,-7.81818},{68,-7.81818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(fat.Structure_Effect, busConnector.Fat_StructureEffect)  annotation (
            Line(
            points={{64.7,-39.8182},{68,-39.8182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(otherTissue.Structure_Effect, busConnector.OtherTissue_StructureEffect)
          annotation (Line(
            points={{64.7,-73.8182},{68,-73.8182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Skin_StructureEffect,skin. Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-80.7273},{-58.6,-80.7273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.SkeletalMuscle_StructureEffect,skeletalMuscle. Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-42.7273},{-56.6,-42.7273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.LeftHeart_StructureEffect,leftHeart. Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-4.72727},{-56.6,-4.72727}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
          connect(busConnector.RightHeart_StructureEffect,rightHeart. Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,29.2727},{-58.6,29.2727}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.RespiratoryMuscle_StructureEffect,
          respiratoryMuscle.                                                      Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,67.2727},{-58.6,67.2727}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.Brain_StructureEffect,brain. Structure_Effect)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,101.273},{-58.6,101.273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(kidney.PT_Na_Reab, busConnector.PT_Na_Reab)  annotation (Line(
            points={{64.7,14.7273},{68,14.7273},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.LH_Na_Reab, busConnector.LH_Na_Reab)  annotation (Line(
            points={{64.7,36},{68,36},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.DT_Na_Reab, busConnector.DT_Na_Reab)  annotation (Line(
            points={{64.7,17.0909},{68,17.0909},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Exercise_Metabolism_MotionWatts,skeletalMuscle. ExerciseMetabolism_MotionCals)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-52.9091},{-56.6,-52.9091}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(busConnector.BloodVol_PVCrit,brain. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,111.455},{-58.6,111.455}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,respiratoryMuscle. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,77.4545},{-58.6,77.4545}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,rightHeart. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,39.4545},{-58.6,39.4545}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,leftHeart. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,5.45455},{-56.6,5.45455}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,skeletalMuscle. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-32.5455},{-56.6,-32.5455}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,skin. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-70.5455},{-58.6,-70.5455}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,bone. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{68,116},{68,111.636},{64.7,111.636}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,liver. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{68,116},{68,67.6364},{64.7,67.6364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gITract.BloodVol_PVCrit, busConnector.BloodVol_PVCrit)  annotation (Line(
            points={{64.7,1.63636},{68,1.63636},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(otherTissue.BloodVol_PVCrit, busConnector.BloodVol_PVCrit)  annotation (Line(
            points={{64.7,-64.3636},{68,-64.3636},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(fat.BloodVol_PVCrit, busConnector.BloodVol_PVCrit)  annotation (Line(
            points={{64.7,-30.3636},{68,-30.3636},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.BloodVol_PVCrit,kidney. BloodVol_PVCrit)  annotation (Line(
            points={{-82,116},{68,116},{68,33.6364},{64.7,33.6364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(busConnector.Thyroxine,brain. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,96.1818},{-58.6,96.1818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,respiratoryMuscle. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,62.1818},{-58.6,62.1818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,rightHeart. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,24.1818},{-58.6,24.1818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,leftHeart. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-9.81818},{-56.6,-9.81818}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,skeletalMuscle. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-47.8182},{-56.6,-47.8182}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,skin. Thyroxine)  annotation (Line(
            points={{-82,116},{-62,116},{-62,-85.8182},{-58.6,-85.8182}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,bone. Thyroxine)  annotation (Line(
            points={{-82,116},{68,116},{68,97.4545},{64.7,97.4545}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,liver. Thyroxine)  annotation (Line(
            points={{-82,116},{68,116},{68,53.4545},{64.7,53.4545}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gITract.Thyroxine, busConnector.Thyroxine)  annotation (Line(
            points={{64.7,-12.5455},{68,-12.5455},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(otherTissue.Thyroxine, busConnector.Thyroxine)  annotation (Line(
            points={{64.7,-78.5455},{68,-78.5455},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(fat.Thyroxine, busConnector.Thyroxine)  annotation (Line(
            points={{64.7,-44.5455},{68,-44.5455},{68,116},{-82,116}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.Thyroxine,kidney. Thyroxine)  annotation (Line(
            points={{-82,116},{68,116},{68,19.4545},{64.7,19.4545}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(bone.pO2, busConnector.bone.pO2)
          annotation (Line(
            points={{64.7,106.909},{68,106.909},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(liver.pO2, busConnector.Liver_PO2)
          annotation (Line(
            points={{64.7,62.9091},{68,62.9091},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.pO2, busConnector.Kidney_PO2)
          annotation (Line(
            points={{64.7,28.9091},{68,28.9091},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(gITract.pO2, busConnector.GITract.pO2)
          annotation (Line(
            points={{64.7,-3.09091},{68,-3.09091},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(fat.pO2, busConnector.fat.pO2)  annotation (
            Line(
            points={{64.7,-35.0909},{68,-35.0909},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(otherTissue.pO2, busConnector.otherTissue.pO2)
          annotation (Line(
            points={{64.7,-69.0909},{68,-69.0909},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.Skin_PO2,skin. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-75.6364},{-58.6,-75.6364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.skeletalMuscle.pO2,skeletalMuscle. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-37.6364},{-56.6,-37.6364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.LeftHeart_PO2,leftHeart. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,0.363636},{-56.6,0.363636}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
          connect(busConnector.RightHeart_PO2,rightHeart. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,34.3636},{-58.6,34.3636}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.respiratoryMuscle.pO2,respiratoryMuscle. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,72.3636},{-58.6,72.3636}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.brain.pO2,brain. pO2)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,106.364},{-58.6,106.364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

      connect(bone.T, busConnector.bone_T)
          annotation (Line(
            points={{64.7,99.8182},{68,99.8182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(liver.T, busConnector.liver_T)
          annotation (Line(
            points={{64.7,55.8182},{68,55.8182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(kidney.T, busConnector.kidney_T)
          annotation (Line(
            points={{64.7,21.8182},{68,21.8182},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(gITract.T, busConnector.GITract_T)
          annotation (Line(
            points={{64.7,-10.1818},{68,-10.1818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(fat.T, busConnector.fat_T)  annotation (
            Line(
            points={{64.7,-42.1818},{68,-42.1818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(otherTissue.T, busConnector.otherTissue_T)
          annotation (Line(
            points={{64.7,-76.1818},{68,-76.1818},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{5,0},{5,0}}));
        connect(busConnector.skin_T,skin. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-83.2727},{-58.6,-83.2727}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.skeletalMuscle_T,skeletalMuscle. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-45.2727},{-56.6,-45.2727}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.leftHeart_T,leftHeart. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-7.27273},{-56.6,-7.27273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
          connect(busConnector.rightHeart_T,rightHeart. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,26.7273},{-58.6,26.7273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.respiratoryMuscle_T,respiratoryMuscle. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,64.7273},{-58.6,64.7273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));
        connect(busConnector.brain_T,brain. T)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,98.7273},{-58.6,98.7273}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-5,0},{-5,0}}));

        connect(bone.cLactate, busConnector.bone_cLactate)
          annotation (Line(
            points={{56.9,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.cLactate, busConnector.liver_cLactate)
          annotation (Line(
            points={{56.9,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.cLactate, busConnector.kidney_cLactate)
          annotation (Line(
            points={{56.9,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.cLactate, busConnector.GITract_cLactate)
          annotation (Line(
            points={{56.9,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.cLactate, busConnector.fat_cLactate)  annotation (
            Line(
            points={{56.9,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.cLactate, busConnector.otherTissue_cLactate)
          annotation (Line(
            points={{56.9,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_cLactate,skin. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-50.2,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_cLactate,skeletalMuscle. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-48.2,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_cLactate,leftHeart. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-48.2,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_cLactate,rightHeart. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-50.2,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_cLactate,respiratoryMuscle. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-50.2,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_cLactate,brain. cLactate)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-50.2,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(bone.Tissue_CO2FromMetabolism, busConnector.bone_CO2FromMetabolism)
          annotation (Line(
            points={{59.5,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.Tissue_CO2FromMetabolism, busConnector.liver_CO2FromMetabolism)
          annotation (Line(
            points={{59.5,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.Tissue_CO2FromMetabolism, busConnector.kidney_CO2FromMetabolism)
          annotation (Line(
            points={{59.5,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.Tissue_CO2FromMetabolism, busConnector.GITract_CO2FromMetabolism)
          annotation (Line(
            points={{59.5,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.Tissue_CO2FromMetabolism, busConnector.fat_CO2FromMetabolism)  annotation (
            Line(
            points={{59.5,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.Tissue_CO2FromMetabolism, busConnector.otherTissue_CO2FromMetabolism)
          annotation (Line(
            points={{59.5,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_CO2FromMetabolism,skin. Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-53,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_CO2FromMetabolism,skeletalMuscle. Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-51,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_CO2FromMetabolism,leftHeart. Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-51,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_CO2FromMetabolism,rightHeart. Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-53,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_CO2FromMetabolism,
          respiratoryMuscle.                                                        Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-53,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_CO2FromMetabolism,brain. Tissue_CO2FromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-53,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

       connect(bone.LactateFromMetabolism, busConnector.bone_LactateFromMetabolism)
          annotation (Line(
            points={{49.1,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.LactateFromMetabolism, busConnector.liver_LactateFromMetabolism)
          annotation (Line(
            points={{49.1,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.LactateFromMetabolism, busConnector.kidney_LactateFromMetabolism)
          annotation (Line(
            points={{49.1,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.LactateFromMetabolism, busConnector.GITract_LactateFromMetabolism)
          annotation (Line(
            points={{49.1,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.LactateFromMetabolism, busConnector.fat_LactateFromMetabolism)  annotation (
            Line(
            points={{49.1,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.LactateFromMetabolism, busConnector.otherTissue_LactateFromMetabolism)
          annotation (Line(
            points={{49.1,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_LactateFromMetabolism,skin. LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-41.8,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_LactateFromMetabolism,
          skeletalMuscle.                                                         LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-39.8,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_LactateFromMetabolism,leftHeart. LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-39.8,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_LactateFromMetabolism,rightHeart. LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-41.8,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_LactateFromMetabolism,
          respiratoryMuscle.                                                            LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-41.8,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_LactateFromMetabolism,brain. LactateFromMetabolism)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-41.8,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

       connect(bone.O2Use, busConnector.bone_O2Use)
          annotation (Line(
            points={{54.3,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.O2Use, busConnector.liver_O2Use)
          annotation (Line(
            points={{54.3,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.O2Use, busConnector.kidney_O2Use)
          annotation (Line(
            points={{54.3,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.O2Use, busConnector.GITract_O2Use)
          annotation (Line(
            points={{54.3,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.O2Use, busConnector.fat_O2Use)  annotation (
            Line(
            points={{54.3,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.O2Use, busConnector.otherTissue_O2Use)
          annotation (Line(
            points={{54.3,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_O2Use,skin. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-47.4,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_O2Use,skeletalMuscle. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-45.4,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_O2Use,leftHeart. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-45.4,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_O2Use,rightHeart. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-47.4,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_O2Use,respiratoryMuscle. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-47.4,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_O2Use,brain. O2Use)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-47.4,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

       connect(bone.O2Need, busConnector.bone.O2Need)
          annotation (Line(
            points={{51.7,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.O2Need, busConnector.Liver_O2Need)
          annotation (Line(
            points={{51.7,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.O2Need, busConnector.Kidney_O2Need)
          annotation (Line(
            points={{51.7,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.O2Need, busConnector.GITract.O2Need)
          annotation (Line(
            points={{51.7,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.O2Need, busConnector.fat.O2Need)  annotation (
            Line(
            points={{51.7,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.O2Need, busConnector.otherTissue.O2Need)
          annotation (Line(
            points={{51.7,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Skin_O2Need,skin. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-44.6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle.O2Need,skeletalMuscle. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-42.6,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.LeftHeart_O2Need,leftHeart. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-42.6,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.RightHeart_O2Need,rightHeart. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-44.6,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle.O2Need,respiratoryMuscle. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-44.6,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain.O2Need,brain. O2Need)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-44.6,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(bone.Fuel_FractUseDelay, busConnector.bone_Fuel_FractUseDelay)
          annotation (Line(
            points={{62.1,88},{68,88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.Fuel_FractUseDelay, busConnector.liver_Fuel_FractUseDelay)
          annotation (Line(
            points={{62.1,44},{68,44},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.Fuel_FractUseDelay, busConnector.kidney_Fuel_FractUseDelay)
          annotation (Line(
            points={{62.1,10},{68,10},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.Fuel_FractUseDelay, busConnector.GITract_Fuel_FractUseDelay)
          annotation (Line(
            points={{62.1,-22},{68,-22},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.Fuel_FractUseDelay, busConnector.fat_Fuel_FractUseDelay)  annotation (
            Line(
            points={{62.1,-54},{68,-54},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.Fuel_FractUseDelay, busConnector.otherTissue_Fuel_FractUseDelay)
          annotation (Line(
            points={{62.1,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_Fuel_FractUseDelay,skin. Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-96},{-55.8,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_Fuel_FractUseDelay,skeletalMuscle. Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-53.8,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.leftHeart_Fuel_FractUseDelay,leftHeart. Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-20},{-53.8,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(busConnector.rightHeart_Fuel_FractUseDelay,rightHeart. Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,14},{-55.8,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_Fuel_FractUseDelay,
          respiratoryMuscle.                                                         Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-55.8,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.brain_Fuel_FractUseDelay,brain. Fuel_FractUseDelay)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,86},{-55.8,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(brain.ketoAcids, ketoAcids) annotation (Line(
            points={{-32,91.0909},{0,91.0909},{0,86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Insulin,skeletalMuscle. Insulin) annotation (Line(
            points={{-82,116},{-62,116},{-62,-50.3636},{-56.6,-50.3636}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,1},{-6,1}}));
        connect(busConnector.Insulin,respiratoryMuscle. Insulin) annotation (
            Line(
            points={{-82,116},{-62,116},{-62,59.6364},{-58.6,59.6364}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow,
          skeletalMuscle.                                                            GlucoseToCellsStorageFlow)
          annotation (Line(
            points={{-82,116},{-62,116},{-62,-58},{-56.6,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow,
          respiratoryMuscle.GlucoseToCellsStorageFlow) annotation (Line(
            points={{-82,116},{-62,116},{-62,52},{-58.6,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(skin.TotalCalsUsed, busConnector.MetabolismCaloriesUsed_SkinHeat)
          annotation (Line(
            points={{-36.2,-96},{-62,-96},{-62,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skeletalMuscle.TotalCalsUsed, Heat.u1) annotation (Line(
            points={{-34.2,-58},{-36,-58},{-36,-61},{-73,-61}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Exercise_Metabolism_MotionWatts, Heat.u2) annotation (Line(
            points={{-82,116},{-62,116},{-62,-56},{-77,-56},{-77,-57}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(Heat.y, busConnector.MetabolismCaloriesUsed_SkeletalMuscleHeat)
          annotation (Line(
            points={{-81.5,-61},{-86,-61},{-86,-66},{-62,-66},{-62,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MetabolicH2ORate.y, busConnector.MetabolicH2O_Rate) annotation (Line(
            points={{88.4,-92},{94,-92},{94,-82},{68,-82},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

       connect(bone.H2OFromMetabolism, MetabolicH2ORate.u[1])
          annotation (Line(
            points={{46.5,88},{68,88},{68,-92.7333},{79.2,-92.7333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.H2OFromMetabolism, MetabolicH2ORate.u[2])
          annotation (Line(
            points={{46.5,44},{68,44},{68,-92.6},{79.2,-92.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.H2OFromMetabolism, MetabolicH2ORate.u[3])
          annotation (Line(
            points={{46.5,10},{68,10},{68,-92.4667},{79.2,-92.4667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.H2OFromMetabolism, MetabolicH2ORate.u[4])
          annotation (Line(
            points={{46.5,-22},{68,-22},{68,-92.3333},{79.2,-92.3333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.H2OFromMetabolism, MetabolicH2ORate.u[5])  annotation (
            Line(
            points={{46.5,-54},{68,-54},{68,-92.2},{79.2,-92.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.H2OFromMetabolism, MetabolicH2ORate.u[6])
          annotation (Line(
            points={{46.5,-88},{68,-88},{68,-92.0667},{79.2,-92.0667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[7],skin. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.9333},{-62,-91.9333},{-62,-96},{-39,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[8],skeletalMuscle. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.8},{-62,-91.8},{-62,-58},{-37,-58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[9],leftHeart. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.6667},{-62,-91.6667},{-62,-20},{-37,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
          connect(MetabolicH2ORate.u[10],rightHeart. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.5333},{-62,-91.5333},{-62,14},{-39,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[11],respiratoryMuscle. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.4},{-62,-91.4},{-62,52},{-39,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(MetabolicH2ORate.u[12],brain. H2OFromMetabolism)
          annotation (Line(
            points={{79.2,-91.2667},{-62,-91.2667},{-62,86},{-39,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(liver.GILumenCarbohydrates, GILumenCarbohydrates) annotation (
            Line(
            points={{55.6,67.6364},{56,67.6364},{56,82},{80,82}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(liver.PortalVeinGlucose, busConnector.PortalVein_Glucose)
          annotation (Line(
            points={{59.5,67.6364},{60,67.6364},{60,74},{36,74},{36,116},{-82,
              116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(liver.glucose, glucose) annotation (Line(
            points={{40,67.6364},{24,67.6364},{24,12},{-2,12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(liver.fattyAcids, fattyAcids) annotation (Line(
            points={{40,48.7273},{16,48.7273},{16,-6},{0,-6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(gITract.GIT_GluUse,liver. GITract_GlucoseUsed) annotation (Line(
            points={{48.32,1.63636},{48,1.63636},{48,6},{80,6},{80,50.8545},{
              64.7,50.8545}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.GIT_FatUse,liver. GITract_FatUsed) annotation (Line(
            points={{50.92,1.63636},{82,1.63636},{82,48.2545},{64.7,48.2545}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.FatAbsorbtion, busConnector.FA_Absorbtion) annotation (
            Line(
            points={{64.7,45.8909},{68,45.8909},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(CoreHeat.y, busConnector.MetabolismCaloriesUsed_CoreHeat)         annotation (Line(
            points={{88.4,-98},{94,-98},{94,-88},{68,-88},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(bone.TotalCalsUsed, CoreHeat.u[1])
          annotation (Line(
            points={{43.9,88},{68,88},{68,-98.7273},{79.2,-98.7273}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.TotalCalsUsed, CoreHeat.u[2])
          annotation (Line(
            points={{43.9,44},{68,44},{68,-98.5818},{79.2,-98.5818}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(kidney.TotalCalsUsed, CoreHeat.u[3])
          annotation (Line(
            points={{43.9,10},{68,10},{68,-98.4364},{79.2,-98.4364}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gITract.TotalCalsUsed, CoreHeat.u[4])
          annotation (Line(
            points={{43.9,-22},{68,-22},{68,-98.2909},{79.2,-98.2909}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fat.TotalCalsUsed, CoreHeat.u[5])          annotation (
            Line(
            points={{43.9,-54},{68,-54},{68,-98.1455},{79.2,-98.1455}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherTissue.TotalCalsUsed, CoreHeat.u[6])
          annotation (Line(
            points={{43.9,-88},{68,-88},{68,-98},{79.2,-98}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CoreHeat.u[7],leftHeart. TotalCalsUsed)
          annotation (Line(
            points={{79.2,-97.8545},{-62,-97.8545},{-62,-20},{-34.2,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CoreHeat.u[8],rightHeart. TotalCalsUsed)
          annotation (Line(
            points={{79.2,-97.7091},{-62,-97.7091},{-62,14},{-36.2,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CoreHeat.u[9],respiratoryMuscle. TotalCalsUsed)
          annotation (Line(
            points={{79.2,-97.5636},{-62,-97.5636},{-62,52},{-36.2,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CoreHeat.u[10],brain. TotalCalsUsed)
          annotation (Line(
            points={{79.2,-97.4182},{-62,-97.4182},{-62,86},{-36.2,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(rightHeart.MotionCals_, MotionCals.u[1]) annotation (Line(
            points={{-33.4,14},{-12,14},{-12,-84.5333},{-6.8,-84.5333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(leftHeart.MotionCals_, MotionCals.u[2]) annotation (Line(
            points={{-31.4,-20},{-12,-20},{-12,-84},{-6.8,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(respiratoryMuscle.MotionCals_, MotionCals.u[3]) annotation (Line(
            points={{-33.4,52},{-12,52},{-12,-83.4667},{-6.8,-83.4667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MotionCals.y, gain.u) annotation (Line(
            points={{2.4,-84},{7.6,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain.y, CoreHeat.u[11]) annotation (Line(
            points={{12.2,-84},{20,-84},{20,-97.2727},{79.2,-97.2727}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(liver.BloodFlow, busConnector.Liver_BloodFlow) annotation (Line(
            points={{64.7,65.2727},{68,65.2727},{68,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(liver.HepaticArtyBloodFlow, busConnector.HepaticArty_BloodFlow)
          annotation (Line(
            points={{56.38,63.6182},{56.38,116},{-82,116}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      /*  connect(skeletalMuscle.skeletalMuscle_HeatWithoutTermoregulation,
    busConnector.skeletalMuscle_HeatWithoutTermoregulation) annotation (
     Line(
      points={{-31.4,-58},{-30,-58},{-30,-64},{-62,-64},{-62,116},{-82,
          116}},
      color={0,0,127},
      smooth=Smooth.None));*/
      /*  connect(busConnector.skeletalMuscle_shiveringCals, skeletalMuscle.ShiveringCals)
    annotation (Line(
      points={{-82,116},{-62,116},{-62,-27.2},{-56.6,-27.2}},
      color={0,0,255},
      thickness=0.5,
      smooth=Smooth.None), Text(
      string="%first",
      index=-1,
      extent={{-6,3},{-6,3}})); */
      connect(busConnector.HypothalamusShivering_NerveActivity, skeletalMuscle.HypothalamusShivering_NerveActivity)
        annotation (Line(
          points={{-82,116},{-70,116},{-70,-30},{-56.6,-30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(skeletalMuscle.skeletalMuscle_producedHeat, busConnector.skeletalMuscle_heatProduction)
        annotation (Line(
          points={{-31.4,-58},{-30,-58},{-30,-62},{-62,-62},{-62,116},{-82,116}},
          color={0,0,127},
          smooth=Smooth.None));

        annotation (Diagram(coordinateSystem(preserveAspectRatio=false,extent={{-100,
                -100},{100,120}}),        graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,120}}),
              graphics={Text(
                extent={{-166,136},{154,108}},
                lineColor={0,0,255},
                textString="%name")}));
      end Metabolism;
      annotation (Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
    end TissueMetabolism;

    model NutrientsAndMetabolism
      import QHP = Physiomodel;
      extends Physiolibrary.Icons.NutrientsMetabolism;
      Physiomodel.Metabolism.TissueMetabolism.Metabolism
                                             tissuesMetabolism
        annotation (Placement(transformation(extent={{90,-6},{50,34}})));
                                                              //(glucose(conc(start=1.05)))
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{60,60},{100,100}}), iconTransformation(extent=
             {{60,60},{100,100}})));
      Physiomodel.Metabolism.LiverMetabolism liverMetabolism
        annotation (Placement(transformation(extent={{-66,-12},{-26,28}})));
      Physiomodel.Metabolism.Glucose Glucose
        annotation (Placement(transformation(extent={{0,-4},{20,16}})));
      Physiomodel.Metabolism.KetoAcids KetoAcids
        annotation (Placement(transformation(extent={{0,24},{20,44}})));
    QHP.Metabolism.GILumenLeptinDriven GILumen
      annotation (Placement(transformation(extent={{46,-80},{72,-54}})));
      QHP.Metabolism.Urea Urea
        annotation (Placement(transformation(extent={{-74,-52},{-54,-32}})));
      QHP.Metabolism.Lipids Lipids
        annotation (Placement(transformation(extent={{0,54},{20,74}})));
      Lactate lactate
        annotation (Placement(transformation(extent={{2,-30},{22,-10}})));
      Physiomodel.Metabolism.AminoAcids aminoAcids
        annotation (Placement(transformation(extent={{2,-58},{22,-38}})));
      QHP.Hormones.Glucagon glucagon
        annotation (Placement(transformation(extent={{-58,78},{-38,98}})));
      QHP.Hormones.Insulin insulin
        annotation (Placement(transformation(extent={{-88,78},{-68,98}})));
      QHP.Hormones.Thyrotropin thyrotropin
        annotation (Placement(transformation(extent={{-92,54},{-72,74}})));
      QHP.Hormones.Thyroxine thyroxine
        annotation (Placement(transformation(extent={{-58,54},{-38,74}})));
      QHP.Hormones.Leptin leptin
        annotation (Placement(transformation(extent={{-92,28},{-72,48}})));
    Physiolibrary.Chemical.Sensors.MolarFlowMeasure molarFlowMeasure
      annotation (Placement(transformation(extent={{24,0},{44,20}})));
    Physiolibrary.Chemical.Sensors.MolarFlowMeasure molarFlowMeasure1
      annotation (Placement(transformation(
          extent={{-10,10},{10,-10}},
          rotation=90,
          origin={90,-30})));
    Modelica.Blocks.Math.Add add
      annotation (Placement(transformation(extent={{48,-40},{56,-32}})));
    equation

     connect(tissuesMetabolism.busConnector, busConnector) annotation (Line(
          points={{86.4,28.5455},{96,28.5455},{96,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(liverMetabolism.busConnector, busConnector)  annotation (Line(
          points={{-65.6,8},{-86,8},{-86,-92},{96,-92},{96,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, Glucose.busConnector)     annotation (Line(
          points={{80,80},{-4,80},{-4,5.8},{1,5.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(KetoAcids.q_out, tissuesMetabolism.ketoAcids) annotation (Line(
          points={{10,28},{28,28},{28,17.6364},{50,17.6364}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(liverMetabolism.Glucose, Glucose.q_out) annotation (Line(
          points={{-26,-4},{-8,-4},{-8,12},{10,12}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector, GILumen.busConnector) annotation (Line(
          points={{80,80},{96,80},{96,-92},{42,-92},{42,-58.16},{50.16,-58.16}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));

      connect(KetoAcids.q_out, liverMetabolism.Ketoacids) annotation (Line(
          points={{10,28},{-10,28},{-10,8},{-26,8}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Urea.ureaFromMetabolism, liverMetabolism.Urea) annotation (Line(
          points={{-58,-32},{-58,-12}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Urea.busConnector, busConnector) annotation (Line(
          points={{-72,-38},{-86,-38},{-86,-92},{96,-92},{96,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(KetoAcids.busConnector, busConnector) annotation (Line(
          points={{1,44},{-4,44},{-4,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, Lipids.busConnector) annotation (Line(
          points={{80,80},{-4,80},{-4,60.2},{2,60.2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(Lipids.FattyAcids, tissuesMetabolism.fattyAcids) annotation (Line(
          points={{10,64},{40,64},{40,26.7273},{50,26.7273}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(lactate.busConnector, busConnector) annotation (Line(
          points={{4,-26},{-4,-26},{-4,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(lactate.Lactate, tissuesMetabolism.lactate) annotation (Line(
          points={{12,-20},{40,-20},{40,1.27273},{50,1.27273}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(aminoAcids.busConnector, busConnector) annotation (Line(
          points={{2.8,-48},{-4,-48},{-4,80},{80,80}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(GILumen.Protein_Absorption, aminoAcids.AminoAcids) annotation (
          Line(
          points={{72,-59.2},{74,-59.2},{74,-48},{34,-48},{34,-56},{11.2,-56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(aminoAcids.AminoAcids, liverMetabolism.AminoAcids) annotation (
          Line(
          points={{11.2,-56},{-34,-56},{-34,-12}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Lipids.toTriglicerides, GILumen.Fat_Absorption) annotation (Line(
          points={{10,56},{78,56},{78,-67},{72,-67}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Lipids.toTriglicerides, liverMetabolism.triglicerides)
        annotation (Line(
          points={{10,56},{-14,56},{-14,20},{-26,20}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Lipids.FattyAcids, liverMetabolism.fattyAcids) annotation (Line(
          points={{10,64},{-20,64},{-20,28},{-26,28}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(insulin.Insulin,glucagon. Insulin) annotation (Line(
          points={{-68,88},{-62,88},{-62,94},{-56,94}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector,glucagon. busConnector) annotation (Line(
          points={{80,80},{-56,80},{-56,82}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector,insulin. busConnector) annotation (Line(
          points={{80,80},{-86,80},{-86,82}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector,thyroxine. busConnector) annotation (Line(
          points={{80,80},{-56,80},{-56,72}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector,thyrotropin. busConnector) annotation (Line(
          points={{80,80},{-98,80},{-98,58},{-90,58}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(thyrotropin.TSH,thyroxine. TSH) annotation (Line(
          points={{-72,64},{-66,64},{-66,66},{-56,66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(thyroxine.Thyroxine,thyrotropin. Thyroxine) annotation (Line(
          points={{-38,64},{-34,64},{-34,78},{-94,78},{-94,72},{-90,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector,leptin. busConnector) annotation (Line(
          points={{80,80},{-98,80},{-98,32},{-90,32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
    connect(molarFlowMeasure.q_in, Glucose.q_out) annotation (Line(
        points={{24,10},{18,10},{18,12},{10,12}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(molarFlowMeasure.q_out, tissuesMetabolism.glucose) annotation (Line(
        points={{44,10},{48,10},{48,10.3636},{50,10.3636}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(tissuesMetabolism.GILumenCarbohydrates, molarFlowMeasure1.q_out)
      annotation (Line(
        points={{82,-6},{82,-6},{90,-6},{90,-6},{90,-6},{90,-20},{90,-20}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(GILumen.Carbohydrates_Absorption, molarFlowMeasure1.q_in)
      annotation (Line(
        points={{72,-74.8},{90,-74.8},{90,-40}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(molarFlowMeasure.molarFlowRate, add.u2) annotation (Line(
        points={{34,2},{34,-38.4},{47.2,-38.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(molarFlowMeasure1.molarFlowRate, add.u1) annotation (Line(
        points={{82,-30},{42,-30},{42,-33.6},{47.2,-33.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add.y, busConnector.Glucose_TotalBurn) annotation (Line(
        points={{56.4,-36},{98,-36},{98,80},{80,80}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={                 Text(
              extent={{-180,-96},{190,-128}},
              lineColor={0,0,255},
              textString="%name")}));
    end NutrientsAndMetabolism;

    package IO_Bus
       extends Physiolibrary.Types.IO_Bus;

      redeclare model extends Variables

      T.MolarFlowRate bone_CO2FromMetabolism(varName="Bone-CO2.OutflowBase")
        "Bone carbondioxyde outflow from cells metabolism. "
      annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
      T.MolarFlowRate bone_O2Use(varName="Bone-Flow.O2Use", storeUnit="ml_STP/min")
        "Bone oxygen consumption. "
      annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
      T.Fraction bone_Fuel_FractUseDelay(varName="Bone-Fuel.FractUseDelay")
        "Bone deficiency of nutrients needed by cells metabolism. "
      annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
      T.MolarFlowRate bone_LactateFromMetabolism(varName="Bone-Lactate.Outflux")
        "Lactate flow from bone cells. "
      annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
      T.Concentration bone_cLactate(varName="Bone-Lactate.[Lac-(mEq/L)]")
        "Bone intracellular lactate concentration. "
      annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
      T.MolarFlowRate brain_CO2FromMetabolism(varName="Brain-CO2.OutflowBase")
        "Brain carbondioxyde outflow from cells metabolism. "
      annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
      T.MolarFlowRate brain_O2Use(varName="Brain-Flow.O2Use", storeUnit="ml_STP/min")
        "Brain oxygen consumption. "
      annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
      //T.Fraction BrainFuel_FractUseDelay(varName="Brain-Fuel.FractUseDelay")
      //    "Brain deficiency of nutrients needed by cells metabolism. "
      //annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
      T.Fraction brain_Fuel_FractUseDelay(varName="Brain-Fuel.FractUseDelay")
        "Brain deficiency of nutrients needed by cells metabolism. "
      annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
      T.MolarFlowRate brain_LactateFromMetabolism(varName="Brain-Lactate.Outflux")
        "Lactate flow from brain cells. "
      annotation (Placement(transformation(extent={{-36,82},{-30,88}})));
      T.Concentration brain_cLactate(varName="Brain-Lactate.[Lac-(mEq/L)]")
        "Brain intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
      T.MolarFlowRate CD_Glucose_Outflow(varName="CD_Glucose.Outflow", storeUnit="mg/min", unitConversions = Substances.Glucose.unitConversions)
        "Collecting duct glucose outflow to urine."
      annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
      T.AmountOfSubstance CellProtein_Mass(varName="CellProtein.Mass", storeUnit="mg", unitConversions = Substances.AminoAcids.unitConversions)
        "Weight of all cellular proteins."
      annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
      T.MolarFlowRate fat_CO2FromMetabolism(varName="Fat-CO2.OutflowBase")
        "Fat carbondioxyde outflow from cells metabolism."
      annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
      T.MolarFlowRate fat_O2Use(varName="Fat-Flow.O2Use", storeUnit="ml_STP/min")
        "Fat oxygen consumption."
      annotation (Placement(transformation(extent={{-36,150},{-30,156}})));
      T.Fraction fat_Fuel_FractUseDelay(varName="Fat-Fuel.FractUseDelay")
        "Fat deficiency of nutrients needed by cells metabolism."
      annotation (Placement(transformation(extent={{-36,160},{-30,166}})));
      T.MolarFlowRate fat_LactateFromMetabolism(varName="Fat-Lactate.Outflux")
        "Lactate flow from fat cells."
      annotation (Placement(transformation(extent={{-36,170},{-30,176}})));
      T.Concentration fat_cLactate(varName="Fat-Lactate.[Lac-(mEq/L)]")
        "Fat intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,180},{-30,186}})));
      T.MolarFlowRate GITract_CO2FromMetabolism(varName="GITract-CO2.OutflowBase")
        "GITract carbondioxyde outflow from cells metabolism."
      annotation (Placement(transformation(extent={{-36,190},{-30,196}})));
      T.MolarFlowRate GITract_O2Use(varName="GITract-Flow.O2Use", storeUnit="ml_STP/min")
        "GITract oxygen consumption."
      annotation (Placement(transformation(extent={{-36,200},{-30,206}})));
      T.Fraction GITract_Fuel_FractUseDelay(varName="GITract-Fuel.FractUseDelay")
        "GITract deficiency of nutrients needed by cells metabolism."
      annotation (Placement(transformation(extent={{-36,210},{-30,216}})));
      T.MolarFlowRate GITract_LactateFromMetabolism(varName="GITract-Lactate.Outflux")
        "Lactate flow from gITract cells."
      annotation (Placement(transformation(extent={{-36,220},{-30,226}})));
      T.Concentration GITract_cLactate(varName="GITract-Lactate.[Lac-(mEq/L)]")
        "GITract intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,230},{-30,236}})));
      T.AmountOfSubstance GlucoseECF_Osmoles(varName="GlucosePool.Osmoles", storeUnit="mosm")
        "Extracellular glucose osmoles."
      annotation (Placement(transformation(extent={{-36,250},{-30,256}})));
      T.Concentration Glucose(varName="GlucosePool.[Glucose(mG/dL)]", storeUnit="mg/dl", unitConversions = Substances.Glucose.unitConversions)
        "Extracellular glucose concentration."
      annotation (Placement(transformation(extent={{-36,260},{-30,266}})));
      //Variable KA_Change(varName="KAPool.Change")
      //    "Change of keto-acids extracellular mass."
      //annotation (Placement(transformation(extent={{-34,270},{-28,276}})));
      T.AmountOfSubstance KAPool_Osmoles(varName="KAPool.Osmoles", storeUnit="mosm")
        "Keto-acids extracellular osmoles."
      annotation (Placement(transformation(extent={{-36,280},{-30,286}})));
      T.MolarFlowRate kidney_CO2FromMetabolism(varName="Kidney-CO2.OutflowBase")
        "Kidney carbondioxyde outflow from cells metabolism."
      annotation (Placement(transformation(extent={{-36,290},{-30,296}})));
      T.Fraction kidney_Fuel_FractUseDelay(varName="Kidney-Fuel.FractUseDelay")
        "Kidney deficiency of nutrients needed by cells metabolism."
      annotation (Placement(transformation(extent={{-36,300},{-30,306}})));
      T.MolarFlowRate kidney_LactateFromMetabolism(varName="Kidney-Lactate.Outflux")
        "Lactate flow from kidney cells."
      annotation (Placement(transformation(extent={{-36,310},{-30,316}})));
      T.Concentration kidney_cLactate(varName="Kidney-Lactate.[Lac-(mEq/L)]")
        "Kidney intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,320},{-30,326}})));
      T.MolarFlowRate kidney_O2Use(varName="Kidney-O2.O2Use", storeUnit="ml_STP/min")
        "Kidney O2 consumption."
      annotation (Placement(transformation(extent={{-36,330},{-30,336}})));
      T.MolarFlowRate liver_GlucoseToCellStorageFlow(varName="LM_Glycogen.Gain", storeUnit="mg/min", unitConversions = Substances.Glucose.unitConversions)
        "Liver glycogen gain from glucose."
      annotation (Placement(transformation(extent={{-36,340},{-30,346}})));
      T.MolarFlowRate LactateFromTissues(varName="LacPool.Change")
        "Change of extracellular lactate mass."
      annotation (Placement(transformation(extent={{-36,360},{-30,366}})));
      T.AmountOfSubstance LacPool_Mass_mEq(varName="LacPool.Mass")
        "Extracellular lactate mass."
      annotation (Placement(transformation(extent={{-36,370},{-30,376}})));
      T.Concentration LacPool_Lac_mEq_per_litre(varName="LacPool.[Lac-(mEq/L)]")
        "Lactate extracellular concentration."
      annotation (Placement(transformation(extent={{-36,380},{-30,386}})));
      T.MolarFlowRate leftHeart_CO2FromMetabolism(varName="LeftHeart-CO2.OutflowBase")
        "LeftHeart carbondioxyde outflow from cells metabolism."
      annotation (Placement(transformation(extent={{-36,390},{-30,396}})));
      T.MolarFlowRate leftHeart_O2Use(varName="LeftHeart-Flow.O2Use", storeUnit="ml_STP/min")
        "LeftHeart oxygen consumption."
      annotation (Placement(transformation(extent={{-36,400},{-30,406}})));
      T.Fraction leftHeart_Fuel_FractUseDelay(varName="LeftHeart-Fuel.FractUseDelay")
        "LeftHeart deficiency of nutrients needed by cells metabolism."
      annotation (Placement(transformation(extent={{-36,410},{-30,416}})));
      T.MolarFlowRate leftHeart_LactateFromMetabolism(varName="LeftHeart-Lactate.Outflux")
        "Lactate flow from leftHeart cells."
      annotation (Placement(transformation(extent={{-36,420},{-30,426}})));
      T.Concentration leftHeart_cLactate(varName="LeftHeart-Lactate.[Lac-(mEq/L)]")
        "LeftHeart intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,430},{-30,436}})));
      T.MolarFlowRate LeftHeart_O2Need(varName="LeftHeart-Metabolism.O2Need", storeUnit="ml_STP/min")
        "Oxygen needed to be consumed by left heart cells if only aerobic metabolism is running."
      annotation (Placement(transformation(extent={{-36,440},{-30,446}})));

      T.AmountOfSubstance LipidDeposits_Mass(varName="LipidDeposits.Mass", storeUnit="g", unitConversions = Substances.FattyAcids.unitConversions)
        "Mass of lipids in fat cells."
      annotation (Placement(transformation(extent={{-36,450},{-30,456}})));
      T.MolarFlowRate liver_CO2FromMetabolism(varName="Liver-CO2.OutflowBase")
        "Liver carbondioxyde outflow from cells metabolism."
      annotation (Placement(transformation(extent={{-36,460},{-30,466}})));
      T.Fraction liver_Fuel_FractUseDelay(varName="Liver-Fuel.FractUseDelay")
        "Liver deficiency of nutrients needed by cells metabolism."
      annotation (Placement(transformation(extent={{-36,470},{-30,476}})));
      T.MolarFlowRate liver_LactateFromMetabolism(varName="Liver-Lactate.Outflux")
        "Lactate flow from liver cells."
      annotation (Placement(transformation(extent={{-36,480},{-30,486}})));
      T.Concentration liver_cLactate(varName="Liver-Lactate.[Lac-(mEq/L)]")
        "Liver intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,490},{-30,496}})));
      T.MolarFlowRate liver_O2Use(varName="Liver-O2.O2Use", storeUnit="ml_STP/min")
        "Oxygen comsuption by liver."
      annotation (Placement(transformation(extent={{-36,500},{-30,506}})));
      T.Osmolarity MedullaUrea_Osmolarity(varName="MedullaUrea.Osmolarity", storeUnit="mosm/l")
        "Kidney medulla interstitial urea osmolarity."
      annotation (Placement(transformation(extent={{-36,510},{-30,516}})));
      T.VolumeFlowRate MetabolicH2O_Rate(varName="MetabolicH2O.Rate")
        "Water synthesis in metabolism."
      annotation (Placement(transformation(extent={{-36,520},{-30,526}})));
      T.MolarFlowRate otherTissue_CO2FromMetabolism(varName="OtherTissue-CO2.OutflowBase")
        "OtherTissue carbondioxyde outflow from cells metabolism."
      annotation (Placement(transformation(extent={{-36,530},{-30,536}})));
      T.MolarFlowRate otherTissue_O2Use(varName="OtherTissue-Flow.O2Use", storeUnit="ml_STP/min")
        "OtherTissue oxygen consumption."
      annotation (Placement(transformation(extent={{-36,540},{-30,546}})));
      T.Fraction otherTissue_Fuel_FractUseDelay(varName="OtherTissue-Fuel.FractUseDelay")
        "OtherTissue deficiency of nutrients needed by cells metabolism."
      annotation (Placement(transformation(extent={{-36,550},{-30,556}})));
      T.MolarFlowRate otherTissue_LactateFromMetabolism(varName="OtherTissue-Lactate.Outflux")
        "Lactate flow from otherTissue cells."
      annotation (Placement(transformation(extent={{-36,560},{-30,566}})));
      T.Concentration otherTissue_cLactate(varName="OtherTissue-Lactate.[Lac-(mEq/L)]")
        "OtherTissue intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,570},{-30,576}})));
      T.MolarFlowRate respiratoryMuscle_CO2FromMetabolism(varName="RespiratoryMuscle-CO2.OutflowBase")
        "RespiratoryMuscle carbondioxyde outflow from cells metabolism."
      annotation (Placement(transformation(extent={{-36,580},{-30,586}})));

      T.MolarFlowRate respiratoryMuscle_O2Use(varName="RespiratoryMuscle-Flow.O2Use", storeUnit="ml_STP/min")
        "RespiratoryMuscle oxygen consumption."
      annotation (Placement(transformation(extent={{-36,590},{-30,596}})));
      T.Fraction respiratoryMuscle_Fuel_FractUseDelay(varName="RespiratoryMuscle-Fuel.FractUseDelay")
        "RespiratoryMuscle deficiency of nutrients needed by cells metabolism."
      annotation (Placement(transformation(extent={{-36,600},{-30,606}})));

      T.MolarFlowRate respiratoryMuscle_GlucoseToCellStorageFlow(varName="RespiratoryMuscle-Glycogen.Synthesis", storeUnit="mg/min", unitConversions = Substances.Glucose.unitConversions)
        "Glycogen synthesis in skeletal muscle cells of respiratory muscles."
      annotation (Placement(transformation(extent={{-36,610},{-30,616}})));

      T.MolarFlowRate respiratoryMuscle_LactateFromMetabolism(varName="RespiratoryMuscle-Lactate.Outflux")
        "Lactate flow from respiratoryMuscle cells."
      annotation (Placement(transformation(extent={{-36,620},{-30,626}})));
      T.Concentration respiratoryMuscle_cLactate(varName="RespiratoryMuscle-Lactate.[Lac-(mEq/L)]")
        "RespiratoryMuscle intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,630},{-30,636}})));
      T.MolarFlowRate RespiratoryMuscle_O2Need(varName="RespiratoryMuscle-Metabolism.O2Need", storeUnit="ml_STP/min")
        "Oxygen needed to be consumed by respiratory muscle cells if only aerobic metabolism is running."
      annotation (Placement(transformation(extent={{-36,640},{-30,646}})));

      T.MolarFlowRate rightHeart_CO2FromMetabolism(varName="RightHeart-CO2.OutflowBase")
        "RightHeart carbondioxyde outflow from cells metabolism."
      annotation (Placement(transformation(extent={{-36,650},{-30,656}})));
      T.MolarFlowRate rightHeart_O2Use(varName="RightHeart-Flow.O2Use", storeUnit="ml_STP/min")
        "RightHeart oxygen consumption."
      annotation (Placement(transformation(extent={{-36,660},{-30,666}})));
      T.Fraction rightHeart_Fuel_FractUseDelay(varName="RightHeart-Fuel.FractUseDelay")
        "RightHeart deficiency of nutrients needed by cells metabolism."
      annotation (Placement(transformation(extent={{-36,670},{-30,676}})));
      T.MolarFlowRate rightHeart_LactateFromMetabolism(varName="RightHeart-Lactate.Outflux")
        "Lactate flow from rightHeart cells."
      annotation (Placement(transformation(extent={{-36,680},{-30,686}})));
      T.Concentration rightHeart_cLactate(varName="RightHeart-Lactate.[Lac-(mEq/L)]")
        "RightHeart intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,690},{-30,696}})));
      T.MolarFlowRate skeletalMuscle_O2Use(varName="SkeletalMuscle-Flow.O2Use", storeUnit="ml_STP/min")
        "SkeletalMuscle oxygen consumption."
      annotation (Placement(transformation(extent={{-36,700},{-30,706}})));
      T.Fraction skeletalMuscle_Fuel_FractUseDelay(varName="SkeletalMuscle-Fuel.FractUseDelay")
        "SkeletalMuscle deficiency of nutrients needed by cells metabolism."
      annotation (Placement(transformation(extent={{-36,710},{-30,716}})));
      T.MolarFlowRate skeletalMuscle_GlucoseToCellStorageFlow(varName="SkeletalMuscle-Glycogen.Synthesis", storeUnit="mg/min", unitConversions = Substances.Glucose.unitConversions)
        "Skeletal muscle glycogen synthesis rate."
      annotation (Placement(transformation(extent={{-36,720},{-30,726}})));
      T.MolarFlowRate skeletalMuscle_LactateFromMetabolism(varName="SkeletalMuscle-Lactate.Outflux")
        "Lactate flow from skeletalMuscle cells."
      annotation (Placement(transformation(extent={{-36,730},{-30,736}})));
      T.Concentration skeletalMuscle_cLactate(varName="SkeletalMuscle-Lactate.[Lac-(mEq/L)]")
        "SkeletalMuscle intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,740},{-30,746}})));
      /*T.MolarFlowRate SkeletalMuscle_O2Need(varName="SkeletalMuscle-Metabolism.O2Need", storeUnit="ml_STP/min")
    "Oxygen needed to be consumed by skeletal muscle cells if only aerobic metabolism is running."
annotation (Placement(transformation(extent={{-36,750},{-30,756}})));
*/
      T.MolarFlowRate skin_CO2FromMetabolism(varName="Skin-CO2.OutflowBase")
        "Skin carbondioxyde outflow from cells metabolism."
      annotation (Placement(transformation(extent={{-36,760},{-30,766}})));
      T.MolarFlowRate skin_O2Use(varName="Skin-Flow.O2Use", storeUnit="ml_STP/min")
        "Skin oxygen consumption."
      annotation (Placement(transformation(extent={{-36,770},{-30,776}})));
      T.Fraction skin_Fuel_FractUseDelay(varName="Skin-Fuel.FractUseDelay")
        "Skin deficiency of nutrients needed by cells metabolism."
      annotation (Placement(transformation(extent={{-36,780},{-30,786}})));
      T.MolarFlowRate skin_LactateFromMetabolism(varName="Skin-Lactate.Outflux")
        "Lactate flow from skin cells."
      annotation (Placement(transformation(extent={{-36,790},{-30,796}})));
      T.Concentration skin_cLactate(varName="Skin-Lactate.[Lac-(mEq/L)]")
        "Skin intracellular lactate concentration."
      annotation (Placement(transformation(extent={{-36,800},{-30,806}})));
      T.AmountOfSubstance UreaICF_Osmoles(varName="UreaCell.Osmoles", storeUnit="mosm")
        "Intracellular urea osmoles."
      annotation (Placement(transformation(extent={{-36,810},{-30,816}})));
      T.AmountOfSubstance UreaECF_Osmoles(varName="UreaPool.Osmoles", storeUnit="mosm")
        "Extracellular urea osmoles."
      annotation (Placement(transformation(extent={{-36,820},{-30,826}})));
      T.MolarFlowRate RightHeart_O2Need(varName=
              "RightHeart-Metabolism.O2Need", storeUnit="ml_STP/min")
        "Oxygen needed to be consumed by left heart cells if only aerobic metabolism is running."
      annotation (Placement(transformation(extent={{-36,-18},{-30,-12}})));

      T.MolarFlowRate CD_KA_Outflow(varName="CD_KA.Outflow", storeUnit="mmol/min")
        "Collecting duct keto-acids outflow to urine."
      annotation (Placement(transformation(extent={{-36,-32},{-30,-26}})));
      T.Concentration KAPool_conc_per_liter(varName=
              "KAPool.[KA(mMol/L)]") ";Keto-acids extracellular concentration."
      annotation (Placement(transformation(extent={{-36,-40},{-30,-34}})));
      T.MolarFlowRate skeletalMuscle_CO2FromMetabolism(varName="SkeletalMuscle-CO2.OutflowBase")
        "SkeletalMuscle carbondioxyde outflow from cells metabolism."
      annotation (Placement(transformation(extent={{-36,-58},{-28,-50}})));
      T.MolarFlowRate KA_Change_mmol_per_min(varName=
              "KAPool.Change[mMol/min]")
        "Change of keto-acids extracellular mass."
      annotation (Placement(transformation(extent={{-32,-74},{-26,-68}})));
      T.HeatFlowRate MetabolismCaloriesUsed_CoreHeat(                         varName="Metabolism-CaloriesUsed.CoreHeat", storeUnit="cal/min")
      annotation (Placement(transformation(extent={{-42,-86},{-22,-106}})));
      T.HeatFlowRate MetabolismCaloriesUsed_SkeletalMuscleHeat(                         varName="Metabolism-CaloriesUsed.SkeletalMuscleHeat", storeUnit="cal/min")
      annotation (Placement(transformation(extent={{-74,-112},{-58,-96}})));
      T.HeatFlowRate MetabolismCaloriesUsed_SkinHeat(                         varName=
              "Metabolism-CaloriesUsed.SkinHeat",storeUnit="cal/min")
      annotation (Placement(transformation(extent={{-76,-78},{-56,-98}})));
      /*T.Concentration KAPool_mg_per_dl(varName="KAPool.[KA(mG/dL)]", storeUnit="mg/dl", unitConversions = Substances.KetoAcids.unitConversions)
    ";Keto-acids extracellular concentration."
annotation (Placement(transformation(extent={{-36,-46},{-30,-40}})));*/
      T.HeatFlowRate skeletalMuscle_producedHeat(storeUnit="cal/min", varName=
            "Metabolism-CaloriesUsed.SkeletalMuscleHeat")
        "Skeletal muscle termal energy flow."
        annotation (Placement(transformation(extent={{-36,-2},{-30,4}})));
      T.Concentration Leptin(varName="LeptinPool.[Leptin(nG/mL)]", storeUnit="ng/ml", unitConversions = Substances.Leptin.unitConversions)
        "Leptin extracellular concentration."
      annotation (Placement(transformation(extent={{-82,-26},{-76,-20}})));
      T.Concentration PortalVein_Glucagon(varName="PortalVein-Glucagon.[Glucagon]",storeUnit="ng/l", unitConversions = Substances.Glucagon.unitConversions)
        "Glucagon portal vein concentration."
      annotation (Placement(transformation(extent={{-68,-12},{-62,-6}})));
      T.Concentration Glucagon_conc(varName="GlucagonPool.[Glucagon]",storeUnit="ng/l", unitConversions = Substances.Glucagon.unitConversions)
        "Extracellular glucagon concentration."
      annotation (Placement(transformation(extent={{-84,-4},{-78,2}})));

      T.Concentration ThyroidEffect1(varName="ThyroidPool.[Total_T4-T3]", storeUnit="ug/dl", unitConversions = Substances.Thyroxine.unitConversions)
        "Triiodothyronine  and thyroxine effect to metabolism."
        annotation (Placement(transformation(extent={{-82,4},{-76,10}})));

        ////to debug:
      T.Concentration FAPool(varName="FAPool.[FA(mMol/L)]")
        "Fatty-acids extracellular concentration."
          annotation (Placement(transformation(extent={{-100,-42},{-94,-36}})));
      T.Concentration Triglyc(varName="TriglyceridePool.[Triglyceride(mMol/L)]")
        "Triglycerides extracellular concentration."
          annotation (Placement(transformation(extent={{-100,-34},{-94,-28}})));
      T.MolarFlowRate GlucoseAbsorption(
                              varName="GILumenCarbohydrates.Absorption", storeUnit="mg/min", unitConversions = Substances.Glucose.unitConversions)
        "Glucose absorption from gastro intestinal lumen."
          annotation (Placement(transformation(extent={{-108,64},{-102,70}})));

      T.MolarFlowRate GlucoseToTissues(
                              varName="Metabolism-Glucose.TotalBurn", storeUnit="mg/min", unitConversions = Substances.Glucose.unitConversions)
        "Glucose flux."
          annotation (Placement(transformation(extent={{-108,58},{-102,64}})));
      T.MolarFlowRate GlucoseDegradation(
                              varName="GlucoseDecomposition.Rate", storeUnit="mg/min", unitConversions = Substances.Glucose.unitConversions)
        "Glucose flux."
          annotation (Placement(transformation(extent={{-108,52},{-102,58}})));
      T.MolarFlowRate GlucoseFromGluconeogenesis(
                              varName="LM_Gluconeogenesis.Rate", storeUnit="mg/min", unitConversions = Substances.Glucose.unitConversions)
        "Glucose flux."
          annotation (Placement(transformation(extent={{-108,46},{-102,52}})));
      T.MolarFlowRate GlucoseFromFA(
                              varName="LM_FA_Glucose.GlucoseUptake", storeUnit="mg/min", unitConversions = Substances.Glucose.unitConversions)
        "Glucose flux."
          annotation (Placement(transformation(extent={{-108,40},{-102,46}})));
      T.MolarFlowRate FatAbsorption(
                              varName="GILumenFat.Absorption", storeUnit="mg/min", unitConversions = Substances.FattyAcids.unitConversions)
        "Fat absorption from gastro intestinal lumen."
          annotation (Placement(transformation(extent={{-108,70},{-102,76}})));
      T.MolarFlowRate ProteinAbsorption(
                              varName="GILumenProtein.Absorption", storeUnit="mg/min", unitConversions = Substances.AminoAcids.unitConversions)
        "Protein absorption from gastro intestinal lumen."
          annotation (Placement(transformation(extent={{-108,76},{-102,82}})));
      T.MolarFlowRate FatyAcids2Ketogenesis(
        storeUnit="mg/min",
        varName="LM_Ketoacids.FattyAcidUptake",
        unitConversions=Substances.FattyAcids.unitConversions) "FA flux."
        annotation (Placement(transformation(extent={{-108,34},{-102,40}})));
      T.MolarFlowRate AminoAcids2FA(
        storeUnit="mg/min",
        unitConversions=Substances.AminoAcids.unitConversions,
        varName="LM_FA_AminoAcids.AminoAcidUptake") "AA flux."
        annotation (Placement(transformation(extent={{-108,28},{-102,34}})));
      T.MolarFlowRate AminoAcids2Glucose(
        storeUnit="mg/min",
        varName="LM_Gluconeogenesis.AminoAcidUptake",
        unitConversions=Substances.AminoAcids.unitConversions) "AA flux."
        annotation (Placement(transformation(extent={{-108,22},{-102,28}})));
      T.MolarFlowRate Bone_O2Need(storeUnit="ml_STP/min", varName="Bone-Metabolism.O2Need")
        "Bone oxygen need."
          annotation (Placement(transformation(extent={{-98,-52},{-92,-46}})));
      T.MolarFlowRate Brain_O2Need(storeUnit="ml_STP/min", varName="Brain-Metabolism.O2Need")
        "Brain oxygen need."
          annotation (Placement(transformation(extent={{-98,-60},{-92,-54}})));
      T.MolarFlowRate SkeletalMuscle_O2Need2(storeUnit="ml_STP/min", varName="SkeletalMuscle-Metabolism.O2Need")
        "Skeletal muscle oxygen need."
          annotation (Placement(transformation(extent={{-98,-66},{-92,-60}})));
      /*T.MolarFlowRate RespirarotyMuscle_O2Need(storeUnit="ml_STP/min", varName=
      "RespiratoryMuscle-Metabolism.O2Need") "Respiraroty muscle oxygen need."
    annotation (Placement(transformation(extent={{-98,-72},{-92,-66}})));*/
      T.MolarFlowRate OtherTissue_O2Need(storeUnit="ml_STP/min", varName="OtherTissue-Metabolism.O2Need")
        "Other tissue oxygen need."
          annotation (Placement(transformation(extent={{-98,-80},{-92,-74}})));
      T.MolarFlowRate GITract_O2Need5(                            storeUnit="ml_STP/min", varName=
              "GITract-Metabolism.O2Need") "GITract oxygen need."
      annotation (Placement(transformation(extent={{-98,-86},{-92,-80}})));
      T.MolarFlowRate Fat_O2Need(storeUnit="ml_STP/min", varName="Fat-Metabolism.O2Need")
        "Fat oxygen need."
          annotation (Placement(transformation(extent={{-98,-46},{-92,-40}})));
      equation
      connect(bone_CO2FromMetabolism.y, busConnector.bone_CO2FromMetabolism) annotation (Line(
       points={{-29.7,13},{90,13},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_O2Use.y, busConnector.bone_O2Use) annotation (Line(
       points={{-29.7,23},{90,23},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_Fuel_FractUseDelay.y, busConnector.bone_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,33},{90,33},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_LactateFromMetabolism.y, busConnector.bone_LactateFromMetabolism) annotation (Line(
       points={{-29.7,43},{90,43},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_cLactate.y, busConnector.bone_cLactate) annotation (Line(
       points={{-29.7,53},{90,53},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_CO2FromMetabolism.y, busConnector.brain_CO2FromMetabolism) annotation (Line(
       points={{-29.7,63},{90,63},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_O2Use.y, busConnector.brain_O2Use) annotation (Line(
       points={{-29.7,73},{90,73},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_Fuel_FractUseDelay.y, busConnector.brain_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,93},{90,93},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_LactateFromMetabolism.y, busConnector.brain_LactateFromMetabolism) annotation (Line(
       points={{-29.7,85},{90,85},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_cLactate.y, busConnector.brain_cLactate) annotation (Line(
       points={{-29.7,113},{90,113},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_Glucose_Outflow.y, busConnector.CD_Glucose_Outflow) annotation (Line(
       points={{-29.7,123},{90,123},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CellProtein_Mass.y, busConnector.CellProteinAA) annotation (Line(
       points={{-29.7,133},{90,133},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_CO2FromMetabolism.y, busConnector.fat_CO2FromMetabolism) annotation (Line(
       points={{-29.7,143},{90,143},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_O2Use.y, busConnector.fat_O2Use) annotation (Line(
       points={{-29.7,153},{90,153},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_Fuel_FractUseDelay.y, busConnector.fat_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,163},{90,163},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_LactateFromMetabolism.y, busConnector.fat_LactateFromMetabolism) annotation (Line(
       points={{-29.7,173},{90,173},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_cLactate.y, busConnector.fat_cLactate) annotation (Line(
       points={{-29.7,183},{90,183},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_CO2FromMetabolism.y, busConnector.GITract_CO2FromMetabolism) annotation (Line(
       points={{-29.7,193},{90,193},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_O2Use.y, busConnector.GITract_O2Use) annotation (Line(
       points={{-29.7,203},{90,203},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_Fuel_FractUseDelay.y, busConnector.GITract_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,213},{90,213},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_LactateFromMetabolism.y, busConnector.GITract_LactateFromMetabolism) annotation (Line(
       points={{-29.7,223},{90,223},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_cLactate.y, busConnector.GITract_cLactate) annotation (Line(
       points={{-29.7,233},{90,233},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GlucoseECF_Osmoles.y, busConnector.GlucoseECF_Osmoles) annotation (Line(
       points={{-29.7,253},{90,253},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Glucose.y, busConnector.Glucose) annotation (Line(
       points={{-29.7,263},{90,263},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KAPool_Osmoles.y, busConnector.KAPool_Osmoles) annotation (Line(
       points={{-29.7,283},{90,283},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_CO2FromMetabolism.y, busConnector.kidney_CO2FromMetabolism) annotation (Line(
       points={{-29.7,293},{90,293},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_Fuel_FractUseDelay.y, busConnector.kidney_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,303},{90,303},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_LactateFromMetabolism.y, busConnector.kidney_LactateFromMetabolism) annotation (Line(
       points={{-29.7,313},{90,313},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_cLactate.y, busConnector.kidney_cLactate) annotation (Line(
       points={{-29.7,323},{90,323},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_O2Use.y, busConnector.kidney_O2Use) annotation (Line(
       points={{-29.7,333},{90,333},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_GlucoseToCellStorageFlow.y, busConnector.liver_GlucoseToCellStorageFlow) annotation (Line(
       points={{-29.7,343},{90,343},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LactateFromTissues.y, busConnector.LactateFromTissues) annotation (Line(
       points={{-29.7,363},{90,363},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LacPool_Mass_mEq.y, busConnector.LacPool_Mass) annotation (Line(
       points={{-29.7,373},{90,373},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LacPool_Lac_mEq_per_litre.y, busConnector.LacPool) annotation (Line(
       points={{-29.7,383},{90,383},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_CO2FromMetabolism.y, busConnector.leftHeart_CO2FromMetabolism) annotation (Line(
       points={{-29.7,393},{90,393},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_O2Use.y, busConnector.leftHeart_O2Use) annotation (Line(
       points={{-29.7,403},{90,403},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_Fuel_FractUseDelay.y, busConnector.leftHeart_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,413},{90,413},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_LactateFromMetabolism.y, busConnector.leftHeart_LactateFromMetabolism) annotation (Line(
       points={{-29.7,423},{90,423},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_cLactate.y, busConnector.leftHeart_cLactate) annotation (Line(
       points={{-29.7,433},{90,433},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_O2Need.y, busConnector.LeftHeart_O2Need) annotation (Line(
       points={{-29.7,443},{90,443},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LipidDeposits_Mass.y, busConnector.LipidDepositsFA) annotation (Line(
       points={{-29.7,453},{90,453},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_CO2FromMetabolism.y, busConnector.liver_CO2FromMetabolism) annotation (Line(
       points={{-29.7,463},{90,463},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_Fuel_FractUseDelay.y, busConnector.liver_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,473},{90,473},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_LactateFromMetabolism.y, busConnector.liver_LactateFromMetabolism) annotation (Line(
       points={{-29.7,483},{90,483},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_cLactate.y, busConnector.liver_cLactate) annotation (Line(
       points={{-29.7,493},{90,493},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_O2Use.y, busConnector.liver_O2Use) annotation (Line(
       points={{-29.7,503},{90,503},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaUrea_Osmolarity.y, busConnector.MedullaUrea_Osmolarity) annotation (Line(
       points={{-29.7,513},{90,513},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MetabolicH2O_Rate.y, busConnector.MetabolicH2O_Rate) annotation (Line(
       points={{-29.7,523},{90,523},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_CO2FromMetabolism.y, busConnector.otherTissue_CO2FromMetabolism) annotation (Line(
       points={{-29.7,533},{90,533},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_O2Use.y, busConnector.otherTissue_O2Use) annotation (Line(
       points={{-29.7,543},{90,543},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_Fuel_FractUseDelay.y, busConnector.otherTissue_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,553},{90,553},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_LactateFromMetabolism.y, busConnector.otherTissue_LactateFromMetabolism) annotation (Line(
       points={{-29.7,563},{90,563},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_cLactate.y, busConnector.otherTissue_cLactate) annotation (Line(
       points={{-29.7,573},{90,573},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_CO2FromMetabolism.y, busConnector.respiratoryMuscle_CO2FromMetabolism) annotation (Line(
       points={{-29.7,583},{90,583},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_O2Use.y, busConnector.respiratoryMuscle_O2Use) annotation (Line(
       points={{-29.7,593},{90,593},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_Fuel_FractUseDelay.y, busConnector.respiratoryMuscle_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,603},{90,603},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_GlucoseToCellStorageFlow.y, busConnector.respiratoryMuscle_GlucoseToCellStorageFlow) annotation (Line(
       points={{-29.7,613},{90,613},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_LactateFromMetabolism.y, busConnector.respiratoryMuscle_LactateFromMetabolism) annotation (Line(
       points={{-29.7,623},{90,623},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_cLactate.y, busConnector.respiratoryMuscle_cLactate) annotation (Line(
       points={{-29.7,633},{90,633},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

      connect(rightHeart_CO2FromMetabolism.y, busConnector.rightHeart_CO2FromMetabolism) annotation (Line(
       points={{-29.7,653},{90,653},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_O2Use.y, busConnector.rightHeart_O2Use) annotation (Line(
       points={{-29.7,663},{90,663},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_Fuel_FractUseDelay.y, busConnector.rightHeart_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,673},{90,673},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_LactateFromMetabolism.y, busConnector.rightHeart_LactateFromMetabolism) annotation (Line(
       points={{-29.7,683},{90,683},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_cLactate.y, busConnector.rightHeart_cLactate) annotation (Line(
       points={{-29.7,693},{90,693},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_O2Use.y, busConnector.skeletalMuscle_O2Use) annotation (Line(
       points={{-29.7,703},{90,703},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_Fuel_FractUseDelay.y, busConnector.skeletalMuscle_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,713},{90,713},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_GlucoseToCellStorageFlow.y, busConnector.skeletalMuscle_GlucoseToCellStorageFlow) annotation (Line(
       points={{-29.7,723},{90,723},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_LactateFromMetabolism.y, busConnector.skeletalMuscle_LactateFromMetabolism) annotation (Line(
       points={{-29.7,733},{90,733},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_cLactate.y, busConnector.skeletalMuscle_cLactate) annotation (Line(
       points={{-29.7,743},{90,743},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

      connect(skin_CO2FromMetabolism.y, busConnector.skin_CO2FromMetabolism) annotation (Line(
       points={{-29.7,763},{90,763},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_O2Use.y, busConnector.skin_O2Use) annotation (Line(
       points={{-29.7,773},{90,773},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_Fuel_FractUseDelay.y, busConnector.skin_Fuel_FractUseDelay) annotation (Line(
       points={{-29.7,783},{90,783},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_LactateFromMetabolism.y, busConnector.skin_LactateFromMetabolism) annotation (Line(
       points={{-29.7,793},{90,793},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_cLactate.y, busConnector.skin_cLactate) annotation (Line(
       points={{-29.7,803},{90,803},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(UreaICF_Osmoles.y, busConnector.UreaICF_Osmoles) annotation (Line(
       points={{-29.7,813},{90,813},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(UreaECF_Osmoles.y, busConnector.UreaECF_Osmoles) annotation (Line(
       points={{-29.7,823},{90,823},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(RightHeart_O2Need.y, busConnector.RightHeart_O2Need) annotation (
            Line(
            points={{-29.7,-15},{90,-15},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
       points={{-29.7,-29},{90,-29},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(KAPool_conc_per_liter.y, busConnector.KAPool)
          annotation (Line(
            points={{-29.7,-37},{90,-37},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_CO2FromMetabolism.y, busConnector.skeletalMuscle_CO2FromMetabolism) annotation (Line(
       points={{-27.6,-54},{90,-54},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(KA_Change_mmol_per_min.y, busConnector.KA_Change_mmol_per_min)
          annotation (Line(
            points={{-25.7,-71},{90,-71},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MetabolismCaloriesUsed_CoreHeat.y, busConnector.MetabolismCaloriesUsed_CoreHeat) annotation (Line(
       points={{-21,-96},{90,-96},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MetabolismCaloriesUsed_SkeletalMuscleHeat.y, busConnector.MetabolismCaloriesUsed_SkeletalMuscleHeat) annotation (Line(
       points={{-57.2,-104},{90,-104},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MetabolismCaloriesUsed_SkinHeat.y, busConnector.MetabolismCaloriesUsed_SkinHeat) annotation (Line(
       points={{-55,-88},{90,-88},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        /*connect(KAPool_mg_per_dl.y, busConnector.KAPool_mg_per_dl) annotation (Line(
      points={{-29.7,-43},{79,-43},{79,5}},
      color={0,0,127},
      smooth=Smooth.None), Text(
      string="%second",
      index=1,
      extent={{6,3},{6,3}}));*/
      connect(Leptin.y, busConnector.Leptin) annotation (Line(
       points={{-75.7,-23},{90,-23},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PortalVein_Glucagon.y, busConnector.PortalVein_Glucagon) annotation (Line(
       points={{-61.7,-9},{90,-9},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Glucagon_conc.y, busConnector.Glucagon_conc) annotation (Line(
       points={{-77.7,-1},{90,-1},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ThyroidEffect1.y, busConnector.Thyroxine) annotation (Line(
          points={{-75.7,7},{3.15,7},{3.15,-2},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(Triglyc.y, busConnector.Triglycerides) annotation (Line(
            points={{-93.7,-31},{90,-31},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(FAPool.y, busConnector.FattyAcids) annotation (Line(
            points={{-93.7,-39},{90,-39},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GlucoseAbsorption.y, busConnector.Glucose_GILumenAbsorption)
          annotation (Line(
            points={{-101.7,67},{90,67},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GlucoseToTissues.y, busConnector.Glucose_TotalBurn) annotation (Line(
            points={{-101.7,61},{90,61},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GlucoseDegradation.y, busConnector.GlucoseDecomposition) annotation (
            Line(
            points={{-101.7,55},{90,55},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GlucoseFromGluconeogenesis.y, busConnector.GlucoseFromGluconeogenesis)
          annotation (Line(
            points={{-101.7,49},{90,49},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GlucoseFromFA.y, busConnector.GlucoseToFA) annotation (Line(
            points={{-101.7,43},{90,43},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FatAbsorption.y, busConnector.FA_Absorbtion) annotation (Line(
          points={{-101.7,73},{90,73},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ProteinAbsorption.y, busConnector.Protein_GILumenAbsorption)
        annotation (Line(
          points={{-101.7,79},{90,79},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(FatyAcids2Ketogenesis.y, busConnector.FattyAcidsToKA) annotation (
          Line(
          points={{-101.7,37},{90,37},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(AminoAcids2Glucose.y, busConnector.AminoAcidsToGlucose) annotation (
         Line(
          points={{-101.7,25},{90,25},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(AminoAcids2FA.y, busConnector.AminoAcidsToFA) annotation (Line(
          points={{-101.7,31},{90,31},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(Bone_O2Need.y, busConnector.bone.O2Need) annotation (Line(
            points={{-91.7,-49},{90,-49},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Brain_O2Need.y, busConnector.brain.O2Need) annotation (Line(
            points={{-91.7,-57},{90,-57},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(SkeletalMuscle_O2Need2.y, busConnector.skeletalMuscle.O2Need) annotation (
            Line(
            points={{-91.7,-63},{90,-63},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(RespiratoryMuscle_O2Need.y, busConnector.respiratoryMuscle.O2Need) annotation (
            Line(
            points={{-91.7,-69},{90,-69},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(OtherTissue_O2Need.y, busConnector.otherTissue.O2Need) annotation (Line(
            points={{-91.7,-77},{90,-77},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GITract_O2Need5.y, busConnector.GITract.O2Need) annotation (Line(
            points={{-91.7,-83},{90,-83},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Fat_O2Need.y, busConnector.fat.O2Need) annotation (Line(
            points={{-91.7,-43},{90,-43},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_producedHeat.y, busConnector.skeletalMuscle_heatProduction)
        annotation (Line(
          points={{-29.7,1},{30.15,1},{30.15,-2},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={
                                    Text(
                extent={{-120,-104},{122,-138}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model Metabolism_test
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.NutrientsAndMetabolism
                                                    nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile hormones
          annotation (Placement(transformation(extent={{42,4},{62,24}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile water
          annotation (Placement(transformation(extent={{-80,-4},{-60,16}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile heat
          annotation (Placement(transformation(extent={{-44,30},{-64,50}})));
        Physiomodel.Metabolism.IO_Bus.OutputComparison metabolism_dif
          annotation (Placement(transformation(extent={{-52,58},{-32,78}})));
        Physiomodel.Metabolism.IO_Bus.OutputToFile metabolism_varsToFile
          annotation (Placement(transformation(extent={{-24,60},{-4,80}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,14},{52,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,78},{-70,78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,6},{-70,6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-54,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(metabolism_dif.busConnector, nutrientsAndMetabolism.busConnector)
          annotation (Line(
            points={{-42,68},{-56,68},{-56,78},{-70,78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(metabolism_varsToFile.busConnector, nutrientsAndMetabolism.busConnector)
          annotation (Line(
            points={{-14,70},{-42,70},{-42,78},{-70,78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Metabolism_test;

      model Metabolism_test_SI
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.NutrientsAndMetabolism
                                                    nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{42,4},{62,24}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-80,-4},{-60,16}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-44,30},{-64,50}})));
        Physiomodel.Metabolism.IO_Bus.OutputComparison_SI metabolism_dif
          annotation (Placement(transformation(extent={{-52,58},{-32,78}})));
        Physiomodel.Metabolism.IO_Bus.OutputToFile_SI metabolism_varsToFile
          annotation (Placement(transformation(extent={{-24,60},{-4,80}})));
      Physiomodel.Metabolism.IO_Bus.OutputToFile outputToFile
        annotation (Placement(transformation(extent={{-24,88},{-4,108}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,14},{52,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,78},{-70,78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,6},{-70,6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-54,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(metabolism_dif.busConnector, nutrientsAndMetabolism.busConnector)
          annotation (Line(
            points={{-42,68},{-56,68},{-56,78},{-70,78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(metabolism_varsToFile.busConnector, nutrientsAndMetabolism.busConnector)
          annotation (Line(
            points={{-14,70},{-42,70},{-42,78},{-70,78}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(nutrientsAndMetabolism.busConnector, outputToFile.busConnector)
        annotation (Line(
          points={{-70,78},{-42,78},{-42,98},{-14,98}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      end Metabolism_test_SI;
    end IO_Bus;

    model LiverMetabolism2
     // import QHP = Physiomodel;
      extends Physiolibrary.Icons.Liver;
      //outer parameter Real EFC_Vol(final displayUnit="ml");
    Physiolibrary.Chemical.Components.Substance Glycogen(solute_start=120e-6/
          Substances.Glucose.mw)
      "amount of bound glucose molecules in glycogen (initial mass 120 mg of bound glucose molecules)"
      annotation (Placement(transformation(extent={{96,46},{76,66}})));
    Physiolibrary.Chemical.Components.SolutePump LM_Glycogenesis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{4,58},{24,78}})));
    Physiolibrary.Chemical.Components.SolutePump LM_Glycogenolysis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{24,6},{4,26}})));
    Physiolibrary.Chemical.Components.SolutePump LM_FA_Glucose(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-20,-34},{-40,-14}})));
    Physiolibrary.Chemical.Components.SolutePump LM_Gluconeogenesis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{64,-34},{44,-14}})));
    Physiomodel.Metabolism.deprecated.ContinualReaction2 AA_TO_GLU
      annotation (Placement(transformation(extent={{34,-34},{14,-14}})));
    Physiomodel.Metabolism.deprecated.ContinualReaction GLU_TO_FA(a=0.42*(Substances.Glucose.mw
          /Substances.Triglycerides.mw))
      annotation (Placement(transformation(extent={{-48,-34},{-68,-14}})));
    Physiolibrary.Blocks.Factors.LagSpline InsulinEffect_Glycogenesis(
      data={{0,0.0,0.0},{35,1.0,0.03},{120,3.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      "initial: 40 uiu/ml = 40 iu/m3 , LM_Insulin.Tau = 40 min"
      annotation (Placement(transformation(extent={{4,80},{24,100}})));
    Physiolibrary.Blocks.Factors.LagSpline InsulinEffect_Glucose2FA(
      data={{0,0.0,0.0},{50,1.0,0.06},{200,3.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      annotation (Placement(transformation(extent={{-20,-18},{-40,2}})));
    Physiolibrary.Blocks.Factors.LagSpline
                                        InsulinEffect4(data={{0,2.5,0.0},{50,
          1.0,-0.005},{500,0.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      annotation (Placement(transformation(extent={{44,-8},{64,12}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseGlycogenesis(k(
          displayUnit="mol/s") = 75e-6/Substances.Glucose.mw/60)
      "glucose flow rate 75 mg/min"
      annotation (Placement(transformation(extent={{36,88},{26,98}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseGlucose2FA(k=70e-6/
          Substances.Glucose.mw/60) "glucose flow rate 70 mg/min"
      annotation (Placement(transformation(extent={{-18,2},{-28,12}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseAminoAcids2Glucose(k=30e-6/
          Substances.AminoAcids.mw/60)
      annotation (Placement(transformation(extent={{70,10},{60,20}})));
    Physiolibrary.Blocks.Factors.Spline MassEffect_Glycogenesis(data={{0,3.0,
          0.0},{100,1.0,-0.05},{200,0.0,0.0}}, Xscale=1e-6/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{24,68},{4,88}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect_Glycogenesis(data={{120,
          0.0,0.0},{130,1.0,0.06},{200,2.0,0.0}}, Xscale=0.01/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{4,76},{24,96}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_Glycogenesis
      annotation (Placement(transformation(extent={{4,72},{24,92}})));
    Physiolibrary.Blocks.Factors.LagSpline InsulinEffect_Glycogenolysis(
      data={{0,2.0,0.0},{35,1.0,-0.02},{120,0.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      annotation (Placement(transformation(extent={{4,36},{24,56}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseGlycogenolysis(k=75e-6/
          Substances.Glucose.mw/60) "glucose flow rate 75 mg/min"
      annotation (Placement(transformation(extent={{36,44},{26,54}})));
    Physiolibrary.Blocks.Factors.Spline MassEffect_Glycogenolysis(data={{0,0.0,
          0.0},{100,1.0,0.0}}, Xscale=1e-6/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{24,14},{4,34}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect_Glycogenolysis(data={{45,
          2.0,0.0},{125,1.0,-0.01},{350,0.3,0.0}}, Xscale=0.01/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{4,28},{24,48}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_Glycogenolysis
      annotation (Placement(transformation(extent={{4,20},{24,40}})));
    Physiolibrary.Blocks.Factors.Spline GlucagonEffect_Glycogenolysis(data={{
          170,1.0,0.0},{680,2.0,0.0}}, Xscale=1e-9/Substances.Glucagon.mw)
      "170 pg/ml = 170e-9 kg/m3"
      annotation (Placement(transformation(extent={{4,32},{24,52}})));
    Physiolibrary.Blocks.Factors.Spline EpinephrineEffect_Glycogenolysis(data={{0,
          0.8,0.0},{40,1.0,0.01},{400,10.0,0.02},{1200,20.0,0.0}}, Xscale=1e-9/
          Substances.Epinephrine.mw) "40 pg/ml = 40e-9 kg/m3"
      annotation (Placement(transformation(extent={{24,24},{4,44}})));
    Physiolibrary.Types.Constants.FractionConst             Constant3(k=0.6*(
          Substances.AminoAcids.mw/Substances.Glucose.mw))
      annotation (Placement(transformation(extent={{32,-18},{26,-12}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect_Glucose2FA(data={{120,0.0,
          0.0},{130,1.0,0.05},{200,2.0,0.0}}, Xscale=0.01/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{-20,-22},{-40,-2}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_Glucose2FA
      annotation (Placement(transformation(extent={{-20,-26},{-40,-6}})));
    Physiolibrary.Blocks.Factors.Spline GlucagonEffect_AminoAcids2Glucose(data={{
          170,1.0,0.0},{680,2.0,0.0}}, Xscale=1e-9/Substances.Glucagon.mw)
      annotation (Placement(transformation(extent={{44,-14},{64,6}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect_AminoAcids2Glucose(data={{45,
          2.0,0.0},{125,1.0,-0.008},{340,0.3,0.0}}, Xscale=0.01/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{44,-18},{64,2}})));
    Physiolibrary.Blocks.Factors.Spline AminoAcidEffect(
      data={{0,0.0,0.0},{50,1.0,0.02},{200,2.0,0.0}},
      y(start=1.13856),
      u(start=57.2753),
      Xscale=1e-2/Substances.AminoAcids.mw) "50 mg/dl = 50e-2 kg/m3"
      annotation (Placement(transformation(extent={{92,-8},{72,12}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_AminoAcids2Glucose
      annotation (Placement(transformation(extent={{44,-26},{64,-6}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b Glucose(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "extracellular storage" annotation (Placement(transformation(extent={{-62,
              58},{-42,78}}), iconTransformation(extent={{90,-70},{110,-50}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b triglicerides(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min")) annotation (
        Placement(transformation(extent={{-92,-16},{-72,4}}),
          iconTransformation(extent={{90,50},{110,70}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b Ketoacids(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "extracellular storage" annotation (Placement(transformation(extent={{-12,
              -92},{8,-72}}), iconTransformation(extent={{90,-10},{110,10}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-108,86},{-88,106}}), iconTransformation(
            extent={{-108,-10},{-88,10}})));
    Physiolibrary.Chemical.Components.SolutePump LM_Ketoacids(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-58,-92},{-38,-72}})));
    Physiomodel.Metabolism.deprecated.ContinualReaction FA_TO_KA(a=1.02*(Substances.FattyAcids.mw
          /Substances.KetoAcids.mw)) annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          origin={-18,-82})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_Ketogenesis
      annotation (Placement(transformation(extent={{-58,-84},{-38,-64}})));
    Physiolibrary.Blocks.Factors.Spline FattyAcidEffect_Ketogenesis(data={{0,
          0.5,0.0},{15,1.0,0.05},{75,5.0,0.0}}, Xscale=1e-2/Substances.FattyAcids.mw)
      "effect on fatty acids concentration in mg/dl"
      annotation (Placement(transformation(extent={{-58,-76},{-38,-56}})));
    Physiolibrary.Blocks.Factors.Spline GlucagonEffect_Ketogenesis(data={{0,0.5,
          0.0},{170,1.0,0.01},{340,10.0,0.0}}, Xscale=1e-9/Substances.Glucagon.mw)
      annotation (Placement(transformation(extent={{-58,-80},{-38,-60}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseKetogenesis(k=2.2e-6/
          Substances.FattyAcids.mw/60)
      annotation (Placement(transformation(extent={{-24,-58},{-34,-48}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
      annotation (Placement(transformation(extent={{-80,-90},{-60,-70}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b AminoAcids(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "extracellular storage" annotation (Placement(transformation(extent={{76,
              -34},{96,-14}}), iconTransformation(extent={{50,-110},{70,-90}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1
      annotation (Placement(transformation(extent={{86,-22},{106,-2}})));
    Physiolibrary.Chemical.Components.SolutePump LM_FA_AminoAcids(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{64,-78},{44,-58}})));
    Physiomodel.Metabolism.deprecated.ContinualReaction2 AA_TO_FA
      annotation (Placement(transformation(extent={{38,-78},{18,-58}})));
    Physiolibrary.Blocks.Factors.LagSpline InsulinEffect_AminoAcids2FA(
      data={{0,0.0,0.0},{50,1.0,0.05},{80,4.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      annotation (Placement(transformation(extent={{64,-62},{44,-42}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseAminoAcids2FA(
                                                                      k=20e-6/
          Substances.AminoAcids.mw/60)
      annotation (Placement(transformation(extent={{66,-48},{56,-38}})));
    Physiolibrary.Types.Constants.FractionConst             Constant5(k=0.437*(
          Substances.AminoAcids.mw/Substances.FattyAcids.mw))
      annotation (Placement(transformation(extent={{38,-60},{32,-54}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_AminoAcids2FA
      annotation (Placement(transformation(extent={{64,-70},{44,-50}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b Urea(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min"))
      "extracellular storage" annotation (Placement(transformation(extent={{-8,-54},
              {12,-34}}),      iconTransformation(extent={{-70,-110},{-50,-90}})));
    Physiolibrary.Types.Constants.FractionConst             Constant6(k=0.3*(
          Substances.AminoAcids.mw/Substances.Urea.mw))
      annotation (Placement(transformation(extent={{10,-18},{16,-12}})));
    Physiolibrary.Types.Constants.FractionConst             Constant7(k=0.3*(
          Substances.AminoAcids.mw/Substances.Urea.mw))
      annotation (Placement(transformation(extent={{14,-60},{20,-54}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_b fattyAcids(conc(final
          displayUnit="mg/ml"), q(final displayUnit="mg/min")) annotation (
        Placement(transformation(extent={{-102,-92},{-82,-72}}),
          iconTransformation(extent={{90,90},{110,110}})));
    Physiolibrary.Blocks.Factors.Normalization AAEffect_AminoAcids2Glucose
      annotation (Placement(transformation(extent={{64,-22},{44,-2}})));
    Physiolibrary.Types.Constants.FractionConst             Constant1(k=1)
      annotation (Placement(transformation(extent={{96,12},{88,20}})));
    Physiolibrary.Blocks.Factors.Normalization AAEffect_AminoAcids2FA
      annotation (Placement(transformation(extent={{64,-66},{44,-46}})));
    Physiolibrary.Chemical.Sensors.MolarFlowMeasure molarFlowMeasure
      annotation (Placement(transformation(extent={{8,-26},{-10,-16}})));
    Physiolibrary.Chemical.Components.ChemicalReaction chemicalReaction(
      useForwardRateInput=true,
      K=Modelica.Constants.inf,
      p={1/(0.42*(Substances.Glucose.mw/Substances.Triglycerides.mw))})
      annotation (Placement(transformation(extent={{-42,10},{-62,30}})));
    Physiolibrary.Blocks.Factors.LagSpline InsulinEffect_Glucose2FA1(
      data={{0,0.0,0.0},{50,1.0,0.06},{200,3.0,0.0}},
      HalfTime=Modelica.Math.log(2)*40*60,
      initialValue=50)
      annotation (Placement(transformation(extent={{-46,30},{-66,50}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst BaseGlucose2FA1(
                                                                    k=70e-6/
          Substances.Glucose.mw/60) "glucose flow rate 70 mg/min"
      annotation (Placement(transformation(extent={{-44,50},{-54,60}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect_Glucose2FA1(
                                                                 data={{120,0.0,
          0.0},{130,1.0,0.05},{200,2.0,0.0}}, Xscale=0.01/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{-46,26},{-66,46}})));
    Physiolibrary.Blocks.Factors.Normalization LiverFunctionEffect_Glucose2FA1
      annotation (Placement(transformation(extent={{-46,22},{-66,42}})));
    equation
    connect(InsulinEffect_Glycogenesis.yBase, BaseGlycogenesis.y) annotation (
        Line(
        points={{14,92},{14,93},{24.75,93}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect4.yBase, BaseAminoAcids2Glucose.y) annotation (Line(
        points={{54,4},{54,15},{58.75,15}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect_Glucose2FA.yBase, BaseGlucose2FA.y) annotation (Line(
        points={{-30,-6},{-30,7},{-29.25,7}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucoseEffect_Glycogenesis.y, LiverFunctionEffect_Glycogenesis.yBase)
      annotation (Line(
        points={{14,82},{14,84}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect_Glycogenolysis.yBase, BaseGlycogenolysis.y)
      annotation (Line(
        points={{14,48},{14,49},{24.75,49}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucagonEffect_Glycogenolysis.yBase, InsulinEffect_Glycogenolysis.y)
      annotation (Line(
        points={{14,44},{14,42}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(EpinephrineEffect_Glycogenolysis.yBase,
      GlucoseEffect_Glycogenolysis.y) annotation (Line(
        points={{14,36},{14,34}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(EpinephrineEffect_Glycogenolysis.y,
      LiverFunctionEffect_Glycogenolysis.yBase) annotation (Line(
        points={{14,30},{14,32}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(Constant3.y, AA_TO_GLU.coef) annotation (Line(
          points={{25.25,-15},{24,-15},{24,-20}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(InsulinEffect_Glucose2FA.y, GlucoseEffect_Glucose2FA.yBase)
      annotation (Line(
        points={{-30,-12},{-30,-10}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucoseEffect_Glucose2FA.y, LiverFunctionEffect_Glucose2FA.yBase)
      annotation (Line(
        points={{-30,-16},{-30,-14}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LiverFunctionEffect_Glucose2FA.y, LM_FA_Glucose.soluteFlow)
      annotation (Line(
        points={{-30,-20},{-34,-20}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect4.y, GlucagonEffect_AminoAcids2Glucose.yBase)
      annotation (Line(
        points={{54,-2},{54,-2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucagonEffect_AminoAcids2Glucose.y,
      GlucoseEffect_AminoAcids2Glucose.yBase) annotation (Line(
        points={{54,-8},{54,-6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LiverFunctionEffect_AminoAcids2Glucose.y, LM_Gluconeogenesis.soluteFlow)
      annotation (Line(
        points={{54,-20},{50,-20}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect, LiverFunctionEffect_Glycogenesis.u)
      annotation (Line(
        points={{-98,96},{-6,96},{-6,82},{6,82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect,
      LiverFunctionEffect_Glycogenolysis.u) annotation (Line(
        points={{-98,96},{-5.9,96},{-5.9,30},{6,30}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect,
      LiverFunctionEffect_AminoAcids2Glucose.u) annotation (Line(
        points={{-98,96},{-6,96},{-6,-10},{40,-10},{40,-16},{46,-16}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect, LiverFunctionEffect_Glucose2FA.u)
      annotation (Line(
        points={{-98,96},{-6,96},{-6,-16},{-22,-16}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(busConnector.PortalVein_Glucagon, GlucagonEffect_AminoAcids2Glucose.u)
      annotation (Line(
        points={{-98,96},{-2,96},{-2,-4},{46,-4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucagonEffect_Glycogenolysis.u, busConnector.PortalVein_Glucagon)
      annotation (Line(
        points={{6,42},{-2,42},{-2,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(AA_TO_GLU.q_in, LM_Gluconeogenesis.q_out) annotation (Line(
          points={{34,-24},{44,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(LiverFunctionEffect_Ketogenesis.y, LM_Ketoacids.soluteFlow)
      annotation (Line(
        points={{-48,-78},{-44,-78}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucagonEffect_Ketogenesis.y, LiverFunctionEffect_Ketogenesis.yBase)
      annotation (Line(
        points={{-48,-74},{-48,-72}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(FattyAcidEffect_Ketogenesis.y, GlucagonEffect_Ketogenesis.yBase)
      annotation (Line(
        points={{-48,-70},{-48,-68}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(FattyAcidEffect_Ketogenesis.yBase, BaseKetogenesis.y) annotation (
        Line(
        points={{-48,-64},{-48,-53},{-35.25,-53}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect, LiverFunctionEffect_Ketogenesis.u)
      annotation (Line(
        points={{-98,96},{-98,-74},{-56,-74}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Glucagon, GlucagonEffect_Ketogenesis.u)
      annotation (Line(
        points={{-98,96},{-98,-70},{-56,-70}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Glucose, GlucoseEffect_Glycogenesis.u)
      annotation (Line(
        points={{-98,96},{-10,96},{-10,86},{6,86}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Glucose, GlucoseEffect_Glycogenolysis.u)
      annotation (Line(
        points={{-98,96},{-10,96},{-10,38},{6,38}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Glucose, GlucoseEffect_AminoAcids2Glucose.u)
      annotation (Line(
        points={{-98,96},{-10,96},{-10,-8},{46,-8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Glucose, GlucoseEffect_Glucose2FA.u)
      annotation (Line(
        points={{-98,96},{-10,96},{-10,-12},{-22,-12}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(EpinephrineEffect_Glycogenolysis.u, busConnector.Epinephrine)
      annotation (Line(
        points={{22,34},{100,34},{100,100},{-98,100},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(Glucose, LM_Glycogenesis.q_in) annotation (Line(
          points={{-52,68},{4,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_Glycogenolysis.q_out, Glucose) annotation (Line(
          points={{4,16},{-14,16},{-14,68},{-52,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_FA_Glucose.q_in, Glucose) annotation (Line(
          points={{-20,-24},{-14,-24},{-14,68},{-52,68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AminoAcids, LM_Gluconeogenesis.q_in) annotation (Line(
          points={{86,-24},{64,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AminoAcids, concentrationMeasure1.q_in) annotation (Line(
          points={{86,-24},{80,-24},{80,-14},{96,-14}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(InsulinEffect_AminoAcids2FA.yBase, BaseAminoAcids2FA.y) annotation (
       Line(
        points={{54,-50},{54,-43},{54.75,-43}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(Constant5.y, AA_TO_FA.coef)  annotation (Line(
          points={{31.25,-57},{28,-57},{28,-64}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(LiverFunctionEffect_AminoAcids2FA.y, LM_FA_AminoAcids.soluteFlow)
      annotation (Line(
        points={{54,-64},{50,-64}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect, LiverFunctionEffect_AminoAcids2FA.u)
      annotation (Line(
        points={{-98,96},{-98,100},{100,100},{100,-60},{62,-60}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(AA_TO_FA.q_in, LM_FA_AminoAcids.q_out) annotation (Line(
          points={{38,-68},{44,-68}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_FA.q_out, triglicerides)
                                          annotation (Line(
          points={{18,-65},{-14,-65},{-14,-44},{-82,-44},{-82,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_FA_AminoAcids.q_in, AminoAcids) annotation (Line(
          points={{64,-68},{80,-68},{80,-24},{86,-24}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Urea, AA_TO_GLU.q_out2) annotation (Line(
          points={{2,-44},{8,-44},{8,-26},{14,-26},{14,-27}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_FA.q_out2, Urea) annotation (Line(
          points={{18,-71},{8,-71},{8,-44},{2,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(AA_TO_GLU.coef2, Constant6.y) annotation (Line(
          points={{18,-20},{18,-15},{16.75,-15}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AA_TO_FA.coef2, Constant7.y) annotation (Line(
          points={{22,-64},{22,-57},{20.75,-57}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(fattyAcids, concentrationMeasure.q_in)
        annotation (Line(
          points={{-92,-82},{-70,-82}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(fattyAcids, LM_Ketoacids.q_in)                   annotation (Line(
          points={{-92,-82},{-58,-82}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(InsulinEffect_Glycogenesis.y, GlucoseEffect_Glycogenesis.yBase)
      annotation (Line(
        points={{14,86},{14,88}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LiverFunctionEffect_Glycogenesis.y, MassEffect_Glycogenesis.yBase)
      annotation (Line(
        points={{14,78},{14,80}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(MassEffect_Glycogenesis.y, LM_Glycogenesis.soluteFlow) annotation (
        Line(
        points={{14,74},{14,72},{18,72}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucagonEffect_Glycogenolysis.y, GlucoseEffect_Glycogenolysis.yBase)
      annotation (Line(
        points={{14,38},{14,40}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(MassEffect_Glycogenolysis.yBase, LiverFunctionEffect_Glycogenolysis.y)
      annotation (Line(
        points={{14,26},{14,26}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(MassEffect_Glycogenolysis.y, LM_Glycogenolysis.soluteFlow)
      annotation (Line(
        points={{14,20},{10,20}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(LM_Glycogenolysis.q_in, Glycogen.q_out) annotation (Line(
          points={{24,16},{56,16},{56,56},{86,56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(LM_Glycogenesis.q_out, Glycogen.q_out) annotation (Line(
          points={{24,68},{56,68},{56,56},{86,56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(GlucoseEffect_AminoAcids2Glucose.y, AAEffect_AminoAcids2Glucose.yBase)
      annotation (Line(
        points={{54,-12},{54,-10}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LiverFunctionEffect_AminoAcids2Glucose.yBase,
      AAEffect_AminoAcids2Glucose.y) annotation (Line(
        points={{54,-14},{54,-16}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(Constant1.y, AminoAcidEffect.yBase) annotation (Line(
          points={{87,16},{82,16},{82,4}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(AminoAcidEffect.y, AAEffect_AminoAcids2Glucose.u) annotation (Line(
        points={{82,-2},{82,-12},{62,-12}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect_AminoAcids2FA.y, AAEffect_AminoAcids2FA.yBase)
      annotation (Line(
        points={{54,-56},{54,-54}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(AAEffect_AminoAcids2FA.y, LiverFunctionEffect_AminoAcids2FA.yBase)
      annotation (Line(
        points={{54,-60},{54,-58}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(AminoAcidEffect.y, AAEffect_AminoAcids2FA.u) annotation (Line(
        points={{82,-2},{82,-56},{62,-56}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(FA_TO_KA.B, Ketoacids) annotation (Line(
        points={{-8,-79},{-8,-82},{-2,-82}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(LM_Ketoacids.q_out, FA_TO_KA.A) annotation (Line(
        points={{-38,-82},{-28,-82}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(GLU_TO_FA.B, triglicerides) annotation (Line(
        points={{-68,-21},{-82,-21},{-82,-6}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(GLU_TO_FA.A, LM_FA_Glucose.q_out) annotation (Line(
        points={{-48,-24},{-40,-24}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(MassEffect_Glycogenesis.y, busConnector.liver_GlucoseToCellStorageFlow)
      annotation (Line(
        points={{14,74},{60,74},{60,100},{-98,100},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(Glycogen.solute, MassEffect_Glycogenolysis.u) annotation (Line(
        points={{80,46},{80,24},{22,24}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Glycogen.solute, MassEffect_Glycogenesis.u) annotation (Line(
        points={{80,46},{80,26},{26,26},{26,78},{22,78}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure1.concentration, AminoAcidEffect.u)
      annotation (Line(
        points={{96,-8},{96,2},{90,2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure.concentration, FattyAcidEffect_Ketogenesis.u)
      annotation (Line(
        points={{-70,-76},{-70,-66},{-56,-66}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.PortalVein_Insulin, InsulinEffect_Glycogenesis.u)
      annotation (Line(
        points={{-98,96},{-30,96},{-30,90},{6,90}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PortalVein_Insulin, InsulinEffect_Glycogenolysis.u)
      annotation (Line(
        points={{-98,96},{-30,96},{-30,46},{6,46}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(InsulinEffect_Glucose2FA.u, busConnector.PortalVein_Insulin)
      annotation (Line(
        points={{-22,-8},{-10,-8},{-10,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(InsulinEffect_AminoAcids2FA.u, busConnector.PortalVein_Insulin)
      annotation (Line(
        points={{62,-52},{100,-52},{100,100},{-98,100},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(busConnector.PortalVein_Insulin, InsulinEffect4.u) annotation (Line(
        points={{-98,96},{-10,96},{-10,2},{46,2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(AA_TO_GLU.q_out, molarFlowMeasure.q_in) annotation (Line(
        points={{14,-21},{8,-21}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(Glucose, molarFlowMeasure.q_out) annotation (Line(
        points={{-52,68},{-14,68},{-14,-21},{-10,-21}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(molarFlowMeasure.molarFlowRate, busConnector.GlucoseFromGluconeogenesis)
      annotation (Line(
        points={{-1,-24},{-2,-24},{-2,-34},{-98,-34},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect_Glucose2FA.y, busConnector.GlucoseToFA)
      annotation (Line(
        points={{-30,-20},{-98,-20},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect_Ketogenesis.y, busConnector.FattyAcidsToKA)
      annotation (Line(
        points={{-48,-78},{-98,-78},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect_AminoAcids2FA.y, busConnector.AminoAcidsToFA)
      annotation (Line(
        points={{54,-64},{-98,-64},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(LiverFunctionEffect_AminoAcids2Glucose.y, busConnector.AminoAcidsToGlucose)
      annotation (Line(
        points={{54,-20},{100,-20},{100,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chemicalReaction.substrates[1], Glucose) annotation (Line(
        points={{-42,20},{-14,20},{-14,68},{-52,68}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(chemicalReaction.products[1], Glucose) annotation (Line(
        points={{-62,20},{-74,20},{-74,66},{-52,66},{-52,68}},
        color={107,45,134},
        thickness=1,
        smooth=Smooth.None));
    connect(InsulinEffect_Glucose2FA1.u, busConnector.PortalVein_Insulin) annotation (
        Line(
        points={{-48,40},{-32,40},{-32,96},{-98,96}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(busConnector.PortalVein_Glucose, GlucoseEffect_Glucose2FA1.u) annotation (
        Line(
        points={{-98,96},{-32,96},{-32,36},{-48,36}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.LiverFunctionEffect, LiverFunctionEffect_Glucose2FA1.u)
      annotation (Line(
        points={{-98,96},{-32,96},{-32,32},{-48,32}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect_Glucose2FA1.yBase, BaseGlucose2FA1.y) annotation (Line(
        points={{-56,42},{-56,55},{-55.25,55}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(InsulinEffect_Glucose2FA1.y, GlucoseEffect_Glucose2FA1.yBase) annotation (
        Line(
        points={{-56,36},{-56,38}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GlucoseEffect_Glucose2FA1.y, LiverFunctionEffect_Glucose2FA1.yBase)
      annotation (Line(
        points={{-56,32},{-56,34}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(LiverFunctionEffect_Glucose2FA1.y, chemicalReaction.forwardRateCoefficient)
      annotation (Line(
        points={{-56,28},{-56,24}},
        color={0,0,127},
        smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Text(
              extent={{-122,100},{94,66}},
              lineColor={0,0,255},
              textString="%name"),
            Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}));
    end LiverMetabolism2;

    package deprecated

      model ContinualReaction "Continual flow reaction of type  a A <-> b B"

        Physiolibrary.Chemical.Interfaces.ChemicalPort_a A "solute A" annotation (
            Placement(transformation(extent={{-120,-20},{-80,20}}),
              iconTransformation(extent={{-110,-10},{-90,10}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_b B "solute B" annotation (
            extent=[-10,-110; 10,-90], Placement(transformation(extent={{-10,
                -110},{10,-90}}, rotation=0),
                             iconTransformation(extent={{90,20},{110,40}})));

        parameter Modelica.SIunits.StoichiometricNumber a=1
        "Stoichiometric number of solute A";
        parameter Modelica.SIunits.StoichiometricNumber b=1
        "Stoichiometric number of solute B";

      equation
         a*A.q + b*B.q = 0;
         a*A.conc = b*B.conc;  // sound strange, dissociation constand should be here
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-28},{100,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-128,-60},{142,-34}},
                textString="%name",
                lineColor={0,0,255}),
              Polygon(
                points={{-60,4},{-60,2},{54,2},{54,2},{18,12},{18,4},{-60,4}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ContinualReaction;

      model ContinualReaction2
      "Continual flow reaction of type  a A <-> b B + c C, where the concentration of C does not play the role"

        Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (extent=[
              -10,-110; 10,-90], Placement(transformation(extent={{-10,-110},{
                10,-90}}, rotation=0),
              iconTransformation(extent={{90,20},{110,40}})));
        Modelica.Blocks.Interfaces.RealInput coef
        "who much units of q_out produce one unit of q_in"
                                      annotation ( extent = [-10,30;10,50], rotation = -90,
        Placement(transformation(
            origin={0,40},
            extent={{-10,-10},{10,10}},
            rotation=270)));

        Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out2 annotation (extent=
              [-10,-110; 10,-90], Placement(transformation(extent={{-10,-110},{
                10,-90}}, rotation=0),
              iconTransformation(extent={{90,-40},{110,-20}})));
        Modelica.Blocks.Interfaces.RealInput
                              coef2
        "who much units of q_out2 produce one unit of q_in"                             annotation (Placement(transformation(extent={{-54,
                  20},{-14,60}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={60,40})));

       // parameter Modelica.SIunits.StoichiometricNumber a_in=1 "Stoichiometric number of solute A";
       // parameter Modelica.SIunits.StoichiometricNumber a_out=1 "Stoichiometric number of solute B";
       // parameter Modelica.SIunits.StoichiometricNumber a_out2=1 "Stoichiometric number of solute C";

      equation
        q_out.q + coef*q_in.q = 0;
        q_out2.q + coef2*q_in.q = 0;
        q_out.conc = coef*q_in.conc;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-30},{100,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-128,-66},{142,-40}},
                textString="%name",
                lineColor={0,0,255}),
              Polygon(
                points={{-60,4},{-60,2},{54,2},{54,2},{18,12},{18,4},{-60,4}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
          Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
      end ContinualReaction2;

    end deprecated;
    annotation (Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: HumMod 1.6, University of Mississippi Medical Center</p></td>
</tr>
</table>
<p>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>", info="<html>
<p>cellular metabolism [Wahren1970,Carlson1971]</p>
<p><br>Liver metabolism</p>
<p>ketoacids[Gerich1975,McGarry1976,Schade1975]</p>
<p>insulin [Prager1987,Cherrington1987], glucagon[Wahren2007,Cherrington1987], glucose[Cherrington1987]</p>
<p>glycogenolysis, gluconeogenesis [Chiasson1976,Rothman1991]</p>
<p>lipids [Kotani2004]</p>
<p><br>Lipid metabolism</p>
<p>adipose tissue[Algenstaedt2004,Frayn2002,Schling2002,Wagner2004]</p>
<p>hormones[Havel2004] - insulin[Arner2002.Chen2004]</p>
<p><br>Urea [Sands1999]</p>
</html>"));
  end Metabolism;

  package Hormones "Hormones"
    extends Physiolibrary.Icons.HormonesLib;

    package Insulin_Physiolibrary = Physiolibrary(Types(
      redeclare type Concentration = Real(quantity="Insulin Concentration",unit="1/m3",displayUnit="iu/l"),
      redeclare type AmountOfSubstance = Real(quantity="Unsulin AmountOfSubstance",unit="1",displayUnit="iu"),
      redeclare type MolarFlowRate = Real(quantity="Insulin Flow Rate",unit="1/s",displayUnit="iu/min"),
      redeclare type MolarEnergy = Real(quantity="Insulin Internal Energy",unit="J",displayUnit="cal/iu")));
    package EPO_Physiolibrary = Physiolibrary(Types(
      redeclare type Concentration = Real(quantity="EPO Concentration",unit="1/m3",displayUnit="iu/l"),
      redeclare type AmountOfSubstance = Real(quantity="EPO AmountOfSubstance",unit="1",displayUnit="iu"),
      redeclare type MolarFlowRate = Real(quantity="EPO Flow Rate",unit="1/s",displayUnit="iu/min"),
      redeclare type MolarEnergy = Real(quantity="EPO Internal Energy",unit="J",displayUnit="cal/iu")));
    package TSH_Physiolibrary = Physiolibrary(Types(
      redeclare type Concentration = Real(quantity="TSH Concentration",unit="1/m3",displayUnit="iu/l"),
      redeclare type AmountOfSubstance = Real(quantity="TSH AmountOfSubstance",unit="1",displayUnit="iu"),
      redeclare type MolarFlowRate = Real(quantity="TSH Flow Rate",unit="1/s",displayUnit="iu/min"),
      redeclare type MolarEnergy = Real(quantity="TSH Internal Energy",unit="J",displayUnit="cal/iu")));
  /*  package ADH_Physiolibrary = Physiolibrary(Types(
    redeclare type Concentration = Real(quantity="ADH Concentration",unit="1/m3",displayUnit="iu/l"),
    redeclare type AmountOfSubstance = Real(quantity="ADH AmountOfSubstance",unit="1",displayUnit="iu"),
    redeclare type MolarFlowRate = Real(quantity="ADH Flow Rate",unit="1/s",displayUnit="iu/min"),
    redeclare type MolarEnergy = Real(quantity="ADH Internal Energy",unit="J",displayUnit="cal/iu")));
*/
    package Renin_Physiolibrary = Physiolibrary(Types(
      redeclare type Concentration = Real(quantity="Renin Goldblat Concentration",unit="1/m3",displayUnit="Gu/l"),
      redeclare type AmountOfSubstance = Real(quantity="Renin Goldblat AmountOfSubstance",unit="1",displayUnit="Gu"),
      redeclare type MolarFlowRate = Real(quantity="Renin Goldblat Flow Rate",unit="1/s",displayUnit="Gu/min"),
      redeclare type MolarEnergy = Real(quantity="Renin Goldblat Internal Energy",unit="J",displayUnit="cal/Gu")));
   //  constant Physiolibrary.Types.MolarMass ADHMolarMass=1.084 "kDa = molar mass of arginine vassopressin";

    model Insulin
      extends Physiolibrary.Icons.Pancreas;
    // outer parameter Real ECF_Vol(final displayUnit="ml");

    Insulin_Physiolibrary.Chemical.Components.Substance InsulinPool(
      stateName="InsulinPool.Mass",
      useNormalizedVolume=false,
        NominalSolute(displayUnit="U_Insulin") = 1e-6,
        solute_start(displayUnit="U_Insulin") = 0.324)
      "0.021 mU/ml * 15000 ml  = 307 mU .. all initial extracellular insulin"
      annotation (Placement(transformation(extent={{-86,-26},{-66,-6}})));
    Insulin_Physiolibrary.Chemical.Components.SolutePump secretion(useSoluteFlowInput=
          true)
      annotation (Placement(transformation(extent={{32,-14},{12,6}})));
    Insulin_Physiolibrary.Chemical.Sources.UnlimitedSolutePump synthesis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{90,-14},{70,6}})));
    Insulin_Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut clearance(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-54,-16},{-34,-36}})));
      Insulin_Physiolibrary.Chemical.Sensors.IncrementalFlowConcentrationMeasure
        PortalVeinConcentration(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-66,2},{-46,22}})));
    Insulin_Physiolibrary.Chemical.Components.Substance InsulinStorage(
      stateName="InsulinStorage.Mass",
      NominalSolute(displayUnit="U_Insulin") = Substances.Insulin.molpIU,
        solute_start(displayUnit="U_Insulin") = 1.95491) "initial 1954.91 mU"
                           annotation (Placement(transformation(
          extent={{-10,10},{10,-10}},
          rotation=180,
          origin={52,-4})));
      Modelica.Blocks.Math.Gain gain(k=0.0571413755/60)
        annotation (Placement(transformation(extent={{-64,-42},{-58,-36}})));
    Physiolibrary.Blocks.Factors.Spline KAEffect(data={{0.0,0.6,0},{0.5,1.0,
          0.05},{50.0,2.0,0}}, Xscale=0.01/Substances.KetoAcids.mw)
      "0.5 mg/dl = 0.005 kg/m3"
      annotation (Placement(transformation(extent={{12,0},{32,20}})));
    Physiolibrary.Blocks.Interpolation.Curve MassEffect(
      data={{0,200,0},{2000,17,-0.02},{3000,0,0}},
      Xscale=1e-3,
      Yscale=1e-3/60)
      "base insulin storage mass 2000 miu caused synthesis of 17 miu/min"
      annotation (Placement(transformation(extent={{58,62},{78,82}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect(data={{0,0.0,0},{105,1.0,
          0.01},{600,50.0,0}}, Xscale=0.01/Substances.Glucose.mw)
      "105 mg/dl = 1.05 kg/m3"
      annotation (Placement(transformation(extent={{12,4},{32,24}})));
    Physiolibrary.Blocks.Factors.Normalization FunctionEffect
      annotation (Placement(transformation(extent={{12,-4},{32,16}})));
    Physiolibrary.Blocks.Factors.Normalization BasicFraction
      annotation (Placement(transformation(extent={{32,8},{12,28}})));
    Physiolibrary.Types.Constants.FrequencyConst            Constant(k=
          0.00014166666666667)
      annotation (Placement(transformation(extent={{56,12},{44,24}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-108,30},{-88,50}}), iconTransformation(
            extent={{-90,-70},{-70,-50}})));
      Insulin_Physiolibrary.Types.RealIO.ConcentrationOutput
                                            Insulin( displayUnit="uU_Insulin/ml")
                        annotation (Placement(transformation(extent={{-88,-70},
                {-68,-50}}), iconTransformation(extent={{80,-20},{120,20}})));
    Insulin_Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1
         annotation (Placement(
          transformation(
          extent={{-10,-10},{10,10}},
          origin={-84,2})));
    Physiolibrary.Blocks.Math.Integrator integrator(
      stateName="InsulinSynthesis.Rate",
      k=(1/20)/60,
      NominalValue=Substances.Insulin.molpIU,
      y_start=18.1363e-3/60)
      "base synthesis 17 miu/min; tau of synthesis adaptation = 20 min"
                                              annotation (Placement(
          transformation(
          extent={{-10,-10},{10,10}},
          rotation=270,
          origin={80,24})));
      Modelica.Blocks.Math.Feedback feedback annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={90,56})));
    equation
    connect(InsulinPool.solute, gain.u) annotation (Line(
        points={{-70,-26},{-70,-39},{-64.6,-39}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(gain.y, clearance.soluteFlow) annotation (Line(
        points={{-57.7,-39},{-40,-39},{-40,-30}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(secretion.soluteFlow, FunctionEffect.y) annotation (Line(
          points={{18,0},{22,0},{22,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.yBase, KAEffect.y) annotation (Line(
          points={{22,8},{22,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(KAEffect.yBase, GlucoseEffect.y) annotation (Line(
          points={{22,12},{22,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucoseEffect.yBase, BasicFraction.y) annotation (Line(
          points={{22,16},{22,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, BasicFraction.u) annotation (Line(
          points={{42.5,18},{30,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Glucose, GlucoseEffect.u) annotation (Line(
          points={{-98,40},{-6,40},{-6,14},{14,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.GITractFunctionEffect, FunctionEffect.u) annotation (Line(
          points={{-98,40},{-5.9,40},{-5.9,6},{14,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinPool.q_out, PortalVeinConcentration.q_in) annotation (Line(
          points={{-76,-16},{-76,12},{-66,12}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(InsulinPool.q_out, secretion.q_out) annotation (Line(
          points={{-76,-16},{-58,-16},{-58,-4},{12,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(secretion.q_in, InsulinStorage.q_out) annotation (Line(
          points={{32,-4},{52,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(InsulinStorage.q_out, synthesis.q_out) annotation (Line(
          points={{52,-4},{70,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(clearance.q_in, InsulinPool.q_out) annotation (Line(
          points={{-54,-26},{-58,-26},{-58,-16},{-76,-16}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));

      connect(busConnector.PortalVein_PlasmaFlow, PortalVeinConcentration.solutionFlow)
        annotation (Line(
          points={{-98,40},{-56,40},{-56,19}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-3,3},{-3,3}}));
    connect(busConnector.ECFV_Vol, InsulinPool.solutionVolume) annotation (Line(
        points={{-98,40},{-98,-12},{-80,-12}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(concentrationMeasure1.concentration, Insulin) annotation (Line(
          points={{-84,-6},{-84,10},{-90,10},{-90,-60},{-78,-60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinPool.q_out, concentrationMeasure1.q_in) annotation (Line(
          points={{-76,-16},{-80,-16},{-80,2},{-84,2}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure1.concentration, busConnector.Insulin)
        annotation (Line(
          points={{-84,-6},{-84,40},{-98,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(feedback.y,integrator. u) annotation (Line(
          points={{90,47},{90,38},{80,38},{80,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y,feedback. u2) annotation (Line(
          points={{80,13},{80,4},{62,4},{62,56},{82,56}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(integrator.y, synthesis.soluteFlow) annotation (Line(
        points={{80,13},{80,0},{76,0}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(PortalVeinConcentration.concentration, busConnector.PortalVein_Insulin)
        annotation (Line(
          points={{-56,5.8},{-26,5.8},{-26,40},{-98,40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(FunctionEffect.y, PortalVeinConcentration.addition) annotation (Line(
          points={{22,2},{-22,2},{-22,24},{-50,24},{-50,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(MassEffect.val, feedback.u1) annotation (Line(
          points={{78,72},{90,72},{90,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinStorage.solute, MassEffect.u) annotation (Line(
          points={{46,-14},{46,-20},{40,-20},{40,72},{58,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinStorage.solute, BasicFraction.yBase) annotation (Line(
          points={{46,-14},{46,-20},{40,-20},{40,30},{22,30},{22,20}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(busConnector.KAPool, KAEffect.u) annotation (Line(
        points={{-98,40},{-6,40},{-6,10},{14,10}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-100,80},{100,100}},
              lineColor={0,0,255},
              textString="%name")}));
    end Insulin;

    model Glucagon
     extends Physiolibrary.Icons.Pancreas;
     // outer parameter Real ECF_Vol(final displayUnit="ml");

      Modelica.Blocks.Math.Gain gain(k=0.05/60)
        annotation (Placement(transformation(extent={{-44,-32},{-38,-26}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut clearance(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-34,-6},{-14,-26}})));
    Physiolibrary.Chemical.Components.Substance GlucagonPool(
      stateName="GlucagonPool.Mass",
      useNormalizedVolume=false,
      solute_start=(990.792e-12)/Substances.Glucagon.mw,
        NominalSolute=1e-09)
      "66.2 pg/ml * 15000 ml * 0.001 ng/pg = 993 ng .. all initial extracellular glucagon"
      annotation (Placement(transformation(extent={{-66,-16},{-46,4}})));
      Physiolibrary.Chemical.Sensors.IncrementalFlowConcentrationMeasure
        PortalVeinConcentration(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-54,8},{-34,28}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump synthesis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{78,-16},{58,4}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant_pG(k(
          displayUnit="ng/min") = (50e-12)/Substances.Glucagon.mw/60)
      "50 ng/min"
      annotation (Placement(transformation(extent={{80,18},{72,26}})));
    Physiolibrary.Blocks.Factors.Spline InsulinEffect(data={{0,6.0,0},{7,1.3,-0.020},
          {20,1.0,-0.006},{100,0.6,0}}, Xscale=Substances.Insulin.molpIU)
      annotation (Placement(transformation(extent={{78,0},{58,20}})));
    Physiolibrary.Blocks.Factors.Spline GlucoseEffect(data={{0,2.5,0},{70,1.1,-0.005},
          {110,1.0,-0.001},{400,0.6,0}}, Xscale=0.01/Substances.Glucose.mw)
      annotation (Placement(transformation(extent={{58,4},{78,24}})));
    Physiolibrary.Blocks.Factors.Normalization FunctionEffect
      annotation (Placement(transformation(extent={{58,-4},{78,16}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-98,68},{-78,88}}), iconTransformation(extent=
             {{-90,-70},{-70,-50}})));
      Insulin_Physiolibrary.Types.RealIO.ConcentrationInput Insulin(
                                            displayUnit="uU_insulin/ml") annotation (Placement(
            transformation(extent={{58,34},{78,54}}), iconTransformation(extent={{-100,40},
                {-60,80}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          origin={-60,8})));
      Physiolibrary.Types.RealIO.ConcentrationOutput
                                            Glucagon( displayUnit=
               "ng/l")  annotation (Placement(transformation(extent={{-78,-60},
                {-58,-40}}), iconTransformation(extent={{80,-20},{120,20}})));
    equation

    connect(GlucagonPool.solute, gain.u) annotation (Line(
        points={{-50,-16},{-50,-29},{-44.6,-29}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(gain.y, clearance.soluteFlow) annotation (Line(
        points={{-37.7,-29},{-20,-29},{-20,-20}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(clearance.q_in, GlucagonPool.q_out) annotation (Line(
          points={{-34,-16},{-38,-16},{-38,-6},{-56,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(GlucagonPool.q_out, PortalVeinConcentration.q_in) annotation (
          Line(
          points={{-56,-6},{-54,-6},{-54,18}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(PortalVeinConcentration.concentration, busConnector.PortalVein_Glucagon)
        annotation (Line(
          points={{-44,11.8},{4.1,11.8},{4.1,78},{-88,78}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.GITractFunctionEffect, FunctionEffect.u) annotation (Line(
          points={{-88,78},{12.1,78},{12.1,6},{60,6}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.Glucose, GlucoseEffect.u) annotation (Line(
          points={{-88,78},{12,78},{12,14},{60,14}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(InsulinEffect.yBase, GlucoseEffect.y) annotation (Line(
          points={{68,12},{68,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(InsulinEffect.y, FunctionEffect.yBase) annotation (Line(
          points={{68,6},{68,8}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(synthesis.soluteFlow, FunctionEffect.y) annotation (Line(
        points={{64,-2},{64,0},{68,0},{68,2}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(hormoneFlowConstant_pG.y, GlucoseEffect.yBase) annotation (Line(
          points={{71,22},{68,22},{68,16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(synthesis.q_out, GlucagonPool.q_out) annotation (Line(
          points={{58,-6},{-56,-6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));

      connect(Insulin, InsulinEffect.u) annotation (Line(
          points={{68,44},{90,44},{90,10},{76,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GlucagonPool.q_out, concentrationMeasure.q_in) annotation (Line(
          points={{-56,-6},{-54,-6},{-54,8},{-60,8}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.concentration, Glucagon) annotation (Line(
          points={{-60,0},{-80,0},{-80,-50},{-68,-50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Glucagon_conc, concentrationMeasure.concentration)
        annotation (Line(
          points={{-88,78},{-88,0},{-60,0}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(FunctionEffect.y, PortalVeinConcentration.addition) annotation (Line(
          points={{68,2},{8,2},{8,28},{-38,28},{-38,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.PortalVein_PlasmaFlow, PortalVeinConcentration.solutionFlow)
        annotation (Line(
          points={{-88,78},{-44,78},{-44,25}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ECFV_Vol, GlucagonPool.solutionVolume) annotation (Line(
          points={{-88,78},{-92,78},{-92,-2},{-60,-2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-100,80},{100,100}},
              lineColor={0,0,255},
              textString="%name")}));
    end Glucagon;

    model ADH
      extends Physiolibrary.Icons.Hypophysis;
    // outer parameter Real ECF_Vol(final displayUnit="ml");

      constant Physiolibrary.Types.Volume NormalMedullaVolume = 31e-6
      "Normal kidney medulla volume (31ml)";
      constant Physiolibrary.Types.Volume NormalECFVolume = 14.3610097207699e-3
      "normal volume of extracellular fluid (15L)";

    Physiolibrary.Chemical.Components.Substance ADHPool(
      stateName="ADHPool.Mass",
      useNormalizedVolume=false,
      solute_start(displayUnit="pmol") = 30e-12/Substances.Vasopressin.mw,
      NominalSolute(displayUnit="mol") = 1e-11)
      "2e-6 g/m3 * 15e-3 m3 = 30e-9 g  .. all initial extracellular insulin"
      annotation (Placement(transformation(extent={{-88,-24},{-68,-4}})));
    Physiolibrary.Chemical.Components.SolutePump secretion(useSoluteFlowInput=
          true)
      annotation (Placement(transformation(extent={{-24,-14},{-44,6}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump synthesis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{98,-14},{78,6}})));
    Physiolibrary.Chemical.Components.Clearance Liver_clearance(
        useSolutionFlowInput=true, K=0.5)
      annotation (Placement(transformation(extent={{-34,-42},{-14,-22}})));
    Physiolibrary.Blocks.Factors.Spline NeuralEffect(data={{0.50,0.4,0},{1.00,
          1.0,0.4},{1.20,2.0,5.0},{1.50,20.0,0}})
      annotation (Placement(transformation(extent={{-48,8},{-28,28}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant(k(
          displayUnit="mol/min") = (3.2e-12)/60/Substances.Vasopressin.mw)
      "3.2 ng/min = 3.2/60 ng/s =3.2e-12/60 kg/s"
      annotation (Placement(transformation(extent={{96,20},{90,26}})));
    Physiolibrary.Blocks.Factors.Spline OsmEffect(data={{0.243,0.0,0},{0.253,
          1.0,180},{0.263,5.0,0}}, Xscale=1000)
      annotation (Placement(transformation(extent={{-48,16},{-28,36}})));
    Physiolibrary.Blocks.Factors.Normalization BasicFraction(NormalValue=3.2e-9
          /Substances.Vasopressin.mw)
      annotation (Placement(transformation(extent={{-28,24},{-48,44}})));
    Physiolibrary.Chemical.Components.Clearance Kidney_clearance(
        useSolutionFlowInput=true, K=0.59)
      annotation (Placement(transformation(extent={{-34,-70},{-14,-50}})));
    Physiolibrary.Chemical.Components.Clearance Other_clearance(
        useSolutionFlowInput=true, K=1)
      annotation (Placement(transformation(extent={{-34,-100},{-14,-80}})));
      Physiolibrary.Chemical.Components.Substance           SlowMass(
                                     stateName="ADHSlowMass.Mass",
      solute_start(displayUnit="nmol") = 1.57e-08,
      NominalSolute(displayUnit="mol") = 1e-08)
        annotation (Placement(transformation(extent={{-10,10},{10,-10}},
            rotation=180,
            origin={66,-4})));
      Physiolibrary.Chemical.Components.Substance           FastMass(
                                     stateName="ADHFastMass.Mass",
      solute_start(displayUnit="nmol") = 2.95e-09,
      NominalSolute(displayUnit="mol") = 1e-9)
        annotation (Placement(transformation(extent={{-10,10},{10,-10}},
            rotation=180,
            origin={6,-4})));
    Physiolibrary.Blocks.Factors.Spline Feedback(data={{0,4.0,0},{17000,1.0,-0.0003},
          {20000,0.0,0}}, Xscale=(1e-12)/Substances.Vasopressin.mw)
      annotation (Placement(transformation(extent={{74,2},{94,22}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-100,18},{-80,38}}), iconTransformation(
            extent={{-90,-70},{-70,-50}})));
    Physiolibrary.Chemical.Components.SolutePump fluxDown(useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{28,6},{38,16}})));
    Physiolibrary.Chemical.Components.SolutePump fluxUp(useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{38,-14},{28,-24}})));
      Modelica.Blocks.Math.Gain gain1(k(unit="1/s")=0.0043/60)
        annotation (Placement(transformation(extent={{-5,-5},{5,5}},
            rotation=270,
            origin={35,25})));
      Modelica.Blocks.Math.Gain gain3(k(unit="1/s")=0.001/60)
        annotation (Placement(transformation(extent={{-5,-5},{5,5}},
            rotation=90,
            origin={31,-35})));
    Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant1(k(
          displayUnit="mol/min") = (3.2e-12)/60/Substances.Vasopressin.mw)
      annotation (Placement(transformation(extent={{-22,42},{-28,48}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1
        annotation (Placement(transformation(extent={{-94,-6},{-74,14}})));
    equation
      connect(NeuralEffect.yBase, OsmEffect.y) annotation (Line(
          points={{-38,20},{-38,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(OsmEffect.yBase, BasicFraction.y)     annotation (Line(
          points={{-38,28},{-38,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Osmreceptors, OsmEffect.u)
                                        annotation (Line(
          points={{-90,28},{-90,26},{-46,26}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.SympsCNS_PituitaryNA, NeuralEffect.u)
                                  annotation (Line(
          points={{-90,28},{-90.9,28},{-90.9,18},{-46,18}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(ADHPool.q_out, secretion.q_out)     annotation (Line(
          points={{-78,-14},{-58,-14},{-58,-4},{-44,-4}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(Liver_clearance.q_in, ADHPool.q_out)
                                                 annotation (Line(
          points={{-34,-32},{-58,-32},{-58,-14},{-78,-14}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(ADHPool.q_out, Kidney_clearance.q_in) annotation (Line(
          points={{-78,-14},{-58,-14},{-58,-60},{-34,-60}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(ADHPool.q_out, Other_clearance.q_in) annotation (Line(
          points={{-78,-14},{-58,-14},{-58,-90},{-34,-90}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(NeuralEffect.y, secretion.soluteFlow) annotation (Line(
          points={{-38,14},{-38,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(secretion.q_in, FastMass.q_out) annotation (Line(
          points={{-24,-4},{6,-4}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(SlowMass.q_out, synthesis.q_out) annotation (Line(
          points={{66,-4},{78,-4}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
    connect(Feedback.y, synthesis.soluteFlow) annotation (Line(
        points={{84,8},{84,0}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(Feedback.yBase, hormoneFlowConstant.y) annotation (Line(
          points={{84,14},{84,23},{89.25,23}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SlowMass.solute, Feedback.u) annotation (Line(
          points={{60,-14},{60,-16},{70,-16},{70,12},{76,12}},
          color={0,0,127},
          smooth=Smooth.None));

    connect(busConnector.Kidney_BloodFlow, Kidney_clearance.solutionFlow)
      annotation (Line(
        points={{-90,28},{-96,28},{-96,-53},{-24,-53}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.OtherTissue_BloodFlow, Other_clearance.solutionFlow)
      annotation (Line(
        points={{-90,28},{-96,28},{-96,-83},{-24,-83}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(gain1.y, fluxDown.soluteFlow) annotation (Line(
          points={{35,19.5},{35,13}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FastMass.solute, gain1.u) annotation (Line(
          points={{-8.88178e-016,-14},{-8.88178e-016,38},{35,38},{35,31}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain3.y, fluxUp.soluteFlow) annotation (Line(
          points={{31,-29.5},{31,-21}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain3.u, SlowMass.solute) annotation (Line(
          points={{31,-41},{31,-46},{60,-46},{60,-14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(fluxDown.q_out, SlowMass.q_out) annotation (Line(
          points={{38,11},{46,11},{46,-4},{66,-4}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(fluxUp.q_in, SlowMass.q_out) annotation (Line(
          points={{38,-19},{46,-19},{46,-4},{66,-4}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(FastMass.q_out, fluxDown.q_in) annotation (Line(
          points={{6,-4},{24,-4},{24,11},{28,11}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
      connect(FastMass.q_out, fluxUp.q_out) annotation (Line(
          points={{6,-4},{24,-4},{24,-19},{28,-19}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
    connect(busConnector.GITract_BloodFlow, Liver_clearance.solutionFlow)
      annotation (Line(
        points={{-90,28},{-96,28},{-96,-25},{-24,-25}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(ADHPool.solutionVolume, busConnector.ECFV_Vol) annotation (Line(
        points={{-82,-10},{-82,-6},{-94,-6},{-94,28},{-90,28}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(hormoneFlowConstant1.y, BasicFraction.yBase) annotation (Line(
          points={{-28.75,45},{-38,45},{-38,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BasicFraction.u, FastMass.solute) annotation (Line(
          points={{-30,34},{-12,34},{-12,-18},{-8.88178e-016,-18},{
            -8.88178e-016,-14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ADHPool.q_out, concentrationMeasure1.q_in) annotation (Line(
          points={{-78,-14},{-78,4},{-84,4}},
          color={107,45,134},
          thickness=1,
          smooth=Smooth.None));
    connect(concentrationMeasure1.concentration, busConnector.Vasopressin)
      annotation (Line(
        points={{-84,-4},{-84,28},{-90,28}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation (      Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-112,120},{122,98}},
              lineColor={0,0,255},
              textString="%name")}));
    end ADH;

    model Aldosterone
      extends Physiolibrary.Icons.AdrenalGland;

    Physiolibrary.Chemical.Components.Substance AldoPool(
      stateName="AldoPool.Mass",
      useNormalizedVolume=false,
      solute_start(displayUnit="pmol") = 1.34779e-08,
      NominalSolute=1e-09)
      " 0.33 pmol/ml * 43000 ml = 14190.0 pmol .. all initial extracellular insulin"
      annotation (Placement(transformation(extent={{-50,-26},{-30,-6}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump adrenalCortex(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{66,-14},{46,6}})));
    Physiolibrary.Chemical.Components.Clearance Clearance(K=0.78,
        useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{2,-42},{22,-22}})));
    Physiolibrary.Blocks.Factors.Spline KEffect(data={{3.0,0.3,0},{4.4,1.0,1.0},
          {6.0,3.0,0}})
      annotation (Placement(transformation(extent={{46,0},{66,20}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant(k(displayUnit="mol/min") = 5.5e-12)
      annotation (Placement(transformation(extent={{68,26},{60,34}})));
    Physiolibrary.Blocks.Factors.Spline A2Effect(
      data={{0.0,0.4,0},{1.3,1.0,1.0},{4.0,4.0,0}},
      Xscale=1e-9/Substances.AngiotensinII.mw,
      UsePositiveLog10=true)
      annotation (Placement(transformation(extent={{46,4},{66,24}})));
    Physiolibrary.Blocks.Factors.Normalization FunctionEffect
      annotation (Placement(transformation(extent={{46,8},{66,28}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
         annotation (Placement(
          transformation(
          extent={{-10,-10},{10,10}},
          origin={-44,-2})));                                               //(toAnotherUnitCoef=1000, unitsString="pmol/l")
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Degradation(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{0,-68},{20,-48}})));
      Modelica.Blocks.Math.Gain DegradeK(k=0.0007/60)
        annotation (Placement(transformation(extent={{-3,-3},{3,3}},
            origin={-3,-49})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-100,80},{-80,100}}), iconTransformation(
            extent={{-90,-70},{-70,-50}})));
      Modelica.Blocks.Interfaces.RealInput AngiotensinII annotation (Placement(transformation(extent={{-28,4},{
              -8,24}}), iconTransformation(extent={{-100,40},{-60,80}})));
      Modelica.Blocks.Interfaces.RealOutput Aldo(
                                          quantity="Concentration", final displayUnit=
            "pmol/l")   annotation (Placement(transformation(extent={{-36,34},{-16,54}}),
                             iconTransformation(extent={{80,-20},{120,20}})));
                                                                    //(toAnotherUnitCoef=36, unitsString="ng/dl")
    equation
     connect(KEffect.yBase, A2Effect.y)       annotation (Line(
          points={{56,12},{56,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2Effect.yBase, FunctionEffect.y)     annotation (Line(
          points={{56,16},{56,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AldoPool.q_out, adrenalCortex.q_out)
                                                  annotation (Line(
          points={{-40,-16},{-22,-16},{-22,-4},{46,-4}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Clearance.q_in, AldoPool.q_out)    annotation (Line(
          points={{2,-32},{-22,-32},{-22,-16},{-40,-16}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, AldoPool.q_out)    annotation (Line(
          points={{-44,-4},{-39.2,-4},{-39.2,-16},{-40,-16}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(AldoPool.q_out, Degradation.q_in) annotation (Line(
          points={{-40,-16},{-22,-16},{-22,-58},{0,-58}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(busConnector.BodyH2O_Vol, AldoPool.solutionVolume) annotation (Line(
        points={{-90,90},{-90,-12},{-44,-12}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.Liver_BloodFlow, Clearance.solutionFlow) annotation (
        Line(
        points={{-90,90},{12,90},{12,-25}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(AldoPool.solute, DegradeK.u) annotation (Line(
        points={{-34,-26},{-34,-49},{-6.6,-49}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(FunctionEffect.u, busConnector. OtherTissueFunctionEffect) annotation (Line(
          points={{48,18},{12,18},{12,90},{-90,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));
    connect(adrenalCortex.soluteFlow, KEffect.y) annotation (Line(
        points={{52,0},{52,2},{56,2},{56,6}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(FunctionEffect.yBase, hormoneFlowConstant.y) annotation (Line(
          points={{56,20},{56,30},{59,30}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(Degradation.soluteFlow, DegradeK.y) annotation (Line(
        points={{14,-54},{14,-49},{0.3,-49}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(AngiotensinII, A2Effect.u)
      annotation (Line(
        points={{-18,14},{48,14}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure.concentration, Aldo) annotation (Line(
        points={{-44,2},{-44,44},{-26,44}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.Aldosterone, concentrationMeasure.concentration) annotation (Line(
        points={{-90,90},{-90,2},{-44,2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.KPool, KEffect.u) annotation (Line(
        points={{-90,90},{12,90},{12,10},{48,10}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-116,104},{118,82}},
              lineColor={0,0,255},
              textString="%name")}));
    end Aldosterone;

    model ANP
      extends Physiolibrary.Icons.Heart;
    // outer parameter Real ECF_Vol(final displayUnit="ml");

    Physiolibrary.Chemical.Components.Substance ANPPool(
      stateName="ANPPool.Mass",
      useNormalizedVolume=false,
        solute_start(displayUnit="pmol") = 2.85895e-10,
      NominalSolute=1e-12) "default = 20 pmol/l"
      annotation (Placement(transformation(extent={{-30,-42},{-10,-22}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump secretion(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{48,-54},{28,-34}})));
    Physiolibrary.Blocks.Factors.Spline LAPEffect(data={{0.0,0.0,0},{8.0,1.0,
          0.4},{20.0,10.0,0}}, Xscale=101325/760)
      annotation (Placement(transformation(extent={{54,60},{34,80}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant(k=
          6.8333333333333e-13)
      annotation (Placement(transformation(extent={{6,82},{-2,90}})));
    Physiolibrary.Blocks.Factors.Spline RAPEffect(data={{0.0,0.0,0},{4.0,1.0,
          0.4},{20.0,10.0,0}}, Xscale=101325/760)
      annotation (Placement(transformation(extent={{-16,60},{4,80}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure annotation (Placement(
          transformation(
          extent={{-10,-10},{10,10}},
          origin={-26,-16})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Degradation(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{12,-86},{32,-66}})));
      Modelica.Blocks.Math.Gain DegradeK(k=0.223/60)
        annotation (Placement(transformation(extent={{-3,-3},{3,3}},
            origin={7,-65})));
    Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant1(k=
          4.3333333333333e-13)
      annotation (Placement(transformation(extent={{56,82},{48,90}})));
      Modelica.Blocks.Math.Add SteadyState annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={38,42})));
    Physiolibrary.Blocks.Math.Integrator integrator(
      stateName="ANPSecretion.NaturalRate",
      k=(1/20)/60,
      y_start=67e-12/60)
                   annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=270,
          origin={38,-14})));
      Modelica.Blocks.Math.Feedback feedback annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={38,18})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-104,84},{-84,104}}), iconTransformation(
            extent={{-90,-70},{-70,-50}})));
      Modelica.Blocks.Interfaces.RealOutput ANP(
                                         quantity="Concentration", final displayUnit=
            "pmol/l",
      nominal=1e-8)                                           annotation (
          Placement(transformation(extent={{-24,2},{-4,22}}),
            iconTransformation(extent={{80,-20},{120,20}})));
    Physiolibrary.Blocks.Math.Log10AsEffect log10_1
      annotation (Placement(transformation(extent={{-32,6},{-44,18}})));
    Physiolibrary.Blocks.Math.Log10AsEffect log10_2
      annotation (Placement(transformation(extent={{-52,-88},{-64,-76}})));
    Physiolibrary.Blocks.Math.Integrator integrator1(
      stateName="NephronANP.[ANPDelayed]",
      k=(1/20)/60,
      y_start=20e-9) "initial 20 pmol/l"
                   annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=270,
          origin={-35,-65})));
      Modelica.Blocks.Math.Feedback feedback1
                                             annotation (Placement(
            transformation(
            extent={{-7,-7},{7,7}},
            rotation=270,
            origin={-35,-47})));
      Modelica.Blocks.Interfaces.RealOutput NephronANP_Log10Conc
                        annotation (Placement(transformation(extent={{-94,-64},
                {-74,-44}}), iconTransformation(extent={{80,-60},{120,-20}})));
    equation
      connect(ANPPool.q_out, secretion.q_out)     annotation (Line(
          points={{-20,-32},{-2,-32},{-2,-44},{28,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, ANPPool.q_out)     annotation (Line(
          points={{-26,-18},{-19.2,-18},{-19.2,-32},{-20,-32}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(ANPPool.q_out, Degradation.q_in) annotation (Line(
          points={{-20,-32},{-2,-32},{-2,-76},{12,-76}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(ANPPool.solute, DegradeK.u) annotation (Line(
        points={{-14,-42},{-14,-65},{3.4,-65}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Degradation.soluteFlow, DegradeK.y) annotation (Line(
        points={{26,-72},{26,-65},{10.3,-65}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(hormoneFlowConstant1.y, LAPEffect.yBase) annotation (Line(
          points={{47,86},{44,86},{44,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant.y, RAPEffect.yBase) annotation (Line(
          points={{-3,86},{-6,86},{-6,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(RAPEffect.y, SteadyState.u2) annotation (Line(
          points={{-6,66},{-6,60},{32,60},{32,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LAPEffect.y, SteadyState.u1) annotation (Line(
          points={{44,66},{44,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback.y,integrator. u) annotation (Line(
          points={{38,9},{38,-2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y,feedback. u2) annotation (Line(
          points={{38,-25},{38,-34},{14,-34},{14,18},{30,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SteadyState.y, feedback.u1) annotation (Line(
          points={{38,31},{38,26}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(integrator.y, secretion.soluteFlow) annotation (Line(
        points={{38,-25},{38,-40},{34,-40}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(concentrationMeasure.concentration, ANP) annotation (Line(
        points={{-26,-12},{-26,12},{-14,12}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure.concentration, log10_1.u) annotation (Line(
        points={{-26,-12},{-26,12},{-30.8,12}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.NephronANP_Log10Conc, log10_2.y) annotation (Line(
          points={{-94,94},{-94,-82},{-64.6,-82}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ANPPool_Log10Conc, log10_1.y) annotation (Line(
          points={{-94,94},{-94,12},{-44.6,12}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
    connect(busConnector.ANP, concentrationMeasure.concentration) annotation (
        Line(
        points={{-94,94},{-94,-8},{-26,-8},{-26,-12}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.ECFV_Vol, ANPPool.solutionVolume) annotation (Line(
        points={{-94,94},{-94,-28},{-24,-28}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(feedback1.y, integrator1.u)
                                        annotation (Line(
          points={{-35,-53.3},{-36,-54},{-35,-54},{-35,-59}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator1.y, feedback1.u2)
                                         annotation (Line(
          points={{-35,-70.5},{-35,-74},{-50,-74},{-50,-47},{-40.6,-47}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator1.y, log10_2.u) annotation (Line(
          points={{-35,-70.5},{-35,-82},{-50.8,-82}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(concentrationMeasure.concentration, feedback1.u1) annotation (Line(
        points={{-26,-12},{-26,-8},{-35,-8},{-35,-41.4}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(log10_2.y, NephronANP_Log10Conc) annotation (Line(
          points={{-64.6,-82},{-94,-82},{-94,-54},{-84,-54}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(busConnector.rightAtrium_TMP, RAPEffect.u) annotation (Line(
        points={{-94,94},{-94,70},{-14,70},{-14,70}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(LAPEffect.u, busConnector.leftAtrium_TMP) annotation (Line(
        points={{52,70},{86,70},{86,94},{-94,94}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-120,94},{114,72}},
              lineColor={0,0,255},
              textString="%name")}));
    end ANP;

    model EPO
      extends Physiolibrary.Icons.Kidney;
    // outer parameter Real ECF_Vol(final displayUnit="ml");

    EPO_Physiolibrary.Chemical.Components.Substance EPOPool(
      stateName="EPOPool.Mass",
      useNormalizedVolume=false,
      solute_start=(20e3*14361.0097207699*0.4)*1e-6)
      "default = 20 iu/l = 20e3 iu/m3 "
      annotation (Placement(transformation(extent={{-50,-54},{-30,-34}})));
      //NominalSolute=Substances.Erythropoietin.molpIU

    EPO_Physiolibrary.Chemical.Sources.UnlimitedSolutePump secretion(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
    Physiolibrary.Blocks.Factors.Normalization CountEffect
      annotation (Placement(transformation(extent={{56,24},{76,44}})));
    Physiolibrary.Types.Constants.FractionConst             hormoneFlowConstant(k=1)
             annotation (Placement(transformation(extent={{-4,32},{-12,40}})));
    Physiolibrary.Blocks.Factors.Spline PO2Effect(data={{0.0,4.0,0},{35.0,0.0,-0.14},
          {60.0,-1.0,0}}, Xscale=101325/760)
      "cortex pO2=50 mmHg; medulla pO2 = 10-20 mmHg [Brezis&Rosen1995]; erythropoietin-producing cells are in the interstitium of the cortex and outer medulla [Maxwell1993]"
      annotation (Placement(transformation(extent={{-24,14},{-4,34}})));
    EPO_Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
         annotation (Placement(
          transformation(
          extent={{-10,-10},{10,10}},
          origin={-38,-32})));                                              //(toAnotherUnitCoef=1000, unitsString="U/l")
    EPO_Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Clearance(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
      Modelica.Blocks.Math.Gain K(k(unit="1/s")=0.00555/60)
        annotation (Placement(transformation(extent={{-3,-3},{3,3}},
            origin={-31,-77})));
    EPO_Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant1(k=(
          0.67)/60)
      annotation (Placement(transformation(extent={{82,42},{70,54}})));
      Modelica.Blocks.Math.Gain VODIST(k=0.4)
        annotation (Placement(transformation(extent={{-6,-6},{6,6}},
            origin={-64,-40})));
    Physiolibrary.Blocks.Math.Power avg1
      annotation (Placement(transformation(extent={{-8,10},{0,18}})));
    Physiolibrary.Blocks.Factors.Normalization FunctionEffect
      annotation (Placement(transformation(extent={{56,14},{76,34}})));
    Physiolibrary.Blocks.Factors.Normalization PO2Effect_
      annotation (Placement(transformation(extent={{56,4},{76,24}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-88,78},{-68,98}}), iconTransformation(extent=
             {{-90,-70},{-70,-50}})));
      EPO_Physiolibrary.Types.RealIO.ConcentrationOutput
                                            Erythropoetin                  annotation (
          Placement(transformation(extent={{-2,-38},{18,-18}}),
            iconTransformation(extent={{80,-20},{120,20}})));
    equation
      connect(EPOPool.q_out, secretion.q_out)     annotation (Line(
          points={{-40,-44},{56,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in,EPOPool. q_out)     annotation (Line(
          points={{-38,-34},{-38,-44},{-40,-44}},
          color={200,0,0},
          smooth=Smooth.None));
    connect(concentrationMeasure.concentration, busConnector.Erythropoietin) annotation (
        Line(
        points={{-38,-28},{-37,-28},{-37,88},{-78,88}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(EPOPool.q_out, Clearance.q_in)   annotation (Line(
          points={{-40,-44},{-54,-44},{-54,-88},{-30,-88}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(EPOPool.solute, K.u) annotation (Line(
        points={{-34,-54},{-34,-77},{-34.6,-77}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Clearance.soluteFlow, K.y) annotation (Line(
        points={{-16,-84},{-16,-77},{-27.7,-77}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.KidneyO2_TubulePO2, PO2Effect.u)
                                            annotation (Line(
          points={{-78,88},{-64.9,88},{-64.9,24},{-22,24}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(busConnector.Kidney_NephronCount_Total_xNormal, CountEffect.u)
                                           annotation (Line(
          points={{-78,88},{5.1,88},{5.1,34},{58,34}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(hormoneFlowConstant1.y, CountEffect.yBase)
                                                       annotation (Line(
          points={{68.5,48},{66,48},{66,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant.y,PO2Effect. yBase) annotation (Line(
          points={{-13,36},{-14,36},{-14,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, VODIST.u) annotation (Line(
          points={{-78,88},{-90.6,88},{-90.6,-40},{-71.2,-40}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));

      connect(CountEffect.y, FunctionEffect.yBase) annotation (Line(
          points={{66,30},{66,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.y, PO2Effect_.yBase) annotation (Line(
          points={{66,20},{66,16}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(PO2Effect_.y, secretion.soluteFlow) annotation (Line(
        points={{66,10},{66,-16},{66,-40},{62,-40}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(avg1.y, PO2Effect_.u) annotation (Line(
          points={{0.4,14},{58,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.u, busConnector. KidneyFunctionEffect) annotation (Line(
          points={{58,24},{5.1,24},{5.1,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%second",
     index=1,
     extent={{6,3},{6,3}}));

    connect(concentrationMeasure.concentration, Erythropoetin) annotation (Line(
        points={{-38,-28},{8,-28}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(VODIST.y, EPOPool.solutionVolume) annotation (Line(
        points={{-57.4,-40},{-44,-40}},
        color={0,0,127},
        smooth=Smooth.None));

      connect(PO2Effect.y, avg1.exponent)
        annotation (Line(
          points={{-14,20},{-14,11.6},{-8,11.6}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-116,104},{118,82}},
              lineColor={0,0,255},
              textString="%name")}));
    end EPO;

    model Thyroxine
     extends Physiolibrary.Icons.ThyroidGland;
    // outer parameter Real ECF_Vol(final displayUnit="ml");

    Physiolibrary.Chemical.Components.Substance ThyroidPool(
      stateName="ThyroidPool.Mass",
      useNormalizedVolume=false,
      solute_start=1168.05e-9/Substances.Thyroxine.mw,
      NominalSolute=1e-09)
      "default = 8.6 ug/dl = 8.6e-2 kg/m3, initial 1168.05 ug"
      annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump secretion(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant(k(
          displayUnit="ng/min") = 8.33e-13/Substances.Thyroxine.mw)
      "typical degradation: 72 ug/day = 8.33e-13 kg/s (T3 .. 33.5 ug/day, T4 .. 87 ug/day)"
      annotation (Placement(transformation(extent={{80,-24},{68,-12}})));
    Physiolibrary.Blocks.Factors.Spline TSHEffect(data={{0.0,0.0,0},{4.0,1.0,
          0.4},{30.0,10.0,0}}) "4 uIU/ml = 4 IU/m3"
      annotation (Placement(transformation(extent={{56,-40},{76,-20}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure annotation (Placement(
          transformation(
          extent={{-10,-10},{10,10}},
          origin={-76,-30})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Clearance(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
      Modelica.Blocks.Math.Gain K(k(unit="1/s")=0.000041/60,y(unit="mol/s"))
      "typical degradation: 72 ug/day (T3 .. 33.5 ug/day, T4 .. 87 ug/day)"
        annotation (Placement(transformation(extent={{-3,-3},{3,3}},
            origin={-35,-77})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-88,78},{-68,98}}), iconTransformation(extent=
             {{-90,70},{-70,90}})));
      TSH_Physiolibrary.Types.RealIO.ConcentrationInput TSH(displayUnit=
            "uU_TSH/ml") "thyrotropin" annotation (Placement(transformation(extent=
                {{4,-40},{24,-20}}), iconTransformation(extent={{-100,0},{-60,
                40}})));
      Physiolibrary.Types.RealIO.ConcentrationOutput Thyroxine annotation (Placement(transformation(extent={{-50,-18},
                {-30,2}}),   iconTransformation(extent={{80,-20},{120,20}})));
    Physiolibrary.Blocks.Interpolation.Curve curve(
      x={0,8,40},
      y={0.7,1.0,1.5},
      slope={0,0.4,0},
      Xscale=1e-5/Substances.Thyroxine.mw) "8 ug/dl = 8e-9/1e-4 kg/m3"
      annotation (Placement(transformation(extent={{-54,18},{-34,38}})));
    equation
     connect(ThyroidPool.q_out, secretion.q_out) annotation (Line(
          points={{-72,-44},{56,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, ThyroidPool.q_out) annotation (Line(
          points={{-76,-30},{-71.2,-30},{-71.2,-44},{-72,-44}},
          color={200,0,0},
          smooth=Smooth.None));
      connect(ThyroidPool.q_out, Clearance.q_in)
                                               annotation (Line(
          points={{-72,-44},{-54,-44},{-54,-88},{-30,-88}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(ThyroidPool.solute, K.u) annotation (Line(
        points={{-66,-54},{-66,-77},{-38.6,-77}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Clearance.soluteFlow, K.y) annotation (Line(
        points={{-16,-84},{-16,-77},{-31.7,-77}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(hormoneFlowConstant.y,TSHEffect. yBase) annotation (Line(
          points={{66.5,-18},{66,-18},{66,-28}},
          color={0,0,127},
          smooth=Smooth.None));

    connect(secretion.soluteFlow, TSHEffect.y) annotation (Line(
        points={{62,-40},{62,-38},{66,-38},{66,-34}},
        color={0,0,127},
        smooth=Smooth.None));

      connect(TSH, TSHEffect.u) annotation (Line(
          points={{14,-30},{58,-30}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(busConnector.ECFV_Vol, ThyroidPool.solutionVolume) annotation (Line(
        points={{-78,88},{-94,88},{-94,-40},{-76,-40}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(concentrationMeasure.concentration, Thyroxine) annotation (Line(
          points={{-76,-38},{-76,-8},{-40,-8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.concentration, curve.u) annotation (Line(
          points={{-76,-38},{-76,28},{-54,28}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(concentrationMeasure.concentration, busConnector.Thyroxine)
      annotation (Line(
        points={{-76,-38},{-76,88},{-78,88}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-124,114},{118,90}},
              lineColor={0,0,255},
              textString="%name")}));
    end Thyroxine;

    model Thyrotropin
      extends Physiolibrary.Icons.Hypophysis;
    // outer parameter Real ECF_Vol(final displayUnit="ml");

    TSH_Physiolibrary.Types.Constants.ConcentrationConst hormoneConstant(k=4)
      "4 uU/ml"
      annotation (Placement(transformation(extent={{-8,30},{-20,42}})));
    Physiolibrary.Blocks.Factors.Spline ThyroxineEffect(data={{0.0,8.0,0},{8.0,
          1.0,-0.2},{20.0,0.0,0}}, Xscale=1e-5/Substances.Thyroxine.mw)
      "8 ug/dl = 8e-9/1e-4 kg/m3"
      annotation (Placement(transformation(extent={{-34,12},{-14,32}})));
    Physiolibrary.Blocks.Factors.Normalization HypothalamusTSH
      annotation (Placement(transformation(extent={{-14,2},{-34,22}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{44,28},{64,48}}), iconTransformation(extent={
              {-90,-70},{-70,-50}})));
      TSH_Physiolibrary.Types.RealIO.ConcentrationOutput
                                            TSH "thyrotropin" annotation (Placement(transformation(extent={{-20,-18},
              {0,2}}),                iconTransformation(extent={{80,-20},{120,
                20}})));
      Physiolibrary.Types.RealIO.ConcentrationInput
                                           Thyroxine annotation (Placement(transformation(extent={{-78,12},
              {-58,32}}),  iconTransformation(extent={{-100,60},{-60,100}})));
    Physiolibrary.Blocks.Factors.Spline TemperatureEffect_(data={{-2.0,4.0,0},{
          0.0,1.0,-1.0},{2.0,0.2,0}})
      annotation (Placement(transformation(extent={{46,14},{26,34}})));
      Modelica.Blocks.Math.Feedback feedback
        annotation (Placement(transformation(extent={{66,18},{54,30}})));
    Physiolibrary.Types.Constants.TemperatureConst temperatureConstant(k=310.15)
      annotation (Placement(transformation(extent={{80,10},{72,18}})));
    equation
    connect(hormoneConstant.y, ThyroxineEffect.yBase) annotation (Line(
        points={{-21.5,36},{-24,36},{-24,24}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(ThyroxineEffect.y, HypothalamusTSH.yBase)   annotation (Line(
          points={{-24,18},{-24,14}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(HypothalamusTSH.y, TSH)   annotation (Line(
          points={{-24,8},{-24,-8},{-10,-8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Thyroxine, ThyroxineEffect.u) annotation (Line(
          points={{-68,22},{-32,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.brain_FunctionEffect, TemperatureEffect_.yBase)
        annotation (Line(
          points={{54,38},{36,38},{36,26}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(TemperatureEffect_.u, feedback.y) annotation (Line(
          points={{44,24},{54.6,24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback.u1, busConnector.HeatCore_Temp) annotation (Line(
          points={{64.8,24},{90,24},{90,38},{54,38}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(feedback.u2, temperatureConstant.y) annotation (Line(
          points={{60,19.2},{60,14},{71,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TemperatureEffect_.y, HypothalamusTSH.u) annotation (Line(
          points={{36,20},{36,12},{-16,12}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-118,122},{116,100}},
              lineColor={0,0,255},
              textString="%name")}));
    end Thyrotropin;

    model Renin
      extends Physiolibrary.Icons.Kidney;
    // outer parameter Real ECF_Vol(final displayUnit="ml");

    Renin_Physiolibrary.Chemical.Components.Substance ReninPool(
      stateName="ReninPool.Mass",
      useNormalizedVolume=false,
      NominalSolute=Substances.Renin.molpGU,
      solute_start(displayUnit="GU_PRA") = 17153.7)
      " 2 GU/ml * 0.6 * 15000 ml =  18000 GU , initial: 17153.7 GU"
      annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
    Renin_Physiolibrary.Chemical.Components.SolutePump secretion(useSoluteFlowInput=
          true)
      annotation (Placement(transformation(extent={{12,-54},{-8,-34}})));
    Physiolibrary.Blocks.Factors.Normalization CountEffect
      annotation (Placement(transformation(extent={{36,62},{56,82}})));
    Physiolibrary.Types.Constants.FrequencyConst            hormoneFlowConstant(k(
          displayUnit="1/min") = 5.5e-05)
      annotation (Placement(transformation(extent={{-20,-10},{-12,-2}})));
    Physiolibrary.Blocks.Factors.Spline TGFEffect(data={{0.0,8.0,0},{0.5,2.0,-4.0},
          {1.0,1.0,-1.0},{3.0,0.5,0}})
      annotation (Placement(transformation(extent={{12,-22},{-8,-2}})));
      Renin_Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
       annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          origin={-62,-32})));                                                //(unitsString="GU/ml")
    Renin_Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Clearance(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
      Modelica.Blocks.Math.Gain K(k=0.0161/60)
        annotation (Placement(transformation(extent={{-3,-3},{3,3}},
            origin={-35,-59})));
    Renin_Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant1(k(
          displayUnit="GU_PRA/min") = 290/60) "290 GU/min"
      annotation (Placement(transformation(extent={{62,76},{50,88}})));
      Modelica.Blocks.Math.Gain VODIST(k=0.6)
        annotation (Placement(transformation(extent={{-6,-6},{6,6}},
            origin={-68,-2})));
    Physiolibrary.Blocks.Factors.Normalization FunctionEffect
      annotation (Placement(transformation(extent={{36,56},{56,76}})));
    Physiolibrary.Blocks.Factors.Normalization BaseFraction
      annotation (Placement(transformation(extent={{-8,-16},{12,4}})));
    Renin_Physiolibrary.Chemical.Components.Substance ReninFree(
      stateName="ReninFree.Mass",
      useNormalizedVolume=true,
      NominalSolute=Substances.Renin.molpGU,
      solute_start(displayUnit="GU_PRA") = 87000) "initial: 87000 GU"
                                             annotation (Placement(
          transformation(
          extent={{-10,10},{10,-10}},
          rotation=180,
          origin={36,-44})));
    Renin_Physiolibrary.Chemical.Components.Substance ReninGranules(
      stateName="ReninGranules.Mass",
      useNormalizedVolume=true,
      NominalSolute=Substances.Renin.molpGU,
      solute_start(displayUnit="GU_PRA") = 870000) "initial: 870000 GU"
                                             annotation (Placement(
          transformation(
          extent={{-10,10},{10,-10}},
          rotation=180,
          origin={86,-44})));
    Renin_Physiolibrary.Chemical.Sources.UnlimitedSolutePump synthesis(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{56,-30},{36,-10}})));
    Physiolibrary.Blocks.Factors.Spline TGFEffect1(data={{0.0,10.0,0},{0.6,2.0,
          -4.0},{1.0,1.0,-1.0},{2.0,0.3,0}})
      annotation (Placement(transformation(extent={{56,34},{36,54}})));
    Physiolibrary.Blocks.Math.Integrator integrator(
      stateName="ReninSynthesis.Rate",
      k=(1/60)/60,
      y_start=(290/60)) "initial 290 GU/min"
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=270,
          origin={46,6})));
      Modelica.Blocks.Math.Feedback feedback annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={46,28})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-88,80},{-68,100}}), iconTransformation(
            extent={{-90,-70},{-70,-50}})));
      Renin_Physiolibrary.Types.RealIO.ConcentrationOutput Renin(displayUnit="GU_Renin/ml") annotation (Placement(
            transformation(extent={{-48,-46},{-28,-26}}), iconTransformation(extent={{80,-20},{120,20}})));
      Nerves.BetaReceptorsActivityFactor betaReceptorsActivityFactor
        annotation (Placement(transformation(extent={{-12,14},{8,34}})));
    Physiolibrary.Blocks.Factors.Spline NaEffect(data={{0,0.0,0.0},{48,1.0,0.03},
          {100,2.0,0.0}})
      annotation (Placement(transformation(extent={{82,54},{62,74}})));
    Physiolibrary.Blocks.Factors.Spline ANPEffect(data={{0.0,1.2,0.0},{1.3,1.0,
          -0.3},{2.7,0.8,0.0}},
        Xscale=1e-9,
        UsePositiveLog10=true) "normal ANP .. 20 pmol/l"
      annotation (Placement(transformation(extent={{82,50},{62,70}})));
    Physiolibrary.Blocks.Factors.Spline A2Effect(
      data={{0.0,0.9,0.0},{1.3,1.0,0.1},{2.5,2.0,2.0},{3.5,5.0,0.0}},
      Xscale=1e-9/Substances.AngiotensinII.mw,
      UsePositiveLog10=true) "normal ... 20 pg/ml = 20 ug/m3"
      annotation (Placement(transformation(extent={{82,46},{62,66}})));
    Physiolibrary.Blocks.Factors.Spline FurosemideEffect(data={{0.0,1.0,0.0},{
          1.3,0.2,0.0}}, Xscale=1e-3/Substances.Furosemide.mw)
      "mg/l = 1e-3 kg/m3"
      annotation (Placement(transformation(extent={{82,42},{62,62}})));
    Physiolibrary.Types.Constants.FractionConst             Constant2(k=1)
      annotation (Placement(transformation(extent={{60,68},{66,74}})));
    Physiolibrary.Blocks.Factors.Spline SympsEffect(data={{0.0,0.5,0},{1.0,1.0,
          1.0},{3.0,4.0,0}})
      annotation (Placement(transformation(extent={{-8,-34},{12,-14}})));
    Physiolibrary.Types.Constants.FractionConst             Constant3(k=1)
      annotation (Placement(transformation(extent={{-12,36},{-6,42}})));
    Physiolibrary.Blocks.Factors.Spline SympsEffect1(data={{0.0,0.5,0},{1.0,1.0,
          1.0},{2.5,4.0,0}})
      annotation (Placement(transformation(extent={{36,44},{56,64}})));
    Renin_Physiolibrary.Chemical.Components.SolutePump fluxReninFree(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{60,-44},{70,-34}})));
    Renin_Physiolibrary.Chemical.Components.SolutePump fluxReninGranules(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{70,-46},{60,-56}})));
      Modelica.Blocks.Math.Gain gain1(k=0.01/60)
        annotation (Placement(transformation(extent={{-5,-5},{5,5}},
            rotation=270,
            origin={65,-27})));
      Modelica.Blocks.Math.Gain gain3(k=0.001/60)
        annotation (Placement(transformation(extent={{-5,-5},{5,5}},
            rotation=90,
            origin={65,-63})));
      Modelica.Blocks.Interfaces.RealInput Angiotensin2 annotation (Placement(transformation(extent={{70,68},{
              90,88}}), iconTransformation(extent={{-100,20},{-60,60}})));
    equation
       connect(ReninPool.q_out, secretion.q_out)   annotation (Line(
          points={{-72,-44},{-8,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(concentrationMeasure.q_in, ReninPool.q_out)   annotation (Line(
          points={{-62,-32},{-71.2,-32},{-71.2,-44},{-72,-44}},
          color={200,0,0},
          smooth=Smooth.None));
    connect(concentrationMeasure.concentration, busConnector.Renin) annotation (
       Line(
        points={{-62,-40},{-47,-40},{-47,90},{-78,90}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(ReninPool.q_out, Clearance.q_in) annotation (Line(
          points={{-72,-44},{-54,-44},{-54,-88},{-30,-88}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(ReninPool.solute, K.u) annotation (Line(
        points={{-66,-54},{-66,-59},{-38.6,-59}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Clearance.soluteFlow, K.y) annotation (Line(
        points={{-16,-84},{-16,-59},{-31.7,-59}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.Kidney_NephronCount_Total_xNormal, CountEffect.u)
                                           annotation (Line(
          points={{-78,90},{-28.9,90},{-28.9,72},{38,72}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(hormoneFlowConstant1.y, CountEffect.yBase)
                                                       annotation (Line(
          points={{48.5,82},{46,82},{46,74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, VODIST.u) annotation (Line(
          points={{-78,90},{-94.6,90},{-94.6,-2},{-75.2,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
    connect(VODIST.y, ReninPool.solutionVolume) annotation (Line(
        points={{-61.4,-2},{-56,-2},{-56,-16},{-90,-16},{-90,-40},{-76,-40}},
        color={0,0,127},
        smooth=Smooth.None));

      connect(CountEffect.y, FunctionEffect.yBase) annotation (Line(
          points={{46,68},{46,68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BaseFraction.y, TGFEffect.yBase) annotation (Line(
          points={{2,-10},{2,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant.y, BaseFraction.u) annotation (Line(
          points={{-11,-6},{-6,-6}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(ReninFree.solute, BaseFraction.yBase) annotation (Line(
        points={{30,-54},{30,-58},{18,-58},{18,0},{2,0},{2,-4}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(feedback.y,integrator. u) annotation (Line(
          points={{46,19},{46,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(integrator.y,feedback. u2) annotation (Line(
          points={{46,-5},{46,-8},{28,-8},{28,28},{38,28}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(integrator.y, synthesis.soluteFlow) annotation (Line(
        points={{46,-5},{46,-16},{42,-16}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(secretion.q_in, ReninFree.q_out) annotation (Line(
          points={{12,-44},{36,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ReninFree.q_out, synthesis.q_out) annotation (Line(
          points={{36,-44},{36,-20}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));

      connect(concentrationMeasure.concentration, Renin) annotation (Line(
          points={{-62,-40},{-52,-40},{-52,-36},{-38,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.BetaPool_Effect, betaReceptorsActivityFactor.BetaPool_Effect)
        annotation (Line(
          points={{-78,90},{-42,90},{-42,30},{-11.8,30}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BetaBlocade_Effect, betaReceptorsActivityFactor.BetaBlockade_Effect)
        annotation (Line(
          points={{-78,90},{-42,90},{-42,24},{-11.8,24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GangliaKidney_NA, betaReceptorsActivityFactor.GangliaGeneral_NA)
        annotation (Line(
          points={{-78,90},{-42,90},{-42,18},{-11.8,18}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Constant2.y, NaEffect.yBase) annotation (Line(
          points={{66.75,71},{72,71},{72,66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(NaEffect.y, ANPEffect.yBase) annotation (Line(
          points={{72,60},{72,62}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ANPEffect.y, A2Effect.yBase) annotation (Line(
          points={{72,56},{72,58}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2Effect.y, FurosemideEffect.yBase) annotation (Line(
          points={{72,52},{72,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KidneyFunctionEffect, FunctionEffect.u) annotation (
          Line(
          points={{-78,90},{-28,90},{-28,66},{38,66}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(TGFEffect1.y, feedback.u1) annotation (Line(
          points={{46,40},{46,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FurosemideEffect.y, TGFEffect1.u) annotation (Line(
          points={{72,48},{72,44},{54,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FurosemideEffect.u, busConnector.FurosemidePool_Loss) annotation (
         Line(
          points={{80,52},{98,52},{98,90},{-78,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(TGFEffect.u, FurosemideEffect.y) annotation (Line(
          points={{10,-12},{72,-12},{72,48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TGFEffect.y, SympsEffect.yBase) annotation (Line(
          points={{2,-16},{2,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsEffect.y, secretion.soluteFlow) annotation (Line(
          points={{2,-28},{2,-34},{2,-40},{-2,-40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(betaReceptorsActivityFactor.y, SympsEffect.u) annotation (Line(
          points={{-2,17},{-2,6},{-28,6},{-28,-24},{-6,-24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant3.y, betaReceptorsActivityFactor.yBase) annotation (Line(
          points={{-5.25,39},{-2,39},{-2,31}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsEffect1.y, TGFEffect1.yBase) annotation (Line(
          points={{46,50},{46,46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FunctionEffect.y, SympsEffect1.yBase) annotation (Line(
          points={{46,62},{46,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(betaReceptorsActivityFactor.y, SympsEffect1.u) annotation (Line(
          points={{-2,17},{-2,6},{18,6},{18,54},{38,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(NaEffect.u, busConnector.MD_Na) annotation (Line(
          points={{80,64},{98,64},{98,90},{-78,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(gain1.y, fluxReninFree.soluteFlow)
                                            annotation (Line(
          points={{65,-32.5},{67,-34},{67,-37}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain3.y, fluxReninGranules.soluteFlow)
                                          annotation (Line(
          points={{65,-57.5},{65,-53},{63,-53}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(fluxReninFree.q_out, ReninGranules.q_out) annotation (Line(
          points={{70,-39},{74,-39},{74,-44},{86,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(fluxReninGranules.q_in, ReninGranules.q_out) annotation (Line(
          points={{70,-51},{74,-51},{74,-44},{86,-44}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ReninFree.q_out, fluxReninFree.q_in) annotation (Line(
          points={{36,-44},{48,-44},{48,-39},{60,-39}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(ReninFree.q_out, fluxReninGranules.q_out) annotation (Line(
          points={{36,-44},{48,-44},{48,-51},{60,-51}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(ReninGranules.solute, gain3.u) annotation (Line(
        points={{80,-54},{80,-72},{64,-72},{64,-69},{65,-69}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(ReninFree.solute, gain1.u) annotation (Line(
        points={{30,-54},{30,-58},{58,-58},{58,-16},{65,-16},{65,-21}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(ANPEffect.u, busConnector.ANP) annotation (Line(
          points={{80,60},{98,60},{98,90},{-78,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Angiotensin2, A2Effect.u) annotation (Line(
        points={{80,78},{98,78},{98,56},{80,56}},
        color={0,0,127},
        smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-112,108},{122,86}},
              lineColor={0,0,255},
              textString="%name")}));
    end Renin;

    model Angiotensine2
    //  extends Library.Interfaces.Tissues.Liver;
    //  extends Library.Interfaces.Tissues.Kidney;
      extends Physiolibrary.Icons.Lungs;

    // outer parameter Real ECF_Vol(final displayUnit="ml");

    Physiolibrary.Blocks.Factors.Normalization A2 annotation (Placement(transformation(extent={{-2,-2},{18,18}})));
    Physiolibrary.Types.Constants.ConcentrationConst A2CONC(k=0.3333e-9/
          Substances.AngiotensinII.mw) "0.3333 pg/ml = 0.3333*1e-15/1e-6 kg/m3"
      annotation (Placement(transformation(extent={{-24,52},{-4,72}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-88,78},{-68,98}}), iconTransformation(extent=
             {{-90,-70},{-70,-50}})));
      Modelica.Blocks.Interfaces.RealInput Renin annotation (Placement(transformation(extent={{-74,8},{-54,28}}),
            iconTransformation(extent={{-100,20},{-60,60}})));
      Modelica.Blocks.Interfaces.RealOutput Angiotensine2(
                                                   final displayUnit="pg/ml", quantity="Concentration")
                                                              annotation (
          Placement(transformation(extent={{18,-66},{38,-46}}),
            iconTransformation(extent={{80,-20},{120,20}})));
    Renin_Physiolibrary.Types.Constants.ConcentrationConst
                                                     CEBase_ReninConc(k=1e6/30)
      "1 Gu/ml = 1e6 Gu/m3"
      annotation (Placement(transformation(extent={{-66,-12},{-46,8}})));
      Modelica.Blocks.Math.Division EndogenousRate
        annotation (Placement(transformation(extent={{-30,-2},{-10,18}})));
    equation
      connect(A2CONC.y, A2.yBase)
        annotation (Line(
          points={{-1.5,62},{8,62},{8,10}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(CEBase_ReninConc.y, EndogenousRate.u2) annotation (Line(
          points={{-43.5,-2},{-40,-2},{-40,2},{-32,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Renin, EndogenousRate.u1) annotation (Line(
          points={{-64,18},{-40,18},{-40,14},{-32,14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2.u, EndogenousRate.y)
        annotation (Line(
          points={{0,8},{-9,8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2.y, Angiotensine2)
        annotation (Line(
          points={{8,4},{8,-56},{28,-56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(A2.y, busConnector.Angiotensin2) annotation (Line(
          points={{8,4},{8,-10},{28,-10},{28,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(A2.y, busConnector.AngiotensinII) annotation (Line(
        points={{8,4},{10,4},{10,-2},{72,-2},{72,88},{-78,88}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-128,102},{106,80}},
              lineColor={0,0,255},
              textString="%name")}));
    end Angiotensine2;

  model Leptin
     extends Physiolibrary.Icons.Fat;
     // outer parameter Real ECF_Vol(final displayUnit="ml");

      Modelica.Blocks.Math.Gain gain(                        y(unit="mol/s"), k(unit=
            "1/s") = 0.01/60)
        annotation (Placement(transformation(extent={{-44,-32},{-38,-26}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut clearance(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-34,-6},{-14,-26}})));
    Physiolibrary.Chemical.Components.Substance LeptinPool(
      stateName="LeptinPool.Mass",
      useNormalizedVolume=false,
      solute_start=(8e-6/Substances.Leptin.mw)*0.0143610097207699)
      "8 ng/ml = 8e-6 kg/m3, in 14.36 liter of extracellular fluid"
      annotation (Placement(transformation(extent={{-66,-18},{-46,2}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump secretion(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{78,-16},{58,4}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant_pG(k(
          displayUnit="pmol/min") = 1.2e-9/(60*Substances.Leptin.mw))
      "1.2 ug/min = 1.2e-9/60 kg/s"
      annotation (Placement(transformation(extent={{80,18},{72,26}})));
    Physiolibrary.Blocks.Factors.Spline AdiposeEffect(data={{0,0.0,0},{13300,
          1.0,0.00008},{100000,6.0,0}}, Xscale=1e-3/Substances.FattyAcids.mw)
      "13300 g = 13.3 kg"
      annotation (Placement(transformation(extent={{78,0},{58,20}})));
    Physiolibrary.Blocks.Factors.Normalization FunctionEffect
      annotation (Placement(transformation(extent={{58,-4},{78,16}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-98,68},{-78,88}}), iconTransformation(extent=
             {{-90,-70},{-70,-50}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
         annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          origin={-60,8})));
      Physiolibrary.Types.RealIO.ConcentrationOutput
                                            Leptin(displayUnit=
               "ng/ml") annotation (Placement(transformation(extent={{-78,-62},{-58,
              -42}}),        iconTransformation(extent={{80,-20},{120,20}})));
  equation

    connect(LeptinPool.solute, gain.u) annotation (Line(
        points={{-50,-18},{-50,-29},{-44.6,-29}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(gain.y, clearance.soluteFlow) annotation (Line(
        points={{-37.7,-29},{-20,-29},{-20,-20}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(clearance.q_in, LeptinPool.q_out)   annotation (Line(
          points={{-34,-16},{-38,-16},{-38,-8},{-56,-8}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.FatFunctionEffect, FunctionEffect.u) annotation (Line(
          points={{-88,78},{12.1,78},{12.1,6},{60,6}},
          color={0,0,127},
          smooth=Smooth.None), Text(
     string="%first",
     index=-1,
     extent={{-6,3},{-6,3}}));
      connect(AdiposeEffect.y, FunctionEffect.yBase) annotation (Line(
          points={{68,6},{68,8}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(secretion.soluteFlow, FunctionEffect.y) annotation (Line(
        points={{64,-2},{64,0},{68,0},{68,2}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(secretion.q_out, LeptinPool.q_out)   annotation (Line(
          points={{58,-6},{2,-6},{2,-8},{-56,-8}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));

      connect(LeptinPool.q_out, concentrationMeasure.q_in)   annotation (Line(
          points={{-56,-8},{-54,-8},{-54,6},{-60,6}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(hormoneFlowConstant_pG.y, AdiposeEffect.yBase) annotation (Line(
          points={{71,22},{68,22},{68,12}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(concentrationMeasure.concentration, Leptin) annotation (Line(
        points={{-60,12},{-60,20},{-82,20},{-82,-52},{-68,-52}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(concentrationMeasure.concentration, busConnector.Leptin)
      annotation (Line(
        points={{-60,12},{-60,78},{-88,78}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(busConnector.ECFV_Vol, LeptinPool.solutionVolume) annotation (Line(
        points={{-88,78},{-90,78},{-90,2},{-60,2},{-60,-4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(AdiposeEffect.u, busConnector.LipidDepositsFA) annotation (Line(
        points={{76,10},{94,10},{94,78},{-88,78}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-100,80},{100,100}},
              lineColor={0,0,255},
              textString="%name")}));
  end Leptin;

    model PTH
      extends Physiolibrary.Icons.ThyroidGland;
    Physiolibrary.Chemical.Components.Substance PTH_Pool(useNormalizedVolume=
          false, solute_start=(3.85*14361.0097207699*0.001)/1000)
      annotation (Placement(transformation(extent={{14,-58},{34,-38}})));
      Modelica.Blocks.Math.Gain mlTOlitre(k=0.001)
                                     annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            origin={-2,-40})));
    Physiolibrary.Types.BusConnector busConnector
      annotation (Placement(transformation(extent={{-92,76},{-72,96}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut clearance(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{52,-46},{72,-66}})));
        Modelica.Blocks.Math.Gain gain(k=7.143)
          annotation (Placement(transformation(extent={{42,-72},{48,-66}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump secretion(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{72,-38},{52,-18}})));
      Electrolytes.Calcium2.Factors.H_minus H4_10to7_minus(
        alpha=96.25,
        delta=3.037,
        gamma=11.74,
        ro=6249) annotation (Placement(transformation(extent={{52,-30},{72,-10}})));
    Physiolibrary.Blocks.Factors.Normalization simpleMultiply
      annotation (Placement(transformation(extent={{52,-10},{72,10}})));
    Physiolibrary.Blocks.Factors.Normalization simpleMultiply1
      annotation (Placement(transformation(extent={{52,-20},{72,0}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=2)
      annotation (Placement(transformation(extent={{36,-4},{44,4}})));
    Physiomodel.Metabolism.deprecated.MolarStorageCompartment PT_max_capacity(
        initialSoluteMass=1)
      annotation (Placement(transformation(extent={{-36,8},{-16,28}})));
        Modelica.Blocks.Math.Gain gain1(k=0.0001604)
          annotation (Placement(transformation(extent={{-18,0},{-12,6}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut clearance1(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-12,28},{8,8}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump secretion1(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-62,8},{-42,28}})));
      Electrolytes.Calcium2.Factors.H_minus H6_11_minus1(
        alpha=4.103,
        delta=69,
        gamma=12.5,
        ro=0.9) annotation (Placement(transformation(extent={{-62,18},{-42,38}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant1(k=
          0.0001604)
      annotation (Placement(transformation(extent={{-64,36},{-56,44}})));

      model PT

        Modelica.Blocks.Interfaces.RealInput Calcitriol
          annotation (Placement(transformation(extent={{-110,40},{-70,80}})));
        Modelica.Blocks.Interfaces.RealInput Ca
          annotation (Placement(transformation(extent={{-110,-64},{-70,-24}})));
        Modelica.Blocks.Interfaces.RealOutput PT_pool
          annotation (Placement(transformation(extent={{56,-18},{96,22}})));

        Real T64m;
        Real T64p;

        parameter Real initialPT(displayUnit="1") = 0.5
        "initial pool of PT gland";

      initial equation
      //  PT_pool = initialPT;
        der( PT_pool) = 0;
      equation
        der( PT_pool)   = (1-PT_pool)*0.01*(0.85*T64m+0.15) - PT_pool*0.01*(0.85*T64p+0.15);
        T64m = 1-(exp(0.03*(Calcitriol - 90*(2.35/Ca))) - exp(-0.03*(Calcitriol - 90*(2.35/Ca)))) / (exp(0.03*(Calcitriol - 90*(2.35/Ca))) + exp(-0.03*(Calcitriol - 90*(2.35/Ca))));
        T64p = 1+(exp(0.03*(Calcitriol - 90*(2.35/Ca))) - exp(-0.03*(Calcitriol - 90*(2.35/Ca)))) / (exp(0.03*(Calcitriol - 90*(2.35/Ca))) + exp(-0.03*(Calcitriol - 90*(2.35/Ca))));
      end PT;

      PT PT_pool
        annotation (Placement(transformation(extent={{36,46},{56,66}})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure(
        unitsString="pmol/l") annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          origin={34,-36})));
    equation
      connect(busConnector.ECFV_Vol,mlTOlitre. u) annotation (Line(
          points={{-82,86},{-82,-40},{-6.8,-40}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
    connect(mlTOlitre.y, PTH_Pool.solutionVolume) annotation (Line(
        points={{2.4,-40},{9.2,-40},{9.2,-44},{20,-44}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(gain.y, clearance.soluteFlow) annotation (Line(
        points={{48.3,-69},{66,-69},{66,-60}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(PTH_Pool.q_out, clearance.q_in) annotation (Line(
          points={{24,-48},{46,-48},{46,-56},{52,-56}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(PTH_Pool.solute, gain.u) annotation (Line(
        points={{30,-58},{30,-69},{41.4,-69}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(secretion.q_out, PTH_Pool.q_out) annotation (Line(
          points={{52,-28},{46,-28},{46,-48},{24,-48}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(H4_10to7_minus.y, secretion.soluteFlow) annotation (Line(
        points={{62,-24},{58,-24}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.CaPool_conc_per_liter, H4_10to7_minus.u) annotation (
          Line(
          points={{-82,86},{-82,-20},{52.2,-20}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(simpleMultiply1.y, H4_10to7_minus.yBase) annotation (Line(
          points={{62,-14},{62,-18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(simpleMultiply.y, simpleMultiply1.yBase) annotation (Line(
          points={{62,-4},{62,-8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, simpleMultiply.u) annotation (Line(
          points={{45,0},{54,0}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(gain1.y, clearance1.soluteFlow) annotation (Line(
        points={{-11.7,3},{2,3},{2,14}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(PT_max_capacity.q_out, clearance1.q_in) annotation (Line(
          points={{-26,18},{-8,18}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(PT_max_capacity.soluteMass, gain1.u) annotation (Line(
          points={{-26,10.6},{-26,3},{-18.6,3}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(secretion1.q_out, PT_max_capacity.q_out) annotation (Line(
          points={{-46,18},{-26,18}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(H6_11_minus1.y, secretion1.soluteFlow) annotation (Line(
        points={{-52,24},{-52,24},{-52,22},{-48,22}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.Calcitriol, H6_11_minus1.u) annotation (Line(
          points={{-82,86},{-82,28},{-61.8,28}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(PT_max_capacity.soluteMass, simpleMultiply1.u) annotation (Line(
          points={{-26,10.6},{-26,-10},{52.2,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, H6_11_minus1.yBase) annotation (Line(
          points={{-55,40},{-52,40},{-52,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PT_pool.PT_pool, simpleMultiply.yBase) annotation (Line(
          points={{53.6,56.2},{62,56.2},{62,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Calcitriol, PT_pool.Calcitriol) annotation (Line(
          points={{-82,86},{-82,62},{37,62}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CaPool_conc_per_liter, PT_pool.Ca) annotation (Line(
          points={{-82,86},{-82,51.6},{37,51.6}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(PTH_Pool.q_out, concentrationMeasure.q_in) annotation (Line(
          points={{24,-48},{28,-48},{28,-38},{34,-38}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(concentrationMeasure.concentration, busConnector.PTH) annotation (
        Line(
        points={{34,-32},{34,-28},{-82,-28},{-82,86}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-102,88},{98,108}},
              lineColor={0,0,255},
              textString="%name")}));
    end PTH;

    model Calcitriol
      extends Physiolibrary.Icons.Kidney;
    Physiolibrary.Types.BusConnector busConnector
      annotation (Placement(transformation(extent={{-86,72},{-66,92}})));

      model One_alpha_OH

        function H
        input Real x;
        input Real alpha;
        input Real delta;
        input Real gamma=1;
        output Real value;
        algorithm
        value:=alpha*x^gamma/(delta^gamma+x^gamma);
        end H;

      function H_minus
        input Real x;
        input Real alpha;
        input Real delta;
        input Real gamma=1;
        input Real ro;
        output Real value;
      algorithm
        value:=alpha-(alpha-ro)*x^gamma/(delta^gamma+x^gamma);
      end H_minus;

        Modelica.Blocks.Interfaces.RealInput PO4
          annotation (Placement(transformation(extent={{-110,-64},{-70,-24}}),
              iconTransformation(extent={{-100,-60},{-60,-20}})));
        Modelica.Blocks.Interfaces.RealInput PTH
          annotation (Placement(transformation(extent={{-110,40},{-70,80}}),
              iconTransformation(extent={{-100,40},{-60,80}})));
        Modelica.Blocks.Interfaces.RealOutput One_alpha_OH
          annotation (Placement(transformation(extent={{56,-18},{96,22}}),
              iconTransformation(extent={{60,-20},{100,20}})));

      initial equation
        //One_alpha_OH = 126;
        der( One_alpha_OH)  = 0;
      equation
        der( One_alpha_OH)  = 6.3*H(PTH, 1.90371, 1.549,0.1112)*( if PO4<=16.8/14 then 1 else H_minus(PO4,1.525,1.302,8.252,-1.78249))  -0.05 *One_alpha_OH;
        //H7,9:alpha was calculated,
      end One_alpha_OH;
      One_alpha_OH one_alpha_OH
        annotation (Placement(transformation(extent={{-26,16},{-6,36}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePump secretion1(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{-6,-10},{14,10}})));
    Physiolibrary.Chemical.Components.Substance Calcitriol_pool(
      stateName="Calcitriol.Mass",
      useNormalizedVolume=false,
      solute_start=(1260)/1000)
      annotation (Placement(transformation(extent={{10,-32},{30,-12}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut clearance1(
        useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{60,-12},{80,-32}})));
        Modelica.Blocks.Math.Gain gain1(k=0.1)
          annotation (Placement(transformation(extent={{54,-40},{60,-34}})));
      Modelica.Blocks.Math.Gain mlTOlitre(k=0.001)
                                     annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            origin={-2,-16})));
    Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
         annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          origin={30,0})));
    equation

    connect(gain1.y, clearance1.soluteFlow) annotation (Line(
        points={{60.3,-37},{74,-37},{74,-26}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Calcitriol_pool.solute, gain1.u) annotation (Line(
        points={{26,-32},{26,-37},{53.4,-37}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.ECFV_Vol,mlTOlitre. u) annotation (Line(
          points={{-76,82},{-76,-16},{-6.8,-16}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
    connect(mlTOlitre.y, Calcitriol_pool.solutionVolume) annotation (Line(
        points={{2.4,-16},{10,-16},{10,-18},{16,-18}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(secretion1.q_out, Calcitriol_pool.q_out) annotation (Line(
          points={{14,0},{20,0},{20,-22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Calcitriol_pool.q_out, clearance1.q_in) annotation (Line(
          points={{20,-22},{60,-22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(one_alpha_OH.One_alpha_OH, secretion1.soluteFlow) annotation (Line(
        points={{-8,26},{8,26},{8,4}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.PTH, one_alpha_OH.PTH) annotation (Line(
          points={{-76,82},{-76,32},{-24,32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ctPO4, one_alpha_OH.PO4) annotation (Line(
          points={{-76,82},{-76,22},{-24,22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(concentrationMeasure.q_in, Calcitriol_pool.q_out) annotation (
          Line(
          points={{30,-2},{20,-2},{20,-22}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(concentrationMeasure.concentration, busConnector.Calcitriol)
      annotation (Line(
        points={{30,4},{30,78},{-76,78},{-76,82}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-96,94},{104,114}},
              lineColor={0,0,255},
              textString="%name")}));
    end Calcitriol;

    package Catechols "Epinephrine and Norepinephrine"
      extends Physiolibrary.Icons.AdrenalGland;

      model Epinephrine
        extends Physiolibrary.Icons.AdrenalGland;
      // outer parameter Real ECF_Vol(final displayUnit="ml");

      Physiolibrary.Chemical.Components.Substance EpiPool(
        stateName="EpiPool.Mass",
        useNormalizedVolume=false,
        solute_start=(571.791)*1e-12/Substances.Epinephrine.mw)
        "0.040 ng/ml * 15000 ml =  600 ng "
        annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump secretion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{48,-54},{28,-34}})));
      Physiolibrary.Types.Constants.MassFlowRateConst hormoneFlowConstant(k=375e-12
            /Substances.Epinephrine.mw/60) "376 ng/min"
        annotation (Placement(transformation(extent={{50,-10},{42,-2}})));
      Physiolibrary.Blocks.Factors.Spline AdrenalNerveEffect(data={{2.0,1.0,0},
            {8.0,20.0,0}})
        annotation (Placement(transformation(extent={{28,-32},{48,-12}})));
        Physiolibrary.Types.RealIO.FractionInput
                                           OtherTissueFunctionEffect
                           annotation (Placement(transformation(
                extent={{0,-36},{8,-28}}),   iconTransformation(extent={{-100,40},{-80,
                  60}})));
        Physiolibrary.Types.RealIO.VolumeInput
                                           ECFV_Vol( displayUnit="ml")
          annotation (Placement(transformation(extent={{-98,-30},{-90,-22}}),
              iconTransformation(extent={{-100,80},{-80,100}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
           annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            origin={-76,-26})));
        Physiolibrary.Types.RealIO.ConcentrationOutput
                                            Epinephrine( displayUnit=
                 "pg/ml")             annotation (Placement(
              transformation(extent={{-82,-20},{-90,-12}}),
                                                         iconTransformation(
                extent={{100,-10},{120,10}})));
        Physiolibrary.Types.RealIO.FractionInput
                                           AdrenalNerve_NA( displayUnit="Hz")
                           annotation (Placement(transformation(
                extent={{6,-26},{14,-18}}),  iconTransformation(extent={{-100,0},{-80,
                  20}})));
      Physiolibrary.Chemical.Components.Clearance Clearance(K=1,
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-28,-96},{-8,-76}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst flowConstant(k(
            displayUnit="l/min") = 0.00015666666666667)
        annotation (Placement(transformation(extent={{-30,-76},{-22,-68}})));
      Physiolibrary.Blocks.Factors.Normalization FunctionEffect
        annotation (Placement(transformation(extent={{28,-42},{48,-22}})));
      equation
        connect(EpiPool.q_out, secretion.q_out)     annotation (Line(
            points={{-72,-44},{28,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, EpiPool.q_out)     annotation (Line(
            points={{-76,-28},{-71.2,-28},{-71.2,-44},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, Epinephrine) annotation (Line(
          points={{-76,-22},{-76,-16},{-86,-16}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ECFV_Vol, EpiPool.solutionVolume) annotation (Line(
          points={{-94,-26},{-88,-26},{-88,-40},{-76,-40}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(AdrenalNerve_NA, AdrenalNerveEffect.u)
                                              annotation (Line(
            points={{10,-22},{30,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant.y, AdrenalNerveEffect.yBase)
                                                        annotation (Line(
            points={{41,-6},{38,-6},{38,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EpiPool.q_out, Clearance.q_in)          annotation (Line(
            points={{-72,-44},{-42,-44},{-42,-86},{-28,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowConstant.y, Clearance.solutionFlow) annotation (Line(
          points={{-21,-72},{-18,-72},{-18,-79}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(OtherTissueFunctionEffect, FunctionEffect.u) annotation (Line(
            points={{4,-32},{30,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AdrenalNerveEffect.y, FunctionEffect.yBase) annotation (Line(
            points={{38,-26},{38,-30}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(FunctionEffect.y, secretion.soluteFlow) annotation (Line(
          points={{38,-36},{38,-40},{34,-40}},
          color={0,0,127},
          smooth=Smooth.None));
      end Epinephrine;

      model Norepinephrine
        extends Physiolibrary.Icons.AdrenalGland;
      // outer parameter Real ECF_Vol(final displayUnit="ml");

      Physiolibrary.Chemical.Components.Substance NEPool(
        stateName="NEPool.Mass",
        useNormalizedVolume=false,
        solute_start=3430.74e-12/Substances.Norepinephrine.mw)
        "0.240 ng/ml * 15000 ml =  3600 ng "
        annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump secretion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{48,-54},{28,-34}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant(k(
            displayUnit="mmol/min") = 220e-12/Substances.Norepinephrine.mw/60)
        "220 ng/min"
        annotation (Placement(transformation(extent={{50,-10},{42,-2}})));
      Physiolibrary.Blocks.Factors.Spline AdrenalNerveEffect(data={{2.0,1.0,0},
            {8.0,20.0,0}})
        annotation (Placement(transformation(extent={{28,-32},{48,-12}})));
        Physiolibrary.Types.RealIO.FractionInput
                                           OtherTissueFunctionEffect
                           annotation (Placement(transformation(
                extent={{0,-36},{8,-28}}),   iconTransformation(extent={{-100,-40},{-80,
                  -20}})));
        Physiolibrary.Types.RealIO.VolumeInput
                                           ECFV_Vol( displayUnit="ml")
          annotation (Placement(transformation(extent={{-98,-30},{-90,-22}}),
              iconTransformation(extent={{-100,80},{-80,100}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
           annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            origin={-78,-20})));
        Physiolibrary.Types.RealIO.ConcentrationOutput
                                            Norepinephrine( displayUnit="pg/ml")
                                      annotation (Placement(
              transformation(extent={{-80,-16},{-88,-8}}),
                                                         iconTransformation(
                extent={{100,-10},{120,10}})));
        Physiolibrary.Types.RealIO.FractionInput
                                           AdrenalNerve_NA( displayUnit="Hz")
                           annotation (Placement(transformation(
                extent={{6,-26},{14,-18}}),  iconTransformation(extent={{-100,40},{-80,
                  60}})));
      Physiolibrary.Chemical.Components.Clearance Clearance(K=1,
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-28,-96},{-8,-76}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst flowConstant(k(displayUnit="ml/min") = 7.5e-05)
        annotation (Placement(transformation(extent={{-30,-76},{-22,-68}})));
      Physiolibrary.Blocks.Factors.Normalization FunctionEffect
        annotation (Placement(transformation(extent={{28,-42},{48,-22}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Spillover(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{50,18},{30,38}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant1(k=
            570.0e-12/Substances.Norepinephrine.mw/60) "570 ng/min"
        annotation (Placement(transformation(extent={{52,50},{44,58}})));
      Physiolibrary.Blocks.Factors.Normalization SpilloverK
        annotation (Placement(transformation(extent={{30,28},{50,48}})));
        Physiolibrary.Types.RealIO.FractionInput
                                           GangliaGeneral_NA( displayUnit="Hz")
                           annotation (Placement(transformation(
                extent={{8,34},{16,42}}),    iconTransformation(extent={{-100,0},{-80,
                  20}})));
      equation
        connect(NEPool.q_out, secretion.q_out)      annotation (Line(
            points={{-72,-44},{28,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, NEPool.q_out)      annotation (Line(
            points={{-78,-22},{-71.2,-22},{-71.2,-44},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, Norepinephrine) annotation (
          Line(
          points={{-78,-16},{-78,-12},{-84,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ECFV_Vol, NEPool.solutionVolume) annotation (Line(
          points={{-94,-26},{-88,-26},{-88,-40},{-76,-40}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(AdrenalNerve_NA, AdrenalNerveEffect.u)
                                              annotation (Line(
            points={{10,-22},{30,-22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant.y, AdrenalNerveEffect.yBase)
                                                        annotation (Line(
            points={{41,-6},{38,-6},{38,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NEPool.q_out, Clearance.q_in)           annotation (Line(
            points={{-72,-44},{-42,-44},{-42,-86},{-28,-86}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowConstant.y, Clearance.solutionFlow) annotation (Line(
          points={{-21,-72},{-18,-72},{-18,-82}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(OtherTissueFunctionEffect, FunctionEffect.u) annotation (Line(
            points={{4,-32},{30,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AdrenalNerveEffect.y, FunctionEffect.yBase) annotation (Line(
            points={{38,-26},{38,-30}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(FunctionEffect.y, secretion.soluteFlow) annotation (Line(
          points={{38,-36},{38,-38},{38,-40},{34,-40}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(NEPool.q_out, Spillover.q_out)      annotation (Line(
            points={{-72,-44},{-21,-44},{-21,28},{30,28}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GangliaGeneral_NA, SpilloverK.u)
                                              annotation (Line(
            points={{12,38},{32,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant1.y, SpilloverK.yBase)
                                                        annotation (Line(
            points={{43,54},{40,54},{40,40}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(SpilloverK.y, Spillover.soluteFlow) annotation (Line(
          points={{40,34},{40,34},{40,32},{36,32}},
          color={0,0,127},
          smooth=Smooth.None));
      end Norepinephrine;

      model Catechols
        extends Physiolibrary.Icons.AdrenalGland;
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-88,78},{-68,98}}), iconTransformation(
              extent={{-90,-70},{-70,-50}})));

        Epinephrine epinephrine
          annotation (Placement(transformation(extent={{-30,46},{-10,66}})));
        Norepinephrine norepinephrine
          annotation (Placement(transformation(extent={{-30,14},{-10,34}})));
        Modelica.Blocks.Interfaces.RealOutput EpinephrineConc(             quantity="Concentration", final displayUnit=
                 "pg/ml")                                       annotation (
            Placement(transformation(extent={{38,46},{58,66}}),
              iconTransformation(extent={{80,-40},{120,0}})));
        Modelica.Blocks.Interfaces.RealOutput NorepinephrineConc(
                                                          quantity="Concentration", final displayUnit=
                 "pg/ml")                                       annotation (
            Placement(transformation(extent={{38,14},{58,34}}),
              iconTransformation(extent={{80,0},{120,40}})));
      Physiolibrary.Blocks.Math.Log10AsEffect log10_1
        annotation (Placement(transformation(extent={{10,-66},{30,-46}})));
        Modelica.Blocks.Math.Add3 AlphaTotal(
          k3=5,
        k1=0.021*Substances.Norepinephrine.mw/(1e-9),
        k2=0.125*Substances.Epinephrine.mw/(1e-9))
          annotation (Placement(transformation(extent={{-28,-66},{-8,-46}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Desglymidodrine(k=
           0)
        annotation (Placement(transformation(extent={{-62,-68},{-54,-60}})));
        Modelica.Blocks.Math.Add BetaTotal(k1=0.021*Substances.Norepinephrine.mw
            /(1e-9), k2=0.125*Substances.Epinephrine.mw/(1e-9))
        "1 pg/ml = 1e-9 kg/m3"
          annotation (Placement(transformation(extent={{-24,-32},{-8,-16}})));
      Physiolibrary.Types.Constants.FractionConst             Constant(k=1)
        annotation (Placement(transformation(extent={{32,-66},{40,-58}})));
      Physiolibrary.Types.Constants.FractionConst             Constant1(k=1)
        annotation (Placement(transformation(extent={{26,-34},{34,-26}})));
      Physiolibrary.Blocks.Math.Log10AsEffect log10_2
        annotation (Placement(transformation(extent={{4,-34},{24,-14}})));
      equation
        connect(busConnector.ECFV_Vol, epinephrine.ECFV_Vol) annotation (Line(
            points={{-78,88},{-78,65},{-29,65}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ECFV_Vol, norepinephrine.ECFV_Vol) annotation (
            Line(
            points={{-78,88},{-78,33},{-29,33}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AdrenalNerve_NA, epinephrine.AdrenalNerve_NA)
          annotation (Line(
            points={{-78,88},{-78,57},{-29,57}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.OtherTissueFunctionEffect, epinephrine.OtherTissueFunctionEffect)
          annotation (Line(
            points={{-78,88},{-78,61},{-29,61}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.OtherTissueFunctionEffect, norepinephrine.OtherTissueFunctionEffect)
          annotation (Line(
            points={{-78,88},{-78,21},{-29,21}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AdrenalNerve_NA, norepinephrine.AdrenalNerve_NA)
          annotation (Line(
            points={{-78,88},{-78,29},{-29,29}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.GangliaGeneral_NA, norepinephrine.GangliaGeneral_NA)
          annotation (Line(
            points={{-78,88},{-78,25},{-29,25}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(epinephrine.Epinephrine, busConnector.Epinephrine) annotation (
            Line(
            points={{-9,56},{32,56},{32,88},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(norepinephrine.Norepinephrine, NorepinephrineConc) annotation (Line(
            points={{-9,24},{48,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(epinephrine.Epinephrine, EpinephrineConc) annotation (Line(
            points={{-9,56},{48,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(log10_1.y, busConnector.AlphaPool_Effect) annotation (Line(
            points={{31,-56},{78,-56},{78,90},{-78,90},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(AlphaTotal.y, log10_1.u) annotation (Line(
            points={{-7,-56},{8,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AlphaTotal.u1, norepinephrine.Norepinephrine) annotation (Line(
            points={{-30,-48},{-36,-48},{-36,-2},{-4,-2},{-4,24},{-9,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(epinephrine.Epinephrine, AlphaTotal.u2) annotation (Line(
            points={{-9,56},{16,56},{16,2},{-40,2},{-40,-56},{-30,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Desglymidodrine.y, AlphaTotal.u3) annotation (Line(
            points={{-53,-64},{-30,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BetaTotal.u1, norepinephrine.Norepinephrine) annotation (Line(
            points={{-25.6,-19.2},{-36,-19.2},{-36,-2},{-4,-2},{-4,24},{-9,24}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(BetaTotal.u2, epinephrine.Epinephrine) annotation (Line(
            points={{-25.6,-28.8},{-40,-28.8},{-40,2},{16,2},{16,56},{-9,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BetaTotal.y, log10_2.u) annotation (Line(
            points={{-7.2,-24},{2,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(log10_2.y, busConnector.BetaPool_Effect) annotation (Line(
            points={{25,-24},{78,-24},{78,88},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Constant.y, busConnector.AlphaBlocade_Effect) annotation (Line(
            points={{41,-62},{78,-62},{78,88},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, busConnector.BetaBlocade_Effect) annotation (Line(
            points={{35,-30},{78,-30},{78,88},{-78,88}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(norepinephrine.Norepinephrine, busConnector.Norepinephrine)
        annotation (Line(
          points={{-9,24},{26,24},{26,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(preserveAspectRatio=true,
                extent={{-100,-100},{100,100}}), graphics={Text(
                extent={{-100,80},{100,100}},
                lineColor={0,0,255},
                textString="%name")}));
      end Catechols;
      annotation (Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
    end Catechols;

    package FemaleSexHormones "Ovarian Cycle Driving Hormones"
        extends Physiolibrary.Icons.FemaleSex;
      model Estradiol

        Physiolibrary.Molar.ConcentrationCompartment_knownConc
          estradiol(
            q_out(conc(final displayUnit="nMol/ml"), q(final displayUnit="nMol/min")),
            concentration=0.00015,
          stateName="Estradiol.Mass")
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump
        CorpusLuteum_OvariesSecretion(useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant(k=
            5.0000000000001e-012)
        annotation (Placement(transformation(extent={{80,-24},{68,-12}})));
      Physiolibrary.Blocks.Factors.Spline MassEffect2(data={{0.0,0.0,0.0},{
            4000.0,10.0,0.0}})
        annotation (Placement(transformation(extent={{56,-40},{76,-20}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure(
        concentration(final displayUnit="nMol/l"),
        toAnotherUnitCoef=1000,
        unitsString="nMol/l") annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-78,-22})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Degradation(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=0.11)
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              origin={-35,-77})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump
        Follicle_OvariesSecretion(useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{76,-98},{56,-78}})));
      Physiolibrary.Blocks.Factors.Spline MassEffect(data={{0.0,0.0,0.0},{
            4000.0,10.0,0.0}})
        annotation (Placement(transformation(extent={{56,-80},{76,-60}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant1(k=
            5.0000000000001e-012)
        annotation (Placement(transformation(extent={{82,-66},{70,-54}})));
        Physiolibrary.Factors.ZeroIfFalse onlyIf
          annotation (Placement(transformation(extent={{56,-88},{76,-68}})));
        Modelica.Blocks.Interfaces.RealInput EFCV_Vol(
                                               quantity="Volume", final displayUnit=
              "ml") "extracellular fluid volume"
                               annotation (Placement(transformation(extent={{-100,
                  -40},{-92,-32}}),   iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Modelica.Blocks.Interfaces.BooleanInput IsFollicular
          annotation (Placement(transformation(extent={{22,-82},{30,-74}}),
              iconTransformation(extent={{-120,20},{-80,60}})));
        Modelica.Blocks.Interfaces.RealInput OvariesFollicleMass(
                                                          quantity="Mass",
            final displayUnit="mg")     annotation (Placement(transformation(extent={{22,-74},
                  {30,-66}}),         iconTransformation(extent={{-120,-60},{
                  -80,-20}})));
        Modelica.Blocks.Interfaces.RealInput CorpusLuteumMass(
                                                       quantity="Mass", final displayUnit=
                 "mg")           annotation (Placement(transformation(extent={{22,-34},
                  {30,-26}}),         iconTransformation(extent={{-120,-20},{
                  -80,20}})));
        Modelica.Blocks.Interfaces.RealOutput Estradiol(
                                                 quantity="Concentration",
            final displayUnit="nMol/l") annotation (Placement(transformation(extent={{
                  -64,-2},{-56,6}}), iconTransformation(extent={{80,-40},{120,0}})));
      equation
        connect(estradiol.q_out, CorpusLuteum_OvariesSecretion.q_out)
                                                   annotation (Line(
            points={{-72,-44},{60,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in,estradiol. q_out)   annotation (Line(
            points={{-78,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(estradiol.q_out, Degradation.q_in)
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(estradiol.soluteMass, K.u)      annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(Degradation.soluteFlow, K.y) annotation (Line(
          points={{-20,-84},{-20,-77},{-31.7,-77}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(hormoneFlowConstant.y, MassEffect2.yBase)
                                                        annotation (Line(
            points={{67.4,-18},{66,-18},{66,-28}},
            color={0,0,127},
            smooth=Smooth.None));

      connect(CorpusLuteum_OvariesSecretion.soluteFlow, MassEffect2.y)
        annotation (Line(
          points={{66,-40},{66,-32}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(Follicle_OvariesSecretion.q_out,estradiol. q_out) annotation (
            Line(
            points={{60,-88},{-4,-88},{-4,-44},{-72,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(MassEffect.yBase, hormoneFlowConstant1.y) annotation (Line(
            points={{66,-68},{66,-60},{69.4,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MassEffect.y, onlyIf.yBase)        annotation (Line(
            points={{66,-72},{66,-76}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(onlyIf.y, Follicle_OvariesSecretion.soluteFlow) annotation (Line(
          points={{66,-80},{66,-84}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(EFCV_Vol, estradiol.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IsFollicular, onlyIf.condition) annotation (Line(
            points={{26,-78},{56.2,-78}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(OvariesFollicleMass, MassEffect.u) annotation (Line(
            points={{26,-70},{56.2,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MassEffect2.u, CorpusLuteumMass) annotation (Line(
            points={{56.2,-30},{26,-30}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, Estradiol) annotation (Line(
          points={{-78,-18},{-78,2},{-60,2}},
          color={0,0,127},
          smooth=Smooth.None));
      end Estradiol;

      model FemaleSexHormones
        extends Physiolibrary.Icons.FemaleSex;
        OvarianCycle ovarianCycle
          annotation (Placement(transformation(extent={{14,-60},{34,-40}})));
        OvariesFollicle ovariesFollicle
          annotation (Placement(transformation(extent={{42,-52},{62,-32}})));
        CorpusLuteum corpusLuteum
          annotation (Placement(transformation(extent={{72,-52},{92,-32}})));
        FSH fSH annotation (Placement(transformation(extent={{-18,-16},{2,4}})));
        Progesterone progesterone
          annotation (Placement(transformation(extent={{-18,-56},{2,-36}})));
        LH lH annotation (Placement(transformation(extent={{-18,10},{2,30}})));
        hCG hCG_
          annotation (Placement(transformation(extent={{42,-28},{62,-8}})));
        Estradiol estradiol
          annotation (Placement(transformation(extent={{-66,20},{-46,40}})));
        GnRH gnRH
          annotation (Placement(transformation(extent={{-66,-4},{-46,16}})));
        Testosterone testosterone
          annotation (Placement(transformation(extent={{-66,-36},{-46,-16}})));
        Inhibin inhibin
          annotation (Placement(transformation(extent={{-66,-60},{-46,-40}})));
        Modelica.Blocks.Interfaces.BooleanInput
                                              Cycling
                                 annotation (Placement(transformation(extent={{-4,-4},
                  {4,4}},
              origin={0,-80}),        iconTransformation(extent={{-120,20},{-80,
                  60}})));
        Modelica.Blocks.Interfaces.RealInput EFCV_Vol(
                                               quantity="Volume", final displayUnit=
              "ml") "extracellular fluid volume"
                               annotation (Placement(transformation(extent={{-100,44},
                  {-92,52}}),         iconTransformation(extent={{-120,60},{-80,
                  100}})));

        DayCounter dayCounter
          annotation (Placement(transformation(extent={{50,16},{70,36}})));
      equation
          connect(ovarianCycle.IsFollicular, ovariesFollicle.IsFollicular)
          annotation (Line(
            points={{34,-42},{42,-42}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(ovarianCycle.IsOvulatory, ovariesFollicle.IsOvulatory)
          annotation (Line(
            points={{34,-46},{42,-46}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(ovarianCycle.IsLuteal, ovariesFollicle.IsLuteal) annotation (
            Line(
            points={{34,-50},{42,-50}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(progesterone.Progesterone, ovarianCycle.Progesterone)
          annotation (Line(
            points={{2,-48},{14,-48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fSH.FSH_Circulating, ovarianCycle.FSH_Circulating) annotation (
            Line(
            points={{2,-8},{10,-8},{10,-40},{14,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lH.LH_Circulating, ovarianCycle.LH_Circulating) annotation (
            Line(
            points={{2,18},{6,18},{6,-44},{14,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovariesFollicle.FollicleMass, ovarianCycle.FollicleMass)
          annotation (Line(
            points={{62,-44},{68,-44},{68,-66},{6,-66},{6,-56},{14,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(fSH.FSH_Circulating, ovariesFollicle.FSH_Circulating)
          annotation (Line(
            points={{2,-8},{10,-8},{10,-34},{42,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovariesFollicle.Atresia, corpusLuteum.OvariesFollicleAtresia)
          annotation (Line(
            points={{62,-38},{72,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(corpusLuteum.CorpusLuteumMass, ovarianCycle.CorpusLuteumMass)
          annotation (Line(
            points={{92,-44},{96,-44},{96,-70},{4,-70},{4,-52},{14,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hCG_.hCG, corpusLuteum.hCG) annotation (Line(
            points={{62,-20},{66,-20},{66,-34},{72,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(estradiol.Estradiol, fSH.Estradiol) annotation (Line(
            points={{-46,28},{-40,28},{-40,-14},{-17.8,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovarianCycle.IsFollicular, estradiol.IsFollicular) annotation (
            Line(
            points={{34,-42},{36,-42},{36,42},{-70,42},{-70,34},{-66,34}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(ovariesFollicle.FollicleMass, estradiol.OvariesFollicleMass)
          annotation (Line(
            points={{62,-44},{68,-44},{68,-66},{-78,-66},{-78,26},{-66,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gnRH.GnRH_period, fSH.GnRH_Period) annotation (Line(
            points={{-46,-2},{-17.8,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(testosterone.Testosterone, fSH.Testosterone) annotation (Line(
            points={{-46,-28},{-32,-28},{-32,-6},{-17.8,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inhibin.Inhibin, fSH.Inhibin) annotation (Line(
            points={{-46,-52},{-36,-52},{-36,-10},{-17.8,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(corpusLuteum.CorpusLuteumMass, progesterone.CorpusLuteumMass)
          annotation (Line(
            points={{92,-44},{96,-44},{96,-70},{-24,-70},{-24,-42},{-18,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lH.Estradiol, estradiol.Estradiol) annotation (Line(
            points={{-18,24},{-32,24},{-32,28},{-46,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lH.GnRH_Period, gnRH.GnRH_period) annotation (Line(
            points={{-18,20},{-28,20},{-28,-2},{-46,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(corpusLuteum.CorpusLuteumMass, inhibin.CorpusLuteumMass)
          annotation (Line(
            points={{92,-44},{96,-44},{96,-70},{-82,-70},{-82,-54},{-66,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovarianCycle.IsFollicular, inhibin.IsFollicular) annotation (
            Line(
            points={{34,-42},{36,-42},{36,42},{-86,42},{-86,-46},{-66,-46}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(estradiol.Estradiol, gnRH.Estradiol) annotation (Line(
            points={{-46,28},{-40,28},{-40,-14},{-74,-14},{-74,14},{-66,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(testosterone.Testosterone, gnRH.Testosterone) annotation (Line(
            points={{-46,-28},{-32,-28},{-32,-6},{-72,-6},{-72,2},{-66,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lH.Inhibin, inhibin.Inhibin) annotation (Line(
            points={{-18,12},{-36,12},{-36,-52},{-46,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lH.Testosterone, testosterone.Testosterone) annotation (Line(
            points={{-18,16},{-32,16},{-32,-28},{-46,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Cycling, ovarianCycle.Cycling) annotation (Line(
            points={{0,-80},{8,-80},{8,-60},{14,-60}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(EFCV_Vol, estradiol.EFCV_Vol) annotation (Line(
            points={{-96,48},{-90,48},{-90,38},{-66,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, testosterone.EFCV_Vol) annotation (Line(
            points={{-96,48},{-90,48},{-90,-18},{-66,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, inhibin.EFCV_Vol) annotation (Line(
            points={{-96,48},{-90,48},{-90,-42},{-66,-42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, lH.EFCV_Vol) annotation (Line(
            points={{-96,48},{-24,48},{-24,28},{-18.2,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, fSH.EFCV_Vol) annotation (Line(
            points={{-96,48},{-24,48},{-24,2},{-17.8,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, progesterone.EFCV_Vol) annotation (Line(
            points={{-96,48},{-24,48},{-24,-38},{-18,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, hCG_.EFCV_Vol) annotation (Line(
            points={{-96,48},{32,48},{32,-10},{42,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovariesFollicle.FollicleMass, inhibin.OvariesFollicleMass)
          annotation (Line(
            points={{62,-44},{68,-44},{68,-66},{-78,-66},{-78,-50},{-66,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(corpusLuteum.CorpusLuteumMass, estradiol.CorpusLuteumMass)
          annotation (Line(
            points={{92,-44},{96,-44},{96,-70},{-82,-70},{-82,30},{-66,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(estradiol.Estradiol, ovariesFollicle.Estradiol) annotation (
            Line(
            points={{-46,28},{-40,28},{-40,36},{28,36},{28,-38},{42,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ovarianCycle.IsFollicular, dayCounter.Reset) annotation (Line(
            points={{34,-42},{36,-42},{36,26},{50,26}},
            color={255,0,255},
            smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={                            Text(
                extent={{-100,-100},{102,-122}},
                lineColor={0,0,255},
                textString="%name")}));
      end FemaleSexHormones;

      model OvariesFollicle

        Modelica.Blocks.Interfaces.RealInput FSH_Circulating(
                                                      quantity="Concentration",
            final displayUnit="IU/l") annotation (Placement(transformation(extent={{-70,6},{-62,
                  14}}),              iconTransformation(extent={{-120,60},{-80,
                  100}})));
      Physiolibrary.Blocks.Factors.Spline FSHEffect(data={{0.0,0.8,0.0},{5.0,
            2.0,0.2},{15.0,3.0,0.0}})
        annotation (Placement(transformation(extent={{-50,0},{-30,20}})));
      Physiolibrary.Blocks.Factors.Spline EstradiolEffect(data={{0.0,1.0,0.0},{
            3.0,3.0,0.0}})
        annotation (Placement(transformation(extent={{-50,-6},{-30,14}})));
      Physiolibrary.Blocks.Factors.Spline MassEffect(data={{0.0,1.0,0.005},{
            4000.0,10.0,0.0}})
        annotation (Placement(transformation(extent={{-50,-12},{-30,8}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant BasicGrowth(k=
            0.02)
        annotation (Placement(transformation(extent={{-52,16},{-44,24}})));
        Physiolibrary.Factors.ZeroIfFalse OnlyIf
          annotation (Placement(transformation(extent={{-50,-18},{-30,2}})));
        Modelica.Blocks.Interfaces.RealInput Estradiol(
                                                quantity="Concentration",
            final displayUnit="nMol/l") annotation (Placement(transformation(extent={{-78,0},
                  {-70,8}}),          iconTransformation(extent={{-120,20},{-80,
                  60}})));
        Physiolibrary.Factors.ZeroIfFalse OnlyIf2
          annotation (Placement(transformation(extent={{30,-16},{50,4}})));
      Physiolibrary.Blocks.Factors.Spline MassEffect1(data={{0.0,0.0,0.0},{
            200.0,1.0,0.0}})
        annotation (Placement(transformation(extent={{30,-10},{50,10}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant1(k=0.5)
        annotation (Placement(transformation(extent={{28,4},{36,12}})));
        Modelica.Blocks.Math.Feedback Change
          annotation (Placement(transformation(extent={{30,-30},{50,-50}})));
        Modelica.Blocks.Interfaces.BooleanInput IsFollicular
          annotation (Placement(transformation(extent={{-78,-12},{-70,-4}}),
              iconTransformation(extent={{-120,-20},{-80,20}})));
        Modelica.Blocks.Interfaces.BooleanInput IsOvulatory
          annotation (Placement(transformation(extent={{-8,-8},{0,0}}),
              iconTransformation(extent={{-120,-60},{-80,-20}})));
        Modelica.Blocks.Interfaces.BooleanInput IsLuteal
          annotation (Placement(transformation(extent={{-8,-16},{0,-8}}),
              iconTransformation(extent={{-120,-100},{-80,-60}})));
        Modelica.Blocks.Logical.Or or1
          annotation (Placement(transformation(extent={{12,-10},{20,-2}})));
      Physiolibrary.Blocks.IntegratorWithRestart Mass(y_start=65, k=1/Physiomodel.Metabolism.deprecated.SecPerMin)
        annotation (Placement(transformation(extent={{60,-50},{80,-30}})));
        Modelica.Blocks.Logical.Edge edge1
          annotation (Placement(transformation(extent={{-4,-84},{16,-64}})));
        Modelica.Blocks.Interfaces.RealOutput Atresia
                                               annotation (Placement(transformation(
                extent={{44,-26},{54,-16}}), iconTransformation(extent={{80,20},{120,60}})));
        Modelica.Blocks.Interfaces.RealOutput FollicleMass(
                                                    quantity="Mass", final displayUnit="mg")
          annotation (Placement(transformation(extent={{86,-44},{94,-36}}),
              iconTransformation(extent={{80,-40},{120,0}})));
      equation
        connect(EstradiolEffect.y, MassEffect.yBase) annotation (Line(
            points={{-40,2},{-40,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FSHEffect.y, EstradiolEffect.yBase) annotation (Line(
            points={{-40,8},{-40,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BasicGrowth.y, FSHEffect.yBase) annotation (Line(
            points={{-43.6,20},{-40,20},{-40,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FSHEffect.u, FSH_Circulating) annotation (Line(
            points={{-49.8,10},{-66,10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MassEffect.y, OnlyIf.yBase)        annotation (Line(
            points={{-40,-4},{-40,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EstradiolEffect.u, Estradiol) annotation (Line(
            points={{-49.8,4},{-74,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MassEffect1.y, OnlyIf2.yBase)   annotation (Line(
            points={{40,-2},{40,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, MassEffect1.yBase) annotation (Line(
            points={{36.4,8},{40,8},{40,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Change.y, Mass.u) annotation (Line(
            points={{49,-40},{58,-40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Change.u1, OnlyIf.y)        annotation (Line(
            points={{32,-40},{-40,-40},{-40,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OnlyIf.condition, IsFollicular) annotation (Line(
            points={{-49.8,-8},{-74,-8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(or1.y, OnlyIf2.condition)   annotation (Line(
            points={{20.4,-6},{30.2,-6}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(IsOvulatory, or1.u1) annotation (Line(
            points={{-4,-4},{4,-4},{4,-6},{11.2,-6}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(IsLuteal, or1.u2) annotation (Line(
            points={{-4,-12},{4,-12},{4,-9.2},{11.2,-9.2}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(Mass.y, MassEffect1.u) annotation (Line(
            points={{81,-40},{86,-40},{86,36},{24,36},{24,0},{30.2,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Mass.y, MassEffect.u) annotation (Line(
            points={{81,-40},{86,-40},{86,36},{-92,36},{-92,-2},{-49.8,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OnlyIf2.y, Change.u2)   annotation (Line(
            points={{40,-8},{40,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IsFollicular, edge1.u) annotation (Line(
            points={{-74,-8},{-60,-8},{-60,-74},{-6,-74}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(edge1.y, Mass.restart) annotation (Line(
            points={{17,-74},{52,-74},{52,-48},{58,-48}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(OnlyIf2.y, Atresia) annotation (Line(
            points={{40,-8},{40,-21},{49,-21}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Mass.y, FollicleMass) annotation (Line(
            points={{81,-40},{90,-40}},
            color={0,0,127},
            smooth=Smooth.None));
      end OvariesFollicle;

      model OvarianCycle

        Modelica.StateGraph.InitialStepWithSignal FOLLICULAR(
                                                   nIn=3)
          annotation (Placement(transformation(extent={{-94,18},{-74,38}})));
        Modelica.StateGraph.TransitionWithSignal Follicle
          annotation (Placement(transformation(extent={{-68,38},{-48,18}})));
        Modelica.StateGraph.StepWithSignal OVULATORY(
                                           nOut=2)
          annotation (Placement(transformation(extent={{-42,18},{-22,38}})));
        Modelica.StateGraph.TransitionWithSignal Ovulation
          annotation (Placement(transformation(extent={{-10,38},{10,18}})));
        Modelica.StateGraph.StepWithSignal LUTEAL(
                                        nOut=2)
          annotation (Placement(transformation(extent={{16,18},{36,38}})));
        Modelica.StateGraph.StepWithSignal IDLE
          annotation (Placement(transformation(extent={{74,18},{94,38}})));
        Modelica.StateGraph.TransitionWithSignal CorpusLuteum
          annotation (Placement(transformation(extent={{48,38},{68,18}})));
        Modelica.StateGraph.TransitionWithSignal PrimaryFollicleFromIdle
          annotation (Placement(transformation(extent={{88,-20},{68,0}})));
        Modelica.StateGraph.TransitionWithSignal PrimaryFollicleFromLuteal
          annotation (Placement(transformation(extent={{38,-20},{18,0}})));
        Modelica.StateGraph.TransitionWithSignal PrimaryFollicleFromOvulation
          annotation (Placement(transformation(extent={{-20,-20},{-40,0}})));
        Modelica.Blocks.Interfaces.RealInput FSH_Circulating(
                                                      quantity="Concentration",
            final displayUnit="IU/l") annotation (Placement(transformation(extent={{24,-92},{
                  32,-84}}),          iconTransformation(extent={{-120,80},{-80,
                  120}})));
        Modelica.Blocks.Interfaces.RealInput LH_Circulating(
                                                     quantity="Concentration",
            final displayUnit="IU/l") annotation (Placement(transformation(extent={{-96,90},{
                  -88,98}}),          iconTransformation(extent={{-120,40},{-80,
                  80}})));
        Modelica.Blocks.Interfaces.BooleanInput
                                              Cycling
                                 annotation (Placement(transformation(extent={{-4,-4},
                  {4,4}},
              rotation=90,
              origin={82,-90}),       iconTransformation(extent={{-120,-120},{-80,-80}})));
        Modelica.Blocks.Logical.GreaterThreshold greaterThreshold(threshold=3)
          annotation (Placement(transformation(extent={{44,-92},{52,-84}})));
        Modelica.Blocks.Interfaces.RealInput FollicleMass(
                                                   quantity="Mass", final displayUnit="mg")
                                 annotation (Placement(transformation(extent={{-96,78},
                  {-88,86}}),         iconTransformation(extent={{-120,-80},{-80,-40}})));
        Modelica.Blocks.Interfaces.RealInput CorpusLuteumMass(
                                                       quantity="Mass", final displayUnit="mg")
                                 annotation (Placement(transformation(extent={{16,78},
                  {24,86}}),          iconTransformation(extent={{-120,-40},{-80,0}})));
        Modelica.Blocks.Math.Add mass
          annotation (Placement(transformation(extent={{22,-66},{30,-58}})));
        Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold(threshold=400)
          annotation (Placement(transformation(extent={{44,-66},{52,-58}})));
        Modelica.Blocks.Logical.And and1
          annotation (Placement(transformation(extent={{62,-80},{72,-70}})));
        Modelica.Blocks.Logical.And and2 annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=90,
              origin={78,-58})));
        Modelica.Blocks.Logical.GreaterThreshold greaterThreshold1(threshold=20)
          annotation (Placement(transformation(extent={{-74,90},{-66,98}})));
        Modelica.Blocks.Logical.GreaterThreshold greaterThreshold2(threshold=2800)
          annotation (Placement(transformation(extent={{-74,78},{-66,86}})));
        Modelica.Blocks.Logical.And and3 annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={-58,70})));
        Modelica.Blocks.Interfaces.RealInput Progesterone(
                                                   quantity="Concentration", final displayUnit=
                 "nMol/l")     annotation (Placement(transformation(extent={{-32,90},{
                  -24,98}}),          iconTransformation(extent={{-120,0},{-80,
                  40}})));
        Modelica.Blocks.Logical.GreaterEqualThreshold greaterEqualThreshold(threshold=
             8) annotation (Placement(transformation(extent={{-14,90},{-6,98}})));
        Modelica.Blocks.Logical.LessThreshold greaterThreshold3(threshold=100)
          annotation (Placement(transformation(
              extent={{4,-4},{-4,4}},
              rotation=180,
              origin={46,82})));
        Modelica.Blocks.Logical.And and4 annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={58,72})));
        Modelica.Blocks.Interfaces.BooleanOutput IsFollicular annotation (Placement(
              transformation(extent={{-78,4},{-72,10}}), iconTransformation(extent={{80,
                  60},{120,100}})));
        Modelica.Blocks.Interfaces.BooleanOutput IsOvulatory annotation (Placement(
              transformation(extent={{-24,8},{-18,14}}), iconTransformation(extent={{80,
                  20},{120,60}})));
        Modelica.Blocks.Interfaces.BooleanOutput IsLuteal annotation (Placement(
              transformation(extent={{32,10},{38,16}}), iconTransformation(extent={{80,
                  -20},{120,20}})));
        Modelica.Blocks.Interfaces.BooleanOutput IsIdle annotation (Placement(
              transformation(extent={{90,10},{96,16}}), iconTransformation(extent={{80,
                  -60},{120,-20}})));
      equation
        connect(FOLLICULAR.outPort[1], Follicle.inPort) annotation (Line(
            points={{-73.5,28},{-62,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(Follicle.outPort, OVULATORY.inPort[1]) annotation (Line(
            points={{-56.5,28},{-43,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(OVULATORY.outPort[1], Ovulation.inPort) annotation (Line(
            points={{-21.5,28.25},{-6.75,28.25},{-6.75,28},{-4,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(Ovulation.outPort, LUTEAL.inPort[1]) annotation (Line(
            points={{1.5,28},{15,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(LUTEAL.outPort[1], CorpusLuteum.inPort) annotation (Line(
            points={{36.5,28.25},{54,28.25},{54,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(CorpusLuteum.outPort, IDLE.inPort[1]) annotation (Line(
            points={{59.5,28},{73,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(IDLE.outPort[1], PrimaryFollicleFromIdle.inPort) annotation (
            Line(
            points={{94.5,28},{96,28},{96,-10},{82,-10}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(PrimaryFollicleFromLuteal.outPort, FOLLICULAR.inPort[1])
          annotation (Line(
            points={{26.5,-10},{10,-10},{10,-34},{-98,-34},{-98,28.6667},{-95,
                28.6667}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(PrimaryFollicleFromIdle.outPort, FOLLICULAR.inPort[2])
          annotation (Line(
            points={{76.5,-10},{62,-10},{62,-34},{-98,-34},{-98,28},{-95,28}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(OVULATORY.outPort[2], PrimaryFollicleFromOvulation.inPort)
          annotation (Line(
            points={{-21.5,27.75},{-12,27.75},{-12,-10},{-26,-10}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(LUTEAL.outPort[2], PrimaryFollicleFromLuteal.inPort)
          annotation (Line(
            points={{36.5,27.75},{46,27.75},{46,-10},{32,-10}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(PrimaryFollicleFromOvulation.outPort, FOLLICULAR.inPort[3])
          annotation (Line(
            points={{-31.5,-10},{-50,-10},{-50,-34},{-98,-34},{-98,28},{-94,28},
                {-94,27.3333},{-95,27.3333}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(FSH_Circulating, greaterThreshold.u) annotation (Line(
            points={{28,-88},{43.2,-88}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mass.y, lessEqualThreshold.u) annotation (Line(
            points={{30.4,-62},{43.2,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lessEqualThreshold.y, and1.u1) annotation (Line(
            points={{52.4,-62},{56,-62},{56,-75},{61,-75}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(greaterThreshold.y, and1.u2) annotation (Line(
            points={{52.4,-88},{56,-88},{56,-79},{61,-79}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(and2.y, PrimaryFollicleFromIdle.condition) annotation (Line(
            points={{78,-53.6},{78,-22}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(and2.y, PrimaryFollicleFromLuteal.condition) annotation (Line(
            points={{78,-53.6},{78,-30},{28,-30},{28,-22}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(and2.y, PrimaryFollicleFromOvulation.condition) annotation (Line(
            points={{78,-53.6},{78,-30},{-30,-30},{-30,-22}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(greaterThreshold1.u, LH_Circulating) annotation (Line(
            points={{-74.8,94},{-92,94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FollicleMass, greaterThreshold2.u) annotation (Line(
            points={{-92,82},{-74.8,82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(greaterThreshold1.y, and3.u1) annotation (Line(
            points={{-65.6,94},{-58,94},{-58,74.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(greaterThreshold2.y, and3.u2) annotation (Line(
            points={{-65.6,82},{-61.2,82},{-61.2,74.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(and1.y, and2.u1) annotation (Line(
            points={{72.5,-75},{78,-75},{78,-62.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(Cycling, and2.u2) annotation (Line(
            points={{82,-90},{82,-62.8},{81.2,-62.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(and3.y, Follicle.condition) annotation (Line(
            points={{-58,65.6},{-58,40}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(Progesterone, greaterEqualThreshold.u) annotation (Line(
            points={{-28,94},{-14.8,94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(greaterEqualThreshold.y, Ovulation.condition) annotation (Line(
            points={{-5.6,94},{0,94},{0,40}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(greaterThreshold3.u, CorpusLuteumMass) annotation (Line(
            points={{41.2,82},{20,82}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CorpusLuteumMass, mass.u2) annotation (Line(
            points={{20,82},{38,82},{38,92},{100,92},{100,-98},{10,-98},{10,-64.4},{21.2,
                -64.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FollicleMass, mass.u1) annotation (Line(
            points={{-92,82},{-84,82},{-84,70},{-100,70},{-100,-59.6},{21.2,-59.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(greaterThreshold3.y, and4.u2) annotation (Line(
            points={{50.4,82},{54,82},{54,76.8},{54.8,76.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(CorpusLuteum.condition, and4.y) annotation (Line(
            points={{58,40},{58,67.6}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(Cycling, and4.u1) annotation (Line(
            points={{82,-90},{82,-72},{98,-72},{98,82},{58,82},{58,76.8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(IsFollicular, FOLLICULAR.active) annotation (Line(
            points={{-75,7},{-84,7},{-84,17}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(OVULATORY.active, IsOvulatory) annotation (Line(
            points={{-32,17},{-32,11},{-21,11}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(LUTEAL.active, IsLuteal) annotation (Line(
            points={{26,17},{26,13},{35,13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(IDLE.active, IsIdle) annotation (Line(
            points={{84,17},{84,13},{93,13}},
            color={255,0,255},
            smooth=Smooth.None));
      end OvarianCycle;

      model CorpusLuteum

        Modelica.Blocks.Interfaces.RealInput hCG(
                                          quantity="Concentration", final displayUnit="IU/l")
                               annotation (Placement(transformation(extent={{-42,34},{
                  -34,42}}),          iconTransformation(extent={{-120,60},{-80,100}})));
        Modelica.Blocks.Interfaces.RealInput OvariesFollicleAtresia(
                                                             quantity="MassChange",
            final displayUnit="mg/min")
                               annotation (Placement(transformation(extent={{-46,2},{-38,
                  10}}),              iconTransformation(extent={{-120,20},{-80,60}})));
      Physiolibrary.Blocks.Factors.Normalization massEffect
        annotation (Placement(transformation(extent={{-26,22},{-6,42}})));
      Physiolibrary.Blocks.Factors.Spline hCGEffect(data={{0.0,1.0,0.0},{100.0,
            -0.5,0.0}})
        annotation (Placement(transformation(extent={{-26,28},{-6,48}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant1(k=
            0.0001)
        annotation (Placement(transformation(extent={{-28,42},{-20,50}})));
        Modelica.Blocks.Math.Feedback Change
          annotation (Placement(transformation(extent={{-26,16},{-6,-4}})));
      Modelica.Blocks.Continuous.Integrator Mass(k=1/Physiomodel.Metabolism.deprecated.SecPerMin,
          final y_start=0)
        annotation (Placement(transformation(extent={{8,-4},{28,16}})));
        Modelica.Blocks.Interfaces.RealOutput CorpusLuteumMass(
                                                        quantity="Mass", final displayUnit="mg")
          annotation (Placement(transformation(extent={{48,2},{56,10}}),
              iconTransformation(extent={{80,-40},{120,0}})));
      equation
        connect(hCGEffect.y, massEffect.yBase)  annotation (Line(
            points={{-16,36},{-16,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, hCGEffect.yBase)   annotation (Line(
            points={{-19.6,46},{-16,46},{-16,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Change.y, Mass.u) annotation (Line(
            points={{-7,6},{6,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(massEffect.y, Change.u2)
                                        annotation (Line(
            points={{-16,30},{-16,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OvariesFollicleAtresia, Change.u1) annotation (Line(
            points={{-42,6},{-24,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hCG, hCGEffect.u) annotation (Line(
            points={{-38,38},{-25.8,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Mass.y, massEffect.u) annotation (Line(
            points={{29,6},{36,6},{36,60},{-46,60},{-46,32},{-25.8,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Mass.y, CorpusLuteumMass) annotation (Line(
            points={{29,6},{52,6}},
            color={0,0,127},
            smooth=Smooth.None));
      end CorpusLuteum;

      model Progesterone

        Physiolibrary.Molar.ConcentrationCompartment_knownConc
          progesterone(q_out(conc(final displayUnit="nMol/ml"), q(final displayUnit=
                  "nMol/min")), concentration=0.0001,
          stateName="Progesterone.Mass")
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump OvariesSecretion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant(k=
            3.3333333333334e-010)
        annotation (Placement(transformation(extent={{80,-24},{68,-12}})));
      Physiolibrary.Blocks.Factors.Spline MassEffect2(data={{0.0,0.0,0.0},{
            4000.0,10.0,0.0}})
        annotation (Placement(transformation(extent={{56,-40},{76,-20}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure(
        concentration(final displayUnit="nMol/l"),
        toAnotherUnitCoef=1000,
        unitsString="nMol/l") annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-76,-22})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Degradation(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=0.16)
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              origin={-35,-77})));
        Modelica.Blocks.Interfaces.RealInput EFCV_Vol(
                                               quantity="Volume", final displayUnit=
              "ml") "extracellular fluid volume"
                               annotation (Placement(transformation(extent={{-100,
                  -40},{-92,-32}}),   iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Modelica.Blocks.Interfaces.RealInput CorpusLuteumMass(
                                                       quantity="Mass", final displayUnit=
                 "mg")           annotation (Placement(transformation(extent={{34,-34},
                  {42,-26}}),         iconTransformation(extent={{-120,20},{-80,
                  60}})));
        Modelica.Blocks.Interfaces.RealOutput Progesterone(
                                                    quantity="Concentration",
            final displayUnit="nMol/l") annotation (Placement(transformation(extent={{
                  -60,-10},{-52,-2}}), iconTransformation(extent={{80,-40},{120,
                  0}})));
      equation
        connect(progesterone.q_out, OvariesSecretion.q_out)
                                                   annotation (Line(
            points={{-72,-44},{60,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, progesterone.q_out)
                                                              annotation (Line(
            points={{-76,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(progesterone.q_out, Degradation.q_in)
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(progesterone.soluteMass, K.u)   annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(Degradation.soluteFlow, K.y) annotation (Line(
          points={{-20,-84},{-20,-77},{-31.7,-77}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(hormoneFlowConstant.y, MassEffect2.yBase)
                                                        annotation (Line(
            points={{67.4,-18},{66,-18},{66,-28}},
            color={0,0,127},
            smooth=Smooth.None));

      connect(OvariesSecretion.soluteFlow, MassEffect2.y) annotation (Line(
          points={{66,-40},{66,-32}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(EFCV_Vol, progesterone.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CorpusLuteumMass, MassEffect2.u) annotation (Line(
            points={{38,-30},{56.2,-30}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, Progesterone) annotation (
          Line(
          points={{-76,-18},{-76,-6},{-56,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      end Progesterone;

      model LH
                                             //Library.Interfaces.Tissues.Hypothalamus;

      Physiolibrary.Chemical.Components.Substance LH_Circulating_Mass(
        q_out(conc(final displayUnit="IU/ml"), q(final displayUnit="IU/min")),
        stateName="LH-Circulating.Mass",
        useNormalizedVolume=false)
        annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure(
        concentration(final displayUnit="IU/l"),
        toAnotherUnitCoef=1,
        unitsString="IU/l") annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-78,-22})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Degradation(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=0.005)
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              origin={-35,-77})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump AnteriorPituitary(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
      Physiolibrary.Blocks.Factors.Spline InhibinEffect(data={{0.0,1.0,0.0},{
            7000.0,0.4,0.0}})
        annotation (Placement(transformation(extent={{56,-36},{76,-16}})));
      Physiolibrary.Types.Constants.MassFlowRateConst hormoneFlowConstant1(k=(
            0.6)/60*MassPerIU)
        annotation (Placement(transformation(extent={{82,0},{70,12}})));
      Physiolibrary.Blocks.Factors.Spline EstradiolEffect(data={{0.0,1.0,0.0},{
            0.4,0.5,0.0},{1.5,0.5,0.0},{2.0,20.0,0.0}})
        annotation (Placement(transformation(extent={{56,-26},{76,-6}})));
      Physiolibrary.Blocks.Factors.Spline GnRHEffect(data={{0.0,2.0,0.0},{80.0,
            1.0,-0.01},{200.0,0.2,0.0}})
        annotation (Placement(transformation(extent={{56,-16},{76,4}})));
      Physiolibrary.Blocks.Factors.Spline TestosteroneEffect(data={{0.0,0.999,
            0.0},{50.0,0.2,0.0}})
        annotation (Placement(transformation(extent={{56,-44},{76,-24}})));
        Modelica.Blocks.Interfaces.RealInput Estradiol(
                                                quantity="Concentration", final displayUnit="nMol/l")
                               annotation (Placement(transformation(extent={{38,-20},{
                  46,-12}}),          iconTransformation(extent={{-120,20},{-80,
                  60}})));
        Modelica.Blocks.Interfaces.RealInput Inhibin(
                                              quantity="Concentration", final displayUnit="IU/l")
                               annotation (Placement(transformation(extent={{38,-30},{
                  46,-22}}),          iconTransformation(extent={{-120,-100},{-80,-60}})));
        Modelica.Blocks.Interfaces.RealInput Testosterone(
                                                   quantity="Concentration", final displayUnit=
                 "nMol/l")     annotation (Placement(transformation(extent={{38,-38},{
                  46,-30}}),          iconTransformation(extent={{-120,-60},{-80,-20}})));
        Modelica.Blocks.Interfaces.RealInput GnRH_Period(
                                                  quantity="Time", final displayUnit="min")
                               annotation (Placement(transformation(extent={{38,-10},{
                  46,-2}}),           iconTransformation(extent={{-120,-20},{-80,20}})));
        Modelica.Blocks.Interfaces.RealInput EFCV_Vol(
                                               quantity="Volume", final displayUnit="ml")
        "extracellular fluid volume"
                               annotation (Placement(transformation(extent={{-100,-40},
                  {-92,-32}}),        iconTransformation(extent={{-122,60},{-82,
                  100}})));
        Modelica.Blocks.Interfaces.RealOutput LH_Circulating(
                                                      quantity="Concentration",
            final displayUnit="IU/l") annotation (Placement(transformation(extent={{-64,-8},{
                  -56,0}}), iconTransformation(extent={{80,-40},{120,0}})));
        Modelica.Blocks.Math.Gain gain(k=0.001) "ml to l"
          annotation (Placement(transformation(extent={{-90,-38},{-84,-32}})));
      equation
        connect(concentrationMeasure.q_in, LH_Circulating_Mass.q_out)
                                                              annotation (Line(
            points={{-78,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(LH_Circulating_Mass.q_out, Degradation.q_in)
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(LH_Circulating_Mass.solute, K.u) annotation (Line(
          points={{-72,-51.8},{-72,-77},{-38.6,-77}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Degradation.soluteFlow, K.y) annotation (Line(
          points={{-20,-84},{-20,-77},{-31.7,-77}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(AnteriorPituitary.q_out, LH_Circulating_Mass.q_out)
                                                                  annotation (
            Line(
            points={{60,-44},{-72,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(TestosteroneEffect.y, AnteriorPituitary.soluteFlow) annotation (
          Line(
          points={{66,-36},{66,-40}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(InhibinEffect.y, TestosteroneEffect.yBase) annotation (Line(
            points={{66,-28},{66,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EstradiolEffect.y, InhibinEffect.yBase) annotation (Line(
            points={{66,-18},{66,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GnRHEffect.y, EstradiolEffect.yBase) annotation (Line(
            points={{66,-8},{66,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant1.y, GnRHEffect.yBase) annotation (Line(
            points={{69.4,6},{66,6},{66,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EstradiolEffect.u, Estradiol) annotation (Line(
            points={{56.2,-16},{42,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InhibinEffect.u, Inhibin) annotation (Line(
            points={{56.2,-26},{42,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TestosteroneEffect.u, Testosterone) annotation (Line(
            points={{56.2,-34},{42,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GnRHEffect.u, GnRH_Period) annotation (Line(
            points={{56.2,-6},{42,-6}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, LH_Circulating) annotation (
          Line(
          points={{-78,-18},{-78,-4},{-60,-4}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(EFCV_Vol, gain.u) annotation (Line(
            points={{-96,-36},{-92,-36},{-92,-35},{-90.6,-35}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(gain.y, LH_Circulating_Mass.solutionVolume) annotation (Line(
          points={{-83.7,-35},{-83.7,-35.5},{-80,-35.5},{-80,-38}},
          color={0,0,127},
          smooth=Smooth.None));
      end LH;

      model FSH

      Physiolibrary.Chemical.Components.Substance FSH_Circulating_(
        q_out(conc(final displayUnit="IU/ml"), q(final displayUnit="IU/min")),
        stateName="FSH-Circulating.Mass",
        useNormalizedVolume=false)
        annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure(
        concentration(final displayUnit="IU/l"),
        toAnotherUnitCoef=1,
        unitsString="IU/l") annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-76,-22})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Degradation(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=0.0009)
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              origin={-35,-77})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump AnteriorPituitary(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
      Physiolibrary.Blocks.Factors.Spline InhibinEffect(data={{0.0,1.0,0.0},{
            7000.0,0.4,0.0}})
        annotation (Placement(transformation(extent={{56,-36},{76,-16}})));
      Physiolibrary.Types.Constants.MassFlowRateConst hormoneFlowConstant1(k=(
            0.05)/60*MassPerIU)
        annotation (Placement(transformation(extent={{82,0},{70,12}})));
      Physiolibrary.Blocks.Factors.Spline GnRHEffect(data={{0.0,2.0,0.0},{80.0,
            1.0,-0.01},{200.0,0.2,0.0}})
        annotation (Placement(transformation(extent={{56,-16},{76,4}})));
      Physiolibrary.Blocks.Factors.Spline TestosteroneEffect(data={{0.0,0.999,
            0.0},{50.0,0.2,0.0}})
        annotation (Placement(transformation(extent={{56,-44},{76,-24}})));
        Modelica.Blocks.Interfaces.RealInput Estradiol(
                                                quantity="Concentration", final displayUnit="nMol/l")
                               annotation (Placement(transformation(extent={{38,-20},{
                  46,-12}}),          iconTransformation(extent={{-118,-100},{
                  -78,-60}})));
        Modelica.Blocks.Interfaces.RealInput Inhibin(
                                              quantity="Concentration", final displayUnit="IU/l")
                               annotation (Placement(transformation(extent={{38,-30},{
                  46,-22}}),          iconTransformation(extent={{-118,-60},{
                  -78,-20}})));
        Modelica.Blocks.Interfaces.RealInput Testosterone(
                                                   quantity="Concentration", final displayUnit=
                 "nMol/l")     annotation (Placement(transformation(extent={{38,-38},{
                  46,-30}}),          iconTransformation(extent={{-118,-20},{
                  -78,20}})));
        Modelica.Blocks.Interfaces.RealInput GnRH_Period(
                                                  quantity="Time", final displayUnit="min")
                               annotation (Placement(transformation(extent={{38,-10},{
                  46,-2}}),           iconTransformation(extent={{-118,20},{-78,
                  60}})));
        Modelica.Blocks.Interfaces.RealInput EFCV_Vol(
                                               quantity="Volume", final displayUnit="ml")
        "extracellular fluid volume"
                               annotation (Placement(transformation(extent={{-100,-40},
                  {-92,-32}}),        iconTransformation(extent={{-118,60},{-78,
                  100}})));
        Modelica.Blocks.Interfaces.RealOutput FSH_Circulating(
                                                       quantity="Concentration",
            final displayUnit="IU/l") annotation (Placement(transformation(extent={{-62,-6},{
                  -54,2}}), iconTransformation(extent={{80,-40},{120,0}})));
      Physiomodel.Metabolism.deprecated.Input2EffectDelayed EstradiolEffectDelayed(Tau=
           10, data={{0.0,1.0,0.0},{0.4,0.6,0.0},{1.5,0.6,0.0},{2.0,5.0,0.0}})
        annotation (Placement(transformation(extent={{56,-26},{76,-6}})));
        Modelica.Blocks.Math.Gain gain(k=0.001) "ml to l"
          annotation (Placement(transformation(extent={{-90,-38},{-84,-32}})));
      equation
        connect(concentrationMeasure.q_in, FSH_Circulating_.q_out)
                                                              annotation (Line(
            points={{-76,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(FSH_Circulating_.q_out, Degradation.q_in)
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(FSH_Circulating_.solute, K.u) annotation (Line(
          points={{-72,-51.8},{-72,-77},{-38.6,-77}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Degradation.soluteFlow, K.y) annotation (Line(
          points={{-20,-84},{-20,-77},{-31.7,-77}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(AnteriorPituitary.q_out, FSH_Circulating_.q_out)  annotation (
            Line(
            points={{60,-44},{-72,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(TestosteroneEffect.y, AnteriorPituitary.soluteFlow) annotation (
          Line(
          points={{66,-36},{66,-40}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(InhibinEffect.y, TestosteroneEffect.yBase) annotation (Line(
            points={{66,-28},{66,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant1.y, GnRHEffect.yBase) annotation (Line(
            points={{69.4,6},{66,6},{66,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(InhibinEffect.u, Inhibin) annotation (Line(
            points={{56.2,-26},{42,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TestosteroneEffect.u, Testosterone) annotation (Line(
            points={{56.2,-34},{42,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GnRHEffect.u, GnRH_Period) annotation (Line(
            points={{56.2,-6},{42,-6}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, FSH_Circulating) annotation (
          Line(
          points={{-76,-18},{-76,-2},{-58,-2}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(GnRHEffect.y, EstradiolEffectDelayed.yBase) annotation (Line(
            points={{66,-8},{66,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EstradiolEffectDelayed.y, InhibinEffect.yBase) annotation (Line(
            points={{66,-18},{66,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Estradiol, EstradiolEffectDelayed.u) annotation (Line(
            points={{42,-16},{50,-16},{50,-16},{56.2,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EFCV_Vol, gain.u) annotation (Line(
            points={{-96,-36},{-92,-36},{-92,-35},{-90.6,-35}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(gain.y, FSH_Circulating_.solutionVolume) annotation (Line(
          points={{-83.7,-35},{-83.7,-35.5},{-80,-35.5},{-80,-38}},
          color={0,0,127},
          smooth=Smooth.None));
      end FSH;

      model GnRH

      Physiolibrary.Types.Constants.TimeConst hormoneFlowConstant1(k=4800)
        annotation (Placement(transformation(extent={{30,40},{18,52}})));
      Physiolibrary.Blocks.Factors.Spline EstradiolEffect(data={{0.0,1.0,0.0},{
            1.0,1.5,0.0},{2.0,0.5,0.0}})
        annotation (Placement(transformation(extent={{4,14},{24,34}})));
      Physiolibrary.Blocks.Factors.Spline TestosteroneEffect(data={{5.0,1.0,0.0},
            {20.0,2.0,0.0}})
        annotation (Placement(transformation(extent={{4,-4},{24,16}})));
        Modelica.Blocks.Interfaces.RealInput Estradiol(
                                                quantity="Concentration", final displayUnit="nMol/l")
                               annotation (Placement(transformation(extent={{-14,20},{
                  -6,28}}),           iconTransformation(extent={{-120,60},{-80,100}})));
        Modelica.Blocks.Interfaces.RealInput Testosterone(
                                                   quantity="Concentration", final displayUnit=
                 "nMol/l")     annotation (Placement(transformation(extent={{-14,2},{-6,
                  10}}),              iconTransformation(extent={{-120,-60},{-80,-20}})));
        Modelica.Blocks.Interfaces.RealOutput GnRH_period(
                                                   quantity="Time", final displayUnit="min")
          annotation (Placement(transformation(extent={{24,-24},{32,-16}}),
              iconTransformation(extent={{80,-100},{120,-60}})));
      equation

        connect(EstradiolEffect.u, Estradiol) annotation (Line(
            points={{4.2,24},{-10,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TestosteroneEffect.u, Testosterone) annotation (Line(
            points={{4.2,6},{-10,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TestosteroneEffect.y, GnRH_period) annotation (Line(
            points={{14,4},{14,-20},{28,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant1.y, EstradiolEffect.yBase) annotation (Line(
            points={{17.4,46},{14,46},{14,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(EstradiolEffect.y, TestosteroneEffect.yBase) annotation (Line(
            points={{14,22},{14,8}},
            color={0,0,127},
            smooth=Smooth.None));
      end GnRH;

      model Inhibin

        Physiolibrary.Molar.ConcentrationCompartment_knownConc
          inhibin(
            q_out(conc(final displayUnit="IU/ml"), q(final displayUnit="IU/min")),
            concentration=0.027,
          stateName="Inhibin.Mass")
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump A(useSoluteFlowInput=
            true)
        annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
      Physiolibrary.Types.Constants.MassFlowRateConst hormoneFlowConstant(k=(
            0.28)/60*MassPerIU)
        annotation (Placement(transformation(extent={{80,-24},{68,-12}})));
      Physiolibrary.Blocks.Factors.Normalization MassEffect2
        annotation (Placement(transformation(extent={{56,-40},{76,-20}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure(
        concentration(final displayUnit="IU/l"),
        toAnotherUnitCoef=1000,
        unitsString="IU/l") annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-76,-22})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Degradation(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=0.008)
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              origin={-35,-77})));
        Modelica.Blocks.Interfaces.RealInput EFCV_Vol(
                                               quantity="Volume", final displayUnit=
              "ml") "extracellular fluid volume"
                               annotation (Placement(transformation(extent={{-100,
                  -40},{-92,-32}}),   iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Modelica.Blocks.Interfaces.RealInput CorpusLuteumMass(
                                                       quantity="Mass", final displayUnit=
                 "mg")           annotation (Placement(transformation(extent={{34,-34},
                  {42,-26}}),         iconTransformation(extent={{-120,-60},{
                  -80,-20}})));
        Modelica.Blocks.Interfaces.RealOutput Inhibin(
                                               quantity="Concentration", final displayUnit=
                 "IU/l") annotation (Placement(transformation(extent={{-60,-10},
                  {-52,-2}}), iconTransformation(extent={{80,-40},{120,0}})));
      Physiolibrary.Blocks.Factors.Normalization MassEffect1
        annotation (Placement(transformation(extent={{56,-86},{76,-66}})));
      Physiolibrary.Types.Constants.MassFlowRateConst hormoneFlowConstant1(k=(
            0.28)/60*MassPerIU)
        annotation (Placement(transformation(extent={{82,-72},{70,-60}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump B(useSoluteFlowInput=
            true)
        annotation (Placement(transformation(extent={{76,-104},{56,-84}})));
        Modelica.Blocks.Interfaces.RealInput OvariesFollicleMass(
                                                          quantity="Mass",
            final displayUnit="mg")     annotation (Placement(transformation(extent={{34,-80},
                  {42,-72}}),         iconTransformation(extent={{-120,-20},{
                  -80,20}})));
        Physiolibrary.Factors.ZeroIfFalse zeroIfFalse
          annotation (Placement(transformation(extent={{56,-94},{76,-74}})));
        Modelica.Blocks.Interfaces.BooleanInput IsFollicular
          annotation (Placement(transformation(extent={{34,-88},{42,-80}}),
              iconTransformation(extent={{-120,20},{-80,60}})));
      equation
        connect(inhibin.q_out, A.q_out)            annotation (Line(
            points={{-72,-44},{60,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, inhibin.q_out)     annotation (Line(
            points={{-76,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(inhibin.q_out, Degradation.q_in) annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(inhibin.soluteMass, K.u)        annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(Degradation.soluteFlow, K.y) annotation (Line(
          points={{-20,-84},{-20,-77},{-31.7,-77}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(hormoneFlowConstant.y, MassEffect2.yBase)
                                                        annotation (Line(
            points={{67.4,-18},{66,-18},{66,-28}},
            color={0,0,127},
            smooth=Smooth.None));

      connect(A.soluteFlow, MassEffect2.y) annotation (Line(
          points={{66,-40},{66,-32}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(EFCV_Vol, inhibin.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CorpusLuteumMass, MassEffect2.u) annotation (Line(
            points={{38,-30},{56.2,-30}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, Inhibin) annotation (Line(
          points={{-76,-18},{-76,-6},{-56,-6}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(hormoneFlowConstant1.y, MassEffect1.yBase) annotation (Line(
            points={{69.4,-66},{66,-66},{66,-74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(OvariesFollicleMass, MassEffect1.u) annotation (Line(
            points={{38,-76},{56.2,-76}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(zeroIfFalse.condition, IsFollicular) annotation (Line(
            points={{56.2,-84},{38,-84}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(MassEffect1.y, zeroIfFalse.yBase) annotation (Line(
            points={{66,-78},{66,-82}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(zeroIfFalse.y, B.soluteFlow) annotation (Line(
          points={{66,-86},{66,-90}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(B.q_out, inhibin.q_out) annotation (Line(
            points={{60,-94},{22,-94},{22,-44},{-72,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      end Inhibin;

      model Testosterone

        Physiolibrary.Molar.ConcentrationCompartment_knownConc
          testosterone(q_out(conc(final displayUnit="nMol/ml"), q(final displayUnit=
                  "nMol/min")), concentration=0.0006,
          stateName="Testosterone.Mass")
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump OvariesSecretion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst hormoneFlowConstant(k=
            4.16666666666675e-012)
        annotation (Placement(transformation(extent={{84,-34},{72,-22}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure(
        concentration(final displayUnit="nMol/l"),
        toAnotherUnitCoef=1000,
        unitsString="nMol/l") annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-78,-22})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Degradation(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=0.043)
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              origin={-35,-77})));
        Modelica.Blocks.Interfaces.RealInput EFCV_Vol(
                                               quantity="Volume", final displayUnit=
              "ml") "extracellular fluid volume"
                               annotation (Placement(transformation(extent={{-100,
                  -40},{-92,-32}}),   iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Modelica.Blocks.Interfaces.RealOutput Testosterone(
                                                    quantity="Concentration",
            final displayUnit="nMol/l") annotation (Placement(transformation(extent={{
                  -60,-10},{-52,-2}}), iconTransformation(extent={{80,-40},{120,
                  0}})));
      equation
        connect(testosterone.q_out, OvariesSecretion.q_out)
                                                   annotation (Line(
            points={{-72,-44},{60,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, testosterone.q_out)
                                                              annotation (Line(
            points={{-78,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(testosterone.q_out, Degradation.q_in)
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(testosterone.soluteMass, K.u)   annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(Degradation.soluteFlow, K.y) annotation (Line(
          points={{-20,-84},{-20,-77},{-31.7,-77}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(EFCV_Vol, testosterone.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, Testosterone) annotation (
          Line(
          points={{-78,-18},{-78,-6},{-56,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant.y, OvariesSecretion.soluteFlow) annotation (
          Line(
          points={{71.4,-28},{66,-28},{66,-40}},
          color={0,0,127},
          smooth=Smooth.None));
      end Testosterone;

      model hCG

        Physiolibrary.Molar.ConcentrationCompartment_knownConc
          hCG_Pool(
            q_out(conc(final displayUnit="IU/ml"), q(final displayUnit="IU/min")),
            concentration=0.001,
          stateName="hCG.Mass")
          annotation (Placement(transformation(extent={{-82,-54},{-62,-34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump OvariesSecretion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{76,-54},{56,-34}})));
      Physiolibrary.Types.Constants.MassFlowRateConst hormoneFlowConstant(k=(
            0.009)/60*MassPerIU)
        annotation (Placement(transformation(extent={{84,-34},{72,-22}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure(
        concentration(final displayUnit="IU/l"),
        toAnotherUnitCoef=1000,
        unitsString="IU/l") annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-76,-22})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Degradation(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-30,-98},{-10,-78}})));
        Modelica.Blocks.Math.Gain K(k=0.0009)
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              origin={-35,-77})));
        Modelica.Blocks.Interfaces.RealInput EFCV_Vol(
                                               quantity="Volume", final displayUnit=
              "ml") "extracellular fluid volume"
                               annotation (Placement(transformation(extent={{-100,
                  -40},{-92,-32}}),   iconTransformation(extent={{-120,60},{-80,
                  100}})));
        Modelica.Blocks.Interfaces.RealOutput hCG(
                                           quantity="Concentration", final displayUnit=
             "IU/l") annotation (Placement(transformation(extent={{-60,-10},{
                  -52,-2}}), iconTransformation(extent={{80,-40},{120,0}})));
      equation
        connect(hCG_Pool.q_out, OvariesSecretion.q_out)
                                                   annotation (Line(
            points={{-72,-44},{60,-44}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, hCG_Pool.q_out)    annotation (Line(
            points={{-76,-22},{-72,-22},{-72,-44}},
            color={200,0,0},
            smooth=Smooth.None));
        connect(hCG_Pool.q_out, Degradation.q_in)
                                                 annotation (Line(
            points={{-72,-44},{-54,-44},{-54,-88},{-26,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(hCG_Pool.soluteMass, K.u)       annotation (Line(
            points={{-72,-51.8},{-72,-77},{-38.6,-77}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(Degradation.soluteFlow, K.y) annotation (Line(
          points={{-20,-84},{-20,-77},{-31.7,-77}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(EFCV_Vol, hCG_Pool.SolventVolume) annotation (Line(
            points={{-96,-36},{-82,-36}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, hCG) annotation (Line(
          points={{-76,-18},{-76,-6},{-56,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hormoneFlowConstant.y, OvariesSecretion.soluteFlow) annotation (
          Line(
          points={{71.4,-28},{66,-28},{66,-40}},
          color={0,0,127},
          smooth=Smooth.None));
      end hCG;

      model DayCounter

        Modelica.Blocks.Interfaces.BooleanInput Reset
        "restart counter on rising edge"
          annotation (Placement(transformation(extent={{-68,-2},{-60,6}}),
              iconTransformation(extent={{-120,-20},{-80,20}})));

       discrete Real startTime(start=0);
        Modelica.Blocks.Interfaces.RealOutput dayInCycle
          annotation (Placement(transformation(extent={{100,-20},{140,20}}),
              iconTransformation(extent={{100,-20},{140,20}})));
      equation
       when edge(Reset) then
         startTime=time;
       end when;
       dayInCycle = floor((time-startTime)/(60*60*24));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,40},{100,-40}},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid,
                pattern=LinePattern.None), Text(
                extent={{-76,18},{98,-18}},
                lineColor={0,0,0},
                textString="day in cycle")}));
      end DayCounter;

      package test
        model T
          FemaleSexHormones femaleSexHormones
            annotation (Placement(transformation(extent={{-26,-12},{-6,8}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=1430)
          annotation (Placement(transformation(extent={{-72,20},{-64,28}})));
        Modelica.Blocks.Sources.BooleanConstant booleanConstant
          annotation (Placement(transformation(extent={{-80,-10},{-60,10}})));
        equation
          connect(booleanConstant.y, femaleSexHormones.Cycling) annotation (
              Line(
              points={{-59,0},{-42,0},{-42,2},{-26,2}},
              color={255,0,255},
              smooth=Smooth.None));
          connect(Constant.y, femaleSexHormones.EFCV_Vol) annotation (Line(
              points={{-63.6,24},{-44,24},{-44,6},{-26,6}},
              color={0,0,127},
              smooth=Smooth.None));
        end T;
      end test;
      annotation (Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
    end FemaleSexHormones;

    model Hormones
      extends Physiolibrary.Icons.Hormones;
      Aldosterone aldosterone
        annotation (Placement(transformation(extent={{20,72},{40,92}})));
      Angiotensine2 angiotensine2
        annotation (Placement(transformation(extent={{-44,68},{-24,88}})));
      Renin renin
        annotation (Placement(transformation(extent={{-80,72},{-60,92}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-98,20},{-78,40}}), iconTransformation(extent=
             {{-80,40},{-42,78}})));
      Catechols.Catechols catechols
        annotation (Placement(transformation(extent={{20,-14},{40,6}})));
    equation
      connect(busConnector, aldosterone.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,76},{22,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, angiotensine2.busConnector)   annotation (Line(
          points={{-88,30},{-48,30},{-48,72},{-42,72}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, renin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,76},{-78,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, catechols.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,-10},{22,-10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));

    connect(renin.Renin, angiotensine2.Renin)
      annotation (Line(
        points={{-60,82},{-42,82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(angiotensine2.Angiotensine2, aldosterone.AngiotensinII) annotation (Line(
        points={{-24,78},{8,78},{8,88},{22,88}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(angiotensine2.Angiotensine2, renin.Angiotensin2) annotation (Line(
        points={{-24,78},{-10,78},{-10,96},{-94,96},{-94,86},{-78,86}},
        color={0,0,127},
        smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={                  Text(
              extent={{-120,-98},{122,-132}},
              lineColor={0,0,255},
              textString="%name")}));
    end Hormones;

    model Hormones2
      extends Physiolibrary.Icons.Hormones;
      Aldosterone aldosterone
        annotation (Placement(transformation(extent={{20,72},{40,92}})));
      Angiotensine2 angiotensine2
        annotation (Placement(transformation(extent={{-28,72},{-8,92}})));
      ANP atriopeptin
        annotation (Placement(transformation(extent={{-78,-28},{-58,-8}})));
      EPO erythropoietin
              annotation (Placement(transformation(extent={{-78,0},{-58,20}})));
      Glucagon glucagon
        annotation (Placement(transformation(extent={{-28,-64},{-8,-44}})));
      Insulin insulin
        annotation (Placement(transformation(extent={{-78,-64},{-58,-44}})));
      Renin renin
        annotation (Placement(transformation(extent={{-80,72},{-60,92}})));
      Thyrotropin thyrotropin
        annotation (Placement(transformation(extent={{-78,-96},{-58,-76}})));
      Thyroxine thyroxine
        annotation (Placement(transformation(extent={{-28,-96},{-8,-76}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-98,20},{-78,40}}), iconTransformation(extent=
             {{-80,40},{-42,78}})));
      Catechols.Catechols catechols
        annotation (Placement(transformation(extent={{20,-14},{40,6}})));
      Leptin leptin
        annotation (Placement(transformation(extent={{22,-62},{42,-42}})));
    equation
      connect(busConnector, aldosterone.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,76},{22,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, angiotensine2.busConnector)   annotation (Line(
          points={{-88,30},{-34,30},{-34,76},{-26,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, renin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,76},{-78,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, erythropoietin.busConnector)
                                              annotation (Line(
          points={{-88,30},{-84,30},{-84,4},{-76,4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, glucagon.busConnector) annotation (Line(
          points={{-88,30},{-34,30},{-34,-60},{-26,-60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, thyroxine.busConnector) annotation (Line(
          points={{-88,30},{-34,30},{-34,-94},{-26,-94},{-26,-78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, atriopeptin.busConnector)
                                              annotation (Line(
          points={{-88,30},{-84,30},{-84,-24},{-76,-24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, insulin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,-60},{-76,-60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, thyrotropin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,-92},{-76,-92}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(renin.ReninPool_PRA, angiotensine2.ReninPool_PRA) annotation (
          Line(
          points={{-60,82},{-52,82},{-52,86},{-26,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(angiotensine2.A2Pool_Log10Conc, aldosterone.A2Pool_Log10Conc)
        annotation (Line(
          points={{-8,78},{2,78},{2,88},{22,88}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(insulin.Insulin, glucagon.Insulin) annotation (Line(
          points={{-58,-54},{-36,-54},{-36,-48},{-26,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector, catechols.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,-10},{22,-10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(thyrotropin.TSH, thyroxine.TSH) annotation (Line(
          points={{-58,-86},{-36,-86},{-36,-84},{-26,-84}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(thyroxine.Thyroxine, thyrotropin.Thyroxine) annotation (Line(
          points={{-8,-86},{0,-86},{0,-72},{-80,-72},{-80,-78},{-76,-78}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector, leptin.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,-58},{24,-58}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={                  Text(
              extent={{-120,-98},{122,-132}},
              lineColor={0,0,255},
              textString="%name")}));
    end Hormones2;

    model Hormones3
      extends Physiolibrary.Icons.Hormones;
      Aldosterone aldosterone
        annotation (Placement(transformation(extent={{20,72},{40,92}})));
      Angiotensine2 angiotensine2
        annotation (Placement(transformation(extent={{-28,72},{-8,92}})));
      ANP atriopeptin
        annotation (Placement(transformation(extent={{-78,-28},{-58,-8}})));
      EPO erythropoietin
              annotation (Placement(transformation(extent={{-78,0},{-58,20}})));
      Glucagon glucagon
        annotation (Placement(transformation(extent={{-28,-64},{-8,-44}})));
      Insulin insulin
        annotation (Placement(transformation(extent={{-78,-64},{-58,-44}})));
      Renin renin
        annotation (Placement(transformation(extent={{-80,72},{-60,92}})));
      Thyrotropin thyrotropin
        annotation (Placement(transformation(extent={{-78,-96},{-58,-76}})));
      Thyroxine thyroxine
        annotation (Placement(transformation(extent={{-28,-96},{-8,-76}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-98,20},{-78,40}}), iconTransformation(extent=
             {{-80,40},{-42,78}})));
      Physiomodel.Hormones.FemaleSexHormones.FemaleSexHormones femaleSexHormones
        annotation (Placement(transformation(extent={{42,26},{62,46}})));
      Catechols.Catechols catechols
        annotation (Placement(transformation(extent={{20,-14},{40,6}})));
    Modelica.Blocks.Sources.BooleanConstant Cycling
      annotation (Placement(transformation(extent={{20,24},{30,34}})));
      Leptin leptin
        annotation (Placement(transformation(extent={{22,-62},{42,-42}})));
    equation
      connect(busConnector, aldosterone.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,76},{22,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, angiotensine2.busConnector)   annotation (Line(
          points={{-88,30},{-34,30},{-34,76},{-26,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, renin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,76},{-78,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, erythropoietin.busConnector)
                                              annotation (Line(
          points={{-88,30},{-84,30},{-84,4},{-76,4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, glucagon.busConnector) annotation (Line(
          points={{-88,30},{-34,30},{-34,-60},{-26,-60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, thyroxine.busConnector) annotation (Line(
          points={{-88,30},{-34,30},{-34,-94},{-26,-94},{-26,-78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, atriopeptin.busConnector)
                                              annotation (Line(
          points={{-88,30},{-84,30},{-84,-24},{-76,-24}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, insulin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,-60},{-76,-60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, thyrotropin.busConnector) annotation (Line(
          points={{-88,30},{-84,30},{-84,-92},{-76,-92}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(renin.ReninPool_PRA, angiotensine2.ReninPool_PRA) annotation (
          Line(
          points={{-60,82},{-52,82},{-52,86},{-26,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(angiotensine2.A2Pool_Log10Conc, aldosterone.A2Pool_Log10Conc)
        annotation (Line(
          points={{-8,78},{2,78},{2,88},{22,88}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(insulin.Insulin, glucagon.Insulin) annotation (Line(
          points={{-58,-54},{-36,-54},{-36,-48},{-26,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector, catechols.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,-10},{22,-10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(thyrotropin.TSH, thyroxine.TSH) annotation (Line(
          points={{-58,-86},{-36,-86},{-36,-84},{-26,-84}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(thyroxine.Thyroxine, thyrotropin.Thyroxine) annotation (Line(
          points={{-8,-86},{0,-86},{0,-72},{-80,-72},{-80,-78},{-76,-78}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.ECFV_Vol, femaleSexHormones.EFCV_Vol) annotation (
          Line(
          points={{-88,30},{16,30},{16,44},{42,44}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Cycling.y, femaleSexHormones.Cycling) annotation (Line(
          points={{30.5,29},{36,29},{36,40},{42,40}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(busConnector, leptin.busConnector) annotation (Line(
          points={{-88,30},{16,30},{16,-58},{24,-58}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={                  Text(
              extent={{-120,-98},{122,-132}},
              lineColor={0,0,255},
              textString="%name")}));
    end Hormones3;

    package IO_Bus
       extends Physiolibrary.Types.IO_Bus;

      redeclare model extends Variables
        extends Physiolibrary.Icons.Hormones;

      T.Concentration A2Pool(varName="A2Pool.[A2(pMol/L)]", storeUnit="pmol/l")
        "Angiotensin 2 extracelular concentration."
      annotation (Placement(transformation(extent={{-40,-62},{-34,-56}})));
      T.Concentration AldoPool_Aldo(varName="AldoPool.[Aldo(pMol/L)]", storeUnit="pmol/l")
        "Body aldosterone concentration."
      annotation (Placement(transformation(extent={{-40,-2},{-34,4}})));
      T.Fraction AlphaBlocade_Effect(varName="AlphaBlockade.Effect")
        "Effect of alpha blocators."
      annotation (Placement(transformation(extent={{-40,8},{-34,14}})));
      T.Fraction AlphaPool_Effect(varName="AlphaPool.Effect")
        "Humoral and neural effect on alpha receptor stimulation."
      annotation (Placement(transformation(extent={{-40,18},{-34,24}})));
      T.Fraction BetaBlocade_Effect(varName="BetaBlockade.Effect")
        "Effect of beta blocators."
      annotation (Placement(transformation(extent={{-40,28},{-34,34}})));
      T.Fraction BetaPool_Effect(varName="BetaPool.Effect")
        "Humoral and neural effect on beta receptor stimulation."
      annotation (Placement(transformation(extent={{-40,38},{-34,44}})));
      //Variable NephronADH_conc(varName="NephronADH.[ADH]")
      //    "Nephron vasopresine concentration. [ng/l]"
      //annotation (Placement(transformation(extent={{-36,170},{-30,176}})));

      T.Concentration Epinephrine(varName="EpiPool.[Epi(nMol/L)]", storeUnit=
            "nmol/l") "Epinephrine extracelular concentration."
        annotation (Placement(transformation(extent={{-40,-28},{-34,-22}})));
      T.Concentration Norepinephrine(storeUnit="nmol/l", varName=
            "NEPool.[NE(nMol/L)]") "Norepinephrine extracelular concentration."
        annotation (Placement(transformation(extent={{-40,-36},{-34,-30}})));
      equation
      connect(AlphaBlocade_Effect.y, busConnector.AlphaBlocade_Effect) annotation (Line(
       points={{-33.7,11},{90,11},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AlphaPool_Effect.y, busConnector.AlphaPool_Effect) annotation (Line(
       points={{-33.7,21},{90,21},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BetaBlocade_Effect.y, busConnector.BetaBlocade_Effect) annotation (Line(
       points={{-33.7,31},{90,31},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BetaPool_Effect.y, busConnector.BetaPool_Effect) annotation (Line(
       points={{-33.7,41},{90,41},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(A2Pool.y, busConnector.Angiotensin2) annotation (Line(
            points={{-33.7,-59},{90,-59},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AldoPool_Aldo.y, busConnector.Aldosterone) annotation (Line(
          points={{-33.7,1},{90,1},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Epinephrine.y, busConnector.Epinephrine) annotation (Line(
          points={{-33.7,-25},{90,-25},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Norepinephrine.y, busConnector.Norepinephrine) annotation (Line(
          points={{-33.7,-33},{90,-33},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{18,138},{100,100}},
                lineColor={0,0,0},
                textString="vars"), Text(
                extent={{-118,-104},{124,-138}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model Hormones_test
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile
                                                nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.Hormones  hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Hormones.IO_Bus.OutputComparison hormones_dif
          annotation (Placement(transformation(extent={{64,10},{84,30}})));
        Physiomodel.Hormones.IO_Bus.OutputToFile hormones_varsToFile
          annotation (Placement(transformation(extent={{10,8},{30,28}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,21.9},{43.9,21.9}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(hormones.busConnector, hormones_varsToFile.busConnector)
          annotation (Line(
            points={{43.9,21.9},{30.95,21.9},{30.95,18},{20,18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(hormones.busConnector, hormones_dif.busConnector) annotation (
            Line(
            points={{43.9,21.9},{58.95,21.9},{58.95,20},{74,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Hormones_test;

      model Hormones_test_SI
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI
                                                nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.Hormones  hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Hormones.IO_Bus.OutputComparison_SI hormones_dif
          annotation (Placement(transformation(extent={{64,10},{84,30}})));
        Physiomodel.Hormones.IO_Bus.OutputToFile_SI hormones_varsToFile
          annotation (Placement(transformation(extent={{10,8},{30,28}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,21.9},{43.9,21.9}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(hormones.busConnector, hormones_varsToFile.busConnector)
          annotation (Line(
            points={{43.9,21.9},{30.95,21.9},{30.95,18},{20,18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(hormones.busConnector, hormones_dif.busConnector) annotation (
            Line(
            points={{43.9,21.9},{58.95,21.9},{58.95,20},{74,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Hormones_test_SI;
    end IO_Bus;

    package IO_EPO
        extends Physiolibrary.Types.IO_Bus( redeclare package
        PhysiolibTypesRealTypes =
          EPO_Physiolibrary.Types.RealTypes);
      redeclare model extends Variables
        extends Physiolibrary.Icons.Hormones;

      //Variable NephronADH_conc(varName="NephronADH.[ADH]")
      //    "Nephron vasopresine concentration. [ng/l]"
      //annotation (Placement(transformation(extent={{-36,170},{-30,176}})));

      T.Concentration EPOPool(
        varName="EPOPool.[EPO]", storeUnit="iu/l")
        "Erythropoetin concentration."
        annotation (Placement(transformation(extent={{-40,48},{-34,54}})));
      equation

        connect(EPOPool.y, busConnector.Erythropoietin) annotation (Line(
            points={{-33.7,51},{90,51},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{18,138},{100,100}},
                lineColor={0,0,0},
                textString="vars"), Text(
                extent={{-118,-104},{124,-138}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model EPO_test
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI
                                                nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.EPO EPO
          annotation (Placement(transformation(extent={{40,8},{60,28}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Hormones.IO_EPO.OutputComparison_SI outputComparison_SI
          annotation (Placement(transformation(extent={{72,2},{92,22}})));
      equation
        connect(setup.busConnector, EPO.busConnector) annotation (Line(
            points={{-6,-96},{-6,12},{42,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(EPO.busConnector, outputComparison_SI.busConnector) annotation (
            Line(
            points={{42,12},{82,12}},
            color={255,204,51},
            thickness=0.5,
            smooth=Smooth.None));
      end EPO_test;
    end IO_EPO;

    package IO_Insulin
       extends Physiolibrary.Types.IO_Bus(
                             PhysiolibTypesRealTypes=Insulin_Physiolibrary.Types.RealTypes);
      redeclare model extends Variables
        extends Physiolibrary.Types.IO_Bus.IVariables;
        extends Physiolibrary.Icons.NutrientsMetabolism;

      T.Concentration         Insulin(varName="InsulinPool.[Insulin]", storeUnit="uiu/ml")
        "Insulin extracellular concentration."
      annotation (Placement(transformation(extent={{-68,2},{-62,8}})));
      T.Concentration         PortalVein_Insulin(varName="PortalVein-Insulin.[Insulin]", storeUnit="uiu/ml")
        "Insulin portal vein concentration."
      annotation (Placement(transformation(extent={{-70,-14},{-64,-8}})));
      equation
      connect(PortalVein_Insulin.y, busConnector.PortalVein_Insulin) annotation (Line(
       points={{-63.7,-11},{90,-11},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Insulin.y, busConnector.Insulin) annotation (Line(
       points={{-61.7,5},{90,5},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={
                                    Text(
                extent={{-120,-104},{122,-138}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;
    end IO_Insulin;
    annotation (Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: HumMod 1.6, University of Mississippi Medical Center</p></td>
</tr>
</table>
<p>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>", info="<html>
<p>Vasopressin (Antidiuretic hormone, ADH)</p>
<p>book about ADH [Glickson1974], pharmacological properties[Berde1968]</p>
<p>effect on collecting duct [Lankford1991,Young1977]</p>
<p>effect on hemodynamics [Erwald1978]</p>
<p>water regulation [Baldes1934]</p>
<p>infusion[Atherton1971]</p>
<p><br>Atrial Natriuretic Peptide (ANP)</p>
<p>synthesis [Ruskoaho1992]</p>
<p>release [Ruskoaho1992,Metzler1986,Raine1986]</p>
<p>degradation [Yandle1986,Ruskoaho1992,Schreij1996]</p>
<p>general[deZeeuw1992], properties [Maack1985]</p>
<p>effect on salt excretion [Conte1992, Mizelle1990]</p>
<p>effect on hemodynamics [Nishikimi1994]</p>
<p>salt regulations [Nicholls1987,Renkin1996,Weidmann1986]</p>
<p>infusion[Tikkanen1985]</p>
<p><br>Renin</p>
<p>release [Seeliger1999,Almgard1975,Wine1969,Roarty1988]</p>
<p>degradation [Devaux1968,Hannon1969,Christlieb1968]</p>
<p>inhibition [Brunner1979,Case1977]</p>
<p>enzimatic activity [Morton1980]</p>
<p>tubuloglomerular feedback(TGF) [Braam1993]</p>
<p>RAAS [Krekels1997,MacGregor1981,Regoli 1962]</p>
<p><br>Angiotensin</p>
<p>receptor blockage [Mazzolai1999]</p>
<p>effect on hemodynamics [Hakkinen1995,Symons1999]</p>
<p>effect on nerves [Kumagai1994]</p>
<p>effect on kidney [Hall1979] - natriuresis[Olsen1985]</p>
<p>effect on aldosterone secretion [Scholer1973]</p>
<p>infusion [Ames1965, Symons1999] </p>
<p><br>Aldosterone</p>
<p>secretion on AngiotensinII and blood pressure [Deheneffe1976,Oelkrs1974,Scholer1973]</p>
<p>secretion on salts and osmolarity [Schneider1985]</p>
<p>effect on Na+, K+ and water excretion [Ganong1958,Barger1958]</p>
<p>effect in skeletal muscle[1970]</p>
<p><br>Insulin</p>
<p>Glucagon</p>
<p>EPO</p>
<p>Thyroxine</p>
<p>Thyrotropin</p>
<p>Leptin</p>
<p><br>Catecholamins (Adrenalin and Noradrenalin)</p>
</html>"));
  end Hormones;

  package Electrolytes "Body Electrolytes"
    extends Physiolibrary.Icons.ElectrolytesLib;
    package AcidBase "Body Acid-Base Balance"

      partial model BloodPhBase
        import Modelica.Math;

        Physiolibrary.Types.Concentration betaX "buffer value of blood";
                                               //(unit = "mEq/l")
        Physiolibrary.Types.Concentration betaP "buffer value of plasma";
                                               //(unit = "mEq/l")

        Physiolibrary.Types.Concentration _cTH
        "total concentration of tiratable hydrogen ions";
                                             //( displayUnit="mEq/l")
        Physiolibrary.Types.Concentration _BE "base excess";
                                            //( displayUnit="mEq/l")

        Physiolibrary.Types.Concentration _BEox
        "base excess in fully oxygenated blood";
                                              //( displayUnit="mEq/l")
        Physiolibrary.Types.Concentration _cTHox
        "total concentration of tiratable hydrogen ions in fully oxygenated blood";
                                               //( displayUnit="mEq/l")

         Physiolibrary.Types.RealIO.pHOutput pH( start=7.4) "plasma pH"    annotation (Placement(transformation(
                extent={{30,-98},{70,-58}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-20,-120})));
        Physiolibrary.Types.RealIO.pHOutput pH_ery
        "intracellular erytrocytes pH"                                              annotation (Placement(
              transformation(extent={{-14,-98},{26,-58}}),iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={20,-120})));

        Physiolibrary.Types.RealIO.ConcentrationInput cHCO3(
                                             displayUnit="mmol/l")
        "concentration of plasma HCO3 ions (default=24.5mmol/l)"
                                         annotation (Placement(transformation(extent={{50,18},
                  {90,58}}),            iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,80})));
        Physiolibrary.Types.RealIO.ConcentrationInput ctHb(
                                                displayUnit="mmol/l")
        "concentration of total haemoglobin in whole blood (9.3)"
                                         annotation (Placement(transformation(extent={{50,58},
                  {90,98}}),            iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,40})));
        parameter Physiolibrary.Types.Concentration  cHb(displayUnit="mmol/l")=43
        "an empirical parameter accounting for erythrocyte plasma distributions = concentration of Hb inside erythrocytes divided by (1-0.57)";

        Physiolibrary.Types.RealIO.FractionInput sO2 "oxygen saturation"
                                         annotation (Placement(transformation(extent={{-100,60},
                  {-60,100}}),          iconTransformation(extent={{-10,-10},{10,10}},
              rotation=270,
              origin={60,110})));

        Physiolibrary.Types.RealIO.ConcentrationInput ctAlb(
                                             displayUnit="mmol/l")
        "concentration of total plasma albumins(dofault=0.65mmol/l)"                   annotation (Placement(transformation(extent={{52,-26},
                  {92,14}}),            iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,0})));

        Physiolibrary.Types.RealIO.MassConcentrationInput ctGlb(
                                             displayUnit="g/l")
        "concentration of total plasma globulins"                                      annotation (Placement(transformation(extent={{52,-60},
                  {92,-20}}),           iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,-40})));
        Physiolibrary.Types.RealIO.ConcentrationInput ctPO4(
                                             displayUnit="mmol/l")
        "concentration of total inorganic phosphate in plasma"                         annotation (Placement(transformation(extent={{54,-92},
                  {94,-52}}),           iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,-80})));

      equation
        //Van Slyke equation:  - T=37
        _cTH = -(1-ctHb/cHb)*((cHCO3-24.5)+betaX*(pH-7.4));
      //  _cTH = -(1-(1-0.57)*(0.44))*((cHCO3-24.5)+betaX*(pH-7.4));

        betaX = 2.3*ctHb + betaP;
        betaP =  8*ctAlb + 0.075*ctGlb + 0.309*ctPO4;

      //  _betaX = 0.11 * plasmaProteinConc(displayUnit="g/l"); //mmol/l

      //Haldane effect:
        _cTH = homotopy(_cTHox - 0.3 * (1-sO2),_cTHox);

      //base excess
        _BEox = - _cTHox;
        _BE = - _cTH;

        //erythrocytes:
        pH_ery = homotopy(7.19 + 0.77*(pH-7.4) + 0.035*(1-sO2),7.19 + 0.77*(pH-7.4));

        annotation (
          preferredView = text,
          Documentation(info="<html>
<pre>Blood pH calculation by
<i><b>Van Slyke equation</b></i>,
<i><b>Haldame</b></i> effect
and plasma-<i><b>erythrocytes</b></i> acidity distribution.</pre>
</html>",
       revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>dec 2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"),Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Text(
                extent={{-72,-56},{76,-92}},
                lineColor={0,0,255},
                textString="%name"),
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-96,-62},{98,-94}},
                lineColor={0,0,255},
                textString="%name")}));
      end BloodPhBase;

      model BloodPhMeassure
        extends Physiomodel.Electrolytes.AcidBase.BloodPhBase;
        Physiolibrary.Types.RealIO.VolumeDensityOfChargeInput
                                           BEox
                                        annotation (Placement(transformation(extent={{
                  -102,90},{-62,130}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-80,100})));
      equation
        _BEox = BEox / Modelica.Constants.F;

      //  cTHox.conc*1000 = _cTHox;

        annotation (          Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2013</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end BloodPhMeassure;

      model NormalSID
       // extends BloodPhBase;

       Physiolibrary.Types.RealIO.ConcentrationInput ctAlb(
                                                 final displayUnit="mmol/l")
        "concentration of total plasma albumins(dofault=0.65mmol/l)"                  annotation (Placement(transformation(extent={{-120,72},
                  {-80,112}}),         iconTransformation(extent={{-10,-10},{10,10}},
             rotation=180,
             origin={90,80})));

       Physiolibrary.Types.RealIO.MassConcentrationInput ctGlb(
                                                 final displayUnit="g/l")
        "concentration of total plasma globulins"                                     annotation (Placement(transformation(extent={{-120,42},
                  {-80,82}}),          iconTransformation(extent={{-10,-10},{10,10}},
             rotation=180,
             origin={90,50})));
       Physiolibrary.Types.RealIO.ConcentrationInput ctPO4_P(
                                                   final displayUnit="mmol/l")
        "concentration of total inorganic phosphate in plasma"                        annotation (Placement(transformation(extent={{-120,12},
                  {-80,52}}),          iconTransformation(extent={{-10,-10},{10,10}},
             rotation=180,
             origin={90,20})));

        Physiolibrary.Types.RealIO.VolumeDensityOfChargeOutput
                                            NSID
                                          annotation (Placement(transformation(extent={{80,0},{
                  120,40}}),           iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=180,
              origin={-120,-60})));
       Physiolibrary.Types.RealIO.FractionInput Hct "hematocrit"
                                        annotation (Placement(transformation(extent={{-120,
                -14},{-80,26}}),       iconTransformation(extent={{-10,-10},{10,10}},
             rotation=180,
             origin={90,-70})));
        Buffers.Bicarbonate bicarbonate
          annotation (Placement(transformation(extent={{-38,10},{-18,30}})));
        Buffers.Albumin albumin
          annotation (Placement(transformation(extent={{-38,78},{-18,98}})));
        Modelica.Blocks.Math.Sum NSIDP(nin=4, y(unit="C/m3", displayUnit=
              "mEq/l"))
          annotation (Placement(transformation(extent={{26,72},{46,92}})));
        Buffers.Globulins globulins
          annotation (Placement(transformation(extent={{-38,56},{-18,76}})));
        Buffers.Phosphates phosphates
          annotation (Placement(transformation(extent={{-38,34},{-18,54}})));
        Buffers.Haemoglobin haemoglobin
          annotation (Placement(transformation(extent={{-38,-68},{-18,-48}})));
        Buffers.OtherRBCBuffers
                           phosphates1
          annotation (Placement(transformation(extent={{-38,-96},{-18,-76}})));
        Modelica.Blocks.Math.Sum NSIDE(nin=3, y(unit="C/m3", displayUnit=
              "mEq/l"))
          annotation (Placement(transformation(extent={{12,-78},{32,-58}})));
        Modelica.Blocks.Math.Feedback Pct      annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={26,56})));
        Modelica.Blocks.Math.Product product1(y(unit="C/m3", displayUnit=
              "mEq/l"))                       annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={50,-2})));
        Modelica.Blocks.Math.Product product2(y(unit="C/m3", displayUnit=
              "mEq/l"))                       annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={50,38})));
        Modelica.Blocks.Math.Add add(k1=-1, k2=-1)
          annotation (Placement(transformation(extent={{70,10},{90,30}})));
      Physiolibrary.Types.Constants.FractionConst             const(k=1)
        annotation (Placement(transformation(extent={{-2,50},{10,62}})));
      Physiolibrary.Types.Constants.pHConst                   n_pH_P(k=7.4)
        annotation (Placement(transformation(extent={{-82,44},{-70,56}})));
      Physiolibrary.Types.Constants.PressureConst             n_pCO2(k=
            5332.8954966)
        annotation (Placement(transformation(extent={{-82,14},{-70,26}})));
       Physiolibrary.Types.RealIO.TemperatureInput T "temperature"
                                        annotation (Placement(transformation(extent={{-120,
                  -40},{-80,0}}),      iconTransformation(extent={{-10,-10},{10,10}},
             rotation=180,
             origin={90,-40})));
        Buffers.Bicarbonate bicarbonate1
          annotation (Placement(transformation(extent={{-38,-40},{-18,-20}})));
      Physiolibrary.Types.Constants.pHConst                   n_pH_E(k=7.19)
        "should be calculated, but how?"
        annotation (Placement(transformation(extent={{-86,-42},{-74,-30}})));
       Physiolibrary.Types.RealIO.ConcentrationInput tHb_E
        "haemoglobin concentration in erythrocyte"
                                        annotation (Placement(transformation(extent={{-120,
                  -68},{-80,-28}}),    iconTransformation(extent={{-10,-10},{10,10}},
             rotation=180,
             origin={90,-10})));
      Physiolibrary.Types.Constants.FractionConst n_sO2(k=1)
        annotation (Placement(transformation(extent={{-86,-66},{-74,-54}})));
      equation
        connect(ctAlb, albumin.tAlb) annotation (Line(
            points={{-100,92},{-70,92},{-70,88},{-38,88}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(bicarbonate.y, NSIDP.u[1])          annotation (Line(
            points={{-18,12},{-8,12},{-8,80.5},{24,80.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(albumin.y, NSIDP.u[2])          annotation (Line(
            points={{-18,80},{-6,80},{-6,81.5},{24,81.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(globulins.y, NSIDP.u[3])          annotation (Line(
            points={{-18,58},{-8,58},{-8,82.5},{24,82.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(phosphates.y, NSIDP.u[4])          annotation (Line(
            points={{-18,36},{-8,36},{-8,83.5},{24,83.5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hct, Pct.u2)      annotation (Line(
            points={{-100,6},{26,6},{26,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add.y, NSID)
                            annotation (Line(
            points={{91,20},{100,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product1.y, add.u2) annotation (Line(
            points={{50,9},{50,14},{68,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product2.y, add.u1) annotation (Line(
            points={{50,27},{50,26},{68,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Pct.y, product2.u2)      annotation (Line(
            points={{35,56},{44,56},{44,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hct, product1.u1) annotation (Line(
            points={{-100,6},{26,6},{26,-20},{44,-20},{44,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NSIDE.y, product1.u2)                annotation (Line(
            points={{33,-68},{56,-68},{56,-14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NSIDP.y, product2.u1)          annotation (Line(
            points={{47,82},{56,82},{56,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const.y, Pct.u1)      annotation (Line(
            points={{11.5,56},{18,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(n_pH_P.y, albumin.pH)    annotation (Line(
            points={{-68.5,50},{-62,50},{-62,94},{-38,94}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(n_pH_P.y, globulins.pH)    annotation (Line(
            points={{-68.5,50},{-62,50},{-62,72},{-38,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(n_pH_P.y, phosphates.pH)    annotation (Line(
            points={{-68.5,50},{-38,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(n_pH_P.y, bicarbonate.pH)    annotation (Line(
            points={{-68.5,50},{-62,50},{-62,26},{-38,26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T, bicarbonate.T) annotation (Line(
            points={{-100,-20},{-56,-20},{-56,16},{-38,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(bicarbonate1.y, NSIDE.u[1])                annotation (Line(
            points={{-18,-38},{-4,-38},{-4,-69.3333},{10,-69.3333}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(haemoglobin.y, NSIDE.u[2])                annotation (Line(
            points={{-18,-66},{-4,-66},{-4,-68},{10,-68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(phosphates1.y, NSIDE.u[3])                annotation (Line(
            points={{-18,-94},{-4,-94},{-4,-66.6667},{10,-66.6667}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(n_pCO2.y, bicarbonate.pCO2)      annotation (Line(
            points={{-68.5,20},{-38,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(n_pCO2.y, bicarbonate1.pCO2)      annotation (Line(
            points={{-68.5,20},{-64,20},{-64,-30},{-38,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(n_pH_E.y, bicarbonate1.pH)        annotation (Line(
            points={{-72.5,-36},{-60,-36},{-60,-24},{-38,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(n_pH_E.y, haemoglobin.pH)        annotation (Line(
            points={{-72.5,-36},{-60,-36},{-60,-52},{-38,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(n_pH_E.y, phosphates1.pH)        annotation (Line(
            points={{-72.5,-36},{-60,-36},{-60,-80},{-38,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T, bicarbonate1.T) annotation (Line(
            points={{-100,-20},{-56,-20},{-56,-34},{-38,-34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctPO4_P, phosphates.tPO4) annotation (Line(
            points={{-100,32},{-74,32},{-74,34},{-48,34},{-48,44},{-38,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(tHb_E, haemoglobin.tHb_E) annotation (Line(
            points={{-100,-48},{-70,-48},{-70,-56},{-38,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(n_pCO2.y, haemoglobin.pCO2)      annotation (Line(
            points={{-68.5,20},{-64,20},{-64,-64},{-38,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T, haemoglobin.T) annotation (Line(
            points={{-100,-20},{-56,-20},{-56,-68},{-38,-68}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ctGlb, globulins.ctGlb) annotation (Line(
            points={{-100,62},{-69,62},{-69,64},{-38,64}},
            color={0,0,127},
            smooth=Smooth.None));

      //  NBB = (1-Hct)( [HCO3]P(40mmHg,7.4) + tAlbP*-zAlbP(7.4) + tGlbP*-zGlb(7.4) + tPO4P*-zPO4(7.4) + tORGP*-zORG(7.4) + .. ) + Hct ( [HCO3]E(40mmHg,NpHE) + tHb*-zHb(sO2,sCO2,NpHE) + tPO4E*-zPO4(NpHE) ..)
      //  NBB = 0;//_cTHox;

      connect(n_sO2.y, haemoglobin.sO2) annotation (Line(
          points={{-72.5,-60},{-38,-60}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation (        Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2013</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end NormalSID;

      model Urine

        Physiolibrary.Types.RealIO.MolarFlowRateInput
                                           qPO4(displayUnit="mmol/min")
        "total phosphates outflow to urine"                                                         annotation (Placement(
              transformation(
              extent={{-20,-20},{20,20}},
              origin={-100,100}),
                                iconTransformation(
              extent={{-10,-10},{10,10}},
              origin={-90,-50})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput
                                           qKA(displayUnit="mmol/min")
        "total keto-acids outflow to urine"                                                         annotation (Placement(
              transformation(extent={{-120,42},{-80,82}}),  iconTransformation(
              extent={{-10,-10},{10,10}},
              origin={-90,-70})));
        Physiolibrary.Types.RealIO.pHOutput PHU(start=5.7) "urine pH" annotation (Placement(
              transformation(extent={{70,-61},{100,-31}}),iconTransformation(extent={{86,-16},
                  {118,16}})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput
                                           qNa(displayUnit="mmol/min")
        "total sodium outflow to urine"                                                                annotation (Placement(transformation(
                extent={{-120,-30},{-80,10}}), iconTransformation(extent={{-10,-10},{10,
                  10}},
              origin={-90,90})));

        parameter Real CO2_solubility(displayUnit="(mmol/l)/Pa")=0.00023;
        parameter Real pKaCO2=6.1 "CO2 acid dissociation constant";
        parameter Real pKaHCO3=10.329 "HCO3 acid dissociation constant";
        parameter Real pKaH3PO4=1.91 "H3PO4 acid dissociation constant";
        parameter Real pKaH2PO4=6.66 "H2PO4 acid dissociation constant";
        parameter Real pKaHPO4=11.78 "HPO4 acid dissociation constant";
        parameter Real pKaKA=4.3
        "average Keto-acids acid dissociation constant";
        //constant Real ml2l = 0.001;

        Real zPO4 "average charge of one phosphate in urine";
                 //(displayUnit="Eq/Mol")

        Real zKA "average charge of one keto acid in purine";
                //(displayUnit="Eq/Mol")

        Real zCO2_qCO2 "charge outflow in (bi)carbonates to urine";
                      //(displayUnit="Eq/min")
        Physiolibrary.Types.RealIO.PressureInput
                                           pCO2(displayUnit="mmHg")
        "partial CO2 pressure"                   annotation (Placement(transformation(
                extent={{-120,-120},{-80,-80}}),
                                               iconTransformation(extent={{-100,-100},
                  {-80,-80}})));
        Physiolibrary.Types.RealIO.VolumeFlowRateInput
                                           qH2O(displayUnit="ml/min")
        "water flow to urine"                    annotation (Placement(transformation(
                extent={{-120,-140},{-80,-100}}),
                                               iconTransformation(extent={{-10,-10},{10,
                  10}},
              origin={-90,-110})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput qCl(displayUnit="mmol/min")
        "chloride flow to urine"                 annotation (Placement(transformation(
                extent={{-120,-128},{-80,-88}}),
                                               iconTransformation(extent={{-10,-10},{10,
                  10}},
              origin={-90,-10})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput
                                           qSO4(displayUnit="mmol/min")
        "sulfate flow to urine"                  annotation (Placement(transformation(
                extent={{-120,-128},{-80,-88}}),
                                               iconTransformation(extent={{-10,-10},{10,
                  10}},
              origin={-90,-30})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput
                                           qK(displayUnit="mmol/min")
        "total potassium outflow to urine"                                                          annotation (Placement(transformation(
                extent={{-120,-30},{-80,10}}), iconTransformation(extent={{-10,-10},{10,
                  10}},
              origin={-90,70})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput
                                           qNH4(displayUnit="mmol/min")
        "total amonium outflow to urine"                                                            annotation (Placement(transformation(
                extent={{-120,-30},{-80,10}}), iconTransformation(extent={{-10,-10},{10,
                  10}},
              origin={-90,50})));
       Physiolibrary.Types.RealIO.MolarFlowRateInput
                                           qMg(displayUnit="mmol/min")
        "chloride flow to urine"                 annotation (Placement(transformation(
                extent={{-120,-128},{-80,-88}}),
                                               iconTransformation(extent={{-10,-10},{10,
                  10}},
              origin={-90,30})));
        Physiolibrary.Types.RealIO.MolarFlowRateInput
                                           qCa(displayUnit="mmol/min")
        "chloride flow to urine"                 annotation (Placement(transformation(
                extent={{-120,-128},{-80,-88}}),
                                               iconTransformation(extent={{-10,-10},{10,
                  10}},
              origin={-90,10})));
        parameter Physiolibrary.Types.MolarFlowRate  qX(displayUnit="mmol/min") = -5.6666666666666666666666666666667e-7
        "other acids/electrolytes charge outflow";
      equation

          zPO4 = -(1+2*10^(PHU-pKaH2PO4)+ 3*10^(2*PHU-pKaH2PO4 -pKaHPO4)) / (10^(pKaH3PO4-PHU)+1+10^(PHU-pKaH2PO4)+ 10^(2*PHU-pKaH2PO4-pKaHPO4));

          zKA = - 1/(10^(pKaKA-PHU)+1);

          zCO2_qCO2 = -CO2_solubility*pCO2*(10^(PHU-pKaCO2))*(qH2O);

          qX + 1*qNa + 1*qK + 2*qMg + 2*qCa + 1*qNH4 + (-1)*qCl + (-2)*qSO4 + zPO4*qPO4 + zKA*qKA + zCO2_qCO2 = 0;  // electroneutrality of urine outflow

        annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-120},{100,100}}),
                               graphics={
              Rectangle(
                extent={{-100,100},{100,-120}},
                lineColor={0,0,255},
                lineThickness=0.5,
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{118,70},{-36,96}},
                lineColor={0,0,255},
                lineThickness=0.5,
                textString="Urine pH")}),
          Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-120},{100,
                  100}}), graphics),
          Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2013</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Medsoft 2013, 146-147</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end Urine;

      package Tissues
      "Acidity of tissue veins, interstitium or intracellular space"

        model Interstitia

        Interstitium.SkeletalMuscleInterstitialPh skeletalMuscle
          annotation (Placement(transformation(extent={{-54,66},{-34,86}})));

        Interstitium.BoneInterstitialPh bone
          annotation (Placement(transformation(extent={{-54,36},{-34,56}})));

        Interstitium.FatInterstitialPh fat
          annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));

        Interstitium.BrainInterstitialPh brain
          annotation (Placement(transformation(extent={{52,28},{72,48}})));

        Interstitium.RightHeartInterstitialPh rightHeart
          annotation (Placement(transformation(extent={{52,-92},{72,-72}})));

        Interstitium.RespiratoryMuscleInterstitialPh respiratoryMuscle
          annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));

        Interstitium.OtherTissueInterstitialPh otherTissue
          annotation (Placement(transformation(extent={{-54,6},{-34,26}})));

        Interstitium.LiverInterstitialPh liver
          annotation (Placement(transformation(extent={{52,60},{72,80}})));

        Interstitium.LeftHeartInterstitialPh leftHeart
          annotation (Placement(transformation(extent={{52,-62},{72,-42}})));

        Interstitium.KidneyInterstitialPh kidney
          annotation (Placement(transformation(extent={{52,-32},{72,-12}})));

        Interstitium.GITractInterstitialPh GITract
          annotation (Placement(transformation(extent={{52,-2},{72,18}})));

        Physiolibrary.Types.BusConnector busConnector
          annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
        Interstitium.SkinInterstitialPh skin
          annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

        equation
          connect(busConnector.bone_cHCO3_interstitial, bone.cHCO3)        annotation (
             Line(
              points={{-88,92},{-88,42},{-53,42}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_cHCO3_interstitial, brain.cHCO3)
            annotation (Line(
              points={{-88,92},{6,92},{6,34},{53,34}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_cHCO3_interstitial, fat.cHCO3)      annotation (
              Line(
              points={{-88,92},{-88,-48},{-53,-48}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_cHCO3_interstitial, GITract.cHCO3)
            annotation (Line(
              points={{-88,92},{6,92},{6,4},{53,4}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_cHCO3_interstitial, kidney.cHCO3)
            annotation (Line(
              points={{-88,92},{6,92},{6,-26},{53,-26}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_cHCO3_interstitial, leftHeart.cHCO3)
            annotation (Line(
              points={{-88,92},{6,92},{6,-56},{53,-56}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_cHCO3_interstitial, liver.cHCO3)
            annotation (Line(
              points={{-88,92},{6,92},{6,66},{53,66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_cHCO3_interstitial, otherTissue.cHCO3)
            annotation (Line(
              points={{-88,92},{-88,12},{-53,12}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_cHCO3_interstitial, respiratoryMuscle.cHCO3)
            annotation (Line(
              points={{-88,92},{-88,-18},{-53,-18}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_cHCO3_interstitial, rightHeart.cHCO3)
            annotation (Line(
              points={{-88,92},{6,92},{6,-86},{53,-86}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_cHCO3_interstitial, skin.cHCO3)      annotation (
             Line(
              points={{-88,92},{-88,-78},{-53,-78}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_cHCO3_interstitial, skeletalMuscle.cHCO3)
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,72},{-53,72}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(busConnector.bone.pCO2, bone.pCO2)        annotation (
             Line(
              points={{-88,92},{-88,54},{-53,54}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain.pCO2, brain.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,46},{53,46}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat.pCO2, fat.pCO2)      annotation (
              Line(
              points={{-88,92},{-88,-36},{-53,-36}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract.pCO2, GITract.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,16},{53,16}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_pCO2, kidney.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,-14},{53,-14}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_pCO2, leftHeart.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,-44},{53,-44}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_pCO2, liver.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,78},{53,78}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue.pCO2, otherTissue.pCO2)
            annotation (Line(
              points={{-88,92},{-88,24},{-53,24}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle.pCO2, respiratoryMuscle.pCO2)
            annotation (Line(
              points={{-88,92},{-88,-6},{-53,-6}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_pCO2, rightHeart.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,-74},{53,-74}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_pCO2, skin.pCO2)      annotation (
             Line(
              points={{-88,92},{-88,-66},{-53,-66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle.pCO2, skeletalMuscle.pCO2)
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,84},{-53,84}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(busConnector.bone_T, bone.T)        annotation (
             Line(
              points={{-88,92},{-88,38.8},{-53,38.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_T, brain.T)
            annotation (Line(
              points={{-88,92},{6,92},{6,30.8},{53,30.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_T, fat.T)      annotation (
              Line(
              points={{-88,92},{-88,-51.2},{-53,-51.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_T, GITract.T)
            annotation (Line(
              points={{-88,92},{6,92},{6,0.8},{53,0.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_T, kidney.T)
            annotation (Line(
              points={{-88,92},{6,92},{6,-29.2},{53,-29.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_T, leftHeart.T)
            annotation (Line(
              points={{-88,92},{6,92},{6,-59.2},{53,-59.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_T, liver.T)
            annotation (Line(
              points={{-88,92},{6,92},{6,62.8},{53,62.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_T, otherTissue.T)
            annotation (Line(
              points={{-88,92},{-88,8.8},{-53,8.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_T, respiratoryMuscle.T)
            annotation (Line(
              points={{-88,92},{-88,-21.2},{-53,-21.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_T, rightHeart.T)
            annotation (Line(
              points={{-88,92},{6,92},{6,-89.2},{53,-89.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_T, skin.T)      annotation (
             Line(
              points={{-88,92},{-88,-81.2},{-53,-81.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_T, skeletalMuscle.T)
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,68.8},{-53,68.8}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

        connect(bone.pH_interstitial, busConnector.bone_pH_interstitial) annotation (Line(
              points={{-38,34},{6,34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(brain.pH_interstitial, busConnector.brain_pH_interstitial) annotation (Line(
              points={{68,26},{6,26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(fat.pH_interstitial, busConnector.fat_pH_interstitial) annotation (Line(
              points={{-38,-56},{6,-56},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(GITract.pH_interstitial, busConnector.GITract_pH_interstitial) annotation (Line(
              points={{68,-4},{6,-4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(kidney.pH_interstitial, busConnector.kidney_pH_interstitial) annotation (Line(
              points={{68,-34},{6,-34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(leftHeart.pH_interstitial, busConnector.leftHeart_pH_interstitial) annotation (Line(
              points={{68,-64},{6,-64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(liver.pH_interstitial, busConnector.liver_pH_interstitial) annotation (Line(
              points={{68,58},{6,58},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(otherTissue.pH_interstitial, busConnector.otherTissue_pH_interstitial) annotation (Line(
              points={{-38,4},{6,4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(rightHeart.pH_interstitial, busConnector.rightHeart_pH_interstitial) annotation (Line(
              points={{68,-94},{6,-94},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(respiratoryMuscle.pH_interstitial, busConnector.respiratoryMuscle_pH_interstitial) annotation (Line(
              points={{-38,-26},{6,-26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skin.pH_interstitial, busConnector.skin_pH_interstitial) annotation (Line(
              points={{-38,-86},{6,-86},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skeletalMuscle.pH_interstitial, busConnector.skeletalMuscle_pH_interstitial) annotation (Line(
              points={{-38,64},{6,64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));

          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,255},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-96,-62},{98,-94}},
                  lineColor={0,0,255},
                  textString="%name"),
                Text(
                  extent={{-88,6},{-24,34}},
                  lineColor={0,0,0},
                  textString="IST"),
                Text(
                  extent={{30,36},{96,-18}},
                  lineColor={0,0,0},
                  textString="pH")}),
            Documentation(info="<html>
<p>BE_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then BE value decrease with the same concentration. </p>
<p>Meaning might be interpreted like what amount of hydrogen iont must be added to sollution if the end poit of titration will be pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can be simplified with difference of lactate concentration from its normal value.</p>
</html>",         revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end Interstitia;

        model InterstitiumBase

          Physiolibrary.Types.RealIO.ConcentrationInput cHCO3
          "tissue interstitial bicarbonate concentration"
                                           annotation (Placement(transformation(extent={{-106,-4},
                    {-90,12}}),           iconTransformation(extent={{-10,-10},{10,10}},
                origin={-90,-40})));                         //(final displayUnit="mEq/ml")
          Physiolibrary.Types.RealIO.pHOutput pH_interstitial
          "tissue interstitial pH"                                                      annotation (Placement(
                transformation(extent={{24,-16},{44,4}}),   iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={60,-120})));
          Gases.CO2.TissueHCO3 interstitium
          annotation (Placement(transformation(extent={{-22,2},{-2,22}})));
          Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints
            annotation (Placement(transformation(extent={{-34,-16},{8,38}})));
          Physiolibrary.Types.RealIO.TemperatureInput T(
                                          displayUnit="degC")
          "tissue interstitial bicarbonate concentration"
                                           annotation (Placement(transformation(extent={{62,24},
                    {40,2}}),             iconTransformation(extent={{-10,-10},{10,10}},
                origin={-90,-72})));
          Physiolibrary.Types.RealIO.PressureInput pCO2(
                                             displayUnit="mmHg")
          "tissue interstitial bicarbonate concentration"
                                           annotation (Placement(transformation(extent={
                    {-56,18},{-38,36}}), iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={-90,80})));
        equation

          connect(interstitium.cHCO3, inverseBlockConstraints.u2) annotation (Line(
              points={{-4,0},{-4,-8},{-26,-8},{-26,11},{-29.8,11}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(interstitium.pH, inverseBlockConstraints.y2) annotation (Line(
              points={{-21,20},{-24,20},{-24,30},{2,30},{2,11},{4.85,11}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(interstitium.T, T) annotation (Line(
              points={{-3,20},{30,20},{30,13},{51,13}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(inverseBlockConstraints.y1, pH_interstitial) annotation (Line(
              points={{9.05,11},{24,11},{24,-6},{34,-6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(cHCO3, inverseBlockConstraints.u1) annotation (Line(
              points={{-98,4},{-68,4},{-68,11},{-36.1,11}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(interstitium.pCO2_, pCO2) annotation (Line(
            points={{-21,16.2},{-30.5,16.2},{-30.5,27},{-47,27}},
            color={0,0,127},
            smooth=Smooth.None));
          annotation ( Icon(coordinateSystem(preserveAspectRatio=true,
                  extent={{-100,-100},{100,100}}), graphics={
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0}),
                Text(
                  extent={{34,102},{100,48}},
                  lineColor={0,0,0},
                  textString="pH"),
                Text(
                  extent={{-84,72},{-20,100}},
                  lineColor={0,0,0},
                  textString="IST")}),
            Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end InterstitiumBase;

        package Interstitium
          model FatInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.Fat;
          end FatInterstitialPh;

          model LiverInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.Liver;
          end LiverInterstitialPh;

          model SkinInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.Skin;
          end SkinInterstitialPh;

          model BrainInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.Brain;
          end BrainInterstitialPh;

          model LeftHeartInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.LeftHeart;
          end LeftHeartInterstitialPh;

          model GITractInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.GITract;
          end GITractInterstitialPh;

          model KidneyInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.Kidney;
          end KidneyInterstitialPh;

          model BoneInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.Bone;
          end BoneInterstitialPh;

          model OtherTissueInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.OtherTissue;
          end OtherTissueInterstitialPh;

          model SkeletalMuscleInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.SkeletalMuscle;
          end SkeletalMuscleInterstitialPh;

          model RespiratoryMuscleInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.RespiratoryMuscle;
          end RespiratoryMuscleInterstitialPh;

          model RightHeartInterstitialPh
            extends InterstitiumBase;
            extends Physiolibrary.Icons.RightHeart;
          end RightHeartInterstitialPh;

         model SkeletalMuscleAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="SkeletalMuscleLactateMass"), inputPump1(
                q_out(conc(start=5e-5)), useSoluteFlowInput=true));
            extends Physiolibrary.Icons.SkeletalMuscle;
         end SkeletalMuscleAcidity;

          model OtherTissueAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="OtherTissueLactateMass"));
            extends Physiolibrary.Icons.OtherTissue;
          end OtherTissueAcidity;

          model RespiratoryMuscleAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="RespiratoryMuscleLactateMass"));
            extends Physiolibrary.Icons.RespiratoryMuscle;
          end RespiratoryMuscleAcidity;

          model BoneAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="BoneLactateMass"));
            extends Physiolibrary.Icons.Bone;
          end BoneAcidity;

          model FatAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="FatLactateMass"));
            extends Physiolibrary.Icons.Fat;
          end FatAcidity;

          model SkinAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="SkinLactateMass"));
            extends Physiolibrary.Icons.Skin;
          end SkinAcidity;

          model LiverAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="LiverLactateMass"));
            extends Physiolibrary.Icons.Liver;
          end LiverAcidity;

          model BrainAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="BrainLactateMass"));
            extends Physiolibrary.Icons.Brain;
          end BrainAcidity;

          model GITractAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="GITractLactateMass"));
            extends Physiolibrary.Icons.GITract;
          end GITractAcidity;

          model KidneyAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="KidneyLactateMass"));
            extends Physiolibrary.Icons.Kidney;
          end KidneyAcidity;

          model LeftHeartAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="LeftHeartLactateMass"));
            extends Physiolibrary.Icons.LeftHeart;
          end LeftHeartAcidity;

          model RightHeartAcidity
            extends Physiomodel.Electrolytes.AcidBase.Tissues.old.Tissue_cTH(
              interstitium(stateName="RightHeartLactateMass"));
            extends Physiolibrary.Icons.RightHeart;
          end RightHeartAcidity;
        end Interstitium;

        model Bloods

          Blood.SkeletalMuscleBloodPh skeletalMuscle
            annotation (Placement(transformation(extent={{-54,66},{-34,86}})));

          Blood.BoneBloodPh bone
            annotation (Placement(transformation(extent={{-54,36},{-34,56}})));

          Blood.FatBloodPh fat
            annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));

          Blood.BrainBloodPh brain
            annotation (Placement(transformation(extent={{52,28},{72,48}})));

          Blood.RightHeartBloodPh rightHeart
            annotation (Placement(transformation(extent={{52,-92},{72,-72}})));

          Blood.RespiratoryMuscleBloodPh respiratoryMuscle
            annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));

          Blood.OtherTissueBloodPh otherTissue
            annotation (Placement(transformation(extent={{-54,6},{-34,26}})));

          Blood.LiverBloodPh liver
            annotation (Placement(transformation(extent={{52,60},{72,80}})));

          Blood.LeftHeartBloodPh leftHeart
            annotation (Placement(transformation(extent={{52,-62},{72,-42}})));

          Blood.KidneyBloodPh kidney
            annotation (Placement(transformation(extent={{52,-32},{72,-12}})));

          Blood.GITractBloodPh GITract
            annotation (Placement(transformation(extent={{52,-2},{72,18}})));

        Physiolibrary.Types.BusConnector busConnector
          annotation (Placement(transformation(extent={{-108,74},{-68,114}})));
          Blood.SkinBloodPh skin
            annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

          Modelica.Blocks.Math.Add cTH_lessLactate(k1=-1, k2=-1)
            annotation (Placement(transformation(extent={{-92,114},{-72,134}})));
        equation
          connect(busConnector.bone_sO2, bone.sO2)        annotation (
             Line(
              points={{-88,94},{-88,57},{-38,57}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_sO2, brain.sO2)
            annotation (Line(
              points={{-88,94},{6,94},{6,49},{68,49}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_sO2, fat.sO2)      annotation (
              Line(
              points={{-88,94},{-88,-33},{-38,-33}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_sO2, GITract.sO2)
            annotation (Line(
              points={{-88,94},{6,94},{6,19},{68,19}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_sO2, kidney.sO2)
            annotation (Line(
              points={{-88,94},{6,94},{6,-11},{68,-11}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_sO2, leftHeart.sO2)
            annotation (Line(
              points={{-88,94},{6,94},{6,-41},{68,-41}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_sO2, liver.sO2)
            annotation (Line(
              points={{-88,94},{6,94},{6,81},{68,81}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_sO2, otherTissue.sO2)
            annotation (Line(
              points={{-88,94},{-88,27},{-38,27}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_sO2, respiratoryMuscle.sO2)
            annotation (Line(
              points={{-88,94},{-88,-3},{-38,-3}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_sO2, rightHeart.sO2)
            annotation (Line(
              points={{-88,94},{6,94},{6,-71},{68,-71}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_sO2, skin.sO2)      annotation (
             Line(
              points={{-88,94},{-88,-63},{-38,-63}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_sO2, skeletalMuscle.sO2)
            annotation (Line(
              points={{-88,94},{-87.5,94},{-87.5,87},{-38,87}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(busConnector.bone_T, bone.T)        annotation (
             Line(
              points={{-88,94},{-88,38.8},{-53,38.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_T, brain.T)
            annotation (Line(
              points={{-88,94},{6,94},{6,30.8},{53,30.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_T, fat.T)      annotation (
              Line(
              points={{-88,94},{-88,-51.2},{-53,-51.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_T, GITract.T)
            annotation (Line(
              points={{-88,94},{6,94},{6,0.8},{53,0.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_T, kidney.T)
            annotation (Line(
              points={{-88,94},{6,94},{6,-29.2},{53,-29.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_T, leftHeart.T)
            annotation (Line(
              points={{-88,94},{6,94},{6,-59.2},{53,-59.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_T, liver.T)
            annotation (Line(
              points={{-88,94},{6,94},{6,62.8},{53,62.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_T, otherTissue.T)
            annotation (Line(
              points={{-88,94},{-88,8.8},{-53,8.8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_T, respiratoryMuscle.T)
            annotation (Line(
              points={{-88,94},{-88,-21.2},{-53,-21.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_T, rightHeart.T)
            annotation (Line(
              points={{-88,94},{6,94},{6,-89.2},{53,-89.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_T, skin.T)      annotation (
             Line(
              points={{-88,94},{-88,-81.2},{-53,-81.2}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_T, skeletalMuscle.T)
            annotation (Line(
              points={{-88,94},{-87.5,94},{-87.5,68.8},{-53,68.8}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(cTH_lessLactate.y, bone.ctHox_lessLactate)        annotation (
             Line(
              points={{-71,124},{-71,46},{-53,46}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(cTH_lessLactate.y, brain.ctHox_lessLactate)
            annotation (Line(
              points={{-71,124},{6,124},{6,38},{53,38}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(cTH_lessLactate.y, fat.ctHox_lessLactate)      annotation (
              Line(
              points={{-71,124},{-71,-44},{-53,-44}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(cTH_lessLactate.y, GITract.ctHox_lessLactate)
            annotation (Line(
              points={{-71,124},{6,124},{6,8},{53,8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(cTH_lessLactate.y, kidney.ctHox_lessLactate)
            annotation (Line(
              points={{-71,124},{6,124},{6,-22},{53,-22}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(cTH_lessLactate.y, leftHeart.ctHox_lessLactate)
            annotation (Line(
              points={{-71,124},{6,124},{6,-52},{53,-52}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(cTH_lessLactate.y, liver.ctHox_lessLactate)
            annotation (Line(
              points={{-71,124},{6,124},{6,70},{53,70}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(cTH_lessLactate.y, otherTissue.ctHox_lessLactate)
            annotation (Line(
              points={{-71,124},{-71,16},{-53,16}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(cTH_lessLactate.y, respiratoryMuscle.ctHox_lessLactate)
            annotation (Line(
              points={{-71,124},{-71,-14},{-53,-14}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(cTH_lessLactate.y, rightHeart.ctHox_lessLactate)
            annotation (Line(
              points={{-71,124},{6,124},{6,-82},{53,-82}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(cTH_lessLactate.y, skin.ctHox_lessLactate)      annotation (
             Line(
              points={{-71,124},{-71,-74},{-53,-74}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(busConnector.bone_cLactate, bone.cLactate)        annotation (
             Line(
              points={{-88,94},{-88,50},{-53,50}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_cLactate, brain.cLactate)
            annotation (Line(
              points={{-88,94},{6,94},{6,42},{53,42}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_cLactate, fat.cLactate)      annotation (
              Line(
              points={{-88,94},{-88,-40},{-53,-40}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_cLactate, GITract.cLactate)
            annotation (Line(
              points={{-88,94},{6,94},{6,12},{53,12}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_cLactate, kidney.cLactate)
            annotation (Line(
              points={{-88,94},{6,94},{6,-18},{53,-18}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_cLactate, leftHeart.cLactate)
            annotation (Line(
              points={{-88,94},{6,94},{6,-48},{53,-48}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_cLactate, liver.cLactate)
            annotation (Line(
              points={{-88,94},{6,94},{6,74},{53,74}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_cLactate, otherTissue.cLactate)
            annotation (Line(
              points={{-88,94},{-88,20},{-53,20}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_cLactate, respiratoryMuscle.cLactate)
            annotation (Line(
              points={{-88,94},{-88,-10},{-53,-10}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_cLactate, rightHeart.cLactate)
            annotation (Line(
              points={{-88,94},{6,94},{6,-78},{53,-78}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_cLactate, skin.cLactate)      annotation (
             Line(
              points={{-88,94},{-88,-70},{-53,-70}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_cLactate, skeletalMuscle.cLactate)
            annotation (Line(
              points={{-88,94},{-87.5,94},{-87.5,80},{-53,80}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(bone.ctHb, busConnector.ctHb)       annotation (
             Line(
              points={{-35,50},{6,50},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.ctHb, busConnector.ctHb)
            annotation (Line(
              points={{71,42},{98,42},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.ctHb, busConnector.ctHb)     annotation (
              Line(
              points={{-35,-40},{6,-40},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.ctHb, busConnector.ctHb)
            annotation (Line(
              points={{71,12},{98,12},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.ctHb, busConnector.ctHb)
            annotation (Line(
              points={{71,-18},{98,-18},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.ctHb, busConnector.ctHb)
            annotation (Line(
              points={{71,-48},{98,-48},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.ctHb, busConnector.ctHb)
            annotation (Line(
              points={{71,74},{98,74},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.ctHb, busConnector.ctHb)
            annotation (Line(
              points={{-35,20},{6,20},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.ctHb, busConnector.ctHb)
            annotation (Line(
              points={{-35,-10},{6,-10},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.ctHb, busConnector.ctHb)
            annotation (Line(
              points={{71,-78},{98,-78},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.ctHb, busConnector.ctHb)     annotation (
             Line(
              points={{-35,-70},{6,-70},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.ctHb, busConnector.ctHb)
            annotation (Line(
              points={{-35,80},{5.5,80},{5.5,94},{-88,94}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(bone.ctAlb, busConnector.ctAlb)       annotation (
             Line(
              points={{-35,46},{6,46},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.ctAlb, busConnector.ctAlb)
            annotation (Line(
              points={{71,38},{98,38},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.ctAlb, busConnector.ctAlb)     annotation (
              Line(
              points={{-35,-44},{6,-44},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.ctAlb, busConnector.ctAlb)
            annotation (Line(
              points={{71,8},{98,8},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.ctAlb, busConnector.ctAlb)
            annotation (Line(
              points={{71,-22},{98,-22},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.ctAlb, busConnector.ctAlb)
            annotation (Line(
              points={{71,-52},{98,-52},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.ctAlb, busConnector.ctAlb)
            annotation (Line(
              points={{71,70},{98,70},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.ctAlb, busConnector.ctAlb)
            annotation (Line(
              points={{-35,16},{6,16},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.ctAlb, busConnector.ctAlb)
            annotation (Line(
              points={{-35,-14},{6,-14},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.ctAlb, busConnector.ctAlb)
            annotation (Line(
              points={{71,-82},{98,-82},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.ctAlb, busConnector.ctAlb)     annotation (
             Line(
              points={{-35,-74},{6,-74},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.ctAlb, busConnector.ctAlb)
            annotation (Line(
              points={{-35,76},{5.5,76},{5.5,94},{-88,94}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

         connect(bone.ctGlb, busConnector.ctGlb)       annotation (
             Line(
              points={{-35,42},{6,42},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.ctGlb, busConnector.ctGlb)
            annotation (Line(
              points={{71,34},{98,34},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.ctGlb, busConnector.ctGlb)     annotation (
              Line(
              points={{-35,-48},{6,-48},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.ctGlb, busConnector.ctGlb)
            annotation (Line(
              points={{71,4},{98,4},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.ctGlb, busConnector.ctGlb)
            annotation (Line(
              points={{71,-26},{98,-26},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.ctGlb, busConnector.ctGlb)
            annotation (Line(
              points={{71,-56},{98,-56},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.ctGlb, busConnector.ctGlb)
            annotation (Line(
              points={{71,66},{98,66},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.ctGlb, busConnector.ctGlb)
            annotation (Line(
              points={{-35,12},{6,12},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.ctGlb, busConnector.ctGlb)
            annotation (Line(
              points={{-35,-18},{6,-18},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.ctGlb, busConnector.ctGlb)
            annotation (Line(
              points={{71,-86},{98,-86},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.ctGlb, busConnector.ctGlb)     annotation (
             Line(
              points={{-35,-78},{6,-78},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.ctGlb, busConnector.ctGlb)
            annotation (Line(
              points={{-35,72},{5.5,72},{5.5,94},{-88,94}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

         connect(bone.ctPO4, busConnector.ctPO4)       annotation (
             Line(
              points={{-35,38},{6,38},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.ctPO4, busConnector.ctPO4)
            annotation (Line(
              points={{71,30},{98,30},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.ctPO4, busConnector.ctPO4)     annotation (
              Line(
              points={{-35,-52},{6,-52},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.ctPO4, busConnector.ctPO4)
            annotation (Line(
              points={{71,0},{98,0},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.ctPO4, busConnector.ctPO4)
            annotation (Line(
              points={{71,-30},{98,-30},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.ctPO4, busConnector.ctPO4)
            annotation (Line(
              points={{71,-60},{98,-60},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.ctPO4, busConnector.ctPO4)
            annotation (Line(
              points={{71,62},{98,62},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.ctPO4, busConnector.ctPO4)
            annotation (Line(
              points={{-35,8},{6,8},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.ctPO4, busConnector.ctPO4)
            annotation (Line(
              points={{-35,-22},{6,-22},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.ctPO4, busConnector.ctPO4)
            annotation (Line(
              points={{71,-90},{98,-90},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.ctPO4, busConnector.ctPO4)     annotation (
             Line(
              points={{-35,-82},{6,-82},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.ctPO4, busConnector.ctPO4)
            annotation (Line(
              points={{-35,68},{5.5,68},{5.5,94},{-88,94}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(bone.cHCO3, busConnector.bone_cHCO3)        annotation (
             Line(
              points={{-35,54},{6,54},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(brain.cHCO3, busConnector.brain_cHCO3)
            annotation (Line(
              points={{71,46},{98,46},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(fat.cHCO3, busConnector.fat_cHCO3)     annotation (
              Line(
              points={{-35,-36},{6,-36},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(GITract.cHCO3, busConnector.GITract_cHCO3)
            annotation (Line(
              points={{71,16},{98,16},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(kidney.cHCO3, busConnector.kidney_cHCO3)
            annotation (Line(
              points={{71,-14},{98,-14},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(leftHeart.cHCO3, busConnector.leftHeart_cHCO3)
            annotation (Line(
              points={{71,-44},{98,-44},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(liver.cHCO3, busConnector.liver_cHCO3)
            annotation (Line(
              points={{71,78},{98,78},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(otherTissue.cHCO3, busConnector.otherTissue_cHCO3)
            annotation (Line(
              points={{-35,24},{6,24},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(respiratoryMuscle.cHCO3, busConnector.respiratoryMuscle_cHCO3)
            annotation (Line(
              points={{-35,-6},{6,-6},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(rightHeart.cHCO3, busConnector.rightHeart_cHCO3)
            annotation (Line(
              points={{71,-74},{98,-74},{98,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skin.cHCO3, busConnector.skin_cHCO3)     annotation (
             Line(
              points={{-35,-66},{6,-66},{6,94},{-88,94}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));
          connect(skeletalMuscle.cHCO3, busConnector.skeletalMuscle_cHCO3)
            annotation (Line(
              points={{-35,84},{5.5,84},{5.5,94},{-88,94}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{5,2},{5,2}}));

          connect(bone.pH_ery, busConnector.bone_pH_ery) annotation (Line(
              points={{-42,34},{6,34},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(brain.pH_ery, busConnector.brain_pH_ery) annotation (Line(
              points={{64,26},{6,26},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(fat.pH_ery, busConnector.fat_pH_ery) annotation (Line(
              points={{-42,-56},{6,-56},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(GITract.pH_ery, busConnector.GITract_pH_ery) annotation (Line(
              points={{64,-4},{6,-4},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(kidney.pH_ery, busConnector.kidney_pH_ery) annotation (Line(
              points={{64,-34},{6,-34},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(leftHeart.pH_ery, busConnector.leftHeart_pH_ery) annotation (Line(
              points={{64,-64},{6,-64},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(liver.pH_ery, busConnector.liver_pH_ery) annotation (Line(
              points={{64,58},{6,58},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(otherTissue.pH_ery, busConnector.otherTissue_pH_ery) annotation (Line(
              points={{-42,4},{6,4},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(rightHeart.pH_ery, busConnector.rightHeart_pH_ery) annotation (Line(
              points={{64,-94},{6,-94},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(respiratoryMuscle.pH_ery, busConnector.respiratoryMuscle_pH_ery) annotation (Line(
              points={{-42,-26},{6,-26},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skin.pH_ery, busConnector.skin_pH_ery) annotation (Line(
              points={{-42,-86},{6,-86},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skeletalMuscle.pH_ery, busConnector.skeletalMuscle_pH_ery) annotation (Line(
              points={{-42,64},{6,64},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));

         connect(bone.pH, busConnector.bone_pH_plasma) annotation (Line(
              points={{-46,34},{6,34},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(brain.pH, busConnector.brain_pH_plasma) annotation (Line(
              points={{60,26},{6,26},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(fat.pH, busConnector.fat_pH_plasma) annotation (Line(
              points={{-46,-56},{6,-56},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
               connect(GITract.pH, busConnector.GITract_pH_plasma) annotation (Line(
              points={{60,-4},{6,-4},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(kidney.pH, busConnector.kidney_pH_plasma) annotation (Line(
              points={{60,-34},{6,-34},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(leftHeart.pH, busConnector.leftHeart_pH_plasma) annotation (Line(
              points={{60,-64},{6,-64},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(liver.pH, busConnector.liver_pH_plasma) annotation (Line(
              points={{60,58},{6,58},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(otherTissue.pH, busConnector.otherTissue_pH_plasma) annotation (Line(
              points={{-46,4},{6,4},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
           connect(rightHeart.pH, busConnector.rightHeart_pH_plasma) annotation (Line(
              points={{60,-94},{6,-94},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(respiratoryMuscle.pH, busConnector.respiratoryMuscle_pH_plasma) annotation (Line(
              points={{-46,-26},{6,-26},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(skin.pH, busConnector.skin_pH_plasma) annotation (Line(
              points={{-46,-86},{6,-86},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(skeletalMuscle.pH, busConnector.skeletalMuscle_pH_plasma) annotation (Line(
              points={{-46,64},{6,64},{6,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(busConnector.Blood_BEox, cTH_lessLactate.u1) annotation (Line(
              points={{-88,94},{-114,94},{-114,130},{-94,130}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(cTH_lessLactate.y, skeletalMuscle.ctHox_lessLactate) annotation (Line(
              points={{-71,124},{-66,124},{-66,76},{-53,76}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(busConnector.LacPool, cTH_lessLactate.u2) annotation (Line(
            points={{-88,94},{-114,94},{-114,118},{-94,118}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,140}}),       graphics={
                Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,255},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-96,-62},{98,-94}},
                  lineColor={0,0,255},
                  textString="%name"),
                Text(
                  extent={{-94,12},{-10,40}},
                  lineColor={0,0,0},
                  textString="Blood"),
                Text(
                  extent={{32,40},{98,-14}},
                  lineColor={0,0,0},
                  textString="pH")}),
                                   Diagram(coordinateSystem(preserveAspectRatio=false,
                          extent={{-100,-100},{100,140}}), graphics),
            Documentation(info="<html>
<p>BE_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then BE value decrease with the same concentration. </p>
<p>Meaning might be interpreted like what amount of hydrogen iont must be added to sollution if the end poit of titration will be pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can be simplified with difference of lactate concentration from its normal value.</p>
</html>",         revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>dec 2013</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end Bloods;

        model BloodBase
          extends Physiomodel.Electrolytes.AcidBase.BloodPhBase;

          Physiolibrary.Types.RealIO.VolumeDensityOfChargeInput ctHox_lessLactate(
                                              displayUnit="mEq/l")
          "titratable acidity of oxygenated blood"
                                           annotation (Placement(transformation(extent={{-54,62},
                    {-14,102}}),          iconTransformation(extent={{-10,-10},{10,10}},
                origin={-90,0})));
          Physiolibrary.Types.RealIO.TemperatureInput T(
                                           displayUnit="degC")
          "tissue interstitial bicarbonate concentration"
                                           annotation (Placement(transformation(extent={{62,24},
                    {40,2}}),             iconTransformation(extent={{-10,-10},{10,10}},
                origin={-90,-72})));
          Physiolibrary.Types.RealIO.ConcentrationInput cLactate
          "titratable acidity of oxygenated blood"
                                           annotation (Placement(transformation(extent={{-6,66},
                    {34,106}}),           iconTransformation(extent={{-10,-10},{10,10}},
                origin={-90,40})));                             //(final displayUnit="mEq/l")
        equation

        //base excess
          ctHox_lessLactate/Modelica.Constants.F + cLactate = _cTHox;

         // cTH_interstitial = -(1-((ctHb_ery/3)/43))*((cHCO3_interstitial-24.5)+betaX*(pH_interstitial-7.42));

          annotation ( Icon(coordinateSystem(preserveAspectRatio=true,
                  extent={{-100,-100},{100,100}}), graphics={Text(
                  extent={{30,100},{96,46}},
                  lineColor={0,0,0},
                  textString="pH"), Text(
                  extent={{-96,72},{-12,100}},
                  lineColor={0,0,0},
                  textString="Blood")}),
            Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2013</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end BloodBase;

        package Blood
          model SkeletalMuscleBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.SkeletalMuscle;
          end SkeletalMuscleBloodPh;

          model BoneBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.Bone;
          end BoneBloodPh;

          model OtherTissueBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.OtherTissue;
          end OtherTissueBloodPh;

          model RespiratoryMuscleBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.RespiratoryMuscle;
          end RespiratoryMuscleBloodPh;

          model FatBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.Fat;
          end FatBloodPh;

          model LeftHeartBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.LeftHeart;
          end LeftHeartBloodPh;

          model SkinBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.Skin;
          end SkinBloodPh;

          model LiverBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.Liver;
          end LiverBloodPh;

          model BrainBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.Brain;
          end BrainBloodPh;

          model GITractBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.GITract;
          end GITractBloodPh;

          model KidneyBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.Kidney;
          end KidneyBloodPh;

          model RightHeartBloodPh
            extends BloodBase;
            extends Physiolibrary.Icons.RightHeart;
          end RightHeartBloodPh;
        end Blood;

        model Cells

        Cell.SkeletalMuscleIntracellularPh skeletalMuscle
          annotation (Placement(transformation(extent={{-54,64},{-34,84}})));

        Cell.BoneIntracellularPh bone
          annotation (Placement(transformation(extent={{-54,36},{-34,56}})));

        Cell.FatIntracellularPh fat
          annotation (Placement(transformation(extent={{-54,-54},{-34,-34}})));

        Cell.BrainIntracellularPh brain
          annotation (Placement(transformation(extent={{52,28},{72,48}})));

        Cell.RightHeartIntracellularPh rightHeart
          annotation (Placement(transformation(extent={{52,-92},{72,-72}})));

        Cell.RespiratoryMuscleIntracellularPh respiratoryMuscle
          annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));

        Cell.OtherTissueIntracellularPh otherTissue
          annotation (Placement(transformation(extent={{-54,6},{-34,26}})));

        Cell.LiverIntracellularPh liver
          annotation (Placement(transformation(extent={{52,60},{72,80}})));

        Cell.LeftHeartIntracellularPh leftHeart
          annotation (Placement(transformation(extent={{52,-62},{72,-42}})));

        Cell.KidneyIntracellularPh kidney
          annotation (Placement(transformation(extent={{52,-32},{72,-12}})));

        Cell.GITractIntracellularPh GITract
          annotation (Placement(transformation(extent={{52,-2},{72,18}})));

        Physiolibrary.Types.BusConnector busConnector
          annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
        Cell.SkinIntracellularPh skin
          annotation (Placement(transformation(extent={{-54,-84},{-34,-64}})));

        equation
          connect(busConnector.KCell_conc, bone.KCell)      annotation (
             Line(
              points={{-88,92},{-88,46},{-53,46}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, brain.KCell)
            annotation (Line(
              points={{-88,92},{6,92},{6,38},{53,38}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, fat.KCell)      annotation (
              Line(
              points={{-88,92},{-88,-44},{-53,-44}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, GITract.KCell)
            annotation (Line(
              points={{-88,92},{6,92},{6,8},{53,8}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, kidney.KCell)
            annotation (Line(
              points={{-88,92},{6,92},{6,-22},{53,-22}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, leftHeart.KCell)
            annotation (Line(
              points={{-88,92},{6,92},{6,-52},{53,-52}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, liver.KCell)
            annotation (Line(
              points={{-88,92},{6,92},{6,70},{53,70}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, otherTissue.KCell)
            annotation (Line(
              points={{-88,92},{-88,16},{-53,16}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, respiratoryMuscle.KCell)
            annotation (Line(
              points={{-88,92},{-88,-14},{-53,-14}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, rightHeart.KCell)
            annotation (Line(
              points={{-88,92},{6,92},{6,-82},{53,-82}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, skin.KCell)      annotation (
             Line(
              points={{-88,92},{-88,-74},{-53,-74}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.KCell_conc, skeletalMuscle.KCell)
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,74},{-53,74}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

          connect(busConnector.bone_cLactate, bone.cLactate)        annotation (
             Line(
              points={{-88,92},{-88,42},{-53,42}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain_cLactate, brain.cLactate)
            annotation (Line(
              points={{-88,92},{6,92},{6,34},{53,34}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat_cLactate, fat.cLactate)      annotation (
              Line(
              points={{-88,92},{-88,-48},{-53,-48}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract_cLactate, GITract.cLactate)
            annotation (Line(
              points={{-88,92},{6,92},{6,4},{53,4}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_cLactate, kidney.cLactate)
            annotation (Line(
              points={{-88,92},{6,92},{6,-26},{53,-26}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_cLactate, leftHeart.cLactate)
            annotation (Line(
              points={{-88,92},{6,92},{6,-56},{53,-56}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_cLactate, liver.cLactate)
            annotation (Line(
              points={{-88,92},{6,92},{6,66},{53,66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue_cLactate, otherTissue.cLactate)
            annotation (Line(
              points={{-88,92},{-88,12},{-53,12}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle_cLactate, respiratoryMuscle.cLactate)
            annotation (Line(
              points={{-88,92},{-88,-18},{-53,-18}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_cLactate, rightHeart.cLactate)
            annotation (Line(
              points={{-88,92},{6,92},{6,-86},{53,-86}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_cLactate, skin.cLactate)      annotation (
             Line(
              points={{-88,92},{-88,-78},{-53,-78}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle_cLactate, skeletalMuscle.cLactate)
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,70},{-53,70}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

         connect(busConnector.bone.pCO2, bone.pCO2)        annotation (
             Line(
              points={{-88,92},{-88,54},{-53,54}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.brain.pCO2, brain.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,46},{53,46}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.fat.pCO2, fat.pCO2)      annotation (
              Line(
              points={{-88,92},{-88,-36},{-53,-36}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.GITract.pCO2, GITract.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,16},{53,16}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.kidney_pCO2, kidney.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,-14},{53,-14}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.leftHeart_pCO2, leftHeart.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,-44},{53,-44}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.liver_pCO2, liver.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,78},{53,78}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.otherTissue.pCO2, otherTissue.pCO2)
            annotation (Line(
              points={{-88,92},{-88,24},{-53,24}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.respiratoryMuscle.pCO2, respiratoryMuscle.pCO2)
            annotation (Line(
              points={{-88,92},{-88,-6},{-53,-6}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.rightHeart_pCO2, rightHeart.pCO2)
            annotation (Line(
              points={{-88,92},{6,92},{6,-74},{53,-74}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skin_pCO2, skin.pCO2)      annotation (
             Line(
              points={{-88,92},{-88,-66},{-53,-66}},
              color={0,127,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));
          connect(busConnector.skeletalMuscle.pCO2, skeletalMuscle.pCO2)
            annotation (Line(
              points={{-88,92},{-87.5,92},{-87.5,82},{-53,82}},
              color={127,0,0},
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-5,2},{-5,2}}));

        connect(bone.pH, busConnector.bone_pH_intracellular) annotation (Line(
              points={{-38,34},{6,34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(brain.pH, busConnector.brain_pH_intracellular) annotation (Line(
              points={{68,26},{6,26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(fat.pH, busConnector.fat_pH_intracellular) annotation (Line(
              points={{-38,-56},{6,-56},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(GITract.pH, busConnector.GITract_pH_intracellular) annotation (Line(
              points={{68,-4},{6,-4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(kidney.pH, busConnector.kidney_pH_intracellular) annotation (Line(
              points={{68,-34},{6,-34},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(leftHeart.pH, busConnector.leftHeart_pH_intracellular) annotation (Line(
              points={{68,-64},{6,-64},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(liver.pH, busConnector.liver_pH_intracellular) annotation (Line(
              points={{68,58},{6,58},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(otherTissue.pH, busConnector.otherTissue_pH_intracellular) annotation (Line(
              points={{-38,4},{6,4},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(rightHeart.pH, busConnector.rightHeart_pH_intracellular) annotation (Line(
              points={{68,-94},{6,-94},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(respiratoryMuscle.pH, busConnector.respiratoryMuscle_pH_intracellular) annotation (Line(
              points={{-38,-26},{6,-26},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skin.pH, busConnector.skin_pH_intracellular) annotation (Line(
              points={{-38,-86},{6,-86},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));
         connect(skeletalMuscle.pH, busConnector.skeletalMuscle_pH_intracellular) annotation (Line(
              points={{-38,62},{6,62},{6,92},{-88,92}},
              color={0,0,127},
              smooth=Smooth.None));

          annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics={
                Rectangle(
                  extent={{-100,100},{100,-100}},
                  lineColor={0,0,255},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-96,-62},{98,-94}},
                  lineColor={0,0,255},
                  textString="%name"),
                Text(
                  extent={{-90,0},{-26,28}},
                  lineColor={0,0,0},
                  textString="ICF"),
                Text(
                  extent={{28,30},{94,-24}},
                  lineColor={0,0,0},
                  textString="pH")}),
            Documentation(info="<html>
<p>BE_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then BE value decrease with the same concentration. </p>
<p>Meaning might be interpreted like what amount of hydrogen iont must be added to sollution if the end poit of titration will be pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can be simplified with difference of lactate concentration from its normal value.</p>
</html>",         revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end Cells;

        model CellBase
         parameter Real CellSID_OtherCations(final displayUnit="mEq/l") = 12;
         parameter Real CellSID_StrongAnions(final displayUnit="mEq/l") = 117;
          Physiolibrary.Types.RealIO.ConcentrationInput KCell(
                                              final displayUnit="mEq/l")
          "tissue interstitial titratable acidity"
                                           annotation (Placement(transformation(extent={{-94,4},
                    {-54,44}}),           iconTransformation(extent={{-10,-10},{10,10}},
                origin={-90,0})));
          Physiolibrary.Types.RealIO.ConcentrationInput cLactate(
                                                 final displayUnit="mEq/l")
          "tissue lactate concentration"   annotation (Placement(transformation(extent={{-78,-86},
                    {-62,-70}}),          iconTransformation(extent={{-10,-10},{10,10}},
                origin={-90,-40})));
          Physiolibrary.Types.RealIO.pHOutput pH "tissue intracellular pH"            annotation (Placement(
                transformation(extent={{66,-42},{86,-22}}), iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={60,-120})));
          Physiolibrary.Types.RealIO.PressureInput pCO2(
                                             final displayUnit="mmHg")
          "tissue partial CO2 pressure"    annotation (Placement(transformation(extent={{-28,-38},
                    {-10,-20}}),         iconTransformation(
                extent={{-10,-10},{10,10}},
                origin={-90,80})));
          Modelica.Blocks.Math.Add cations                                                                                                 annotation (Placement(transformation(extent={{-28,8},
                    {-8,28}})));
          Modelica.Blocks.Math.Add anions                                                                                                   annotation (Placement(transformation(extent={{-32,-82},
                    {-12,-62}})));
          Modelica.Blocks.Math.Feedback SID "intracellular"                                                                                          annotation (Placement(transformation(extent={{-4,8},{
                    16,28}})));
        Physiolibrary.Types.Constants.ConcentrationConst
          electrolytesConcentrationConstant_per_l1(k=(CellSID_OtherCations))
          annotation (Placement(transformation(extent={{-76,-12},{-56,8}})));
        Physiolibrary.Types.Constants.ConcentrationConst
          electrolytesConcentrationConstant_per_l2(k=(CellSID_StrongAnions))
          annotation (Placement(transformation(extent={{-76,-60},{-56,-40}})));
          Modelica.Blocks.Math.Division division
            annotation (Placement(transformation(extent={{32,2},{52,22}})));
          Modelica.Blocks.Math.Log10 log10_1
            annotation (Placement(transformation(extent={{66,2},{86,22}})));
          Modelica.Blocks.Math.Add add1
            annotation (Placement(transformation(extent={{46,-42},{66,-22}})));
        Physiolibrary.Types.Constants.pHConst                   const(k=7.15 -
              log10(760/101325))
          "The RQ in brain calculation from KA/Glu ratio instead of 0.8 gives 1.25 time more CO2!"
          annotation (Placement(transformation(extent={{14,-48},{34,-28}})));
          Modelica.Blocks.Math.Max max
            annotation (Placement(transformation(extent={{16,-18},{24,-10}})));
        Physiolibrary.Types.Constants.PressureConst             PCO2_min_value(k(
              displayUnit="mmHg") = 0.133322387415)
          annotation (Placement(transformation(extent={{-10,-12},{-2,-4}})));
        Physiolibrary.Types.Constants.ConcentrationConst maxH(k=10^(-7.15)*(760
              /101325))
          annotation (Placement(transformation(extent={{28,52},{36,60}})));
          Modelica.Blocks.Math.Max max1
            annotation (Placement(transformation(extent={{54,46},{62,54}})));
        equation

          connect(anions.y, SID.u2)                                                                                                   annotation (Line(       points={{-11,-72},
                  {6,-72},{6,10}},                                                                                                    color={0,0,127},       smooth=Smooth.None));
          connect(cations.y, SID.u1)                                                                                                 annotation (Line(       points={{-7,18},
                  {-2,18}},                                                                                                   color={0,0,127},       smooth=Smooth.None));
          connect(electrolytesConcentrationConstant_per_l1.y, cations.u2)                                                                                                 annotation (Line(       points={{-53.5,
                -2},{-36,-2},{-36,12},{-30,12}},                                                                                                  color={0,0,127},       smooth=Smooth.None));
          connect(electrolytesConcentrationConstant_per_l2.y, anions.u1)                                                                                                   annotation (Line(       points={{-53.5,
                -50},{-42,-50},{-42,-66},{-34,-66}},                                                                                                 color={0,0,127},       smooth=Smooth.None));
          connect(KCell, cations.u1)
                                 annotation (Line(
              points={{-74,24},{-30,24}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(cLactate, anions.u2)
                                     annotation (Line(
              points={{-70,-78},{-34,-78}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(log10_1.y, add1.u1) annotation (Line(
              points={{87,12},{92,12},{92,-6},{40,-6},{40,-26},{44,-26}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(add1.y, pH) annotation (Line(
              points={{67,-32},{76,-32}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(const.y, add1.u2) annotation (Line(
              points={{36.5,-38},{44,-38}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(SID.y, division.u1) annotation (Line(
              points={{15,18},{30,18}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(max.y, division.u2) annotation (Line(
              points={{24.4,-14},{26,-14},{26,6},{30,6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(pCO2, max.u2) annotation (Line(
              points={{-19,-29},{-3.5,-29},{-3.5,-16.4},{15.2,-16.4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(PCO2_min_value.y, max.u1) annotation (Line(
              points={{-1,-8},{8.2,-8},{8.2,-11.6},{15.2,-11.6}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(maxH.y, max1.u1) annotation (Line(
            points={{37,56},{46,56},{46,52.4},{53.2,52.4}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(max1.u2, division.y) annotation (Line(
              points={{53.2,47.6},{53.2,29.8},{53,29.8},{53,12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(max1.y, log10_1.u) annotation (Line(
              points={{62.4,50},{64,50},{64,12}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation ( Icon(coordinateSystem(preserveAspectRatio=true,
                  extent={{-100,-100},{100,100}}), graphics={
                Text(
                  extent={{34,102},{100,48}},
                  lineColor={0,0,0},
                  textString="pH"),
                Text(
                  extent={{-84,72},{-20,100}},
                  lineColor={0,0,0},
                  textString="ICF"),
                Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}),
            Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end CellBase;

        package Cell
           model SkeletalMuscleIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.SkeletalMuscle;
           end SkeletalMuscleIntracellularPh;

          model BoneIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.Bone;
          end BoneIntracellularPh;

          model OtherTissueIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.OtherTissue;
          end OtherTissueIntracellularPh;

          model RespiratoryMuscleIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.RespiratoryMuscle;
          end RespiratoryMuscleIntracellularPh;

          model FatIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.Fat;
          end FatIntracellularPh;

          model SkinIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.Skin;
          end SkinIntracellularPh;

          model LiverIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.Liver;
          end LiverIntracellularPh;

          model BrainIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.Brain;
          end BrainIntracellularPh;

          model GITractIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.GITract;
          end GITractIntracellularPh;

          model KidneyIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.Kidney;
          end KidneyIntracellularPh;

          model LeftHeartIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.LeftHeart;
          end LeftHeartIntracellularPh;

          model RightHeartIntracellularPh
            extends CellBase;
            extends Physiolibrary.Icons.RightHeart;
          end RightHeartIntracellularPh;
        end Cell;

        package old
          model TissuesPh
          Blood.SkeletalMuscleBloodPh skeletalMuscle
            annotation (Placement(transformation(extent={{-54,66},{-34,86}})));

          Blood.BoneBloodPh bone
            annotation (Placement(transformation(extent={{-54,36},{-34,56}})));

          Blood.FatBloodPh fat annotation (Placement(transformation(extent={{-54,
                    -54},{-34,-34}})));

          Blood.BrainBloodPh brain
            annotation (Placement(transformation(extent={{52,28},{72,48}})));

          Blood.RightHeartBloodPh rightHeart
            annotation (Placement(transformation(extent={{52,-92},{72,-72}})));

          Blood.RespiratoryMuscleBloodPh respiratoryMuscle
            annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));

          Blood.OtherTissueBloodPh otherTissue
            annotation (Placement(transformation(extent={{-54,6},{-34,26}})));

          Blood.LiverBloodPh liver
            annotation (Placement(transformation(extent={{52,60},{72,80}})));

          Blood.LeftHeartBloodPh leftHeart
            annotation (Placement(transformation(extent={{52,-62},{72,-42}})));

          Blood.KidneyBloodPh kidney
            annotation (Placement(transformation(extent={{52,-32},{72,-12}})));

          Blood.GITractBloodPh GITract
            annotation (Placement(transformation(extent={{52,-2},{72,18}})));

          Physiolibrary.Types.BusConnector busConnector annotation (Placement(
                transformation(extent={{-108,72},{-68,112}})));
          Blood.SkinBloodPh skin annotation (Placement(transformation(extent={{
                    -54,-84},{-34,-64}})));

          equation
            connect(busConnector.bone_sO2, bone.sO2)        annotation (
               Line(
                points={{-88,92},{-88,57},{-38,57}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.brain_sO2, brain.sO2)
              annotation (Line(
                points={{-88,92},{6,92},{6,49},{68,49}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.fat_sO2, fat.sO2)      annotation (
                Line(
                points={{-88,92},{-88,-33},{-38,-33}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.GITract_sO2, GITract.sO2)
              annotation (Line(
                points={{-88,92},{6,92},{6,19},{68,19}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.kidney_sO2, kidney.sO2)
              annotation (Line(
                points={{-88,92},{6,92},{6,-11},{68,-11}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.leftHeart_sO2, leftHeart.sO2)
              annotation (Line(
                points={{-88,92},{6,92},{6,-41},{68,-41}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.liver_sO2, liver.sO2)
              annotation (Line(
                points={{-88,92},{6,92},{6,81},{68,81}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.otherTissue_sO2, otherTissue.sO2)
              annotation (Line(
                points={{-88,92},{-88,27},{-38,27}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.respiratoryMuscle_sO2, respiratoryMuscle.sO2)
              annotation (Line(
                points={{-88,92},{-88,-3},{-38,-3}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.rightHeart_sO2, rightHeart.sO2)
              annotation (Line(
                points={{-88,92},{6,92},{6,-71},{68,-71}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.skin_sO2, skin.sO2)      annotation (
               Line(
                points={{-88,92},{-88,-63},{-38,-63}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.skeletalMuscle_sO2, skeletalMuscle.sO2)
              annotation (Line(
                points={{-88,92},{-87.5,92},{-87.5,87},{-38,87}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));

           connect(busConnector.bone_T, bone.T)        annotation (
               Line(
                points={{-88,92},{-88,38.8},{-53,38.8}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.brain_T, brain.T)
              annotation (Line(
                points={{-88,92},{6,92},{6,30.8},{53,30.8}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.fat_T, fat.T)      annotation (
                Line(
                points={{-88,92},{-88,-51.2},{-53,-51.2}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.GITract_T, GITract.T)
              annotation (Line(
                points={{-88,92},{6,92},{6,0.8},{53,0.8}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.kidney_T, kidney.T)
              annotation (Line(
                points={{-88,92},{6,92},{6,-29.2},{53,-29.2}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.leftHeart_T, leftHeart.T)
              annotation (Line(
                points={{-88,92},{6,92},{6,-59.2},{53,-59.2}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.liver_T, liver.T)
              annotation (Line(
                points={{-88,92},{6,92},{6,62.8},{53,62.8}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.otherTissue_T, otherTissue.T)
              annotation (Line(
                points={{-88,92},{-88,8.8},{-53,8.8}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.respiratoryMuscle_T, respiratoryMuscle.T)
              annotation (Line(
                points={{-88,92},{-88,-21.2},{-53,-21.2}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.rightHeart_T, rightHeart.T)
              annotation (Line(
                points={{-88,92},{6,92},{6,-89.2},{53,-89.2}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.skin_T, skin.T)      annotation (
               Line(
                points={{-88,92},{-88,-81.2},{-53,-81.2}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.skeletalMuscle_T, skeletalMuscle.T)
              annotation (Line(
                points={{-88,92},{-87.5,92},{-87.5,68.8},{-53,68.8}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));

           connect(busConnector.bone_cTH_interstitial, bone.ctHox)        annotation (
               Line(
                points={{-88,92},{-88,50},{-53,50}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.brain_cTH_interstitial, brain.ctHox)
              annotation (Line(
                points={{-88,92},{6,92},{6,42},{53,42}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.fat_cTH_interstitial, fat.ctHox)      annotation (
                Line(
                points={{-88,92},{-88,-40},{-53,-40}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.GITract_cTH_interstitial, GITract.ctHox)
              annotation (Line(
                points={{-88,92},{6,92},{6,12},{53,12}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.kidney_cTH_interstitial, kidney.ctHox)
              annotation (Line(
                points={{-88,92},{6,92},{6,-18},{53,-18}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.leftHeart_cTH_interstitial, leftHeart.ctHox)
              annotation (Line(
                points={{-88,92},{6,92},{6,-48},{53,-48}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.liver_cTH_interstitial, liver.ctHox)
              annotation (Line(
                points={{-88,92},{6,92},{6,74},{53,74}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.otherTissue_cTH_interstitial, otherTissue.ctHox)
              annotation (Line(
                points={{-88,92},{-88,20},{-53,20}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.respiratoryMuscle_cTH_interstitial, respiratoryMuscle.ctHox)
              annotation (Line(
                points={{-88,92},{-88,-10},{-53,-10}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.rightHeart_cTH_interstitial, rightHeart.ctHox)
              annotation (Line(
                points={{-88,92},{6,92},{6,-78},{53,-78}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.skin_cTH_interstitial, skin.ctHox)      annotation (
               Line(
                points={{-88,92},{-88,-70},{-53,-70}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));
            connect(busConnector.skeletalMuscle_cTH_interstitial, skeletalMuscle.ctHox)
              annotation (Line(
                points={{-88,92},{-87.5,92},{-87.5,80},{-53,80}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%first",
                index=-1,
                extent={{-5,2},{-5,2}}));

            connect(bone.ctHb, busConnector.ctHb)       annotation (
               Line(
                points={{-35,50},{6,50},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(brain.ctHb, busConnector.ctHb)
              annotation (Line(
                points={{71,42},{98,42},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(fat.ctHb, busConnector.ctHb)     annotation (
                Line(
                points={{-35,-40},{6,-40},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(GITract.ctHb, busConnector.ctHb)
              annotation (Line(
                points={{71,12},{98,12},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(kidney.ctHb, busConnector.ctHb)
              annotation (Line(
                points={{71,-18},{98,-18},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(leftHeart.ctHb, busConnector.ctHb)
              annotation (Line(
                points={{71,-48},{98,-48},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(liver.ctHb, busConnector.ctHb)
              annotation (Line(
                points={{71,74},{98,74},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(otherTissue.ctHb, busConnector.ctHb)
              annotation (Line(
                points={{-35,20},{6,20},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(respiratoryMuscle.ctHb, busConnector.ctHb)
              annotation (Line(
                points={{-35,-10},{6,-10},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(rightHeart.ctHb, busConnector.ctHb)
              annotation (Line(
                points={{71,-78},{98,-78},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skin.ctHb, busConnector.ctHb)     annotation (
               Line(
                points={{-35,-70},{6,-70},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skeletalMuscle.ctHb, busConnector.ctHb)
              annotation (Line(
                points={{-35,80},{5.5,80},{5.5,92},{-88,92}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));

            connect(bone.ctAlb, busConnector.ctAlb)       annotation (
               Line(
                points={{-35,46},{6,46},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(brain.ctAlb, busConnector.ctAlb)
              annotation (Line(
                points={{71,38},{98,38},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(fat.ctAlb, busConnector.ctAlb)     annotation (
                Line(
                points={{-35,-44},{6,-44},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(GITract.ctAlb, busConnector.ctAlb)
              annotation (Line(
                points={{71,8},{98,8},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(kidney.ctAlb, busConnector.ctAlb)
              annotation (Line(
                points={{71,-22},{98,-22},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(leftHeart.ctAlb, busConnector.ctAlb)
              annotation (Line(
                points={{71,-52},{98,-52},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(liver.ctAlb, busConnector.ctAlb)
              annotation (Line(
                points={{71,70},{98,70},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(otherTissue.ctAlb, busConnector.ctAlb)
              annotation (Line(
                points={{-35,16},{6,16},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(respiratoryMuscle.ctAlb, busConnector.ctAlb)
              annotation (Line(
                points={{-35,-14},{6,-14},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(rightHeart.ctAlb, busConnector.ctAlb)
              annotation (Line(
                points={{71,-82},{98,-82},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skin.ctAlb, busConnector.ctAlb)     annotation (
               Line(
                points={{-35,-74},{6,-74},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skeletalMuscle.ctAlb, busConnector.ctAlb)
              annotation (Line(
                points={{-35,76},{5.5,76},{5.5,92},{-88,92}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));

           connect(bone.ctGlb, busConnector.ctGlb)       annotation (
               Line(
                points={{-35,42},{6,42},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(brain.ctGlb, busConnector.ctGlb)
              annotation (Line(
                points={{71,34},{98,34},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(fat.ctGlb, busConnector.ctGlb)     annotation (
                Line(
                points={{-35,-48},{6,-48},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(GITract.ctGlb, busConnector.ctGlb)
              annotation (Line(
                points={{71,4},{98,4},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(kidney.ctGlb, busConnector.ctGlb)
              annotation (Line(
                points={{71,-26},{98,-26},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(leftHeart.ctGlb, busConnector.ctGlb)
              annotation (Line(
                points={{71,-56},{98,-56},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(liver.ctGlb, busConnector.ctGlb)
              annotation (Line(
                points={{71,66},{98,66},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(otherTissue.ctGlb, busConnector.ctGlb)
              annotation (Line(
                points={{-35,12},{6,12},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(respiratoryMuscle.ctGlb, busConnector.ctGlb)
              annotation (Line(
                points={{-35,-18},{6,-18},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(rightHeart.ctGlb, busConnector.ctGlb)
              annotation (Line(
                points={{71,-86},{98,-86},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skin.ctGlb, busConnector.ctGlb)     annotation (
               Line(
                points={{-35,-78},{6,-78},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skeletalMuscle.ctGlb, busConnector.ctGlb)
              annotation (Line(
                points={{-35,72},{5.5,72},{5.5,92},{-88,92}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));

           connect(bone.ctPO4, busConnector.ctPO4)       annotation (
               Line(
                points={{-35,38},{6,38},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(brain.ctPO4, busConnector.ctPO4)
              annotation (Line(
                points={{71,30},{98,30},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(fat.ctPO4, busConnector.ctPO4)     annotation (
                Line(
                points={{-35,-52},{6,-52},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(GITract.ctPO4, busConnector.ctPO4)
              annotation (Line(
                points={{71,0},{98,0},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(kidney.ctPO4, busConnector.ctPO4)
              annotation (Line(
                points={{71,-30},{98,-30},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(leftHeart.ctPO4, busConnector.ctPO4)
              annotation (Line(
                points={{71,-60},{98,-60},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(liver.ctPO4, busConnector.ctPO4)
              annotation (Line(
                points={{71,62},{98,62},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(otherTissue.ctPO4, busConnector.ctPO4)
              annotation (Line(
                points={{-35,8},{6,8},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(respiratoryMuscle.ctPO4, busConnector.ctPO4)
              annotation (Line(
                points={{-35,-22},{6,-22},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(rightHeart.ctPO4, busConnector.ctPO4)
              annotation (Line(
                points={{71,-90},{98,-90},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skin.ctPO4, busConnector.ctPO4)     annotation (
               Line(
                points={{-35,-82},{6,-82},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skeletalMuscle.ctPO4, busConnector.ctPO4)
              annotation (Line(
                points={{-35,68},{5.5,68},{5.5,92},{-88,92}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));

            connect(bone.cHCO3, busConnector.bone_cHCO3)        annotation (
               Line(
                points={{-35,54},{6,54},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(brain.cHCO3, busConnector.brain_cHCO3)
              annotation (Line(
                points={{71,46},{98,46},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(fat.cHCO3, busConnector.fat_cHCO3)     annotation (
                Line(
                points={{-35,-36},{6,-36},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(GITract.cHCO3, busConnector.GITract_cHCO3)
              annotation (Line(
                points={{71,16},{98,16},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(kidney.cHCO3, busConnector.kidney_cHCO3)
              annotation (Line(
                points={{71,-14},{98,-14},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(leftHeart.cHCO3, busConnector.leftHeart_cHCO3)
              annotation (Line(
                points={{71,-44},{98,-44},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(liver.cHCO3, busConnector.liver_cHCO3)
              annotation (Line(
                points={{71,78},{98,78},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(otherTissue.cHCO3, busConnector.otherTissue_cHCO3)
              annotation (Line(
                points={{-35,24},{6,24},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(respiratoryMuscle.cHCO3, busConnector.respiratoryMuscle_cHCO3)
              annotation (Line(
                points={{-35,-6},{6,-6},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(rightHeart.cHCO3, busConnector.rightHeart_cHCO3)
              annotation (Line(
                points={{71,-74},{98,-74},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skin.cHCO3, busConnector.skin_cHCO3)     annotation (
               Line(
                points={{-35,-66},{6,-66},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skeletalMuscle.cHCO3, busConnector.skeletalMuscle_cHCO3)
              annotation (Line(
                points={{-35,84},{5.5,84},{5.5,92},{-88,92}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));

            connect(bone.pH_ery, busConnector.bone_pH_ery) annotation (Line(
                points={{-42,34},{6,34},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(brain.pH_ery, busConnector.brain_pH_ery) annotation (Line(
                points={{64,26},{6,26},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(fat.pH_ery, busConnector.fat_pH_ery) annotation (Line(
                points={{-42,-56},{6,-56},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(GITract.pH_ery, busConnector.GITract_pH_ery) annotation (Line(
                points={{64,-4},{6,-4},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(kidney.pH_ery, busConnector.kidney_pH_ery) annotation (Line(
                points={{64,-34},{6,-34},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(leftHeart.pH_ery, busConnector.leftHeart_pH_ery) annotation (Line(
                points={{64,-64},{6,-64},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(liver.pH_ery, busConnector.liver_pH_ery) annotation (Line(
                points={{64,58},{6,58},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(otherTissue.pH_ery, busConnector.otherTissue_pH_ery) annotation (Line(
                points={{-42,4},{6,4},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(rightHeart.pH_ery, busConnector.rightHeart_pH_ery) annotation (Line(
                points={{64,-94},{6,-94},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(respiratoryMuscle.pH_ery, busConnector.respiratoryMuscle_pH_ery) annotation (Line(
                points={{-42,-26},{6,-26},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(skin.pH_ery, busConnector.skin_pH_ery) annotation (Line(
                points={{-42,-86},{6,-86},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(skeletalMuscle.pH_ery, busConnector.skeletalMuscle_pH_ery) annotation (Line(
                points={{-42,64},{6,64},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));

           connect(bone.pH, busConnector.bone_pH_plasma) annotation (Line(
                points={{-46,34},{6,34},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(brain.pH, busConnector.brain_pH_plasma) annotation (Line(
                points={{60,26},{6,26},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(fat.pH, busConnector.fat_pH_plasma) annotation (Line(
                points={{-46,-56},{6,-56},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
                 connect(GITract.pH, busConnector.GITract_pH_plasma) annotation (Line(
                points={{60,-4},{6,-4},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(kidney.pH, busConnector.kidney_pH_plasma) annotation (Line(
                points={{60,-34},{6,-34},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(leftHeart.pH, busConnector.leftHeart_pH_plasma) annotation (Line(
                points={{60,-64},{6,-64},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(liver.pH, busConnector.liver_pH_plasma) annotation (Line(
                points={{60,58},{6,58},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(otherTissue.pH, busConnector.otherTissue_pH_plasma) annotation (Line(
                points={{-46,4},{6,4},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(rightHeart.pH, busConnector.rightHeart_pH_plasma) annotation (Line(
                points={{60,-94},{6,-94},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(respiratoryMuscle.pH, busConnector.respiratoryMuscle_pH_plasma) annotation (Line(
                points={{-46,-26},{6,-26},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(skin.pH, busConnector.skin_pH_plasma) annotation (Line(
                points={{-46,-86},{6,-86},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(skeletalMuscle.pH, busConnector.skeletalMuscle_pH_plasma) annotation (Line(
                points={{-46,64},{6,64},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));

            annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                      -100},{100,100}}), graphics={
                  Rectangle(
                    extent={{-100,100},{100,-100}},
                    lineColor={0,0,255},
                    fillColor={215,215,215},
                    fillPattern=FillPattern.Solid),
                  Text(
                    extent={{-96,-62},{98,-94}},
                    lineColor={0,0,255},
                    textString="%name"),
                  Text(
                    extent={{-94,12},{-10,40}},
                    lineColor={0,0,0},
                    textString="Blood"),
                  Text(
                    extent={{32,40},{98,-14}},
                    lineColor={0,0,0},
                    textString="pH")}),
              Documentation(info="<html>
<p>BE_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then BE value decrease with the same concentration. </p>
<p>Meaning might be interpreted like what amount of hydrogen iont must be added to sollution if the end poit of titration will be pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can be simplified with difference of lactate concentration from its normal value.</p>
</html>",           revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>dec 2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
          end TissuesPh;

          model Tissues_cTH
           extends Physiolibrary.Icons.Tissues;
          Interstitium.SkeletalMuscleAcidity skeletalMuscle
            annotation (Placement(transformation(extent={{-54,66},{-34,86}})));

          Interstitium.BoneAcidity bone
            annotation (Placement(transformation(extent={{-54,36},{-34,56}})));

          Interstitium.FatAcidity fat annotation (Placement(transformation(
                  extent={{-54,-54},{-34,-34}})));

          Interstitium.BrainAcidity brain
            annotation (Placement(transformation(extent={{52,22},{72,42}})));

          Interstitium.RightHeartAcidity rightHeart
            annotation (Placement(transformation(extent={{52,-98},{72,-78}})));

          Interstitium.RespiratoryMuscleAcidity respiratoryMuscle
            annotation (Placement(transformation(extent={{-54,-24},{-34,-4}})));

          Interstitium.OtherTissueAcidity otherTissue
            annotation (Placement(transformation(extent={{-54,6},{-34,26}})));

          Interstitium.LiverAcidity liver
            annotation (Placement(transformation(extent={{52,52},{72,72}})));

          Interstitium.LeftHeartAcidity leftHeart
            annotation (Placement(transformation(extent={{52,-68},{72,-48}})));

          Interstitium.KidneyAcidity kidney
            annotation (Placement(transformation(extent={{52,-38},{72,-18}})));

          Interstitium.GITractAcidity GITract
            annotation (Placement(transformation(extent={{52,-8},{72,12}})));

          Physiolibrary.Types.BusConnector busConnector annotation (Placement(
                transformation(extent={{-108,72},{-68,112}})));
          Interstitium.SkinAcidity skin annotation (Placement(transformation(
                  extent={{-54,-84},{-34,-64}})));

          Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (
              Placement(transformation(extent={{82,80},{96,92}}),
                iconTransformation(extent={{-110,-6},{-90,14}})));
          Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
              Placement(transformation(extent={{-98,66},{-84,78}}),
                iconTransformation(extent={{90,-10},{110,10}})));

            Physiolibrary.Types.MolarFlowRate cTHfromTissues;//(displayUnit="mEq/min");
          equation
            cTHfromTissues = -( q_out.q + q_in.q);

          connect(bone.BloodFlow, busConnector.bone_BloodFlow)        annotation (
               Line(
                points={{-35,54},{6,54},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(brain.BloodFlow, busConnector.brain_BloodFlow)
              annotation (Line(
                points={{71,40},{98,40},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(fat.BloodFlow, busConnector.fat_BloodFlow)     annotation (
                Line(
                points={{-35,-36},{6,-36},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(GITract.BloodFlow, busConnector.GITract_BloodFlow)
              annotation (Line(
                points={{71,10},{98,10},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(kidney.BloodFlow, busConnector.kidney_BloodFlow)
              annotation (Line(
                points={{71,-20},{98,-20},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(leftHeart.BloodFlow, busConnector.leftHeart_BloodFlow)
              annotation (Line(
                points={{71,-50},{98,-50},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(liver.BloodFlow, busConnector.Liver_BloodFlow)
              annotation (Line(
                points={{71,70},{98,70},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(otherTissue.BloodFlow, busConnector.otherTissue_BloodFlow)
              annotation (Line(
                points={{-35,24},{6,24},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(respiratoryMuscle.BloodFlow, busConnector.respiratoryMuscle_BloodFlow)
              annotation (Line(
                points={{-35,-6},{6,-6},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(rightHeart.BloodFlow, busConnector.rightHeart_BloodFlow)
              annotation (Line(
                points={{71,-80},{98,-80},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skin.BloodFlow, busConnector.skin_BloodFlow)     annotation (
               Line(
                points={{-35,-66},{6,-66},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skeletalMuscle.BloodFlow, busConnector.skeletalMuscle_BloodFlow)
              annotation (Line(
                points={{-35,84},{5.5,84},{5.5,92},{-88,92}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));

            connect(bone.LactateFromMetabolism, busConnector.bone_LactateFromMetabolism)        annotation (
               Line(
                points={{-35,40},{6,40},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(brain.LactateFromMetabolism, busConnector.brain_LactateFromMetabolism)
              annotation (Line(
                points={{71,26},{98,26},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(fat.LactateFromMetabolism, busConnector.fat_LactateFromMetabolism)     annotation (
                Line(
                points={{-35,-50},{6,-50},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(GITract.LactateFromMetabolism, busConnector.GITract_LactateFromMetabolism)
              annotation (Line(
                points={{71,-4},{98,-4},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(kidney.LactateFromMetabolism, busConnector.kidney_LactateFromMetabolism)
              annotation (Line(
                points={{71,-34},{98,-34},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(leftHeart.LactateFromMetabolism, busConnector.leftHeart_LactateFromMetabolism)
              annotation (Line(
                points={{71,-64},{98,-64},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(liver.LactateFromMetabolism, busConnector.liver_LactateFromMetabolism)
              annotation (Line(
                points={{71,56},{98,56},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(otherTissue.LactateFromMetabolism, busConnector.otherTissue_LactateFromMetabolism)
              annotation (Line(
                points={{-35,10},{6,10},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(respiratoryMuscle.LactateFromMetabolism, busConnector.respiratoryMuscle_LactateFromMetabolism)
              annotation (Line(
                points={{-35,-20},{6,-20},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(rightHeart.LactateFromMetabolism, busConnector.rightHeart_LactateFromMetabolism)
              annotation (Line(
                points={{71,-94},{98,-94},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skin.LactateFromMetabolism, busConnector.skin_LactateFromMetabolism)     annotation (
               Line(
                points={{-35,-80},{6,-80},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skeletalMuscle.LactateFromMetabolism, busConnector.skeletalMuscle_LactateFromMetabolism)
              annotation (Line(
                points={{-35,70},{5.5,70},{5.5,92},{-88,92}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));

          connect(bone.InterstitialWater, busConnector.bone_InterstitialWater)        annotation (
               Line(
                points={{-35,50},{6,50},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(brain.InterstitialWater, busConnector.brain_InterstitialWater)
              annotation (Line(
                points={{71,36},{98,36},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(fat.InterstitialWater, busConnector.fat_InterstitialWater)     annotation (
                Line(
                points={{-35,-40},{6,-40},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(GITract.InterstitialWater, busConnector.GITract_InterstitialWater)
              annotation (Line(
                points={{71,6},{98,6},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(kidney.InterstitialWater, busConnector.kidney_InterstitialWater)
              annotation (Line(
                points={{71,-24},{98,-24},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(leftHeart.InterstitialWater, busConnector.leftHeart_InterstitialWater)
              annotation (Line(
                points={{71,-54},{98,-54},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(liver.InterstitialWater, busConnector.liver_InterstitialWater)
              annotation (Line(
                points={{71,66},{98,66},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(otherTissue.InterstitialWater, busConnector.otherTissue_InterstitialWater)
              annotation (Line(
                points={{-35,20},{6,20},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(respiratoryMuscle.InterstitialWater, busConnector.respiratoryMuscle_InterstitialWater)
              annotation (Line(
                points={{-35,-10},{6,-10},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(rightHeart.InterstitialWater, busConnector.rightHeart_InterstitialWater)
              annotation (Line(
                points={{71,-84},{98,-84},{98,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skin.InterstitialWater, busConnector.skin_InterstitialWater)     annotation (
               Line(
                points={{-35,-70},{6,-70},{6,92},{-88,92}},
                color={0,127,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));
            connect(skeletalMuscle.InterstitialWater, busConnector.skeletalMuscle_InterstitialWater)
              annotation (Line(
                points={{-35,80},{5.5,80},{5.5,92},{-88,92}},
                color={127,0,0},
                smooth=Smooth.None), Text(
                string="%second",
                index=1,
                extent={{5,2},{5,2}}));

           connect(bone.cTH, busConnector.bone_cTH_interstitial) annotation (Line(
                points={{-42,34},{6,34},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(brain.cTH, busConnector.brain_cTH_interstitial) annotation (Line(
                points={{64,20},{6,20},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(fat.cTH, busConnector.fat_cTH_interstitial) annotation (Line(
                points={{-42,-56},{6,-56},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
                 connect(GITract.cTH, busConnector.GITract_cTH_interstitial) annotation (Line(
                points={{64,-10},{6,-10},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(kidney.cTH, busConnector.kidney_cTH_interstitial) annotation (Line(
                points={{64,-40},{6,-40},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(leftHeart.cTH, busConnector.leftHeart_cTH_interstitial) annotation (Line(
                points={{64,-70},{6,-70},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
           connect(otherTissue.cTH, busConnector.otherTissue_cTH_interstitial) annotation (Line(
                points={{-42,4},{6,4},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
             connect(rightHeart.cTH, busConnector.rightHeart_cTH_interstitial) annotation (Line(
                points={{64,-100},{6,-100},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(respiratoryMuscle.cTH, busConnector.respiratoryMuscle_cTH_interstitial) annotation (Line(
                points={{-42,-26},{6,-26},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(skin.cTH, busConnector.skin_cTH_interstitial) annotation (Line(
                points={{-42,-86},{6,-86},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(skeletalMuscle.cTH, busConnector.skeletalMuscle_cTH_interstitial) annotation (Line(
                points={{-42,64},{6,64},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));

            connect(skeletalMuscle.q_out, q_out) annotation (Line(
                points={{-34,76},{89,76},{89,86}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_out, liver.q_out) annotation (Line(
                points={{89,86},{89,62},{72,62}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(bone.q_out, q_out) annotation (Line(
                points={{-34,46},{89,46},{89,86}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_out, brain.q_out) annotation (Line(
                points={{89,86},{89,32},{72,32}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_out, GITract.q_out) annotation (Line(
                points={{89,86},{89,2},{72,2}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_out, otherTissue.q_out) annotation (Line(
                points={{89,86},{89,16},{-34,16}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_out, kidney.q_out) annotation (Line(
                points={{89,86},{89,-28},{72,-28}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_out, respiratoryMuscle.q_out) annotation (Line(
                points={{89,86},{89,-14},{-34,-14}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_out, leftHeart.q_out) annotation (Line(
                points={{89,86},{89,-58},{72,-58}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_out, fat.q_out) annotation (Line(
                points={{89,86},{89,-44},{-34,-44}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_out, skin.q_out) annotation (Line(
                points={{89,86},{89,-74},{-34,-74}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_out, rightHeart.q_out) annotation (Line(
                points={{89,86},{89,-88},{72,-88}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));

           connect(skeletalMuscle.q_in, q_in) annotation (Line(
                points={{-54,76},{-91,76},{-91,72}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_in, liver.q_in) annotation (Line(
                points={{-91,72},{-91,62},{52,62}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(bone.q_in, q_in) annotation (Line(
                points={{-54,46},{-91,46},{-91,72}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_in, brain.q_in) annotation (Line(
                points={{-91,72},{-91,32},{52,32}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_in, GITract.q_in) annotation (Line(
                points={{-91,72},{-91,2},{52,2}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_in, otherTissue.q_in) annotation (Line(
                points={{-91,72},{-91,16},{-54,16}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_in, kidney.q_in) annotation (Line(
                points={{-91,72},{-91,-28},{52,-28}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_in, respiratoryMuscle.q_in) annotation (Line(
                points={{-91,72},{-91,-14},{-54,-14}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_in, leftHeart.q_in) annotation (Line(
                points={{-91,72},{-91,-58},{52,-58}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_in, fat.q_in) annotation (Line(
                points={{-91,72},{-91,-44},{-54,-44}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_in, skin.q_in) annotation (Line(
                points={{-91,72},{-91,-74},{-54,-74}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(q_in, rightHeart.q_in) annotation (Line(
                points={{-91,72},{-91,-88},{52,-88}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(liver.cTH, busConnector.liver_cTH_interstitial) annotation (
                Line(
                points={{64,50},{6,50},{6,92},{-88,92}},
                color={0,0,127},
                smooth=Smooth.None));
            annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                      -100},{100,100}}), graphics={Rectangle(extent={{-100,100},{
                        100,-100}}, lineColor={0,0,0}), Text(
                    extent={{-118,-104},{130,-130}},
                    lineColor={0,0,127},
                    textString="%name")}),
              Documentation(info="<html>
<p>cTH_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then  value decrease with the same concentration. </p>
<p>Meaning might  interpreted like what amount of hydrogen iont must  added to sollution if the end poit of titration will  pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can  simplified with difference of lactate concentration from its normal value.</p>
</html>",           revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
          end Tissues_cTH;

          model TissuePh__
            extends Physiomodel.Electrolytes.AcidBase.BloodPhBase;

            Physiolibrary.Types.RealIO.ConcentrationInput ctHox(
                                                 displayUnit="mmol/l")
            "titratable acidity of oxygenated blood"
                                             annotation (Placement(transformation(extent={{-54,62},
                      {-14,102}}),          iconTransformation(extent={{-10,-10},{10,10}},
                  origin={-90,40})));
            Physiolibrary.Types.RealIO.TemperatureInput
                                                 T(
                                             displayUnit="degC") "temperature"
                                             annotation (Placement(transformation(extent={{62,24},
                      {40,2}}),             iconTransformation(extent={{-10,-10},{10,10}},
                  origin={-90,-72})));
          equation

          //base excess
            ctHox = _cTHox;

           // cTH_interstitial = -(1-((ctHb_ery/3)/43))*((cHCO3_interstitial-24.5)+betaX*(pH_interstitial-7.42));

            annotation ( Icon(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics={Text(
                    extent={{30,100},{96,46}},
                    lineColor={0,0,0},
                    textString="pH"), Text(
                    extent={{-96,72},{-12,100}},
                    lineColor={0,0,0},
                    textString="Blood")}),
              Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
          end TissuePh__;

          model Tissue_cTH_steady "interstitial titratable acidity"

          model I
            parameter String stateName;
          end I;

          I interstitium;

          Physiolibrary.Chemical.Sources.UnlimitedSolutePump inputPump1(
              useSoluteFlowInput=true)
            annotation (Placement(transformation(extent={{-76,-28},{-56,-8}})));
          Physiolibrary.Chemical.Sensors.ConcentrationMeasure
            concentrationMeasure(
            q_in(conc(start=0)),
            toAnotherUnitCoef=1000,
            unitsString="mEq/l")
            annotation (Placement(transformation(extent={{-16,-16},{4,4}})));
          Physiolibrary.Chemical.Components.Stream solventFlowPump(
              useSolutionFlowInput=true)
            annotation (Placement(transformation(extent={{48,14},{68,34}})));
          Physiolibrary.Chemical.Components.Stream solventFlowPump1(
              useSolutionFlowInput=true) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                origin={24,24})));
            Modelica.Blocks.Interfaces.RealInput LactateFromMetabolism(
                                                                displayUnit="mEq/min")                                                                                     annotation (Placement(transformation(extent={{-82,-16},
                      {-70,-4}}),                                                                                                   iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,-60})));
          Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (
              Placement(transformation(extent={{74,14},{94,34}}),
                iconTransformation(extent={{90,-10},{110,10}})));
            Physiolibrary.Types.RealIO.VolumeInput InterstitialWater(
                                                            displayUnit="ml")                                                                                              annotation (Placement(transformation(extent={{-38,-18},
                      {-26,-6}}),                                                                                                    iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,40})));
            Physiolibrary.Types.RealIO.ConcentrationOutput cTH(
                                               displayUnit="mEq/l")
            "interstitial titratable acidity"                                             annotation (Placement(
                  transformation(extent={{-4,-4},{4,4}}),     iconTransformation(
                  extent={{-20,-20},{20,20}},
                  rotation=270,
                  origin={20,-120})));
          Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
              Placement(transformation(extent={{-16,16},{0,32}}),
                iconTransformation(extent={{-110,-10},{-90,10}})));
            Physiolibrary.Types.RealIO.VolumeFlowRateInput BloodFlow(
                                                    displayUnit="ml/min")                                                                                                  annotation (Placement(transformation(extent={{4,38},{
                      16,50}}),                                                                                                    iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,80})));
          equation
          connect(inputPump1.soluteFlow, LactateFromMetabolism) annotation (Line(
              points={{-62,-14},{-62,-10},{-76,-10}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(concentrationMeasure.concentration, cTH) annotation (Line(
              points={{-6,-2},{-6,0},{0,0}},
              color={0,0,127},
              smooth=Smooth.None));
            connect(solventFlowPump.q_out, q_out) annotation (Line(
                points={{68,24},{84,24}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
          connect(solventFlowPump.solutionFlow, BloodFlow) annotation (Line(
              points={{58,28},{58,44},{10,44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow, solventFlowPump1.solutionFlow) annotation (Line(
              points={{10,44},{24,44},{24,28}},
              color={0,0,127},
              smooth=Smooth.None));
            connect(q_in, solventFlowPump1.q_in) annotation (Line(
                points={{-8,24},{14,24}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(solventFlowPump1.q_out, solventFlowPump.q_in) annotation (Line(
                points={{34,24},{48,24}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(inputPump1.q_out, solventFlowPump.q_in) annotation (Line(
                points={{-56,-18},{42,-18},{42,24},{48,24}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(inputPump1.q_out, concentrationMeasure.q_in) annotation (Line(
                points={{-56,-18},{-14,-18},{-14,-6},{-6,-6}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                      -100},{100,100}}), graphics={Rectangle(extent={{-100,100},{
                        100,-100}}, lineColor={0,0,0}), Text(
                    extent={{2,98},{88,48}},
                    lineColor={0,0,0},
                    textString="cTH")}),              Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
          end Tissue_cTH_steady;

          model Tissue_cTH "interstitial titratable acidity"

          Physiolibrary.Chemical.Sources.UnlimitedSolutePump inputPump1(
              useSoluteFlowInput=true)
            annotation (Placement(transformation(extent={{-76,-28},{-56,-8}})));
            Physiolibrary.Chemical.Components.Substance                interstitium(
                useNormalizedVolume=false)
              annotation (Placement(transformation(extent={{-20,-28},{0,-8}})));
          Physiolibrary.Chemical.Sensors.ConcentrationMeasure
            concentrationMeasure(toAnotherUnitCoef=1, unitsString="mEq/l")
            annotation (Placement(transformation(extent={{-16,-18},{4,2}})));
          Physiolibrary.Chemical.Components.Stream solventFlowPump(
              useSolutionFlowInput=true)
            annotation (Placement(transformation(extent={{48,14},{68,34}})));
          Physiolibrary.Chemical.Components.Stream solventFlowPump1(
              useSolutionFlowInput=true) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                origin={24,24})));
            Physiolibrary.Types.RealIO.MolarFlowRateInput LactateFromMetabolism                 annotation (Placement(transformation(extent={{-82,-16},
                      {-70,-4}}),                                                                                                   iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,-60})));
                                                                               //(displayUnit="mEq/min")
          Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (
              Placement(transformation(extent={{74,14},{94,34}}),
                iconTransformation(extent={{90,-10},{110,10}})));
            Physiolibrary.Types.RealIO.VolumeInput InterstitialWater(
                                                            displayUnit="ml")                                                                                              annotation (Placement(transformation(extent={{-38,-18},
                      {-26,-6}}),                                                                                                    iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,40})));
            Physiolibrary.Types.RealIO.ConcentrationOutput cTH
            "interstitial titratable acidity"                                             annotation (Placement(
                  transformation(extent={{-4,-4},{4,4}}),     iconTransformation(
                  extent={{-20,-20},{20,20}},
                  rotation=270,
                  origin={20,-120})));                        //(displayUnit="mEq/l")
          Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
              Placement(transformation(extent={{-16,16},{0,32}}),
                iconTransformation(extent={{-110,-10},{-90,10}})));
            Physiolibrary.Types.RealIO.VolumeFlowRateInput BloodFlow(
                                                    displayUnit="ml/min")                                                                                                  annotation (Placement(transformation(extent={{4,38},{
                      16,50}}),                                                                                                    iconTransformation(extent={{-10,-10},{10,10}},         rotation=180,         origin={90,80})));
          equation
          connect(inputPump1.soluteFlow, LactateFromMetabolism) annotation (Line(
              points={{-62,-14},{-62,-10},{-76,-10}},
              color={0,0,127},
              smooth=Smooth.None));
            connect(inputPump1.q_out,interstitium. q_out) annotation (Line(
                points={{-56,-18},{-10,-18}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(concentrationMeasure.q_in,interstitium. q_out) annotation (Line(
                points={{-6,-10},{-10,-10},{-10,-18}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
          connect(concentrationMeasure.concentration, cTH) annotation (Line(
              points={{-6,-4},{-6,0},{0,0}},
              color={0,0,127},
              smooth=Smooth.None));
            connect(solventFlowPump.q_out, q_out) annotation (Line(
                points={{68,24},{84,24}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
          connect(solventFlowPump.solutionFlow, BloodFlow) annotation (Line(
              points={{58,28},{58,44},{10,44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodFlow, solventFlowPump1.solutionFlow) annotation (Line(
              points={{10,44},{24,44},{24,28}},
              color={0,0,127},
              smooth=Smooth.None));
            connect(q_in, solventFlowPump1.q_in) annotation (Line(
                points={{-8,24},{14,24}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(solventFlowPump1.q_out, solventFlowPump.q_in) annotation (Line(
                points={{34,24},{48,24}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
            connect(interstitium.q_out, solventFlowPump.q_in) annotation (Line(
                points={{-10,-18},{42,-18},{42,24},{48,24}},
                color={200,0,0},
                thickness=1,
                smooth=Smooth.None));
          connect(InterstitialWater, interstitium.solutionVolume) annotation (
              Line(
              points={{-32,-12},{-24,-12},{-24,-14},{-14,-14}},
              color={0,0,127},
              smooth=Smooth.None));
            annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                      -100},{100,100}}), graphics={Rectangle(extent={{-100,100},{
                        100,-100}}, lineColor={0,0,0}), Text(
                    extent={{2,98},{88,48}},
                    lineColor={0,0,0},
                    textString="cTH")}),              Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
          end Tissue_cTH;

          model TissuePh_intracellular_
           parameter Real CellSID_OtherCations(final displayUnit="mEq/l") = 12;
           parameter Real CellSID_StrongAnions(final displayUnit="mEq/l") = 117;
            Physiolibrary.Types.RealIO.ConcentrationInput KCell(
                                                final displayUnit="mEq/l")
            "tissue interstitial titratable acidity"
                                             annotation (Placement(transformation(extent={{-94,4},
                      {-54,44}}),           iconTransformation(extent={{-10,-10},{10,10}},
                  origin={-90,0})));
            Physiolibrary.Types.RealIO.ConcentrationInput cLactate(
                                                   final displayUnit="mEq/l")
            "tissue lactate concentration"   annotation (Placement(transformation(extent={{-78,-86},
                      {-62,-70}}),          iconTransformation(extent={{-10,-10},{10,10}},
                  origin={-90,-40})));
            Physiolibrary.Types.RealIO.pHOutput pH "tissue intracellular pH"            annotation (Placement(
                  transformation(extent={{66,-42},{86,-22}}), iconTransformation(
                  extent={{-20,-20},{20,20}},
                  rotation=270,
                  origin={60,-120})));
            Physiolibrary.Types.RealIO.PressureInput pCO2(
                                               final displayUnit="mmHg")
            "tissue partial CO2 pressure"    annotation (Placement(transformation(extent={{-28,-38},
                      {-10,-20}}),         iconTransformation(
                  extent={{-10,-10},{10,10}},
                  origin={-90,80})));
            Modelica.Blocks.Math.Add cations                                                                                                 annotation (Placement(transformation(extent={{-28,8},
                      {-8,28}})));
            Modelica.Blocks.Math.Add anions                                                                                                   annotation (Placement(transformation(extent={{-32,-82},
                      {-12,-62}})));
            Modelica.Blocks.Math.Feedback SID "intracellular"                                                                                          annotation (Placement(transformation(extent={{-4,8},{
                      16,28}})));
          Physiolibrary.Types.Constants.ConcentrationConst
            electrolytesConcentrationConstant_per_l1(k=(CellSID_OtherCations))
            annotation (Placement(transformation(extent={{-76,-12},{-56,8}})));
          Physiolibrary.Types.Constants.ConcentrationConst
            electrolytesConcentrationConstant_per_l2(k=(CellSID_StrongAnions))
            annotation (Placement(transformation(extent={{-76,-60},{-56,-40}})));
            Modelica.Blocks.Math.Division division
              annotation (Placement(transformation(extent={{32,2},{52,22}})));
            Modelica.Blocks.Math.Log10 log10_1
              annotation (Placement(transformation(extent={{66,2},{86,22}})));
            Modelica.Blocks.Math.Add add1
              annotation (Placement(transformation(extent={{46,-42},{66,-22}})));
          Physiolibrary.Types.Constants.pHConst                   const(k=7.15)
            annotation (Placement(transformation(extent={{14,-48},{34,-28}})));
            Modelica.Blocks.Math.Max max
              annotation (Placement(transformation(extent={{16,-18},{24,-10}})));
          Physiolibrary.Types.Constants.DeprecatedUntypedConstant PCO2_min_value(
              k=0.001)
            annotation (Placement(transformation(extent={{-10,-12},{-2,-4}})));
          Physiolibrary.Types.Constants.DeprecatedUntypedConstant PCO2_min_value1(
             k=10^(-7.15))
            annotation (Placement(transformation(extent={{28,52},{36,60}})));
            Modelica.Blocks.Math.Max max1
              annotation (Placement(transformation(extent={{54,46},{62,54}})));
          equation

            connect(anions.y, SID.u2)                                                                                                   annotation (Line(       points={{-11,-72},
                    {6,-72},{6,10}},                                                                                                    color={0,0,127},       smooth=Smooth.None));
            connect(cations.y, SID.u1)                                                                                                 annotation (Line(       points={{-7,18},
                    {-2,18}},                                                                                                   color={0,0,127},       smooth=Smooth.None));
            connect(electrolytesConcentrationConstant_per_l1.y, cations.u2)                                                                                                 annotation (Line(       points={{-53.5,
                  -2},{-36,-2},{-36,12},{-30,12}},                                                                                                  color={0,0,127},       smooth=Smooth.None));
            connect(electrolytesConcentrationConstant_per_l2.y, anions.u1)                                                                                                   annotation (Line(       points={{-53.5,
                  -50},{-42,-50},{-42,-66},{-34,-66}},                                                                                                 color={0,0,127},       smooth=Smooth.None));
            connect(KCell, cations.u1)
                                   annotation (Line(
                points={{-74,24},{-30,24}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(cLactate, anions.u2)
                                       annotation (Line(
                points={{-70,-78},{-34,-78}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(log10_1.y, add1.u1) annotation (Line(
                points={{87,12},{92,12},{92,-6},{40,-6},{40,-26},{44,-26}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(add1.y, pH) annotation (Line(
                points={{67,-32},{76,-32}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(const.y, add1.u2) annotation (Line(
                points={{36.5,-38},{44,-38}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(SID.y, division.u1) annotation (Line(
                points={{15,18},{30,18}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(max.y, division.u2) annotation (Line(
                points={{24.4,-14},{26,-14},{26,6},{30,6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(pCO2, max.u2) annotation (Line(
                points={{-19,-29},{-3.5,-29},{-3.5,-16.4},{15.2,-16.4}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(PCO2_min_value.y, max.u1) annotation (Line(
                points={{-1,-8},{8.2,-8},{8.2,-11.6},{15.2,-11.6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(PCO2_min_value1.y, max1.u1) annotation (Line(
                points={{37,56},{46,56},{46,52.4},{53.2,52.4}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(max1.u2, division.y) annotation (Line(
                points={{53.2,47.6},{53.2,29.8},{53,29.8},{53,12}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(max1.y, log10_1.u) annotation (Line(
                points={{62.4,50},{64,50},{64,12}},
                color={0,0,127},
                smooth=Smooth.None));
            annotation ( Icon(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics={
                  Text(
                    extent={{34,102},{100,48}},
                    lineColor={0,0,0},
                    textString="pH"),
                  Text(
                    extent={{-84,72},{-20,100}},
                    lineColor={0,0,0},
                    textString="ICF"),
                  Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,0,0})}),
              Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
          end TissuePh_intracellular_;
        end old;
      end Tissues;

      package Buffers
        partial model BufferInterface

          Physiolibrary.Types.RealIO.pHInput pH
            annotation (Placement(transformation(extent={{-120,40},{-80,80}})));
          Physiolibrary.Types.RealIO.VolumeDensityOfChargeOutput
                                              y(displayUnit="mEq/l")
          "charge of buffer"                                                        annotation (Placement(
                transformation(extent={{80,-100},{120,-60}}), iconTransformation(extent=
                   {{80,-100},{120,-60}})));
          annotation ( Icon(graphics={Rectangle(extent={{-100,
                      100},{100,-100}}, lineColor={0,0,255})}));
        end BufferInterface;

        model Bicarbonate
          extends BufferInterface;
          Physiolibrary.Types.RealIO.PressureInput
                                             pCO2(displayUnit="mmHg") annotation (Placement(transformation(extent=
                   {{-120,-20},{-80,20}}), iconTransformation(extent={{-120,-20},{-80,20}})));
          Physiolibrary.Types.RealIO.TemperatureInput
                                             T(displayUnit="degC") annotation (Placement(transformation(extent={{-120,
                    -20},{-80,20}}), iconTransformation(extent={{-120,-60},{-80,-20}})));

            Real pK;
          Real aCO2;
          Physiolibrary.Types.Concentration cdCO2;

          Physiolibrary.Types.VolumeDensityOfCharge y2;
        equation

          //Henderson-Hasselbalch equation:
          pK = 6.1 + (-0.0026)*(T-310.15);
          aCO2 = 0.00023 * 10^(-0.0092*(T-310.15)); //solubility depends on temperature
          cdCO2 = aCO2*pCO2;
          y = -cdCO2*10^(pH-pK)* Modelica.Constants.F;  //bicarbonate

          y2 = -cdCO2*10^(pH-6.35)* Modelica.Constants.F;  //bicarbonate

          annotation (Icon(graphics={Text(
                  extent={{-79,-27},{79,27}},
                  lineColor={0,0,255},
                  origin={75,19},
                  rotation=90,
                  textString="HCO3")}));
        end Bicarbonate;

        model Albumin
            extends BufferInterface;
          Physiolibrary.Types.RealIO.ConcentrationInput
                                             tAlb(displayUnit="mmol/l")
            annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));

          Physiolibrary.Types.MassConcentration tAlb_mass;
          parameter Physiolibrary.Types.MolarMass Alb_MolarMass(displayUnit="g/mol") = 66.463;
        equation
          tAlb_mass=tAlb*Alb_MolarMass;  //kg/m3 = g/l
          y = - tAlb_mass * ( 0.123 * pH - 0.631) * Modelica.Constants.F;

        //where [ Albx- ] is in mEq / L and [ Albumin ] is in g / dL. Therefore, at pH 7.40, the charge contributed by 4.40 g / dL of albumin is approximately -12.3 mEq / L.

          annotation (Documentation(info="<html>
<p>http://www.figge-fencl.org/titrationcurve.html</p>
<p>:</p>
<p><br/>A least-squares linear regression fit to the Figge-Fencl quantitative physicochemical model (version 3.0) over the pH range of 6.90 to 7.90 yields the following equation for the charge displayed by albumin:</p>
<p><br/> [ Albx- ] = -10 x [ Albumin ] x ( 0.123 x pH - 0.631 );</p>
<p><br/> where [ Albx- ] is in mEq / L and [ Albumin ] is in g / dL. Therefore, at pH 7.40, the charge contributed by 4.40 g / dL of albumin is approximately -12.3 mEq / L.</p>
</html>"), Icon(graphics={Text(
                  extent={{-79,-27},{79,27}},
                  lineColor={0,0,255},
                  origin={73,19},
                  rotation=90,
                  textString="Alb")}));
        end Albumin;

        model Globulins
            extends BufferInterface;
          Physiolibrary.Types.RealIO.MassConcentrationInput
                                             ctGlb
            annotation (Placement(transformation(extent={{-120,-40},{-80,0}})));
        equation
        //  y=-ctGlb*(0.075/0.81)*(pH-3.6);  //sklon -0.075/0.81 so siggaarda, pri 7.4 chcem -10 aby to pokrilo nastavene SID u Colemana
            y=-ctGlb*((0.075/0.77)*(pH-7.4) + 2.5/28)* Modelica.Constants.F; //chcem naboj -2.5 mEq/l pre normalnu koncentraciu 28 mg/l a pH=7.4
        //  y=-ctGlb*((0.075/0.77)*(pH-7.4) + 15.6/28)* Modelica.Constants.F; //chcem naboj -15.6 mEq/l pre normalnu koncentraciu 28 mg/l a pH=7.4
          annotation (Icon(graphics={Text(
                  extent={{-79,-27},{79,27}},
                  lineColor={0,0,255},
                  origin={73,19},
                  rotation=90,
                  textString="Glb")}));
        end Globulins;

        model Phosphates
          extends BufferInterface;
          Physiolibrary.Types.RealIO.ConcentrationInput
                                             tPO4
            annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));

            parameter Real pKa1=2.1;
          parameter Real pKa2=6.8;
          parameter Real pKa3=12.7;

        equation
           y = - tPO4*(10^(pKa2-pH)+2+3*10^(pH-pKa3))/(10^(pKa1+pKa2-2*pH)+10^(pKa2-pH)+1+10^(pH-pKa3))* Modelica.Constants.F;

          annotation ( Documentation(info="<html>
<p><b><font style=\"font-size: 12pt; \"><a name=\"internal-source-marker_0.47659245471196454\">C</a>harge for phosphates:</b></p>
<p><br/>pKa1=2.1, pKa2=6.8, pKa3=12.7 &nbsp;&nbsp;(wiki: &nbsp;2.12, 7.21, 12.67 at 25&deg;C)</p>
<p><br/>tPO4 = [H3PO4] + [H2PO4] + [HPO4] + [PO4]</p>
<p><br/>charge(tPO4,pH) = [H2PO4] + 2[HPO4] + 3[PO4]</p>
<p><br/>[H2PO4] / [H3PO4] = 10^(pH-pKa1) </p>
<p><br/>[HPO4] / [H2PO4] = 10^(pH-pKa2) </p>
<p><br/>[PO4] / [HPO4] = 10^(pH-pKa3) </p>
</html>"),  Icon(graphics={Text(
                  extent={{-79,-27},{79,27}},
                  lineColor={0,0,255},
                  origin={73,19},
                  rotation=90,
                  textString="PO4")}));
        end Phosphates;

        model Haemoglobin
          extends BufferInterface;
         Physiolibrary.Types.RealIO.ConcentrationInput
                                             tHb_E
          "total concentration of haemoglobin in erythrocytes"
            annotation (Placement(transformation(extent={{-120,0},{-80,40}})));
          Physiolibrary.Types.RealIO.FractionInput
                                             sO2
          "saturation of haemoglobin by O2"
            annotation (Placement(transformation(extent={{-120,-40},{-80,0}})));
          Physiolibrary.Types.RealIO.PressureInput
                                             pCO2 "partial pressure of CO2"
            annotation (Placement(transformation(extent={{-120,-80},{-80,-40}})));
          parameter Real betaOxyHb = 3.1
          "buffer value for oxygenated Hb without CO2";
          parameter Real betaDeoxyHb = 3.3
          "buffer value for Hb without O2 and CO2";
          parameter Real pIo=7.13
          "isoelectric pH for oxygenated Hb without CO2";
          parameter Real pIr=7.32 "isoelectric pH for Hb without O2 and CO2";

          parameter Real pKzO=8.08
          "pKa for NH3+ end of oxygenated haemoglobin chain";
          parameter Real pKzR=7.14
          "pKa for NH3+ end of deoxygenated haemoglobin chain";
          parameter Real pKcO=4.62
          "10^(pH-pKcO) is the dissociation constatnt for O2HbNH2 + CO2 <-> O2HbNHCOO- + H+ ";
          parameter Real pKcR=4.62
          "10^(pH-pKcR) is the dissociation constatnt for HbNH2 + CO2 <-> HbNHCOO- + H+ ";

          parameter Real KcR=10^(-pKcR);
          parameter Real KzR=10^(-pKzR);
          parameter Real KcO=10^(-pKcO);
          parameter Real KzO=10^(-pKzO);

          Real carbaminohaemoglobin;
          Real sCO2;
          Real zOxyHb;
          Real zDeoxyHb;
          Real zOxyCarbaminoHb;
          Real zDeoxyCarbaminoHb;
          Real H=10^(-pH);
          Real aCO2;
          Real cdCO2;
          Physiolibrary.Types.RealIO.TemperatureInput
                                             T
            annotation (Placement(transformation(extent={{-120,-120},{-80,-80}})));
        equation
        aCO2 = 0.23 * 10^(-0.0092*(T-37)); //solubility depends on temperature
        cdCO2 = aCO2*pCO2*0.001; //from mmol to mol

        carbaminohaemoglobin = tHb_E*cdCO2*( ( H*H*((1-sO2)/(KzO*KcO)+sO2/(KzR*KcR)) + H*((1-sO2)/KcO + sO2/KcR) + cdCO2) / ((H*H/(KzR*KcR) + H/KcR + cdCO2)*(H*H/(KzO*KcO) + H/KcO + cdCO2))); //, where cdCO2=free disolved CO2 concentration in erythrocytes in mol/l
        sCO2 = carbaminohaemoglobin/ tHb_E;

        y = -tHb_E*(sO2*(1-sCO2)*zOxyHb + (1-sO2)*(1-sCO2)*zDeoxyHb + sO2*sCO2*zOxyCarbaminoHb + (1-sO2)*sCO2*zDeoxyCarbaminoHb)* Modelica.Constants.F;

        zOxyHb = betaOxyHb * (pH-pIo);
        zDeoxyHb = betaDeoxyHb * (pH-pIr);
        zOxyCarbaminoHb = zOxyHb + (1+2*10^(pKzO-pH))/(1+10^(pKzO-pH)); //= zOxyHb + -[O2HbNH2]/([O2HbNH2]+[O2HbNH3+]) + -2[O2HbNH3+]/([O2HbNH2]+[O2HbNH3+]), where pKZO=8.08
        zDeoxyCarbaminoHb = zDeoxyHb + (1+2*10^(pKzR-pH))/(1+10^(pKzR-pH)); //betaOxyHb(pH) * (pH-pIO) + -[HbNH2]/([HbNH2]+[HbNH3+]) + -2[HbNH3+]/([HbNH2]+[HbNH3+]), where pKZR=7.14
          annotation (Icon(graphics={Text(
                  extent={{-79,-27},{79,27}},
                  lineColor={0,0,255},
                  origin={73,19},
                  rotation=90,
                  textString="Hb")}));
        end Haemoglobin;

        model OtherRBCBuffers
          extends BufferInterface;

          parameter Physiolibrary.Types.Concentration NCharge=9
          "charge at pH=7.4";

        equation
           y = - NCharge * Modelica.Constants.F;

          annotation ( Documentation(info="<html>
<p><b><font style=\"font-size: 12pt; \"><a name=\"internal-source-marker_0.47659245471196454\">C</a>harge for phosphates:</b></p>
<p><br/>pKa1=2.1, pKa2=6.8, pKa3=12.7 &nbsp;&nbsp;(wiki: &nbsp;2.12, 7.21, 12.67 at 25&deg;C)</p>
<p><br/>tPO4 = [H3PO4] + [H2PO4] + [HPO4] + [PO4]</p>
<p><br/>charge(tPO4,pH) = [H2PO4] + 2[HPO4] + 3[PO4]</p>
<p><br/>[H2PO4] / [H3PO4] = 10^(pH-pKa1) </p>
<p><br/>[HPO4] / [H2PO4] = 10^(pH-pKa2) </p>
<p><br/>[PO4] / [HPO4] = 10^(pH-pKa3) </p>
</html>"),  Icon(graphics={Text(
                  extent={{-79,-27},{79,27}},
                  lineColor={0,0,255},
                  origin={73,19},
                  rotation=90,
                  textString="Others")}));
        end OtherRBCBuffers;
      end Buffers;

      model AcidBase
        extends Physiolibrary.Icons.AcidBase;
      BloodPhMeassure artysPH(_BEox(start=-0.177))
        annotation (Placement(transformation(extent={{86,28},{58,56}})));
      BloodPhMeassure veinsPH(_cTHox(start=0), pH(start=7.37))
        annotation (Placement(transformation(extent={{-56,28},{-84,56}})));

      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-44,72},{-4,112}}), iconTransformation(
              extent={{-20,-18},{20,22}})));

      //initial equation
      //  ArtysPh.pH=7.4;

      BloodPhMeassure lungsPH
        annotation (Placement(transformation(extent={{28,28},{0,56}})));
      Tissues.Bloods tissues_blood_acidity
        annotation (Placement(transformation(extent={{-6,-96},{14,-76}})));
      Tissues.Cells tissues_intracellular
        annotation (Placement(transformation(extent={{46,-96},{66,-76}})));
      Tissues.Interstitia tissues_interstitial_acidity
        annotation (Placement(transformation(extent={{20,-96},{40,-76}})));
        Physiomodel.Electrolytes.AcidBase.NormalSID normalSID
        annotation (Placement(transformation(extent={{-38,-38},{-66,2}})));
        Modelica.Blocks.Math.Feedback BEox(y(unit="C/m3", displayUnit="mEq/l"))
          annotation (Placement(transformation(extent={{-2,-12},{18,8}})));
      Urine pHUCalculation2_1
        annotation (Placement(transformation(extent={{26,-72},{80,-18}})));
        Buffers.Albumin albumin
          annotation (Placement(transformation(extent={{-86,-68},{-66,-48}})));
        Buffers.Globulins globulins
          annotation (Placement(transformation(extent={{-86,-90},{-66,-70}})));
      Modelica.Blocks.Math.Add add(k1=-1, k2=-1)
        annotation (Placement(transformation(extent={{-60,-92},{-50,-82}})));
      equation
        connect(busConnector.O2Artys_sO2,artysPH. sO2)        annotation (Line(
            points={{-24,92},{-24,74},{44,74},{44,60},{64,60},{64,57.4},{63.6,
              57.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,6},{-6,6}}));
        connect(busConnector.O2Veins_sO2, veinsPH.sO2)         annotation (Line(
            points={{-24,92},{-24,74},{-100,74},{-100,60},{-78,60},{-78,57.4},{
              -78.4,57.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,6},{-6,6}}));
        connect(busConnector.ctAlb,artysPH. ctAlb)    annotation (Line(
            points={{-24,92},{-24,74},{44,74},{44,42},{59.4,42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CO2Artys_cHCO3,artysPH. cHCO3)    annotation (Line(
            points={{-24,92},{-24,74},{44,74},{44,53.2},{59.4,53.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctAlb, veinsPH.ctAlb)    annotation (Line(
            points={{-24,92},{-24,74},{-100,74},{-100,42},{-82.6,42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CO2Veins_cHCO3, veinsPH.cHCO3)    annotation (Line(
            points={{-24,92},{-24,74},{-100,74},{-100,53.2},{-82.6,53.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(artysPH.pH, busConnector.Artys_pH)    annotation (Line(
            points={{74.8,25.2},{74.8,16},{98,16},{98,92},{-24,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-8},{6,-8}}));
        connect(artysPH.pH_ery, busConnector.Artys_pH_ery)    annotation (Line(
            points={{69.2,25.2},{69.2,10},{98,10},{98,92},{-24,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-13},{6,-13}}));
        connect(veinsPH.pH, busConnector.Veins_pH)    annotation (Line(
            points={{-67.2,25.2},{-67.2,16},{-24,16},{-24,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-8},{6,-8}}));
        connect(veinsPH.pH_ery, busConnector.Veins_pH_ery)    annotation (Line(
            points={{-72.8,25.2},{-72.8,10},{-24,10},{-24,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-13},{6,-13}}));
        connect(busConnector.ctGlb,artysPH. ctGlb) annotation (Line(
            points={{-24,92},{-24,74},{44,74},{44,36.4},{59.4,36.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctPO4,artysPH. ctPO4) annotation (Line(
            points={{-24,92},{-24,74},{44,74},{44,30.8},{59.4,30.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctGlb, veinsPH.ctGlb) annotation (Line(
            points={{-24,92},{-24,74},{-100,74},{-100,36.4},{-82.6,36.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctPO4, veinsPH.ctPO4) annotation (Line(
            points={{-24,92},{-24,74},{-100,74},{-100,30.8},{-82.6,30.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(artysPH.pH, busConnector.BloodPh_ArtysPh) annotation (Line(
            points={{74.8,25.2},{74.8,16},{98,16},{98,92},{-24,92}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ctAlb,lungsPH. ctAlb)    annotation (Line(
            points={{-24,92},{-14,92},{-14,42},{1.4,42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(lungsPH.pH, busConnector.Lung_pH)     annotation (Line(
            points={{16.8,25.2},{16.8,14},{34,14},{34,92},{-24,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-8},{6,-8}}));
        connect(lungsPH.pH_ery, busConnector.Lung_pH_ery)     annotation (Line(
            points={{11.2,25.2},{11.2,8},{34,8},{34,92},{-24,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,-13},{6,-13}}));
        connect(busConnector.ctGlb,lungsPH. ctGlb) annotation (Line(
            points={{-24,92},{-14,92},{-14,36.4},{1.4,36.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctPO4,lungsPH. ctPO4) annotation (Line(
            points={{-24,92},{-14,92},{-14,30.8},{1.4,30.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.O2Lung_sO2,lungsPH. sO2)              annotation (Line(
            points={{-24,92},{-14,92},{-14,57.4},{5.6,57.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CO2Lung_cHCO3,lungsPH. cHCO3)              annotation (
            Line(
            points={{-24,92},{-14,92},{-14,53.2},{1.4,53.2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector,tissues_blood_acidity. busConnector)
                                                      annotation (Line(
            points={{-24,92},{-24,-80},{-4.8,-80},{-4.8,-79.8333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(tissues_intracellular.busConnector, busConnector) annotation (
            Line(
            points={{47.2,-76.8},{-24,-76.8},{-24,92}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, tissues_interstitial_acidity.busConnector)
          annotation (Line(
            points={{-24,92},{-24,-76.8},{21.2,-76.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(lungsPH.pH, busConnector.lungs_pH_plasma) annotation (Line(
            points={{16.8,25.2},{16.8,14},{34,14},{34,92},{-24,92}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(lungsPH.pH_ery, busConnector.lungs_pH_ery) annotation (Line(
            points={{11.2,25.2},{11.2,8},{34,8},{34,92},{-24,92}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(busConnector.ctHb, veinsPH.ctHb) annotation (Line(
            points={{-24,92},{-24,74},{-100,74},{-100,47.6},{-82.6,47.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctHb, lungsPH.ctHb) annotation (Line(
            points={{-24,92},{-14,92},{-14,47.6},{1.4,47.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctHb, artysPH.ctHb) annotation (Line(
            points={{-24,92},{-24,74},{44,74},{44,47.6},{59.4,47.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

         connect(busConnector.BloodVol_Hct,normalSID. Hct)        annotation (
            Line(
            points={{-24,92},{-100,92},{-100,-32},{-64.6,-32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.HeatCore_Temp,normalSID. T)        annotation (
            Line(
            points={{-24,92},{-100,92},{-100,-26},{-64.6,-26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctHb_ery,normalSID. tHb_E)        annotation (Line(
            points={{-24,92},{-100,92},{-100,-20},{-64.6,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctAlb,normalSID. ctAlb)        annotation (Line(
            points={{-24,92},{-100,92},{-100,-2},{-64.6,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctGlb,normalSID. ctGlb)        annotation (Line(
            points={{-24,92},{-100,92},{-100,-8},{-64.6,-8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.ctPO4,normalSID. ctPO4_P)        annotation (Line(
            points={{-24,92},{-100,92},{-100,-14},{-64.6,-14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(normalSID.NSID,BEox. u2)        annotation (Line(
            points={{-35.2,-30},{-28,-30},{-28,-14},{8,-14},{8,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BEox.y, busConnector.Blood_BEox) annotation (Line(
            points={{17,-2},{88,-2},{88,92},{-24,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

      connect(BEox.y, veinsPH.BEox) annotation (Line(
          points={{17,-2},{88,-2},{88,64},{-58.8,64},{-58.8,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BEox.y, lungsPH.BEox) annotation (Line(
          points={{17,-2},{88,-2},{88,64},{25.2,64},{25.2,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BEox.y, artysPH.BEox) annotation (Line(
          points={{17,-2},{88,-2},{88,64},{83.2,64},{83.2,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CD_Na_Outflow, pHUCalculation2_1.qNa) annotation (
          Line(
          points={{-24,92},{-24,-20.4545},{28.7,-20.4545}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_K_Outflow, pHUCalculation2_1.qK) annotation (Line(
          points={{-24,92},{-24,-26},{28.7,-26},{28.7,-25.3636}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_NH4_Outflow, pHUCalculation2_1.qNH4) annotation (
          Line(
          points={{-24,92},{-24,-30},{28.7,-30},{28.7,-30.2727}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_Cl_Outflow, pHUCalculation2_1.qCl) annotation (
          Line(
          points={{-24,92},{-24,-46},{28.7,-46},{28.7,-45}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_SO4_Outflow, pHUCalculation2_1.qSO4) annotation (
          Line(
          points={{-24,92},{-24,-49.9091},{28.7,-49.9091}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_PO4_Outflow, pHUCalculation2_1.qPO4) annotation (
          Line(
          points={{-24,92},{-24,-54},{28.7,-54},{28.7,-54.8182}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_KA_Outflow, pHUCalculation2_1.qKA) annotation (
          Line(
          points={{-24,92},{-24,-59.7273},{28.7,-59.7273}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CO2Artys_pCO2, pHUCalculation2_1.pCO2) annotation (
          Line(
          points={{-24,92},{-24,-64},{28.7,-64},{28.7,-64.6364}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_H2O_Outflow, pHUCalculation2_1.qH2O) annotation (
          Line(
          points={{-24,92},{-24,-70},{28.7,-70},{28.7,-69.5455}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(pHUCalculation2_1.PHU, busConnector.Urine_pH) annotation (Line(
          points={{80.54,-42.5455},{98,-42.5455},{98,92},{-24,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.CD_Mg_Outflow, pHUCalculation2_1.qMg) annotation (
          Line(
          points={{-24,92},{-24,-35.1818},{28.7,-35.1818}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_Ca_Outflow, pHUCalculation2_1.qCa) annotation (
          Line(
          points={{-24,92},{-24,-40.0909},{28.7,-40.0909}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(artysPH.pH, albumin.pH) annotation (Line(
          points={{74.8,25.2},{74.8,-98},{-100,-98},{-100,-52},{-86,-52}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(artysPH.pH, globulins.pH) annotation (Line(
          points={{74.8,25.2},{74.8,-98},{-100,-98},{-100,-74},{-86,-74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ctAlb, albumin.tAlb) annotation (Line(
          points={{-24,92},{-100,92},{-100,-58},{-86,-58}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ctGlb, globulins.ctGlb) annotation (Line(
          points={{-24,92},{-100,92},{-100,-82},{-86,-82}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(globulins.y, add.u2) annotation (Line(
          points={{-66,-88},{-64,-88},{-64,-90},{-61,-90}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(albumin.y, add.u1) annotation (Line(
          points={{-66,-66},{-60,-66},{-60,-84},{-61,-84}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(add.y, busConnector.BloodIons_ProteinAnions) annotation (Line(
          points={{-49.5,-87},{-36,-87},{-36,-88},{-24,-88},{-24,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Blood_SID, BEox.u1) annotation (Line(
          points={{-24,92},{-22,92},{-22,-2},{0,-2}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={                 Text(
                extent={{-118,-84},{124,-118}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2009</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr>
<tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
<tr>
<td></td>
<td><p>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</p></td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end AcidBase;

      model AcidBase_variables
        extends Physiolibrary.Icons.AcidBase;
        package T = Physiolibrary.Types.RealTypes;

      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{52,-28},{66,-14}}), iconTransformation(
              extent={{-40,-20},{0,20}})));
      T.pH BloodPh_ArtysPh(varName="BloodPh.ArtysPh")
        "Acidity (pH) of arterial blood."
      annotation (Placement(transformation(extent={{-110,-194},{-104,-188}})));
      T.pH Artys_pH1(                         varName="BloodPh.ArtysPh")
      annotation (Placement(transformation(extent={{-108,-58},{-102,-52}})));
      T.pH Artys_pH_ery(varName="Artys_pH_ery")
      annotation (Placement(transformation(extent={{-108,-48},{-102,-42}})));
      T.pH bone_pH_ery(varName="bone_pH_ery")
      annotation (Placement(transformation(extent={{-108,12},{-102,18}})));
      T.pH bone_pH_interstitial(varName="bone_pH_interstitial")
      annotation (Placement(transformation(extent={{-108,22},{-102,28}})));
      T.pH bone_pH_plasma(varName="bone_pH_plasma")
      annotation (Placement(transformation(extent={{-108,32},{-102,38}})));
      T.pH brain_pH_ery(varName="brain_pH_ery")
      annotation (Placement(transformation(extent={{-108,82},{-102,88}})));
      T.pH brain_pH_interstitial(varName="brain_pH_interstitial")
      annotation (Placement(transformation(extent={{-108,92},{-102,98}})));
      T.pH brain_pH_plasma(varName="brain_pH_plasma")
      annotation (Placement(transformation(extent={{-108,102},{-102,108}})));
      T.pH fat_pH_ery(varName="fat_pH_ery")
      annotation (Placement(transformation(extent={{-100,-30},{-94,-24}})));
      T.pH fat_pH_interstitial(varName="fat_pH_interstitial")
      annotation (Placement(transformation(extent={{-100,-20},{-94,-14}})));
      T.pH fat_pH_plasma(varName="fat_pH_plasma")
      annotation (Placement(transformation(extent={{-100,-10},{-94,-4}})));
      T.pH GITract_pH_ery(varName="GITract_pH_ery")
      annotation (Placement(transformation(extent={{146,-338},{152,-332}})));
      T.pH GITract_pH_interstitial(varName="GITract_pH_interstitial")
      annotation (Placement(transformation(extent={{146,-328},{152,-322}})));
      T.pH GITract_pH_plasma(varName="GITract_pH_plasma")
      annotation (Placement(transformation(extent={{146,-318},{152,-312}})));
      T.pH kidney_pH_ery(varName="kidney_pH_ery")
      annotation (Placement(transformation(extent={{146,-258},{152,-252}})));
      T.pH kidney_pH_interstitial(varName="kidney_pH_interstitial")
      annotation (Placement(transformation(extent={{146,-248},{152,-242}})));
      T.pH kidney_pH_plasma(varName="kidney_pH_plasma")
      annotation (Placement(transformation(extent={{146,-238},{152,-232}})));
      T.pH leftHeart_pH_ery(varName="leftHeart_pH_ery")
      annotation (Placement(transformation(extent={{146,-188},{152,-182}})));
      T.pH leftHeart_pH_interstitial(varName="leftHeart_pH_interstitial")
      annotation (Placement(transformation(extent={{146,-178},{152,-172}})));
      T.pH leftHeart_pH_plasma(varName="leftHeart_pH_plasma")
      annotation (Placement(transformation(extent={{146,-168},{152,-162}})));
      T.pH liver_pH_ery(varName="liver_pH_ery")
      annotation (Placement(transformation(extent={{146,-128},{152,-122}})));
      T.pH liver_pH_interstitial(varName="liver_pH_interstitial")
      annotation (Placement(transformation(extent={{146,-118},{152,-112}})));
      T.pH liver_pH_plasma(varName="liver_pH_plasma")
      annotation (Placement(transformation(extent={{146,-108},{152,-102}})));
      T.pH otherTissue_pH_ery(varName="otherTissue_pH_ery")
      annotation (Placement(transformation(extent={{146,-28},{152,-22}})));
      T.pH otherTissue_pH_interstitial(varName="otherTissue_pH_interstitial")
      annotation (Placement(transformation(extent={{146,-18},{152,-12}})));
      T.pH otherTissue_pH_plasma(varName="otherTissue_pH_plasma")
      annotation (Placement(transformation(extent={{146,-8},{152,-2}})));
      T.pH respiratoryMuscle_pH_ery(varName="respiratoryMuscle_pH_ery")
      annotation (Placement(transformation(extent={{146,62},{152,68}})));
      T.pH respiratoryMuscle_pH_interstitial(varName="respiratoryMuscle_pH_interstitial")
      annotation (Placement(transformation(extent={{146,72},{152,78}})));
      T.pH respiratoryMuscle_pH_plasma(varName="respiratoryMuscle_pH_plasma")
      annotation (Placement(transformation(extent={{146,82},{152,88}})));
      T.pH rightHeart_pH_ery(varName="rightHeart_pH_ery")
      annotation (Placement(transformation(extent={{146,142},{152,148}})));
      T.pH rightHeart_pH_interstitial(varName="rightHeart_pH_interstitial")
      annotation (Placement(transformation(extent={{146,152},{152,158}})));
      T.pH rightHeart_pH_plasma(varName="rightHeart_pH_plasma")
      annotation (Placement(transformation(extent={{146,162},{152,168}})));
      T.pH skeletalMuscle_pH_ery(varName="skeletalMuscle_pH_ery")
      annotation (Placement(transformation(extent={{92,-78},{98,-72}})));
      T.pH skeletalMuscle_pH_interstitial(varName="skeletalMuscle_pH_interstitial")
      annotation (Placement(transformation(extent={{92,-68},{98,-62}})));
      T.pH skeletalMuscle_pH_plasma(varName="skeletalMuscle_pH_plasma")
      annotation (Placement(transformation(extent={{92,-58},{98,-52}})));
      T.pH skin_pH_ery(varName="skin_pH_ery")
      annotation (Placement(transformation(extent={{146,282},{152,288}})));
      T.pH skin_pH_interstitial(varName="skin_pH_interstitial")
      annotation (Placement(transformation(extent={{146,292},{152,298}})));
      T.pH skin_pH_plasma(varName="skin_pH_plasma")
      annotation (Placement(transformation(extent={{146,302},{152,308}})));
      T.pH Veins_pH(varName="BloodPh.VeinsPh")
      annotation (Placement(transformation(extent={{146,342},{152,348}})));
      T.pH Veins_pH_ery(varName="Veins_pH_ery")
      annotation (Placement(transformation(extent={{-108,-86},{-102,-80}})));
      T.pH lungs_pH_ery(varName="lungs_pH_ery")
      annotation (Placement(transformation(extent={{-116,56},{-110,62}})));
      T.pH lungs_pH_plasma(varName="lungs_pH_plasma")
      annotation (Placement(transformation(extent={{-116,64},{-110,70}})));
      T.pH GITract_pH_intracellular(varName="GITract-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
      T.pH bone_pH_intracellular(varName="Bone-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
      T.pH brain_pH_intracellular(varName="Brain-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
      T.pH fat_pH_intracellular(varName="Fat-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
      T.pH kidney_pH_intracellular(varName="Kidney-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
      T.pH leftHeart_pH_intracellular(varName="LeftHeart-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
      T.pH liver_pH_intracellular(varName="Liver-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
      T.pH otherTissue_pH_intracellular(varName="OtherTissue-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
      T.pH respiratoryMuscle_pH_intracellular(varName="RespiratoryMuscle-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
      T.pH rightHeart_pH_intracellular(varName="RightHeart-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
      T.pH skeletalMuscle_pH_intracellular(varName="SkeletalMuscle-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
      T.pH skin_pH_intracellular(varName="Skin-Ph.Ph")
      annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
      /*
T.pH CD_NH4_Outflow(varName="CD_NH4.Outflow")
    "Collecting duct amonia ions outflow to urine."
annotation (Placement(transformation(extent={{-110,-130},{-104,-124}})));
T.pH Urine_pH(varName="Urine_pH") "Acidity (pH) of urine."
annotation (Placement(transformation(extent={{-108,-106},{-102,-100}})));
*/
      T.VolumeDensityOfCharge BloodIons_ProteinAnions(
                        varName="BloodIons.Protein")
      annotation (Placement(transformation(extent={{-92,-72},{-86,-66}})));
      equation
      connect(BloodPh_ArtysPh.y, busConnector.BloodPh_ArtysPh) annotation (Line(
       points={{-103.7,-191},{59,-191},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Artys_pH1.y, busConnector.Artys_pH)
                                                 annotation (Line(
       points={{-101.7,-55},{59,-55},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Veins_pH.y, busConnector.Veins_pH) annotation (Line(
       points={{152.3,345},{59,345},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pH_plasma.y, busConnector.GITract_pH_plasma) annotation (Line(
       points={{152.3,-315},{59,-315},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pH_plasma.y, busConnector.bone_pH_plasma) annotation (Line(
       points={{-101.7,35},{59,35},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pH_plasma.y, busConnector.brain_pH_plasma) annotation (Line(
       points={{-101.7,105},{59,105},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pH_plasma.y, busConnector.fat_pH_plasma) annotation (Line(
       points={{-93.7,-7},{59,-7},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pH_plasma.y, busConnector.kidney_pH_plasma) annotation (Line(
       points={{152.3,-235},{59,-235},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pH_plasma.y, busConnector.leftHeart_pH_plasma) annotation (Line(
       points={{152.3,-165},{59,-165},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pH_plasma.y, busConnector.liver_pH_plasma) annotation (Line(
       points={{152.3,-105},{59,-105},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pH_plasma.y, busConnector.otherTissue_pH_plasma) annotation (Line(
       points={{152.3,-5},{59,-5},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pH_plasma.y, busConnector.respiratoryMuscle_pH_plasma) annotation (Line(
       points={{152.3,85},{59,85},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pH_plasma.y, busConnector.rightHeart_pH_plasma) annotation (Line(
       points={{152.3,165},{59,165},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pH_plasma.y, busConnector.skeletalMuscle_pH_plasma) annotation (Line(
       points={{98.3,-55},{59,-55},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pH_plasma.y, busConnector.skin_pH_plasma) annotation (Line(
       points={{152.3,305},{59,305},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pH_ery.y, busConnector.GITract_pH_ery) annotation (Line(
       points={{152.3,-335},{59,-335},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Veins_pH_ery.y, busConnector.Veins_pH_ery) annotation (Line(
       points={{-101.7,-83},{-62.35,-83},{-62.35,-21},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pH_ery.y, busConnector.bone_pH_ery) annotation (Line(
       points={{-101.7,15},{59,15},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pH_ery.y, busConnector.brain_pH_ery) annotation (Line(
       points={{-101.7,85},{59,85},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pH_ery.y, busConnector.fat_pH_ery) annotation (Line(
       points={{-93.7,-27},{59,-27},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pH_ery.y, busConnector.kidney_pH_ery) annotation (Line(
       points={{152.3,-255},{59,-255},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pH_ery.y, busConnector.leftHeart_pH_ery) annotation (Line(
       points={{152.3,-185},{59,-185},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pH_ery.y, busConnector.liver_pH_ery) annotation (Line(
       points={{152.3,-125},{59,-125},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pH_ery.y, busConnector.otherTissue_pH_ery) annotation (Line(
       points={{152.3,-25},{59,-25},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pH_ery.y, busConnector.respiratoryMuscle_pH_ery) annotation (Line(
       points={{152.3,65},{59,65},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pH_ery.y, busConnector.rightHeart_pH_ery) annotation (Line(
       points={{152.3,145},{59,145},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pH_ery.y, busConnector.skeletalMuscle_pH_ery) annotation (Line(
       points={{98.3,-75},{59,-75},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pH_ery.y, busConnector.skin_pH_ery) annotation (Line(
       points={{152.3,285},{59,285},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Artys_pH_ery.y, busConnector.Artys_pH_ery) annotation (Line(
       points={{-101.7,-45},{59,-45},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pH_interstitial.y, busConnector.bone_pH_interstitial) annotation (Line(
       points={{-101.7,25},{59,25},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pH_interstitial.y, busConnector.brain_pH_interstitial) annotation (Line(
       points={{-101.7,95},{59,95},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pH_interstitial.y, busConnector.fat_pH_interstitial) annotation (Line(
       points={{-93.7,-17},{59,-17},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_pH_interstitial.y, busConnector.GITract_pH_interstitial) annotation (Line(
       points={{152.3,-325},{59,-325},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pH_interstitial.y, busConnector.kidney_pH_interstitial) annotation (Line(
       points={{152.3,-245},{59,-245},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pH_interstitial.y, busConnector.leftHeart_pH_interstitial) annotation (Line(
       points={{152.3,-175},{59,-175},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pH_interstitial.y, busConnector.liver_pH_interstitial) annotation (Line(
       points={{152.3,-115},{152.3,-82},{152.3,-21},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pH_interstitial.y, busConnector.otherTissue_pH_interstitial) annotation (Line(
       points={{152.3,-15},{126.65,-15},{126.65,-21},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pH_interstitial.y, busConnector.respiratoryMuscle_pH_interstitial) annotation (Line(
       points={{152.3,75},{59,75},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pH_interstitial.y, busConnector.rightHeart_pH_interstitial) annotation (Line(
       points={{152.3,155},{59,155},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pH_interstitial.y, busConnector.skeletalMuscle_pH_interstitial) annotation (Line(
       points={{98.3,-65},{59,-65},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pH_interstitial.y, busConnector.skin_pH_interstitial) annotation (Line(
       points={{152.3,295},{59,295},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(lungs_pH_ery.y, busConnector.lungs_pH_ery)      annotation (Line(
              points={{-109.7,59},{59,59},{59,-21}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(lungs_pH_plasma.y, busConnector.lungs_pH_plasma)   annotation (Line(
              points={{-109.7,67},{59,67},{59,-21}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(GITract_pH_intracellular.y, busConnector.GITract_pH_intracellular) annotation (Line(
       points={{-29.7,13},{59,13},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_pH_intracellular.y, busConnector.bone_pH_intracellular) annotation (Line(
       points={{-29.7,23},{59,23},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_pH_intracellular.y, busConnector.brain_pH_intracellular) annotation (Line(
       points={{-29.7,33},{59,33},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_pH_intracellular.y, busConnector.fat_pH_intracellular) annotation (Line(
       points={{-29.7,43},{59,43},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_pH_intracellular.y, busConnector.kidney_pH_intracellular) annotation (Line(
       points={{-29.7,53},{59,53},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(leftHeart_pH_intracellular.y, busConnector.leftHeart_pH_intracellular) annotation (Line(
       points={{-29.7,63},{59,63},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_pH_intracellular.y, busConnector.liver_pH_intracellular) annotation (Line(
       points={{-29.7,73},{59,73},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_pH_intracellular.y, busConnector.otherTissue_pH_intracellular) annotation (Line(
       points={{-29.7,83},{59,83},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_pH_intracellular.y, busConnector.respiratoryMuscle_pH_intracellular) annotation (Line(
       points={{-29.7,93},{59,93},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_pH_intracellular.y, busConnector.rightHeart_pH_intracellular) annotation (Line(
       points={{-29.7,103},{59,103},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_pH_intracellular.y, busConnector.skeletalMuscle_pH_intracellular) annotation (Line(
       points={{-29.7,113},{59,113},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_pH_intracellular.y, busConnector.skin_pH_intracellular) annotation (Line(
       points={{-29.7,123},{59,123},{59,-21}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

      connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions)
        annotation (Line(
          points={{-85.7,-69},{-10,-69},{-10,-21},{59,-21}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={
              Text(
                extent={{18,138},{100,100}},
                lineColor={0,0,0},
                textString="vars"),
              Text(
                extent={{-122,-106},{120,-140}},
                lineColor={0,0,255},
                textString="%name")}));
      end AcidBase_variables;
      annotation (Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Siggaard Andersen: OSA (2005), University of Copenhagen</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
    end AcidBase;

    package Sodium "Body Sodium Distribution"

      model GlomerulusCationFiltration

      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (extent=
           [-10,-110; 10,-90], Placement(transformation(extent={{-10,-110},{10,
                -90}}, rotation=0)));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
          Placement(transformation(extent={{-120,-20},{-80,20}}),
            iconTransformation(extent={{-110,-10},{-90,10}})));

        Physiolibrary.Types.RealIO.VolumeDensityOfChargeInput otherCations annotation (Placement(
              transformation(extent={{-78,30},{-38,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,50})));
        Physiolibrary.Types.RealIO.VolumeDensityOfChargeInput ProteinAnions annotation (Placement(
              transformation(extent={{-40,30},{0,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-20,50})));
        Physiolibrary.Types.Fraction KAdjustment;
        Physiolibrary.Types.VolumeDensityOfCharge Cations;
        Physiolibrary.Types.VolumeDensityOfCharge Anions;
      equation
        q_in.q + q_out.q = 0;
        Cations = q_in.conc*Modelica.Constants.F+otherCations;
        Anions = Cations;
        KAdjustment = (Cations-(Anions-ProteinAnions))/(Cations+(Anions-ProteinAnions));
        q_out.conc = (1-KAdjustment)*q_in.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{0,42},{0,26}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,20},{0,4}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-4},{0,-20}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-26},{0,-42}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5)}));
      end GlomerulusCationFiltration;

      package test
        model T_
        import QHP = Physiomodel;
          Physiomodel.Electrolytes.Sodium.Sodium sodium2_1
            annotation (Placement(transformation(extent={{-32,30},{-12,50}})));
        QHP.Electrolytes.old.setup.ElectrolytesConstInputs2FromFile
          electrolytesConstInputs
          annotation (Placement(transformation(extent={{14,48},{34,68}})));
          QHP.Electrolytes.Sodium.setup.ConstInputsFromOtherElectrolytes
            constInputsFromOtherElectrolytes
            annotation (Placement(transformation(extent={{14,12},{34,32}})));
        equation
          connect(sodium2_1.busConnector, electrolytesConstInputs.busConnector)
            annotation (Line(
              points={{-14,48},{4.05,48},{4.05,58},{22,58}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(sodium2_1.busConnector, constInputsFromOtherElectrolytes.busConnector)
            annotation (Line(
              points={{-14,48},{5.05,48},{5.05,22},{22,22}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        end T_;

        model T
        import QHP = Physiomodel;
          Sodium2 sodium2_1
            annotation (Placement(transformation(extent={{-32,30},{-12,50}})));
        QHP.Electrolytes.old.setup.ElectrolytesConstInputs
          electrolytesConstInputs
          annotation (Placement(transformation(extent={{14,48},{34,68}})));
          QHP.Electrolytes.Sodium.setup.ConstInputsFromOtherElectrolytes
            constInputsFromOtherElectrolytes
            annotation (Placement(transformation(extent={{14,12},{34,32}})));
        equation
          connect(sodium2_1.busConnector, electrolytesConstInputs.busConnector)
            annotation (Line(
              points={{-14,48},{4.05,48},{4.05,58},{22,58}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(sodium2_1.busConnector, constInputsFromOtherElectrolytes.busConnector)
            annotation (Line(
              points={{-14,48},{5.05,48},{5.05,22},{22,22}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        end T;

        model Sodium
        Physiolibrary.Chemical.Components.Substance NaPool(useNormalizedVolume=
              false, solute_start=(2170.0)/1000)
          annotation (Placement(transformation(extent={{-82,14},{-62,34}})));
          Modelica.Blocks.Interfaces.RealInput ECFV_Vol(final quantity="Volume",
              final displayUnit="ml") "Extracellular fluid volume"
            annotation (Placement(transformation(extent={{-98,28},{-90,36}}),
                iconTransformation(extent={{-100,70},{-88,82}})));
        Physiolibrary.Chemical.Components.Substance GILumen(useNormalizedVolume=
             false, solute_start=(80.0)/1000)
          annotation (Placement(transformation(extent={{-82,-36},{-62,-16}})));
          Modelica.Blocks.Interfaces.RealInput GILumenVolume_Mass(final
              quantity=
                "Volume", final displayUnit="ml")
            annotation (Placement(transformation(extent={{-98,-22},{-90,-14}}),
                iconTransformation(extent={{-100,58},{-88,70}})));
        Physiolibrary.Chemical.Components.SolutePump Absorbtion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-58,-20},{-46,-32}})));
          Modelica.Blocks.Math.Gain Perm(k=0.0015)
            annotation (Placement(transformation(extent={{-62,-46},{-56,-40}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Hemorrhage(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-58,64},{-38,84}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-58,50},{-38,70}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut SweatDuct(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-58,78},{-38,98}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-78,70},{-58,90}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-78,56},{-58,76}})));
        Physiolibrary.Chemical.Components.Stream glomerulusSudiumRate(
            useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{-16,14},{4,34}})));
          Modelica.Blocks.Interfaces.RealInput GlomerulusFiltrate_GFR(final
              quantity="VolumeFlowRate", final displayUnit="ml/min")
            annotation (Placement(transformation(extent={{-16,30},{-8,38}}),
                iconTransformation(extent={{-100,-16},{-88,-4}})));
          Physiomodel.Electrolytes.Sodium.GlomerulusCationFiltration glomerulus
            annotation (Placement(transformation(extent={{-40,14},{-20,34}})));
          Modelica.Blocks.Interfaces.RealInput KPool(final quantity=
                "Concentration", final displayUnit="mEq/l")
            annotation (Placement(transformation(extent={{-48,32},{-40,40}}),
                iconTransformation(extent={{-100,94},{-88,106}})));
          Modelica.Blocks.Interfaces.RealInput BloodIons_ProteinAnions(final
              quantity="Concentration", final displayUnit="mEq/l")
            annotation (Placement(transformation(extent={{-48,40},{-40,48}}),
                iconTransformation(extent={{-100,82},{-88,94}})));
        Physiolibrary.Chemical.Components.Reabsorption PT(
          useBaseReabsorption=true,
          useEffect=true,
          useMaxReabInput=true)
          annotation (Placement(transformation(extent={{8,14},{28,34}})));
        Physiolibrary.Types.Constants.FractionConst const1(k=0.58)
          annotation (Placement(transformation(extent={{2,30},{8,36}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 IFPEffect( data=
               {{1.0,1.4,0},{4.0,1.0,-0.2},{7.0,0.3,0}})
            annotation (Placement(transformation(extent={{14,32},{34,52}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 ANPEffect( data=
               {{0.0,1.2,0},{1.3,1.0,-0.2},{2.7,0.6,0}})
            annotation (Placement(transformation(extent={{14,40},{34,60}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 SympsEffect(
              data={{0.6,0.6,0},{1.0,1.0,0.5},{4.0,1.5,0}})
            annotation (Placement(transformation(extent={{14,48},{34,68}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 A2Effect( data=
                {{0.7,0.8,0},{1.3,1.0,0.8},{1.6,1.2,0}})
            annotation (Placement(transformation(extent={{14,56},{34,76}})));
          Modelica.Blocks.Interfaces.RealInput NephronIFP_Pressure(final
              quantity=
               "Pressure", final displayUnit="mmHg")
            annotation (Placement(transformation(extent={{-4,38},{4,46}}),
                iconTransformation(extent={{-100,-28},{-88,-16}})));
          Modelica.Blocks.Interfaces.RealInput NephronANP_Log10Conc(final displayUnit=
                "log10(pMol/L)")
            annotation (Placement(transformation(extent={{-4,46},{4,54}}),
                iconTransformation(extent={{-100,-64},{-88,-52}})));
          Modelica.Blocks.Interfaces.RealInput KidneyAlpha_PT_NA(final displayUnit="Hz")
            annotation (Placement(transformation(extent={{-4,54},{4,62}}),
                iconTransformation(extent={{-100,-40},{-88,-28}})));
          Modelica.Blocks.Interfaces.RealInput A2Pool_Log10Con(final displayUnit=
                "log10(pG/mL)")
            annotation (Placement(transformation(extent={{-4,62},{4,70}}),
                iconTransformation(extent={{-100,-52},{-88,-40}})));
          Modelica.Blocks.Interfaces.RealInput KidneyFunctionEffect(final displayUnit=
                "1")
            annotation (Placement(transformation(extent={{12,80},{20,88}}),
                iconTransformation(extent={{-100,8},{-88,20}})));
        Physiolibrary.Chemical.Components.Reabsorption LH(
          MaxReab=7,
          useBaseReabsorption=true,
          useEffect=true,
          useMaxReabInput=true)
          annotation (Placement(transformation(extent={{68,14},{88,34}})));
        Physiolibrary.Types.Constants.FractionConst const2(k=0.75)
          annotation (Placement(transformation(extent={{64,30},{70,36}})));
        Physiolibrary.Chemical.Components.Reabsorption DT(
          useBaseReabsorption=true,
          useEffect=true,
          useMaxReabInput=true)
          annotation (Placement(transformation(extent={{80,-74},{60,-54}})));
        Physiolibrary.Chemical.Components.Reabsorption CD(
          MaxReab=0.7,
          useBaseReabsorption=true,
          useEffect=true,
          useMaxReabInput=true)
          annotation (Placement(transformation(extent={{30,-74},{10,-54}})));
        Physiolibrary.Types.Constants.FractionConst const3(k=0.75)
          annotation (Placement(transformation(extent={{18,-58},{24,-52}})));
        Physiolibrary.Types.Constants.FractionConst const4(k=0.75)
          annotation (Placement(transformation(extent={{68,-58},{74,-52}})));
        Physiolibrary.Chemical.Components.Substance Bladder(useNormalizedVolume=
             false, solute_start=(0)/1000)
          annotation (Placement(transformation(extent={{-28,-34},{-8,-14}})));
          Modelica.Blocks.Interfaces.RealInput BladderVolume_Mass(final
              quantity=
                "Volume", final displayUnit="ml")
            annotation (Placement(transformation(extent={{-12,-10},{-20,-2}}),
                iconTransformation(extent={{-100,46},{-88,58}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue2 Furosemide(
              data={{0.0,1.0,-1},{0.1,0.0,0}})
            annotation (Placement(transformation(extent={{64,62},{84,82}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue2 AldoEffect(
              data={{0.0,0.7,0},{10.0,1.0,0}})
            annotation (Placement(transformation(extent={{76,40},{96,60}})));
          Modelica.Blocks.Interfaces.RealInput
            KidneyNephronCount_Filtering_xNormal(final displayUnit="1")
            annotation (Placement(transformation(extent={{50,60},{58,68}}),
                iconTransformation(extent={{-100,-4},{-88,8}})));
          Modelica.Blocks.Interfaces.RealInput FurosemidePool_Furosemide_conc(
              final quantity="Concentration", final displayUnit="ug/ml")
            annotation (Placement(transformation(extent={{50,68},{58,76}}),
                iconTransformation(extent={{-100,-88},{-88,-76}})));
          Modelica.Blocks.Interfaces.RealInput NephronAldo_conc_in_nG_per_dL(
              final quantity="Concentration", final displayUnit="ng/dl")
            annotation (Placement(transformation(extent={{56,46},{64,54}}),
                iconTransformation(extent={{-100,-76},{-88,-64}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 LoadEffect(
              data={{0.0,3.0,0},{7.2,1.0,-0.2},{20.0,0.5,0}})
            annotation (Placement(transformation(extent={{76,32},{96,52}})));
        Physiolibrary.Blocks.Factors.Normalization FurosemideEffect
          annotation (Placement(transformation(extent={{76,48},{96,68}})));
        Physiolibrary.Blocks.Factors.Normalization Filtering_xNormal
          annotation (Placement(transformation(extent={{64,54},{84,74}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure1
          annotation (Placement(transformation(extent={{98,-74},{78,-54}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue2 LoadEffect1(
              data={{0.0,2.0,0},{1.6,1.0,0}})
            annotation (Placement(transformation(extent={{72,-56},{52,-36}})));
           Physiolibrary.Factors.NonlinearSystemPatch.SplineValue2
            ThiazideEffect(data={{0.0,1.0,-2.0},{0.6,0.2,0.0}})
            annotation (Placement(transformation(extent={{72,-40},{52,-20}})));
          Modelica.Blocks.Interfaces.RealInput ThiazidePool_Thiazide_conc(final
              quantity="Concentration", final displayUnit="ug/ml")
            annotation (Placement(transformation(extent={{92,-34},{84,-26}}),
                iconTransformation(extent={{-100,-100},{-88,-88}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure2
          annotation (Placement(transformation(extent={{58,-74},{38,-54}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue2 LoadEffect2(
              data={{0.0,2.0,0},{0.4,1.0,0}})
            annotation (Placement(transformation(extent={{22,-58},{2,-38}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 ANPEffect2(
              data={{0.0,1.2,0},{1.3,1.0,-0.4},{2.7,0.2,0}})
            annotation (Placement(transformation(extent={{22,-50},{2,-30}})));
          Modelica.Blocks.Interfaces.RealInput IVDrip_NaRate(final quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-82,82},{-74,90}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-40,98})));
          Modelica.Blocks.Interfaces.RealInput Transfusion_NaRate(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-82,66},{-74,74}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-28,98})));
          Modelica.Blocks.Interfaces.RealInput SweatDuct_NaRate(final quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-36,90},{-42,96}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-16,98})));
          Modelica.Blocks.Interfaces.RealInput Hemorrhage_NaRate(final quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-36,76},{-42,82}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-4,98})));
        Physiolibrary.Blocks.Factors.Normalization AldoEffect2 annotation (
            Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=270,
              origin={84,-78})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant const5(k=2)
          annotation (Placement(transformation(extent={{94,-80},{90,-76}})));
          Modelica.Blocks.Interfaces.RealInput DialyzerActivity_Na_Flux(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-36,62},{-42,68}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={8,98})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-100,-42},{-80,-22}})));
          Modelica.Blocks.Interfaces.RealInput DietIntakeElectrolytes_Na(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-100,-30},{-92,-22}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={20,98})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Diarrhea(
            useSoluteFlowInput=true) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-90,-44})));
          Modelica.Blocks.Interfaces.RealInput GILumenDiarrhea_NaLoss(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{3,-3},{-3,3}},
                rotation=180,
                origin={-93,-51}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={32,98})));
          Modelica.Blocks.Interfaces.RealOutput PT_FractReab
                                          annotation (Placement(transformation(extent={{28,16},
                    {36,24}}),         iconTransformation(extent={{100,60},{120,
                    80}})));
          Modelica.Blocks.Interfaces.RealOutput LH_FractReab
                                          annotation (Placement(transformation(extent={{88,6},{
                    96,14}}),          iconTransformation(extent={{100,40},{120,
                    60}})));
          Modelica.Blocks.Interfaces.RealOutput DT_Outflow
                                          annotation (Placement(transformation(extent={{-4,-4},
                    {4,4}},
                rotation=180,
                origin={46,-54}),      iconTransformation(extent={{100,20},{120,
                    40}})));
          Modelica.Blocks.Interfaces.RealOutput CD_Outflow
                                          annotation (Placement(transformation(extent={{-4,-4},
                    {4,4}},
                rotation=180,
                origin={-4,-72}),      iconTransformation(extent={{100,0},{120,20}})));
          Modelica.Blocks.Interfaces.RealOutput Medulla_Conc
                                          annotation (Placement(transformation(extent={{54,-96},
                    {62,-88}}),        iconTransformation(extent={{100,-20},{120,
                    0}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure3
          annotation (Placement(transformation(extent={{10,-54},{-10,-74}})));
        Physiolibrary.Chemical.Components.Substance Medulla(useNormalizedVolume=
             false, solute_start=(13)/1000)
          annotation (Placement(transformation(extent={{28,-102},{48,-82}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={46,-92})));
        Physiolibrary.Chemical.Components.Stream VasaRectaOutflow(
            useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{-4,-100},{-20,-84}})));
          Modelica.Blocks.Interfaces.RealInput VasaRecta_Outflow(final quantity="VolumeFlowRate", final displayUnit="ml/min")
            annotation (Placement(transformation(extent={{-46,-88},{-38,-80}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                origin={-94,26})));
          Modelica.Blocks.Math.Gain gain(k=0.03)
            annotation (Placement(transformation(extent={{-28,-88},{-20,-80}})));
          Modelica.Blocks.Interfaces.RealInput Medulla_Volume(final quantity=
                "Volume", final displayUnit="ml")
            annotation (Placement(transformation(extent={{8,-88},{16,-80}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                origin={-94,40})));
          Modelica.Blocks.Interfaces.RealOutput NaPool_mass
                                          annotation (Placement(transformation(extent={{-68,2},
                    {-60,10}}),        iconTransformation(extent={{100,100},{120,
                    120}})));
          Modelica.Blocks.Interfaces.RealOutput NaPool_conc_per_liter
                                          annotation (Placement(transformation(extent={{-64,-8},
                    {-56,0}}),         iconTransformation(extent={{100,80},{120,
                    100}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-80,-4})));
          Modelica.Blocks.Math.Gain gain1(k=1000)
            annotation (Placement(transformation(extent={{-70,-6},{-66,-2}})));
        Physiolibrary.Chemical.Components.Clearance bladderVoid(
            useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{12,-22},{24,-10}})));
          Modelica.Blocks.Interfaces.RealInput BladderVoidFlow(final quantity="VolumeFlowRate", final displayUnit="ml/min")
            annotation (Placement(transformation(extent={{4,-10},{12,-2}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                origin={-94,-106})));
          Modelica.Blocks.Interfaces.RealOutput GILumenSodium_Mass
                                          annotation (Placement(transformation(extent={{-64,-60},
                    {-56,-52}}),       iconTransformation(extent={{100,-40},{120,
                    -20}})));
        Physiolibrary.Blocks.Factors.Normalization AldosteroneEffect
          annotation (Placement(transformation(extent={{72,-48},{52,-28}})));
        Physiolibrary.Blocks.Interpolation.NonlinearSystemPatch.Curve3
          DT_AldoEffect(
          x={0,12,50},
          y={0.5,1,3},
          slope={0,0.08,0})
          annotation (Placement(transformation(extent={{60,-22},{80,-2}})));
          Modelica.Blocks.Interfaces.RealOutput DT_AldosteroneEffect
                                          annotation (Placement(transformation(
                  extent={{90,-16},{98,-8}}), iconTransformation(extent={{100,-60},
                    {120,-40}})));
          Modelica.Blocks.Interfaces.RealOutput DT_Na_Reab
                                          annotation (Placement(transformation(
                  extent={{60,-86},{68,-78}}), iconTransformation(extent={{100,-80},
                    {120,-60}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure4
          annotation (Placement(transformation(extent={{64,-68},{44,-88}})));
          Modelica.Blocks.Interfaces.RealOutput LH_Na_Reab
                                          annotation (Placement(transformation(
                  extent={{76,-2},{84,6}}), iconTransformation(extent={{100,-100},
                    {120,-80}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure5
          annotation (Placement(transformation(extent={{80,16},{60,-4}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure6
          annotation (Placement(transformation(
              extent={{10,10},{-10,-10}},
              rotation=90,
              origin={18,12})));
          Modelica.Blocks.Interfaces.RealOutput PT_Na_Reab
                                          annotation (Placement(transformation(
                  extent={{24,8},{32,16}}), iconTransformation(extent={{100,-120},
                    {120,-100}})));
        equation
        connect(NaPool.solutionVolume, ECFV_Vol) annotation (Line(
            points={{-80,30},{-87,30},{-87,32},{-94,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.solutionVolume, GILumenVolume_Mass) annotation (Line(
            points={{-80,-20},{-87,-20},{-87,-18},{-94,-18}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
              points={{-72,-26},{-65,-26},{-65,-26},{-58,-26}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Absorbtion.q_out, NaPool.q_out) annotation (Line(
              points={{-46,-26},{-44,-26},{-44,24},{-72,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Hemorrhage.q_in, NaPool.q_out) annotation (Line(
              points={{-54,74},{-58,74},{-58,24},{-72,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(DialyzerActivity.q_in, NaPool.q_out) annotation (Line(
              points={{-54,60},{-58,60},{-58,24},{-72,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(NaPool.q_out, SweatDuct.q_in) annotation (Line(
              points={{-72,24},{-58,24},{-58,88},{-54,88}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Transfusion.q_out, NaPool.q_out) annotation (Line(
              points={{-62,66},{-58,66},{-58,24},{-72,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(IVDrip.q_out, NaPool.q_out) annotation (Line(
              points={{-62,80},{-58,80},{-58,24},{-72,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(glomerulusSudiumRate.solutionFlow, GlomerulusFiltrate_GFR)
          annotation (Line(
            points={{-6,30},{-6,34},{-12,34}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(glomerulus.q_in, NaPool.q_out) annotation (Line(
              points={{-40,24},{-72,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(glomerulus.q_out, glomerulusSudiumRate.q_in) annotation (Line(
              points={{-20,24},{-16,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(glomerulusSudiumRate.q_out, PT.Inflow) annotation (Line(
              points={{4,24},{8,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(const1.y, PT.baseReabsorption) annotation (Line(
            points={{8.3,33},{12,33},{12,28}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(A2Effect.yBase, KidneyFunctionEffect) annotation (Line(
              points={{24,68},{24,84},{16,84}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(A2Effect.y, SympsEffect.yBase) annotation (Line(
              points={{24,64},{24,60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(SympsEffect.y, ANPEffect.yBase) annotation (Line(
              points={{24,56},{24,52}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ANPEffect.y, IFPEffect.yBase) annotation (Line(
              points={{24,48},{24,44}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(IFPEffect.y, PT.Effect) annotation (Line(
            points={{24,40},{24,28},{26,28}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(A2Pool_Log10Con, A2Effect.u) annotation (Line(
              points={{0,66},{14.2,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(SympsEffect.u, KidneyAlpha_PT_NA) annotation (Line(
              points={{14.2,58},{0,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NephronANP_Log10Conc, ANPEffect.u) annotation (Line(
              points={{0,50},{14.2,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NephronIFP_Pressure, IFPEffect.u) annotation (Line(
              points={{0,42},{14.2,42}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(const2.y, LH.baseReabsorption) annotation (Line(
            points={{70.3,33},{72,33},{72,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const3.y, CD.baseReabsorption) annotation (Line(
            points={{24.3,-55},{26,-55},{26,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const4.y, DT.baseReabsorption) annotation (Line(
            points={{74.3,-55},{76,-55},{76,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.solutionVolume, BladderVolume_Mass) annotation (Line(
            points={{-26,-18},{-36,-18},{-36,-6},{-16,-6}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(NephronAldo_conc_in_nG_per_dL, AldoEffect.u)
                                               annotation (Line(
              points={{60,50},{76.2,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Furosemide.u, FurosemidePool_Furosemide_conc)
                                                    annotation (Line(
              points={{64.2,72},{54,72}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AldoEffect.y, LoadEffect.yBase) annotation (Line(
              points={{86,48},{86,44}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(LoadEffect.y, LH.Effect) annotation (Line(
            points={{86,40},{86,28}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(FurosemideEffect.y, AldoEffect.yBase) annotation (Line(
              points={{86,56},{86,52}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Filtering_xNormal.u, KidneyNephronCount_Filtering_xNormal)
            annotation (Line(
              points={{64.2,64},{54,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Filtering_xNormal.y, FurosemideEffect.u) annotation (Line(
              points={{74,62},{74,58},{76.2,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Furosemide.y, Filtering_xNormal.yBase) annotation (Line(
              points={{74,70},{74,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KidneyFunctionEffect, Furosemide.yBase) annotation (Line(
              points={{16,84},{74,84},{74,74}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(FurosemideEffect.yBase, KidneyFunctionEffect) annotation (Line(
              points={{86,60},{86,84},{16,84}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(PT.Outflow, flowMeasure.q_in) annotation (Line(
              points={{28,24},{56,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(flowMeasure.q_out, LH.Inflow) annotation (Line(
              points={{64,24},{68,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(flowMeasure.molarFlowRate, LoadEffect.u) annotation (Line(
            points={{60,29},{60,42},{76.2,42}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(DT.Inflow, flowMeasure1.q_out) annotation (Line(
              points={{80,-64},{84,-64}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(flowMeasure1.q_in, LH.Outflow) annotation (Line(
              points={{92,-64},{100,-64},{100,24},{88,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(LoadEffect1.y, DT.Effect) annotation (Line(
            points={{62,-48},{62,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect1.u, flowMeasure1.molarFlowRate) annotation (Line(
            points={{71.8,-46},{88,-46},{88,-59}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(DT_AldoEffect.u, NephronAldo_conc_in_nG_per_dL)
                                                                annotation (Line(
              points={{60,-12},{50,-12},{50,48},{66,48},{66,50},{60,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ThiazideEffect.yBase, KidneyFunctionEffect) annotation (Line(
              points={{62,-28},{62,-26},{46,-26},{46,84},{16,84}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ThiazideEffect.u, ThiazidePool_Thiazide_conc) annotation (Line(
              points={{71.8,-30},{88,-30}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(CD.Inflow, flowMeasure2.q_out) annotation (Line(
              points={{30,-64},{44,-64}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(flowMeasure2.q_in, DT.Outflow) annotation (Line(
              points={{52,-64},{60,-64}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(LoadEffect2.y, CD.Effect) annotation (Line(
            points={{12,-50},{12,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect2.u, flowMeasure2.molarFlowRate) annotation (Line(
            points={{21.8,-48},{48,-48},{48,-59}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(ANPEffect2.y, LoadEffect2.yBase) annotation (Line(
              points={{12,-42},{12,-46}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ANPEffect2.yBase, KidneyFunctionEffect) annotation (Line(
              points={{12,-38},{12,-26},{46,-26},{46,84},{16,84}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ANPEffect2.u, NephronANP_Log10Conc) annotation (Line(
              points={{21.8,-40},{40,-40},{40,38},{6,38},{6,50},{0,50}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(IVDrip.soluteFlow, IVDrip_NaRate) annotation (Line(
            points={{-68,84},{-68,86},{-78,86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Transfusion.soluteFlow, Transfusion_NaRate) annotation (Line(
            points={{-68,70},{-78,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatDuct.soluteFlow, SweatDuct_NaRate) annotation (Line(
            points={{-48,92},{-48,93},{-39,93}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(const5.y, AldoEffect2.yBase) annotation (Line(
              points={{89.8,-78},{86,-78}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AldoEffect2.y, DT.MaxReab) annotation (Line(
              points={{82,-78},{76,-78},{76,-68.2}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(Hemorrhage_NaRate, Hemorrhage.soluteFlow) annotation (Line(
            points={{-39,79},{-47.5,79},{-47.5,78},{-48,78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DialyzerActivity.soluteFlow, DialyzerActivity_Na_Flux)
          annotation (Line(
            points={{-48,64},{-48,65},{-39,65}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(glomerulus.otherCations, KPool) annotation (Line(
              points={{-36,29},{-36,36},{-44,36}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(glomerulus.ProteinAnions, BloodIons_ProteinAnions) annotation (
              Line(
              points={{-32,29},{-32,44},{-44,44}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(Diet.soluteFlow, DietIntakeElectrolytes_Na) annotation (Line(
            points={{-90,-28},{-94,-28},{-94,-26},{-96,-26}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(Diet.q_out, GILumen.q_out) annotation (Line(
              points={{-84,-32},{-80,-32},{-80,-26},{-72,-26}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(Diarrhea.soluteFlow, GILumenDiarrhea_NaLoss) annotation (Line(
            points={{-90,-48},{-90,-51},{-93,-51}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
              points={{-72,-26},{-80,-26},{-80,-44},{-84,-44}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(GILumen.solute, Perm.u) annotation (Line(
            points={{-72,-33.8},{-72,-43},{-62.6,-43}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
              points={{-55.7,-43},{-52,-43},{-52,-29.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(PT.ReabFract, PT_FractReab) annotation (Line(
              points={{28,20},{32,20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(LH.ReabFract, LH_FractReab) annotation (Line(
              points={{88,20},{92,20},{92,10},{92,10}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(flowMeasure2.molarFlowRate, DT_Outflow) annotation (Line(
            points={{48,-59},{48,-54},{46,-54}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(CD.Outflow, flowMeasure3.q_in) annotation (Line(
              points={{10,-64},{4,-64}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(flowMeasure3.q_out, Bladder.q_out) annotation (Line(
              points={{-4,-64},{-6,-64},{-6,-24},{-18,-24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(flowMeasure3.molarFlowRate, CD_Outflow) annotation (Line(
            points={{0,-69},{0,-72},{-4,-72}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(CD.Reabsorption, Medulla.q_out) annotation (Line(
              points={{20,-68},{20,-92},{38,-92}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Medulla.q_out, concentrationMeasure.q_in) annotation (Line(
              points={{38,-92},{46,-92}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(concentrationMeasure.concentration, Medulla_Conc) annotation (
            Line(
            points={{50,-92},{58,-92}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(Medulla.q_out, VasaRectaOutflow.q_in) annotation (Line(
              points={{38,-92},{-4,-92}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(VasaRectaOutflow.q_out, NaPool.q_out) annotation (Line(
              points={{-20,-92},{-44,-92},{-44,24},{-72,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(gain.y, VasaRectaOutflow.solutionFlow) annotation (Line(
            points={{-19.6,-84},{-12,-84},{-12,-87.2}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(VasaRecta_Outflow, gain.u) annotation (Line(
              points={{-42,-84},{-28.8,-84}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(Medulla.solutionVolume, Medulla_Volume) annotation (Line(
            points={{30,-86},{21,-86},{21,-84},{12,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NaPool.solute, NaPool_mass) annotation (Line(
            points={{-72,16.2},{-72,6},{-64,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure1.concentration, gain1.u) annotation (Line(
            points={{-76,-4},{-73.2,-4},{-73.2,-4},{-70.4,-4}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(gain1.y, NaPool_conc_per_liter) annotation (Line(
              points={{-65.8,-4},{-60,-4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(concentrationMeasure1.q_in, NaPool.q_out) annotation (Line(
              points={{-80,-4},{-80,24},{-72,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
              points={{-18,-24},{-4,-24},{-4,-16},{12,-16}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(bladderVoid.solutionFlow, BladderVoidFlow) annotation (Line(
            points={{18,-12.4},{18,-6},{8,-6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.solute, GILumenSodium_Mass) annotation (Line(
            points={{-72,-33.8},{-72,-56},{-60,-56}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(AldosteroneEffect.y, LoadEffect1.yBase) annotation (Line(
              points={{62,-40},{62,-44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ThiazideEffect.y, AldosteroneEffect.yBase) annotation (Line(
              points={{62,-32},{62,-36}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AldosteroneEffect.u, DT_AldoEffect.val) annotation (Line(
              points={{71.8,-38},{96,-38},{96,-12},{80.2,-12}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(DT_AldoEffect.val, AldoEffect2.u) annotation (Line(
              points={{80.2,-12},{96,-12},{96,-94},{84,-94},{84,-87.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(DT_AldoEffect.val, DT_AldosteroneEffect) annotation (Line(
              points={{80.2,-12},{94,-12}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(flowMeasure4.molarFlowRate, DT_Na_Reab) annotation (Line(
            points={{54,-83},{60,-83},{60,-82},{64,-82}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(DT.Reabsorption, flowMeasure4.q_in) annotation (Line(
              points={{70,-68},{70,-78},{58,-78}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure4.q_out, NaPool.q_out) annotation (Line(
              points={{50,-78},{-44,-78},{-44,24},{-72,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(flowMeasure5.molarFlowRate, LH_Na_Reab) annotation (Line(
            points={{70,1},{76,1},{76,2},{80,2}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(LH.Reabsorption, flowMeasure5.q_in) annotation (Line(
              points={{78,20},{78,6},{74,6}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure5.q_out, NaPool.q_out) annotation (Line(
              points={{66,6},{-44,6},{-44,24},{-72,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(flowMeasure6.molarFlowRate, PT_Na_Reab) annotation (Line(
            points={{23,12},{28,12}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(PT.Reabsorption, flowMeasure6.q_in) annotation (Line(
              points={{18,20},{18,16}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure6.q_out, NaPool.q_out) annotation (Line(
              points={{18,8},{18,6},{-44,6},{-44,24},{-72,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                      "../Physiolibrary/icons/Na.jpg")}));
        end Sodium;

        model Sodium2
        Physiolibrary.Chemical.Components.Substance NaPool(
          stateName="NaPool.Mass",
          useNormalizedVolume=false,
          solute_start=(2058.45)/1000)
          annotation (Placement(transformation(extent={{-86,14},{-66,34}})));
        Physiolibrary.Chemical.Components.Substance GILumen(
          stateName="GILumenSodium.Mass",
          useNormalizedVolume=false,
          solute_start=(80)/1000)
          annotation (Placement(transformation(extent={{-60,-46},{-40,-26}})));
        Physiolibrary.Chemical.Components.SolutePump Absorbtion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-44,-10},{-56,-22}})));
          Modelica.Blocks.Math.Gain Perm(k=0.0015)
            annotation (Placement(transformation(extent={{-40,-56},{-34,-50}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Hemorrhage(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-58,64},{-38,84}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-58,50},{-38,70}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-78,70},{-58,90}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-78,56},{-58,76}})));
          Physiolibrary.Molar.SolventFlowPump_InitialPatch
            glomerulusSudiumRate
            annotation (Placement(transformation(extent={{-16,14},{4,34}})));
          Physiomodel.Electrolytes.Sodium.GlomerulusCationFiltration glomerulus
            annotation (Placement(transformation(extent={{-40,14},{-20,34}})));
        Physiolibrary.Chemical.Components.Reabsorption PT(
          useBaseReabsorption=true,
          useEffect=true,
          useMaxReabInput=true)
          annotation (Placement(transformation(extent={{8,14},{28,34}})));
        Physiolibrary.Types.Constants.FractionConst const1(k=0.58)
          annotation (Placement(transformation(extent={{2,34},{8,40}})));
        Physiolibrary.Blocks.Factors.Spline IFPEffect(data={{1.0,1.4,0},{4.0,
              1.0,-0.2},{7.0,0.3,0}})
          annotation (Placement(transformation(extent={{14,32},{34,52}})));
        Physiolibrary.Blocks.Factors.Spline ANPEffect(data={{0.0,1.2,0},{1.3,
              1.0,-0.2},{2.7,0.6,0}})
          annotation (Placement(transformation(extent={{14,40},{34,60}})));
        Physiolibrary.Blocks.Factors.Spline SympsEffect(data={{0.6,0.6,0},{1.0,
              1.0,0.5},{4.0,1.5,0}})
          annotation (Placement(transformation(extent={{14,48},{34,68}})));
        Physiolibrary.Blocks.Factors.Spline A2Effect(data={{0.7,0.8,0},{1.3,1.0,
              0.8},{1.6,1.2,0}})
          annotation (Placement(transformation(extent={{14,56},{34,76}})));
        Physiolibrary.Chemical.Components.Reabsorption LH(
          MaxReab=7,
          useBaseReabsorption=true,
          useEffect=true,
          useMaxReabInput=true)
          annotation (Placement(transformation(extent={{68,14},{88,34}})));
        Physiolibrary.Types.Constants.FractionConst const2(k=0.75)
          annotation (Placement(transformation(extent={{64,30},{70,36}})));
        Physiolibrary.Chemical.Components.Reabsorption DT(
          useBaseReabsorption=true,
          useEffect=true,
          useMaxReabInput=true)
          annotation (Placement(transformation(extent={{80,-74},{60,-54}})));
        Physiolibrary.Chemical.Components.Reabsorption CD(
          MaxReab=0.7,
          useBaseReabsorption=true,
          useEffect=true,
          useMaxReabInput=true)
          annotation (Placement(transformation(extent={{30,-74},{10,-54}})));
        Physiolibrary.Types.Constants.FractionConst const3(k=0.75)
          annotation (Placement(transformation(extent={{18,-58},{24,-52}})));
        Physiolibrary.Types.Constants.FractionConst const4(k=0.75)
          annotation (Placement(transformation(extent={{68,-58},{74,-52}})));
        Physiolibrary.Chemical.Components.Substance Bladder(
          stateName="BladderSodium.Mass",
          STEADY=false,
          useNormalizedVolume=false,
          solute_start=(0)/1000)
          annotation (Placement(transformation(extent={{-28,-26},{-8,-6}})));
        Physiolibrary.Blocks.Factors.Spline Furosemide(data={{0.0,1.0,-1},{0.1,
              0.0,0}})
          annotation (Placement(transformation(extent={{64,62},{84,82}})));
        Physiolibrary.Blocks.Factors.Spline AldoEffect(data={{0.0,0.7,0},{10.0,
              1.0,0}})
          annotation (Placement(transformation(extent={{76,40},{96,60}})));
        Physiolibrary.Blocks.Factors.Spline LoadEffect(data={{0.0,3.0,0},{7.2,
              1.0,-0.2},{20.0,0.5,0}})
          annotation (Placement(transformation(extent={{76,32},{96,52}})));
        Physiolibrary.Blocks.Factors.Normalization FurosemideEffect
          annotation (Placement(transformation(extent={{76,48},{96,68}})));
        Physiolibrary.Blocks.Factors.Normalization Filtering_xNormal
          annotation (Placement(transformation(extent={{64,54},{84,74}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure1
          annotation (Placement(transformation(extent={{98,-74},{78,-54}})));
        Physiolibrary.Blocks.Factors.Spline LoadEffect1(data={{0.0,2.0,0},{1.6,
              1.0,0}})
          annotation (Placement(transformation(extent={{72,-56},{52,-36}})));
        Physiolibrary.Blocks.Factors.Spline ThiazideEffect(data={{0.0,1.0,-2.0},
              {0.6,0.2,0.0}})
          annotation (Placement(transformation(extent={{72,-48},{52,-28}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure2
          annotation (Placement(transformation(extent={{58,-74},{38,-54}})));
        Physiolibrary.Blocks.Factors.Spline LoadEffect2(data={{0.0,2.0,0},{0.4,
              1.0,0}})
          annotation (Placement(transformation(extent={{22,-58},{2,-38}})));
        Physiolibrary.Blocks.Factors.Spline ANPEffect2(data={{0.0,1.2,0},{1.3,
              1.0,-0.4},{2.7,0.2,0}})
          annotation (Placement(transformation(extent={{22,-50},{2,-30}})));
        Physiolibrary.Blocks.Factors.Normalization AldoEffect2 annotation (
            Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=270,
              origin={84,-78})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant const5(k=2)
          annotation (Placement(transformation(extent={{94,-80},{90,-76}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-90,-60},{-70,-40}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Diarrhea(
            useSoluteFlowInput=true) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-80,-64})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure3
          annotation (Placement(transformation(extent={{10,-54},{-10,-74}})));
        Physiolibrary.Chemical.Components.Substance Medulla(
          stateName="MedullaNa.Mass",
          useNormalizedVolume=false,
          solute_start=(13)/1000)
          annotation (Placement(transformation(extent={{28,-102},{48,-82}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure(toAnotherUnitCoef=1000, unitsString="mEq/l")
          annotation (Placement(transformation(
              extent={{-9,-9},{9,9}},
              rotation=270,
              origin={57,-97})));
        Physiolibrary.Chemical.Components.Stream VasaRectaOutflow(
            useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{-4,-100},{-20,-84}})));
          Modelica.Blocks.Math.Gain gain(k=0.03)
            annotation (Placement(transformation(extent={{-28,-88},{-20,-80}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure1(toAnotherUnitCoef=1000, unitsString="mEq/l")
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-92,36})));
        Physiolibrary.Chemical.Components.Clearance bladderVoid(
            useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{12,-22},{24,-10}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure4
          annotation (Placement(transformation(extent={{64,-68},{44,-88}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure5
          annotation (Placement(transformation(extent={{80,16},{60,-4}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure6
          annotation (Placement(transformation(
              extent={{10,10},{-10,-10}},
              rotation=90,
              origin={18,12})));
        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{-98,86},{-86,98}}), iconTransformation(
                extent={{60,60},{100,100}})));
          Modelica.Blocks.Math.Gain Osm(k=2)
            annotation (Placement(transformation(extent={{68,-100},{74,-94}})));
        Physiolibrary.Blocks.Factors.Spline AldoEffect1(data={{0.0,0.5,0},{12.0,
              1.0,0.08},{50.0,3.0,0}})
          annotation (Placement(transformation(extent={{52,-40},{72,-20}})));
          Modelica.Blocks.Math.Division division
            annotation (Placement(transformation(extent={{80,-16},{86,-10}})));
          Modelica.Blocks.Math.Gain ml2l(k=1000)
            annotation (Placement(transformation(extent={{90,-16},{96,-10}})));
        Physiolibrary.Blocks.Factors.Spline LeptinEffect2(data={{0,3.0,0},{8,
              1.0,-0.04},{50,0.0,0}})
          annotation (Placement(transformation(extent={{-90,-50},{-70,-30}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant7(k=180
              /1440)
          annotation (Placement(transformation(extent={{-90,-36},{-82,-28}})));
        Real ECF_conc;
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure2(toAnotherUnitCoef=1, unitsString="mEq/ml")
          annotation (Placement(transformation(
              extent={{-9,-9},{9,9}},
              rotation=270,
              origin={57,-93})));
          SweatGlandSalt sweatGlandSalt
            annotation (Placement(transformation(extent={{4,74},{20,90}})));
        equation
          ECF_conc =concentrationMeasure1.concentration;

        connect(NaPool.solutionVolume, busConnector.ECFV_Vol) annotation (Line(
            points={{-84,30},{-97,30},{-97,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumen.solutionVolume, busConnector.GILumenVolume_Mass)
          annotation (Line(
            points={{-58,-30},{-97,-30},{-97,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
              points={{-50,-36},{-38,-36},{-38,-16},{-44,-16}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Absorbtion.q_out, NaPool.q_out) annotation (Line(
              points={{-56,-16},{-100,-16},{-100,24},{-76,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Hemorrhage.q_in, NaPool.q_out) annotation (Line(
              points={{-54,74},{-58,74},{-58,24},{-76,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(DialyzerActivity.q_in, NaPool.q_out) annotation (Line(
              points={{-54,60},{-58,60},{-58,24},{-76,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Transfusion.q_out, NaPool.q_out) annotation (Line(
              points={{-62,66},{-58,66},{-58,24},{-76,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(IVDrip.q_out, NaPool.q_out) annotation (Line(
              points={{-62,80},{-58,80},{-58,24},{-76,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(glomerulusSudiumRate.solventFlow, busConnector. GlomerulusFiltrate_GFR)
            annotation (Line(
              points={{-6,30},{-6,38},{-32,38},{-32,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(glomerulus.q_in, NaPool.q_out) annotation (Line(
              points={{-40,24},{-76,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(glomerulus.q_out, glomerulusSudiumRate.q_in) annotation (Line(
              points={{-20,24},{-16,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(glomerulusSudiumRate.q_out, PT.Inflow) annotation (Line(
              points={{4,24},{8,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(const1.y, PT.baseReabsorption) annotation (Line(
            points={{8.3,37},{12,37},{12,28}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(A2Effect.yBase, busConnector. KidneyFunctionEffect) annotation (Line(
              points={{24,68},{24,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(A2Effect.y, SympsEffect.yBase) annotation (Line(
              points={{24,64},{24,60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(SympsEffect.y, ANPEffect.yBase) annotation (Line(
              points={{24,56},{24,52}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ANPEffect.y, IFPEffect.yBase) annotation (Line(
              points={{24,48},{24,44}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(IFPEffect.y, PT.Effect) annotation (Line(
            points={{24,40},{24,28},{26,28}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector.A2Pool_Log10Conc, A2Effect.u) annotation (Line(
              points={{-92,92},{-18.9,92},{-18.9,66},{14.2,66}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%first",
         index=-1,
         extent={{-6,3},{-6,3}}));
          connect(SympsEffect.u, busConnector. KidneyAlpha_PT_NA) annotation (Line(
              points={{14.2,58},{-18.9,58},{-18.9,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(busConnector.NephronANP_Log10Conc, ANPEffect.u) annotation (Line(
              points={{-92,92},{-18.9,92},{-18.9,50},{14.2,50}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%first",
         index=-1,
         extent={{-6,3},{-6,3}}));
          connect(busConnector.NephronIFP_Pressure, IFPEffect.u) annotation (Line(
              points={{-92,92},{-18.9,92},{-18.9,42},{14.2,42}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%first",
         index=-1,
         extent={{-6,3},{-6,3}}));
        connect(const2.y, LH.baseReabsorption) annotation (Line(
            points={{70.3,33},{72,33},{72,28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const3.y, CD.baseReabsorption) annotation (Line(
            points={{24.3,-55},{26,-55},{26,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const4.y, DT.baseReabsorption) annotation (Line(
            points={{74.3,-55},{76,-55},{76,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.solutionVolume, busConnector.BladderVolume_Mass)
          annotation (Line(
            points={{-26,-10},{-98,-10},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(Furosemide.u, busConnector. FurosemidePool_Furosemide_conc)
                                                    annotation (Line(
              points={{64.2,72},{48,72},{48,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(AldoEffect.y, LoadEffect.yBase) annotation (Line(
              points={{86,48},{86,44}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(LoadEffect.y, LH.Effect) annotation (Line(
            points={{86,40},{86,28}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(FurosemideEffect.y, AldoEffect.yBase) annotation (Line(
              points={{86,56},{86,52}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Filtering_xNormal.u, busConnector. Kidney_NephronCount_Filtering_xNormal)
            annotation (Line(
              points={{64.2,64},{48,64},{48,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(Filtering_xNormal.y, FurosemideEffect.u) annotation (Line(
              points={{74,62},{74,58},{76.2,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Furosemide.y, Filtering_xNormal.yBase) annotation (Line(
              points={{74,70},{74,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.KidneyFunctionEffect, Furosemide.yBase) annotation (Line(
              points={{-92,92},{74,92},{74,74}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%first",
         index=-1,
         extent={{-6,3},{-6,3}}));
          connect(FurosemideEffect.yBase, busConnector. KidneyFunctionEffect) annotation (Line(
              points={{86,60},{86,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(PT.Outflow, flowMeasure.q_in) annotation (Line(
              points={{28,24},{56,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(flowMeasure.q_out, LH.Inflow) annotation (Line(
              points={{64,24},{68,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(flowMeasure.molarFlowRate, LoadEffect.u) annotation (Line(
            points={{60,29},{60,42},{76.2,42}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(DT.Inflow, flowMeasure1.q_out) annotation (Line(
              points={{80,-64},{84,-64}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(flowMeasure1.q_in, LH.Outflow) annotation (Line(
              points={{92,-64},{98,-64},{98,24},{88,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(LoadEffect1.y, DT.Effect) annotation (Line(
            points={{62,-48},{62,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect1.u, flowMeasure1.molarFlowRate) annotation (Line(
            points={{71.8,-46},{88,-46},{88,-59}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(ThiazideEffect.u, busConnector. ThiazidePool_Thiazide_conc) annotation (Line(
              points={{71.8,-38},{99.9,-38},{99.9,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(CD.Inflow, flowMeasure2.q_out) annotation (Line(
              points={{30,-64},{44,-64}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(flowMeasure2.q_in, DT.Outflow) annotation (Line(
              points={{52,-64},{60,-64}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(LoadEffect2.y, CD.Effect) annotation (Line(
            points={{12,-50},{12,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect2.u, flowMeasure2.molarFlowRate) annotation (Line(
            points={{21.8,-48},{48,-48},{48,-59}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(ANPEffect2.y, LoadEffect2.yBase) annotation (Line(
              points={{12,-42},{12,-46}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ANPEffect2.yBase, busConnector. KidneyFunctionEffect) annotation (Line(
              points={{12,-38},{12,-36},{48,-36},{48,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(ANPEffect2.u, busConnector. NephronANP_Log10Conc) annotation (Line(
              points={{21.8,-40},{48,-40},{48,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
        connect(IVDrip.soluteFlow, busConnector.IVDrip_NaRate) annotation (Line(
            points={{-68,84},{-68,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Transfusion.soluteFlow, busConnector.Transfusion_NaRate)
          annotation (Line(
            points={{-68,70},{-60,70},{-60,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(const5.y, AldoEffect2.yBase) annotation (Line(
              points={{89.8,-78},{86,-78}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AldoEffect2.y, DT.MaxReab) annotation (Line(
              points={{82,-78},{76,-78},{76,-68.2}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(busConnector.Hemorrhage_NaRate, Hemorrhage.soluteFlow)
          annotation (Line(
            points={{-92,92},{-47.5,92},{-47.5,78},{-48,78}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(DialyzerActivity.soluteFlow, busConnector.DialyzerActivity_Na_Flux)
          annotation (Line(
            points={{-48,64},{-48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(glomerulus.otherCations, busConnector. KPool) annotation (Line(
              points={{-36,29},{-36,38},{-32,38},{-32,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(glomerulus.ProteinAnions, busConnector. BloodIons_ProteinAnions) annotation (
              Line(
              points={{-32,29},{-32,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(Diet.q_out, GILumen.q_out) annotation (Line(
              points={{-74,-50},{-58,-50},{-58,-36},{-50,-36}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(Diarrhea.soluteFlow, busConnector.GILumenDiarrhea_NaLoss)
          annotation (Line(
            points={{-80,-68},{-80,-70},{-98,-70},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
              points={{-50,-36},{-58,-36},{-58,-64},{-74,-64}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(GILumen.solute, Perm.u) annotation (Line(
            points={{-50,-43.8},{-50,-53},{-40.6,-53}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
              points={{-33.7,-53},{-32,-54},{-32,-24},{-50,-24},{-50,-19.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(CD.Outflow, flowMeasure3.q_in) annotation (Line(
              points={{10,-64},{4,-64}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(flowMeasure3.q_out, Bladder.q_out) annotation (Line(
              points={{-4,-64},{-6,-64},{-6,-16},{-18,-16}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(CD.Reabsorption, Medulla.q_out) annotation (Line(
              points={{20,-68},{20,-92},{38,-92}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Medulla.q_out, concentrationMeasure.q_in) annotation (Line(
              points={{38,-92},{42,-92},{42,-97},{57,-97}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Medulla.q_out, VasaRectaOutflow.q_in) annotation (Line(
              points={{38,-92},{-4,-92}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(VasaRectaOutflow.q_out, NaPool.q_out) annotation (Line(
              points={{-20,-92},{-100,-92},{-100,24},{-76,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(gain.y, VasaRectaOutflow.solutionFlow) annotation (Line(
            points={{-19.6,-84},{-12,-84},{-12,-87.2}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector.VasaRecta_Outflow, gain.u) annotation (Line(
              points={{-92,92},{-98.4,92},{-98.4,-84},{-28.8,-84}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%first",
         index=-1,
         extent={{-6,3},{-6,3}}));
        connect(Medulla.solutionVolume, busConnector.Medulla_Volume)
          annotation (Line(
            points={{30,-86},{26,-86},{26,-78},{-98,-78},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(NaPool.solute, busConnector.NaPool_mass) annotation (Line(
            points={{-76,16.2},{-76,14},{-98,14},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(concentrationMeasure1.q_in, NaPool.q_out) annotation (Line(
              points={{-92,36},{-76,36},{-76,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
              points={{-18,-16},{12,-16}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(bladderVoid.solutionFlow, busConnector.BladderVoidFlow)
          annotation (Line(
            points={{18,-12.4},{18,-6},{-98,-6},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumen.solute, busConnector.GILumenSodium_Mass) annotation (
            Line(
            points={{-50,-43.8},{-50,-60},{-76,-60},{-76,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(AldoEffect1.y, busConnector. DT_AldosteroneEffect) annotation (Line(
              points={{62,-32},{62,-34},{100,-34},{100,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(DT.Reabsorption, flowMeasure4.q_in) annotation (Line(
              points={{70,-68},{70,-78},{58,-78}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure4.q_out, NaPool.q_out) annotation (Line(
              points={{50,-78},{-100,-78},{-100,24},{-76,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(flowMeasure5.molarFlowRate, busConnector.LH_Na_Reab)
          annotation (Line(
            points={{70,1},{100,1},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(LH.Reabsorption, flowMeasure5.q_in) annotation (Line(
              points={{78,20},{78,6},{74,6}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure5.q_out, NaPool.q_out) annotation (Line(
              points={{66,6},{-100,6},{-100,24},{-76,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(flowMeasure6.molarFlowRate, busConnector.PT_Na_Reab)
          annotation (Line(
            points={{23,12},{47.5,12},{47.5,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(PT.Reabsorption, flowMeasure6.q_in) annotation (Line(
              points={{18,20},{18,16}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure6.q_out, NaPool.q_out) annotation (Line(
              points={{18,8},{18,6},{-100,6},{-100,24},{-76,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));

        connect(concentrationMeasure1.concentration, busConnector.NaPool_conc_per_liter)
          annotation (Line(
            points={{-92,40},{-92,46},{-98,46},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(concentrationMeasure.concentration, Osm.u) annotation (Line(
            points={{60.6,-97},{67.4,-97}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(Osm.y, busConnector.MedullaNa_Osmolarity) annotation (Line(
              points={{74.3,-97},{100,-97},{100,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.KidneyFunctionEffect, AldoEffect1.yBase) annotation (
              Line(
              points={{-92,92},{48,92},{48,-28},{62,-28}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(AldoEffect1.y, ThiazideEffect.yBase) annotation (Line(
              points={{62,-32},{62,-36}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ThiazideEffect.y, LoadEffect1.yBase) annotation (Line(
              points={{62,-40},{62,-44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AldoEffect1.y, AldoEffect2.u) annotation (Line(
              points={{62,-32},{62,-34},{96,-34},{96,-90},{84,-90},{84,-87.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(LH.ReabFract, busConnector. LH_Na_FractReab) annotation (Line(
              points={{88,20},{100,20},{100,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
          connect(PT.ReabFract, busConnector. PT_Na_FractReab) annotation (Line(
              points={{28,20},{48,20},{48,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{6,3},{6,3}}));
        connect(flowMeasure2.molarFlowRate, busConnector.DT_Na_Outflow)
          annotation (Line(
            points={{48,-59},{48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(flowMeasure3.molarFlowRate, busConnector.CD_Na_Outflow)
          annotation (Line(
            points={{0,-69},{0,-74},{-98,-74},{-98,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(flowMeasure4.molarFlowRate, busConnector.DT_Na_Reab)
          annotation (Line(
            points={{54,-83},{54,-90},{100,-90},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(flowMeasure1.molarFlowRate, division.u1) annotation (Line(
            points={{88,-59},{88,-24},{74,-24},{74,-11.2},{79.4,-11.2}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector.LH_H2O_Outflow, division.u2) annotation (Line(
              points={{-92,92},{-98,92},{-98,-6},{56,-6},{56,-14.8},{79.4,-14.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));

          connect(ml2l.u, division.y) annotation (Line(
              points={{89.4,-13},{89.4,-12.5},{86.3,-12.5},{86.3,-13}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ml2l.y, busConnector.MD_Na) annotation (Line(
              points={{96.3,-13},{100,-14},{100,92},{-92,92}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector.NephronAldo_conc_in_nG_per_dl, AldoEffect.u)
            annotation (Line(
              points={{-92,92},{48,92},{48,50},{76.2,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.NephronAldo_conc_in_nG_per_dl, AldoEffect1.u)
            annotation (Line(
              points={{-92,92},{48,92},{48,-30},{52.2,-30}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
              points={{-81.6,-32},{-80,-32},{-80,-38}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(LeptinEffect2.y, Diet.soluteFlow) annotation (Line(
            points={{-80,-42},{-80,-46}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
              points={{-92,92},{-98,92},{-98,-40},{-89.8,-40}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Medulla.q_out, concentrationMeasure2.q_in) annotation (Line(
              points={{38,-92},{52,-92},{52,-93},{57,-93}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(concentrationMeasure2.concentration, busConnector.MedullaNa_conc)
          annotation (Line(
            points={{60.6,-93},{100,-93},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(NaPool.q_out, sweatGlandSalt.salt) annotation (Line(
              points={{-76,24},{-58,24},{-58,80},{4,80},{4,77.2}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.Aldo_conc_in_nG_per_dl, sweatGlandSalt.Aldo)
            annotation (Line(
              points={{-92,92},{-50,92},{-50,86.8},{4,86.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.SweatGland_H2ORate, sweatGlandSalt.H2OIntflow)
            annotation (Line(
              points={{-92,92},{-50,92},{-50,83.6},{4,83.6}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                      "../Physiolibrary/icons/Na.jpg"), Text(
                  extent={{-110,-104},{110,-130}},
                  lineColor={0,0,255},
                  textString="%name")}),
            Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end Sodium2;
      end test;

      package setup
        model ConstInputsFromOtherElectrolytes

        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{44,58},{64,78}}), iconTransformation(
                extent={{-40,-20},{0,20}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BloodIons_ProteinAnions(k=12.9427208016075)
          annotation (Placement(transformation(extent={{-20,42},{-14,48}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant KPool(k=
              4.30150131804415)
          annotation (Placement(transformation(extent={{-20,48},{-14,54}})));
        equation

        connect(BloodIons_ProteinAnions.y, busConnector.BloodIons_ProteinAnions) annotation (Line(
         points={{-13.7,45},{54,45},{54,68}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(KPool.y, busConnector.KPool)                                                       annotation (Line(
         points={{-13.7,51},{54,51},{54,68}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        end ConstInputsFromOtherElectrolytes;
      end setup;

      package expandableConnectorPatch
        record InsideBusConnector
          extends Physiomodel.Interfaces.SignalBusBlue;

        Modelica.Blocks.Interfaces.RealOutput BladderVoidFlow annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput A2Pool_Log10Conc annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput AldoPool_Aldo annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput BladderVolume_Mass annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput Artys_pH annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput CD_KA_Outflow annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput CO2Veins_cHCO3 annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput CellH2O_Vol annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput ECFV_Vol annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput GILumenPotassium_Mass annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput GILumenSodium_Mass annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput GILumenVolume_Mass annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput GlomerulusFiltrate_GFR annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput KAPool_Osmoles annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput KAPool_conc annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput KidneyAlpha_PT_NA annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput KidneyFunction_Effect annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput Kidney_NephronCount_Total_xNormal annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput LacPool_Mass_mEq annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput LacPool_Lac_mEq_per_litre annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput Medulla_Volume annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput NephronANP_Log10Conc annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput NephronAldo_conc_in_nG_per_dl annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput NephroneIFP_Pressure annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput VasaRecta_Outflow annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput liver_GlucoseToCellStorageFlow annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput
            skeletalMuscle_GlucoseToCellStorageFlow                                   annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));

        Modelica.Blocks.Interfaces.RealOutput KPool annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));
        Modelica.Blocks.Interfaces.RealOutput ProteinAnions annotation (Placement(transformation(
                  extent={{80,2},{100,22}}), iconTransformation(extent={{80,0},{120,40}})));

        end InsideBusConnector;

        record OutsideBusConnector
          extends Physiomodel.Interfaces.SignalBusBlue;

        Modelica.Blocks.Interfaces.RealInput BladderVoidFlow annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput A2Pool_Log10Conc annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput AldoPool_Aldo annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput BladderVolume_Mass annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput Artys_pH annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput CD_KA_Outflow annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput CO2Veins_cHCO3 annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput CellH2O_Vol annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput ECFV_Vol annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput GILumenPotassium_Mass annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput GILumenSodium_Mass annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput GILumenVolume_Mass annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput GlomerulusFiltrate_GFR annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput KAPool_Osmoles annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput KAPool_conc annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput KidneyAlpha_PT_NA annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput KidneyFunction_Effect annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput Kidney_NephronCount_Total_xNormal annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput LacPool_Mass_mEq annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput LacPool_Lac_mEq_per_litre annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput Medulla_Volume annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput NephronANP_Log10Conc annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput NephronAldo_conc_in_nG_per_dl annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput NephroneIFP_Pressure annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput VasaRecta_Outflow annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput liver_GlucoseToCellStorageFlow annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput
            skeletalMuscle_GlucoseToCellStorageFlow                                  annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));

        Modelica.Blocks.Interfaces.RealInput KPool annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));
        Modelica.Blocks.Interfaces.RealInput ProteinAnions annotation (Placement(transformation(
                  extent={{-120,0},{-80,40}}), iconTransformation(extent={{-120,0},{-80,
                    40}})));

        end OutsideBusConnector;

      model ElectrolytesConstInputs

      OutsideBusConnector busConnector
          annotation (Placement(transformation(extent={{38,-12},{52,2}}),
               iconTransformation(extent={{-40,-20},{0,20}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant BladderVoidFlow(
            k=0)
          annotation (Placement(transformation(extent={{-30,-98},{-24,-92}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          A2Pool_Log10Conc(k=1.30698460203345)
          annotation (Placement(transformation(extent={{-30,-88},{-24,-82}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant AldoPool_Aldo(k=
             0.290854848569316)
          annotation (Placement(transformation(extent={{-30,-78},{-24,-72}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BladderVolume_Mass(k=629.260404013417)
          annotation (Placement(transformation(extent={{-30,-68},{-24,-62}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Artys_pH(k=
              7.38644600458198)
          annotation (Placement(transformation(extent={{-30,-58},{-24,-52}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant CD_KA_Outflow(k=
             6.08968322729714e-005)
          annotation (Placement(transformation(extent={{-30,-48},{-24,-42}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant CO2Veins_cHCO3(
            k=2.57071728935027e-002)
          annotation (Placement(transformation(extent={{-30,-38},{-24,-32}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant CellH2O_Vol(k=
              27335.8967957385)
          annotation (Placement(transformation(extent={{-30,-28},{-24,-22}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant ECFV_Vol(k=
              15491.3023234116)
          annotation (Placement(transformation(extent={{-30,-18},{-24,-12}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          GILumenVolume_Mass(k=959.290660950713)
          annotation (Placement(transformation(extent={{-30,-8},{-24,-2}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          GlomerulusFiltrate_GFR(k=127.333064117169)
          annotation (Placement(transformation(extent={{-30,2},{-24,8}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant KAPool_Osmoles(
            k=2.10110505683432)
          annotation (Placement(transformation(extent={{-30,8},{-24,14}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant KAPool_conc(k=
              1.3839925831359e-002)
          annotation (Placement(transformation(extent={{-30,14},{-24,20}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          KidneyAlpha_PT_NA(k=1.)
          annotation (Placement(transformation(extent={{-30,20},{-24,26}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          KidneyFunction_Effect(k=0.995580586980285)
          annotation (Placement(transformation(extent={{-30,26},{-24,32}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          Kidney_NephronCount_Total_xNormal(k=1.)
          annotation (Placement(transformation(extent={{-30,32},{-24,38}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          LacPool_Mass_mEq(k=18.2596543652006)
          annotation (Placement(transformation(extent={{78,-2},{72,4}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          LacPool_Lac_mEq_per_litre(k=1.17870363536868)
          annotation (Placement(transformation(extent={{78,8},{72,14}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Medulla_Volume(
            k=31.)
          annotation (Placement(transformation(extent={{78,18},{72,24}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          NephronANP_Log10Conc(k=1.25866025557014)
          annotation (Placement(transformation(extent={{78,28},{72,34}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          NephronAldo_conc_in_nG_per_dl(k=9.9383249094754)
          annotation (Placement(transformation(extent={{78,38},{72,44}})));
        Physiolibrary.Types.Constants.PressureConst NephroneIFP_Pressure(k=
              522.7446867783631)
          annotation (Placement(transformation(extent={{78,48},{72,54}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          VasaRecta_Outflow(k=21.7865579572364)
          annotation (Placement(transformation(extent={{78,58},{72,64}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          liver_GlucoseToCellStorageFlow(k=0)
          annotation (Placement(transformation(extent={{78,68},{72,74}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          skeletalMuscle_GlucoseToCellStorageFlow(k=0)
          annotation (Placement(transformation(extent={{78,78},{72,84}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          skeletalMuscle_GlucoseToCellStorageFlow1(k=0)
          annotation (Placement(transformation(extent={{78,88},{72,94}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant14(k=0)
          annotation (Placement(transformation(extent={{-86,42},{-78,50}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant15(k=0)
          annotation (Placement(transformation(extent={{-86,50},{-78,58}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant16(k=0)
          annotation (Placement(transformation(extent={{-86,58},{-78,66}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant17(k=0)
          annotation (Placement(transformation(extent={{-86,66},{-78,74}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant18(k=0)
          annotation (Placement(transformation(extent={{-86,74},{-78,82}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant19(k=
              0.12)
          annotation (Placement(transformation(extent={{-86,82},{-78,90}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant20(k=0)
          annotation (Placement(transformation(extent={{-86,90},{-78,98}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant1(k=0)
          annotation (Placement(transformation(extent={{-94,-10},{-86,-2}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant2(k=0)
          annotation (Placement(transformation(extent={{-94,-24},{-86,-16}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          Kidney_NephronCount_Filtering_xNormal(k=1.)
          annotation (Placement(transformation(extent={{-30,38},{-24,44}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant21(k=0)
          annotation (Placement(transformation(extent={{-92,-92},{-84,-84}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant22(k=0)
          annotation (Placement(transformation(extent={{-92,-84},{-84,-76}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant23(k=0)
          annotation (Placement(transformation(extent={{-92,-76},{-84,-68}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant24(k=0)
          annotation (Placement(transformation(extent={{-92,-68},{-84,-60}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant25(k=0)
          annotation (Placement(transformation(extent={{-92,-60},{-84,-52}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant26(k=
              5.2e-002)
          annotation (Placement(transformation(extent={{-92,-52},{-84,-44}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant27(k=0)
          annotation (Placement(transformation(extent={{-92,-44},{-84,-36}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant28(k=0)
          annotation (Placement(transformation(extent={{80,-70},{72,-62}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant29(k=0)
          annotation (Placement(transformation(extent={{80,-62},{72,-54}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant30(k=0)
          annotation (Placement(transformation(extent={{80,-54},{72,-46}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant31(k=0)
          annotation (Placement(transformation(extent={{80,-46},{72,-38}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant32(k=0)
          annotation (Placement(transformation(extent={{80,-38},{72,-30}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant33(k=
              0.149511)
          annotation (Placement(transformation(extent={{80,-30},{72,-22}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant34(k=0)
          annotation (Placement(transformation(extent={{80,-22},{72,-14}})));
      equation

      connect(BladderVoidFlow.y, busConnector.BladderVoidFlow) annotation (Line(
       points={{-23.7,-95},{38,-95},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(A2Pool_Log10Conc.y, busConnector.A2Pool_Log10Conc) annotation (Line(
       points={{-23.7,-85},{38,-85},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(AldoPool_Aldo.y, busConnector.AldoPool_Aldo) annotation (Line(
       points={{-23.7,-75},{38,-75},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(BladderVolume_Mass.y, busConnector.BladderVolume_Mass) annotation (Line(
       points={{-23.7,-65},{38,-65},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Artys_pH.y, busConnector.Artys_pH) annotation (Line(
       points={{-23.7,-55},{38,-55},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_KA_Outflow.y, busConnector.CD_KA_Outflow) annotation (Line(
       points={{-23.7,-45},{38,-45},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CO2Veins_cHCO3.y, busConnector.CO2Veins_cHCO3) annotation (Line(
       points={{-23.7,-35},{38,-35},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CellH2O_Vol.y, busConnector.CellH2O_Vol) annotation (Line(
       points={{-23.7,-25},{38,-25},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ECFV_Vol.y, busConnector.ECFV_Vol) annotation (Line(
       points={{-23.7,-15},{38,-15},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenVolume_Mass.y, busConnector.GILumenVolume_Mass) annotation (Line(
       points={{-23.7,-5},{38,-5},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GlomerulusFiltrate_GFR.y, busConnector.GlomerulusFiltrate_GFR) annotation (Line(
       points={{-23.7,5},{38,5},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KAPool_Osmoles.y, busConnector.KAPool_Osmoles) annotation (Line(
       points={{-23.7,11},{38,11},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KAPool_conc.y, busConnector.KAPool_conc_per_liter) annotation (Line(
       points={{-23.7,17},{29,17},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
       points={{-23.7,23},{38,23},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KidneyFunction_Effect.y, busConnector.KidneyFunctionEffect) annotation (Line(
       points={{-23.7,29},{29,29},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y, busConnector.Kidney_NephronCount_Total_xNormal) annotation (Line(
       points={{-23.7,35},{38,35},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LacPool_Mass_mEq.y, busConnector.LacPool_Mass_mEq) annotation (Line(
       points={{71.7,1},{52.35,1},{52.35,-3.6},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LacPool_Lac_mEq_per_litre.y, busConnector.LacPool_Lac_mEq_per_litre) annotation (Line(
       points={{71.7,11},{38,11},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Medulla_Volume.y, busConnector.Medulla_Volume) annotation (Line(
       points={{71.7,21},{38,21},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(NephronANP_Log10Conc.y, busConnector.NephronANP_Log10Conc) annotation (Line(
       points={{71.7,31},{38,31},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(NephronAldo_conc_in_nG_per_dl.y, busConnector.NephronAldo_conc_in_nG_per_dl) annotation (Line(
       points={{71.7,41},{38,41},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(NephroneIFP_Pressure.y, busConnector.NephronIFP_Pressure) annotation (Line(
       points={{71.7,51},{28,48},{28,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(VasaRecta_Outflow.y, busConnector.VasaRecta_Outflow) annotation (Line(
       points={{71.7,61},{38,61},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_GlucoseToCellStorageFlow.y, busConnector.liver_GlucoseToCellStorageFlow) annotation (Line(
       points={{71.7,71},{38,71},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_GlucoseToCellStorageFlow.y, busConnector.skeletalMuscle_GlucoseToCellStorageFlow) annotation (Line(
       points={{71.7,81},{38,81},{38,-3.6}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(skeletalMuscle_GlucoseToCellStorageFlow1.y, busConnector.respiratoryMuscle_GlucoseToCellStorageFlow)
          annotation (Line(
            points={{71.7,91},{29,91},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Constant14.y,busConnector.IVDrip_NaRate) annotation (Line(
            points={{-77.6,46},{29,46},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant15.y,busConnector. Transfusion_NaRate) annotation (Line(
            points={{-77.6,54},{29,54},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant16.y,busConnector. SweatDuct_NaRate) annotation (Line(
            points={{-77.6,62},{29,62},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant17.y,busConnector. Hemorrhage_NaRate) annotation (Line(
            points={{-77.6,70},{29,70},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant18.y,busConnector. DialyzerActivity_Na_Flux) annotation (
            Line(
            points={{-77.6,78},{29,78},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant19.y,busConnector. DietIntakeElectrolytes_Na) annotation (
            Line(
            points={{-77.6,86},{29,86},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant20.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
            points={{-77.6,94},{29,94},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y,busConnector. FurosemidePool_Furosemide_conc)
          annotation (Line(
            points={{-85.6,-6},{-66,-6},{-66,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant2.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
            Line(
            points={{-85.6,-20},{-66,-20},{-66,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Kidney_NephronCount_Filtering_xNormal.y, busConnector.Kidney_NephronCount_Filtering_xNormal)
                                                                                                   annotation (Line(
       points={{-23.7,41},{29,41},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Constant21.y,busConnector. IVDrip_KRate) annotation (Line(
            points={{-83.6,-88},{-62,-88},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant22.y,busConnector. Transfusion_KRate) annotation (Line(
            points={{-83.6,-80},{-62,-80},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant23.y,busConnector. SweatDuct_KRate) annotation (Line(
            points={{-83.6,-72},{-62,-72},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant24.y,busConnector. Hemorrhage_KRate) annotation (Line(
            points={{-83.6,-64},{-62,-64},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant25.y,busConnector. DialyzerActivity_K_Flux) annotation (
            Line(
            points={{-83.6,-56},{-62,-56},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant26.y,busConnector. DietIntakeElectrolytes_K) annotation (
            Line(
            points={{-83.6,-48},{-62,-48},{-62,-44},{30,-44},{30,-3},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant27.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
            points={{-83.6,-40},{29,-40},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant28.y,busConnector. IVDrip_ClRate) annotation (Line(
            points={{71.6,-66},{29,-66},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant29.y,busConnector. Transfusion_ClRate) annotation (Line(
            points={{71.6,-58},{29,-58},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant30.y,busConnector. SweatDuct_ClRate) annotation (Line(
            points={{71.6,-50},{29,-50},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant31.y,busConnector. Hemorrhage_ClRate) annotation (Line(
            points={{71.6,-42},{29,-42},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant32.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
            Line(
            points={{71.6,-34},{29,-34},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant33.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
            Line(
            points={{71.6,-26},{29,-26},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant34.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
            points={{71.6,-18},{29,-18},{29,-3}},
            color={0,0,127},
            smooth=Smooth.None));
      end ElectrolytesConstInputs;
      end expandableConnectorPatch;

      model Sodium
      import Physiomodel;
        extends Physiolibrary.Icons.Sodium;

        Physiolibrary.Chemical.Components.Substance                NaPool(
                                       stateName="NaPool.Mass",
        useNormalizedVolume=false,
        solute_start=2.05845)
          annotation (Placement(transformation(extent={{-10,6},{10,26}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Hemorrhage(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-42,-70},{-22,-50}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-42,-100},{-22,-80}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-64,-46},{-44,-26}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-62,-88},{-42,-68}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure1
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-60,26})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-74,84},{-62,96}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Physiolibrary.Types.Concentration ECF_conc;
        SweatGlandSalt sweatGlandSalt
          annotation (Placement(transformation(extent={{52,50},{68,66}})));
        GILumen gILumen
          annotation (Placement(transformation(extent={{-20,54},{0,74}})));
        Physiomodel.Electrolytes.Bladder bladder(stateVarName="BladderSodium.Mass")
          annotation (Placement(transformation(extent={{60,-50},{80,-30}})));
        Physiomodel.Electrolytes.Sodium.KidneyNa kidneyNa
          annotation (Placement(transformation(extent={{52,-8},{72,12}})));
      equation
        ECF_conc =concentrationMeasure1.concentration;

        connect(Hemorrhage.q_in, NaPool.q_out) annotation (Line(
            points={{-42,-60},{-42,16},{0,16}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(DialyzerActivity.q_in, NaPool.q_out) annotation (Line(
            points={{-42,-90},{-42,16},{0,16}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Transfusion.q_out, NaPool.q_out) annotation (Line(
            points={{-42,-78},{-42,16},{0,16}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(IVDrip.q_out, NaPool.q_out) annotation (Line(
            points={{-44,-36},{-42,-36},{-42,16},{0,16}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(IVDrip.soluteFlow, busConnector.IVDrip_NaRate) annotation (Line(
          points={{-50,-32},{-74,-32},{-74,90},{-68,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion.soluteFlow, busConnector.Transfusion_NaRate)
        annotation (Line(
          points={{-48,-74},{-74,-74},{-74,90},{-68,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Hemorrhage_NaRate, Hemorrhage.soluteFlow)
        annotation (Line(
          points={{-68,90},{-74,90},{-74,-56},{-28,-56}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(DialyzerActivity.soluteFlow, busConnector.DialyzerActivity_Na_Flux)
        annotation (Line(
          points={{-28,-86},{-74,-86},{-74,90},{-68,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(concentrationMeasure1.q_in, NaPool.q_out) annotation (Line(
            points={{-60,26},{-42,26},{-42,16},{0,16}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));

      connect(concentrationMeasure1.concentration, busConnector.NaPool_conc_per_liter)
        annotation (Line(
          points={{-60,18},{-60,90},{-68,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

        connect(NaPool.q_out, sweatGlandSalt.salt) annotation (Line(
            points={{0,16},{52,16},{52,53.2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(gILumen.busConnector, busConnector) annotation (Line(
            points={{-2,72},{-2,90},{-68,90}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gILumen.q_out, NaPool.q_out) annotation (Line(
            points={{-10,64},{0,64},{0,16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladder.busConnector, busConnector) annotation (Line(
            points={{78,-32},{78,90},{-68,90}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, sweatGlandSalt.busConnector) annotation (Line(
            points={{-68,90},{78,90},{78,64},{66.4,64},{66.4,64.4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(kidneyNa.q_out, bladder.q_in) annotation (Line(
            points={{64,-6},{70,-6},{70,-32}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(kidneyNa.q_in, NaPool.q_out) annotation (Line(
            points={{64,2},{64,16},{0,16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(kidneyNa.busConnector, busConnector) annotation (Line(
            points={{70,10},{78,10},{78,90},{-68,90}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(busConnector.ECFV_Vol, NaPool.solutionVolume) annotation (Line(
          points={{-68,90},{-24,90},{-24,20},{-4,20}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(NaPool.solute, busConnector.NaPool_mass) annotation (Line(
          points={{6,6},{6,-4},{-74,-4},{-74,90},{-68,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(concentrationMeasure1.concentration, busConnector.NaPool)
        annotation (Line(
          points={{-60,18},{-66,18},{-66,90},{-68,90}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={             Text(
                extent={{-110,-104},{110,-130}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end Sodium;

      model GILumen
        extends Physiolibrary.Icons.GILumen;
        Physiolibrary.Chemical.Components.Substance                GILumen(
                                  stateName="GILumenSodium.Mass",
        useNormalizedVolume=false,
        solute_start=0.08)
          annotation (Placement(transformation(extent={{-6,-54},{14,-34}})));
      Physiolibrary.Chemical.Components.SolutePump Absorbtion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{10,-18},{-2,-30}})));
        Modelica.Blocks.Math.Gain Perm(k=0.0015/60)
          annotation (Placement(transformation(extent={{14,-64},{20,-58}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-36,-68},{-16,-48}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Diarrhea(
          useSoluteFlowInput=true) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={-26,-72})));
      Physiolibrary.Blocks.Factors.Spline LeptinEffect2(data={{0,3.0,0},{8,1.0,
            -0.04},{50,0.0,0}}, Xscale=1e-6/Substances.Leptin.mw)
        annotation (Placement(transformation(extent={{-36,-58},{-16,-38}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst        Constant7(k=
            2.0833333333333e-06)
        annotation (Placement(transformation(extent={{-36,-40},{-28,-32}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-62,-72},{-50,-60}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (
          Placement(transformation(extent={{-10,-10},{10,10}}),
            iconTransformation(extent={{-10,-10},{10,10}})));
      equation
        connect(GILumen.q_out,Absorbtion. q_in) annotation (Line(
            points={{4,-44},{16,-44},{16,-24},{10,-24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Diet.q_out,GILumen. q_out) annotation (Line(
            points={{-16,-58},{-4,-58},{-4,-44},{4,-44}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(Diarrhea.soluteFlow, busConnector.GILumenDiarrhea_NaLoss)
        annotation (Line(
          points={{-30,-76},{-30,-78},{-44,-78},{-44,-66},{-56,-66}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(GILumen.q_out,Diarrhea. q_in) annotation (Line(
            points={{4,-44},{-4,-44},{-4,-72},{-16,-72}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Perm.y,Absorbtion. soluteFlow) annotation (Line(
            points={{20.3,-61},{46,-61},{46,-32},{1.6,-32},{1.6,-26.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-27,-36},{-26,-36},{-26,-46}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(LeptinEffect2.y, Diet.soluteFlow) annotation (Line(
          points={{-26,-52},{-26,-54},{-22,-54}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.Leptin,LeptinEffect2. u) annotation (Line(
            points={{-56,-66},{-44,-66},{-44,-48},{-34,-48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Absorbtion.q_out, q_out) annotation (Line(
            points={{-2,-24},{-8,-24},{-8,0},{0,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(GILumen.solute, busConnector.GILumenSodium_Mass) annotation (Line(
          points={{10,-54},{10,-66},{-56,-66}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumen.solute, Perm.u) annotation (Line(
          points={{10,-54},{10,-61},{13.4,-61}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.GILumenVolume_Mass, GILumen.solutionVolume)
        annotation (Line(
          points={{-56,-66},{-56,-30},{0,-30},{0,-40}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      end GILumen;

      model KidneyNa
      import Physiomodel;
        extends Physiolibrary.Icons.Kidney;
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "sodium concentration in blood incomming to glomerulus capillaries; sodium mass flow is filtration - reabsorbtion"
        annotation (Placement(transformation(extent={{-64,-4},{-46,14}}),
            iconTransformation(extent={{10,-10},{30,10}})));
      Physiolibrary.Chemical.Components.Stream glomerulusSudiumRate(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-16,14},{4,34}})));
      Physiolibrary.Chemical.Components.Reabsorption PT(
        useBaseReabsorption=true,
        useEffect=true,
        useMaxReabInput=true)
        annotation (Placement(transformation(extent={{8,14},{28,34}})));
      Physiolibrary.Types.Constants.FractionConst const1(k=0.58)
        annotation (Placement(transformation(extent={{2,34},{8,40}})));
      Physiolibrary.Blocks.Factors.Spline IFPEffect(data={{1.0,1.4,0},{4.0,1.0,
            -0.2},{7.0,0.3,0}}, Xscale=101325/760)
        annotation (Placement(transformation(extent={{14,32},{34,52}})));
      Physiolibrary.Blocks.Factors.LagSpline
                                          ANPEffect(data={{0.0,1.2,0},{1.3,1.0,
            -0.2},{2.7,0.6,0}},
          Xscale=1e-9,
          UsePositiveLog10=true,
        HalfTime=Modelica.Math.log(2)*20*60,
        initialValue=20)
        "1 pmol/l = 1e-9 mmol/l, NephronAnp.Tau = 20 min, initial: 20 pmol/l"
        annotation (Placement(transformation(extent={{14,40},{34,60}})));
      Physiolibrary.Blocks.Factors.Spline SympsEffect(data={{0.6,0.6,0},{1.0,
            1.0,0.5},{4.0,1.5,0}})
        annotation (Placement(transformation(extent={{14,48},{34,68}})));
      Physiolibrary.Blocks.Factors.Spline A2Effect(
        data={{0.7,0.8,0},{1.3,1.0,0.8},{1.6,1.2,0}},
        UsePositiveLog10=true,
        Xscale=1e-9/Physiomodel.Substances.AngiotensinII.mw)
        "1 pg/ml =  0.956 pmol/l = 0.956e-9 mmol/l"
        annotation (Placement(transformation(extent={{14,56},{34,76}})));
      Physiolibrary.Chemical.Components.Reabsorption LH(
        useBaseReabsorption=true,
        useEffect=true,
        useMaxReabInput=true)
        annotation (Placement(transformation(extent={{68,14},{88,34}})));
      Physiolibrary.Types.Constants.FractionConst const2(k=0.75)
        annotation (Placement(transformation(extent={{64,30},{70,36}})));
      Physiolibrary.Chemical.Components.Reabsorption DT(
        useBaseReabsorption=true,
        useEffect=true,
        useMaxReabInput=true)
        annotation (Placement(transformation(extent={{80,-74},{60,-54}})));
      Physiolibrary.Chemical.Components.Reabsorption CD(
        useBaseReabsorption=true,
        useEffect=true,
        useMaxReabInput=true)
        annotation (Placement(transformation(extent={{30,-74},{10,-54}})));
      Physiolibrary.Types.Constants.FractionConst const3(k=0.75)
        annotation (Placement(transformation(extent={{38,-56},{32,-50}})));
      Physiolibrary.Types.Constants.FractionConst const4(k=0.75)
        annotation (Placement(transformation(extent={{82,-54},{76,-48}})));
      Physiolibrary.Blocks.Factors.Spline Furosemide(data={{0.0,1.0,-1},{0.1,
            0.0,0}}, Xscale=1e-3/Physiomodel.Substances.Furosemide.mw)
        annotation (Placement(transformation(extent={{64,62},{84,82}})));
      Physiolibrary.Blocks.Factors.LagSpline
                                          AldoEffect(data={{0.0,0.7,0},{10.0,
            1.0,0}},
        HalfTime=Modelica.Math.log(2)*3*60*60,
        Xscale=1e-8/Physiomodel.Substances.Aldosterone.mw,
        initialValue=12)
        "1 ng/dl = 1e-8 kg/m3, 0.036 ng/dl = 1 pmol/l, NephronAldo.Tau = 3 h, initial: 11 ng/dl"
        annotation (Placement(transformation(extent={{76,40},{96,60}})));
      Physiolibrary.Blocks.Factors.Spline LoadEffect(data={{0.0,3.0,0},{7.2,1.0,
            -0.2},{20.0,0.5,0}}, Xscale=1e-3/60)
        annotation (Placement(transformation(extent={{76,32},{96,52}})));
      Physiolibrary.Blocks.Factors.Normalization FurosemideEffect
        annotation (Placement(transformation(extent={{76,48},{96,68}})));
      Physiolibrary.Blocks.Factors.Normalization Filtering_xNormal
        annotation (Placement(transformation(extent={{64,54},{84,74}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{38,18},{58,38}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure1
        annotation (Placement(transformation(extent={{98,-74},{78,-54}})));
      Physiolibrary.Blocks.Factors.Spline LoadEffect1(data={{0.0,2.0,0},{1.6,
            1.0,0}}, Xscale=1e-3/60)
        annotation (Placement(transformation(extent={{72,-56},{52,-36}})));
      Physiolibrary.Blocks.Factors.Spline ThiazideEffect(data={{0.0,1.0,-2.0},{
            0.6,0.2,0.0}})
        annotation (Placement(transformation(extent={{72,-48},{52,-28}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure2
        annotation (Placement(transformation(extent={{58,-74},{38,-54}})));
      Physiolibrary.Blocks.Factors.Spline LoadEffect2(data={{0.0,2.0,0},{0.4,
            1.0,0}}, Xscale=1e-3/60)
        annotation (Placement(transformation(extent={{22,-58},{2,-38}})));
      Physiolibrary.Blocks.Factors.LagSpline
                                          ANPEffect2(data={{0.0,1.2,0},{1.3,1.0,
            -0.4},{2.7,0.2,0}},
          Xscale=1e-9,
          UsePositiveLog10=true,
        HalfTime=Modelica.Math.log(2)*20*60,
        initialValue=20)
        annotation (Placement(transformation(extent={{22,-50},{2,-30}})));
      Physiolibrary.Blocks.Factors.Normalization AldoEffect2 annotation (
          Placement(transformation(
            extent={{10,-10},{-10,10}},
            rotation=270,
            origin={84,-78})));
      Physiolibrary.Types.Constants.FractionConst             const5(k=2)
        annotation (Placement(transformation(extent={{94,-80},{90,-76}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure3
        annotation (Placement(transformation(extent={{10,-54},{-10,-74}})));
      Physiolibrary.Chemical.Components.Substance Medulla(
        stateName="MedullaNa.Mass",
        useNormalizedVolume=false,
        solute_start=(13)/1000)
        annotation (Placement(transformation(extent={{28,-102},{48,-82}})));
      Physiolibrary.Chemical.Components.Stream VasaRectaOutflow(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-4,-100},{-20,-84}})));
        Modelica.Blocks.Math.Gain gain(k=0.03)
          annotation (Placement(transformation(extent={{-28,-88},{-20,-80}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure4
        annotation (Placement(transformation(extent={{64,-68},{44,-88}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure5
        annotation (Placement(transformation(extent={{68,8},{48,-12}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure6 annotation (
          Placement(transformation(
            extent={{10,10},{-10,-10}},
            rotation=90,
            origin={18,-4})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-98,86},{-86,98}}), iconTransformation(
              extent={{60,60},{100,100}})));
        Modelica.Blocks.Math.Gain Osm(k=2)
          annotation (Placement(transformation(extent={{68,-104},{74,-98}})));
      Physiolibrary.Blocks.Factors.LagSpline
                                          AldoEffect1(data={{0.0,0.5,0},{12.0,
            1.0,0.08},{50.0,3.0,0}},
        HalfTime=Modelica.Math.log(2)*3*60*60,
        Xscale=1e-8/Physiomodel.Substances.Aldosterone.mw,
        initialValue=12) "12 ng/dl = 12e-8 kg/m3"
        annotation (Placement(transformation(extent={{54,-38},{74,-18}})));
        Modelica.Blocks.Math.Division division(y(unit="mol/m3"))
          annotation (Placement(transformation(extent={{80,-16},{86,-10}})));

        Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure2 annotation (Placement(
              transformation(
              extent={{-9,-9},{9,9}},
              rotation=270,
              origin={57,-95})));
        GlomerulusCationFiltration glomerulus
          annotation (Placement(transformation(extent={{-40,14},{-20,34}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out
        "sodium mass outflow to urine from collecting ducts" annotation (
          Placement(transformation(extent={{-24,-70},{-8,-56}}),
            iconTransformation(extent={{10,-90},{30,-70}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst const6(k=14)
        annotation (Placement(transformation(extent={{4,10},{8,6}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst const7(k=7)
        annotation (Placement(transformation(extent={{60,12},{66,18}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst const8(k=0.7)
        annotation (Placement(transformation(
            extent={{-3,-3},{3,3}},
            rotation=180,
            origin={35,-73})));
      Modelica.Blocks.Math.Gain gain1(k=Modelica.Constants.F)
        annotation (Placement(transformation(extent={{-62,48},{-52,58}})));
      equation

      connect(glomerulusSudiumRate.solutionFlow, busConnector.GlomerulusFiltrate_GFR)
        annotation (Line(
          points={{-6,31},{-6,38},{-32,38},{-32,92},{-92,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(glomerulusSudiumRate.q_out, PT.Inflow) annotation (Line(
            points={{4,24},{6,24},{6,28},{8,28}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(const1.y, PT.baseReabsorption) annotation (Line(
          points={{8.75,37},{22,37},{22,34}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(A2Effect.yBase, busConnector. KidneyFunctionEffect) annotation (Line(
            points={{24,68},{24,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(A2Effect.y, SympsEffect.yBase) annotation (Line(
            points={{24,62},{24,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SympsEffect.y, ANPEffect.yBase) annotation (Line(
            points={{24,54},{24,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANPEffect.y, IFPEffect.yBase) annotation (Line(
            points={{24,46},{24,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IFPEffect.y, PT.Effect) annotation (Line(
            points={{24,38},{24,34},{18,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SympsEffect.u, busConnector. KidneyAlpha_PT_NA) annotation (Line(
            points={{16,58},{-22.9,58},{-22.9,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(busConnector.NephronIFP_Pressure, IFPEffect.u) annotation (Line(
            points={{-92,92},{-22.9,92},{-22.9,42},{16,42}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-6,3},{-6,3}}));
      connect(const2.y, LH.baseReabsorption) annotation (Line(
          points={{70.75,33},{82,33},{82,34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const3.y, CD.baseReabsorption) annotation (Line(
          points={{31.25,-53},{16,-53},{16,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(const4.y, DT.baseReabsorption) annotation (Line(
          points={{75.25,-51},{66,-51},{66,-54}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(Furosemide.u, busConnector. FurosemidePool_Furosemide_conc)
                                                  annotation (Line(
            points={{66,72},{48,72},{48,92},{-92,92}},
            color={255,0,0},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(AldoEffect.y, LoadEffect.yBase) annotation (Line(
            points={{86,46},{86,44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LoadEffect.y, LH.Effect) annotation (Line(
            points={{86,38},{86,34},{78,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FurosemideEffect.y, AldoEffect.yBase) annotation (Line(
            points={{86,54},{86,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Filtering_xNormal.u, busConnector. Kidney_NephronCount_Filtering_xNormal)
          annotation (Line(
            points={{66,64},{48,64},{48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(Filtering_xNormal.y, FurosemideEffect.u) annotation (Line(
            points={{74,60},{74,58},{78,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Furosemide.y, Filtering_xNormal.yBase) annotation (Line(
            points={{74,68},{74,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.KidneyFunctionEffect, Furosemide.yBase) annotation (Line(
            points={{-92,92},{74,92},{74,74}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-6,3},{-6,3}}));
        connect(FurosemideEffect.yBase, busConnector. KidneyFunctionEffect) annotation (Line(
            points={{86,60},{86,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(PT.Outflow, flowMeasure.q_in) annotation (Line(
            points={{28,28},{38,28}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure.q_out, LH.Inflow) annotation (Line(
            points={{58,28},{68,28}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(flowMeasure.molarFlowRate, LoadEffect.u) annotation (Line(
          points={{48,20},{48,42},{78,42}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(DT.Inflow, flowMeasure1.q_out) annotation (Line(
            points={{80,-60},{80,-64},{80,-64},{78,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure1.q_in, LH.Outflow) annotation (Line(
            points={{98,-64},{98,28},{88,28}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(LoadEffect1.y, DT.Effect) annotation (Line(
            points={{62,-50},{62,-54},{70,-54}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(LoadEffect1.u, flowMeasure1.molarFlowRate) annotation (Line(
          points={{70,-46},{88,-46},{88,-72}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(ThiazideEffect.u, busConnector. ThiazidePool_Thiazide_conc) annotation (Line(
            points={{70,-38},{99.9,-38},{99.9,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(CD.Inflow, flowMeasure2.q_out) annotation (Line(
            points={{30,-60},{34,-60},{34,-64},{38,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(flowMeasure2.q_in, DT.Outflow) annotation (Line(
            points={{58,-64},{60,-64},{60,-60},{60,-60}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(LoadEffect2.y, CD.Effect) annotation (Line(
            points={{12,-52},{12,-54},{20,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANPEffect2.y, LoadEffect2.yBase) annotation (Line(
            points={{12,-44},{12,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ANPEffect2.yBase, busConnector. KidneyFunctionEffect) annotation (Line(
            points={{12,-38},{12,-36},{48,-36},{48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(const5.y, AldoEffect2.yBase) annotation (Line(
            points={{89.5,-78},{86,-78}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldoEffect2.y, DT.MaxReab) annotation (Line(
            points={{80,-78},{78,-78},{78,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CD.Outflow, flowMeasure3.q_in) annotation (Line(
            points={{10,-60},{10,-64}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(CD.Reabsorption, Medulla.q_out) annotation (Line(
            points={{20,-74},{20,-92},{38,-92}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Medulla.q_out, VasaRectaOutflow.q_in) annotation (Line(
            points={{38,-92},{-4,-92}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(gain.y, VasaRectaOutflow.solutionFlow) annotation (Line(
          points={{-19.6,-84},{-12,-84},{-12,-86.4}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.VasaRecta_Outflow, gain.u) annotation (Line(
            points={{-92,92},{-98.4,92},{-98.4,-84},{-28.8,-84}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-6,3},{-6,3}}));
      connect(Medulla.solutionVolume, busConnector.Medulla_Volume) annotation (
          Line(
          points={{34,-88},{26,-88},{26,-78},{-98,-78},{-98,92},{-92,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(AldoEffect1.y, busConnector. DT_AldosteroneEffect) annotation (Line(
            points={{64,-32},{102,-32},{102,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(DT.Reabsorption, flowMeasure4.q_in) annotation (Line(
            points={{70,-74},{70,-78},{64,-78}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowMeasure5.molarFlowRate, busConnector.LH_Na_Reab) annotation (
          Line(
          points={{58,6},{100,6},{100,92},{-92,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(LH.Reabsorption, flowMeasure5.q_in) annotation (Line(
            points={{78,14},{78,-2},{68,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowMeasure6.molarFlowRate, busConnector.PT_Na_Reab) annotation (
          Line(
          points={{10,-4},{47.5,-4},{47.5,92},{-92,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(PT.Reabsorption, flowMeasure6.q_in) annotation (Line(
            points={{18,14},{18,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(Osm.y, busConnector.MedullaNa_Osmolarity) annotation (Line(
            points={{74.3,-101},{100,-101},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.KidneyFunctionEffect, AldoEffect1.yBase) annotation (
            Line(
            points={{-92,92},{48,92},{48,-26},{64,-26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(AldoEffect1.y, ThiazideEffect.yBase) annotation (Line(
            points={{64,-32},{64,-34},{62,-34},{62,-36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.y, LoadEffect1.yBase) annotation (Line(
            points={{62,-42},{62,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(AldoEffect1.y, AldoEffect2.u) annotation (Line(
            points={{64,-32},{96,-32},{96,-90},{84,-90},{84,-86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(LH.ReabFract, busConnector. LH_Na_FractReab) annotation (Line(
            points={{88,16},{100,16},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(PT.ReabFract, busConnector. PT_Na_FractReab) annotation (Line(
            points={{28,16},{48,16},{48,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
      connect(flowMeasure2.molarFlowRate, busConnector.DT_Na_Outflow)
        annotation (Line(
          points={{48,-72},{48,92},{-92,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(flowMeasure3.molarFlowRate, busConnector.CD_Na_Outflow)
        annotation (Line(
          points={{0,-56},{0,-54},{-98,-54},{-98,92},{-92,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(flowMeasure4.molarFlowRate, busConnector.DT_Na_Reab) annotation (
          Line(
          points={{54,-70},{54,-90},{100,-90},{100,92},{-92,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(flowMeasure1.molarFlowRate, division.u1) annotation (Line(
          points={{88,-72},{88,-24},{74,-24},{74,-11.2},{79.4,-11.2}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.LH_H2O_Outflow, division.u2) annotation (Line(
            points={{-92,92},{-98,92},{-98,-6},{56,-6},{56,-14.8},{79.4,-14.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(Medulla.q_out, concentrationMeasure2.q_in) annotation (Line(
            points={{38,-92},{52,-92},{52,-95},{57,-95}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(concentrationMeasure2.concentration, busConnector.MedullaNa_conc)
        annotation (Line(
          points={{49.8,-95},{100,-95},{100,92},{-92,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(glomerulus.ProteinAnions, busConnector. BloodIons_ProteinAnions) annotation (
            Line(
            points={{-32,29},{-32,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{6,3},{6,3}}));
        connect(glomerulusSudiumRate.q_in, glomerulus.q_out) annotation (Line(
            points={{-16,24},{-24,24},{-24,14},{-30,14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(glomerulus.q_in, q_in) annotation (Line(
            points={{-40,24},{-54,24},{-54,5},{-55,5}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure6.q_out, q_in) annotation (Line(
            points={{18,-14},{18,-18},{-8,-18},{-54,-18},{-54,2},{-54,6},{-54,5},{-55,
                5}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure5.q_out, q_in) annotation (Line(
            points={{48,-2},{40,-2},{40,-18},{-54,-18},{-54,5},{-55,5}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure4.q_out, q_in) annotation (Line(
            points={{44,-78},{-55,-78},{-55,5}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(VasaRectaOutflow.q_out, q_in) annotation (Line(
            points={{-20,-92},{-55,-92},{-55,5}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure3.q_out, q_out) annotation (Line(
            points={{-10,-64},{-16,-64},{-16,-63}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(const6.y, PT.MaxReab) annotation (Line(
            points={{8.5,8},{8.5,9.5},{10,9.5},{10,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(const7.y, LH.MaxReab) annotation (Line(
            points={{66.75,15},{70,15},{70,18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CD.MaxReab, const8.y) annotation (Line(
            points={{28,-70},{28,-73},{31.25,-73}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(division.y, busConnector.MD_Na) annotation (Line(
            points={{86.3,-13},{100,-13},{100,92},{-92,92}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(concentrationMeasure2.concentration, Osm.u) annotation (Line(
          points={{49.8,-95},{64.3,-95},{64.3,-101},{67.4,-101}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(flowMeasure2.molarFlowRate, LoadEffect2.u) annotation (Line(
          points={{48,-72},{48,-48},{20,-48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain1.y, glomerulus.otherCations) annotation (Line(
          points={{-51.5,53},{-36,52},{-36,29}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KPool, gain1.u) annotation (Line(
          points={{-92,92},{-94,92},{-94,53},{-63,53}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Angiotensin2, A2Effect.u) annotation (Line(
          points={{-92,92},{-22,92},{-22,66},{16,66}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.ANP, ANPEffect.u) annotation (Line(
          points={{-92,92},{-22,92},{-22,50},{16,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Aldosterone, AldoEffect.u) annotation (Line(
          points={{-92,92},{48,92},{48,50},{78,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(ANPEffect2.u, busConnector.ANP) annotation (Line(
          points={{20,-40},{48,-40},{48,92},{-92,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.Aldosterone, AldoEffect1.u) annotation (Line(
          points={{-92,92},{48,92},{48,-28},{56,-28}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-110,-104},{110,-130}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end KidneyNa;
    end Sodium;

    package Potassium "Body Potassium Distribution"

      model IkedaPotasiumIntoICFFactor

        Physiolibrary.Types.RealIO.MolarFlowRateInput yBase
                         annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,100}),
              iconTransformation(extent={{-10,-10},{10,10}},rotation=270,
              origin={0,50})));
        Physiolibrary.Types.RealIO.MolarFlowRateOutput y
                      annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-80}),
              iconTransformation(extent={{-10,-10},{10,10}},  rotation=270,
              origin={0,-52})));

        Physiolibrary.Types.RealIO.pHInput Artys_pH
                                               annotation (Placement(transformation(
                extent={{-118,10},{-78,50}}), iconTransformation(extent={{-120,10},{-80,
                  50}})));
        Physiolibrary.Types.RealIO.ConcentrationInput PotasiumECF_conc
                                                       annotation (Placement(
              transformation(extent={{-118,-28},{-78,12}}),iconTransformation(extent={
                  {-120,-50},{-80,-10}})));

        Real effect;
      equation
        effect = 1+0.5*log10(PotasiumECF_conc/(56.744-7.06*Artys_pH));
        y = yBase*effect;
       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,50},{100,-50}},
                lineColor={127,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-86,-36},{100,40}},
                textString="%name",
                lineColor={0,0,0},
                fillPattern=FillPattern.Sphere)}));
      end IkedaPotasiumIntoICFFactor;

      package test
        model T
        import QHP = Physiomodel;
          Physiomodel.Electrolytes.Potassium.Potassium potassium2_1
            annotation (Placement(transformation(extent={{-40,22},{-20,42}})));
        QHP.Electrolytes.old.setup.ElectrolytesConstInputs2FromFile
          electrolytesConstInputs
          annotation (Placement(transformation(extent={{2,30},{22,50}})));
          QHP.Electrolytes.Potassium.setup.ConstInputsFromOtherElectrolytes
            constInputsFromOtherElectrolytes
            annotation (Placement(transformation(extent={{4,4},{24,24}})));
        equation
          connect(potassium2_1.busConnector, electrolytesConstInputs.busConnector)
            annotation (Line(
              points={{-22,40},{10,40}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(potassium2_1.busConnector, constInputsFromOtherElectrolytes.busConnector)
            annotation (Line(
              points={{-22,40},{-6,40},{-6,14},{12,14}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        end T;

        model T_old
        import QHP = Physiomodel;
          Potassium2 potassium2_1
            annotation (Placement(transformation(extent={{-40,22},{-20,42}})));
        QHP.Electrolytes.old.setup.ElectrolytesConstInputs
          electrolytesConstInputs
          annotation (Placement(transformation(extent={{2,30},{22,50}})));
          QHP.Electrolytes.Potassium.setup.ConstInputsFromOtherElectrolytes
            constInputsFromOtherElectrolytes
            annotation (Placement(transformation(extent={{4,4},{24,24}})));
        equation
          connect(potassium2_1.busConnector, electrolytesConstInputs.busConnector)
            annotation (Line(
              points={{-22,40},{10,40}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(potassium2_1.busConnector, constInputsFromOtherElectrolytes.busConnector)
            annotation (Line(
              points={{-22,40},{-6,40},{-6,14},{12,14}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        end T_old;

        model Potassium
        Physiolibrary.Chemical.Components.Substance KPool(useNormalizedVolume=
              false, solute_start=(66.0)/1000)
          annotation (Placement(transformation(extent={{-34,14},{-14,34}})));
          Modelica.Blocks.Interfaces.RealInput ECFV_Vol(final quantity="Volume",
              final displayUnit="ml")
            annotation (Placement(transformation(extent={{-46,28},{-38,36}}),
                iconTransformation(extent={{-100,52},{-88,64}})));
        Physiolibrary.Chemical.Components.Substance GILumen(useNormalizedVolume=
             false, solute_start=(25)/1000)
          annotation (Placement(transformation(extent={{-18,-36},{2,-16}})));
          Modelica.Blocks.Interfaces.RealInput GILumenVolume_Mass(final
              quantity=
                "Volume", final displayUnit="ml")
            annotation (Placement(transformation(extent={{-34,-22},{-26,-14}}),
                iconTransformation(extent={{-100,40},{-88,52}})));
        Physiolibrary.Chemical.Components.SolutePump Absorbtion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{6,-20},{18,-32}})));
          Modelica.Blocks.Math.Gain Perm(k=0.002)
            annotation (Placement(transformation(extent={{0,-48},{6,-42}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Hemorrhage(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{20,-86},{40,-66}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{20,-100},{40,-80}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut SweatDuct(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{20,-72},{40,-52}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{0,-80},{20,-60}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{0,-94},{20,-74}})));
        Physiolibrary.Chemical.Components.Substance Bladder(useNormalizedVolume=
             false, solute_start=(0)/1000)
          annotation (Placement(transformation(extent={{78,14},{98,34}})));
          Modelica.Blocks.Interfaces.RealInput BladderVolume_Mass(final
              quantity=
                "Volume", final displayUnit="ml")
            annotation (Placement(transformation(extent={{64,28},{72,36}}),
                iconTransformation(extent={{-100,28},{-88,40}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 NaEffect( data=
                {{0.0,0.3,0},{0.4,1.0,1.5},{4.0,3.0,0}})
            annotation (Placement(transformation(extent={{44,30},{24,50}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 AldoEffect1(
              data={{0.0,0.5,0},{12.0,1.0,0.08},{50.0,3.0,0}})
            annotation (Placement(transformation(extent={{44,38},{24,58}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue2
            ThiazideEffect(
              data={{0.0,1.0,2.0},{0.6,2.0,0}})
            annotation (Placement(transformation(extent={{44,46},{24,66}})));
          Modelica.Blocks.Interfaces.RealInput ThiazidePool_Thiazide_conc(final
              quantity="Concentration", final displayUnit="ug/ml")
            annotation (Placement(transformation(extent={{64,52},{56,60}}),
                iconTransformation(extent={{-100,-20},{-88,-8}})));
          Modelica.Blocks.Interfaces.RealInput IVDrip_KRate(final quantity="VolumeFlowRate",
              final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-4,-68},{4,-60}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-40,98})));
          Modelica.Blocks.Interfaces.RealInput Transfusion_KRate(final quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-4,-84},{4,-76}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-28,98})));
          Modelica.Blocks.Interfaces.RealInput SweatDuct_KRate(final quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{42,-60},{36,-54}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-16,98})));
          Modelica.Blocks.Interfaces.RealInput Hemorrhage_KRate(final quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{42,-74},{36,-68}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-4,98})));
          Modelica.Blocks.Interfaces.RealInput DialyzerActivity_K_Flux(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{42,-88},{36,-82}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={8,98})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-36,-42},{-16,-22}})));
          Modelica.Blocks.Interfaces.RealInput DietIntakeElectrolytes_K(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-36,-30},{-28,-22}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={20,98})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Diarrhea(
            useSoluteFlowInput=true) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-26,-44})));
          Modelica.Blocks.Interfaces.RealInput GILumenDiarrhea_KLoss(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{3,-3},{-3,3}},
                rotation=180,
                origin={-29,-51}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={32,98})));
        Physiolibrary.Chemical.Components.Substance KCell(useNormalizedVolume=
              false, solute_start=(3980)/1000)
          annotation (Placement(transformation(extent={{-30,70},{-10,90}})));
          Modelica.Blocks.Interfaces.RealInput CellH2O_Vol(final quantity=
                "Volume", final displayUnit="ml")
            annotation (Placement(transformation(extent={{-50,82},{-42,90}}),
                iconTransformation(extent={{-100,64},{-88,76}})));
        Physiolibrary.Chemical.Components.SolutePump KFluxToCell(
            useSoluteFlowInput=true)                             annotation (
            Placement(transformation(
              extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-30,58})));
          Modelica.Blocks.Math.Gain Perm1(k=0.002)
            annotation (Placement(transformation(extent={{-3,-3},{3,3}},
                rotation=90,
                origin={-55,53})));
        Physiolibrary.Chemical.Components.SolutePump KFluxToPool(
            useSoluteFlowInput=true)                             annotation (
            Placement(transformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-12,48})));
          Modelica.Blocks.Interfaces.RealInput AldoPool_Aldo(final quantity=
                "Concentration", final displayUnit="pmol/l")
            annotation (Placement(transformation(extent={{-60,68},{-52,76}}),
                iconTransformation(extent={{-100,16},{-88,28}})));
          Modelica.Blocks.Math.Feedback feedback
            annotation (Placement(transformation(extent={{-10,62},{-2,54}})));
        Physiolibrary.Types.Constants.ElectricChargeConst KCell_CaptiveMass(k=
              210338.040982)
          annotation (Placement(transformation(extent={{10,78},{-2,66}})));
          Modelica.Blocks.Math.Gain Perm2(k=7.4e-5)
            annotation (Placement(transformation(extent={{-3,-3},{3,3}},
                rotation=270,
                origin={3,53})));
          Modelica.Blocks.Interfaces.RealInput NephronAldo_conc_in_nG_per_dL(
                                                                            final
              quantity =                                                                  "Concentration", final unit = "ng/dl")
            annotation (Placement(transformation(extent={{-4,-4},{4,4}},
                rotation=180,
                origin={60,48}),
                iconTransformation(extent={{-100,-8},{-88,4}})));
          Modelica.Blocks.Interfaces.RealInput DT_Na_Outflow(final quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{62,36},{56,42}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                origin={-94,10})));
        Physiolibrary.Types.Constants.ElectricCurrentConst
          electrolytesFlowConstant(k=0.08040444991666501)
          annotation (Placement(transformation(extent={{18,76},{30,88}})));
        Physiolibrary.Chemical.Components.SolutePump DT_K(useSoluteFlowInput=
              true)                                       annotation (Placement(
              transformation(
              extent={{-6,-6},{6,6}},
              origin={34,22})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 KEffect( data={
                {0.0,0.0,0},{4.4,1.0,0.5},{5.5,3.0,0}})
            annotation (Placement(transformation(extent={{24,22},{44,42}})));
          Modelica.Blocks.Math.Gain mEq_per_L(k=1000)
            annotation (Placement(transformation(extent={{-3,-3},{3,3}},
                origin={15,31})));
          Modelica.Blocks.Math.Division division
            annotation (Placement(transformation(extent={{-18,6},{-14,10}})));
        Physiolibrary.Blocks.Factors.Normalization KidneyFunction
          annotation (Placement(transformation(extent={{44,54},{24,74}})));
          Modelica.Blocks.Interfaces.RealInput KidneyFunctionEffect(final
              quantity="Effect", final displayUnit="1")
            annotation (Placement(transformation(extent={{64,60},{56,68}}),
                iconTransformation(extent={{-100,76},{-88,88}})));
          Modelica.Blocks.Interfaces.RealOutput CD_Outflow
                                          annotation (Placement(transformation(extent={{-4,-4},
                    {4,4}},
                origin={62,26}),       iconTransformation(extent={{100,0},{120,20}})));
          Modelica.Blocks.Interfaces.RealOutput KCell_Mass
                                          annotation (Placement(transformation(extent={{-4,-4},
                    {4,4}},
                origin={-18,68}),      iconTransformation(extent={{100,20},{120,
                    40}})));
          Modelica.Blocks.Interfaces.RealOutput KPool_mass
                                          annotation (Placement(transformation(extent={{-16,-6},
                    {-8,2}}),          iconTransformation(extent={{100,80},{120,
                    100}})));
          Modelica.Blocks.Interfaces.RealOutput KPool_conc_per_liter
                                          annotation (Placement(transformation(extent={{46,2},{
                    54,10}}),          iconTransformation(extent={{100,60},{120,
                    80}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={30,6})));
          Modelica.Blocks.Math.Gain gain(k=1000)
            annotation (Placement(transformation(extent={{40,4},{44,8}})));
          Physiolibrary.Factors.NonlinearSystemPatch.Spline3DelayByDay
            splineDelayByDay(Tau=120/1440, data={{0,0.9,0.0},{300,1.0,0.00025},{
                1500,1.1,0.0}})                               annotation (
              Placement(transformation(
                extent={{10,-10},{-10,10}},
                rotation=90,
                origin={-48,58})));
        Physiolibrary.Chemical.Components.Clearance bladderVoid(
            useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{82,-20},{94,-8}})));
          Modelica.Blocks.Interfaces.RealInput BladderVoidFlow(
                                                        final quantity="VolumeFlowRate",
              final displayUnit="ml/min")
            annotation (Placement(transformation(extent={{74,-8},{82,0}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                origin={-94,-106})));
          Modelica.Blocks.Interfaces.RealOutput GILumenPotasium_Mass
                                          annotation (Placement(transformation(extent={{4,-60},
                    {12,-52}}),        iconTransformation(extent={{100,-40},{120,
                    -20}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure1(toAnotherUnitCoef=1000, unitsString="mEq/l")
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-8,80})));
          Modelica.Blocks.Interfaces.RealOutput KCell_conc
                                          annotation (Placement(transformation(extent={{-8,84},
                    {0,92}}),          iconTransformation(extent={{100,40},{120,
                    60}})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure annotation (
           Placement(transformation(
              extent={{-8,8},{8,-8}},
              rotation=90,
              origin={-24,34})));
          Modelica.Blocks.Interfaces.RealOutput PotassiumToCells(
                                                          displayUnit="mEq/min")
                                          annotation (Placement(transformation(
                  extent={{-20,30},{-12,38}}), iconTransformation(extent={{100,
                    -80},{120,-60}})));
        Physiolibrary.Chemical.Components.SolutePump KFluxToCellWithGlucose(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(
              extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-70,50})));
          Modelica.Blocks.Math.Gain CGL3(k=0.03)
          "glucose flow into cells to potassium flow into cells"
            annotation (Placement(transformation(extent={{-4,-4},{4,4}},
                origin={-82,50})));
          Modelica.Blocks.Interfaces.RealInput GlucoseToCellsFlow(final
              quantity="VolumeFlowRate", final displayUnit="mmol/min")
            annotation (Placement(transformation(extent={{-102,46},{-94,54}}),
                iconTransformation(extent={{-100,88},{-88,100}})));
          IkedaPotasiumIntoICFFactor IkedaIntoICF annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-40,58})));
          Modelica.Blocks.Interfaces.RealInput Artys_pH
            annotation (Placement(transformation(extent={{-56,38},{-48,46}}),
                iconTransformation(extent={{-100,-32},{-88,-20}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure2(toAnotherUnitCoef=1000, unitsString="mEq/l")
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-48,24})));
          Modelica.Blocks.Interfaces.RealOutput KPool_per_liter(
                                                         displayUnit="mEq/l")
                                          annotation (Placement(transformation(extent={{-70,26},
                    {-78,34}}),        iconTransformation(extent={{100,-60},{120,
                    -40}})));
        equation
        connect(KPool.solutionVolume, ECFV_Vol) annotation (Line(
            points={{-32,30},{-37,30},{-37,32},{-42,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.solutionVolume, GILumenVolume_Mass) annotation (Line(
            points={{-16,-20},{-23,-20},{-23,-18},{-30,-18}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
              points={{-8,-26},{-1,-26},{-1,-26},{6,-26}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Absorbtion.q_out, KPool.q_out)  annotation (Line(
              points={{18,-26},{22,-26},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Hemorrhage.q_in, KPool.q_out)  annotation (Line(
              points={{24,-76},{22,-76},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(DialyzerActivity.q_in, KPool.q_out)  annotation (Line(
              points={{24,-90},{22,-90},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(KPool.q_out, SweatDuct.q_in)  annotation (Line(
              points={{-24,24},{22,24},{22,-62},{24,-62}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Transfusion.q_out, KPool.q_out)  annotation (Line(
              points={{16,-84},{22,-84},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(IVDrip.q_out, KPool.q_out)  annotation (Line(
              points={{16,-70},{22,-70},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(Bladder.solutionVolume, BladderVolume_Mass) annotation (Line(
            points={{80,30},{74,30},{74,32},{68,32}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(AldoEffect1.y, NaEffect.yBase)    annotation (Line(
              points={{34,46},{34,42}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ThiazideEffect.y, AldoEffect1.yBase) annotation (Line(
              points={{34,54},{34,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ThiazideEffect.u, ThiazidePool_Thiazide_conc) annotation (Line(
              points={{43.8,56},{60,56}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(IVDrip.soluteFlow, IVDrip_KRate) annotation (Line(
            points={{10,-66},{10,-64},{0,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Transfusion.soluteFlow, Transfusion_KRate) annotation (Line(
            points={{10,-80},{0,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatDuct.soluteFlow, SweatDuct_KRate) annotation (Line(
            points={{30,-58},{30,-57},{39,-57}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hemorrhage_KRate, Hemorrhage.soluteFlow) annotation (Line(
            points={{39,-71},{30.5,-71},{30.5,-72},{30,-72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DialyzerActivity.soluteFlow, DialyzerActivity_K_Flux)
          annotation (Line(
            points={{30,-86},{30,-85},{39,-85}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Diet.soluteFlow, DietIntakeElectrolytes_K) annotation (Line(
            points={{-26,-28},{-26,-26},{-32,-26}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(Diet.q_out, GILumen.q_out) annotation (Line(
              points={{-20,-32},{-16,-32},{-16,-26},{-8,-26}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(Diarrhea.soluteFlow, GILumenDiarrhea_KLoss) annotation (Line(
            points={{-26,-48},{-26,-51},{-29,-51}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
              points={{-8,-26},{-16,-26},{-16,-44},{-20,-44}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(KCell.solutionVolume, CellH2O_Vol) annotation (Line(
            points={{-28,86},{-46,86}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
              points={{6.3,-45},{12,-45},{12,-29.6}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(Perm.u, GILumen.solute) annotation (Line(
            points={{-0.6,-45},{-8,-45},{-8,-33.8}},
            color={0,0,127},
            smooth=Smooth.None));

          connect(KFluxToCell.q_out, KCell.q_out) annotation (Line(
              points={{-30,64},{-30,80},{-20,80}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(KCell.q_out, KFluxToPool.q_in) annotation (Line(
              points={{-20,80},{-12,80},{-12,54}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(KPool.solute, Perm1.u) annotation (Line(
            points={{-24,16.2},{-24,10},{-55,10},{-55,49.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell.solute, feedback.u1) annotation (Line(
            points={{-20,72.2},{-20,58},{-9.2,58}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(KCell_CaptiveMass.y, feedback.u2) annotation (Line(
              points={{-2.6,72},{-6,72},{-6,61.2}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(feedback.y, Perm2.u) annotation (Line(
              points={{-2.4,58},{3.3,58},{3.3,56.6},{3,56.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KFluxToPool.soluteFlow, Perm2.y) annotation (Line(
              points={{-8.4,48},{3,48},{3,49.7}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AldoEffect1.u, NephronAldo_conc_in_nG_per_dL) annotation (Line(
              points={{43.8,48},{60,48}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NaEffect.u, DT_Na_Outflow) annotation (Line(
              points={{43.8,40},{51.4,40},{51.4,39},{59,39}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KPool.q_out, DT_K.q_in) annotation (Line(
              points={{-24,24},{22,24},{22,22},{28,22}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(NaEffect.y, KEffect.yBase) annotation (Line(
              points={{34,38},{34,34}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KEffect.y, DT_K.soluteFlow) annotation (Line(
              points={{34,30},{34,25.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(mEq_per_L.y, KEffect.u) annotation (Line(
              points={{18.3,31},{21.15,31},{21.15,32},{24.2,32}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(division.u1, KPool.solute) annotation (Line(
            points={{-18.4,9.2},{-24,9.2},{-24,16.2}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(ECFV_Vol, division.u2) annotation (Line(
              points={{-42,32},{-38,32},{-38,6.8},{-18.4,6.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(division.y, mEq_per_L.u) annotation (Line(
              points={{-13.8,8},{-8,8},{-8,31},{11.4,31}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(electrolytesFlowConstant.y, KidneyFunction.yBase) annotation (
              Line(
              points={{30.6,82},{34,82},{34,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KidneyFunction.y, ThiazideEffect.yBase) annotation (Line(
              points={{34,62},{34,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KidneyFunction.u, KidneyFunctionEffect) annotation (Line(
              points={{43.8,64},{60,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(DT_K.q_out, Bladder.q_out) annotation (Line(
              points={{40,22},{64,22},{64,24},{88,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(KEffect.y, CD_Outflow) annotation (Line(
              points={{34,30},{34,26},{62,26}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(KCell_Mass, KCell.solute) annotation (Line(
            points={{-18,68},{-20,68},{-20,72.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KPool.solute, KPool_mass) annotation (Line(
            points={{-24,16.2},{-24,-2},{-12,-2}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(concentrationMeasure.q_in, KPool.q_out) annotation (Line(
              points={{30,6},{22,6},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(concentrationMeasure.concentration, gain.u) annotation (Line(
            points={{34,6},{36.8,6},{36.8,6},{39.6,6}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(gain.y, KPool_conc_per_liter) annotation (Line(
              points={{44.2,6},{50,6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Perm1.y, splineDelayByDay.yBase) annotation (Line(
              points={{-55,56.3},{-55,58},{-50,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(splineDelayByDay.u, AldoPool_Aldo) annotation (Line(
              points={{-48,67.8},{-48,72},{-56,72}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
              points={{88,24},{66,24},{66,-14},{82,-14}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(bladderVoid.solutionFlow, BladderVoidFlow) annotation (Line(
            points={{88,-10.4},{88,-4},{78,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.solute, GILumenPotasium_Mass) annotation (Line(
            points={{-8,-33.8},{-8,-56},{8,-56}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(KCell.q_out, concentrationMeasure1.q_in) annotation (Line(
              points={{-20,80},{-8,80}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(concentrationMeasure1.concentration, KCell_conc) annotation (
            Line(
            points={{-8,84},{-8,88},{-4,88}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(KPool.q_out, flowMeasure.q_in) annotation (Line(
              points={{-24,24},{-24,30.8}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure.q_out, KFluxToPool.q_out) annotation (Line(
              points={{-24,37.2},{-24,38},{-12,38},{-12,42}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure.q_out, KFluxToCell.q_in) annotation (Line(
              points={{-24,37.2},{-24,38},{-30,38},{-30,52}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(flowMeasure.molarFlowRate, PotassiumToCells) annotation (Line(
            points={{-20,34},{-16,34}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(flowMeasure.q_out, KFluxToCellWithGlucose.q_in) annotation (
              Line(
              points={{-24,37.2},{-24,38},{-70,38},{-70,44}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(KFluxToCellWithGlucose.q_out, KCell.q_out) annotation (Line(
              points={{-70,56},{-70,80},{-20,80}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(CGL3.y, KFluxToCellWithGlucose.soluteFlow) annotation (Line(
              points={{-77.6,50},{-73.6,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(GlucoseToCellsFlow, CGL3.u) annotation (Line(
              points={{-98,50},{-86.8,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(IkedaIntoICF.y, KFluxToCell.soluteFlow) annotation (Line(
              points={{-34.8,58},{-33.6,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(splineDelayByDay.y, IkedaIntoICF.yBase) annotation (Line(
              points={{-46,58},{-45,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(IkedaIntoICF.Artys_pH, Artys_pH) annotation (Line(
              points={{-43,48},{-43,42},{-52,42}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(concentrationMeasure2.q_in, KPool.q_out) annotation (Line(
              points={{-48,24},{-24,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(concentrationMeasure2.concentration, IkedaIntoICF.PotasiumECF_conc)
          annotation (Line(
            points={{-48,28},{-48,40},{-37,40},{-37,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure2.concentration, KPool_per_liter)
          annotation (Line(
            points={{-48,28},{-48,30},{-74,30}},
            color={0,0,127},
            smooth=Smooth.None));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                      "../Physiolibrary/icons/K.jpg")}));
        end Potassium;

        model Potassium2
        Physiolibrary.Chemical.Components.Substance KPool(
          stateName="KPool.Mass",
          useNormalizedVolume=false,
          solute_start=(62.897)/1000)
          annotation (Placement(transformation(extent={{-34,14},{-14,34}})));
        Physiolibrary.Chemical.Components.Substance GILumen(
          stateName="GILumenPotassium.Mass",
          useNormalizedVolume=false,
          solute_start=(25)/1000)
          annotation (Placement(transformation(extent={{-18,-36},{2,-16}})));
        Physiolibrary.Chemical.Components.SolutePump Absorbtion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{6,-20},{18,-32}})));
          Modelica.Blocks.Math.Gain Perm(k=0.002)
            annotation (Placement(transformation(extent={{0,-48},{6,-42}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Hemorrhage(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{20,-86},{40,-66}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{20,-100},{40,-80}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut SweatDuct(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{20,-72},{40,-52}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{0,-80},{20,-60}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{0,-94},{20,-74}})));
        Physiolibrary.Chemical.Components.Substance Bladder(
          STEADY=false,
          stateName="BladderPotassium.Mass",
          useNormalizedVolume=false,
          solute_start=(0)/1000)
          annotation (Placement(transformation(extent={{94,12},{74,32}})));
        Physiolibrary.Blocks.Factors.Spline NaEffect(data={{0.0,0.3,0},{0.4,1.0,
              1.5},{4.0,3.0,0}})
          annotation (Placement(transformation(extent={{44,30},{24,50}})));
        Physiolibrary.Blocks.Factors.Spline AldoEffect(data={{0.0,0.3,0},{12.0,
              1.0,0.06},{50.0,3.0,0}})
          annotation (Placement(transformation(extent={{44,38},{24,58}})));
        Physiolibrary.Blocks.Factors.Spline ThiazideEffect(data={{0.0,1.0,2.0},
              {0.6,2.0,0}})
          annotation (Placement(transformation(extent={{44,46},{24,66}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-66,-42},{-46,-22}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Diarrhea(
            useSoluteFlowInput=true) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-56,-44})));
        Physiolibrary.Chemical.Components.Substance KCell(
          stateName="KCell.Mass",
          useNormalizedVolume=false,
          solute_start=(3769.74)/1000)
          annotation (Placement(transformation(extent={{-30,70},{-10,90}})));
        Physiolibrary.Chemical.Components.SolutePump KFluxToCell(
            useSoluteFlowInput=true)                             annotation (
            Placement(transformation(
              extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-30,58})));
          Modelica.Blocks.Math.Gain Perm1(k=0.002)
            annotation (Placement(transformation(extent={{-3,-3},{3,3}},
                rotation=90,
                origin={-55,53})));
        Physiolibrary.Chemical.Components.SolutePump KFluxToPool(
            useSoluteFlowInput=true)                             annotation (
            Placement(transformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-12,48})));
          Modelica.Blocks.Math.Feedback feedback
            annotation (Placement(transformation(extent={{-10,62},{-2,54}})));
        Physiolibrary.Types.Constants.ElectricChargeConst KCell_CaptiveMass(k=
              210338.040982)
          annotation (Placement(transformation(extent={{8,76},{-2,66}})));
          Modelica.Blocks.Math.Gain Perm2(k=7.4e-5)
            annotation (Placement(transformation(extent={{-3,-3},{3,3}},
                rotation=270,
                origin={3,53})));
        Physiolibrary.Types.Constants.ElectricCurrentConst
          electrolytesFlowConstant(k=0.08040444991666501)
          annotation (Placement(transformation(extent={{18,76},{30,88}})));
        Physiolibrary.Chemical.Components.SolutePump DT_K(useSoluteFlowInput=
              true)                                       annotation (Placement(
              transformation(
              extent={{-6,-6},{6,6}},
              origin={34,22})));
        Physiolibrary.Blocks.Factors.Spline KEffect(data={{0.0,0.0,0},{4.4,1.0,
              0.5},{5.5,3.0,0}})
          annotation (Placement(transformation(extent={{24,22},{44,42}})));
          Modelica.Blocks.Math.Gain mEq_per_L(k=1000)
            annotation (Placement(transformation(extent={{-3,-3},{3,3}},
                origin={15,31})));
          Modelica.Blocks.Math.Division division
            annotation (Placement(transformation(extent={{-18,6},{-14,10}})));
        Physiolibrary.Blocks.Factors.Normalization KidneyFunction
          annotation (Placement(transformation(extent={{44,54},{24,74}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={30,6})));
          Modelica.Blocks.Math.Gain gain(k=1000)
            annotation (Placement(transformation(extent={{40,4},{44,8}})));
        Physiomodel.Metabolism.deprecated.Input2EffectDelayed splineDelayByDay(data={{
              0,0.9,0.0},{300,1.0,0.00025},{1500,1.1,0.0}}, Tau=120*1440) annotation (
            Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=90,
              origin={-48,58})));
        Physiolibrary.Chemical.Components.Clearance bladderVoid(
            useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{82,-20},{94,-8}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure1(toAnotherUnitCoef=1000, unitsString="mEq/l")
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-8,80})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure annotation (
           Placement(transformation(
              extent={{-8,8},{8,-8}},
              rotation=90,
              origin={-24,34})));
        Physiolibrary.Chemical.Components.SolutePump KFluxToCellWithGlucose(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(
              extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-68,60})));
          Modelica.Blocks.Math.Gain CGL3(k=0.03)
          "glucose flow into cells to potassium flow into cells"
            annotation (Placement(transformation(extent={{-2,-2},{2,2}},
                origin={-78,60})));
          IkedaPotasiumIntoICFFactor IkedaIntoICF annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-40,58})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure2(toAnotherUnitCoef=1000, unitsString="mEq/l")
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-48,24})));
        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{-94,88},{-82,100}}), iconTransformation(
                extent={{60,60},{100,100}})));
          Modelica.Blocks.Math.Add3 YGLS "Ikeda glucose to cells flow"
            annotation (Placement(transformation(extent={{-84,66},{-74,76}})));
        Physiolibrary.Types.Constants.ElectricCurrentConst
          electrolytesFlowConstant1(k=0)
          annotation (Placement(transformation(extent={{-90,46},{-80,56}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant7(k=70/
              1440)
          annotation (Placement(transformation(extent={{-66,-16},{-58,-8}})));
        Physiolibrary.Blocks.Factors.Spline LeptinEffect2(data={{0,3.0,0},{8,
              1.0,-0.04},{50,0.0,0}})
          annotation (Placement(transformation(extent={{-66,-30},{-46,-10}})));

        Real ECF_conc;
        equation
          ECF_conc=concentrationMeasure2.concentration;
        connect(GILumen.solutionVolume, busConnector.GILumenVolume_Mass)
          annotation (Line(
            points={{-16,-20},{-24,-20},{-24,-4},{-96,-4},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
              points={{-8,-26},{6,-26}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Absorbtion.q_out, KPool.q_out)  annotation (Line(
              points={{18,-26},{22,-26},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Hemorrhage.q_in, KPool.q_out)  annotation (Line(
              points={{24,-76},{22,-76},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(DialyzerActivity.q_in, KPool.q_out)  annotation (Line(
              points={{24,-90},{22,-90},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(KPool.q_out, SweatDuct.q_in)  annotation (Line(
              points={{-24,24},{22,24},{22,-62},{24,-62}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Transfusion.q_out, KPool.q_out)  annotation (Line(
              points={{16,-84},{22,-84},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(IVDrip.q_out, KPool.q_out)  annotation (Line(
              points={{16,-70},{22,-70},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(Bladder.solutionVolume, busConnector.BladderVolume_Mass)
          annotation (Line(
            points={{92,28},{98,28},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(AldoEffect.y, NaEffect.yBase)     annotation (Line(
              points={{34,46},{34,42}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ThiazideEffect.y, AldoEffect.yBase)  annotation (Line(
              points={{34,54},{34,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ThiazideEffect.u, busConnector. ThiazidePool_Thiazide_conc) annotation (Line(
              points={{43.8,56},{98,56},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
        connect(IVDrip.soluteFlow, busConnector.IVDrip_KRate) annotation (Line(
            points={{10,-66},{10,-64},{-96,-64},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(Transfusion.soluteFlow, busConnector.Transfusion_KRate)
          annotation (Line(
            points={{10,-80},{-96,-80},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(SweatDuct.soluteFlow, busConnector.SweatDuct_KRate) annotation (
           Line(
            points={{30,-58},{30,-54},{98,-54},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(busConnector.Hemorrhage_KRate, Hemorrhage.soluteFlow)
          annotation (Line(
            points={{-88,94},{98,94},{98,-72},{30,-72}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-3,1},{-3,1}}));
        connect(DialyzerActivity.soluteFlow, busConnector.DialyzerActivity_K_Flux)
          annotation (Line(
            points={{30,-86},{98,-86},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(Diet.q_out, GILumen.q_out) annotation (Line(
              points={{-50,-32},{-16,-32},{-16,-26},{-8,-26}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(Diarrhea.soluteFlow, busConnector.GILumenDiarrhea_KLoss)
          annotation (Line(
            points={{-56,-48},{-96,-48},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
              points={{-8,-26},{-16,-26},{-16,-44},{-50,-44}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(KCell.solutionVolume, busConnector.CellH2O_Vol) annotation (
            Line(
            points={{-28,86},{-95,86},{-95,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
              points={{6.3,-45},{12,-45},{12,-29.6}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(Perm.u, GILumen.solute) annotation (Line(
            points={{-0.6,-45},{-8,-45},{-8,-33.8}},
            color={0,0,127},
            smooth=Smooth.None));

          connect(KFluxToCell.q_out, KCell.q_out) annotation (Line(
              points={{-30,64},{-30,80},{-20,80}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(KCell.q_out, KFluxToPool.q_in) annotation (Line(
              points={{-20,80},{-12,80},{-12,54}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(KPool.solute, Perm1.u) annotation (Line(
            points={{-24,16.2},{-24,10},{-55,10},{-55,49.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell.solute, feedback.u1) annotation (Line(
            points={{-20,72.2},{-20,58},{-9.2,58}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(KCell_CaptiveMass.y, feedback.u2) annotation (Line(
              points={{-2.5,71},{-6,71},{-6,61.2}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(feedback.y, Perm2.u) annotation (Line(
              points={{-2.4,58},{3.3,58},{3.3,56.6},{3,56.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KFluxToPool.soluteFlow, Perm2.y) annotation (Line(
              points={{-8.4,48},{3,48},{3,49.7}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NaEffect.u, busConnector. DT_Na_Outflow) annotation (Line(
              points={{43.8,40},{98,40},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
          connect(KPool.q_out, DT_K.q_in) annotation (Line(
              points={{-24,24},{22,24},{22,22},{28,22}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(NaEffect.y, KEffect.yBase) annotation (Line(
              points={{34,38},{34,34}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KEffect.y, DT_K.soluteFlow) annotation (Line(
              points={{34,30},{34,25.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(mEq_per_L.y, KEffect.u) annotation (Line(
              points={{18.3,31},{21.15,31},{21.15,32},{24.2,32}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(division.u1, KPool.solute) annotation (Line(
            points={{-18.4,9.2},{-24,9.2},{-24,16.2}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector.ECFV_Vol, division.u2) annotation (Line(
              points={{-88,94},{-96,94},{-96,6.8},{-18.4,6.8}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%first",
         index=-1,
         extent={{-3,1},{-3,1}}));
          connect(division.y, mEq_per_L.u) annotation (Line(
              points={{-13.8,8},{-8,8},{-8,31},{11.4,31}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(electrolytesFlowConstant.y, KidneyFunction.yBase) annotation (
              Line(
              points={{30.6,82},{34,82},{34,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KidneyFunction.y, ThiazideEffect.yBase) annotation (Line(
              points={{34,62},{34,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KidneyFunction.u, busConnector. KidneyFunctionEffect) annotation (Line(
              points={{43.8,64},{98,64},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
          connect(DT_K.q_out, Bladder.q_out) annotation (Line(
              points={{40,22},{84,22}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(busConnector.KCell_Mass, KCell.solute) annotation (Line(
            points={{-88,94},{-4,94},{-4,72},{-20,72},{-20,72.2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-3,1},{-3,1}}));
        connect(KPool.solute, busConnector.KPool_mass) annotation (Line(
            points={{-24,16.2},{-24,10},{-96,10},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(concentrationMeasure.q_in, KPool.q_out) annotation (Line(
              points={{30,6},{22,6},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(concentrationMeasure.concentration, gain.u) annotation (Line(
            points={{34,6},{36.8,6},{36.8,6},{39.6,6}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(gain.y, busConnector. KPool_conc_per_liter) annotation (Line(
              points={{44.2,6},{98,6},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
          connect(Perm1.y, splineDelayByDay.yBase) annotation (Line(
              points={{-55,56.3},{-55,58},{-50,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(splineDelayByDay.u, busConnector. AldoPool_Aldo) annotation (Line(
              points={{-48,67.8},{-48,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
          connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
              points={{84,22},{66,22},{66,-14},{82,-14}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(bladderVoid.solutionFlow, busConnector.BladderVoidFlow)
          annotation (Line(
            points={{88,-10.4},{88,-6},{98,-6},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(GILumen.solute, busConnector.GILumenPotasium_Mass) annotation (
            Line(
            points={{-8,-33.8},{-8,-54},{-96,-54},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(KCell.q_out, concentrationMeasure1.q_in) annotation (Line(
              points={{-20,80},{-8,80}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(concentrationMeasure1.concentration, busConnector.KCell_conc)
          annotation (Line(
            points={{-8,84},{-8,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(KPool.q_out, flowMeasure.q_in) annotation (Line(
              points={{-24,24},{-24,30.8}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure.q_out, KFluxToPool.q_out) annotation (Line(
              points={{-24,37.2},{-24,38},{-12,38},{-12,42}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure.q_out, KFluxToCell.q_in) annotation (Line(
              points={{-24,37.2},{-24,38},{-30,38},{-30,52}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(flowMeasure.molarFlowRate, busConnector.PotassiumToCells)
          annotation (Line(
            points={{-20,34},{-95,34},{-95,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(flowMeasure.q_out, KFluxToCellWithGlucose.q_in) annotation (
              Line(
              points={{-24,37.2},{-24,38},{-68,38},{-68,54}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(KFluxToCellWithGlucose.q_out, KCell.q_out) annotation (Line(
              points={{-68,66},{-68,80},{-20,80}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(IkedaIntoICF.y, KFluxToCell.soluteFlow) annotation (Line(
              points={{-34.8,58},{-33.6,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(splineDelayByDay.y, IkedaIntoICF.yBase) annotation (Line(
              points={{-46,58},{-45,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(IkedaIntoICF.Artys_pH, busConnector. Artys_pH) annotation (Line(
              points={{-43,48},{-44,46},{-44,42},{-96,42},{-96,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
          connect(concentrationMeasure2.q_in, KPool.q_out) annotation (Line(
              points={{-48,24},{-24,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(concentrationMeasure2.concentration, IkedaIntoICF.PotasiumECF_conc)
          annotation (Line(
            points={{-48,28},{-48,40},{-37,40},{-37,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure2.concentration, busConnector.KPool_per_liter)
          annotation (Line(
            points={{-48,28},{-48,30},{-96,30},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));

          connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow,YGLS. u2)
                     annotation (Line(
              points={{-88,94},{-96,94},{-96,71},{-85,71}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.liver_GlucoseToCellStorageFlow,YGLS. u1)
            annotation (Line(
              points={{-88,94},{-96,94},{-96,75},{-85,75}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow,YGLS. u3)
            annotation (Line(
              points={{-88,94},{-96,94},{-96,67},{-85,67}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(YGLS.y, CGL3.u) annotation (Line(
              points={{-73.5,71},{-72,71},{-72,64},{-82,64},{-82,60},{-80.4,60}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(KEffect.y, busConnector. CD_K_Outflow) annotation (Line(
              points={{34,30},{98,30},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
        connect(concentrationMeasure2.concentration, busConnector.KPool)
          annotation (Line(
            points={{-48,28},{-96,28},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumen.solute, busConnector.GILumenPotassium_Mass) annotation (
           Line(
            points={{-8,-33.8},{-8,-54},{-96,-54},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(electrolytesFlowConstant1.y, KFluxToCellWithGlucose.soluteFlow)
            annotation (Line(
              points={{-79.5,51},{-74,51},{-74,60},{-71.6,60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
              points={{-88,94},{-96,94},{-96,-20},{-65.8,-20}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
              points={{-57.6,-12},{-56,-12},{-56,-18}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(LeptinEffect2.y, Diet.soluteFlow) annotation (Line(
            points={{-56,-22},{-56,-28}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(AldoEffect.u, busConnector.NephronAldo_conc_in_nG_per_dl) annotation (
             Line(
              points={{43.8,48},{98,48},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        connect(busConnector.ECFV_Vol, KPool.solutionVolume) annotation (Line(
            points={{-88,94},{-96,94},{-96,16},{-38,16},{-38,30},{-32,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                      "../Physiolibrary/icons/K.jpg"), Text(
                  extent={{-112,-102},{108,-128}},
                  lineColor={0,0,255},
                  textString="%name")}),
            Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>",   info="<html>
<p>TODO: Ikeda - Potassium glucose flow from ECF to ICF with insulin affects potassium flow to cells.</p>
</html>"));
        end Potassium2;

        model Potassium2_corrected
        Physiolibrary.Chemical.Components.Substance KPool(useNormalizedVolume=
              false, solute_start=(62.897)/1000)
          annotation (Placement(transformation(extent={{-34,14},{-14,34}})));
        Physiolibrary.Chemical.Components.Substance GILumen(useNormalizedVolume=
             false, solute_start=(25)/1000)
          annotation (Placement(transformation(extent={{-18,-36},{2,-16}})));
        Physiolibrary.Chemical.Components.SolutePump Absorbtion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{6,-20},{18,-32}})));
          Modelica.Blocks.Math.Gain Perm(k=0.002)
            annotation (Placement(transformation(extent={{0,-48},{6,-42}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Hemorrhage(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{20,-86},{40,-66}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{20,-100},{40,-80}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut SweatDuct(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{20,-72},{40,-52}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{0,-80},{20,-60}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{0,-94},{20,-74}})));
        Physiolibrary.Chemical.Components.Substance Bladder(useNormalizedVolume=
             false, solute_start=(0)/1000)
          annotation (Placement(transformation(extent={{94,12},{74,32}})));
        Physiolibrary.Blocks.Factors.Spline NaEffect(data={{0.0,0.3,0},{0.4,1.0,
              1.5},{4.0,3.0,0}})
          annotation (Placement(transformation(extent={{44,30},{24,50}})));
        Physiolibrary.Blocks.Factors.Spline AldoEffect(data={{0.0,0.3,0},{12.0,
              1.0,0.06},{50.0,3.0,0}})
          annotation (Placement(transformation(extent={{44,38},{24,58}})));
        Physiolibrary.Blocks.Factors.Spline ThiazideEffect(data={{0.0,1.0,2.0},
              {0.6,2.0,0}})
          annotation (Placement(transformation(extent={{44,46},{24,66}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-66,-42},{-46,-22}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Diarrhea(
            useSoluteFlowInput=true) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-56,-44})));
        Physiolibrary.Chemical.Components.Substance KCell(useNormalizedVolume=
              false, solute_start=(3769.74)/1000)
          annotation (Placement(transformation(extent={{-30,70},{-10,90}})));
        Physiolibrary.Chemical.Components.SolutePump KFluxToCell(
            useSoluteFlowInput=true)                             annotation (
            Placement(transformation(
              extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-30,58})));
          Modelica.Blocks.Math.Gain Perm1(k=0.002)
            annotation (Placement(transformation(extent={{-3,-3},{3,3}},
                rotation=90,
                origin={-55,53})));
        Physiolibrary.Chemical.Components.SolutePump KFluxToPool(
            useSoluteFlowInput=true)                             annotation (
            Placement(transformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={-12,48})));
          Modelica.Blocks.Math.Feedback feedback
            annotation (Placement(transformation(extent={{-10,62},{-2,54}})));
        Physiolibrary.Types.Constants.ElectricChargeConst KCell_CaptiveMass(k=
              210338.040982)
          annotation (Placement(transformation(extent={{8,76},{-2,66}})));
          Modelica.Blocks.Math.Gain Perm2(k=7.4e-5)
            annotation (Placement(transformation(extent={{-3,-3},{3,3}},
                rotation=270,
                origin={3,53})));
        Physiolibrary.Types.Constants.ElectricCurrentConst
          electrolytesFlowConstant(k=0.08040444991666501)
          annotation (Placement(transformation(extent={{18,76},{30,88}})));
        Physiolibrary.Chemical.Components.SolutePump DT_K(useSoluteFlowInput=
              true)                                       annotation (Placement(
              transformation(
              extent={{-6,-6},{6,6}},
              origin={34,22})));
        Physiolibrary.Blocks.Factors.Spline KEffect(data={{0.0,0.0,0},{4.4,1.0,
              0.5},{5.5,3.0,0}})
          annotation (Placement(transformation(extent={{24,22},{44,42}})));
          Modelica.Blocks.Math.Gain mEq_per_L(k=1000)
            annotation (Placement(transformation(extent={{-3,-3},{3,3}},
                origin={15,31})));
          Modelica.Blocks.Math.Division division
            annotation (Placement(transformation(extent={{-18,6},{-14,10}})));
        Physiolibrary.Blocks.Factors.Normalization KidneyFunction
          annotation (Placement(transformation(extent={{44,54},{24,74}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={30,6})));
          Modelica.Blocks.Math.Gain gain(k=1000)
            annotation (Placement(transformation(extent={{40,4},{44,8}})));
        Physiomodel.Metabolism.deprecated.Input2EffectDelayed splineDelayByDay(data={{
              0,0.9,0.0},{300,1.0,0.00025},{1500,1.1,0.0}}, Tau=120*1440) annotation (
            Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=90,
              origin={-48,58})));
        Physiolibrary.Chemical.Components.Clearance bladderVoid(
            useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{82,-20},{94,-8}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure1(toAnotherUnitCoef=1000, unitsString="mEq/l")
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-8,80})));
        Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure annotation (
           Placement(transformation(
              extent={{-8,8},{8,-8}},
              rotation=90,
              origin={-24,34})));
        Physiolibrary.Chemical.Components.SolutePump KFluxToCellWithGlucose(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(
              extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-68,60})));
          Modelica.Blocks.Math.Gain CGL3(k=0.03)
          "glucose flow into cells to potassium flow into cells"
            annotation (Placement(transformation(extent={{-2,-2},{2,2}},
                origin={-78,60})));
          IkedaPotasiumIntoICFFactor IkedaIntoICF annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-40,58})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure2(toAnotherUnitCoef=1000, unitsString="mEq/l")
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-48,24})));
        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{-94,88},{-82,100}}), iconTransformation(
                extent={{60,60},{100,100}})));
          Modelica.Blocks.Math.Add3 YGLS "Ikeda glucose to cells flow"
            annotation (Placement(transformation(extent={{-84,66},{-74,76}})));
        Physiolibrary.Types.Constants.ElectricCurrentConst
          electrolytesFlowConstant1(k=0)
          annotation (Placement(transformation(extent={{-90,46},{-80,56}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant7(k=70/
              1440)
          annotation (Placement(transformation(extent={{-66,-16},{-58,-8}})));
        Physiolibrary.Blocks.Factors.Spline LeptinEffect2(data={{0,3.0,0},{8,
              1.0,-0.04},{50,0.0,0}})
          annotation (Placement(transformation(extent={{-66,-30},{-46,-10}})));
        equation

        connect(KPool.solutionVolume, busConnector.ECFV_Vol) annotation (Line(
            points={{-32,30},{-95,30},{-95,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(GILumen.solutionVolume, busConnector.GILumenVolume_Mass)
          annotation (Line(
            points={{-16,-20},{-24,-20},{-24,-4},{-96,-4},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
              points={{-8,-26},{6,-26}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Absorbtion.q_out, KPool.q_out)  annotation (Line(
              points={{18,-26},{22,-26},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Hemorrhage.q_in, KPool.q_out)  annotation (Line(
              points={{24,-76},{22,-76},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(DialyzerActivity.q_in, KPool.q_out)  annotation (Line(
              points={{24,-90},{22,-90},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(KPool.q_out, SweatDuct.q_in)  annotation (Line(
              points={{-24,24},{22,24},{22,-62},{24,-62}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Transfusion.q_out, KPool.q_out)  annotation (Line(
              points={{16,-84},{22,-84},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(IVDrip.q_out, KPool.q_out)  annotation (Line(
              points={{16,-70},{22,-70},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(Bladder.solutionVolume, busConnector.BladderVolume_Mass)
          annotation (Line(
            points={{92,28},{98,28},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(AldoEffect.y, NaEffect.yBase)     annotation (Line(
              points={{34,46},{34,42}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ThiazideEffect.y, AldoEffect.yBase)  annotation (Line(
              points={{34,54},{34,50}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ThiazideEffect.u, busConnector. ThiazidePool_Thiazide_conc) annotation (Line(
              points={{43.8,56},{98,56},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
        connect(IVDrip.soluteFlow, busConnector.IVDrip_KRate) annotation (Line(
            points={{10,-66},{10,-64},{-96,-64},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(Transfusion.soluteFlow, busConnector.Transfusion_KRate)
          annotation (Line(
            points={{10,-80},{-96,-80},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(SweatDuct.soluteFlow, busConnector.SweatDuct_KRate) annotation (
           Line(
            points={{30,-58},{30,-54},{98,-54},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(busConnector.Hemorrhage_KRate, Hemorrhage.soluteFlow)
          annotation (Line(
            points={{-88,94},{98,94},{98,-72},{30,-72}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-3,1},{-3,1}}));
        connect(DialyzerActivity.soluteFlow, busConnector.DialyzerActivity_K_Flux)
          annotation (Line(
            points={{30,-86},{98,-86},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(Diet.q_out, GILumen.q_out) annotation (Line(
              points={{-50,-32},{-16,-32},{-16,-26},{-8,-26}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(Diarrhea.soluteFlow, busConnector.GILumenDiarrhea_KLoss)
          annotation (Line(
            points={{-56,-48},{-96,-48},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
              points={{-8,-26},{-16,-26},{-16,-44},{-50,-44}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(KCell.solutionVolume, busConnector.CellH2O_Vol) annotation (
            Line(
            points={{-28,86},{-95,86},{-95,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
              points={{6.3,-45},{12,-45},{12,-29.6}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(Perm.u, GILumen.solute) annotation (Line(
            points={{-0.6,-45},{-8,-45},{-8,-33.8}},
            color={0,0,127},
            smooth=Smooth.None));

          connect(KFluxToCell.q_out, KCell.q_out) annotation (Line(
              points={{-30,64},{-30,80},{-20,80}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(KCell.q_out, KFluxToPool.q_in) annotation (Line(
              points={{-20,80},{-12,80},{-12,54}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(KPool.solute, Perm1.u) annotation (Line(
            points={{-24,16.2},{-24,10},{-55,10},{-55,49.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell.solute, feedback.u1) annotation (Line(
            points={{-20,72.2},{-20,58},{-9.2,58}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(KCell_CaptiveMass.y, feedback.u2) annotation (Line(
              points={{-2.5,71},{-6,71},{-6,61.2}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(feedback.y, Perm2.u) annotation (Line(
              points={{-2.4,58},{3.3,58},{3.3,56.6},{3,56.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KFluxToPool.soluteFlow, Perm2.y) annotation (Line(
              points={{-8.4,48},{3,48},{3,49.7}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(NaEffect.u, busConnector. DT_Na_Outflow) annotation (Line(
              points={{43.8,40},{98,40},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
          connect(KPool.q_out, DT_K.q_in) annotation (Line(
              points={{-24,24},{22,24},{22,22},{28,22}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(NaEffect.y, KEffect.yBase) annotation (Line(
              points={{34,38},{34,34}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KEffect.y, DT_K.soluteFlow) annotation (Line(
              points={{34,30},{34,25.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(mEq_per_L.y, KEffect.u) annotation (Line(
              points={{18.3,31},{21.15,31},{21.15,32},{24.2,32}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(division.u1, KPool.solute) annotation (Line(
            points={{-18.4,9.2},{-24,9.2},{-24,16.2}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(busConnector.ECFV_Vol, division.u2) annotation (Line(
              points={{-88,94},{-96,94},{-96,6.8},{-18.4,6.8}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%first",
         index=-1,
         extent={{-3,1},{-3,1}}));
          connect(division.y, mEq_per_L.u) annotation (Line(
              points={{-13.8,8},{-8,8},{-8,31},{11.4,31}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(electrolytesFlowConstant.y, KidneyFunction.yBase) annotation (
              Line(
              points={{30.6,82},{34,82},{34,66}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KidneyFunction.y, ThiazideEffect.yBase) annotation (Line(
              points={{34,62},{34,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(KidneyFunction.u, busConnector. KidneyFunctionEffect) annotation (Line(
              points={{43.8,64},{98,64},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
          connect(DT_K.q_out, Bladder.q_out) annotation (Line(
              points={{40,22},{84,22}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(busConnector.KCell_Mass, KCell.solute) annotation (Line(
            points={{-88,94},{-4,94},{-4,72},{-20,72},{-20,72.2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-3,1},{-3,1}}));
        connect(KPool.solute, busConnector.KPool_mass) annotation (Line(
            points={{-24,16.2},{-24,10},{-96,10},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(concentrationMeasure.q_in, KPool.q_out) annotation (Line(
              points={{30,6},{22,6},{22,24},{-24,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(concentrationMeasure.concentration, gain.u) annotation (Line(
            points={{34,6},{36.8,6},{36.8,6},{39.6,6}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(gain.y, busConnector. KPool_conc_per_liter) annotation (Line(
              points={{44.2,6},{98,6},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
          connect(Perm1.y, splineDelayByDay.yBase) annotation (Line(
              points={{-55,56.3},{-55,58},{-50,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(splineDelayByDay.u, busConnector. AldoPool_Aldo) annotation (Line(
              points={{-48,67.8},{-48,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
          connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
              points={{84,22},{66,22},{66,-14},{82,-14}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(bladderVoid.solutionFlow, busConnector.BladderVoidFlow)
          annotation (Line(
            points={{88,-10.4},{88,-6},{98,-6},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(GILumen.solute, busConnector.GILumenPotasium_Mass) annotation (
            Line(
            points={{-8,-33.8},{-8,-54},{-96,-54},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(KCell.q_out, concentrationMeasure1.q_in) annotation (Line(
              points={{-20,80},{-8,80}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(concentrationMeasure1.concentration, busConnector.KCell_conc)
          annotation (Line(
            points={{-8,84},{-8,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(KPool.q_out, flowMeasure.q_in) annotation (Line(
              points={{-24,24},{-24,30.8}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure.q_out, KFluxToPool.q_out) annotation (Line(
              points={{-24,37.2},{-24,38},{-12,38},{-12,42}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(flowMeasure.q_out, KFluxToCell.q_in) annotation (Line(
              points={{-24,37.2},{-24,38},{-30,38},{-30,52}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(flowMeasure.molarFlowRate, busConnector.PotassiumToCells)
          annotation (Line(
            points={{-20,34},{-95,34},{-95,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
          connect(flowMeasure.q_out, KFluxToCellWithGlucose.q_in) annotation (
              Line(
              points={{-24,37.2},{-24,38},{-68,38},{-68,54}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(KFluxToCellWithGlucose.q_out, KCell.q_out) annotation (Line(
              points={{-68,66},{-68,80},{-20,80}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(IkedaIntoICF.y, KFluxToCell.soluteFlow) annotation (Line(
              points={{-34.8,58},{-33.6,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(splineDelayByDay.y, IkedaIntoICF.yBase) annotation (Line(
              points={{-46,58},{-45,58}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(IkedaIntoICF.Artys_pH, busConnector. Artys_pH) annotation (Line(
              points={{-43,48},{-44,46},{-44,42},{-96,42},{-96,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
          connect(concentrationMeasure2.q_in, KPool.q_out) annotation (Line(
              points={{-48,24},{-24,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(concentrationMeasure2.concentration, IkedaIntoICF.PotasiumECF_conc)
          annotation (Line(
            points={{-48,28},{-48,40},{-37,40},{-37,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure2.concentration, busConnector.KPool_per_liter)
          annotation (Line(
            points={{-48,28},{-48,30},{-96,30},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));

          connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow,YGLS. u2)
                     annotation (Line(
              points={{-88,94},{-96,94},{-96,71},{-85,71}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.liver_GlucoseToCellStorageFlow,YGLS. u1)
            annotation (Line(
              points={{-88,94},{-96,94},{-96,75},{-85,75}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow,YGLS. u3)
            annotation (Line(
              points={{-88,94},{-96,94},{-96,67},{-85,67}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(YGLS.y, CGL3.u) annotation (Line(
              points={{-73.5,71},{-72,71},{-72,64},{-82,64},{-82,60},{-80.4,60}},
              color={0,0,127},
              smooth=Smooth.None));

          connect(KEffect.y, busConnector. CD_K_Outflow) annotation (Line(
              points={{34,30},{98,30},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
         string="%second",
         index=1,
         extent={{3,1},{3,1}}));
        connect(concentrationMeasure2.concentration, busConnector.KPool)
          annotation (Line(
            points={{-48,28},{-96,28},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumen.solute, busConnector.GILumenPotassium_Mass) annotation (
           Line(
            points={{-8,-33.8},{-8,-54},{-96,-54},{-96,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
          connect(electrolytesFlowConstant1.y, KFluxToCellWithGlucose.soluteFlow)
            annotation (Line(
              points={{-79.5,51},{-74,51},{-74,60},{-71.6,60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
              points={{-88,94},{-96,94},{-96,-20},{-65.8,-20}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
              points={{-57.6,-12},{-56,-12},{-56,-18}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(LeptinEffect2.y, Diet.soluteFlow) annotation (Line(
            points={{-56,-22},{-56,-28}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(AldoEffect.u, busConnector.NephronAldo_conc_in_nG_per_dl)
            annotation (Line(
              points={{43.8,48},{98,48},{98,94},{-88,94}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                      "../Physiolibrary/icons/K.jpg"), Text(
                  extent={{-112,-102},{108,-128}},
                  lineColor={0,0,255},
                  textString="%name")}),
            Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>",   info="<html>
<p>TODO: Ikeda - Potassium glucose flow from ECF to ICF with insulin affects potassium flow to cells.</p>
</html>"));
        end Potassium2_corrected;

        model TNa_K
        import Physiomodel;
          Physiomodel.Electrolytes.Potassium.Potassium potassium2_1
            annotation (Placement(transformation(extent={{-30,32},{-10,52}})));
        Physiomodel.Electrolytes.old.setup.ElectrolytesConstInputs2FromFile
          electrolytesConstInputs
          annotation (Placement(transformation(extent={{12,40},{32,60}})));
          Physiomodel.Electrolytes.Sodium.Sodium sodium
            annotation (Placement(transformation(extent={{-32,-6},{-12,14}})));
          Physiomodel.Electrolytes.Phosphate.Phosphate2 phosphate2_1
            annotation (Placement(transformation(extent={{-70,46},{-50,66}})));
        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{-70,-32},{-52,-14}}), iconTransformation(
                extent={{-120,20},{-80,60}})));
          Modelica.Blocks.Math.Sum BloodCations(nin=2)
            annotation (Placement(transformation(extent={{-12,-66},{8,-46}})));
          Physiomodel.Electrolytes.Sulphate.Sulphate2 sulphate2_1
            annotation (Placement(transformation(extent={{-98,-8},{-78,12}})));
        Physiomodel.Electrolytes.Chloride.setup.Chloride chloride
          annotation (Placement(transformation(extent={{42,-18},{62,2}})));
          Modelica.Blocks.Math.Sum StrongAnionsLessCl(nin=4)
            annotation (Placement(transformation(extent={{-48,-100},{-28,-80}})));
        equation
          connect(potassium2_1.busConnector,electrolytesConstInputs. busConnector)
            annotation (Line(
              points={{-12,50},{20,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(sodium.busConnector, electrolytesConstInputs.busConnector)
            annotation (Line(
              points={{-14,12},{4,12},{4,50},{20,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(phosphate2_1.busConnector, electrolytesConstInputs.busConnector)
            annotation (Line(
              points={{-52,64},{20,64},{20,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(busConnector.NaPool_conc_per_liter,BloodCations. u[1]) annotation (Line(
              points={{-61,-23},{-62,-56},{-14,-56},{-14,-57}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.KPool_conc_per_liter,BloodCations. u[2]) annotation (Line(
              points={{-61,-23},{-62,-23},{-62,-54},{-14,-54},{-14,-55}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodCations.y,busConnector. BloodIons_Cations)
            annotation (Line(
              points={{9,-56},{44,-56},{44,-24},{-61,-24},{-61,-23}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BloodCations.y,busConnector. BloodCations) annotation (Line(
              points={{9,-56},{44,-56},{44,-23},{-61,-23}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(busConnector, phosphate2_1.busConnector) annotation (Line(
              points={{-61,-23},{-61,20.5},{-52,20.5},{-52,64}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(sulphate2_1.busConnector, busConnector) annotation (Line(
              points={{-80,10},{-61,10},{-61,-23}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(chloride.busConnector, busConnector) annotation (Line(
              points={{60.1,0.1},{1.05,0.1},{1.05,-23},{-61,-23}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(busConnector.PO4Pool_conc_per_liter, StrongAnionsLessCl.u[2])
            annotation (Line(
              points={{-61,-23},{-62,-23},{-62,-90.5},{-50,-90.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.SO4Pool_conc_per_liter, StrongAnionsLessCl.u[3])
            annotation (Line(
              points={{-61,-23},{-62,-90},{-50,-89.5}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(busConnector.LacPool_Lac_mEq_per_litre, StrongAnionsLessCl.u[4])
                annotation (Line(
              points={{-61,-23},{-61,-88.5},{-50,-88.5}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(busConnector.KAPool_conc_per_liter, StrongAnionsLessCl.u[1])
            annotation (Line(
              points={{-61,-23},{-61,-91.5},{-50,-91.5}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(StrongAnionsLessCl.y, busConnector.BloodIons_StrongAnionsLessCl)
            annotation (Line(
              points={{-27,-90},{44,-90},{44,-23},{-61,-23}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        end TNa_K;
      end test;

      package setup
        model ConstInputsFromOtherElectrolytes

        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{44,58},{64,78}}), iconTransformation(
                extent={{-40,-20},{0,20}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant DT_Na_Outflow(k=
             0.48247099389415)
          annotation (Placement(transformation(extent={{-20,42},{-14,48}})));
        equation

          connect(DT_Na_Outflow.y, busConnector.DT_Na_Outflow) annotation (Line(
         points={{-13.7,45},{54,45},{54,68}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        end ConstInputsFromOtherElectrolytes;
      end setup;

      model Potassium
      import Physiomodel;
        extends Physiolibrary.Icons.Potassium;
      Physiolibrary.Chemical.Components.Substance KPool(
        stateName="KPool.Mass",
        useNormalizedVolume=false,
        solute_start=(62.897)/1000)
        annotation (Placement(transformation(extent={{-34,14},{-14,34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Hemorrhage(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{20,-86},{40,-66}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{20,-100},{40,-80}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{0,-80},{20,-60}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{0,-94},{20,-74}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure2 annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              origin={-80,42})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-94,88},{-82,100}}), iconTransformation(
              extent={{60,60},{100,100}})));
        GILumenK gILumenK
          annotation (Placement(transformation(extent={{-74,-40},{-54,-20}})));
        Physiomodel.Electrolytes.Bladder bladder(stateVarName=
              "BladderPotassium.Mass")
          annotation (Placement(transformation(extent={{56,-52},{76,-32}})));
        Physiomodel.Electrolytes.Potassium.KindeyK kindeyK
          annotation (Placement(transformation(extent={{42,-22},{62,-2}})));
      Physiolibrary.Types.Concentration ECF_conc;
        Physiomodel.Electrolytes.SweatGlandSalt sweatGlandSalt(FractReabBasic=0,
            FractReabK=0)
          annotation (Placement(transformation(extent={{22,42},{42,62}})));
        Physiomodel.Electrolytes.Potassium.CellsK
          intracellularPotassium
          annotation (Placement(transformation(extent={{-32,68},{-12,88}})));
      equation
        ECF_conc=concentrationMeasure2.concentration;

      connect(KPool.solutionVolume, busConnector.ECFV_Vol) annotation (Line(
          points={{-28,28},{-95,28},{-95,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(Hemorrhage.q_in, KPool.q_out)  annotation (Line(
            points={{20,-76},{22,-76},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(DialyzerActivity.q_in, KPool.q_out)  annotation (Line(
            points={{20,-90},{22,-90},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Transfusion.q_out, KPool.q_out)  annotation (Line(
            points={{20,-84},{22,-84},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(IVDrip.q_out, KPool.q_out)  annotation (Line(
            points={{20,-70},{22,-70},{22,24},{-24,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(IVDrip.soluteFlow, busConnector.IVDrip_KRate) annotation (Line(
          points={{14,-66},{14,-64},{-96,-64},{-96,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
      connect(Transfusion.soluteFlow, busConnector.Transfusion_KRate)
        annotation (Line(
          points={{14,-80},{-96,-80},{-96,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
      connect(busConnector.Hemorrhage_KRate, Hemorrhage.soluteFlow) annotation (
         Line(
          points={{-88,94},{98,94},{98,-72},{34,-72}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-3,1},{-3,1}}));
      connect(DialyzerActivity.soluteFlow, busConnector.DialyzerActivity_K_Flux)
        annotation (Line(
          points={{34,-86},{98,-86},{98,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));

        connect(concentrationMeasure2.q_in, KPool.q_out) annotation (Line(
            points={{-80,42},{-64,42},{-64,24},{-24,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

      connect(concentrationMeasure2.concentration, busConnector.KPool)
        annotation (Line(
          points={{-80,34},{-64,34},{-64,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(gILumenK.busConnector, busConnector) annotation (Line(
            points={{-56,-22},{-56,-16},{-96,-16},{-96,94},{-88,94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gILumenK.q_out, KPool.q_out) annotation (Line(
            points={{-64,-30},{-64,24},{-24,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(kindeyK.q_out, bladder.q_in) annotation (Line(
            points={{54,-20},{66,-20},{66,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(kindeyK.q_in, KPool.q_out) annotation (Line(
            points={{54,-12},{54,24},{-24,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladder.busConnector, busConnector) annotation (Line(
            points={{74,-34},{82,-34},{82,94},{-88,94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(kindeyK.busConnector, busConnector) annotation (Line(
            points={{60,-4},{82,-4},{82,94},{-88,94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(KPool.solute, busConnector.KPool_mass) annotation (Line(
          points={{-18,14},{-18,6},{-96,6},{-96,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(KPool.q_out, sweatGlandSalt.salt) annotation (Line(
            points={{-24,24},{22,24},{22,46}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(sweatGlandSalt.busConnector, busConnector) annotation (Line(
            points={{40,60},{82,60},{82,94},{-88,94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(KPool.q_out, intracellularPotassium.q_in) annotation (Line(
            points={{-24,24},{-24,78},{-22,78}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, intracellularPotassium.busConnector) annotation (
            Line(
            points={{-88,94},{-14,94},{-14,86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(concentrationMeasure2.concentration, busConnector.KPool_conc_per_liter)
        annotation (Line(
          points={{-80,34},{-84,34},{-84,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={            Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>TODO: Ikeda - Potassium glucose flow from ECF to ICF with insulin affects potassium flow to cells.</p>
</html>"));
      end Potassium;

      model KindeyK
        extends Physiolibrary.Icons.Kidney;

      Physiolibrary.Blocks.Factors.Spline NaEffect(data={{0.0,0.3,0},{0.4,1.0,
            1.5},{4.0,3.0,0}}, Xscale=1e-3/60)
        annotation (Placement(transformation(extent={{44,30},{24,50}})));
      Physiolibrary.Blocks.Factors.LagSpline
                                          AldoEffect(data={{0.0,0.3,0},{12.0,
            1.0,0.06},{50.0,3.0,0}},
        Xscale=1e-8/Substances.Aldosterone.mw,
        HalfTime=Modelica.Math.log(2)*3*60*60,
        initialValue=12)
        annotation (Placement(transformation(extent={{44,38},{24,58}})));
      Physiolibrary.Blocks.Factors.Spline ThiazideEffect(data={{0.0,1.0,2.0},{
            0.6,2.0,0}})
        annotation (Placement(transformation(extent={{44,46},{24,66}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst
        electrolytesFlowConstant(k=8.3333333333333e-07)
        annotation (Placement(transformation(extent={{18,76},{30,88}})));
      Physiolibrary.Chemical.Components.SolutePump DT_K(useSoluteFlowInput=true)
                                                        annotation (Placement(
            transformation(
            extent={{-6,-6},{6,6}},
            origin={34,22})));
      Physiolibrary.Blocks.Factors.Spline KEffect(data={{0.0,0.0,0},{4.4,1.0,
            0.5},{5.5,3.0,0}})
        annotation (Placement(transformation(extent={{24,22},{44,42}})));
      Physiolibrary.Blocks.Factors.Normalization KidneyFunction
        annotation (Placement(transformation(extent={{44,54},{24,74}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-94,88},{-82,100}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "sodium concentration in blood incomming to glomerulus capillaries; sodium mass flow is filtration - reabsorbtion"
        annotation (Placement(transformation(extent={{-54,6},{-36,24}}),
            iconTransformation(extent={{10,-10},{30,10}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out
        "sodium mass outflow to urine from collecting ducts" annotation (
          Placement(transformation(extent={{-14,-60},{2,-46}}),
            iconTransformation(extent={{10,-90},{30,-70}})));
      equation

        connect(AldoEffect.y, NaEffect.yBase)     annotation (Line(
            points={{34,44},{34,42}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.y, AldoEffect.yBase)  annotation (Line(
            points={{34,52},{34,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ThiazideEffect.u, busConnector. ThiazidePool_Thiazide_conc) annotation (Line(
            points={{42,56},{98,56},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));

        connect(NaEffect.u, busConnector. DT_Na_Outflow) annotation (Line(
            points={{42,40},{98,40},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(NaEffect.y, KEffect.yBase) annotation (Line(
            points={{34,36},{34,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KEffect.y, DT_K.soluteFlow) annotation (Line(
            points={{34,28},{34,24.4},{36.4,24.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(electrolytesFlowConstant.y, KidneyFunction.yBase) annotation (
            Line(
            points={{31.5,82},{34,82},{34,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KidneyFunction.y, ThiazideEffect.yBase) annotation (Line(
            points={{34,60},{34,58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KidneyFunction.u, busConnector. KidneyFunctionEffect) annotation (Line(
            points={{42,64},{98,64},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));

        connect(KEffect.y, busConnector. CD_K_Outflow) annotation (Line(
            points={{34,28},{98,28},{98,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(q_in, DT_K.q_in) annotation (Line(
            points={{-45,15},{-8.5,15},{-8.5,22},{28,22}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(DT_K.q_out, q_out) annotation (Line(
            points={{40,22},{56,22},{56,-44},{-4,-44},{-4,-53},{-6,-53}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.KPool_conc_per_liter, KEffect.u) annotation (Line(
            points={{-88,94},{-88,32},{26,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(AldoEffect.u, busConnector.Aldosterone) annotation (Line(
          points={{42,48},{98,48},{98,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>TODO: Ikeda - Potassium glucose flow from ECF to ICF with insulin affects potassium flow to cells.</p>
</html>"));
      end KindeyK;

      model GILumenK
        extends Physiolibrary.Icons.GILumen;
      Physiolibrary.Chemical.Components.Substance GILumen(
        stateName="GILumenPotassium.Mass",
        useNormalizedVolume=false,
        solute_start=(25)/1000)
        annotation (Placement(transformation(extent={{-18,-36},{2,-16}})));
      Physiolibrary.Chemical.Components.SolutePump Absorbtion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{6,-20},{18,-32}})));
        Modelica.Blocks.Math.Gain Perm(k(unit="1/s")=0.002/60)
          annotation (Placement(transformation(extent={{0,-48},{6,-42}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-66,-42},{-46,-22}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Diarrhea(
          useSoluteFlowInput=true) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={-56,-44})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-94,88},{-82,100}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst        Constant7(k(
            displayUnit="mmol/min") = 8.1018518518518e-07)
        annotation (Placement(transformation(extent={{-66,-16},{-58,-8}})));
      Physiolibrary.Blocks.Factors.Spline LeptinEffect2(data={{0,3.0,0},{8,1.0,
            -0.04},{50,0.0,0}}, Xscale=1e-6/Substances.Leptin.mw)
        annotation (Placement(transformation(extent={{-66,-30},{-46,-10}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out
        "sodium mass outflow to urine from collecting ducts" annotation (
          Placement(transformation(extent={{56,-24},{72,-10}}),
            iconTransformation(extent={{-10,-10},{10,10}})));
      equation

      connect(GILumen.solutionVolume, busConnector.GILumenVolume_Mass)
        annotation (Line(
          points={{-12,-22},{-24,-22},{-24,-4},{-96,-4},{-96,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
            points={{-8,-26},{6,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Diet.q_out, GILumen.q_out) annotation (Line(
            points={{-46,-32},{-16,-32},{-16,-26},{-8,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(Diarrhea.soluteFlow, busConnector.GILumenDiarrhea_KLoss)
        annotation (Line(
          points={{-60,-48},{-96,-48},{-96,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
            points={{-8,-26},{-16,-26},{-16,-44},{-46,-44}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
            points={{6.3,-45},{14.4,-45},{14.4,-28.4}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(Perm.u, GILumen.solute) annotation (Line(
          points={{-0.6,-45},{-2,-45},{-2,-36}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(GILumen.solute, busConnector.GILumenPotasium_Mass) annotation (
          Line(
          points={{-2,-36},{-2,-54},{-96,-54},{-96,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));

      connect(GILumen.solute, busConnector.GILumenPotassium_Mass) annotation (
          Line(
          points={{-2,-36},{-2,-54},{-96,-54},{-96,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-88,94},{-96,94},{-96,-20},{-64,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-57,-12},{-56,-12},{-56,-18}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(LeptinEffect2.y, Diet.soluteFlow) annotation (Line(
          points={{-56,-24},{-56,-28},{-52,-28}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(Absorbtion.q_out, q_out) annotation (Line(
            points={{18,-26},{42,-26},{42,-17},{64,-17}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>TODO: Ikeda - Potassium glucose flow from ECF to ICF with insulin affects potassium flow to cells.</p>
</html>"));
      end GILumenK;

      model CellsK
      import Physiomodel;
        extends Physiolibrary.Icons.Cell;
      Physiolibrary.Chemical.Components.Substance KCell(
        stateName="KCell.Mass",
        useNormalizedVolume=false,
        solute_start=3.964)   "in 1.0.0 initial value was 3769.74"
        annotation (Placement(transformation(extent={{2,46},{22,66}})));
        Modelica.Blocks.Math.Feedback freeK annotation (Placement(transformation(
              extent={{-6,6},{6,-6}},
              rotation=270,
              origin={18,32})));
      Physiolibrary.Types.Constants.AmountOfSubstanceConst
                                                        KCell_CaptiveMass(k=2.18)
        annotation (Placement(transformation(extent={{54,38},{42,26}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1 annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            origin={-24,74})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure annotation (
          Placement(transformation(
            extent={{-8,-8},{8,8}},
            rotation=90,
            origin={6,-76})));
      Physiolibrary.Chemical.Components.SolutePump KFluxToCellWithGlucose(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(
            extent={{-6,-6},{6,6}},
            rotation=90,
            origin={-28,-44})));
        Modelica.Blocks.Math.Gain CGL3(k=0.03/60)
          "potassium flow into cells accompanying glucose flow into the cells"
          annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              origin={-40,-42})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-94,88},{-82,100}}), iconTransformation(
              extent={{60,60},{100,100}})));
        Modelica.Blocks.Math.Add3 YGLS "Ikeda glucose to cells flow"
          annotation (Placement(transformation(extent={{-62,-44},{-52,-34}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "sodium concentration in blood incomming to glomerulus capillaries; sodium mass flow is filtration - reabsorbtion"
        annotation (Placement(transformation(extent={{-4,-94},{14,-76}}),
            iconTransformation(extent={{-10,-10},{10,10}})));

        Physiomodel.Electrolytes.Potassium.K_H_exchange k_H_exchange(CZKI=1.784, CKEI=
             1.6666666666667e-05)
          annotation (Placement(transformation(extent={{2,-4},{22,16}})));
      equation
      connect(KCell.solutionVolume, busConnector.CellH2O_Vol) annotation (Line(
          points={{8,60},{7,60},{7,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));

        connect(KCell.solute, freeK.u1) annotation (Line(
            points={{18,46},{18,36.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell_CaptiveMass.y, freeK.u2) annotation (Line(
            points={{40.5,32},{22.8,32}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(busConnector.KCell_Mass, KCell.solute) annotation (Line(
          points={{-88,94},{-4,94},{-4,46},{18,46}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-3,1},{-3,1}}));
        connect(KCell.q_out, concentrationMeasure1.q_in) annotation (Line(
            points={{12,56},{-24,56},{-24,74}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(concentrationMeasure1.concentration, busConnector.KCell_conc)
        annotation (Line(
          points={{-24,66},{-24,64},{-56,64},{-56,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
      connect(flowMeasure.molarFlowRate, busConnector.PotassiumToCells)
        annotation (Line(
          points={{12.4,-76},{97,-76},{97,94},{-88,94}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(flowMeasure.q_out, KFluxToCellWithGlucose.q_in) annotation (
            Line(
            points={{6,-68},{6,-66},{-28,-66},{-28,-50}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(KFluxToCellWithGlucose.q_out, KCell.q_out) annotation (Line(
            points={{-28,-38},{-28,34},{12,34},{12,56}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow,YGLS. u2)
                   annotation (Line(
            points={{-88,94},{-100,94},{-100,-39},{-63,-39}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.liver_GlucoseToCellStorageFlow,YGLS. u1)
          annotation (Line(
            points={{-88,94},{-100,94},{-100,-35},{-63,-35}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow,YGLS. u3)
          annotation (Line(
            points={{-88,94},{-100,94},{-100,-43},{-63,-43}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(YGLS.y, CGL3.u) annotation (Line(
            points={{-51.5,-39},{-48,-39},{-48,-42},{-44.8,-42}},
            color={0,0,127},
            smooth=Smooth.None));

        connect(flowMeasure.q_in, q_in) annotation (Line(
            points={{6,-84},{5,-84},{5,-85}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(KCell.q_out, k_H_exchange.cell) annotation (Line(
            points={{12,56},{12,16}},
            color={107,45,134},
            thickness=1));
        connect(k_H_exchange.interstitium, flowMeasure.q_out) annotation (Line(
            points={{12,-4},{12,-62},{6,-62},{6,-68}},
            color={107,45,134},
            thickness=1));
        connect(busConnector.Artys_pH, k_H_exchange.pH) annotation (Line(
            points={{-88,94},{-98,94},{-98,-96},{18,-96},{18,-4}},
            color={0,0,255},
            thickness=0.5), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(freeK.y, k_H_exchange.ZKI)
          annotation (Line(points={{18,26.6},{18,16}}, color={0,0,127}));
        connect(CGL3.y, KFluxToCellWithGlucose.soluteFlow) annotation (Line(points={{-35.6,
                -42},{-32,-42},{-32,-41.6},{-30.4,-41.6}}, color={0,0,127}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>TODO: Ikeda - Potassium glucose flow from ECF to ICF with insulin affects potassium flow to cells.</p>
</html>"));
      end CellsK;

      model CellsK_Steady
      import Physiomodel;
        extends Physiolibrary.Icons.Cell;
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-94,88},{-82,100}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "sodium concentration in blood incomming to glomerulus capillaries; sodium mass flow is filtration - reabsorbtion"
        annotation (Placement(transformation(extent={{-18,-86},{0,-68}}),
            iconTransformation(extent={{-10,-10},{10,10}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant KCell_Mass(
          varName="KCell.Mass")
        annotation (Placement(transformation(extent={{-50,-4},{-20,26}})));
      equation

        q_in.q=0
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>TODO: Ikeda - Potassium glucose flow from ECF to ICF with insulin affects potassium flow to cells.</p>
</html>"));

        connect(KCell_Mass.y, busConnector.KCell_Mass) annotation (Line(
            points={{-16.25,11},{-16.25,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      end CellsK_Steady;

      model CellsK_
      import Physiomodel;
        extends Physiolibrary.Icons.Cell;

        parameter String stateName;
        parameter Real initialSoluteMass;
      Physiolibrary.Chemical.Components.Substance KCell(
        stateName=stateName,
        useNormalizedVolume=false,
        solute_start=(initialSoluteMass)/1000)
        annotation (Placement(transformation(extent={{2,46},{22,66}})));
      Physiolibrary.Chemical.Components.SolutePump KFluxToCell(
          useSoluteFlowInput=true)                             annotation (
          Placement(transformation(
            extent={{-6,-6},{6,6}},
            rotation=90,
            origin={6,-10})));
        Modelica.Blocks.Math.Gain Perm1(k=0.002)
          annotation (Placement(transformation(extent={{-4,-4},{4,4}},
              rotation=270,
              origin={-68,32})));
      Physiolibrary.Chemical.Components.SolutePump KFluxToPool(
          useSoluteFlowInput=true)                             annotation (
          Placement(transformation(
            extent={{-6,-6},{6,6}},
            rotation=270,
            origin={48,-56})));
        Modelica.Blocks.Math.Feedback feedback
          annotation (Placement(transformation(extent={{54,-18},{62,-26}})));
      Physiolibrary.Types.Constants.ElectricChargeConst KCell_CaptiveMass(k=
            210338.040982)
        annotation (Placement(transformation(extent={{72,-4},{62,-14}})));
        Modelica.Blocks.Math.Gain Perm2(k=7.4e-5)
          annotation (Placement(transformation(extent={{-3,-3},{3,3}},
              rotation=270,
              origin={67,-27})));
      Physiomodel.Metabolism.deprecated.Input2EffectDelayed splineDelayByDay(
        data={{0,0.9,0.0},{300,1.0,0.00025},{1500,1.1,0.0}},
        Tau=120*1440,
        stateName="PotassiumToCell_AldoEffect") annotation (Placement(transformation(
            extent={{10,-10},{-10,10}},
            origin={-68,18})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1(
         toAnotherUnitCoef=1000, unitsString="mEq/l") annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            origin={-24,74})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure annotation (
          Placement(transformation(
            extent={{-8,8},{8,-8}},
            rotation=90,
            origin={6,-76})));
      Physiolibrary.Chemical.Components.SolutePump KFluxToCellWithGlucose(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(
            extent={{-6,-6},{6,6}},
            rotation=90,
            origin={-28,-44})));
        IkedaPotasiumIntoICFFactor IkedaIntoICF annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              origin={-68,2})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-94,88},{-82,100}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "sodium concentration in blood incomming to glomerulus capillaries; sodium mass flow is filtration - reabsorbtion"
        annotation (Placement(transformation(extent={{-4,-94},{14,-76}}),
            iconTransformation(extent={{-10,-10},{10,10}})));

        Modelica.Blocks.Interfaces.RealInput
                                           additionalInflow annotation (
            Placement(transformation(extent={{-122,-74},{-82,-34}}),
              iconTransformation(extent={{-100,-74},{-60,-34}})));
        Modelica.Blocks.Interfaces.RealInput
                                           CellH2O_Vol annotation (Placement(
              transformation(extent={{-70,42},{-30,82}}), iconTransformation(
                extent={{-100,18},{-60,58}})));
        Modelica.Blocks.Interfaces.RealOutput KCell_Mass
          annotation (Placement(transformation(extent={{70,18},{90,38}})));
        Modelica.Blocks.Interfaces.RealOutput KCell_conc
          annotation (Placement(transformation(extent={{44,72},{64,92}})));
      equation

        connect(KFluxToCell.q_out, KCell.q_out) annotation (Line(
            points={{6,-4},{6,56},{12,56}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(KCell.q_out, KFluxToPool.q_in) annotation (Line(
            points={{12,56},{48,56},{48,-50}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(KCell.solute, feedback.u1) annotation (Line(
          points={{18,46},{18,-22},{54.8,-22}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(KCell_CaptiveMass.y, feedback.u2) annotation (Line(
            points={{60.75,-9},{58,-9},{58,-18.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, Perm2.u) annotation (Line(
            points={{61.6,-22},{67.3,-22},{67.3,-23.4},{67,-23.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KFluxToPool.soluteFlow, Perm2.y) annotation (Line(
            points={{50.4,-58.4},{67,-58.4},{67,-30.3}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Perm1.y, splineDelayByDay.yBase) annotation (Line(
            points={{-68,27.6},{-68,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(splineDelayByDay.u, busConnector. AldoPool_Aldo) annotation (Line(
            points={{-58.2,18},{-58.2,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(KCell.q_out, concentrationMeasure1.q_in) annotation (Line(
            points={{12,56},{-24,56},{-24,74}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, KFluxToPool.q_out) annotation (Line(
            points={{6,-68},{6,-62},{48,-62}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, KFluxToCell.q_in) annotation (Line(
            points={{6,-68},{6,-16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, KFluxToCellWithGlucose.q_in) annotation (
            Line(
            points={{6,-68},{6,-66},{-28,-66},{-28,-50}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(KFluxToCellWithGlucose.q_out, KCell.q_out) annotation (Line(
            points={{-28,-38},{-28,56},{12,56}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(IkedaIntoICF.y, KFluxToCell.soluteFlow) annotation (Line(
            points={{-68,-3.2},{-68,-7.6},{3.6,-7.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(splineDelayByDay.y, IkedaIntoICF.yBase) annotation (Line(
            points={{-68,16},{-68,7}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IkedaIntoICF.Artys_pH, busConnector. Artys_pH) annotation (Line(
            points={{-78,5},{-86,6},{-100,6},{-100,94},{-88,94}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));

        connect(busConnector.KPool_per_liter, IkedaIntoICF.PotasiumECF_conc)
          annotation (Line(
            points={{-88,94},{-100,94},{-100,0},{-78,0},{-78,-1}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(flowMeasure.q_in, q_in) annotation (Line(
            points={{6,-84},{5,-84},{5,-85}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.KPool_mass, Perm1.u) annotation (Line(
            points={{-88,94},{-68,94},{-68,36.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));

        connect(KFluxToCellWithGlucose.soluteFlow, additionalInflow)
          annotation (Line(
            points={{-30.4,-41.6},{-60,-41.6},{-60,-54},{-102,-54}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(KCell.solutionVolume, CellH2O_Vol) annotation (Line(
          points={{8,60},{-22,60},{-22,62},{-50,62}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(KCell.solute, KCell_Mass) annotation (Line(
          points={{18,46},{18,28},{80,28}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure1.concentration, KCell_conc) annotation (Line(
          points={{-24,66},{-24,82},{54,82}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name"), Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>TODO: Ikeda - Potassium glucose flow from ECF to ICF with insulin affects potassium flow to cells.</p>
</html>"));
      end CellsK_;

      model IntracellularPotassium
        extends Physiolibrary.Icons.Cell;

      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-86,58},{-74,70}}), iconTransformation(
              extent={{60,60},{100,100}})));
        CellsK_ liverCells(stateName="liver_CellK_Mass", initialSoluteMass=
              3769.74*0.0285)
          annotation (Placement(transformation(extent={{-40,40},{-20,60}})));
        CellsK_ skeletalMuscleCells(initialSoluteMass=3769.74*0.664, stateName=
              "muscle_CellK_Mass")
          annotation (Placement(transformation(extent={{62,26},{82,46}})));
        CellsK_ otherCells(initialSoluteMass=3769.74*0.3075, stateName=
              "other_CellK_Mass")
          annotation (Placement(transformation(extent={{78,-16},{98,4}})));
      Physiolibrary.Types.Constants.ElectricCurrentConst
        electrolytesFlowConstant1(k=0)
        annotation (Placement(transformation(extent={{50,-30},{60,-20}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure annotation (
          Placement(transformation(
            extent={{-8,8},{8,-8}},
            rotation=90,
            origin={-52,-78})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "sodium concentration in blood incomming to glomerulus capillaries; sodium mass flow is filtration - reabsorbtion"
        annotation (Placement(transformation(extent={{-62,-96},{-44,-78}}),
            iconTransformation(extent={{-10,-10},{10,10}})));
        Modelica.Blocks.Math.Add add
          annotation (Placement(transformation(extent={{4,-28},{24,-8}})));
        Modelica.Blocks.Math.Add add1
          annotation (Placement(transformation(extent={{-38,2},{-18,22}})));
        Modelica.Blocks.Math.Feedback feedback
          annotation (Placement(transformation(extent={{48,-12},{68,8}})));
        Modelica.Blocks.Math.Add add2
          annotation (Placement(transformation(extent={{22,18},{42,38}})));
        Modelica.Blocks.Math.Add3 KCell_MASS
          annotation (Placement(transformation(extent={{-4,-74},{16,-54}})));
        Modelica.Blocks.Math.Division mean_KCell_conc
          annotation (Placement(transformation(extent={{56,-66},{76,-46}})));
      Modelica.Blocks.Math.Gain gain(k=1000, y(displayUnit="mEq/l"))
        annotation (Placement(transformation(extent={{86,-68},{96,-58}})));
      equation
        connect(busConnector.liver_GlucoseToCellStorageFlow, liverCells.additionalInflow)
          annotation (Line(
            points={{-80,64},{-80,44.6},{-38,44.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector, liverCells.busConnector) annotation (Line(
            points={{-80,64},{90,64},{90,58},{-22,58}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector.liver_CellH2OVol, liverCells.CellH2O_Vol)
          annotation (Line(
            points={{-80,64},{-80,53.8},{-38,53.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector, skeletalMuscleCells.busConnector) annotation (
            Line(
            points={{-80,64},{90,64},{90,44},{80,44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, otherCells.busConnector) annotation (Line(
            points={{-80,64},{90,64},{90,2},{96,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytesFlowConstant1.y, otherCells.additionalInflow)
          annotation (Line(
            points={{61.25,-25},{72.25,-25},{72.25,-11.4},{80,-11.4}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(flowMeasure.molarFlowRate, busConnector.PotassiumToCells)
        annotation (Line(
          points={{-56.8,-78},{99,-78},{99,64},{-80,64}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(flowMeasure.q_in,q_in)  annotation (Line(
            points={{-52,-86},{-53,-86},{-53,-87}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, liverCells.q_in) annotation (Line(
            points={{-52,-70},{-52,24},{-30,24},{-30,50}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flowMeasure.q_out, skeletalMuscleCells.q_in) annotation (Line(
            points={{-52,-70},{-52,24},{72,24},{72,36}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(otherCells.q_in, flowMeasure.q_out) annotation (Line(
            points={{88,-6},{-52,-6},{-52,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(add1.y, skeletalMuscleCells.CellH2O_Vol) annotation (Line(
            points={{-17,12},{-12,12},{-12,39.8},{64,39.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_CellH2OVol, add1.u1) annotation (Line(
            points={{-80,64},{-80,18},{-40,18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.respiratoryMuscle_CellH2OVol, add1.u2) annotation (Line(
            points={{-80,64},{-80,6},{-40,6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.liver_CellH2OVol, add.u1) annotation (Line(
            points={{-80,64},{-80,-2},{2,-2},{2,-12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(add1.y, add.u2) annotation (Line(
            points={{-17,12},{-10,12},{-10,-24},{2,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add.y, feedback.u2) annotation (Line(
            points={{25,-18},{26,-18},{26,-12},{58,-12},{58,-10}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.CellH2O_Vol, feedback.u1) annotation (Line(
            points={{-80,64},{-80,-2},{50,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(feedback.y, otherCells.CellH2O_Vol) annotation (Line(
            points={{67,-2},{75.5,-2},{75.5,-2.2},{80,-2.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add2.y, skeletalMuscleCells.additionalInflow) annotation (Line(
            points={{43,28},{54,28},{54,30.6},{64,30.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skeletalMuscle_GlucoseToCellStorageFlow, add2.u1)
          annotation (Line(
            points={{-80,64},{-6,64},{-6,34},{20,34}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.respiratoryMuscle_GlucoseToCellStorageFlow, add2.u2)
          annotation (Line(
            points={{-80,64},{-6,64},{-6,22},{20,22}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(liverCells.KCell_Mass, KCell_MASS.u1) annotation (Line(
            points={{-22,52.8},{-14,52.8},{-14,-56},{-6,-56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(skeletalMuscleCells.KCell_Mass, KCell_MASS.u2) annotation (Line(
            points={{80,38.8},{-48,38.8},{-48,-64},{-6,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(otherCells.KCell_Mass, KCell_MASS.u3) annotation (Line(
            points={{96,-3.2},{46,-3.2},{46,-72},{-6,-72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(KCell_MASS.y, busConnector.KCell_Mass) annotation (Line(
            points={{17,-64},{30,-64},{30,78},{-80,78},{-80,64}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(KCell_MASS.y, mean_KCell_conc.u1) annotation (Line(
            points={{17,-64},{36,-64},{36,-50},{54,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.CellH2O_Vol, mean_KCell_conc.u2) annotation (Line(
            points={{-80,64},{-78,64},{-78,-70},{54,-70},{54,-62}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(mean_KCell_conc.y, gain.u) annotation (Line(
          points={{77,-56},{82,-56},{82,-63},{85,-63}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain.y, busConnector.KCell_conc_per_liter) annotation (Line(
          points={{96.5,-63},{106,-63},{106,64},{-80,64}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      end IntracellularPotassium;

      model IntracellularPotassium_const
        extends Physiolibrary.Icons.Cell;

      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-86,58},{-74,70}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst
        electrolytesFlowConstant1(k=0)
        annotation (Placement(transformation(extent={{-66,-46},{-56,-36}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "sodium concentration in blood incomming to glomerulus capillaries; sodium mass flow is filtration - reabsorbtion"
        annotation (Placement(transformation(extent={{-62,-96},{-44,-78}}),
            iconTransformation(extent={{-10,-10},{10,10}})));
      Physiolibrary.Types.Constants.ConcentrationConst
        electrolytesFlowConstant2(k=(142))
        annotation (Placement(transformation(extent={{10,-78},{28,-60}})));
      Physiolibrary.Types.Constants.AmountOfSubstanceConst
        electrolytesFlowConstant3(k(displayUnit="mol") = 4)
        annotation (Placement(transformation(extent={{-68,-22},{-50,-4}})));
        Modelica.Blocks.Math.Division division
          annotation (Placement(transformation(extent={{10,-54},{30,-34}})));
      equation
        q_in.q=0;
        connect(electrolytesFlowConstant1.y, busConnector.PotassiumToCells)
          annotation (Line(
            points={{-54.75,-41},{-22,-41},{-22,64},{-80,64}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(electrolytesFlowConstant3.y, busConnector.KCell_Mass) annotation (
            Line(
            points={{-47.75,-13},{32,-13},{32,64},{-80,64}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.ICFV_Vol, division.u2) annotation (Line(
            points={{-80,64},{-36,64},{-36,-50},{8,-50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(electrolytesFlowConstant3.y, division.u1) annotation (Line(
            points={{-47.75,-13},{-47.75,-14.5},{8,-14.5},{8,-38}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(division.y, busConnector.KCell_conc) annotation (Line(
          points={{31,-44},{92,-44},{92,64},{-80,64}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      end IntracellularPotassium_const;

      model K_H_exchange
        Physiolibrary.Chemical.Interfaces.ChemicalPort_a cell
          annotation (Placement(transformation(extent={{-10,90},{10,110}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_b interstitium
          annotation (Placement(transformation(extent={{-10,-110},{10,-90}})));
        Physiolibrary.Types.RealIO.AmountOfSubstanceInput ZKI
          "Amount of free intracellular potassium" annotation (Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={60,100})));
        Physiolibrary.Types.RealIO.pHInput pH "Arterial pH" annotation (Placement(
              transformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={60,-100})));


        parameter Physiolibrary.Types.AmountOfSubstance CZKI(displayUnit="mmol") = 1.7 "Base amount of free intracellular potassium (45% of base total intracellular potassium)";
        parameter Physiolibrary.Types.Frequency CKEI(displayUnit="1/min") = 0.001/60 "Potassium transfer coefficient from ECF to ICF";
        Physiolibrary.Types.Fraction F41 "Rate of potassium flow into IFC {ratio to normal)";
      equation
        cell.q + interstitium.q = 0;

        interstitium.q = CKEI * ( CZKI * F41 - ZKI);

        F41 = 1 + 0.5*log10(interstitium.conc/(56.744-7.06*pH));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={
                Rectangle(extent={{-60,100},{100,-100}}, lineColor={28,108,200}),
                Text(
                extent={{-60,100},{100,-100}},
                lineColor={28,108,200},
                textString="K+, H+
exchange")}),                                                          Diagram(
              coordinateSystem(preserveAspectRatio=false)));
      end K_H_exchange;
    end Potassium;

    package Chloride "Body Chloride Distribution"

      package test
        model T_
        import QHP = Physiomodel;
        QHP.Electrolytes.Chloride.setup.Chloride chloride2_1
          annotation (Placement(transformation(extent={{-58,8},{-38,28}})));
        QHP.Electrolytes.old.setup.ElectrolytesConstInputs2FromFile
          electrolytesConstInputs
          annotation (Placement(transformation(extent={{-10,12},{10,32}})));
          QHP.Electrolytes.Chloride.setup.ConstInputsFromOtherElectrolytes
            constInputsFromOtherElectrolytes
            annotation (Placement(transformation(extent={{-12,-10},{8,10}})));
        equation
          connect(chloride2_1.busConnector, electrolytesConstInputs.busConnector)
            annotation (Line(
              points={{-39.9,26.1},{-20.95,26.1},{-20.95,22},{-2,22}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(chloride2_1.busConnector, constInputsFromOtherElectrolytes.busConnector)
            annotation (Line(
              points={{-39.9,26.1},{-20,26.1},{-20,0},{-4,0}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        end T_;

        model T
        import QHP = Physiomodel;
        Physiomodel.Electrolytes.Chloride.setup.Chloride chloride2_1
          annotation (Placement(transformation(extent={{-58,8},{-38,28}})));
        QHP.Electrolytes.old.setup.ElectrolytesConstInputs
          electrolytesConstInputs
          annotation (Placement(transformation(extent={{-10,12},{10,32}})));
          QHP.Electrolytes.Chloride.setup.ConstInputsFromOtherElectrolytes
            constInputsFromOtherElectrolytes
            annotation (Placement(transformation(extent={{-12,-10},{8,10}})));
        equation
          connect(chloride2_1.busConnector, electrolytesConstInputs.busConnector)
            annotation (Line(
              points={{-39.9,26.1},{-20.95,26.1},{-20.95,22},{-2,22}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(chloride2_1.busConnector, constInputsFromOtherElectrolytes.busConnector)
            annotation (Line(
              points={{-39.9,26.1},{-20,26.1},{-20,0},{-4,0}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        end T;

        model Chloride
        Physiolibrary.Chemical.Components.Substance ClPool(useNormalizedVolume=
              false, solute_start=(1610)/1000)
          annotation (Placement(transformation(extent={{-78,14},{-58,34}})));
          Modelica.Blocks.Interfaces.RealInput ECFV_Vol(final quantity="Volume",
              final displayUnit="ml")
            annotation (Placement(transformation(extent={{-90,28},{-82,36}}),
                iconTransformation(extent={{-100,64},{-88,76}})));
        Physiolibrary.Chemical.Components.Substance GILumen(useNormalizedVolume=
             false, solute_start=(90)/1000)
          annotation (Placement(transformation(extent={{-82,-36},{-62,-16}})));
          Modelica.Blocks.Interfaces.RealInput GILumenVolume_Mass(final
              quantity=
                "Volume", final displayUnit="ml")
            annotation (Placement(transformation(extent={{-98,-22},{-90,-14}}),
                iconTransformation(extent={{-100,52},{-88,64}})));
        Physiolibrary.Chemical.Components.SolutePump Absorbtion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-58,-20},{-46,-32}})));
          Modelica.Blocks.Math.Gain Perm(k=0.0015)
            annotation (Placement(transformation(extent={{-64,-48},{-58,-42}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Hemorrhage(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-44,-86},{-24,-66}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-44,-100},{-24,-80}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut SweatDuct(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-44,-72},{-24,-52}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-64,-80},{-44,-60}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-64,-94},{-44,-74}})));
        Physiolibrary.Chemical.Components.Substance Bladder(
          STEADY=false,
          useNormalizedVolume=false,
          solute_start=(0)/1000)
          annotation (Placement(transformation(extent={{50,14},{70,34}})));
          Modelica.Blocks.Interfaces.RealInput BladderVolume_Mass(final
              quantity=
                "Volume", final displayUnit="ml")
            annotation (Placement(transformation(extent={{36,28},{44,36}}),
                iconTransformation(extent={{-100,40},{-88,52}})));
          Modelica.Blocks.Interfaces.RealInput IVDrip_ClRate(final quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-68,-68},{-60,-60}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-40,98})));
          Modelica.Blocks.Interfaces.RealInput Transfusion_ClRate(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-68,-84},{-60,-76}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-28,98})));
          Modelica.Blocks.Interfaces.RealInput SweatDuct_ClRate(final quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-22,-60},{-28,-54}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-16,98})));
          Modelica.Blocks.Interfaces.RealInput Hemorrhage_ClRate(final quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-22,-74},{-28,-68}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-4,98})));
          Modelica.Blocks.Interfaces.RealInput DialyzerActivity_Cl_Flux(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-22,-88},{-28,-82}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={8,98})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-100,-42},{-80,-22}})));
          Modelica.Blocks.Interfaces.RealInput DietIntakeElectrolytes_Cl(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{-100,-30},{-92,-22}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={20,98})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Diarrhea(
            useSoluteFlowInput=true) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-90,-44})));
          Modelica.Blocks.Interfaces.RealInput GILumenVomitus_ClLoss(final
              quantity="VolumeFlowRate", final displayUnit="mEq/min")
            annotation (Placement(transformation(extent={{3,-3},{-3,3}},
                rotation=180,
                origin={-93,-51}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={32,98})));
        Physiolibrary.Chemical.Components.SolutePump CD_Cl(useSoluteFlowInput=
              true)                                        annotation (
            Placement(transformation(
              extent={{-6,-6},{6,6}},
              origin={26,24})));
          Modelica.Blocks.Interfaces.RealInput CollectingDuct_NetSumCats(final
              quantity="Mass", final displayUnit="mEq")
            annotation (Placement(transformation(extent={{16,52},{24,60}}),
                iconTransformation(extent={{-100,28},{-88,40}})));
          Modelica.Blocks.Interfaces.RealInput BloodPh_ArtysPh
            annotation (Placement(transformation(extent={{2,42},{10,50}}),
                iconTransformation(extent={{-100,88},{-88,100}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 KEffect1( data=
                {{7.00,1.00,0},{7.45,0.93,-0.5},{7.80,0.00,0}})
            annotation (Placement(transformation(extent={{16,36},{36,56}})));
          Modelica.Blocks.Interfaces.RealOutput ClPool_mass
                                          annotation (Placement(transformation(extent={{-60,4},
                    {-52,12}}),        iconTransformation(extent={{100,80},{120,
                    100}})));
          Modelica.Blocks.Interfaces.RealOutput ClPool_conc_per_liter
                                          annotation (Placement(transformation(extent={{-40,36},
                    {-32,44}}),        iconTransformation(extent={{100,60},{120,
                    80}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure
          concentrationMeasure annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-56,40})));
          Modelica.Blocks.Math.Gain gain(k=1000)
            annotation (Placement(transformation(extent={{-46,38},{-42,42}})));
        Physiolibrary.Chemical.Components.Clearance bladderVoid(
            useSolutionFlowInput=true)
          annotation (Placement(transformation(extent={{58,-14},{70,-2}})));
          Modelica.Blocks.Interfaces.RealInput BladderVoidFlow(
                                                        final quantity="VolumeFlowRate",
              final displayUnit="ml/min")
            annotation (Placement(transformation(extent={{50,-2},{58,6}}),
                iconTransformation(
                extent={{-6,-6},{6,6}},
                origin={-94,-106})));
        equation
        connect(ClPool.solutionVolume, ECFV_Vol) annotation (Line(
            points={{-76,30},{-81,30},{-81,32},{-86,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumen.solutionVolume, GILumenVolume_Mass) annotation (Line(
            points={{-80,-20},{-87,-20},{-87,-18},{-94,-18}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
              points={{-72,-26},{-65,-26},{-65,-26},{-58,-26}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Absorbtion.q_out, ClPool.q_out) annotation (Line(
              points={{-46,-26},{-44,-26},{-44,24},{-68,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Hemorrhage.q_in, ClPool.q_out) annotation (Line(
              points={{-40,-76},{-44,-76},{-44,24},{-68,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(DialyzerActivity.q_in, ClPool.q_out) annotation (Line(
              points={{-40,-90},{-44,-90},{-44,24},{-68,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(ClPool.q_out, SweatDuct.q_in) annotation (Line(
              points={{-68,24},{-44,24},{-44,-62},{-40,-62}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Transfusion.q_out, ClPool.q_out) annotation (Line(
              points={{-48,-84},{-44,-84},{-44,24},{-68,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(IVDrip.q_out, ClPool.q_out) annotation (Line(
              points={{-48,-70},{-44,-70},{-44,24},{-68,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(Bladder.solutionVolume, BladderVolume_Mass) annotation (Line(
            points={{52,30},{46,30},{46,32},{40,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(IVDrip.soluteFlow, IVDrip_ClRate) annotation (Line(
            points={{-54,-66},{-54,-64},{-64,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Transfusion.soluteFlow, Transfusion_ClRate) annotation (Line(
            points={{-54,-80},{-64,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatDuct.soluteFlow, SweatDuct_ClRate) annotation (Line(
            points={{-34,-58},{-34,-57},{-25,-57}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Hemorrhage_ClRate, Hemorrhage.soluteFlow) annotation (Line(
            points={{-25,-71},{-33.5,-71},{-33.5,-72},{-34,-72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DialyzerActivity.soluteFlow, DialyzerActivity_Cl_Flux)
          annotation (Line(
            points={{-34,-86},{-34,-85},{-25,-85}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Diet.soluteFlow, DietIntakeElectrolytes_Cl) annotation (Line(
            points={{-90,-28},{-90,-26},{-96,-26}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(Diet.q_out, GILumen.q_out) annotation (Line(
              points={{-84,-32},{-80,-32},{-80,-26},{-72,-26}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(Diarrhea.soluteFlow, GILumenVomitus_ClLoss) annotation (Line(
            points={{-90,-48},{-90,-51},{-93,-51}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
              points={{-72,-26},{-80,-26},{-80,-44},{-84,-44}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
              points={{-57.7,-45},{-52,-45},{-52,-29.6}},
              color={0,0,127},
              smooth=Smooth.None));
        connect(Perm.u, GILumen.solute) annotation (Line(
            points={{-64.6,-45},{-72,-45},{-72,-33.8}},
            color={0,0,127},
            smooth=Smooth.None));

          connect(KEffect1.u, BloodPh_ArtysPh) annotation (Line(
              points={{16.2,46},{6,46}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(CollectingDuct_NetSumCats, KEffect1.yBase) annotation (Line(
              points={{20,56},{26,56},{26,48}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(CD_Cl.soluteFlow, KEffect1.y) annotation (Line(
              points={{26,27.6},{26,44}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(CD_Cl.q_out, Bladder.q_out) annotation (Line(
              points={{32,24},{60,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(CD_Cl.q_in, ClPool.q_out) annotation (Line(
              points={{20,24},{-24,24},{-24,24},{-68,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(ClPool.solute, ClPool_mass) annotation (Line(
            points={{-68,16.2},{-68,8},{-56,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.concentration, gain.u) annotation (Line(
            points={{-52,40},{-46.4,40}},
            color={0,0,127},
            smooth=Smooth.None));
          connect(gain.y, ClPool_conc_per_liter) annotation (Line(
              points={{-41.8,40},{-36,40}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ClPool.q_out, concentrationMeasure.q_in) annotation (Line(
              points={{-68,24},{-62,24},{-62,40},{-56,40}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
              points={{60,24},{42,24},{42,-8},{58,-8}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        connect(bladderVoid.solutionFlow, BladderVoidFlow) annotation (Line(
            points={{64,-4.4},{64,2},{54,2}},
            color={0,0,127},
            smooth=Smooth.None));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Bitmap(extent={{-100,100},{100,-100}}, fileName=
                      "../Physiolibrary/icons/Cl.jpg")}));
        end Chloride;
      end test;

      package setup
        model ConstInputsFromOtherElectrolytes

        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{44,58},{64,78}}), iconTransformation(
                extent={{-40,-20},{0,20}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          CollectingDuct_NetSumCats(k=0.138798773009742)
          annotation (Placement(transformation(extent={{-20,42},{-14,48}})));
        equation

          connect(CollectingDuct_NetSumCats.y, busConnector.CollectingDuct_NetSumCats) annotation (Line(
         points={{-13.7,45},{54,45},{54,68}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        end ConstInputsFromOtherElectrolytes;

        model Chloride
        import Physiomodel;
          extends Physiolibrary.Icons.Chloride;
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Hemorrhage(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-6,-86},{14,-66}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-6,-100},{14,-80}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-26,-80},{-6,-60}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
            useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{-26,-94},{-6,-74}})));
        Physiolibrary.Types.BusConnector busConnector annotation (Placement(
              transformation(extent={{-92,-4},{-80,8}}), iconTransformation(
                extent={{62,62},{100,100}})));

        Real ECF_conc;
          SweatGlandSalt sweatGlandSalt
            annotation (Placement(transformation(extent={{-34,76},{-18,92}})));
          GILumenCl gILumenCl
            annotation (Placement(transformation(extent={{-58,-38},{-38,-18}})));
          Physiomodel.Electrolytes.Bladder bladder(stateVarName="BladderChloride.Mass")
            annotation (Placement(transformation(extent={{54,-20},{74,0}})));
          Physiomodel.Electrolytes.Chloride.KidneyCl kidneyCl
            annotation (Placement(transformation(extent={{22,6},{42,26}})));
        Physiomodel.Electrolytes.Chloride.setup.ChloridePool ClPool(
            ClPool_conc_per_liter(start=1515.2456531712))
          annotation (Placement(transformation(extent={{-68,14},{-48,34}})));
        equation
           ECF_conc = ClPool.ClPool_conc_per_liter;
          connect(Hemorrhage.q_in, ClPool.q_out) annotation (Line(
              points={{-6,-76},{-6,-76},{-6,24},{-58,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(DialyzerActivity.q_in, ClPool.q_out) annotation (Line(
              points={{-6,-90},{-6,-90},{-6,24},{-58,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(Transfusion.q_out, ClPool.q_out) annotation (Line(
              points={{-6,-84},{-6,-84},{-6,24},{-58,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
          connect(IVDrip.q_out, ClPool.q_out) annotation (Line(
              points={{-6,-70},{-6,-70},{-6,24},{-58,24}},
              color={200,0,0},
              smooth=Smooth.None,
              thickness=1));
        connect(IVDrip.soluteFlow, busConnector.IVDrip_ClRate) annotation (Line(
            points={{-12,-66},{-12,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(Transfusion.soluteFlow, busConnector.Transfusion_ClRate)
          annotation (Line(
            points={{-12,-80},{-38,-80},{-38,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));
        connect(busConnector.Hemorrhage_ClRate, Hemorrhage.soluteFlow)
          annotation (Line(
            points={{-86,2},{4.5,2},{4.5,-72},{8,-72}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-3,1},{-3,1}}));
        connect(DialyzerActivity.soluteFlow, busConnector.DialyzerActivity_Cl_Flux)
          annotation (Line(
            points={{8,-86},{8,2},{-86,2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{3,1},{3,1}}));

          connect(ClPool.q_out, sweatGlandSalt.salt) annotation (Line(
              points={{-58,24},{-62,24},{-62,79.2},{-34,79.2}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector, gILumenCl.busConnector) annotation (Line(
              points={{-86,2},{-40,2},{-40,-19.9},{-39.9,-19.9}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(gILumenCl.q_out, ClPool.q_out) annotation (Line(
              points={{-48,-28},{-48,24},{-58,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(bladder.busConnector, busConnector) annotation (Line(
              points={{72,-2},{72,2},{-86,2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(sweatGlandSalt.busConnector, busConnector) annotation (Line(
              points={{-19.6,90.4},{-94,90.4},{-94,2},{-86,2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(kidneyCl.busConnector, busConnector) annotation (Line(
              points={{40.1,24.1},{40.1,2},{-86,2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(bladder.q_in, kidneyCl.q_out) annotation (Line(
              points={{64,-2},{64,8},{34,8}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(kidneyCl.q_in, ClPool.q_out) annotation (Line(
              points={{34,16},{34,24},{-58,24}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          connect(busConnector.ECFV_Vol, ClPool.EFCV_Vol) annotation (Line(
              points={{-86,2},{-86,32},{-66,32}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BloodIons_StrongAnionsLessCl, ClPool.StrongAnionsLessCl)
            annotation (Line(
              points={{-86,2},{-86,28},{-66,28}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BloodIons_Cations, ClPool.Cations) annotation (Line(
              points={{-86,2},{-86,24},{-66,24}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BloodIons_ProteinAnions, ClPool.NBB) annotation (Line(
              points={{-86,2},{-86,20},{-66,20}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.CO2Veins_cHCO3, ClPool.HCO3) annotation (Line(
              points={{-86,2},{-86,16},{-66,16}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(ClPool.ClPool_conc_per_liter, busConnector.ClPool_conc_per_liter)
            annotation (Line(
              points={{-50,32},{-42,32},{-42,2},{-86,2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(ClPool.ClPool_mass, busConnector.ClPool_mass) annotation (Line(
              points={{-50,28},{-42,28},{-42,2},{-86,2}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={             Text(
                  extent={{-112,-102},{108,-128}},
                  lineColor={0,0,255},
                  textString="%name")}),
            Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end Chloride;

        model ChloridePool
        import Physiomodel;
         extends Physiolibrary.Icons.Chloride;

        Real ECF_conc(displayUnit="mEq/l");
          Modelica.Blocks.Interfaces.RealInput EFCV_Vol(displayUnit="ml")
            annotation (Placement(transformation(extent={{-100,60},{-60,100}})));
          Modelica.Blocks.Interfaces.RealOutput ClPool_conc_per_liter(displayUnit="mEq/l")
            annotation (Placement(transformation(extent={{60,60},{100,100}})));
          Modelica.Blocks.Interfaces.RealOutput ClPool_mass(displayUnit="mEq")
            annotation (Placement(transformation(extent={{60,20},{100,60}})));
          Modelica.Blocks.Interfaces.RealInput NBB(displayUnit="mEq/l")
          "non-bicarbonate bases concentration"
            annotation (Placement(transformation(extent={{-100,-60},{-60,-20}})));
          Modelica.Blocks.Interfaces.RealInput StrongAnionsLessCl(displayUnit="mEq/l")
          "all extracellular strong ions concentration"
            annotation (Placement(transformation(extent={{-100,20},{-60,60}})));
          Modelica.Blocks.Interfaces.RealInput Cations(displayUnit="mEq/l")
          "all extracellular cations concentration"
            annotation (Placement(transformation(extent={{-100,-20},{-60,20}})));
        Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_out annotation (
            Placement(transformation(extent={{-34,26},{-16,44}}),
              iconTransformation(extent={{-10,-10},{10,10}})));
          Modelica.Blocks.Interfaces.RealInput HCO3(displayUnit="mEq/l")
          "bicarbonate concentration"
            annotation (Placement(transformation(extent={{-100,-100},{-60,-60}})));
        equation

          ClPool_conc_per_liter = Cations - (NBB+HCO3+StrongAnionsLessCl);

          ECF_conc = ClPool_conc_per_liter;
          q_out.conc =  ECF_conc/1000.;

          ClPool_mass=ClPool_conc_per_liter*EFCV_Vol/1000.;
          annotation ( Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={             Text(
                  extent={{-112,-102},{108,-128}},
                  lineColor={0,0,255},
                  textString="%name")}),
            Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
        end ChloridePool;
      end setup;

      model GILumenCl
       extends Physiolibrary.Icons.GILumen;
      Physiolibrary.Chemical.Components.Substance GILumen(
        stateName="GILumenChloride.Mass",
        useNormalizedVolume=false,
        solute_start=(90)/1000)
        annotation (Placement(transformation(extent={{-44,-36},{-24,-16}})));
      Physiolibrary.Chemical.Components.SolutePump Absorbtion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-20,-20},{-8,-32}})));
        Modelica.Blocks.Math.Gain Perm(k=0.0015/60)
          annotation (Placement(transformation(extent={{-26,-48},{-20,-42}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-82,-46},{-62,-26}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Diarrhea(
          useSoluteFlowInput=true) annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={-52,-44})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-92,-4},{-80,8}}), iconTransformation(
              extent={{62,62},{100,100}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst        Constant7(k(
            displayUnit="mmol/day") = 2.3148148148148e-06)
        annotation (Placement(transformation(extent={{-82,-22},{-74,-14}})));
      Physiolibrary.Blocks.Factors.Spline LeptinEffect2(data={{0,3.0,0},{8,1.0,
            -0.04},{50,0.0,0}}, Xscale=1e-6/Substances.Leptin.mw)
        annotation (Placement(transformation(extent={{-82,-38},{-62,-18}})));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out
        "sodium mass outflow to urine from collecting ducts" annotation (
          Placement(transformation(extent={{14,-28},{30,-14}}),
            iconTransformation(extent={{-10,-10},{10,10}})));
      equation

      connect(GILumen.solutionVolume, busConnector.GILumenVolume_Mass)
        annotation (Line(
          points={{-38,-22},{-49,-22},{-49,2},{-86,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(GILumen.q_out, Absorbtion.q_in) annotation (Line(
            points={{-34,-26},{-20,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Diet.q_out, GILumen.q_out) annotation (Line(
            points={{-62,-36},{-42,-36},{-42,-26},{-34,-26}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(Diarrhea.soluteFlow, busConnector.GILumenVomitus_ClLoss)
        annotation (Line(
          points={{-56,-48},{-56,2},{-86,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(GILumen.q_out, Diarrhea.q_in) annotation (Line(
            points={{-34,-26},{-42,-26},{-42,-44},{-42,-44}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Perm.y, Absorbtion.soluteFlow) annotation (Line(
            points={{-19.7,-45},{-11.6,-45},{-11.6,-28.4}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(Perm.u, GILumen.solute) annotation (Line(
          points={{-26.6,-45},{-28,-45},{-28,-36}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-86,2},{-90,2},{-90,-28},{-80,-28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-73,-18},{-72,-18},{-72,-26}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(LeptinEffect2.y, Diet.soluteFlow) annotation (Line(
          points={{-72,-32},{-68,-32}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(Absorbtion.q_out, q_out) annotation (Line(
            points={{-8,-26},{8,-26},{8,-21},{22,-21}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end GILumenCl;

      model KidneyCl
      import Physiomodel;
       extends Physiolibrary.Icons.Kidney;
      Physiolibrary.Blocks.Factors.Spline PhEffect(data={{7.00,1.00,0},{7.42,
            0.93,-0.5},{7.80,0.00,0}})
        "marek: normal pH corrected from 7.45 to 7.42"
        annotation (Placement(transformation(extent={{16,42},{36,62}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-92,-4},{-80,8}}), iconTransformation(
              extent={{62,62},{100,100}})));
      Physiolibrary.Chemical.Components.SolutePump CD_Outflow(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{10,22},{22,10}})));
        Modelica.Blocks.Math.Sum CD_Cations_Outflow(nin=3)
          annotation (Placement(transformation(extent={{42,-38},{52,-28}})));
        Modelica.Blocks.Math.Sum CD_AnionsLessCl_Outflow(nin=3)
          annotation (Placement(transformation(extent={{42,-52},{52,-42}})));
        Modelica.Blocks.Math.Feedback CD_Cl_Outflow
          annotation (Placement(transformation(extent={{60,-42},{78,-24}})));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "sodium concentration in blood incomming to glomerulus capillaries; sodium mass flow is filtration - reabsorbtion"
        annotation (Placement(transformation(extent={{-44,8},{-26,26}}),
            iconTransformation(extent={{10,-10},{30,10}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out
        "sodium mass outflow to urine from collecting ducts" annotation (
          Placement(transformation(extent={{50,10},{66,24}}),
            iconTransformation(extent={{10,-90},{30,-70}})));
        Modelica.Blocks.Math.Sum CD_AnionsLessCl_Outflow1(
                                                         nin=3)
          annotation (Placement(transformation(extent={{42,-74},{52,-64}})));
      Modelica.Blocks.Math.Gain gain(k=1/Modelica.Constants.F)
        annotation (Placement(transformation(extent={{-40,66},{-20,86}})));
      Physiolibrary.Blocks.Factors.Spline ChloridePoolEffect(data={{0.00,0.0,0},
            {50,1.0,0.0}})
        "electroneutrality does not allow to extract cation without anion"
        annotation (Placement(transformation(extent={{16,30},{36,50}})));
      equation

        connect(busConnector.Artys_pH,PhEffect. u) annotation (Line(
            points={{-86,2},{-90,2},{-90,52},{18,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_Na_Outflow, CD_Cations_Outflow.u[1]) annotation (Line(
            points={{-86,2},{10,2},{10,-32},{40,-32},{40,-33.6667},{41,-33.6667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_NH4_Outflow, CD_Cations_Outflow.u[2]) annotation (
            Line(
            points={{-86,2},{10,2},{10,-38},{41,-38},{41,-33}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,0},{-6,0}}));
        connect(busConnector.CD_K_Outflow, CD_Cations_Outflow.u[3]) annotation (Line(
            points={{-86,2},{10,2},{10,-34},{40,-34},{40,-32.3333},{41,-32.3333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-3},{-6,-3}}));
        connect(busConnector.CD_PO4_mEq_Outflow, CD_AnionsLessCl_Outflow.u[1])
          annotation (Line(
            points={{-86,2},{10,2},{10,-46},{40,-46},{40,-47.6667},{41,-47.6667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_SO4_Outflow, CD_AnionsLessCl_Outflow.u[2])
          annotation (Line(
            points={{-86,2},{10,2},{10,-48},{40,-48},{41,-47}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,0},{-6,0}}));
        connect(busConnector.CD_KA_Outflow, CD_AnionsLessCl_Outflow.u[3]) annotation (
           Line(
            points={{-86,2},{10,2},{10,-52},{40,-52},{40,-46.3333},{41,-46.3333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-3},{-6,-3}}));
        connect(CD_Cations_Outflow.y, CD_Cl_Outflow.u1) annotation (Line(
            points={{52.5,-33},{52,-34},{52,-33},{61.8,-33}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, CD_Outflow.q_in) annotation (Line(
            points={{-35,17},{-12.5,17},{-12.5,16},{10,16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CD_Outflow.q_out, q_out) annotation (Line(
            points={{22,16},{40,16},{50,18},{58,17}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CD_SO4_Outflow, CD_AnionsLessCl_Outflow1.u[2])
          annotation (Line(
            points={{-86,2},{10,2},{10,-70},{40,-70},{41,-69}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,0},{-6,0}}));
        connect(busConnector.CD_KA_Outflow, CD_AnionsLessCl_Outflow1.u[3])
                                                                          annotation (
           Line(
            points={{-86,2},{10,2},{10,-74},{40,-74},{40,-68.3333},{41,-68.3333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-3},{-6,-3}}));
        connect(busConnector.CD_PO4_Outflow, CD_AnionsLessCl_Outflow1.u[1])
          annotation (Line(
            points={{-86,2},{10,2},{10,-66},{41,-66},{41,-69.6667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CD_AnionsLessCl_Outflow.y, CD_Cl_Outflow.u2) annotation (Line(
            points={{52.5,-47},{69,-40.2}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(busConnector.CollectingDuct_NetSumCats, gain.u) annotation (Line(
          points={{-86,2},{-84,2},{-84,76},{-42,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(gain.y, PhEffect.yBase) annotation (Line(
          points={{-19,76},{26,76},{26,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ClPool, ChloridePoolEffect.u) annotation (Line(
          points={{-86,2},{-86,40},{18,40}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(PhEffect.y, ChloridePoolEffect.yBase) annotation (Line(
          points={{26,48},{26,42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CD_Cl_Outflow, ChloridePoolEffect.y) annotation (
          Line(
          points={{-86,2},{-86,32},{26,32},{26,36}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(CD_Outflow.soluteFlow, ChloridePoolEffect.y) annotation (Line(
          points={{18.4,13.6},{18.4,6},{26,6},{26,36}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>TODO: Chloride extracellular body concentration should play a role in chloride excretion by kidney?</p>
<p>In this implementation is chloride outflow driven only by electroneutrality.</p>
<p>That means - there is hard to calculate steady state for chloride concentration !!</p>
<p>Chloride concentration sholud be calculate also from internal electroneutrality, better than integrated value from inflow and outflow.</p>
</html>"));
      end KidneyCl;

      model Chloride2
      import Physiomodel;
       extends Physiolibrary.Icons.Chloride;
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut Hemorrhage(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-6,-86},{14,-66}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut DialyzerActivity(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-6,-100},{14,-80}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump IVDrip(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-26,-80},{-6,-60}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Transfusion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-26,-94},{-6,-74}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-92,-4},{-80,8}}), iconTransformation(
              extent={{62,62},{100,100}})));

      Physiolibrary.Types.Concentration ECF_conc;
        SweatGlandSalt sweatGlandSalt
          annotation (Placement(transformation(extent={{-34,76},{-18,92}})));
        GILumenCl gILumenCl
          annotation (Placement(transformation(extent={{-58,-38},{-38,-18}})));
        Physiomodel.Electrolytes.Bladder bladder(stateVarName="BladderChloride.Mass")
          annotation (Placement(transformation(extent={{54,-20},{74,0}})));
        Physiomodel.Electrolytes.Chloride.KidneyCl kidneyCl
          annotation (Placement(transformation(extent={{22,6},{42,26}})));
      Physiolibrary.Chemical.Components.Substance ClPool(
        stateName="ClPool.Mass",
        useNormalizedVolume=false,
        solute_start=(1515.2456531712)/1000)
        annotation (Placement(transformation(extent={{8,46},{28,66}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1 annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              origin={10,72})));
      equation
         ECF_conc =concentrationMeasure1.concentration;
        connect(Hemorrhage.q_in, ClPool.q_out) annotation (Line(
            points={{-6,-76},{-6,-76},{-6,56},{18,56}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(DialyzerActivity.q_in, ClPool.q_out) annotation (Line(
            points={{-6,-90},{-6,-90},{-6,56},{18,56}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(Transfusion.q_out, ClPool.q_out) annotation (Line(
            points={{-6,-84},{-6,-84},{-6,56},{18,56}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(IVDrip.q_out, ClPool.q_out) annotation (Line(
            points={{-6,-70},{-6,-70},{-6,56},{18,56}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(IVDrip.soluteFlow, busConnector.IVDrip_ClRate) annotation (Line(
          points={{-12,-66},{-12,2},{-86,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
      connect(Transfusion.soluteFlow, busConnector.Transfusion_ClRate)
        annotation (Line(
          points={{-12,-80},{-38,-80},{-38,2},{-86,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
      connect(busConnector.Hemorrhage_ClRate, Hemorrhage.soluteFlow)
        annotation (Line(
          points={{-86,2},{4.5,2},{4.5,-72},{8,-72}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-3,1},{-3,1}}));
      connect(DialyzerActivity.soluteFlow, busConnector.DialyzerActivity_Cl_Flux)
        annotation (Line(
          points={{8,-86},{8,2},{-86,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));

        connect(ClPool.q_out, sweatGlandSalt.salt) annotation (Line(
            points={{18,56},{-62,56},{-62,79.2},{-34,79.2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, gILumenCl.busConnector) annotation (Line(
            points={{-86,2},{-40,2},{-40,-19.9},{-39.9,-19.9}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gILumenCl.q_out, ClPool.q_out) annotation (Line(
            points={{-48,-28},{-48,56},{18,56}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladder.busConnector, busConnector) annotation (Line(
            points={{72,-2},{72,2},{-86,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(sweatGlandSalt.busConnector, busConnector) annotation (Line(
            points={{-19.6,90.4},{-94,90.4},{-94,2},{-86,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(kidneyCl.busConnector, busConnector) annotation (Line(
            points={{40.1,24.1},{40.1,2},{-86,2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(bladder.q_in, kidneyCl.q_out) annotation (Line(
            points={{64,-2},{64,8},{34,8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(kidneyCl.q_in, ClPool.q_out) annotation (Line(
            points={{34,16},{34,56},{18,56}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(concentrationMeasure1.concentration, busConnector.ClPool_conc_per_liter)
        annotation (Line(
          points={{10,64},{-16,64},{-16,2},{-86,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ClPool.solute, busConnector.ClPool_mass) annotation (Line(
          points={{24,46},{-30,46},{-30,2},{-86,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.ECFV_Vol, ClPool.solutionVolume) annotation (Line(
          points={{-86,2},{-86,60},{14,60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(ClPool.q_out, concentrationMeasure1.q_in) annotation (Line(
            points={{18,56},{16,56},{16,72},{10,72}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(concentrationMeasure1.concentration, busConnector.ClPool)
        annotation (Line(
          points={{10,64},{-16,64},{-16,2},{-86,2},{-86,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={             Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end Chloride2;

      model KidneyCl_old
      import Physiomodel;
       extends Physiolibrary.Icons.Kidney;
      Physiolibrary.Blocks.Factors.Spline PhEffect(data={{7.00,1.00,0},{7.45,
            0.93,-0.5},{7.80,0.00,0}})
        annotation (Placement(transformation(extent={{16,42},{36,62}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-92,-4},{-80,8}}), iconTransformation(
              extent={{62,62},{100,100}})));
      Physiolibrary.Chemical.Components.SolutePump CD_Outflow(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{10,22},{22,10}})));
        Modelica.Blocks.Math.Sum CD_Cations_Outflow(nin=3)
          annotation (Placement(transformation(extent={{42,-38},{52,-28}})));
        Modelica.Blocks.Math.Sum CD_AnionsLessCl_Outflow(nin=3)
          annotation (Placement(transformation(extent={{42,-52},{52,-42}})));
        Modelica.Blocks.Math.Feedback CD_Cl_Outflow
          annotation (Placement(transformation(extent={{60,-42},{78,-24}})));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in
        "sodium concentration in blood incomming to glomerulus capillaries; sodium mass flow is filtration - reabsorbtion"
        annotation (Placement(transformation(extent={{-44,8},{-26,26}}),
            iconTransformation(extent={{10,-10},{30,10}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out
        "sodium mass outflow to urine from collecting ducts" annotation (
          Placement(transformation(extent={{50,10},{66,24}}),
            iconTransformation(extent={{10,-90},{30,-70}})));
        Modelica.Blocks.Math.Sum CD_AnionsLessCl_Outflow1(
                                                         nin=3)
          annotation (Placement(transformation(extent={{42,-74},{52,-64}})));
      Modelica.Blocks.Math.Gain gain(k=1/Modelica.Constants.F)
        annotation (Placement(transformation(extent={{-40,66},{-20,86}})));
      Physiolibrary.Blocks.Factors.Spline ChloridePoolEffect(data={{0.00,0.0,0},
            {50,1.0,0.0}})
        "electroneutrality does not allow to extract cation without anion"
        annotation (Placement(transformation(extent={{16,30},{36,50}})));
      equation

        connect(busConnector.Artys_pH,PhEffect. u) annotation (Line(
            points={{-86,2},{-90,2},{-90,52},{18,52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_Na_Outflow, CD_Cations_Outflow.u[1]) annotation (Line(
            points={{-86,2},{10,2},{10,-32},{40,-32},{40,-33.6667},{41,-33.6667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_NH4_Outflow, CD_Cations_Outflow.u[2]) annotation (
            Line(
            points={{-86,2},{10,2},{10,-38},{41,-38},{41,-33}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,0},{-6,0}}));
        connect(busConnector.CD_K_Outflow, CD_Cations_Outflow.u[3]) annotation (Line(
            points={{-86,2},{10,2},{10,-34},{40,-34},{40,-32.3333},{41,-32.3333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-3},{-6,-3}}));
        connect(busConnector.CD_PO4_mEq_Outflow, CD_AnionsLessCl_Outflow.u[1])
          annotation (Line(
            points={{-86,2},{10,2},{10,-46},{40,-46},{40,-47.6667},{41,-47.6667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.CD_SO4_Outflow, CD_AnionsLessCl_Outflow.u[2])
          annotation (Line(
            points={{-86,2},{10,2},{10,-48},{40,-48},{41,-47}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,0},{-6,0}}));
        connect(busConnector.CD_KA_Outflow, CD_AnionsLessCl_Outflow.u[3]) annotation (
           Line(
            points={{-86,2},{10,2},{10,-52},{40,-52},{40,-46.3333},{41,-46.3333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-3},{-6,-3}}));
        connect(CD_Cations_Outflow.y, CD_Cl_Outflow.u1) annotation (Line(
            points={{52.5,-33},{52,-34},{52,-33},{61.8,-33}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, CD_Outflow.q_in) annotation (Line(
            points={{-35,17},{-12.5,17},{-12.5,16},{10,16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CD_Outflow.q_out, q_out) annotation (Line(
            points={{22,16},{40,16},{50,18},{58,17}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.CD_SO4_Outflow, CD_AnionsLessCl_Outflow1.u[2])
          annotation (Line(
            points={{-86,2},{10,2},{10,-70},{40,-70},{41,-69}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,0},{-6,0}}));
        connect(busConnector.CD_KA_Outflow, CD_AnionsLessCl_Outflow1.u[3])
                                                                          annotation (
           Line(
            points={{-86,2},{10,2},{10,-74},{40,-74},{40,-68.3333},{41,-68.3333}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,-3},{-6,-3}}));
        connect(busConnector.CD_PO4_Outflow, CD_AnionsLessCl_Outflow1.u[1])
          annotation (Line(
            points={{-86,2},{10,2},{10,-66},{41,-66},{41,-69.6667}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CD_AnionsLessCl_Outflow.y, CD_Cl_Outflow.u2) annotation (Line(
            points={{52.5,-47},{69,-40.2}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(busConnector.CollectingDuct_NetSumCats, gain.u) annotation (Line(
          points={{-86,2},{-84,2},{-84,76},{-42,76}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(gain.y, PhEffect.yBase) annotation (Line(
          points={{-19,76},{26,76},{26,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ClPool, ChloridePoolEffect.u) annotation (Line(
          points={{-86,2},{-86,40},{18,40}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(PhEffect.y, ChloridePoolEffect.yBase) annotation (Line(
          points={{26,48},{26,42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CD_Cl_Outflow, ChloridePoolEffect.y) annotation (
          Line(
          points={{-86,2},{-86,32},{26,32},{26,36}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(CD_Outflow.soluteFlow, ChloridePoolEffect.y) annotation (Line(
          points={{18.4,13.6},{18.4,6},{26,6},{26,36}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>", info="<html>
<p>TODO: Chloride extracellular body concentration should play a role in chloride excretion by kidney?</p>
<p>In this implementation is chloride outflow driven only by electroneutrality.</p>
<p>That means - there is hard to calculate steady state for chloride concentration !!</p>
<p>Chloride concentration sholud be calculate also from internal electroneutrality, better than integrated value from inflow and outflow.</p>
</html>"));
      end KidneyCl_old;
    end Chloride;

    package Phosphate "Body Phosphate Distribution"

      model Phosphate
      Physiolibrary.Chemical.Components.Substance PO4Pool(
        stateName="PO4Pool.Mass",
        useNormalizedVolume=false,
        solute_start=(2.23728)/1000)
        annotation (Placement(transformation(extent={{-64,14},{-44,34}})));
        Modelica.Blocks.Interfaces.RealInput ECFV_Vol(final quantity="Volume",
            final displayUnit="ml")
          annotation (Placement(transformation(extent={{-76,28},{-68,36}}),
              iconTransformation(extent={{-100,64},{-88,76}})));
      Physiolibrary.Chemical.Components.Substance Bladder(
        stateName="BladderPhosphate.Mass",
        useNormalizedVolume=false,
        solute_start=(0)/1000)
        annotation (Placement(transformation(extent={{50,14},{70,34}})));
        Modelica.Blocks.Interfaces.RealInput BladderVolume_Mass(final quantity=
              "Volume", final displayUnit="ml")
          annotation (Placement(transformation(extent={{36,28},{44,36}}),
              iconTransformation(extent={{-100,40},{-88,52}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-84,-4},{-64,16}})));
        Modelica.Blocks.Interfaces.RealInput DietIntakeElectrolytes_PO4(final
            quantity="VolumeFlowRate", final displayUnit="mEq/min")
          annotation (Placement(transformation(extent={{-84,8},{-76,16}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={20,98})));
      Physiolibrary.Chemical.Components.Stream glomerulusPhosphateRate(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{0,14},{20,34}})));
        Modelica.Blocks.Interfaces.RealInput GlomerulusFiltrate_GFR(
                                                                   final
            quantity =                                                            "Flow", final unit = "ml/min")
          annotation (Placement(transformation(extent={{-4,30},{4,38}}),
              iconTransformation(extent={{-100,-16},{-88,-4}})));
        Modelica.Blocks.Interfaces.RealInput BloodIons_Cations(
                                                        final quantity=
              "Concentration", final displayUnit="mEq/l")
          annotation (Placement(transformation(extent={{-34,32},{-26,40}}),
              iconTransformation(extent={{-100,88},{-88,100}})));
        GlomerulusStrongAnionFiltration glomerulus
          annotation (Placement(transformation(extent={{-28,14},{-8,34}})));
        Modelica.Blocks.Interfaces.RealInput BloodIons_StrongAnionsLessPO4(
                                                                    final
            quantity="Concentration", final displayUnit="mEq/l")
          annotation (Placement(transformation(extent={{-34,40},{-26,48}}),
              iconTransformation(extent={{-100,76},{-88,88}})));
        Modelica.Blocks.Interfaces.RealInput CO2Veins_HCO3(
                                                    final quantity="Concentration",
            final displayUnit="mEq/l")
          annotation (Placement(transformation(extent={{-34,48},{-26,56}}),
              iconTransformation(extent={{-100,28},{-88,40}})));
        Modelica.Blocks.Interfaces.RealOutput PO4Pool_Osmoles(
                                                       final displayUnit="mOsm")
                                        annotation (Placement(transformation(extent={{-38,-16},
                  {-30,-8}}),        iconTransformation(extent={{100,80},{120,
                  100}})));
        Modelica.Blocks.Interfaces.RealOutput PO4Pool_conc_per_liter(
                                                              final displayUnit="mEq/l")
                                        annotation (Placement(transformation(extent={{-2,-2},
                  {6,6}}),           iconTransformation(extent={{100,60},{120,
                  80}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-28,2})));
        Modelica.Blocks.Math.Gain gain(k=1000)
          annotation (Placement(transformation(extent={{-18,0},{-14,4}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{20,34},{40,14}})));
        Modelica.Blocks.Interfaces.RealOutput CD_PO4_Outflow(
                                                      final displayUnit="mEq/min")
        "renal phosphate excretion rate"
                                        annotation (Placement(transformation(extent={{34,10},
                  {42,18}}),         iconTransformation(extent={{100,40},{120,
                  60}})));
        Modelica.Blocks.Math.Gain gain1(k=0.5)
          annotation (Placement(transformation(extent={{-50,-14},{-46,-10}})));
      Physiolibrary.Chemical.Components.Clearance bladderVoid(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{66,-20},{78,-8}})));
        Modelica.Blocks.Interfaces.RealInput BladderVoidFlow(
                                                      final quantity="VolumeFlowRate",
            final displayUnit="ml/min")
          annotation (Placement(transformation(extent={{58,-8},{66,0}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              origin={-94,-106})));
        Modelica.Blocks.Interfaces.RealOutput ctPO4(
                                             final displayUnit="mmol/l")
                                        annotation (Placement(transformation(extent={{-60,64},
                  {-52,72}}),        iconTransformation(extent={{100,80},{120,
                  100}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1(
         toAnotherUnitCoef=1000, unitsString="mmol/l") annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            origin={-60,60})));
      equation
      connect(PO4Pool.solutionVolume, ECFV_Vol) annotation (Line(
          points={{-58,28},{-67,28},{-67,32},{-72,32}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Bladder.solutionVolume, BladderVolume_Mass) annotation (Line(
          points={{56,28},{46,28},{46,32},{40,32}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Diet.soluteFlow, DietIntakeElectrolytes_PO4) annotation (Line(
          points={{-70,10},{-70,12},{-80,12}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(Diet.q_out, PO4Pool.q_out) annotation (Line(
            points={{-64,6},{-60,6},{-60,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(glomerulusPhosphateRate.solutionFlow, GlomerulusFiltrate_GFR)
        annotation (Line(
          points={{10,28},{10,34},{0,34}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(glomerulus.q_out, glomerulusPhosphateRate.q_in)
                                                             annotation (Line(
            points={{-8,24},{0,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(PO4Pool.q_out, glomerulus.q_in) annotation (Line(
            points={{-54,24},{-28,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulus.HCO3, CO2Veins_HCO3)  annotation (Line(
            points={{-16,29},{-16,52},{-30,52}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, gain.u) annotation (Line(
          points={{-24,2},{-21.2,2},{-21.2,2},{-18.4,2}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(gain.y, PO4Pool_conc_per_liter) annotation (Line(
            points={{-13.8,2},{2,2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, PO4Pool.q_out) annotation (Line(
            points={{-30,2},{-34,2},{-34,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(flowMeasure.molarFlowRate, CD_PO4_Outflow) annotation (Line(
          points={{30,30},{30,14},{38,14}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(flowMeasure.q_out, Bladder.q_out) annotation (Line(
            points={{40,24},{60,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.q_out, flowMeasure.q_in) annotation (
            Line(
            points={{20,24},{20,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(BloodIons_StrongAnionsLessPO4, glomerulus.otherStrongAnions)
          annotation (Line(
            points={{-30,44},{-20,44},{-20,29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodIons_Cations, glomerulus.Cations) annotation (Line(
            points={{-30,36},{-24,36},{-24,29}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(PO4Pool.solute, gain1.u) annotation (Line(
          points={{-54,14},{-54,-12},{-50.4,-12}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(gain1.y, PO4Pool_Osmoles) annotation (Line(
            points={{-45.8,-12},{-34,-12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{60,24},{50,24},{50,-14},{66,-14}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(bladderVoid.solutionFlow, BladderVoidFlow) annotation (Line(
          points={{72,-11.6},{72,-4},{62,-4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure1.concentration, ctPO4) annotation (Line(
          points={{-60,64},{-60,68},{-56,68}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(concentrationMeasure1.q_in, PO4Pool.q_out) annotation (Line(
            points={{-60,58},{-54,58},{-54,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      end Phosphate;

      model GlomerulusStrongAnionFiltration

      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (extent=
           [-10,-110; 10,-90], Placement(transformation(extent={{-10,-110},{10,
                -90}}, rotation=0)));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
          Placement(transformation(extent={{-120,-20},{-80,20}}),
            iconTransformation(extent={{-110,-10},{-90,10}})));

        Physiolibrary.Types.RealIO.VolumeDensityOfChargeInput Cations
                                                annotation (Placement(
              transformation(extent={{-80,30},{-40,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,50})));
        Physiolibrary.Types.RealIO.VolumeDensityOfChargeInput ProteinAnions
           annotation (Placement(
              transformation(extent={{-40,30},{0,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-20,50})));
        Physiolibrary.Types.Fraction KAdjustment;
        //Real Cations( final quantity="Concentration", final unit = "mEq/l");
        Physiolibrary.Types.VolumeDensityOfCharge Anions;
      //  Real ProteinAnions( final quantity="Concentration", final unit = "mEq/l");
      /*  Library.Interfaces.RealInput_ HCO3(final quantity="Concentration",
      final displayUnit="mEq/l")                                                                               annotation (Placement(
        transformation(extent={{0,30},{40,70}}),  iconTransformation(
        extent={{-20,-20},{20,20}},
        rotation=270,
        origin={20,50})));
*/
      equation
        q_in.q + q_out.q = 0;
        //Cations = q_in.conc*1000+otherCations;
        Anions = Cations;
      //  ProteinAnions = Anions - otherStrongAnions - q_in.conc*1000 - HCO3;
        KAdjustment = (Cations-(Anions-ProteinAnions))/(Cations+(Anions-ProteinAnions));
        q_out.conc = (1+KAdjustment)*q_in.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{0,42},{0,26}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,20},{0,4}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-4},{0,-20}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-26},{0,-42}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5)}));
      end GlomerulusStrongAnionFiltration;

      model Phosphate2
      import Physiomodel;
        extends Physiolibrary.Icons.Phosphate;
      Physiolibrary.Chemical.Components.Substance PO4Pool(
        stateName="PO4Pool.Mass",
        useNormalizedVolume=false,
        solute_start=(2.43011)/1000)
        annotation (Placement(transformation(extent={{-64,14},{-44,34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-84,-4},{-64,16}})));
      Physiolibrary.Chemical.Components.Stream glomerulusPhosphateRate(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{0,14},{20,34}})));
        Physiomodel.Electrolytes.Sulphate.GlomerulusStrongAnionFiltration glomerulus
          annotation (Placement(transformation(extent={{-28,14},{-8,34}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-28,2})));
        Modelica.Blocks.Math.Gain gain(k=1000)
          annotation (Placement(transformation(extent={{-18,0},{-14,4}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{20,34},{40,14}})));
        Modelica.Blocks.Math.Gain gain1(k=0.5)
          annotation (Placement(transformation(extent={{-50,-14},{-46,-10}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1(
         toAnotherUnitCoef=1000, unitsString="mmol/l") annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            origin={-60,60})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-90,76},{-78,88}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant7(k=30/
            1440)
        annotation (Placement(transformation(extent={{-84,24},{-76,32}})));
      Physiolibrary.Blocks.Factors.Spline LeptinEffect2(data={{0,3.0,0},{8,1.0,
            -0.04},{50,0.0,0}}, Xscale=1e-6/Substances.Leptin.mw)
        annotation (Placement(transformation(extent={{-84,10},{-64,30}})));
        AcidDissociation acidDissociation
          annotation (Placement(transformation(extent={{30,-50},{50,-30}})));
      Real ECF_conc;
        Physiomodel.Electrolytes.Bladder bladder(stateVarName=
              "BladderPhosphate.Mass")
          annotation (Placement(transformation(extent={{66,6},{86,26}})));
      equation
        ECF_conc =concentrationMeasure1.concentration;
      connect(PO4Pool.solutionVolume, busConnector.ECFV_Vol) annotation (Line(
          points={{-58,28},{-67,28},{-67,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));

        connect(Diet.q_out, PO4Pool.q_out) annotation (Line(
            points={{-64,6},{-60,6},{-60,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(glomerulusPhosphateRate.solutionFlow, busConnector.GlomerulusFiltrate_GFR)
        annotation (Line(
          points={{10,28},{10,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(glomerulus.q_out, glomerulusPhosphateRate.q_in)
                                                             annotation (Line(
            points={{-8,24},{0,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(PO4Pool.q_out, glomerulus.q_in) annotation (Line(
            points={{-54,24},{-28,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(concentrationMeasure.concentration, gain.u) annotation (Line(
          points={{-24,2},{-21.2,2},{-21.2,2},{-18.4,2}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(gain.y, busConnector. PO4Pool_conc_per_liter) annotation (Line(
            points={{-13.8,2},{-48.9,2},{-48.9,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
        connect(concentrationMeasure.q_in, PO4Pool.q_out) annotation (Line(
            points={{-30,2},{-34,2},{-34,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(flowMeasure.molarFlowRate, busConnector.CD_PO4_Outflow)
        annotation (Line(
          points={{30,30},{30,-22},{98,-22},{98,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(glomerulusPhosphateRate.q_out, flowMeasure.q_in) annotation (
            Line(
            points={{20,24},{20,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector.BloodIons_Cations, glomerulus.Cations) annotation (Line(
            points={{-84,82},{-24,82},{-24,29}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
      connect(PO4Pool.solute, gain1.u) annotation (Line(
          points={{-54,14},{-54,-12},{-50.4,-12}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(gain1.y, busConnector. PO4Pool_Osmoles) annotation (Line(
            points={{-45.8,-12},{-64.9,-12},{-64.9,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
      connect(concentrationMeasure1.concentration, busConnector.ctPO4)
        annotation (Line(
          points={{-60,64},{-60,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(concentrationMeasure1.q_in, PO4Pool.q_out) annotation (Line(
            points={{-60,58},{-54,58},{-54,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-84,82},{-92,82},{-92,20},{-82,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-75,28},{-74,28},{-74,22}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(LeptinEffect2.y, Diet.soluteFlow) annotation (Line(
          points={{-74,16},{-74,10},{-70,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(flowMeasure.molarFlowRate, acidDissociation.CD_tPO4) annotation (
          Line(
          points={{30,30},{30,-22},{18,-22},{18,-32},{30,-32}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.Urine_pH, acidDissociation.PHU) annotation (Line(
            points={{-84,82},{-92,82},{-92,-38},{30,-38},{30,-38}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(acidDissociation.CD_PO4_mEq, busConnector.CD_PO4_mEq_Outflow)
          annotation (Line(
            points={{50,-46},{98,-46},{98,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(busConnector.BloodIons_ProteinAnions, glomerulus.ProteinAnions)
          annotation (Line(
            points={{-84,82},{-20,82},{-20,29}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(bladder.busConnector, busConnector) annotation (Line(
            points={{84,24},{84,82},{-84,82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(bladder.q_in, flowMeasure.q_out) annotation (Line(
            points={{76,24},{40,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={                 Text(
                extent={{-108,-98},{112,-124}},
                lineColor={0,0,255},
                textString="%name")}));
      end Phosphate2;

      model AcidDissociation

        Modelica.Blocks.Interfaces.RealInput
                                           CD_tPO4(
                                             displayUnit="mmol/min")
        "total PO4 in mmol/min"
          annotation (Placement(transformation(extent={{-120,60},{-80,100}}),
              iconTransformation(extent={{-120,60},{-80,100}})));
        Modelica.Blocks.Interfaces.RealInput
                                           PHU "pH of urine in collecting duct"
                                                                          annotation (
           Placement(transformation(extent={{-120,60},{-80,100}}), iconTransformation(
                extent={{-120,0},{-80,40}})));
        Modelica.Blocks.Interfaces.RealOutput
                                            CD_PO4_mEq(
                                                 displayUnit="mEq/min") annotation (
            Placement(transformation(extent={{80,-80},{120,-40}}), iconTransformation(
                extent={{80,-80},{120,-40}})));

        Real H2PO4;
        Real HPO4;
      equation
        HPO4/H2PO4 = 10^(PHU-6.8);
        CD_tPO4 = HPO4 + H2PO4;
        CD_PO4_mEq = 2*HPO4 + H2PO4;
      end AcidDissociation;

      model Phosphate3
      import Physiomodel;
        extends Physiolibrary.Icons.Phosphate;
      Physiolibrary.Chemical.Components.Substance PO4Pool(
        stateName="PO4Pool.Mass",
        useNormalizedVolume=false,
        solute_start=(2.43011)/1000)
        annotation (Placement(transformation(extent={{-64,14},{-44,34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-84,-4},{-64,16}})));
      Physiolibrary.Chemical.Components.Stream glomerulusPhosphateRate(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{0,14},{20,34}})));
        Physiomodel.Electrolytes.Sulphate.GlomerulusStrongAnionFiltration glomerulus
          annotation (Placement(transformation(extent={{-28,14},{-8,34}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-28,2})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{40,34},{60,14}})));
        Modelica.Blocks.Math.Gain gain1(k=0.5)
          annotation (Placement(transformation(extent={{-50,-14},{-46,-10}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure1 annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              origin={-60,60})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-90,76},{-78,88}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst        Constant7(k(displayUnit=
               "mmol/min") = 3.4722222222222e-07)
        annotation (Placement(transformation(extent={{-84,24},{-76,32}})));
      Physiolibrary.Blocks.Factors.Spline LeptinEffect2(data={{0,3.0,0},{8,1.0,
            -0.04},{50,0.0,0}}, Xscale=1e-6/Substances.Leptin.mw)
        annotation (Placement(transformation(extent={{-84,10},{-64,30}})));
      Physiolibrary.Types.Concentration ECF_conc;
        Physiomodel.Electrolytes.Bladder bladder(stateVarName=
              "BladderPhosphate.Mass")
          annotation (Placement(transformation(extent={{66,6},{86,26}})));
      equation
        ECF_conc =concentrationMeasure1.concentration;
      connect(PO4Pool.solutionVolume, busConnector.ECFV_Vol) annotation (Line(
          points={{-58,28},{-67,28},{-67,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));

        connect(Diet.q_out, PO4Pool.q_out) annotation (Line(
            points={{-64,6},{-60,6},{-60,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(glomerulusPhosphateRate.solutionFlow, busConnector.GlomerulusFiltrate_GFR)
        annotation (Line(
          points={{10,31},{10,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(glomerulus.q_out, glomerulusPhosphateRate.q_in)
                                                             annotation (Line(
            points={{-8,24},{0,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(PO4Pool.q_out, glomerulus.q_in) annotation (Line(
            points={{-54,24},{-28,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(concentrationMeasure.q_in, PO4Pool.q_out) annotation (Line(
            points={{-30,2},{-34,2},{-34,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(flowMeasure.molarFlowRate, busConnector.CD_PO4_Outflow)
        annotation (Line(
          points={{50,30},{50,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(glomerulusPhosphateRate.q_out, flowMeasure.q_in) annotation (
            Line(
            points={{20,24},{40,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector.BloodIons_Cations, glomerulus.Cations) annotation (Line(
            points={{-84,82},{-24,82},{-24,29}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
      connect(PO4Pool.solute, gain1.u) annotation (Line(
          points={{-48,14},{-48,-12},{-50.4,-12}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(gain1.y, busConnector. PO4Pool_Osmoles) annotation (Line(
            points={{-45.8,-12},{97.1,-12},{97.1,82},{-84,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
      connect(concentrationMeasure1.concentration, busConnector.ctPO4)
        annotation (Line(
          points={{-60,64},{-60,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(concentrationMeasure1.q_in, PO4Pool.q_out) annotation (Line(
            points={{-60,58},{-54,58},{-54,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-84,82},{-92,82},{-92,20},{-82,20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-75,28},{-74,28},{-74,22}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(LeptinEffect2.y, Diet.soluteFlow) annotation (Line(
          points={{-74,16},{-74,10},{-70,10}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.BloodIons_ProteinAnions, glomerulus.ProteinAnions)
          annotation (Line(
            points={{-84,82},{-20,82},{-20,29}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(bladder.busConnector, busConnector) annotation (Line(
            points={{84,24},{84,82},{-84,82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(bladder.q_in, flowMeasure.q_out) annotation (Line(
            points={{76,24},{60,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(flowMeasure.molarFlowRate, busConnector.CD_PO4_mEq_Outflow)
        annotation (Line(
          points={{50,30},{50,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(concentrationMeasure.concentration, busConnector.PO4Pool_conc_per_liter)
        annotation (Line(
          points={{-24,2},{98,2},{98,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(concentrationMeasure1.concentration, busConnector.PO4Pool)
        annotation (Line(
          points={{-60,64},{-60,82},{-84,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={                 Text(
                extent={{-108,-98},{112,-124}},
                lineColor={0,0,255},
                textString="%name")}));
      end Phosphate3;
    end Phosphate;

    package Sulphate "Body Sulphate Distribution"

      model Sulphate

        Modelica.Blocks.Interfaces.RealInput ECFV_Vol(final quantity="Volume",
            final displayUnit="ml")
          annotation (Placement(transformation(extent={{-76,28},{-68,36}}),
              iconTransformation(extent={{-100,64},{-88,76}})));
        Modelica.Blocks.Interfaces.RealInput BladderVolume_Mass(final quantity=
              "Volume", final displayUnit="ml")
          annotation (Placement(transformation(extent={{36,28},{44,36}}),
              iconTransformation(extent={{-100,40},{-88,52}})));
        Modelica.Blocks.Interfaces.RealInput DietIntakeElectrolytes_SO4(final
            quantity="VolumeFlowRate", final displayUnit="mEq/min")
          annotation (Placement(transformation(extent={{-84,8},{-76,16}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              rotation=270,
              origin={20,98})));
        Modelica.Blocks.Interfaces.RealInput GlomerulusFiltrate_GFR(
                                                                   final
            quantity =                                                            "Flow", final unit = "ml/min")
          annotation (Placement(transformation(extent={{-4,30},{4,38}}),
              iconTransformation(extent={{-100,-16},{-88,-4}})));
        Modelica.Blocks.Interfaces.RealInput BloodIons_Cations(
                                                        final quantity=
              "Concentration", final displayUnit="mEq/l")
          annotation (Placement(transformation(extent={{-36,32},{-28,40}}),
              iconTransformation(extent={{-100,88},{-88,100}})));
        Modelica.Blocks.Interfaces.RealInput BloodIons_StrongAnionsLessSO4(
                                                                    final
            quantity="Concentration", final displayUnit="mEq/l")
          annotation (Placement(transformation(extent={{-36,40},{-28,48}}),
              iconTransformation(extent={{-100,76},{-88,88}})));
        Modelica.Blocks.Interfaces.RealInput CO2Veins_HCO3(
                                                    final quantity="Concentration",
            final displayUnit="mEq/l")
          annotation (Placement(transformation(extent={{-36,48},{-28,56}}),
              iconTransformation(extent={{-100,28},{-88,40}})));
        Modelica.Blocks.Interfaces.RealOutput SO4Pool_Osmoles(
                                                       final displayUnit="mOsm")
                                        annotation (Placement(transformation(extent={{-42,-8},
                  {-34,0}}),         iconTransformation(extent={{100,80},{120,100}})));
        Modelica.Blocks.Interfaces.RealOutput SO4Pool_conc_per_liter(
                                                              final displayUnit="mEq/l")
                                        annotation (Placement(transformation(extent={{-2,0},{
                  6,8}}),            iconTransformation(extent={{100,60},{120,80}})));
        Modelica.Blocks.Interfaces.RealOutput CD_SO4_Outflow(
                                                      final displayUnit="mEq/min")
                                        annotation (Placement(transformation(extent={{32,10},
                  {40,18}}),         iconTransformation(extent={{100,40},{120,60}})));
        Modelica.Blocks.Interfaces.RealInput BladderVoidFlow(
                                                      final quantity="VolumeFlowRate",
            final displayUnit="ml/min")
          annotation (Placement(transformation(extent={{58,-6},{66,2}}),
              iconTransformation(
              extent={{-6,-6},{6,6}},
              origin={-94,-106})));

      Physiolibrary.Chemical.Components.Substance SO4Pool(
        stateName="SO4Pool.Mass",
        useNormalizedVolume=false,
        solute_start=(3.72875)/1000)
        annotation (Placement(transformation(extent={{-64,14},{-44,34}})));
      Physiolibrary.Chemical.Components.Substance Bladder(
        stateName="BladderSulphate.Mass",
        useNormalizedVolume=false,
        solute_start=(0)/1000)
        annotation (Placement(transformation(extent={{50,14},{70,34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-84,-4},{-64,16}})));
      Physiolibrary.Chemical.Components.Stream glomerulusPhosphateRate(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-2,14},{18,34}})));
        GlomerulusStrongAnionFiltration glomerulus
          annotation (Placement(transformation(extent={{-28,14},{-8,34}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-18,4})));
        Modelica.Blocks.Math.Gain gain(k=1000)
          annotation (Placement(transformation(extent={{-8,2},{-4,6}})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{18,34},{38,14}})));
        Modelica.Blocks.Math.Gain gain1(k=0.5)
          annotation (Placement(transformation(extent={{-52,-6},{-48,-2}})));
      Physiolibrary.Chemical.Components.Clearance bladderVoid(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{66,-18},{78,-6}})));
      equation
      connect(SO4Pool.solutionVolume, ECFV_Vol) annotation (Line(
          points={{-58,28},{-67,28},{-67,32},{-72,32}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Bladder.solutionVolume, BladderVolume_Mass) annotation (Line(
          points={{56,28},{46,28},{46,32},{40,32}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Diet.soluteFlow, DietIntakeElectrolytes_SO4) annotation (Line(
          points={{-70,10},{-70,12},{-80,12}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(Diet.q_out,SO4Pool. q_out) annotation (Line(
            points={{-64,6},{-60,6},{-60,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(glomerulusPhosphateRate.solutionFlow, GlomerulusFiltrate_GFR)
        annotation (Line(
          points={{8,28},{8,34},{0,34}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(glomerulus.q_out, glomerulusPhosphateRate.q_in)
                                                             annotation (Line(
            points={{-8,24},{-2,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(SO4Pool.q_out, glomerulus.q_in) annotation (Line(
            points={{-54,24},{-28,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulus.HCO3, CO2Veins_HCO3)  annotation (Line(
            points={{-16,29},{-16,52},{-32,52}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, gain.u) annotation (Line(
          points={{-14,4},{-11.2,4},{-11.2,4},{-8.4,4}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(gain.y, SO4Pool_conc_per_liter) annotation (Line(
            points={{-3.8,4},{2,4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, SO4Pool.q_out) annotation (Line(
            points={{-20,4},{-36,4},{-36,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(flowMeasure.molarFlowRate, CD_SO4_Outflow) annotation (Line(
          points={{28,30},{28,14},{36,14}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(flowMeasure.q_out, Bladder.q_out) annotation (Line(
            points={{38,24},{60,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.q_out, flowMeasure.q_in) annotation (
            Line(
            points={{18,24},{18,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(BloodIons_StrongAnionsLessSO4, glomerulus.otherStrongAnions)
          annotation (Line(
            points={{-32,44},{-20,44},{-20,29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(BloodIons_Cations, glomerulus.Cations) annotation (Line(
            points={{-32,36},{-24,36},{-24,29}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(gain1.y, SO4Pool_Osmoles) annotation (Line(
            points={{-47.8,-4},{-38,-4}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(gain1.u, SO4Pool.solute) annotation (Line(
          points={{-52.4,-4},{-54,-4},{-54,14}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(Bladder.q_out, bladderVoid.q_in) annotation (Line(
            points={{60,24},{50,24},{50,-12},{66,-12}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(bladderVoid.solutionFlow, BladderVoidFlow) annotation (Line(
          points={{72,-9.6},{72,-2},{62,-2}},
          color={0,0,127},
          smooth=Smooth.None));

      end Sulphate;

      model GlomerulusStrongAnionFiltration

      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (extent=
           [-10,-110; 10,-90], Placement(transformation(extent={{-10,-110},{10,
                -90}}, rotation=0)));

      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
          Placement(transformation(extent={{-120,-20},{-80,20}}),
            iconTransformation(extent={{-110,-10},{-90,10}})));

        Physiolibrary.Types.RealIO.VolumeDensityOfChargeInput Cations annotation (Placement(
              transformation(extent={{-80,30},{-40,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-60,50})));
        Physiolibrary.Types.RealIO.VolumeDensityOfChargeInput ProteinAnions annotation (Placement(
              transformation(extent={{-40,30},{0,70}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-20,50})));
        Physiolibrary.Types.Fraction KAdjustment;
        //Real Cations( final quantity="Concentration", final unit = "mEq/l");
        Physiolibrary.Types.VolumeDensityOfCharge Anions;
       // Real ProteinAnions( final quantity="Concentration", final unit = "mEq/l");
      /*  Library.Interfaces.RealInput_ HCO3(final quantity="Concentration",
      final displayUnit="mEq/l")                                                                               annotation (Placement(
        transformation(extent={{0,30},{40,70}}),  iconTransformation(
        extent={{-20,-20},{20,20}},
        rotation=270,
        origin={20,50})));
*/
      equation
        q_in.q + q_out.q = 0;
        //Cations = q_in.conc*1000+otherCations;
        Anions = Cations;
       // ProteinAnions = Anions - otherStrongAnions - q_in.conc*1000 - HCO3;
        KAdjustment = (Cations-(Anions-ProteinAnions))/(Cations+(Anions-ProteinAnions));
        q_out.conc = (1+KAdjustment)*q_in.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{0,42},{0,26}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,20},{0,4}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-4},{0,-20}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-26},{0,-42}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5)}));
      end GlomerulusStrongAnionFiltration;

      model Sulphate2
      import Physiomodel;
         extends Physiolibrary.Icons.Sulphate;
      Physiolibrary.Chemical.Components.Substance SO4Pool(
        stateName="SO4Pool.Mass",
        useNormalizedVolume=false,
        solute_start=(4.00254)/1000)
        annotation (Placement(transformation(extent={{-64,14},{-44,34}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump Diet(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-88,-4},{-68,16}})));
      Physiolibrary.Chemical.Components.Stream glomerulusPhosphateRate(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{-2,14},{18,34}})));
        GlomerulusStrongAnionFiltration glomerulus
          annotation (Placement(transformation(extent={{-28,14},{-8,34}})));
        Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-18,4})));
      Physiolibrary.Chemical.Sensors.MolarFlowMeasure flowMeasure
        annotation (Placement(transformation(extent={{18,34},{38,14}})));
        Modelica.Blocks.Math.Gain gain1(k=0.5)
          annotation (Placement(transformation(extent={{-52,-6},{-48,-2}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-96,76},{-84,88}}), iconTransformation(
              extent={{60,60},{100,100}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst        Constant7(k(displayUnit=
               "mol/s") = 2.8935185185185185185185185185185e-7)
        annotation (Placement(transformation(extent={{-88,20},{-80,28}})));
      Physiolibrary.Blocks.Factors.Spline LeptinEffect2(data={{0,3.0,0},{8,1.0,
            -0.04},{50,0.0,0}}, Xscale=1e-6/Substances.Leptin.mw)
        annotation (Placement(transformation(extent={{-88,6},{-68,26}})));
      Physiolibrary.Types.Concentration ECF_conc;
        Physiomodel.Electrolytes.Bladder bladder(stateVarName="BladderSulphate.Mass")
          annotation (Placement(transformation(extent={{64,6},{84,26}})));
      Modelica.Blocks.Math.Gain eq2mol(k=0.5) annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            rotation=90,
            origin={32,56})));
      equation
        ECF_conc =concentrationMeasure.concentration;
      connect(SO4Pool.solutionVolume, busConnector.ECFV_Vol) annotation (Line(
          points={{-58,28},{-67,28},{-67,82},{-90,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));

        connect(Diet.q_out,SO4Pool. q_out) annotation (Line(
            points={{-68,6},{-60,6},{-60,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
      connect(glomerulusPhosphateRate.solutionFlow, busConnector.GlomerulusFiltrate_GFR)
        annotation (Line(
          points={{8,31},{8,82},{-90,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{3,1},{3,1}}));
        connect(glomerulus.q_out, glomerulusPhosphateRate.q_in)
                                                             annotation (Line(
            points={{-8,24},{-2,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(SO4Pool.q_out, glomerulus.q_in) annotation (Line(
            points={{-54,24},{-28,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(concentrationMeasure.q_in, SO4Pool.q_out) annotation (Line(
            points={{-20,4},{-36,4},{-36,24},{-54,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(glomerulusPhosphateRate.q_out, flowMeasure.q_in) annotation (
            Line(
            points={{18,24},{18,24}},
            color={200,0,0},
            smooth=Smooth.None,
            thickness=1));
        connect(busConnector.BloodIons_Cations, glomerulus.Cations) annotation (Line(
            points={{-90,82},{-24,82},{-24,29}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%first",
       index=-1,
       extent={{-3,1},{-3,1}}));
        connect(gain1.y, busConnector. SO4Pool_Osmoles) annotation (Line(
            points={{-47.8,-4},{98,-4},{98,82},{-90,82}},
            color={0,0,127},
            smooth=Smooth.None), Text(
       string="%second",
       index=1,
       extent={{3,1},{3,1}}));
      connect(gain1.u, SO4Pool.solute) annotation (Line(
          points={{-52.4,-4},{-48,-4},{-48,14}},
          color={0,0,127},
          smooth=Smooth.None));

        connect(busConnector.Leptin, LeptinEffect2.u) annotation (Line(
            points={{-90,82},{-96,82},{-96,16},{-86,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant7.y,LeptinEffect2. yBase) annotation (Line(
            points={{-79,24},{-78,24},{-78,18}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(LeptinEffect2.y, Diet.soluteFlow) annotation (Line(
          points={{-78,12},{-78,10},{-74,10}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.BloodIons_ProteinAnions, glomerulus.ProteinAnions)
          annotation (Line(
            points={{-90,82},{-20,82},{-20,29}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(flowMeasure.q_out, bladder.q_in) annotation (Line(
            points={{38,24},{74,24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(bladder.busConnector, busConnector) annotation (Line(
            points={{82,24},{82,82},{-90,82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(eq2mol.u, flowMeasure.molarFlowRate) annotation (Line(
          points={{32,44},{34,44},{34,30},{28,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(eq2mol.y, busConnector.CD_SO4_Outflow) annotation (Line(
          points={{32,67},{32,82},{-90,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(concentrationMeasure.concentration, busConnector.SO4Pool_conc_per_liter)
        annotation (Line(
          points={{-14,4},{98,4},{98,82},{-90,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(concentrationMeasure.concentration, busConnector.SO4Pool)
        annotation (Line(
          points={{-14,4},{100,4},{100,82},{-90,82}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-110,-104},{110,-130}},
                lineColor={0,0,255},
                textString="%name")}));
      end Sulphate2;
    end Sulphate;

    package NH4 "Body Amonium Distribution"

      model Ammonium
         extends Physiolibrary.Icons.Amonium;
      Physiolibrary.Blocks.Factors.Spline PT_NH3_AcuteEffect(data={{7.00,2.0,0},
            {7.42,1.0,-3.0},{7.80,0.0,0}})
        "marek: normal pH corrected from 7.45 to 7.42"
        annotation (Placement(transformation(extent={{-60,52},{-40,72}})));
        Physiolibrary.Blocks.Factors.SplineLag PT_NH3_ChronicEffect(
        HalfTime=3*86400*Modelica.Math.log(2),
        stateName="PT_NH3.ChronicPhEffect",
        data={{7.00,3.0,0},{7.42,1.0,-4.0},{7.80,0.0,0}})
        "marek: normal pH corrected from 7.45 to 7.42"
        annotation (Placement(transformation(extent={{-60,40},{-40,60}})));
      Physiolibrary.Blocks.Factors.Spline CD_NH4_PhOnFlux(data={{7.00,1.0,0},{
            7.42,0.6,-2.0},{7.80,0.0,0}})
        "marek: normal pH corrected from 7.45 to 7.42"
        annotation (Placement(transformation(extent={{-60,24},{-40,44}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst
        electrolytesFlowConstant(k=6.6666666666667e-07)
        annotation (Placement(transformation(extent={{-68,74},{-56,86}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-98,42},{-86,54}}), iconTransformation(
              extent={{62,62},{100,100}})));
      Physiolibrary.Blocks.Factors.Spline ChloridePoolEffect(data={{0.00,0.0,0},
            {80,1.0,0.0}})
        "electroneutrality does not allow to extract cation without anion"
        annotation (Placement(transformation(extent={{-60,-2},{-40,18}})));
      equation

      connect(PT_NH3_AcuteEffect.y, PT_NH3_ChronicEffect.yBase) annotation (
          Line(
          points={{-50,58},{-50,52}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PT_NH3_ChronicEffect.y, CD_NH4_PhOnFlux.yBase) annotation (Line(
          points={{-50,46},{-50,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(electrolytesFlowConstant.y, PT_NH3_AcuteEffect.yBase) annotation (
         Line(
          points={{-54.5,80},{-50,80},{-50,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Artys_pH, PT_NH3_AcuteEffect.u) annotation (Line(
          points={{-92,48},{-76,48},{-76,62},{-58,62}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Artys_pH, PT_NH3_ChronicEffect.u) annotation (Line(
          points={{-92,48},{-76,48},{-76,50},{-58,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Artys_pH, CD_NH4_PhOnFlux.u) annotation (Line(
          points={{-92,48},{-76,48},{-76,34},{-58,34}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(CD_NH4_PhOnFlux.y, ChloridePoolEffect.yBase) annotation (Line(
          points={{-50,30},{-50,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ClPool, ChloridePoolEffect.u) annotation (Line(
          points={{-92,48},{-92,8},{-58,8}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(ChloridePoolEffect.y, busConnector.CD_NH4_Outflow) annotation (
          Line(
          points={{-50,4},{-50,-8},{-92,-8},{-92,48}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={              Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end Ammonium;

      package test
        model T
          Ammonium amonium2_1
            annotation (Placement(transformation(extent={{-32,16},{-12,36}})));
        old.setup.ElectrolytesConstInputs electrolytesConstInputs
          annotation (Placement(transformation(extent={{6,24},{26,44}})));
        equation
          connect(electrolytesConstInputs.busConnector, amonium2_1.busConnector)
            annotation (Line(
              points={{14,34},{-13.9,34.1}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        end T;

        model NH4
         extends Physiolibrary.Icons.Amonium;
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 AcuteEffect(
              data={{7.00,2.0,0},{7.45,1.0,-3.0},{7.80,0.0,0}})
            annotation (Placement(transformation(extent={{-60,52},{-40,72}})));
          Physiolibrary.Factors.NonlinearSystemPatch.Spline3DelayByDay
            ChronicEffect(Tau=3, data={{7.00,3.0,0},{7.45,1.0,-4.0},{7.80,0.0,0}})
            annotation (Placement(transformation(extent={{-60,42},{-40,62}})));
          Physiolibrary.Factors.NonlinearSystemPatch.SplineValue3 PhOnFlux( data=
                {{7.00,1.0,0},{7.45,0.6,-2.0},{7.80,0.0,0}})
            annotation (Placement(transformation(extent={{-60,26},{-40,46}})));
        Physiolibrary.Types.Constants.ElectricCurrentConst
          electrolytesFlowConstant(k=0.064323559933332)
          annotation (Placement(transformation(extent={{-68,74},{-56,86}})));
          Modelica.Blocks.Interfaces.RealInput BloodPh_ArtysPh
            annotation (Placement(transformation(extent={{-90,58},{-82,66}}),
                iconTransformation(extent={{-100,88},{-88,100}})));
          Modelica.Blocks.Interfaces.RealOutput CD_NH4_Outflow
                                          annotation (Placement(transformation(extent={{-44,10},
                    {-36,18}}),        iconTransformation(extent={{100,80},{120,
                    100}})));
        equation

          connect(AcuteEffect.y, ChronicEffect.yBase) annotation (Line(
              points={{-50,60},{-50,54}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(ChronicEffect.y, PhOnFlux.yBase) annotation (Line(
              points={{-50,50},{-50,38}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(electrolytesFlowConstant.y, AcuteEffect.yBase) annotation (Line(
              points={{-55.4,80},{-50,80},{-50,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(AcuteEffect.u, BloodPh_ArtysPh) annotation (Line(
              points={{-59.8,62},{-86,62}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodPh_ArtysPh, ChronicEffect.u) annotation (Line(
              points={{-86,62},{-74,62},{-74,52},{-59.8,52}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(BloodPh_ArtysPh, PhOnFlux.u) annotation (Line(
              points={{-86,62},{-74,62},{-74,36},{-59.8,36}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(PhOnFlux.y, CD_NH4_Outflow) annotation (Line(
              points={{-50,34},{-50,14},{-40,14}},
              color={0,0,127},
              smooth=Smooth.None));
        end NH4;
      end test;

      model Ammonium_old
         extends Physiolibrary.Icons.Amonium;
      Physiolibrary.Blocks.Factors.Spline PT_NH3_AcuteEffect(data={{7.00,2.0,0},
            {7.45,1.0,-3.0},{7.80,0.0,0}})
        annotation (Placement(transformation(extent={{-60,52},{-40,72}})));
        Physiolibrary.Blocks.Factors.SplineLag PT_NH3_ChronicEffect(
        HalfTime=3*86400*Modelica.Math.log(2),
        data={{7.00,3.0,0},{7.45,1.0,-4.0},{7.80,0.0,0}},
        stateName="PT_NH3.ChronicPhEffect")
        annotation (Placement(transformation(extent={{-60,40},{-40,60}})));
      Physiolibrary.Blocks.Factors.Spline CD_NH4_PhOnFlux(data={{7.00,1.0,0},{
            7.45,0.6,-2.0},{7.80,0.0,0}})
        annotation (Placement(transformation(extent={{-60,24},{-40,44}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst
        electrolytesFlowConstant(k=6.6666666666667e-07)
        annotation (Placement(transformation(extent={{-68,74},{-56,86}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-98,42},{-86,54}}), iconTransformation(
              extent={{62,62},{100,100}})));
      Physiolibrary.Blocks.Factors.Spline ChloridePoolEffect(data={{0.00,0.0,0},
            {80,1.0,0.0}})
        "electroneutrality does not allow to extract cation without anion"
        annotation (Placement(transformation(extent={{-60,-2},{-40,18}})));
      equation

      connect(PT_NH3_AcuteEffect.y, PT_NH3_ChronicEffect.yBase) annotation (
          Line(
          points={{-50,58},{-50,52}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(PT_NH3_ChronicEffect.y, CD_NH4_PhOnFlux.yBase) annotation (Line(
          points={{-50,46},{-50,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(electrolytesFlowConstant.y, PT_NH3_AcuteEffect.yBase) annotation (
         Line(
          points={{-54.5,80},{-50,80},{-50,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.Artys_pH, PT_NH3_AcuteEffect.u) annotation (Line(
          points={{-92,48},{-76,48},{-76,62},{-58,62}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Artys_pH, PT_NH3_ChronicEffect.u) annotation (Line(
          points={{-92,48},{-76,48},{-76,50},{-58,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.Artys_pH, CD_NH4_PhOnFlux.u) annotation (Line(
          points={{-92,48},{-76,48},{-76,34},{-58,34}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(CD_NH4_PhOnFlux.y, ChloridePoolEffect.yBase) annotation (Line(
          points={{-50,30},{-50,10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ClPool, ChloridePoolEffect.u) annotation (Line(
          points={{-92,48},{-92,8},{-58,8}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(ChloridePoolEffect.y, busConnector.CD_NH4_Outflow) annotation (
          Line(
          points={{-50,4},{-50,-8},{-92,-8},{-92,48}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={              Text(
                extent={{-112,-102},{108,-128}},
                lineColor={0,0,255},
                textString="%name")}),
          Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
      end Ammonium_old;
    end NH4;

    package Calcium
      model Calcium
      import Physiomodel;

      Physiolibrary.Molar.ConcentrationCompartment_knownConc          CaPool(
            concentration=2.4)
          annotation (Placement(transformation(extent={{-42,-12},{-22,8}})));
        Physiomodel.Electrolytes.Calcium.CaBone CaBone(initialSoluteMass=100)
          annotation (Placement(transformation(extent={{42,-12},{62,8}})));
      Physiolibrary.Types.BusConnector busConnector
        annotation (Placement(transformation(extent={{-98,68},{-78,88}})));
      Physiomodel.Electrolytes.Calcium.Bladder Bladder(useNormalizedVolume=
            false, solute_start=(0)/1000)
        annotation (Placement(transformation(extent={{80,-98},{100,-78}})));
      Physiolibrary.Chemical.Components.SolutePump J_pu(useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-2,-96},{14,-80}})));
      Physiolibrary.Chemical.Components.SolutePump J_pb(useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{10,-42},{26,-26}})));
        Modelica.Blocks.Math.Gain gain(k=3.3/31.2)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={4,-24})));
      Physiolibrary.Chemical.Components.SolutePump J_bp(useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{26,-16},{10,0}})));
        Factors.Y2 y2_D(affinity=90, Y_Max=0.04)
          annotation (Placement(transformation(extent={{10,54},{30,74}})));
        Factors.Y2 y2_Ca(affinity=2.4, Y_Max=1)
          annotation (Placement(transformation(extent={{28,22},{8,42}})));
        Factors.Y1 y1_PTH(
          positive=true,
          affinity=3.85,
          a=0.85,
          b=0.45,
          d=0.15,
          Y_Max=1)
          annotation (Placement(transformation(extent={{38,40},{58,60}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst
        hormoneFlowConstant_mmol_per_hour(k=6.666666666666799e-007)
        annotation (Placement(transformation(extent={{8,66},{16,74}})));
        Factors.Y2 y2_D_(affinity=90, Y_Max=1)
          annotation (Placement(transformation(extent={{-6,-62},{14,-42}})));
        Factors.Y2 y2_Ca_(affinity=2.4, Y_Max=1)
          annotation (Placement(transformation(extent={{-6,-70},{14,-50}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst
        hormoneFlowConstant_mmol_per_hour1(k=1.6666666666667e-005)
        annotation (Placement(transformation(extent={{-8,-48},{0,-40}})));
        Modelica.Blocks.Math.Division CaT
          annotation (Placement(transformation(extent={{-28,-74},{-20,-66}})));
        Physiolibrary.Blocks.soluteMassConstant Ca_thr(
                                                 k=1.95)
          annotation (Placement(transformation(extent={{-84,-78},{-70,-64}})));
        Factors.Y2 y2_PTH_(affinity=3.85, Y_Max=1)
          annotation (Placement(transformation(extent={{-72,-96},{-52,-76}})));
        Physiomodel.Electrolytes.Calcium.CaGILumen CaGILumen
          annotation (Placement(transformation(extent={{-80,-12},{-60,8}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={-50,-2})));
      Physiolibrary.Types.Constants.MolarFlowRateConst
        hormoneFlowConstant_mmol_per_hour2(k=8.666666666666841e-006)
        annotation (Placement(transformation(extent={{8,34},{16,42}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst
        hormoneFlowConstant_mmol_per_hour3(k=1.6666666666667e-005)
        annotation (Placement(transformation(extent={{38,52},{46,60}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst
        hormoneFlowConstant_mmol_per_hour4(k=9.166666666667399e-007)
        annotation (Placement(transformation(extent={{6,2},{14,10}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst
        hormoneFlowConstant_mmol_per_hour5(k=3.50000000000007e-006)
        annotation (Placement(transformation(extent={{-6,-82},{2,-74}})));
        Modelica.Blocks.Math.Gain mlTOlitre(k=0.001)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={-42,22})));
        Modelica.Blocks.Math.Gain mlTOlitre1(k=0.001)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={74,-82})));
      equation
        connect(CaPool.q_out, J_pu.q_in) annotation (Line(
            points={{-32,-2},{-12,-2},{-12,-88},{-2,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(J_pu.q_out, Bladder.q_out) annotation (Line(
            points={{14,-88},{90,-88}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(J_pb.q_out, CaBone.q_out)                             annotation (
            Line(
            points={{26,-34},{36,-34},{36,-2},{52,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(J_pb.q_in, CaPool.q_out) annotation (Line(
            points={{10,-34},{-12,-34},{-12,-2},{-32,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(gain.y, J_pb.soluteFlow) annotation (Line(
            points={{8.4,-24},{21.2,-24},{21.2,-30.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CaPool.soluteMass, gain.u) annotation (Line(
            points={{-32,-9.8},{-32,-24},{-0.8,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CaBone.q_out, J_bp.q_in)                              annotation (
            Line(
            points={{52,-2},{36,-2},{36,-8},{26,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(J_bp.q_out, CaPool.q_out)  annotation (Line(
            points={{10,-8},{-12,-8},{-12,-2},{-32,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Calcitriol, y2_D.u) annotation (Line(
            points={{-88,78},{-8,78},{-8,64},{10.2,64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CaBone.soluteMass, y2_Ca.u)                             annotation (
            Line(
            points={{52,-9.4},{52,-16},{64,-16},{64,32},{27.8,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.PTH, y1_PTH.u) annotation (Line(
            points={{-88,78},{-8,78},{-8,50},{38.2,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(hormoneFlowConstant_mmol_per_hour.y, y2_D.yBase) annotation (Line(
            points={{17,70},{20,70},{20,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Calcitriol,y2_D_. u) annotation (Line(
            points={{-88,78},{-88,-52},{-5.8,-52}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(y2_D_.y,y2_Ca_. yBase) annotation (Line(
            points={{4,-56},{4,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant_mmol_per_hour1.y,y2_D_. yBase) annotation (Line(
            points={{1,-44},{4,-44},{4,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.PTH, y2_PTH_.u)
                                            annotation (Line(
            points={{-88,78},{-88,-86},{-71.8,-86}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Ca_thr.y, y2_PTH_.yBase) annotation (Line(
            points={{-69.3,-71},{-62,-71},{-62,-84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(y2_PTH_.y, CaT.u1) annotation (Line(
            points={{-62,-90},{-62,-94},{-44,-94},{-44,-67.6},{-28.8,-67.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CaGILumen.q_out, CaPool.q_out) annotation (Line(
            points={{-60,-2},{-32,-2}},
            color={200,0,0},
            pattern=LinePattern.None,
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector,CaGILumen. busConnector) annotation (Line(
            points={{-88,78},{-88,6},{-78.6,6}},
            color={0,0,255},
            pattern=LinePattern.None,
            thickness=0.5,
            smooth=Smooth.None));
        connect(CaPool.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-32,-2},{-50,-2}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, y2_Ca_.u) annotation (Line(
          points={{-50,-6},{-50,-60},{-5.8,-60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(concentrationMeasure.concentration, CaT.u2) annotation (Line(
          points={{-50,-6},{-50,-72.4},{-28.8,-72.4}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(hormoneFlowConstant_mmol_per_hour2.y, y2_Ca.yBase) annotation (
            Line(
            points={{17,38},{18,38},{18,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant_mmol_per_hour3.y, y1_PTH.yBase) annotation (
           Line(
            points={{47,56},{48,56},{48,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant_mmol_per_hour4.y, J_bp.soluteFlow)
          annotation (Line(
            points={{15,6},{14.8,6},{14.8,-4.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hormoneFlowConstant_mmol_per_hour5.y, J_pu.soluteFlow)
          annotation (Line(
            points={{3,-78},{9.2,-78},{9.2,-84.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mlTOlitre.y, CaPool.SolventVolume) annotation (Line(
            points={{-42,17.6},{-42,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ECFV_Vol, mlTOlitre.u) annotation (Line(
            points={{-88,78},{-42,78},{-42,26.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(mlTOlitre1.y, Bladder.solutionVolume) annotation (Line(
          points={{78.4,-82},{82,-82},{82,-84},{86,-84}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.BladderVolume_Mass, mlTOlitre1.u) annotation (Line(
            points={{-88,78},{69.2,78},{69.2,-82}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation ( uses);
      end Calcium;

      package Factors "Multiplication Effect Types"

        model Y1
         extends Physiolibrary.Icons.BaseFactorIcon3;
         Modelica.Blocks.Interfaces.RealInput u
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real a;
         parameter Real b;
         parameter Real d;
         parameter Real affinity;
         parameter Real Y_Max;
         parameter Boolean positive "+1 or -1";
          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
          Real effect;
          Modelica.Blocks.Math.Tanh tanh
            annotation (Placement(transformation(extent={{-34,54},{-14,74}})));
          Modelica.Blocks.Math.Add add(k1=+1)  annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=270,
                origin={-4,16})));
          Modelica.Blocks.Math.Feedback feedback
            annotation (Placement(transformation(extent={{-74,54},{-54,74}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=
              affinity)
          annotation (Placement(transformation(extent={{-76,44},{-68,52}})));
          Modelica.Blocks.Math.Gain gain(k=b)
            annotation (Placement(transformation(extent={{-50,60},{-42,68}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant1(k=1)
          annotation (Placement(transformation(extent={{-20,20},{-12,28}})));
          Modelica.Blocks.Math.Gain gain1(k=a) annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=270,
                origin={-4,4})));
          Modelica.Blocks.Math.Add add1(k1=+1) annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=270,
                origin={-6,-10})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant2(k=d)
          annotation (Placement(transformation(extent={{-22,-6},{-14,2}})));
          Modelica.Blocks.Math.BooleanToReal booleanToReal(realFalse=-1)
            annotation (Placement(transformation(extent={{-22,36},{-10,48}})));
          Modelica.Blocks.Sources.BooleanConstant booleanConstant(k=positive)
            annotation (Placement(transformation(extent={{-38,38},{-30,46}})));
          Modelica.Blocks.Math.Product product1 annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                rotation=270,
                origin={-2,30})));
        equation
          effect = add1.y;
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant.y, feedback.u2) annotation (Line(
              points={{-67.6,48},{-64,48},{-64,56}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(u, feedback.u1) annotation (Line(
              points={{-98,64},{-72,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(feedback.y, gain.u) annotation (Line(
              points={{-55,64},{-50.8,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(gain.y, tanh.u) annotation (Line(
              points={{-41.6,64},{-36,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant1.y, add.u2) annotation (Line(
              points={{-11.6,24},{-6.4,24},{-6.4,20.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(add.y, gain1.u) annotation (Line(
              points={{-4,11.6},{-4,10.9},{-4,10.9},{-4,10.2},{-4,8.8},{-4,8.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant2.y, add1.u2) annotation (Line(
              points={{-13.6,-2},{-8.4,-2},{-8.4,-5.2}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(gain1.y, add1.u1) annotation (Line(
              points={{-4,-0.4},{-4,-5.2},{-3.6,-5.2}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(booleanConstant.y, booleanToReal.u) annotation (Line(
              points={{-29.6,42},{-23.2,42}},
              color={255,0,255},
              smooth=Smooth.None));
          connect(product1.y, add.u1) annotation (Line(
              points={{-2,25.6},{-2,20.8},{-1.6,20.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(booleanToReal.y, product1.u2) annotation (Line(
              points={{-9.4,42},{-4.4,42},{-4.4,34.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(tanh.y, product1.u1) annotation (Line(
              points={{-13,64},{0.4,64},{0.4,34.8}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(add1.y, product.u2) annotation (Line(
              points={{-6,-14.4},{-6,-15.8},{-6,-15.8},{-6,-17.2},{-6,-20},{-6,
                  -20}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation ( Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end Y1;

        model Y2
         extends Physiolibrary.Icons.BaseFactorIcon3;
         Modelica.Blocks.Interfaces.RealInput u
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real affinity;
         parameter Real Y_Max;
          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
          Real effect;
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=
              affinity)
          annotation (Placement(transformation(extent={{-76,48},{-68,56}})));
          Modelica.Blocks.Math.Add add2(
                                       k1=+1)  annotation (Placement(transformation(
                extent={{-4,-4},{4,4}},
                origin={-58,62})));
          Modelica.Blocks.Math.Division division
            annotation (Placement(transformation(extent={{-36,58},{-16,78}})));
        equation
          effect = division.y;
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(u, add2.u1) annotation (Line(
              points={{-98,64},{-84,64},{-84,64.4},{-62.8,64.4}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(Constant.y, add2.u2) annotation (Line(
              points={{-67.6,52},{-66,52},{-66,59.6},{-62.8,59.6}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(add2.y, division.u2) annotation (Line(
              points={{-53.6,62},{-38,62}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(u, division.u1) annotation (Line(
              points={{-98,64},{-76,64},{-76,74},{-38,74}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(division.y, product.u2) annotation (Line(
              points={{-15,68},{-6,68},{-6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation ( Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end Y2;

        model Y3
         extends Physiolibrary.Icons.BaseFactorIcon3;
         Modelica.Blocks.Interfaces.RealInput u
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real k;

          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
          Real effect;
          Modelica.Blocks.Math.Gain gain
            annotation (Placement(transformation(extent={{-54,54},{-34,74}})));
        equation
          effect = add1.y;
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(u, gain.u) annotation (Line(
              points={{-98,64},{-56,64}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(gain.y, product.u2) annotation (Line(
              points={{-33,64},{-6,64},{-6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation ( Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end Y3;

        model Y4
         extends Physiolibrary.Icons.BaseFactorIcon3;
         Modelica.Blocks.Interfaces.RealInput u
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));

          Modelica.Blocks.Math.Product product annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-32})));
          Real effect;
        equation
          effect = add1.y;
          connect(yBase, product.u1) annotation (Line(
              points={{6,80},{6,30},{6,-20},{6,-20}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(product.y, y) annotation (Line(
              points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,
                  -60}},
              color={0,0,127},
              smooth=Smooth.None));
          annotation ( Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end Y4;
      end Factors;

      model CaBone
        extends Physiomodel.Metabolism.deprecated.MolarStorageCompartment;
        extends Physiolibrary.Icons.Bone;
      end CaBone;

      model CaGILumen
        extends Physiolibrary.Icons.GILumen;
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (
          Placement(transformation(extent={{90,-10},{110,10}}),
            iconTransformation(extent={{90,-10},{110,10}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-96,70},{-76,90}}), iconTransformation(
              extent={{-96,70},{-76,90}})));
      Physiolibrary.Chemical.Components.Diffusion resistorWithCondParam(
          Conductance=(0.0002)*(1e-6)/60)
        annotation (Placement(transformation(extent={{38,-10},{58,10}})));
        Physiolibrary.Molar.ConcentrationCompartment_knownConc
          GILumen(
            concentration=0.21/0.0002 + 2.4)
          annotation (Placement(transformation(extent={{-24,-10},{-4,10}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump inputPump(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-50,30},{-30,50}})));
        CaTransportPool caTransportPool
          annotation (Placement(transformation(extent={{-28,-60},{-8,-40}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={-52,-4})));
      Physiolibrary.Chemical.Components.SolutePump soluteFlowPump(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{40,-18},{60,-38}})));
        Modelica.Blocks.Math.Gain mlTOlitre(k=0.001)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={-36,8})));
      equation
        connect(resistorWithCondParam.q_out, q_out) annotation (Line(
            points={{58,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GILumen.q_out, resistorWithCondParam.q_in) annotation (Line(
            points={{-14,0},{39.4,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(inputPump.q_out, GILumen.q_out) annotation (Line(
            points={{-34,40},{-14,40},{-14,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(busConnector.Diet_Ca_Intake, inputPump.soluteFlow) annotation (
          Line(
          points={{-86,80},{-36,80},{-36,44}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(busConnector.Calcitriol, caTransportPool.Calcitriol) annotation (Line(
            points={{-86,80},{-86,-44},{-26,-44}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(GILumen.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-14,0},{-52,0},{-52,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, caTransportPool.CaIntestinal)
        annotation (Line(
          points={{-52,-8},{-52,-52},{-26,-52}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(GILumen.q_out, soluteFlowPump.q_in) annotation (Line(
            points={{-14,0},{14,0},{14,-28},{40,-28}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(soluteFlowPump.q_out, q_out) annotation (Line(
            points={{60,-28},{80,-28},{80,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(caTransportPool.J_ipCa_activeAbsorbtion, soluteFlowPump.soluteFlow)
          annotation (Line(
            points={{-8,-50},{54,-50},{54,-32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mlTOlitre.y, GILumen.SolventVolume) annotation (Line(
            points={{-31.6,8},{-24,8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.GILumenVolume_Mass, mlTOlitre.u) annotation (Line(
            points={{-86,80},{-86,8},{-40.8,8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-108,-110},{104,-130}},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name",
                lineColor={0,0,127})}));
      end CaGILumen;

      block CaTransportPool

        Modelica.Blocks.Interfaces.RealInput Calcitriol
                                                 annotation (Placement(transformation(
                extent={{-100,40},{-60,80}}), iconTransformation(extent={{-100,40},{-60,
                  80}})));
        Modelica.Blocks.Interfaces.RealInput CaIntestinal
                                                   annotation (Placement(
              transformation(extent={{-104,-26},{-64,14}}), iconTransformation(extent=
                 {{-100,-40},{-60,0}})));
        Modelica.Blocks.Interfaces.RealOutput J_ipCa_activeAbsorbtion
                                                               annotation (Placement(
              transformation(extent={{80,-20},{120,20}}), iconTransformation(extent={{
                  80,-20},{120,20}})));
        parameter Real Q_TCai_initial = 0;
        parameter Real Y2_Cai_Max = 1;

        Real Q_TCai;
        Real change;
        Real k1D;
        Real k2D;
        Factors.Y2 Y2_Cai(affinity=1, Y_Max=Y2_Cai_Max)
          annotation (Placement(transformation(extent={{-34,-16},{-14,4}})));
      initial equation
        Q_TCai = Q_TCai_initial;
      equation
        der( Q_TCai)  = change;
        change = ( 1-Q_TCai)  * k1D - Q_TCai * k2D;
        Y2_Cai.yBase = change*Y2_Cai_Max;
        J_ipCa_activeAbsorbtion = Y2_Cai.y;

        k1D = 0.02;
        k2D = 0.02;

        connect(CaIntestinal, Y2_Cai.u) annotation (Line(
            points={{-84,-6},{-33.8,-6}},
            color={0,0,127},
            smooth=Smooth.None));
      end CaTransportPool;

      model Bladder
        extends Physiolibrary.Chemical.Components.Substance(useNormalizedVolume=
           false);
        extends Physiolibrary.Icons.Bladder(useNormalizedVolume=false);
      equation

      end Bladder;

      package test
        model T
          Calcium calcium
            annotation (Placement(transformation(extent={{10,-14},{30,6}})));
          setup.CaInputs caInputs
            annotation (Placement(transformation(extent={{-54,-12},{-34,8}})));
        equation
          connect(caInputs.busConnector, calcium.busConnector) annotation (Line(
              points={{-51.8,6.8},{-19.9,6.8},{-19.9,3.8},{11.2,3.8}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        end T;

        model T2
          Calcitriol calcitriol
            annotation (Placement(transformation(extent={{-2,6},{18,26}})));
          setup.CalcitriolInputs calcitriolInputs
            annotation (Placement(transformation(extent={{-60,6},{-40,26}})));
        equation
          connect(calcitriolInputs.busConnector, calcitriol.busConnector)
            annotation (Line(
              points={{-57.8,24.8},{-31.9,24.8},{-31.9,24.4},{-0.8,24.4}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        end T2;
      end test;

      package setup
        model CaInputs

        Physiolibrary.Types.BusConnector busConnector
          annotation (Placement(transformation(extent={{-88,78},{-68,98}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant ECFV_Vol(units=
              "ml", k=13000)
          annotation (Placement(transformation(extent={{-68,46},{-60,54}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Calcitriol(k=90)
          annotation (Placement(transformation(extent={{-68,70},{-60,78}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant PTH(k=3.85)
          annotation (Placement(transformation(extent={{-68,58},{-60,66}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BladderVolume_Mass(units="ml", k=10)
          annotation (Placement(transformation(extent={{-68,32},{-60,40}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BladderVolume_Mass1(units="ml", k=1000)
          annotation (Placement(transformation(extent={{-68,18},{-60,26}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BladderVolume_Mass2(units="ml", k=0.21)
          annotation (Placement(transformation(extent={{-68,4},{-60,12}})));
        equation
          connect(busConnector.ECFV_Vol, ECFV_Vol.y) annotation (Line(
              points={{-78,88},{2,88},{2,50},{-59.6,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BladderVolume_Mass, BladderVolume_Mass.y) annotation (
              Line(
              points={{-78,88},{2,88},{2,36},{-59.6,36}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.Calcitriol, Calcitriol.y) annotation (Line(
              points={{-78,88},{2,88},{2,74},{-59.6,74}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.PTH, PTH.y) annotation (Line(
              points={{-78,88},{2,88},{2,62},{-59.6,62}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(BladderVolume_Mass1.y, busConnector.GILumenVolume_Mass)
            annotation (Line(
              points={{-59.6,22},{2,22},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BladderVolume_Mass2.y, busConnector.Diet_Ca_Intake)
            annotation (Line(
              points={{-59.6,8},{2,8},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        end CaInputs;

        model CalcitriolInputs

        Physiolibrary.Types.BusConnector busConnector
          annotation (Placement(transformation(extent={{-88,78},{-68,98}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant ECFV_Vol(units=
              "ml", k=13000)
          annotation (Placement(transformation(extent={{-68,46},{-60,54}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant PTH(k=3.85)
          annotation (Placement(transformation(extent={{-68,58},{-60,66}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BladderVolume_Mass(units="ml", k=10)
          annotation (Placement(transformation(extent={{-68,32},{-60,40}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BladderVolume_Mass1(units="ml", k=1000)
          annotation (Placement(transformation(extent={{-68,18},{-60,26}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BladderVolume_Mass2(units="ml", k=0.21)
          annotation (Placement(transformation(extent={{-68,4},{-60,12}})));
        equation
          connect(busConnector.ECFV_Vol, ECFV_Vol.y) annotation (Line(
              points={{-78,88},{2,88},{2,50},{-59.6,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BladderVolume_Mass, BladderVolume_Mass.y) annotation (
              Line(
              points={{-78,88},{2,88},{2,36},{-59.6,36}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.PTH, PTH.y) annotation (Line(
              points={{-78,88},{2,88},{2,62},{-59.6,62}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(BladderVolume_Mass1.y, busConnector.GILumenVolume_Mass)
            annotation (Line(
              points={{-59.6,22},{2,22},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BladderVolume_Mass2.y, busConnector.Diet_Ca_Intake)
            annotation (Line(
              points={{-59.6,8},{2,8},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        end CalcitriolInputs;
      end setup;

      model Calcitriol
      Physiolibrary.Types.BusConnector busConnector
        annotation (Placement(transformation(extent={{-98,74},{-78,94}})));
        Physiolibrary.Molar.ConcentrationCompartment_knownConc
          concentrationCompartment(concentration=90)
          annotation (Placement(transformation(extent={{10,-68},{30,-48}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump inputPump(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-46,-68},{-26,-48}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut outputPump(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{48,-68},{68,-48}})));
        Modelica.Blocks.Math.Gain gain(k=0.1) annotation (Placement(
              transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={58,-44})));
      Physiolibrary.Chemical.Components.Substance hydroxylase(
          useNormalizedVolume=false, solute_start=(117)/1000)
        annotation (Placement(transformation(extent={{-46,-26},{-26,-6}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump inputPump1(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-96,-26},{-76,-6}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut outputPump1(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-10,-26},{10,-6}})));
        Modelica.Blocks.Math.Gain gain1(k=0.05) annotation (Placement(
              transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={0,-2})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=5.85)
        annotation (Placement(transformation(extent={{-100,-8},{-92,0}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
        annotation (Placement(transformation(extent={{18,-44},{38,-24}})));
        Modelica.Blocks.Math.Gain mlTOlitre(k=0.001)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={0,-50})));
        Modelica.Blocks.Math.Gain mlTOlitre1(
                                            k=0.001)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={-54,-10})));
      equation
        connect(inputPump.q_out, concentrationCompartment.q_out) annotation (
            Line(
            points={{-30,-58},{20,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationCompartment.q_out, outputPump.q_in) annotation (
            Line(
            points={{20,-58},{52,-58}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(gain.y, outputPump.soluteFlow) annotation (Line(
          points={{58,-48.4},{58,-54}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(concentrationCompartment.soluteMass, gain.u) annotation (Line(
            points={{20,-65.8},{20,-78},{38,-78},{38,-34},{58,-34},{58,-39.2}},
            color={0,0,127},
            smooth=Smooth.None));

      connect(gain1.y, outputPump1.soluteFlow) annotation (Line(
          points={{-8.08267e-016,-6.4},{-8.08267e-016,-10},{0,-10},{0,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hydroxylase.solute, gain1.u) annotation (Line(
          points={{-36,-23.8},{-36,-30},{-12,-30},{-12,8},{8.81746e-016,8},{
              8.81746e-016,2.8}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(hydroxylase.q_out, outputPump1.q_in) annotation (Line(
            points={{-36,-16},{-6,-16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(inputPump1.q_out, hydroxylase.q_out) annotation (Line(
            points={{-80,-16},{-36,-16}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(hydroxylase.solute, inputPump.soluteFlow) annotation (Line(
          points={{-36,-23.8},{-36,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, inputPump1.soluteFlow) annotation (Line(
          points={{-91.6,-4},{-86,-4},{-86,-12}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(concentrationCompartment.q_out, concentrationMeasure.q_in)
          annotation (Line(
            points={{20,-58},{28,-58},{28,-34}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, busConnector.Calcitriol)
        annotation (Line(
          points={{28,-30},{28,84},{-88,84}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        connect(mlTOlitre.y, concentrationCompartment.SolventVolume)
          annotation (Line(
            points={{4.4,-50},{10,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.ECFV_Vol, mlTOlitre.u) annotation (Line(
            points={{-88,84},{-18,84},{-18,-50},{-4.8,-50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(mlTOlitre1.y, hydroxylase.solutionVolume) annotation (Line(
          points={{-49.6,-10},{-44,-10}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.ECFV_Vol, mlTOlitre1.u) annotation (Line(
            points={{-88,84},{-68,84},{-68,-10},{-58.8,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      end Calcitriol;
      annotation (Documentation(info="<html>
<p>J.F.Raposo,L.G.Sobrinho,and H.G.Ferreira: A Minimal Mathematical Model of Calcium Homeostasis,JCE&AMP;M,sep2002,87(9)</p>
</html>"));
    end Calcium;

    package Calcium2
      model Calcium

      parameter Real D[:] = {1};
      parameter Real GFR(displayUnit="l/h")=6;

      Real A[11];
      Real v_intake;
      Real v1_4;
      Real v4_u;

      function H
        input Real x;
        input Real alpha;
        input Real delta;
        input Real gamma=1;
        output Real value;
      algorithm
        value:=alpha*x^gamma/(delta^gamma+x^gamma);
      end H;

      function H_minus
        input Real x;
        input Real alpha;
        input Real delta;
        input Real gamma=1;
        input Real ro;
        output Real value;
      algorithm
        value:=alpha-(alpha-ro)*x^gamma/(delta^gamma+x^gamma);
      end H_minus;

      function H_plus
        input Real x;
        input Real alpha;
        input Real delta;
        input Real gamma=1;
        input Real ro;
        output Real value;
      algorithm
        value:=ro+(alpha-ro)*x^gamma/(delta^gamma+x^gamma);
      end H_plus;

      Real H62p;
      Real H62m;
      Real v1_4a;
      Real v1_4p;
      Real T64p;
      Real T64m;
      Real a;
      Real b;
      Real c;

      parameter Real ECFV(displayUnit="l") = 32.9/2.4;
      parameter Real ECFV2(displayUnit="l") = 1260/90;
      parameter Real GILumenVolume(displayUnit="l") = 1.3;

      initial equation
        A[1] = 1.3;  //Ca gut
        A[2] = 0.5;   //Ca transporters
        A[3] = 0.839;
        A[4] = 32.9; //Ca pool
        A[5] = 16.8;
        A[6] = 1260;
        A[7] = 53.9;
        A[8] = 3226;
        A[9] = 126;
        A[10] = 0.5;
        A[11] = 1;
      equation
      //gut
      v_intake = D[1] * H_plus(A[2],0.9,0.75,4,0.25); //alpha was calculated == 0.35
      der( A[1])  = v_intake - v1_4;
      v1_4 = v1_4a + v1_4p;
      v1_4a = (H(A[1]/GILumenVolume,0.9,1,1) * (A[2]/0.5) / (A[1] + 0.75)) * A[1];
      v1_4p = (0.0495) * A[1];

      //transporters
      H62p = H_plus(A[6]/ECFV2,0.037,90,1,0.003);
      H62m = H_minus(A[6]/ECFV2,0.037,90,1,0.003);
      der( A[2])  = H62p*(1-A[2])- H62m*A[2];

      //Ca pool
      der(A[4]) = 0; //v1_4 - v4_u;

      //to urine
      v4_u = (2-H(A[6]/ECFV2,2,90,1)) * (0.3*GFR*A[4] - H(A[4]/ECFV2,(-0.38+59.22)/0.317936,1.573,1)*H(A[7]/ECFV2,1.0615,53.9/ECFV2,1));
      //!!it's used concentration of ecf Ca, not the mass such as in the article!!, H_4-u:alpha was calculated, H7,4-u:delta was assumed as normal ecf PTH concentration
      //a = (2-H(A[6]/ECFV2,2,90,1)) * (0.3*GFR*A[4]);
      //b = (2-H(A[6]/ECFV2,2,90,1)) * (H(A[4]/ECFV2,1,1.573,1)*H(A[7]/ECFV2,1.0615,53.9/ECFV2,1));
      //v4_u = v1_4;

      //calcitriol
      der( A[6])  = A[9] -0.1 *A[6];
      der( A[9])  = 6.3*H(A[7]/ECFV2, 1.90371, 1.549,0.1112)*( if A[5]<=16.8 then 1 else H_minus(A[5]/ECFV2,1.525,1.302,8.252,-1.78249))  -0.05 *A[9]; //H7,9:alpha was calculated,
      //a = 6.3*H(A[7]/ECFV2, 1.90371 ,1.549,0.1112);
      //c =  if A[5]<16.8 then 1 else H_minus(A[5]/ECFV2,1.525,1.302,8.252,1.181);
      //b = 0.05 *A[9];

      //PTH
      der( A[7])  =  H_minus(A[4]/ECFV2,96.25, 3.037, 11.74,6249)*(A[10]/0.5)*A[11] - 7.143*A[7];
      a= H_minus(A[4]/ECFV2,96.25, 3.037, 11.74,6249)*(A[10]/0.5)*A[11];
      b=7.143*A[7];
      c=b/((A[10]/0.5)*A[11]);

      der( A[10])  = (1-A[10])*0.01*(0.85*T64m+0.15) - A[10]*0.01*(0.85*T64p+0.15);
      T64m = 1-(exp(0.03*(A[6]/14 - 90*(32.9/A[4]))) - exp(-0.03*(A[6]/14 - 90*(32.9/A[4])))) / (exp(0.03*(A[6]/14 - 90*(32.9/A[4]))) + exp(-0.03*(A[6]/14 - 90*(32.9/A[4]))));
      T64p = 1+(exp(0.03*(A[6]/14 - 90*(32.9/A[4]))) - exp(-0.03*(A[6]/14 - 90*(32.9/A[4])))) / (exp(0.03*(A[6]/14 - 90*(32.9/A[4]))) + exp(-0.03*(A[6]/14 - 90*(32.9/A[4]))));

      der( A[11])  =0.0001604  *H_minus(A[6]/ECFV2,4.103,69,12.5,0.9) -0.0001604*A[11];

      //phosphate
      der(A[3])=0;
      der(A[5])=0;
      der(A[8])=0;
      end Calcium;

      package Factors
        model H

         extends Physiolibrary.Icons.BaseFactorIcon3;
         Modelica.Blocks.Interfaces.RealInput u
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real alpha "maximum responce";
         parameter Real delta "affinity";
         parameter Real gamma=1 "exponent";
          Real effect;

        equation
          effect = alpha*u^gamma/(delta^gamma+u^gamma);
          y = effect * yBase;
          annotation ( Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end H;

        model H_plus
         extends Physiolibrary.Icons.BaseFactorIcon3;
         Modelica.Blocks.Interfaces.RealInput u
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real alpha "maximum responce";
         parameter Real delta "affinity";
         parameter Real gamma=1 "exponent";
         parameter Real ro "minimum responce";
          Real effect;

        equation
          effect = ro+(alpha-ro)*u^gamma/(delta^gamma+u^gamma);
          y = effect * yBase;
          annotation ( Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end H_plus;

        model H_minus
         extends Physiolibrary.Icons.BaseFactorIcon3;
         Modelica.Blocks.Interfaces.RealInput u
                      annotation (Placement(transformation(extent={{-118,44},{-78,
                    84}}),
                iconTransformation(extent={{-108,-10},{-88,10}})));
         parameter Real alpha "maximum responce";
         parameter Real delta "affinity";
         parameter Real gamma=1 "exponent";
         parameter Real ro "minimum responce";
          Real effect;

        equation
          effect = alpha-(alpha-ro)*u^gamma/(delta^gamma+u^gamma);
          y = effect * yBase;
          annotation ( Documentation(revisions="<html>
<p><i>2009-2010</i></p>
<p>Marek Matejak, Charles University, Prague, Czech Republic </p>
</html>"));
        end H_minus;
      end Factors;

      model CaGILumen
      import Physiomodel;
        extends Physiolibrary.Icons.GILumen;
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (
          Placement(transformation(extent={{90,-10},{110,10}}),
            iconTransformation(extent={{90,-10},{110,10}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-96,70},{-76,90}}), iconTransformation(
              extent={{-96,70},{-76,90}})));
      Physiolibrary.Chemical.Components.Substance GILumen(useNormalizedVolume=
            false, solute_start=(1.3)/1000)
        annotation (Placement(transformation(extent={{-24,-4},{-4,16}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump inputPump(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{-50,30},{-30,50}})));
      Physiolibrary.Chemical.Components.SolutePump v_1to4_active(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{32,0},{52,20}})));
        Modelica.Blocks.Math.Gain mlTOlitre(k=0.001)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={-36,12})));
        Physiomodel.Electrolytes.Calcium2.Factors.H_plus H21_plus(
          delta=0.75,
          gamma=4,
          ro=0.25,
          alpha=1.0805625)
          annotation (Placement(transformation(extent={{-30,38},{-50,58}})));
      Physiolibrary.Chemical.Components.SolutePump v_1to4_passive(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{32,-8},{52,-28}})));
        Modelica.Blocks.Math.Gain k_1to4(k=0.0495)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={30,-36})));
        Physiomodel.Electrolytes.Calcium2.Factors.H d21(alpha=2, delta=0.75)
          annotation (Placement(transformation(extent={{32,12},{52,32}})));
      Physiomodel.Metabolism.deprecated.MolarStorageCompartment CaTransporters(
          initialSoluteMass=0.5)
        annotation (Placement(transformation(extent={{32,50},{52,70}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump inputPump1(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{10,50},{30,70}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut inputPump2(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{74,50},{94,70}})));
        Physiomodel.Electrolytes.Calcium2.Factors.H_plus H62_plus(
          alpha=0.037,
          delta=90,
          ro=0.003)
          annotation (Placement(transformation(extent={{10,58},{30,78}})));
        Physiomodel.Electrolytes.Calcium2.Factors.H_minus H62_minus(
          alpha=0.037,
          delta=90,
          ro=0.003)
          annotation (Placement(transformation(extent={{74,58},{94,78}})));
        Modelica.Blocks.Math.Feedback feedback annotation (Placement(
              transformation(
              extent={{6,-6},{-6,6}},
              rotation=90,
              origin={20,80})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=1)
        annotation (Placement(transformation(extent={{8,90},{16,98}})));
        Physiomodel.Electrolytes.Calcium2.Factors.H H1to4(alpha=0.9, delta=1)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={42,30})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={10,30})));
      equation
        connect(inputPump.q_out, GILumen.q_out) annotation (Line(
            points={{-30,40},{-14,40},{-14,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(GILumen.q_out, v_1to4_active.q_in)  annotation (Line(
            points={{-14,6},{10,6},{10,10},{32,10}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(v_1to4_active.q_out, q_out)  annotation (Line(
            points={{52,10},{80,10},{80,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(mlTOlitre.y, GILumen.solutionVolume) annotation (Line(
          points={{-31.6,12},{-24,12},{-24,10},{-18,10}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.GILumenVolume_Mass, mlTOlitre.u) annotation (Line(
            points={{-86,80},{-86,12},{-40.8,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Diet_Ca_Intake, H21_plus.yBase) annotation (Line(
            points={{-86,80},{-86,50},{-40,50}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(H21_plus.y, inputPump.soluteFlow) annotation (Line(
          points={{-40,44},{-36,44}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(GILumen.q_out, v_1to4_passive.q_in) annotation (Line(
            points={{-14,6},{10,6},{10,-18},{32,-18}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(v_1to4_passive.q_out, q_out) annotation (Line(
            points={{52,-18},{80,-18},{80,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(GILumen.solute, k_1to4.u) annotation (Line(
          points={{-14,-4},{-14,-36},{25.2,-36}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(k_1to4.y, v_1to4_passive.soluteFlow) annotation (Line(
            points={{34.4,-36},{46,-36},{46,-22}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(GILumen.solute, d21.u) annotation (Line(
          points={{-14,-4},{-14,-18},{4,-18},{4,22},{32.2,22}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(d21.y, v_1to4_active.soluteFlow) annotation (Line(
            points={{42,18},{42,16},{42,14},{46,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inputPump1.q_out, CaTransporters.q_out) annotation (Line(
            points={{26,60},{42,60}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CaTransporters.q_out, inputPump2.q_in) annotation (Line(
            points={{42,60},{78,60}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(H62_plus.y, inputPump1.soluteFlow) annotation (Line(
          points={{20,64},{24,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(H62_minus.y, inputPump2.soluteFlow) annotation (Line(
          points={{84,64},{88,64}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.Calcitriol, H62_plus.u) annotation (Line(
            points={{-86,80},{-86,100},{-10,100},{-10,68},{10.2,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.Calcitriol, H62_minus.u) annotation (Line(
            points={{-86,80},{-86,100},{56,100},{56,68},{74.2,68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(CaTransporters.soluteMass, H21_plus.u) annotation (Line(
            points={{42,52.6},{42,48},{-30.2,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CaTransporters.soluteMass, H62_minus.yBase) annotation (Line(
            points={{42,52.6},{42,48},{98,48},{98,80},{84,80},{84,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, H62_plus.yBase) annotation (Line(
            points={{20,74.6},{20,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.u2, CaTransporters.soluteMass) annotation (Line(
            points={{24.8,80},{98,80},{98,48},{42,48},{42,52.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, feedback.u1) annotation (Line(
            points={{17,94},{20,94},{20,84.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CaTransporters.soluteMass, H1to4.yBase) annotation (Line(
            points={{42,52.6},{42,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H1to4.y, d21.yBase) annotation (Line(
            points={{42,26},{42,24}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, H1to4.u) annotation (Line(
          points={{14,30},{32.2,30}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(GILumen.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-14,6},{8,6},{8,30}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-108,-110},{104,-130}},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name",
                lineColor={0,0,127})}));
      end CaGILumen;

      model Ca
      import Physiomodel;
      Physiomodel.Electrolytes.Calcium.Bladder Bladder(useNormalizedVolume=
            false, solute_start=(0)/1000)
        annotation (Placement(transformation(extent={{-64,-80},{-44,-60}})));
        Modelica.Blocks.Math.Gain mlTOlitre1(k=0.001)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={-72,-64})));
      Physiolibrary.Chemical.Components.Substance CaPool(
        stateName="CaPool.Mass",
        useNormalizedVolume=false,
        solute_start=(33592.71023539913)/1000)
        annotation (Placement(transformation(extent={{-44,-4},{-24,16}})));
        Modelica.Blocks.Math.Gain mlTOlitre(k=0.001)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={-54,14})));
      Physiolibrary.Types.BusConnector busConnector
        annotation (Placement(transformation(extent={{-88,78},{-68,98}})));
        Physiomodel.Electrolytes.Calcium2.CaGILumen intestine
          annotation (Placement(transformation(extent={{-76,44},{-56,64}})));
        Physiomodel.Electrolytes.Calcium2.CaKidneyExcretion kidney
          annotation (Placement(transformation(extent={{-64,-44},{-44,-24}})));
        Physiomodel.Electrolytes.Calcium2.Bone bone
          annotation (Placement(transformation(extent={{34,-4},{54,16}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure(
          unitsString="mmol/l") annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={-18,22})));
      equation
      connect(mlTOlitre1.y, Bladder.solutionVolume) annotation (Line(
          points={{-67.6,-64},{-62,-64}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.BladderVolume_Mass,mlTOlitre1. u) annotation (Line(
            points={{-78,88},{-80,88},{-80,-64},{-76.8,-64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(mlTOlitre.y, CaPool.solutionVolume) annotation (Line(
          points={{-49.6,14},{-45.8,14},{-45.8,12},{-42,12}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(busConnector.ECFV_Vol,mlTOlitre. u) annotation (Line(
            points={{-78,88},{-80,88},{-80,14},{-58.8,14}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(intestine.q_out, CaPool.q_out) annotation (Line(
            points={{-56,54},{-28,54},{-28,6},{-34,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, intestine.busConnector) annotation (Line(
            points={{-78,88},{-80,88},{-80,62},{-74.6,62}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(kidney.q_in, CaPool.q_out) annotation (Line(
            points={{-52,-34},{-38,-34},{-38,6},{-34,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, kidney.busConnector) annotation (Line(
            points={{-78,88},{-80,88},{-80,-25},{-63,-25}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(kidney.q_out, Bladder.q_out) annotation (Line(
            points={{-52,-44},{-54,-44},{-54,-70}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(CaPool.q_out, bone.q_in) annotation (Line(
            points={{-34,6},{42,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector, bone.busConnector) annotation (Line(
            points={{-78,88},{36,88},{36,14.8}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(CaPool.q_out, concentrationMeasure.q_in) annotation (Line(
            points={{-34,6},{-28,6},{-28,22},{-18,22}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, busConnector.CaPool_conc_per_liter)
        annotation (Line(
          points={{-18,26},{-18,88},{-78,88}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      end Ca;

      model CaKidneyExcretion
        extends Physiolibrary.Icons.Kidney;
      Physiolibrary.Chemical.Components.Stream v_4to_u_glomerulalFiltration(
          useSolutionFlowInput=true)
        annotation (Placement(transformation(extent={{16,-84},{32,-68}})));
        Factors.H H4to_u(delta=1.573, alpha=12.0877126)
          annotation (Placement(transformation(extent={{14,-4},{34,16}})));
        Factors.H H7_4to_u(delta=53.9/14, alpha=1.0615)
          annotation (Placement(transformation(extent={{14,-12},{34,8}})));
        Factors.H_minus H64_minus(
          alpha=2,
          delta=90,
          ro=0)
          annotation (Placement(transformation(extent={{14,-74},{34,-54}})));
      Physiolibrary.Blocks.Factors.Normalization simpleMultiply
        annotation (Placement(transformation(extent={{14,-64},{34,-44}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=0.3)
        annotation (Placement(transformation(extent={{-4,-58},{4,-50}})));
      Physiolibrary.Chemical.Components.SolutePump v_4to_u_reabsorbtion(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(
            extent={{10,-10},{-10,10}},
            origin={24,-22})));
        Factors.H_minus H64_minus1(
          alpha=2,
          delta=90,
          ro=0) annotation (Placement(transformation(extent={{14,-20},{34,0}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant1(k=1)
        annotation (Placement(transformation(extent={{12,12},{20,20}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure concentrationMeasure
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={-16,6})));
      Physiolibrary.Types.BusConnector busConnector
        annotation (Placement(transformation(extent={{-100,80},{-80,100}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
          Placement(transformation(extent={{-68,-2},{-48,20}}),
            iconTransformation(extent={{10,-10},{30,10}})));
      Physiolibrary.Chemical.Interfaces.ChemicalPort_b q_out annotation (
          Placement(transformation(extent={{10,-110},{30,-90}}),
            iconTransformation(extent={{10,-110},{30,-90}})));
        Modelica.Blocks.Math.Gain to_liters_per_hours(k=60/1000)
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={18,-42})));
      equation

        connect(busConnector.Calcitriol, H64_minus.u) annotation (Line(
            points={{-90,90},{-10,90},{-10,-64},{14.2,-64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
      connect(H64_minus.y, v_4to_u_glomerulalFiltration.solutionFlow)
        annotation (Line(
          points={{24,-66},{24,-71.2}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(simpleMultiply.y, H64_minus.yBase) annotation (Line(
            points={{24,-56},{24,-62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, simpleMultiply.u) annotation (Line(
            points={{4.4,-54},{14.2,-54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(v_4to_u_reabsorbtion.q_in, v_4to_u_glomerulalFiltration.q_out)
          annotation (Line(
            points={{34,-22},{40,-22},{40,-76},{32,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(busConnector.Calcitriol, H64_minus1.u) annotation (Line(
            points={{-90,90},{-10,90},{-10,-10},{14.2,-10}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(H64_minus1.y, v_4to_u_reabsorbtion.soluteFlow) annotation (Line(
            points={{24,-12},{24,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H7_4to_u.y, H64_minus1.yBase) annotation (Line(
            points={{24,-4},{24,-8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H4to_u.y, H7_4to_u.yBase) annotation (Line(
            points={{24,4},{24,0}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.PTH, H7_4to_u.u) annotation (Line(
            points={{-90,90},{-10,90},{-10,-2},{14.2,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(Constant1.y, H4to_u.yBase) annotation (Line(
            points={{20.4,16},{24,16},{24,8}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(concentrationMeasure.concentration, H4to_u.u) annotation (Line(
          points={{-12,6},{1.1,6},{1.1,6},{14.2,6}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(q_in, v_4to_u_reabsorbtion.q_out) annotation (Line(
            points={{-58,9},{-16,9},{-16,-22},{14,-22}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, concentrationMeasure.q_in) annotation (Line(
            points={{-58,9},{-16,9},{-16,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(q_in, v_4to_u_glomerulalFiltration.q_in) annotation (Line(
            points={{-58,9},{-16,9},{-16,-76},{16,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(v_4to_u_glomerulalFiltration.q_out, q_out) annotation (Line(
            points={{32,-76},{40,-76},{40,-100},{20,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(to_liters_per_hours.y, simpleMultiply.yBase) annotation (Line(
            points={{22.4,-42},{24,-42},{24,-52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.Glomerulus_GFR, to_liters_per_hours.u) annotation (
           Line(
            points={{-90,90},{-10,90},{-10,-42},{13.2,-42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-112,120},{100,100}},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name",
                lineColor={0,0,127})}));
      end CaKidneyExcretion;

      model Bone
        extends Physiolibrary.Icons.Bone;
      Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (
          Placement(transformation(extent={{-70,-14},{-50,6}}),
            iconTransformation(extent={{-30,-10},{-10,10}})));
      Physiolibrary.Chemical.Components.SolutePump v_4to12(useSoluteFlowInput=
            true)
        annotation (Placement(transformation(extent={{-34,-4},{-14,16}})));
      Physiolibrary.Types.BusConnector busConnector
        annotation (Placement(transformation(extent={{-90,78},{-70,98}})));
      Physiomodel.Metabolism.deprecated.MolarStorageCompartment
        Ca_immediately_changeable(initialSoluteMass=100)
        annotation (Placement(transformation(extent={{8,-18},{28,2}})));
      Physiomodel.Metabolism.deprecated.MolarStorageCompartment
        Ca_nonimmediately_changeable(initialSoluteMass=249000)
        annotation (Placement(transformation(extent={{74,-18},{94,2}})));
      Physiolibrary.Chemical.Components.SolutePump flux1(useSoluteFlowInput=
            true)
        annotation (Placement(transformation(extent={{48,-12},{62,-26}})));
      Physiolibrary.Chemical.Components.SolutePump flux2(useSoluteFlowInput=
            true)
        annotation (Placement(transformation(extent={{62,-6},{48,8}})));
        Modelica.Blocks.Math.Gain k_12to13(k=1/(30*24))
        "\"assumed that all Ca immediatebly changable could become nonimmediately changable (if there is only one way of change) after one month\""
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              origin={46,-30})));
        Modelica.Blocks.Math.Gain k_13to12(k=(1/(30*24))*(100/249000))
        "\"value calculated from k_12to13\""
                                       annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=180,
              origin={66,14})));
      Physiolibrary.Chemical.Components.SolutePump v_12to4(useSoluteFlowInput=
            true)
        annotation (Placement(transformation(extent={{-14,-8},{-34,-28}})));

        model CalciumToBone

          Modelica.Blocks.Interfaces.RealInput Ca
                                           annotation (Placement(transformation(extent={
                    {-100,20},{-60,60}}), iconTransformation(extent={{-100,20},{-60,60}})));
          Modelica.Blocks.Interfaces.RealInput Osteoblast
                                                   annotation (Placement(transformation(
                  extent={{-100,-60},{-60,-20}}), iconTransformation(extent={{-100,-60},
                    {-60,-20}})));
          Modelica.Blocks.Interfaces.RealOutput fluxToBone
                                                    annotation (Placement(
                transformation(extent={{60,-20},{100,20}}), iconTransformation(extent={{
                    60,-20},{100,20}})));
        equation
          fluxToBone=3.667*Ca/2.35*(1-0.1144)+0.1144*(Osteoblast/0.00501324);
        end CalciumToBone;

        model CalciumFromBone

          Modelica.Blocks.Interfaces.RealInput RANK_RANKL
                                           annotation (Placement(transformation(extent={{-98,20},
                    {-58,60}}),           iconTransformation(extent={{-100,20},{-60,60}})));
          Modelica.Blocks.Interfaces.RealInput Osteoclast
                                                   annotation (Placement(transformation(
                  extent={{-98,-60},{-58,-20}}),  iconTransformation(extent={{-100,-60},
                    {-60,-20}})));
          Modelica.Blocks.Interfaces.RealOutput fluxToBone
                                                    annotation (Placement(
                transformation(extent={{62,-20},{102,20}}), iconTransformation(extent={{60,-20},
                    {100,20}})));
        equation

        end CalciumFromBone;

        CalciumToBone calciumToBone
          annotation (Placement(transformation(extent={{-34,40},{-14,20}})));
        CalciumFromBone calciumFromBone annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              origin={-24,-42})));
        Osteoblast osteoblast
          annotation (Placement(transformation(extent={{-34,58},{-14,78}})));
        Osteoclast osteoclast
          annotation (Placement(transformation(extent={{-34,-78},{-14,-58}})));
        RANK_RANKL RANK_RANKL_
          annotation (Placement(transformation(extent={{32,46},{52,66}})));
      equation
        connect(q_in, v_4to12.q_in)    annotation (Line(
            points={{-60,-4},{-50,-4},{-50,6},{-34,6}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Ca_immediately_changeable.q_out, flux1.q_in) annotation (Line(
            points={{18,-8},{38,-8},{38,-19},{48,-19}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flux1.q_out, Ca_nonimmediately_changeable.q_out) annotation (Line(
            points={{62,-19},{72,-19},{72,-8},{84,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flux2.q_in, Ca_nonimmediately_changeable.q_out) annotation (Line(
            points={{62,1},{72,1},{72,-8},{84,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(Ca_immediately_changeable.q_out, flux2.q_out) annotation (Line(
            points={{18,-8},{38,-8},{38,1},{48,1}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(flux1.soluteFlow, k_12to13.y) annotation (Line(
            points={{55,-23.2},{55,-30},{50.4,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Ca_immediately_changeable.soluteMass, k_12to13.u) annotation (Line(
            points={{18,-15.4},{18,-30},{41.2,-30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(k_13to12.y, flux2.soluteFlow) annotation (Line(
            points={{61.6,14},{55,14},{55,5.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Ca_nonimmediately_changeable.soluteMass, k_13to12.u) annotation (Line(
            points={{84,-15.4},{84,-20},{98,-20},{98,14},{70.8,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(v_4to12.q_out, Ca_immediately_changeable.q_out) annotation (Line(
            points={{-14,6},{2,6},{2,-8},{18,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(v_12to4.q_in, Ca_immediately_changeable.q_out) annotation (Line(
            points={{-14,-18},{2,-18},{2,-8},{18,-8}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(v_12to4.q_out, q_in) annotation (Line(
            points={{-34,-18},{-50,-18},{-50,-4},{-60,-4}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(calciumToBone.fluxToBone, v_4to12.soluteFlow) annotation (Line(
            points={{-16,30},{-10,30},{-10,16},{-24,16},{-24,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.CaPool_conc_per_liter, calciumToBone.Ca) annotation (
            Line(
            points={{-80,88},{-80,26},{-32,26}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(calciumFromBone.fluxToBone, v_12to4.soluteFlow) annotation (Line(
            points={{-16,-42},{-10,-42},{-10,-28},{-24,-28},{-24,-24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(osteoblast.Osteoblasts, calciumToBone.Osteoblast) annotation (Line(
            points={{-16,60},{-10,60},{-10,44},{-40,44},{-40,34},{-32,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.BCL2, osteoblast.BCL2) annotation (Line(
            points={{-80,88},{-80,72},{-32,72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.active_TGF_beta, osteoblast.active_TGF_beta) annotation (
           Line(
            points={{-80,88},{-80,64},{-32,64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(osteoclast.Osteoclasts, calciumFromBone.Osteoclast) annotation (Line(
            points={{-16,-68},{-8,-68},{-8,-54},{-40,-54},{-40,-46},{-32,-46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.active_TGF_beta, osteoclast.active_TGF_beta) annotation (
           Line(
            points={{-80,88},{-80,-68},{-32,-68}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(RANK_RANKL_.RANK_RANKL, calciumFromBone.RANK_RANKL) annotation (Line(
            points={{50,56},{100,56},{100,-80},{-66,-80},{-66,-38},{-32,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(osteoblast.Osteoblasts, RANK_RANKL_.Osteoblasts) annotation (Line(
            points={{-16,60},{-8,60},{-8,60},{34,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(osteoblast.RespondingOsteoblasts, RANK_RANKL_.RespondingOsteoblasts)
          annotation (Line(
            points={{-16,64},{-8,64},{-8,64},{34,64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.active_TGF_beta, RANK_RANKL_.active_TGF_beta)
          annotation (Line(
            points={{-80,88},{-80,48},{34,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.PTH, RANK_RANKL_.PTH) annotation (Line(
            points={{-80,88},{-80,54},{34,54}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        annotation ( Icon(coordinateSystem(preserveAspectRatio=false,
                extent={{-100,-100},{100,100}}), graphics={Text(
                extent={{-112,-98},{100,-118}},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                textString="%name",
                lineColor={0,0,127})}));
      end Bone;

      package setup
        model CaInputs

        Physiolibrary.Types.BusConnector busConnector
          annotation (Placement(transformation(extent={{-88,78},{-68,98}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant ECFV_Vol(units=
              "ml", k=14000)
          annotation (Placement(transformation(extent={{-68,46},{-60,54}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant Calcitriol(k=90)
          annotation (Placement(transformation(extent={{-68,70},{-60,78}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant PTH(k=3.85)
          annotation (Placement(transformation(extent={{-68,58},{-60,66}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BladderVolume_Mass(units="ml", k=10)
          annotation (Placement(transformation(extent={{-68,32},{-60,40}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BladderVolume_Mass1(units="ml", k=1000)
          annotation (Placement(transformation(extent={{-68,18},{-60,26}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant
          BladderVolume_Mass2(units="ml", k=1)
          annotation (Placement(transformation(extent={{-68,4},{-60,12}})));
        Physiolibrary.Types.Constants.VolumeFlowRateConst BladderVolume_Mass3(k=
             100)
          annotation (Placement(transformation(extent={{-68,-14},{-60,-6}})));
        Physiolibrary.Types.Constants.DeprecatedUntypedConstant PTH1(k=16.8/14)
          annotation (Placement(transformation(extent={{-68,-28},{-60,-20}})));
        equation
          connect(busConnector.ECFV_Vol, ECFV_Vol.y) annotation (Line(
              points={{-78,88},{2,88},{2,50},{-59.6,50}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(busConnector.BladderVolume_Mass, BladderVolume_Mass.y) annotation (
              Line(
              points={{-78,88},{2,88},{2,36},{-59.6,36}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None), Text(
              string="%first",
              index=-1,
              extent={{-6,3},{-6,3}}));
          connect(BladderVolume_Mass1.y, busConnector.GILumenVolume_Mass)
            annotation (Line(
              points={{-59.6,22},{2,22},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BladderVolume_Mass2.y, busConnector.Diet_Ca_Intake)
            annotation (Line(
              points={{-59.6,8},{2,8},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(BladderVolume_Mass3.y, busConnector.Glomerulus_GFR)
            annotation (Line(
              points={{-59.6,-10},{2,-10},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
          connect(PTH1.y, busConnector.ctPO4) annotation (Line(
              points={{-59.6,-24},{2,-24},{2,88},{-78,88}},
              color={0,0,127},
              smooth=Smooth.None), Text(
              string="%second",
              index=1,
              extent={{6,3},{6,3}}));
        end CaInputs;
      end setup;

      package test
        model T
          setup.CaInputs caInputs
            annotation (Placement(transformation(extent={{-56,-20},{-36,0}})));
          Ca ca
            annotation (Placement(transformation(extent={{-6,-22},{14,-2}})));
          Hormones.PTH PTH
            annotation (Placement(transformation(extent={{-22,22},{-2,42}})));
          Hormones.Calcitriol calcitriol
            annotation (Placement(transformation(extent={{-24,52},{-4,72}})));
        equation
          connect(caInputs.busConnector, ca.busConnector) annotation (Line(
              points={{-53.8,-1.2},{-28.9,-1.2},{-28.9,-3.2},{-3.8,-3.2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(caInputs.busConnector, PTH.busConnector) annotation (Line(
              points={{-53.8,-1.2},{-53.8,40.6},{-20.2,40.6}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
          connect(caInputs.busConnector, calcitriol.busConnector) annotation (
              Line(
              points={{-53.8,-1.2},{-53.8,70.4},{-21.6,70.4},{-21.6,70.2}},
              color={0,0,255},
              thickness=0.5,
              smooth=Smooth.None));
        end T;
      end test;

      model Osteoblast

        Modelica.Blocks.Interfaces.RealInput active_TGF_beta
                                         annotation (Placement(transformation(extent={{-100,
                  -60},{-60,-20}}),     iconTransformation(extent={{-100,-60},{-60,-20}})));
        Modelica.Blocks.Interfaces.RealOutput Osteoblasts
                                                  annotation (Placement(
              transformation(extent={{60,-100},{100,-60}}),
                                                          iconTransformation(extent={{60,-100},
                  {100,-60}})));
        Modelica.Blocks.Interfaces.RealInput BCL2
                                         annotation (Placement(transformation(extent={{-100,
                  -60},{-60,-20}}),     iconTransformation(extent={{-100,20},{-60,60}})));

      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=
            0.00501324)
        annotation (Placement(transformation(extent={{10,-8},{26,8}})));
        Modelica.Blocks.Interfaces.RealOutput RespondingOsteoblasts
                                                  annotation (Placement(
              transformation(extent={{60,-60},{100,-20}}),iconTransformation(extent={{60,-60},
                  {100,-20}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant1(k=
            0.00104122)
        annotation (Placement(transformation(extent={{10,52},{26,68}})));
      equation
        connect(Constant.y, Osteoblasts) annotation (Line(
            points={{26.8,0},{53.4,0},{53.4,-80},{80,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, RespondingOsteoblasts) annotation (Line(
            points={{26.8,60},{53.4,60},{53.4,-40},{80,-40}},
            color={0,0,127},
            smooth=Smooth.None));
      end Osteoblast;

      model Osteoclast
        Modelica.Blocks.Interfaces.RealInput active_TGF_beta
                                         annotation (Placement(transformation(extent={{-100,
                  -20},{-60,20}}),      iconTransformation(extent={{-100,-20},{
                  -60,20}})));
        Modelica.Blocks.Interfaces.RealOutput Osteoclasts
                                                  annotation (Placement(
              transformation(extent={{60,-20},{100,20}}), iconTransformation(extent={{
                  60,-20},{100,20}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=
            0.001154)
        annotation (Placement(transformation(extent={{16,-8},{32,8}})));
      equation
        connect(Constant.y, Osteoclasts) annotation (Line(
            points={{32.8,0},{80,0}},
            color={0,0,127},
            smooth=Smooth.None));
      end Osteoclast;

      model RANK_RANKL
        Modelica.Blocks.Interfaces.RealOutput RANK_RANKL
                                                  annotation (Placement(
              transformation(extent={{60,-20},{100,20}}), iconTransformation(extent={{60,-20},
                  {100,20}})));
        Modelica.Blocks.Interfaces.RealInput active_TGF_beta
                                         annotation (Placement(transformation(extent={{-100,
                  -100},{-60,-60}}),    iconTransformation(extent={{-100,-100},
                  {-60,-60}})));
        Modelica.Blocks.Interfaces.RealInput Osteoblasts
                                         annotation (Placement(transformation(extent={{-100,20},
                  {-60,60}}),           iconTransformation(extent={{-100,20},{
                  -60,60}})));
        Modelica.Blocks.Interfaces.RealInput PTH
                                         annotation (Placement(transformation(extent={{-100,
                  -40},{-60,0}}),       iconTransformation(extent={{-100,-40},{
                  -60,0}})));
        Modelica.Blocks.Interfaces.RealInput RespondingOsteoblasts
                                         annotation (Placement(transformation(extent={{-100,20},
                  {-60,60}}),           iconTransformation(extent={{-100,60},{
                  -60,100}})));
      end RANK_RANKL;
    end Calcium2;

    model SweatGlandSalt
      extends Physiolibrary.Icons.SweatGland;

      parameter Real FractReabBasic=0.8;
      parameter Real FractReabK=log( FractReabBasic)  / 15.0;

    Physiolibrary.Blocks.Factors.Spline AldoEffect(data={{0,0.5,0.0},{12,1.0,
          0.03},{100,2.0,0.0}}, Xscale=1e-9/0.036)
      annotation (Placement(transformation(extent={{-40,32},{-20,52}})));
    Physiolibrary.Types.Constants.FractionConst             Constant(k=1)
      annotation (Placement(transformation(extent={{-40,56},{-32,64}})));
      Modelica.Blocks.Math.Division division
        annotation (Placement(transformation(extent={{-4,32},{16,52}})));
      Modelica.Blocks.Math.Exp FractReab
        annotation (Placement(transformation(extent={{26,32},{46,52}})));
      Modelica.Blocks.Math.Product product
        annotation (Placement(transformation(extent={{-48,4},{-28,24}})));
    Physiolibrary.Types.Constants.FractionConst             Constant1(k=
          FractReabK)
      annotation (Placement(transformation(extent={{-72,4},{-64,12}})));
      Modelica.Blocks.Math.Product Reab
        annotation (Placement(transformation(extent={{72,26},{92,46}})));
      Modelica.Blocks.Math.Feedback Outflow annotation (Placement(
            transformation(
            extent={{-10,10},{10,-10}},
            rotation=270,
            origin={78,-12})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_a salt annotation (Placement(
          transformation(extent={{-110,-70},{-90,-50}}), iconTransformation(
            extent={{-110,-70},{-90,-50}})));
    Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut outputPump(soluteFlow(
          start=0), useSoluteFlowInput=true)
      annotation (Placement(transformation(extent={{66,-72},{90,-48}})));
      Physiolibrary.Chemical.Sensors.ConcentrationMeasure    concentrationMeasure
        annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            origin={2,-58})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-88,76},{-76,88}}), iconTransformation(extent=
             {{60,60},{100,100}})));
      Modelica.Blocks.Math.Product SaltInflow
        annotation (Placement(transformation(extent={{16,-30},{36,-10}})));
    equation
      connect(Constant.y, AldoEffect.yBase) annotation (Line(
          points={{-31,60},{-30,60},{-30,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AldoEffect.y, division.u2) annotation (Line(
          points={{-30,38},{-30,36},{-6,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(division.y, FractReab.u) annotation (Line(
          points={{17,42},{24,42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(product.y, division.u1) annotation (Line(
          points={{-27,14},{-14,14},{-14,48},{-6,48}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, product.u2) annotation (Line(
          points={{-63,8},{-50,8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FractReab.y, Reab.u1) annotation (Line(
          points={{47,42},{70,42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Reab.y, Outflow.u2) annotation (Line(
          points={{93,36},{100,36},{100,-12},{86,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(salt, outputPump.q_in) annotation (Line(
          points={{-100,-60},{66,-60}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(outputPump.soluteFlow, Outflow.y) annotation (Line(
        points={{82.8,-55.2},{82.8,-38},{78,-38},{78,-21}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(salt, concentrationMeasure.q_in) annotation (Line(
          points={{-100,-60},{2,-60}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.SweatGland_H2ORate, product.u1) annotation (Line(
          points={{-82,82},{-80,82},{-80,20},{-50,20}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
    connect(concentrationMeasure.concentration, SaltInflow.u2) annotation (Line(
        points={{2,-54},{2,-26},{14,-26}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.SweatGland_H2ORate, SaltInflow.u1) annotation (Line(
          points={{-82,82},{-80,82},{-80,-14},{14,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(SaltInflow.y, Reab.u2) annotation (Line(
          points={{37,-20},{54,-20},{54,30},{70,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SaltInflow.y, Outflow.u1) annotation (Line(
          points={{37,-20},{54,-20},{54,2},{78,2},{78,-4}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(busConnector.Aldosterone, AldoEffect.u) annotation (Line(
        points={{-82,82},{-80,82},{-80,42},{-38,42}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    end SweatGlandSalt;

    model Bladder
      extends Physiolibrary.Icons.Bladder;

      parameter String stateVarName;

      Physiolibrary.Chemical.Components.Substance                Bladder(
                               stateName=stateVarName, useNormalizedVolume=
          false)
        annotation (Placement(transformation(extent={{-12,-52},{8,-32}})));
    Physiolibrary.Chemical.Components.Clearance bladderVoid(
        useSolutionFlowInput=true)
      annotation (Placement(transformation(extent={{28,-48},{40,-36}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{8,-28},{20,-16}}), iconTransformation(extent=
              {{60,60},{100,100}})));
    Physiolibrary.Chemical.Interfaces.ChemicalPort_a q_in annotation (Placement(
          transformation(extent={{0,0},{20,20}}), iconTransformation(extent={{-10,
              70},{10,90}})));
    equation
      connect(Bladder.q_out,bladderVoid. q_in) annotation (Line(
          points={{-2,-42},{28,-42}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(bladderVoid.solutionFlow, busConnector.BladderVoidFlow) annotation (
       Line(
        points={{34,-37.8},{34,-22},{14,-22}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(q_in, Bladder.q_out) annotation (Line(
          points={{10,10},{-32,10},{-32,-42},{-2,-42}},
          color={200,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(busConnector.BladderVolume_Mass, Bladder.solutionVolume)
      annotation (Line(
        points={{14,-22},{-6,-22},{-6,-38}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    end Bladder;

    model ElectrolytesProperties
      extends Physiolibrary.Icons.Electrolytes;
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-106,88},{-88,106}}), iconTransformation(
            extent={{-120,20},{-80,60}})));
    Physiolibrary.Types.Constants.AmountOfSubstanceConst
                                                  OsmCell_OtherCations(k=0.692)
      annotation (Placement(transformation(extent={{4,-72},{24,-52}})));
    Physiolibrary.Types.Constants.AmountOfSubstanceConst
                                                  CellElectrolytesMass(k=1)
      annotation (Placement(transformation(extent={{6,-96},{26,-76}})));
      Modelica.Blocks.Math.Add3 Cells(
        k3=-1,
        k1=2,
        k2=2)  annotation (Placement(transformation(extent={{48,-68},{68,-48}})));
    Physiolibrary.Types.Constants.AmountOfSubstanceConst
                                                  OsmECFV_OtherAnions(k=0.373)
      annotation (Placement(transformation(extent={{-84,-10},{-74,0}})));
      Modelica.Blocks.Math.Sum ECF(nin=8)
        annotation (Placement(transformation(extent={{-64,-6},{-44,14}})));
      Modelica.Blocks.Math.Sum BloodCations(nin=2,
      k=ones(2)*Modelica.Constants.F,
      y(unit="C/m3"))
        annotation (Placement(transformation(extent={{-76,38},{-56,58}})));
      Modelica.Blocks.Math.Feedback lessPO4
        annotation (Placement(transformation(extent={{76,74},{96,54}})));
      Modelica.Blocks.Math.Feedback lessSO4
        annotation (Placement(transformation(extent={{76,92},{96,72}})));
      Modelica.Blocks.Math.Add3 AnFlow(
      k1=Modelica.Constants.F,
      k2=Modelica.Constants.F,
      k3=2*Modelica.Constants.F)
        annotation (Placement(transformation(extent={{-80,-72},{-60,-52}})));
      Modelica.Blocks.Math.Add3 CatFlow(
      k1=Modelica.Constants.F,
      k2=Modelica.Constants.F,
      k3=Modelica.Constants.F)
        annotation (Placement(transformation(extent={{-80,-44},{-60,-24}})));
      Modelica.Blocks.Math.Feedback CollectingDuct_NetSumCats(y(unit="C"))
        annotation (Placement(transformation(extent={{-44,-44},{-24,-24}})));
      Modelica.Blocks.Math.Sum StrongAnions(nin=5,
      k=ones(5)*Modelica.Constants.F,
      y(unit="C/m3")) "{KA,PO4,SO4,Lac,Cl}"
        annotation (Placement(transformation(extent={{-82,70},{-62,90}})));
      Modelica.Blocks.Math.Feedback ECF_SID(y(unit="C/m3", displayUnit="meq/l"))
      "extracellular fluid strong ion difference"   annotation (Placement(
            transformation(
            extent={{-10,10},{10,-10}},
            origin={0,64})));
      Modelica.Blocks.Math.Feedback lessCl
        annotation (Placement(transformation(extent={{78,52},{98,32}})));
    Modelica.Blocks.Math.Gain toCharge1(k=Modelica.Constants.F)
      annotation (Placement(transformation(extent={{60,52},{68,60}})));
    Modelica.Blocks.Math.Gain toCharge2(k=2*Modelica.Constants.F)
      annotation (Placement(transformation(extent={{60,84},{68,92}})));
    Modelica.Blocks.Math.Gain toCharge3(k=Modelica.Constants.F)
      annotation (Placement(transformation(extent={{58,66},{66,74}})));
    Physiolibrary.Types.Constants.OneConst                  const
      annotation (Placement(transformation(extent={{24,12},{34,22}})));
      Modelica.Blocks.Math.Feedback Pct      annotation (Placement(transformation(
            extent={{-5,-5},{5,5}},
            origin={47,17})));
      Modelica.Blocks.Math.Product plasma_part(y(unit="C/m3", displayUnit=
            "mEq/l")) annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          origin={69,17})));
      Modelica.Blocks.Math.Product ery_part(y(unit="C/m3", displayUnit=
            "mEq/l"))                       annotation (Placement(transformation(
            extent={{-5,-5},{5,5}},
            origin={69,-3})));
      Modelica.Blocks.Math.Add blood_SID(y(unit="C/m3", displayUnit="meq/l"))
      annotation (Placement(transformation(extent={{80,0},{90,10}})));
      Physiolibrary.Types.Constants.VolumeDensityOfChargeConst _RBC_SID(k=
          3184016.2167) "cations expect potassium"
      annotation (Placement(transformation(extent={{48,-10},{56,-2}})));
    equation
      connect(busConnector.KCell_Mass, Cells.u1)  annotation (Line(
          points={{-97,97},{-96,97},{-96,-86},{-22,-86},{-22,-50},{46,-50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(OsmCell_OtherCations.y, Cells.u2)  annotation (Line(
          points={{26.5,-62},{28,-62},{28,-58},{46,-58}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(CellElectrolytesMass.y, Cells.u3)  annotation (Line(
          points={{28.5,-86},{31.5,-86},{31.5,-66},{46,-66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.NaPool_mass, ECF.u[1])  annotation (Line(
          points={{-97,97},{-96,97},{-96,12},{-66,12},{-66,2.25}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KPool_mass, ECF.u[2])  annotation (Line(
          points={{-97,97},{-96,97},{-96,8},{-66,8},{-66,2.75}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.ClPool_mass, ECF.u[3])  annotation (Line(
          points={{-97,97},{-97,10},{-66,10},{-66,3.25}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(OsmECFV_OtherAnions.y, ECF.u[8])  annotation (Line(
          points={{-72.75,-5},{-66,-5},{-66,5.75}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.NaPool, BloodCations.u[1]) annotation (Line(
          points={{-97,97},{-97,64},{-78,64},{-78,47}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.KPool, BloodCations.u[2]) annotation (Line(
          points={{-97,97},{-96,97},{-96,66},{-78,66},{-78,49}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(lessSO4.y, busConnector.BloodIons_StrongAnionsLessSO4)   annotation (Line(
          points={{95,82},{100,82},{100,97},{-97,97}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.BloodIons_StrongAnionsLessPO4, lessPO4.y)   annotation (
          Line(
          points={{-97,97},{100,97},{100,64},{95,64}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(CollectingDuct_NetSumCats.y, busConnector.CollectingDuct_NetSumCats)
        annotation (Line(
          points={{-25,-34},{100,-34},{100,96},{-96,96},{-96,97},{-97,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(CatFlow.y, CollectingDuct_NetSumCats.u1) annotation (Line(
          points={{-59,-34},{-42,-34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AnFlow.y, CollectingDuct_NetSumCats.u2) annotation (Line(
          points={{-59,-62},{-34,-62},{-34,-42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CD_NH4_Outflow, CatFlow.u1)
                                                 annotation (Line(
          points={{-97,97},{-96,97},{-96,-26},{-82,-26}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.CD_PO4_Outflow, AnFlow.u2) annotation (Line(
          points={{-97,97},{-96,97},{-96,-62},{-82,-62}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.CD_SO4_Outflow, AnFlow.u3) annotation (Line(
          points={{-97,97},{-96,97},{-96,-70},{-82,-70}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(BloodCations.y, ECF_SID.u1) annotation (Line(
          points={{-55,48},{-16,48},{-16,64},{-8,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.PO4Pool, StrongAnions.u[2])
        annotation (Line(
          points={{-97,97},{-96,97},{-96,79.2},{-84,79.2}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.SO4Pool, StrongAnions.u[3])
        annotation (Line(
          points={{-97,97},{-97,80},{-84,80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ClPool, StrongAnions.u[5])
        annotation (Line(
          points={{-97,97},{-94,97},{-94,80},{-84,80},{-84,81.6}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.PO4Pool_Osmoles, ECF.u[4]) annotation (Line(
          points={{-97,97},{-96,97},{-96,4},{-68,4},{-68,3.75},{-66,3.75}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.SO4Pool_Osmoles, ECF.u[5]) annotation (Line(
          points={{-97,97},{-96,97},{-96,14},{-66,14},{-66,4.25}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(busConnector.LacPool, StrongAnions.u[4])
            annotation (Line(
          points={{-97,97},{-97,80.8},{-84,80.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(ECF.y, busConnector.OsmECFV_Electrolytes)
        annotation (Line(
          points={{-43,4},{-30,4},{-30,-14},{-97,-14},{-97,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Cells.y, busConnector.OsmCell_Electrolytes)
        annotation (Line(
          points={{69,-58},{100,-58},{100,96},{-97,96},{-97,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.KAPool, StrongAnions.u[1])
        annotation (Line(
          points={{-97,97},{-97,78.4},{-84,78.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.CD_KA_Outflow, AnFlow.u1)                annotation (
         Line(
          points={{-97,97},{-97,-54},{-82,-54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.KAPool_Osmoles, ECF.u[7])                annotation (
         Line(
          points={{-97,97},{-96,97},{-96,16},{-66,16},{-66,5.25}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(BloodCations.y, busConnector.BloodIons_Cations)
        annotation (Line(
          points={{-55,48},{-16,48},{-16,94},{-97,94},{-97,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(busConnector.CD_Na_Outflow, CatFlow.u2) annotation (Line(
          points={{-97,97},{-97,-34},{-82,-34}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.CD_K_Outflow, CatFlow.u3) annotation (Line(
          points={{-97,97},{-97,-42},{-82,-42}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
          points={{-55,48},{-16,48},{-16,97},{-97,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(StrongAnions.y, busConnector.BloodIons_StrongAnions) annotation (
         Line(
          points={{-61,80},{100,80},{100,97},{-97,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(StrongAnions.y, lessSO4.u1)   annotation (Line(
          points={{-61,80},{74,80},{74,82},{78,82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(StrongAnions.y, lessPO4.u1)   annotation (Line(
          points={{-61,80},{74,80},{74,64},{78,64}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(StrongAnions.y, ECF_SID.u2) annotation (Line(
          points={{-61,80},{0,80},{0,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(StrongAnions.y, lessCl.u1) annotation (Line(
          points={{-61,80},{74,80},{74,42},{80,42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lessCl.y, busConnector.BloodIons_StrongAnionsLessCl) annotation (
          Line(
          points={{97,42},{100,42},{100,97},{-97,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(toCharge1.y, lessCl.u2) annotation (Line(
        points={{68.4,56},{76,56},{76,50},{88,50}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.ClPool_conc_per_liter, toCharge1.u) annotation (Line(
        points={{-97,97},{50,97},{50,56},{59.2,56}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(lessSO4.u2, toCharge2.y) annotation (Line(
        points={{86,90},{78,90},{78,88},{68.4,88}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.SO4Pool_conc_per_liter, toCharge2.u) annotation (Line(
        points={{-97,97},{50,97},{50,88},{59.2,88}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(lessPO4.u2, toCharge3.y) annotation (Line(
        points={{86,72},{76,72},{76,70},{66.4,70}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.PO4Pool_conc_per_liter, toCharge3.u) annotation (Line(
        points={{-97,97},{48,97},{48,70},{57.2,70}},
        color={255,0,0},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      connect(ECF_SID.y, busConnector.Plasma_SID) annotation (Line(
          points={{9,64},{36,64},{36,97},{-97,97}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(const.y, Pct.u1) annotation (Line(
          points={{35.25,17},{43,17}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(ery_part.y, blood_SID.u2) annotation (Line(
        points={{74.5,-3},{74.5,2},{79,2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(plasma_part.y, blood_SID.u1) annotation (Line(
        points={{74.5,17},{74.5,8},{79,8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(ECF_SID.y, plasma_part.u1) annotation (Line(
        points={{9,64},{40,64},{40,26},{63,26},{63,20}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Pct.y, plasma_part.u2) annotation (Line(
        points={{51.5,17},{51.5,14},{63,14}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.BloodVol_Hct, Pct.u2) annotation (Line(
          points={{-97,97},{-97,20},{10,20},{10,0},{47,0},{47,13}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.BloodVol_Hct,ery_part. u1) annotation (Line(
          points={{-97,97},{-97,20},{10,20},{10,0},{63,0}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
    connect(blood_SID.y, busConnector.Blood_SID) annotation (Line(
        points={{90.5,5},{100,5},{100,97},{-97,97}},
        color={0,0,127},
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(_RBC_SID.y, ery_part.u2) annotation (Line(
        points={{57,-6},{63,-6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.LacPool_Mass, ECF.u[6]) annotation (Line(
        points={{-97,97},{-97,24},{-96,24},{-96,6},{-66,6},{-66,4.75}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(preserveAspectRatio=true,
              extent={{-100,-100},{100,100}}), graphics={               Text(
              extent={{-122,-58},{120,-92}},
              lineColor={0,0,255},
              textString="%name")}),
        Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
    end ElectrolytesProperties;

    model Electrolytes
        extends Physiolibrary.Icons.Electrolytes;
      Sodium.Sodium sodium
        annotation (Placement(transformation(extent={{-80,60},{-60,80}})));
      Potassium.Potassium potassium
        annotation (Placement(transformation(extent={{-44,60},{-24,80}})));
      Chloride.Chloride2 chloride
        annotation (Placement(transformation(extent={{-10,60},{10,80}})));
      Phosphate.Phosphate3 phosphate
        annotation (Placement(transformation(extent={{-44,16},{-24,36}})));
      Sulphate.Sulphate2 sulphate
      annotation (Placement(transformation(extent={{-10,16},{10,36}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{82,36},{106,60}}), iconTransformation(extent=
              {{-120,20},{-80,60}})));
      ElectrolytesProperties electrolytesProperties
        annotation (Placement(transformation(extent={{48,18},{68,38}})));
    NH4.Ammonium ammonium
      annotation (Placement(transformation(extent={{-86,16},{-66,36}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst CD_Ca_Outflow(k=2e-07)
      "calcium outflow to urine needed for urine acid-base"
      annotation (Placement(transformation(extent={{-54,-22},{-34,-2}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst CD_Mg_Outflow(k=5e-08)
      "magnesium outflow to urine needed for urine acid-base"
      annotation (Placement(transformation(extent={{-54,-44},{-34,-24}})));

    AcidBase.AcidBase acidBase
      annotation (Placement(transformation(extent={{42,72},{62,92}})));
    equation
      connect(sodium.busConnector, busConnector) annotation (Line(
          points={{-62,78},{-62,48},{94,48}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, potassium.busConnector) annotation (Line(
          points={{94,48},{-26,48},{-26,78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, chloride.busConnector) annotation (Line(
          points={{94,48},{8.1,48},{8.1,78.1}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector, electrolytesProperties.busConnector) annotation (
          Line(
          points={{94,48},{48,48},{48,32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
    connect(sulphate.busConnector, busConnector) annotation (Line(
        points={{8,34},{8,48},{94,48}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
      connect(phosphate.busConnector, busConnector) annotation (Line(
          points={{-26,34},{-26,48},{94,48}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
    connect(ammonium.busConnector, busConnector) annotation (Line(
        points={{-67.9,34.1},{-67.9,48},{94,48}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));

      connect(CD_Ca_Outflow.y, busConnector.CD_Ca_Outflow) annotation (Line(
          points={{-31.5,-12},{94,-12},{94,48}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(CD_Mg_Outflow.y, busConnector.CD_Mg_Outflow) annotation (Line(
          points={{-31.5,-34},{94,-34},{94,48}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

    connect(busConnector, acidBase.busConnector) annotation (Line(
        points={{94,48},{74,48},{74,82.2},{52,82.2}},
        color={255,204,51},
        thickness=0.5,
        smooth=Smooth.None));
      annotation (                                        Icon(coordinateSystem(preserveAspectRatio=true,
              extent={{-100,-100},{100,100}}), graphics={               Text(
              extent={{-122,-58},{120,-92}},
              lineColor={0,0,255},
              textString="%name")}),
        Documentation(revisions="<html>

<table>
<tr>
<td>Author:</td>
<td>Marek Matejak</td>
</tr>
<tr>
<td>License:</td>
<td><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </td>
</tr>
<tr>
<td>By:</td>
<td>Charles University, Prague</td>
</tr>
<tr>
<td>Date of:</td>
<td>2009</td>
</tr>
<tr>
<td>References:</td>
<td>Tom Coleman: QHP 2008 beta 3, University of Mississippi Medical Center</td>
</tr><tr>
<td></td>
<td>Noriaki Ikeda: A model of overall regulation of body fluids (1979), Kitasato University</td>
</tr>
</table>
<br/><p>Copyright &copy; 2014 Marek Matejak, Charles University in Prague.</p><br/>

</html>"));
    end Electrolytes;

    package IO_Bus
        extends Physiolibrary.Types.IO_Bus;

      redeclare model extends Variables

      AcidBase.AcidBase_variables acidBase_variables(T(redeclare block Variable = T.Variable))
          annotation (Placement(transformation(extent={{4,-88},{24,-68}})));

      T.VolumeDensityOfCharge BloodCations(varName="BloodIons.Cations")
        "Sum of all cations concentrations in blood."
      annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
      T.MolarFlowRate CD_K_Outflow(varName="CD_K.Outflow")
        "Collecting duct potassium outflow to urine."
      annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
      T.MolarFlowRate CD_Na_Outflow(varName="CD_Na.Outflow")
        "Collecting duct sodium outflow to urine."
      annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
      T.MolarFlowRate CD_PO4_Outflow(varName="CD_PO4.Outflow")
        "Collecting duct phosphates outflow to urine."
      annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
      T.Fraction DT_AldosteroneEffect(varName="DT_AldosteroneEffect")
        "Aldosterone effect to distal tubule reabsorbtion."
      annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
      T.MolarFlowRate DT_Na_Outflow(varName="DT_Na.Outflow")
        "Distal tubule sodium outflow."
      annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
      T.MolarFlowRate DT_Na_Reab(varName="DT_Na.Reab")
        "Distal tubule sodium reabsorbtion."
      annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
      T.AmountOfSubstance GILumenPotassium_Mass(varName="GILumenPotassium.Mass")
        "Potasium mass in intestines."
      annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
      T.AmountOfSubstance GILumenSodium_Mass(varName="GILumenSodium.Mass")
        "Sodium mass in intestines."
      annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
      T.MolarFlowRate PotassiumToCells(varName="KCell.Change")
        "PotasiumToCells"
      annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
      T.Concentration KCell_conc(varName="KCell.[K+(mEq/L)]")
        "Intracellular potassium concentration."
      annotation (Placement(transformation(extent={{-36,150},{-30,156}})));
      T.Concentration KPool_per_liter(varName="KPool.[K+(mEq/L)]")
        "Potassium extracellular concentration."
      annotation (Placement(transformation(extent={{-36,160},{-30,166}})));
      T.Fraction LH_Na_FractReab(varName="LH_Na.FractReab")
        "Sodium reabsorbtion fraction (=reabsorbed/inflowed) in loop of Henle."
      annotation (Placement(transformation(extent={{-36,170},{-30,176}})));

      T.MolarFlowRate LH_Na_Reab(varName="LH_Na.Reab")
        "Sodium reabsorbtion in loop of Henle."
      annotation (Placement(transformation(extent={{-36,180},{-30,186}})));
      T.Concentration MD_Na(varName="MD_Na.[Na+(mEq/L)]")
        "Kidney nephron - Maculla densa sodium concentration."
      annotation (Placement(transformation(extent={{-36,190},{-30,196}})));
      T.Osmolarity MedullaNa_Osmolarity(varName="MedullaNa.Osmolarity")
        "Kidney medulla interstitial sodium osmolarity."
      annotation (Placement(transformation(extent={{-36,200},{-30,206}})));
      T.Concentration MedullaNa_conc(varName="MedullaNa.[Na+]", storeUnit="mol/l")
        "Kidney medulla interstitial sodium concentration."
      annotation (Placement(transformation(extent={{-36,210},{-30,216}})));
      T.AmountOfSubstance OsmCell_Electrolytes(varName="OsmCell.Electrolytes")
        "Intracellular electrolites osmoles."
      annotation (Placement(transformation(extent={{-36,220},{-30,226}})));
      T.AmountOfSubstance OsmECFV_Electrolytes(varName="OsmECFV.Electrolytes")
        "Extracellular electrolites osmoles."
      annotation (Placement(transformation(extent={{-36,230},{-30,236}})));
      T.Concentration ctPO4(varName="PO4Pool.[PO4--(mEq/L)]")
        "Extracellular phosphates concentration."
      annotation (Placement(transformation(extent={{-36,240},{-30,246}})));
      T.Fraction PT_Na_FractReab(varName="PT_Na.FractReab")
        "Proximal tubule sodium reabsorbtion fraction (=reabsorbed/inflowed)."
      annotation (Placement(transformation(extent={{-36,250},{-30,256}})));

      T.MolarFlowRate PT_Na_Reab(varName="PT_Na.Reab")
        "Proximal tubule sodium reabsorbtion."
      annotation (Placement(transformation(extent={{-36,260},{-30,266}})));
      T.MolarFlowRate CD_NH4_Outflow(varName="CD_NH4.Outflow")
        "Collecting duct amonium outflow to urine."
      annotation (Placement(transformation(extent={{-68,50},{-62,56}})));
      T.VolumeDensityOfCharge BloodIons_Cations1(varName="BloodIons.[SID(mEq/L)]")
        "Sum of all cations concentrations in blood."
      annotation (Placement(transformation(extent={{-68,28},{-62,34}})));
      T.MolarFlowRate CD_Cl_Outflow1(varName="CD_Cl.Outflow")
        "Collecting duct chloride outflow to urine."
      annotation (Placement(transformation(extent={{-66,-6},{-60,0}})));
      T.MolarFlowRate CD_Mg_Outflow(varName="CD_Mg_Outflow")
        "Collecting duct chloride outflow to urine."
      annotation (Placement(transformation(extent={{-66,-22},{-60,-16}})));
      T.MolarFlowRate CD_Ca_Outflow3(varName="CD_Ca_Outflow")
        "Collecting duct calcium outflow to urine."
      annotation (Placement(transformation(extent={{-66,-38},{-60,-32}})));
      T.MolarFlowRate CD_SO4_Outflow(varName="CD_SO4_Outflow")
        "Collecting duct sulfate outflow to urine."
      annotation (Placement(transformation(extent={{-66,-54},{-60,-48}})));

      equation
      connect(BloodCations.y, busConnector.BloodCations) annotation (Line(
       points={{-29.7,13},{90,13},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_K_Outflow.y, busConnector.CD_K_Outflow) annotation (Line(
       points={{-29.7,43},{90,43},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_Na_Outflow.y, busConnector.CD_Na_Outflow) annotation (Line(
       points={{-29.7,63},{90,63},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(CD_PO4_Outflow.y, busConnector.CD_PO4_Outflow) annotation (Line(
       points={{-29.7,73},{90,73},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_AldosteroneEffect.y, busConnector.DT_AldosteroneEffect) annotation (Line(
       points={{-29.7,83},{90,83},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_Na_Outflow.y, busConnector.DT_Na_Outflow) annotation (Line(
       points={{-29.7,93},{90,93},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DT_Na_Reab.y, busConnector.DT_Na_Reab) annotation (Line(
       points={{-29.7,103},{90,103},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenPotassium_Mass.y, busConnector.GILumenPotassium_Mass) annotation (Line(
       points={{-29.7,113},{90,113},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GILumenSodium_Mass.y, busConnector.GILumenSodium_Mass) annotation (Line(
       points={{-29.7,123},{90,123},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PotassiumToCells.y, busConnector.PotassiumToCells) annotation (Line(
       points={{-29.7,143},{90,143},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LH_Na_FractReab.y, busConnector.LH_Na_FractReab) annotation (Line(
       points={{-29.7,173},{90,173},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LH_Na_Reab.y, busConnector.LH_Na_Reab) annotation (Line(
       points={{-29.7,183},{90,183},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MD_Na.y, busConnector.MD_Na) annotation (Line(
       points={{-29.7,193},{90,193},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaNa_Osmolarity.y, busConnector.MedullaNa_Osmolarity) annotation (Line(
       points={{-29.7,203},{90,203},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(MedullaNa_conc.y, busConnector.MedullaNa_conc) annotation (Line(
       points={{-29.7,213},{90,213},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmCell_Electrolytes.y, busConnector.OsmCell_Electrolytes) annotation (Line(
       points={{-29.7,223},{90,223},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OsmECFV_Electrolytes.y, busConnector.OsmECFV_Electrolytes) annotation (Line(
       points={{-29.7,233},{90,233},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(ctPO4.y, busConnector.ctPO4) annotation (Line(
       points={{-29.7,243},{90,243},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PT_Na_FractReab.y, busConnector.PT_Na_FractReab) annotation (Line(
       points={{-29.7,253},{90,253},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(PT_Na_Reab.y, busConnector.PT_Na_Reab) annotation (Line(
       points={{-29.7,263},{90,263},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(KPool_per_liter.y, busConnector.KPool) annotation (
           Line(
            points={{-29.7,163},{90,163},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KCell_conc.y, busConnector.KCell_conc) annotation (Line(
          points={{-29.7,153},{90,153},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(CD_NH4_Outflow.y, busConnector.CD_NH4_Outflow) annotation (Line(
          points={{-61.7,53},{90,53},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(CD_Cl_Outflow1.y, busConnector.CD_Cl_Outflow) annotation (Line(
          points={{-59.7,-3},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(CD_Mg_Outflow.y, busConnector.CD_Mg_Outflow) annotation (Line(
          points={{-59.7,-19},{90,-19},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(CD_Ca_Outflow3.y, busConnector.CD_Ca_Outflow) annotation (Line(
          points={{-59.7,-35},{11.15,-35},{11.15,-2},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(CD_SO4_Outflow.y, busConnector.CD_SO4_Outflow) annotation (Line(
          points={{-59.7,-51},{90,-51},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(acidBase_variables.busConnector, busConnector) annotation (Line(
          points={{12,-78},{90,-78},{90,-2}},
          color={255,204,51},
          thickness=0.5,
          smooth=Smooth.None));
      connect(BloodIons_Cations1.y, busConnector.Plasma_SID) annotation (Line(
          points={{-61.7,31},{90,31},{90,34},{90,34},{90,32},{90,32},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{18,98},{100,60}},
                lineColor={0,0,0},
                textString="vars"), Text(
                extent={{-120,-58},{122,-92}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model Electrolytes_test
      import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.Electrolytes electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Electrolytes.IO_Bus.OutputComparison electrolytes_dif
          annotation (Placement(transformation(extent={{48,-38},{68,-18}})));
        Physiomodel.Electrolytes.IO_Bus.OutputToFile electrolytes_varsToFile
          annotation (Placement(transformation(extent={{22,-34},{42,-14}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{74,-20},{-6,-20},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector, electrolytes_dif.busConnector)
          annotation (Line(
            points={{74,-20},{66,-20},{66,-28},{58,-28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes_varsToFile.busConnector, electrolytes.busConnector)
          annotation (Line(
            points={{32,-24},{44,-24},{44,-20},{74,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        annotation (        experiment(StopTime=86400));
      end Electrolytes_test;

      model Electrolytes_test_SI
      import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.Electrolytes electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Electrolytes.IO_Bus.OutputComparison_SI electrolytes_dif
          annotation (Placement(transformation(extent={{48,-38},{68,-18}})));
        Physiomodel.Electrolytes.IO_Bus.OutputToFile_SI electrolytes_varsToFile
          annotation (Placement(transformation(extent={{22,-34},{42,-14}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{74,-20},{-6,-20},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector, electrolytes_dif.busConnector)
          annotation (Line(
            points={{74,-20},{66,-20},{66,-28},{58,-28}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes_varsToFile.busConnector, electrolytes.busConnector)
          annotation (Line(
            points={{32,-24},{44,-24},{44,-20},{74,-20}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Electrolytes_test_SI;

      model ElectrolytesAndProteins_test_SI
      import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.Electrolytes electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.Water3                  water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,11},{-69,11}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{74,-20},{-6,-20},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end ElectrolytesAndProteins_test_SI;
    end IO_Bus;
    annotation (Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: HumMod 1.6, University of Mississippi Medical Center</p></td>
</tr>
</table>
<p>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>", info="<html>
<p>Electrolytes have four main functions:</p>
<ul>
<li>Establish the osmotic concentration gradients on cell membranes</li>
<li>With balanced concentrations together with acid-base buffers establish the optimal acidity.</li>
<li>With balanced concentrations together with radicals and antioxidants establish the optimal reduction potential.</li>
<li>Electric signaling of cells such as neural action potential is possible because of passive/active selective membrane transports of electrolytes.</li>
</ul>
<p><br>The main electrolytes are:</p>
<ul>
<li>Sodium (Na+). Reabsorption of sodium in kidney nephrons is one of the main power for reabsorption of water [Wright1982,Bruun1990]. This process is driven by aldosterone[Young1976,Stanton1986] and angiotensin II [Ofangii1986,Lohmeier1998,Seeliger1999]. Sodium is reabsorbed in each part of nephron in different way such as from proximal tubule [Wiederholt1967,Gullans1985], from loop of Henle [Cortney1966] or from distal tubule[Morgan1969]. Other type of excretion is by sweating[Epstein1999,Quinton1991,Sato1989].</li>
<li>Potassuim (K+). The main compartment for potassium is intracellular fluid. Excretion of potassium by nephrons is driven also by aldosterone feedback control [Young1976, Young1983, Young1988]. The amount of secreted potassium to urine is dependent also on potasium plasma concentration [Toussaint1962] and on sodium excretion [Good1984,Young1984]. Other type of excretion is by sweating[Epstein1999,Quinton1991,Sato1989].</li>
<li>Chloride(Cl-) is the main plasma anion. His renal excretion such as renal excretion of amonium and bicarbonates is driven by the acidity of plasma [Cogan1979,Sartorius1949]. Other type of excretion is by sweating[Epstein1999,Quinton1991,Sato1989].</li>
<li>Amonium(NH4+) is formed and excreted in kidney to compensate plasma hydrogen ions concentration[Rodriguez-Nichols1984], because its production consume the free hydrogen ions changing to a strong cation at pH&LT;=7.4.  </li>
<li>Phosphates(H2PO4-, HPO4^2-) and sulphate(SO4^2-) has no renal reabsorption, which means, that their excretion to urine is dependent only on Donnan&apos;s equilibrium on glomerular membrane [Donnan1911]. </li>
</ul>
</html>"));
  end Electrolytes;

  package Nerves "Autonimic Nerves"
    extends Physiolibrary.Icons.NervesLib;
    model BaroReceptorAdaptation
      extends Physiolibrary.Icons.Barroreceptor;
      Physiolibrary.Types.RealIO.PressureInput pressure
                                             annotation (Placement(transformation(
              extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-110,-10},
                {-90,10}})));
    Physiolibrary.Blocks.Math.Integrator adaptivePressure(
      y_start=AdaptivePressure,
      stateName="Baroreflex.AdaptedPressure",
        k=1/Tau)
      annotation (Placement(transformation(extent={{-22,-10},{-2,10}})));
      Modelica.Blocks.Math.Feedback pressureChange
        annotation (Placement(transformation(extent={{-70,-10},{-50,10}})));
    Physiolibrary.Blocks.Interpolation.Curve pressureChangeOnNA(
      x=PressureChangeOnNA[:, 1],
      y=PressureChangeOnNA[:, 2],
      slope=PressureChangeOnNA[:, 3],
        Xscale=101325/760)
      annotation (Placement(transformation(extent={{30,16},{66,52}})));
      Physiolibrary.Types.RealIO.FractionOutput NA
        annotation (Placement(transformation(extent={{80,-20},{120,20}})));
      parameter Physiolibrary.Types.Pressure AdaptivePressure(displayUnit="mmHg");
      parameter Physiolibrary.Types.Time Tau(displayUnit="h");
      parameter Real PressureChangeOnNA[3,:];

    equation
      connect(pressureChange.u2, adaptivePressure.y) annotation (Line(
          points={{-60,-8},{-60,-22},{12,-22},{12,0},{-1,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureChange.y, adaptivePressure.u) annotation (Line(
          points={{-51,0},{-24,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureChangeOnNA.val, NA) annotation (Line(
          points={{66,34},{88,34},{88,0},{100,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressureChange.y, pressureChangeOnNA.u) annotation (Line(
          points={{-51,0},{-40,0},{-40,34},{30,34}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pressure, pressureChange.u1) annotation (Line(
          points={{-100,0},{-68,0}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={
            Text(
              extent={{-122,130},{118,102}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name")}));
    end BaroReceptorAdaptation;

    model SympatheticCNS
    extends Physiolibrary.Icons.SympatheticNerves;
      parameter Real BaroEffect[:,3]={{ 0.0,  1.5,  0}, { 1.0,  1.0,  -0.5}, { 2.0,  0.5,  0}};
      parameter Real LowPressureEffect[:, 3]={{ 0.0,  1.1,  0}, { 1.0,  1.0,  -0.1}, { 4.0,  0.9,  0}};
      parameter Real FuelEffect[:,3]={{ 0.30,  0.0,  0}, { 0.60,  3.0,  0}, { 0.80,  0.0,  0}};
      parameter Real A2ConcEffect[:,3]={{ 1.7,  1.0,  0}, { 2.3,  1.4,  0}};

      Modelica.Blocks.Interfaces.RealInput CarotidSinusReceptors
        annotation (Placement(transformation(extent={{-100,60},{-60,100}}),
            iconTransformation(extent={{-100,60},{-60,100}})));
      Modelica.Blocks.Interfaces.RealInput LowPressureReceptors
        annotation (Placement(transformation(extent={{-120,20},{-80,60}})));
    Physiolibrary.Blocks.Interpolation.Curve baroEffect(
      x=BaroEffect[:, 1],
      y=BaroEffect[:, 2],
      slope=BaroEffect[:, 3])
      annotation (Placement(transformation(extent={{-46,70},{-26,90}})));
    Physiolibrary.Blocks.Interpolation.Curve lowPressureEffect(
      x=LowPressureEffect[:, 1],
      y=LowPressureEffect[:, 2],
      slope=LowPressureEffect[:, 3])
      annotation (Placement(transformation(extent={{-46,30},{-26,50}})));
      Modelica.Blocks.Interfaces.RealInput brain_Fuel_FractUseDelay
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
    Physiolibrary.Blocks.Interpolation.Curve fuelEffect(
      x=FuelEffect[:, 1],
      y=FuelEffect[:, 2],
      slope=FuelEffect[:, 3])
      annotation (Placement(transformation(extent={{-46,-10},{-26,10}})));
      Physiolibrary.Types.RealIO.ConcentrationInput Angiotensin2 annotation (
        Placement(transformation(extent={{-100,-100},{-60,-60}}),
          iconTransformation(extent={{-100,-100},{-60,-60}})));
      Modelica.Blocks.Math.Product reflexNA
        annotation (Placement(transformation(extent={{-2,54},{18,74}})));
      Modelica.Blocks.Math.Product neuralActivity
        annotation (Placement(transformation(extent={{56,-10},{76,10}})));
      Modelica.Blocks.Math.Sum stimulus(nin=3)
        annotation (Placement(transformation(extent={{28,8},{48,28}})));
      Physiolibrary.Types.RealIO.FrequencyOutput
                                            NA(
                                        displayUnit="Hz")
        annotation (Placement(transformation(extent={{80,-80},{120,-40}}),
            iconTransformation(extent={{80,-80},{120,-40}})));
      Modelica.Blocks.Interfaces.RealInput ExerciseSymps_TotalEffect
        annotation (Placement(transformation(extent={{-120,-60},{-80,-20}})));
      Modelica.Blocks.Math.Gain gain(k=1.5)
        annotation (Placement(transformation(extent={{84,-4},{92,4}})));
      Modelica.Blocks.Interfaces.RealOutput SympsCNS_A2Effect
        annotation (Placement(transformation(extent={{82,18},{122,58}}),
            iconTransformation(extent={{80,20},{120,60}})));
      Modelica.Blocks.Interfaces.RealOutput SympsCNS_BaroEffect
        annotation (Placement(transformation(extent={{60,60},{100,100}}),
            iconTransformation(extent={{60,60},{100,100}})));
    Physiolibrary.Blocks.Factors.Spline V0_A2_Effect(
      Xscale=1e-9/Substances.AngiotensinII.mw,
      UsePositiveLog10=true,
      data=A2ConcEffect)
      annotation (Placement(transformation(extent={{-30,-89},{-10,-69}})));
    Physiolibrary.Types.Constants.FractionConst fraction(k(displayUnit="1") = 1)
      annotation (Placement(transformation(extent={{-34,-64},{-26,-56}})));
    equation
      connect(CarotidSinusReceptors, baroEffect.u) annotation (Line(
          points={{-80,80},{-46,80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LowPressureReceptors, lowPressureEffect.u) annotation (Line(
          points={{-100,40},{-46,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain_Fuel_FractUseDelay, fuelEffect.u) annotation (Line(
          points={{-100,0},{-46,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(baroEffect.val, reflexNA.u1) annotation (Line(
          points={{-26,80},{-14,80},{-14,70},{-4,70}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lowPressureEffect.val, reflexNA.u2) annotation (Line(
          points={{-26,40},{-14,40},{-14,58},{-4,58}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(fuelEffect.val, stimulus.u[1])
                                         annotation (Line(
          points={{-26,0},{20,0},{20,18},{26,18},{26,16.6667}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(stimulus.y, neuralActivity.u1)
                                  annotation (Line(
          points={{49,18},{49.5,18},{49.5,6},{54,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(reflexNA.y, stimulus.u[2])
                                     annotation (Line(
          points={{19,64},{22,64},{22,18},{26,18}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ExerciseSymps_TotalEffect, stimulus.u[3]) annotation (Line(
          points={{-100,-40},{22,-40},{22,19.3333},{26,19.3333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(neuralActivity.y, gain.u) annotation (Line(
          points={{77,0},{83.2,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain.y, NA) annotation (Line(
          points={{92.4,0},{96,0},{96,-60},{100,-60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(baroEffect.val, SympsCNS_BaroEffect) annotation (Line(
          points={{-26,80},{80,80}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(Angiotensin2, V0_A2_Effect.u) annotation (Line(
        points={{-80,-80},{-46,-80},{-46,-79},{-28,-79}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(V0_A2_Effect.y, SympsCNS_A2Effect) annotation (Line(
        points={{-20,-83},{-20,-96},{38,-96},{38,38},{102,38}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(V0_A2_Effect.y, neuralActivity.u2) annotation (Line(
        points={{-20,-83},{-20,-96},{38,-96},{38,-6},{54,-6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(fraction.y, V0_A2_Effect.yBase) annotation (Line(
        points={{-25,-60},{-20,-60},{-20,-77}},
        color={0,0,127},
        smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-160,198},{156,164}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name")}));
    end SympatheticCNS;

    model ExerciseSympathetic
    extends Physiolibrary.Icons.PhysicalExercise;
      parameter Real MotorRadiation_TotalEffect[:,3]={{    0,  0.0,  0.004}, {  500,  2.2,  0.002}, { 1000,  2.6,  0}};
      parameter Real PhOnNerveActivity[:,3]={{ 6.5,  5.0,  0}, { 6.9,  0.0,  0}};

    Physiolibrary.Blocks.Interpolation.Curve
      SkeletalMuscle_Metaboreflex_NerveActivity(
      x=PhOnNerveActivity[:, 1],
      y=PhOnNerveActivity[:, 2],
      slope=PhOnNerveActivity[:, 3])
      annotation (Placement(transformation(extent={{-54,20},{-34,40}})));
      Physiolibrary.Types.RealIO.pHInput   SkeletalMuscle_Ph
        annotation (Placement(transformation(extent={{-136,0},{-96,40}}),
            iconTransformation(extent={{-120,20},{-80,60}})));
    Physiolibrary.Blocks.Interpolation.Curve motorRadiation_TotalEffect(
      x=MotorRadiation_TotalEffect[:, 1],
      y=MotorRadiation_TotalEffect[:, 2],
      slope=MotorRadiation_TotalEffect[:, 3])
      annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
      Modelica.Blocks.Math.Sum totalEffect(nin=2)
        annotation (Placement(transformation(extent={{32,-10},{52,10}})));
      Modelica.Blocks.Math.Gain gain(k=0.32)
        annotation (Placement(transformation(extent={{-26,26},{-18,34}})));
      Physiolibrary.Types.RealIO.FractionOutput ExerciseSymps_TotalEffect
        annotation (Placement(transformation(extent={{78,-20},{118,20}})));
      Physiolibrary.Types.RealIO.PowerInput ExerciseMetabolism_TotalWats
        annotation (Placement(transformation(extent={{-118,-60},{-78,-20}}),
            iconTransformation(extent={{-118,-60},{-78,-20}})));
    equation
      connect(SkeletalMuscle_Ph, SkeletalMuscle_Metaboreflex_NerveActivity.u)
                                            annotation (Line(
          points={{-116,20},{-85,20},{-85,30},{-54,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SkeletalMuscle_Metaboreflex_NerveActivity.val, gain.u)
        annotation (Line(
          points={{-34,30},{-26.8,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gain.y, totalEffect.u[1])
                                 annotation (Line(
          points={{-17.6,30},{6,30},{6,-1},{30,-1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(motorRadiation_TotalEffect.val, totalEffect.u[2])
                                                         annotation (Line(
          points={{-34,0},{-1.9,0},{-1.9,1},{30,1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ExerciseMetabolism_TotalWats, motorRadiation_TotalEffect.u)
                                            annotation (Line(
          points={{-98,-40},{-76,-40},{-76,0},{-54,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(totalEffect.y, ExerciseSymps_TotalEffect) annotation (Line(
          points={{53,0},{98,0}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={
            Text(
              extent={{-132,142},{130,106}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name")}));
    end ExerciseSympathetic;

    model VagusNerve
    extends Physiolibrary.Icons.NervusVagus;
      parameter Real SympsOnParasymps[:,3]={{ 0.0,  8.0,  0}, { 1.5,  2.0,  -2.0}, { 4.5,  0.0,  0}};

    Physiolibrary.Blocks.Interpolation.Curve sympsOnParasymps(
      x=SympsOnParasymps[:, 1],
      y=SympsOnParasymps[:, 2],
      slope=SympsOnParasymps[:, 3])
      annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
      Physiolibrary.Types.RealIO.FrequencyOutput VagusNerve_NA_Hz
        annotation (Placement(transformation(extent={{78,-20},{118,20}})));
      Physiolibrary.Types.RealIO.FrequencyInput SympsCNS_NA_Hz
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
    equation
      connect(SympsCNS_NA_Hz, sympsOnParasymps.u)
                                            annotation (Line(
          points={{-100,0},{-54,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sympsOnParasymps.val, VagusNerve_NA_Hz) annotation (Line(
          points={{-34,0},{98,0}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={
            Text(
              extent={{-104,136},{100,102}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name")}));
    end VagusNerve;

    model GangliaKidney
      extends Physiolibrary.Icons.Kidney;
      parameter Real LowPressureEffect[:,3]={{ 0.0,  1.5,  0}, { 1.0,  1.0,  -0.4}, { 4.0,  0.2,  0}};
      parameter Real FuelEffect[:,3]={{ 0.30,  0.0,  0}, { 0.60,  3.0,  0}, { 0.80,  0.0,  0}};

      Modelica.Blocks.Interfaces.RealInput SympsCNS_BaroEffect
        annotation (Placement(transformation(extent={{-120,-60},{-80,-20}}),
            iconTransformation(extent={{-120,-60},{-80,-20}})));
      Modelica.Blocks.Interfaces.RealOutput NA
        annotation (Placement(transformation(extent={{60,42},{100,82}})));
      Modelica.Blocks.Interfaces.RealInput LowPressureReceptors_NA
        annotation (Placement(transformation(extent={{-120,20},{-80,60}}),
            iconTransformation(extent={{-120,20},{-80,60}})));
      Modelica.Blocks.Interfaces.RealInput brain_Fuel_FractUseDelay
        annotation (Placement(transformation(extent={{-100,60},{-60,100}}),
            iconTransformation(extent={{-100,60},{-60,100}})));
      Modelica.Blocks.Interfaces.RealInput SympsCNS_A2Effect
        annotation (Placement(transformation(extent={{-100,-100},{-60,-60}}),
            iconTransformation(extent={{-100,-100},{-60,-60}})));
      Modelica.Blocks.Interfaces.RealInput ExerciseSymps_TotalEffect
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}}),
            iconTransformation(extent={{-120,-20},{-80,20}})));
      Modelica.Blocks.Math.Product      ReflexNA
        annotation (Placement(transformation(extent={{-12,4},{8,24}})));
    Physiolibrary.Blocks.Interpolation.Curve LowPressureEffectCurve(
      x=LowPressureEffect[:, 1],
      y=LowPressureEffect[:, 2],
      slope=LowPressureEffect[:, 3])
      annotation (Placement(transformation(extent={{-66,22},{-30,58}})));
    Physiolibrary.Blocks.Interpolation.Curve FuelEffectCurve(
      x=FuelEffect[:, 1],
      y=FuelEffect[:, 2],
      slope=FuelEffect[:, 3])
      annotation (Placement(transformation(extent={{-34,62},{2,98}})));
      Modelica.Blocks.Math.Sum sum1(nin=3)
        annotation (Placement(transformation(extent={{32,16},{52,36}})));
      Modelica.Blocks.Math.Product NeuralActivity
        annotation (Placement(transformation(extent={{62,-28},{82,-8}})));
      Modelica.Blocks.Math.Gain toHz(k=1.5)
        annotation (Placement(transformation(extent={{88,-4},{96,4}})));
    equation
      connect(LowPressureReceptors_NA, LowPressureEffectCurve.u) annotation (Line(
          points={{-100,40},{-66,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain_Fuel_FractUseDelay, FuelEffectCurve.u) annotation (Line(
          points={{-80,80},{-34,80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ReflexNA.y, sum1.u[1]) annotation (Line(
          points={{9,14},{18,14},{18,24.6667},{30,24.6667}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ExerciseSymps_TotalEffect, sum1.u[2]) annotation (Line(
          points={{-100,0},{16,0},{16.8848,25.502},{30,26}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(FuelEffectCurve.val, sum1.u[3]) annotation (Line(
          points={{2,80},{16,80},{16,26},{30,26},{30,27.3333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sum1.y, NeuralActivity.u1) annotation (Line(
          points={{53,26},{56,26},{56,-12},{60,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsCNS_A2Effect, NeuralActivity.u2) annotation (Line(
          points={{-80,-80},{42,-80},{42,-24},{60,-24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(NeuralActivity.y, toHz.u) annotation (Line(
          points={{83,-18},{86,-18},{86,0},{87.2,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(toHz.y, NA) annotation (Line(
          points={{96.4,0},{98,0},{98,36},{68,36},{68,62},{80,62}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(LowPressureEffectCurve.val, ReflexNA.u1) annotation (Line(
        points={{-30,40},{-22,40},{-22,20},{-14,20}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(SympsCNS_BaroEffect, ReflexNA.u2) annotation (Line(
        points={{-100,-40},{-58,-40},{-58,8},{-14,8}},
        color={0,0,127},
        smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-112,138},{110,106}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name"), Ellipse(extent={{-106,104},{100,-98}},
                lineColor={0,0,0})}));
    end GangliaKidney;

    model BetaReceptorsActivityFactor
      //extends Library.BaseFactor2;

      Modelica.Blocks.Interfaces.RealInput GangliaGeneral_NA(final quantity=
            "Frequency", final displayUnit="Hz")       annotation (Placement(transformation(extent={{-100,40},
                {-80,60}}), iconTransformation(extent={{-108,-70},{-88,-50}})));
      Modelica.Blocks.Interfaces.RealInput BetaPool_Effect
                                          annotation (Placement(transformation(extent={{-100,0},
                {-80,20}}),
            iconTransformation(extent={{-108,50},{-88,70}})));
      Modelica.Blocks.Interfaces.RealInput BetaBlockade_Effect
                   annotation (Placement(transformation(extent={{-42,-46},{-22,-26}}),
            iconTransformation(extent={{-108,-10},{-88,10}})));
      Modelica.Blocks.Interfaces.RealInput yBase
                               annotation (Placement(transformation(extent={{-10,-10},
                {10,10}},
            rotation=270,
            origin={86,90}),
            iconTransformation(extent={{-10,-10},{10,10}},rotation=270,
            origin={0,70})));
      Modelica.Blocks.Interfaces.RealOutput y
                            annotation (Placement(transformation(extent={{-10,-10},
                {10,10}},
            rotation=270,
            origin={80,-90}),
            iconTransformation(extent={{-10,-10},{10,10}},  rotation=270,
            origin={0,-70})));

      parameter Real NEURALK(displayUnit="1/Hz") = 0.333;
      parameter Real HUMORALK = 0.5;
      parameter Boolean Switch = false;
      parameter Real Setting = 0;

      Modelica.Blocks.Math.Add TotalAgonism(k1=NEURALK, k2=HUMORALK)
        annotation (Placement(transformation(extent={{-58,20},{-38,40}})));
      Modelica.Blocks.Logical.Switch switch1
        annotation (Placement(transformation(extent={{18,28},{38,48}})));
    Modelica.Blocks.Sources.BooleanConstant booleanConstant(k=Switch)
      annotation (Placement(transformation(extent={{-28,38},{-8,58}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=Setting)
      annotation (Placement(transformation(extent={{-30,76},{-10,96}})));
      Modelica.Blocks.Math.Product Activity
        annotation (Placement(transformation(extent={{-6,-40},{14,-20}})));
      Modelica.Blocks.Math.Product SympsEffect
                                            annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={80,-66})));
    equation

      connect(Activity.u2, BetaBlockade_Effect) annotation (Line(
          points={{-8,-36},{-32,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Activity.u1, switch1.y)
                                     annotation (Line(
          points={{-8,-24},{-20,-24},{-20,2},{62,2},{62,38},{39,38}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(switch1.u3, TotalAgonism.y)
                                 annotation (Line(
          points={{16,30},{-37,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(switch1.u2, booleanConstant.y) annotation (Line(
          points={{16,38},{-2,38},{-2,48},{-7,48}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(switch1.u1, Constant.y) annotation (Line(
          points={{16,46},{10,46},{10,86},{-7.5,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(yBase, SympsEffect.u1)
                                  annotation (Line(
          points={{86,90},{86,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsEffect.y, y)
                             annotation (Line(
          points={{80,-77},{80,-90}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GangliaGeneral_NA, TotalAgonism.u1) annotation (Line(
          points={{-90,50},{-70,50},{-70,36},{-60,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BetaPool_Effect, TotalAgonism.u2)  annotation (Line(
          points={{-90,10},{-70,10},{-70,24},{-60,24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Activity.y, SympsEffect.u2) annotation (Line(
          points={{15,-30},{74,-30},{74,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Rectangle(
              extent={{-100,70},{100,-70}},
              lineColor={112,143,0},
              fillPattern=FillPattern.Sphere,
              fillColor={255,255,255}), Text(
              extent={{-88,-40},{100,48}},
              lineColor={0,0,0},
              fillPattern=FillPattern.Sphere,
              fillColor={85,255,170},
              textString="%name")}));
    end BetaReceptorsActivityFactor;

    model AplhaReceptorsActivityFactor
      //extends Library.BaseFactor2;

      Physiolibrary.Types.RealIO.FractionInput GangliaGeneral_NA(displayUnit="1")       annotation (Placement(transformation(extent={{-100,40},
                {-80,60}}), iconTransformation(extent={{-108,-70},{-88,-50}})));
      Physiolibrary.Types.RealIO.FractionInput AlphaPool_Effect
                                          annotation (Placement(transformation(extent={{-100,0},
                {-80,20}}),
            iconTransformation(extent={{-108,50},{-88,70}})));
      Physiolibrary.Types.RealIO.FractionInput AlphaBlockade_Effect
                   annotation (Placement(transformation(extent={{-42,-46},{-22,-26}}),
            iconTransformation(extent={{-108,-10},{-88,10}})));
      Modelica.Blocks.Interfaces.RealInput yBase
                               annotation (Placement(transformation(extent={{-10,-10},
                {10,10}},
            rotation=270,
            origin={86,90}),
            iconTransformation(extent={{-10,-10},{10,10}},rotation=270,
            origin={0,70})));
      Modelica.Blocks.Interfaces.RealOutput y
                            annotation (Placement(transformation(extent={{-10,-10},
                {10,10}},
            rotation=270,
            origin={80,-90}),
            iconTransformation(extent={{-10,-10},{10,10}},  rotation=270,
            origin={0,-70})));

      parameter Real[:,3] data;

      parameter Physiolibrary.Types.Fraction NEURALK = 0.333;
      parameter Physiolibrary.Types.Fraction HUMORALK = 0.5;
      parameter Boolean Switch = false;
      parameter Physiolibrary.Types.Fraction Setting = 0;

      Modelica.Blocks.Math.Add TotalAgonism(k1=NEURALK, k2=HUMORALK)
        annotation (Placement(transformation(extent={{-58,20},{-38,40}})));
      Modelica.Blocks.Logical.Switch switch1
        annotation (Placement(transformation(extent={{18,28},{38,48}})));
    Modelica.Blocks.Sources.BooleanConstant booleanConstant(k=Switch)
      annotation (Placement(transformation(extent={{-28,38},{-8,58}})));
    Physiolibrary.Types.Constants.FractionConst             Constant(k=Setting)
      annotation (Placement(transformation(extent={{-30,76},{-10,96}})));
    Physiolibrary.Blocks.Interpolation.Curve SympsOnConductance(
      x=data[:, 1],
      y=data[:, 2],
      slope=data[:, 3])
      annotation (Placement(transformation(extent={{30,-40},{50,-20}})));
      Modelica.Blocks.Math.Product Activity
        annotation (Placement(transformation(extent={{-6,-40},{14,-20}})));
      Modelica.Blocks.Math.Product SympsEffect
                                            annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={80,-66})));
    equation

      connect(SympsEffect.u2, SympsOnConductance.val)
                                      annotation (Line(
          points={{74,-54},{74,-30},{50,-30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsOnConductance.u, Activity.y)
                                  annotation (Line(
          points={{30,-30},{15,-30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Activity.u2, AlphaBlockade_Effect)
                                                annotation (Line(
          points={{-8,-36},{-32,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Activity.u1, switch1.y)
                                     annotation (Line(
          points={{-8,-24},{-20,-24},{-20,2},{62,2},{62,38},{39,38}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(switch1.u3, TotalAgonism.y)
                                 annotation (Line(
          points={{16,30},{-37,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(switch1.u2, booleanConstant.y) annotation (Line(
          points={{16,38},{-2,38},{-2,48},{-7,48}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(switch1.u1, Constant.y) annotation (Line(
          points={{16,46},{10,46},{10,86},{-7.5,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(yBase, SympsEffect.u1)
                                  annotation (Line(
          points={{86,90},{86,-54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsEffect.y, y)
                             annotation (Line(
          points={{80,-77},{80,-90}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GangliaGeneral_NA, TotalAgonism.u1) annotation (Line(
          points={{-90,50},{-70,50},{-70,36},{-60,36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AlphaPool_Effect, TotalAgonism.u2) annotation (Line(
          points={{-90,10},{-70,10},{-70,24},{-60,24}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={Rectangle(
              extent={{-100,70},{100,-70}},
              lineColor={112,143,0},
              fillPattern=FillPattern.Sphere,
              fillColor={255,255,255}), Text(
              extent={{-88,-40},{100,48}},
              lineColor={0,0,0},
              fillPattern=FillPattern.Sphere,
              fillColor={85,255,170},
              textString="%name")}));
    end AplhaReceptorsActivityFactor;

    model Pituitary
      extends Physiolibrary.Icons.Hypophysis;
      parameter Real BaroreflexOnBaroEffectData[:,3]={{ 0.0,  1.5,  0}, { 1.0,  1.0,  -0.5}, { 2.0,  0.5,  0}};

    Physiolibrary.Blocks.Interpolation.Curve BaroreflexOnBaroEffect(
      x=BaroreflexOnBaroEffectData[:, 1],
      y=BaroreflexOnBaroEffectData[:, 2],
      slope=BaroreflexOnBaroEffectData[:, 3])
      annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
      Modelica.Blocks.Interfaces.RealOutput BaroEffect
        annotation (Placement(transformation(extent={{78,-20},{118,20}})));
      Modelica.Blocks.Interfaces.RealInput Baroreflex_NA
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
      Modelica.Blocks.Math.Feedback sub
        annotation (Placement(transformation(extent={{-18,-10},{2,10}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=1)
      annotation (Placement(transformation(extent={{-22,-20},{-14,-12}})));
      Modelica.Blocks.Math.Add add
        annotation (Placement(transformation(extent={{46,-10},{66,10}})));
      Modelica.Blocks.Math.Product product
        annotation (Placement(transformation(extent={{12,2},{32,22}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant BaroSensitivity(k=1)
      annotation (Placement(transformation(extent={{-12,30},{-4,38}})));
    equation
      connect(Baroreflex_NA, BaroreflexOnBaroEffect.u)
                                            annotation (Line(
          points={{-100,0},{-54,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BaroreflexOnBaroEffect.val, sub.u1) annotation (Line(
          points={{-34,0},{-16,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, sub.u2) annotation (Line(
          points={{-13,-16},{-8,-16},{-8,-8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(add.y, BaroEffect) annotation (Line(
          points={{67,0},{98,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, add.u2) annotation (Line(
          points={{-13,-16},{16,-16},{16,-6},{44,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(product.y, add.u1) annotation (Line(
          points={{33,12},{38,12},{38,6},{44,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sub.y, product.u2) annotation (Line(
          points={{1,0},{6,0},{6,6},{10,6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BaroSensitivity.y, product.u1) annotation (Line(
          points={{-3,34},{4,34},{4,18},{10,18}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-110,128},{110,102}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name")}));
    end Pituitary;

    model Hypothalamus

      Modelica.Blocks.Interfaces.RealInput BrainFunctionEffect
        annotation (Placement(transformation(extent={{-120,40},{-80,80}})));
      Modelica.Blocks.Interfaces.RealOutput HypothalamusSkinFlow_NA
        annotation (Placement(transformation(extent={{80,-40},{120,0}})));
      Physiolibrary.Types.RealIO.TemperatureInput HeatCore_Temp
        annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
    Physiolibrary.Blocks.Factors.Spline TemperatureEffect_(data={{-2.0,0.0,0},{
          0.0,1.0,1.8},{2.0,4.0,0}})
      annotation (Placement(transformation(extent={{-52,-24},{-32,-4}})));
      Modelica.Blocks.Math.Feedback feedback annotation (Placement(
            transformation(
            extent={{6,-6},{-6,6}},
            rotation=180,
            origin={-60,-14})));
    Physiolibrary.Types.Constants.TemperatureConst temperatureConstant(k=310.15)
      annotation (Placement(transformation(extent={{-44,-6},{-52,2}})));
    Physiolibrary.Blocks.Factors.Spline SkinTempOffset(data={{24 + 273.15,0.0,0},
          {32 + 273.15,-1.0,0}})
      annotation (Placement(transformation(extent={{-62,-62},{-42,-42}})));
      Physiolibrary.Types.RealIO.TemperatureInput HeatSkin_Temp
        annotation (Placement(transformation(extent={{-120,-60},{-80,-20}})));
    Physiolibrary.Types.Constants.TemperatureConst temperatureConstant1(k=310.15)
      annotation (Placement(transformation(extent={{-40,-46},{-48,-38}})));
      Modelica.Blocks.Math.Feedback feedback1 annotation (Placement(
            transformation(
            extent={{6,-6},{-6,6}},
            rotation=180,
            origin={-52,-80})));
    Physiolibrary.Blocks.Interpolation.Curve NerveActivity(
      x={-2,0},
      y={4,0},
      slope={0,0})
      annotation (Placement(transformation(extent={{-32,-90},{-12,-70}})));
      Physiolibrary.Blocks.Factors.SplineLag      HypothalamusShiveringAcclimation(
        HalfTime=7*86400*Modelica.Math.log(2),
        integrator(y_start=0),
        stateName="HypothalamusShiveringAcclimation.Offset",
      data={{20 + 273.15,0.3,0},{28 + 273.15,0.0,-0.04},{39 + 273.15,-0.3,0}})
        annotation (Placement(transformation(extent={{-62,-72},{-42,-52}})));
      Modelica.Blocks.Interfaces.RealOutput HypothalamusShivering_NA
        annotation (Placement(transformation(extent={{80,-100},{120,-60}})));
      Modelica.Blocks.Interfaces.RealOutput HypothalamusSweating_NA
        annotation (Placement(transformation(extent={{80,20},{120,60}})));
    Physiolibrary.Blocks.Interpolation.Curve NerveActivity1(
      slope={0,0},
      x={0,2},
      y={0,4}) annotation (Placement(transformation(extent={{64,30},{84,50}})));
      Modelica.Blocks.Math.Feedback feedback2 annotation (Placement(
            transformation(
            extent={{6,-6},{-6,6}},
            rotation=180,
            origin={50,40})));
      Modelica.Blocks.Math.Sum SetPoint(nin=3)
        annotation (Placement(transformation(extent={{40,70},{48,78}})));
    Physiolibrary.Types.Constants.TemperatureConst temperatureConstant2(k=310.15)
      annotation (Placement(transformation(extent={{24,80},{32,88}})));
    Physiolibrary.Blocks.Interpolation.Curve SkinTempOffset_Sweating(
      slope={0,0},
      y={1,0},
      x={25 + 273.15,35 + 273.15})
               annotation (Placement(transformation(extent={{-2,14},{18,34}})));
      Physiolibrary.Blocks.Factors.SplineLag      HypothalamusSweatingAcclimation1(
        integrator(y_start=0),
        HalfTime=7*86400*Modelica.Math.log(2),
        stateName="HypothalamusSweatingAcclimation.Offset",
      data={{20 + 273.15,0.3,0},{28 + 273.15,0.0,-0.04},{39 + 273.15,-0.3,0}})
        annotation (Placement(transformation(extent={{-2,70},{18,90}})));
    Physiolibrary.Types.Constants.OneConst                  Constant
      annotation (Placement(transformation(extent={{-2,84},{6,92}})));
    equation
      connect(TemperatureEffect_.u, feedback.y) annotation (Line(
          points={{-50,-14},{-54.6,-14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback.u2, temperatureConstant.y) annotation (Line(
          points={{-60,-9.2},{-60,-2},{-53,-2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TemperatureEffect_.yBase, BrainFunctionEffect) annotation (Line(
          points={{-42,-12},{-42,60},{-100,60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TemperatureEffect_.y, HypothalamusSkinFlow_NA) annotation (Line(
          points={{-42,-18},{-42,-20},{100,-20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatCore_Temp, feedback.u1) annotation (Line(
          points={{-100,0},{-72,0},{-72,-14},{-64.8,-14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatSkin_Temp, SkinTempOffset.u) annotation (Line(
          points={{-100,-40},{-68,-40},{-68,-52},{-60,-52}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(temperatureConstant1.y, SkinTempOffset.yBase) annotation (Line(
          points={{-49,-42},{-52,-42},{-52,-50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatCore_Temp, feedback1.u1) annotation (Line(
          points={{-100,0},{-72,0},{-72,-80},{-56.8,-80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback1.y, NerveActivity.u) annotation (Line(
          points={{-46.6,-80},{-32,-80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatSkin_Temp, HypothalamusShiveringAcclimation.u)
                                                                annotation (
          Line(
          points={{-100,-40},{-68,-40},{-68,-62},{-60,-62}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SkinTempOffset.y, HypothalamusShiveringAcclimation.yBase)
        annotation (Line(
          points={{-52,-56},{-52,-60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HypothalamusShiveringAcclimation.y, feedback1.u2)
                                                               annotation (Line(
          points={{-52,-66},{-52,-75.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(NerveActivity.val, HypothalamusShivering_NA) annotation (Line(
          points={{-12,-80},{100,-80}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(NerveActivity1.val, HypothalamusSweating_NA) annotation (Line(
          points={{84,40},{100,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback2.u1, HeatCore_Temp) annotation (Line(
          points={{45.2,40},{-72,40},{-72,0},{-100,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(feedback2.y, NerveActivity1.u) annotation (Line(
          points={{55.4,40},{64,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SetPoint.y, feedback2.u2) annotation (Line(
          points={{48.4,74},{50,74},{50,44.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(temperatureConstant2.y, SetPoint.u[1]) annotation (Line(
          points={{33,84},{34,84},{34,73.4667},{39.2,73.4667}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SkinTempOffset_Sweating.val, SetPoint.u[2]) annotation (Line(
          points={{18,24},{36,24},{36,74},{39.2,74}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatSkin_Temp, SkinTempOffset_Sweating.u) annotation (Line(
          points={{-100,-40},{-68,-40},{-68,-34},{-12,-34},{-12,24},{-2,24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HypothalamusSweatingAcclimation1.y, SetPoint.u[3]) annotation (
          Line(
          points={{8,76},{8,74.5333},{39.2,74.5333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HeatSkin_Temp, HypothalamusSweatingAcclimation1.u) annotation (
          Line(
          points={{-100,-40},{-68,-40},{-68,-34},{-12,-34},{-12,80},{0,80}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(Constant.y, HypothalamusSweatingAcclimation1.yBase) annotation (
          Line(
          points={{7,88},{8,88},{8,82}},
          color={0,0,127},
          smooth=Smooth.None));
    end Hypothalamus;

    model SA_Node
    extends Physiolibrary.Icons.SinoatrialNode;
      parameter Real SympatheticEffect[:,3]={{ 0.0,    0,  0}, { 1.0,   10,  10}, { 5.0,  120,  0}};
      parameter Real ParasympatheticEffect[:,3]={{ 0.0,    0,  0}, { 2.0,  -20,  -8}, { 8.0,  -40,  0}};

      Modelica.Blocks.Interfaces.RealInput GangliaGeneral_NA
        annotation (Placement(transformation(extent={{-120,-40},{-80,0}})));
    Physiolibrary.Blocks.Interpolation.Curve parasympatheticEffect(
      x=ParasympatheticEffect[:, 1],
      y=ParasympatheticEffect[:, 2],
      slope=ParasympatheticEffect[:, 3],
      Yscale=1/60)
      annotation (Placement(transformation(extent={{-50,-70},{-30,-50}})));
      Modelica.Blocks.Math.Sum rate(nin=3)
        annotation (Placement(transformation(extent={{64,-10},{84,10}})));
      Modelica.Blocks.Interfaces.RealOutput Rate
        annotation (Placement(transformation(extent={{78,-20},{118,20}})));
      Physiolibrary.Types.RealIO.FrequencyInput VagusNerve_NA_Hz
        annotation (Placement(transformation(extent={{-120,-80},{-80,-40}})));
      Physiomodel.Nerves.BetaReceptorsActivityFactor betaReceptorsActivityFactor
        annotation (Placement(transformation(extent={{10,62},{30,82}})));
    Physiolibrary.Types.Constants.OneConst                  Constant
      annotation (Placement(transformation(extent={{-2,82},{10,94}})));
    Physiolibrary.Types.Constants.FrequencyConst            Constant1(k(
          displayUnit="1/min") = 1.3666666666667)
      annotation (Placement(transformation(extent={{-6,-10},{14,10}})));
      Modelica.Blocks.Interfaces.RealInput BetaBlockade_Effect
        annotation (Placement(transformation(extent={{-120,0},{-80,40}})));
      Modelica.Blocks.Interfaces.RealInput BetaPool_Effect
        annotation (Placement(transformation(extent={{-120,40},{-80,80}})));
    Physiolibrary.Blocks.Interpolation.Curve sympatheticEffect(
      x=SympatheticEffect[:, 1],
      y=SympatheticEffect[:, 2],
      slope=SympatheticEffect[:, 3],
      Yscale=1/60)
      annotation (Placement(transformation(extent={{26,20},{46,40}})));
    equation
      connect(parasympatheticEffect.val, rate.u[2])      annotation (Line(
          points={{-30,-60},{54.1,-60},{54.1,1.11022e-016},{62,1.11022e-016}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(VagusNerve_NA_Hz, parasympatheticEffect.u)
                                            annotation (Line(
          points={{-100,-60},{-50,-60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(rate.y, Rate) annotation (Line(
          points={{85,0},{98,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, betaReceptorsActivityFactor.yBase) annotation (Line(
          points={{11.5,88},{20,88},{20,79}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, rate.u[1]) annotation (Line(
          points={{16.5,0},{14,0},{14,-1.33333},{62,-1.33333}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BetaPool_Effect, betaReceptorsActivityFactor.BetaPool_Effect)
        annotation (Line(
          points={{-100,60},{-46,60},{-46,78},{10.2,78}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(betaReceptorsActivityFactor.BetaBlockade_Effect, BetaBlockade_Effect)
        annotation (Line(
          points={{10.2,72},{-40,72},{-40,20},{-100,20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GangliaGeneral_NA, betaReceptorsActivityFactor.GangliaGeneral_NA)
        annotation (Line(
          points={{-100,-20},{-30,-20},{-30,66},{10.2,66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(betaReceptorsActivityFactor.y, sympatheticEffect.u) annotation (
          Line(
          points={{20,65},{20,30},{26,30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sympatheticEffect.val, rate.u[3]) annotation (Line(
          points={{46,30},{54,30},{54,1.33333},{62,1.33333}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={
            Text(
              extent={{-102,134},{100,102}},
              lineColor={0,0,0},
              fillColor={213,255,170},
              fillPattern=FillPattern.Solid,
              textString="%name")}));
    end SA_Node;

    model Nerves
     extends Physiolibrary.Icons.Nerves;
    BaroReceptorAdaptation Baroreflex(
      PressureChangeOnNA={{-50.0,0.0,0},{0.0,1.0,0.02},{50.0,2.0,0}},
      AdaptivePressure(displayUnit="mmHg") = 12914.659691877,
      Tau(displayUnit="h") = 36000) annotation (Placement(transformation(
          extent={{9,9},{-9,-9}},
          rotation=180,
          origin={-41,45})));
      ExerciseSympathetic exercise                   annotation (Placement(
            transformation(extent={{-62,-68},{-42,-48}})));
      SympatheticCNS sympatheticCNS
        annotation (Placement(transformation(extent={{-2,-86},{18,-66}})));
      VagusNerve vagusNerve
        annotation (Placement(transformation(extent={{46,-98},{66,-78}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-78,76},{-58,96}}), iconTransformation(extent=
             {{-98,56},{-58,96}})));
      GangliaKidney gangliaKidney
        annotation (Placement(transformation(extent={{38,-16},{58,4}})));
      Modelica.Blocks.Math.Gain AdrenalNerve(k=0.667)
      "from Hz to normal activity"
        annotation (Placement(transformation(extent={{52,-36},{60,-28}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=1)
      annotation (Placement(transformation(extent={{62,-16},{70,-8}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant KidneyAlpha_PT_NA(k=
         1) annotation (Placement(transformation(extent={{62,2},{70,10}})));
      Pituitary pituitary
        annotation (Placement(transformation(extent={{44,34},{64,54}})));
    equation
      connect(sympatheticCNS.ExerciseSymps_TotalEffect, exercise.ExerciseSymps_TotalEffect)
        annotation (Line(
          points={{-2,-80},{-30,-80},{-30,-58},{-42.2,-58}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(vagusNerve.SympsCNS_NA_Hz,sympatheticCNS. NA) annotation (Line(
          points={{46,-88},{30,-88},{30,-82},{18,-82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sympatheticCNS.NA, busConnector.GangliaGeneral_NA) annotation (
          Line(
          points={{18,-82},{30,-82},{30,98},{-68,98},{-68,86}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Baroreflex.NA, sympatheticCNS.CarotidSinusReceptors) annotation (
          Line(
          points={{-32,45},{-8,45},{-8,-68},{0,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.CarotidSinusArteryPressure, Baroreflex.pressure)
        annotation (Line(
          points={{-68,86},{-88,86},{-88,45},{-50,45}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(exercise.ExerciseSymps_TotalEffect, gangliaKidney.ExerciseSymps_TotalEffect)
        annotation (Line(
          points={{-42.2,-58},{-30,-58},{-30,-38},{22,-38},{22,-6},{38,-6}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.brain_Fuel_FractUseDelay, gangliaKidney.brain_Fuel_FractUseDelay)
        annotation (Line(
          points={{-68,86},{-88,86},{-88,2},{40,2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(gangliaKidney.NA, busConnector.GangliaKidney_NA) annotation (Line(
          points={{56,0.2},{100,0.2},{100,98},{-68,98},{-68,86}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(sympatheticCNS.SympsCNS_BaroEffect, gangliaKidney.SympsCNS_BaroEffect)
        annotation (Line(
          points={{16,-68},{24,-68},{24,-10},{38,-10}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sympatheticCNS.SympsCNS_A2Effect, gangliaKidney.SympsCNS_A2Effect)
        annotation (Line(
          points={{18,-72},{26,-72},{26,-14},{40,-14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.ExerciseMetabolism_TotalWatts, exercise.ExerciseMetabolism_TotalWats)
        annotation (Line(
          points={{-68,86},{-88,86},{-88,-62},{-61.8,-62}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(sympatheticCNS.NA, AdrenalNerve.u) annotation (Line(
          points={{18,-82},{36,-82},{36,-32},{51.2,-32}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(AdrenalNerve.y, busConnector.AdrenalNerve_NA) annotation (Line(
          points={{60.4,-32},{100,-32},{100,98},{-88,98},{-88,86},{-68,86}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant.y, busConnector.Kidney_Alpha_NA) annotation (Line(
          points={{71,-12},{100,-12},{100,98},{-88,98},{-88,86},{-68,86}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
          points={{71,6},{100,6},{100,98},{-88,98},{-88,86},{-68,86}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Baroreflex.NA, pituitary.Baroreflex_NA) annotation (Line(
          points={{-32,45},{-8,45},{-8,44},{44,44}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(pituitary.BaroEffect, busConnector.SympsCNS_PituitaryNA)
        annotation (Line(
          points={{63.8,44},{100,44},{100,98},{-88,98},{-88,86},{-68,86}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(busConnector.skeletalMuscle_pH_intracellular, exercise.SkeletalMuscle_Ph)
        annotation (Line(
          points={{-68,86},{-88,86},{-88,-54},{-62,-54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(vagusNerve.VagusNerve_NA_Hz, busConnector.VagusNerve_NA_Hz)
        annotation (Line(
          points={{65.8,-88},{100,-88},{100,86},{-68,86}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(busConnector.Angiotensin2, sympatheticCNS.Angiotensin2)
      annotation (Line(
        points={{-68,86},{-88,86},{-88,-92},{-40,-92},{-40,-84},{0,-84}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.brain_Fuel_FractUseDelay, sympatheticCNS.brain_Fuel_FractUseDelay)
      annotation (Line(
        points={{-68,86},{-88,86},{-88,-76},{-2,-76}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.AtrialLowPressureReceptors_NA, gangliaKidney.LowPressureReceptors_NA)
      annotation (Line(
        points={{-68,86},{-88,86},{-88,-2},{38,-2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.AtrialLowPressureReceptors_NA, sympatheticCNS.LowPressureReceptors)
      annotation (Line(
        points={{-68,86},{-88,86},{-88,-72},{-2,-72}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
            graphics={                      Text(
              extent={{-120,-70},{122,-104}},
              lineColor={0,0,255},
              textString="%name")}));
    end Nerves;

    package IO_Bus
        extends Physiolibrary.Types.IO_Bus;

      redeclare model extends Variables

      T.Fraction AdrenalNerve_NA(varName="AdrenalNerve.NA")
        "Nerve activity of adrenal nerve."
      annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
      T.Frequency GangliaGeneral_NA(varName="GangliaGeneral.NA(Hz)", storeUnit="Hz")
        "Neural activity of autonomous sympathetic nervous system."
      annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
      T.Frequency GangliaKidney_NA(varName="GangliaKidney.NA(Hz)", storeUnit="Hz")
        "Sympathetis kidney ganglia neural activity."
      annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
      T.Frequency VagusNerve(varName="VagusNerve.NA(Hz)", storeUnit="Hz")
        "Neurus vagus activity."
      annotation (Placement(transformation(extent={{-36,-12},{-30,-6}})));
      T.Fraction Kidney_Alpha_NA(varName="Kidney-Alpha.NA")
        "Kidney alpha neural activity effect."
      annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
      T.Fraction KidneyAlpha_PT_NA(varName="Kidney-Alpha.PT_NA")
        "Kidney alpha proximal tubule neural activity effect."
      annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
      T.Fraction SympsCNS_PituitaryNA(varName="SympsCNS.PituitaryNA")
        "Sympathetis pituitary nerve activity."
      annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
      equation

      connect(AdrenalNerve_NA.y, busConnector.AdrenalNerve_NA) annotation (Line(
       points={{-29.7,13},{90,13},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GangliaGeneral_NA.y, busConnector.GangliaGeneral_NA) annotation (Line(
       points={{-29.7,23},{90,23},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GangliaKidney_NA.y, busConnector.GangliaKidney_NA) annotation (Line(
       points={{-29.7,33},{90,33},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_Alpha_NA.y, busConnector.Kidney_Alpha_NA) annotation (Line(
       points={{-29.7,73},{90,73},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KidneyAlpha_PT_NA.y, busConnector.KidneyAlpha_PT_NA) annotation (Line(
       points={{-29.7,83},{90,83},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SympsCNS_PituitaryNA.y, busConnector.SympsCNS_PituitaryNA) annotation (Line(
       points={{-29.7,113},{90,113},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(VagusNerve.y, busConnector.VagusNerve_NA_Hz) annotation (Line(
            points={{-29.7,-9},{66,-9},{66,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{18,78},{100,40}},
                lineColor={0,0,0},
                textString="vars"), Text(
                extent={{-124,-54},{118,-88}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model Nerves_test
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile
                                                nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.Nerves nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Nerves.IO_Bus.OutputComparison nerves_dif
          annotation (Placement(transformation(extent={{44,44},{64,64}})));
        Physiomodel.Nerves.IO_Bus.OutputToFile nerves_varsToFile
          annotation (Placement(transformation(extent={{18,32},{38,52}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,55.6},{76.2,55.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(nerves_dif.busConnector, nerves.busConnector) annotation (Line(
            points={{54,54},{64,54},{64,55.6},{76.2,55.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(nerves.busConnector, nerves_varsToFile.busConnector)
          annotation (Line(
            points={{76.2,55.6},{28,55.6},{28,42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Nerves_test;

      model Nerves_test_SI
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI
                                                nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.Nerves nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
        Physiomodel.Nerves.IO_Bus.OutputComparison_SI nerves_dif
          annotation (Placement(transformation(extent={{44,44},{64,64}})));
        Physiomodel.Nerves.IO_Bus.OutputToFile_SI nerves_varsToFile
          annotation (Placement(transformation(extent={{18,32},{38,52}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,55.6},{76.2,55.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(nerves_dif.busConnector, nerves.busConnector) annotation (Line(
            points={{54,54},{64,54},{64,55.6},{76.2,55.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(nerves.busConnector, nerves_varsToFile.busConnector)
          annotation (Line(
            points={{76.2,55.6},{28,55.6},{28,42}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Nerves_test_SI;
    end IO_Bus;
    annotation (Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: HumMod 1.6, University of Mississippi Medical Center</p></td>
</tr>
</table>
<p>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>", info="<html>
<p>General</p>
<p>The book about autonimic nerve functions by Matias and Bannister [Mathias2013]. Autonomic response is sympathetic (through alpha/beta receptors, connected with catecholamines) or parasympathetic (nervus vagus).</p>
<p><br>Baroreflex</p>
<p>Blood pressure, vasoconstriction[Drees1974,Risoe1994] and heart rate is driven by baroreflex [Conci2001,Williamson1993,Plotts1993]. The pressure is measured in carotid sinus receptors [Hayward1993,Imaizumi1993,Mendelowitz1988,Plotts1993,VanDeBorne1999] and ventricular receptors [Little1975,Wennergren1976]. Integration of measured signal is processed in the solitary nucleus of medulla oblongata [Rogers1993]. </p>
<p><br>Thermoregulation</p>
<p>Themperature signal from terrmoreceptors is processed by the preoptic area of the anterior hypothalamus [Kelso1982,Dodt1952,Hensel1953].</p>
</html>"));
  end Nerves;

  package Heat "Body Temperature Balance"
    extends Physiolibrary.Icons.HeatLib;

    model TissuesHeat
     extends Physiolibrary.Icons.Tissues;

      Tissues.Bone Bone
        annotation (Placement(transformation(extent={{64,30},{44,50}})));

      Tissues.Fat Fat
        annotation (Placement(transformation(extent={{64,-62},{44,-42}})));

      Tissues.Brain Brain
        annotation (Placement(transformation(extent={{-58,-2},{-38,18}})));

      Tissues.RightHeart RightHeart
        annotation (Placement(transformation(extent={{-58,30},{-38,50}})));

      Tissues.RespiratoryMuscle RespiratoryMuscle
        annotation (Placement(transformation(extent={{-58,-30},{-38,-10}})));

      Tissues.OtherTissue OtherTissue
        annotation (Placement(transformation(extent={{64,-88},{44,-68}})));

      Tissues.Liver Liver
        annotation (Placement(transformation(extent={{64,58},{44,78}})));

      Tissues.LeftHeart LeftHeart
        annotation (Placement(transformation(extent={{-58,-62},{-38,-42}})));

      Tissues.Kidney Kidney
        annotation (Placement(transformation(extent={{64,-32},{44,-12}})));

      Tissues.GITract GITract
        annotation (Placement(transformation(extent={{64,-2},{44,18}})));

    Physiolibrary.Types.BusConnector busConnector
      annotation (Placement(transformation(extent={{-108,72},{-68,112}})));

    equation
      connect(busConnector.core_T, Brain.BaseT)
        annotation (Line(
          points={{-88,92},{-62,92},{-62,8},{-58,8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-5,0},{-5,0}}));
      connect(busConnector.core_T, RespiratoryMuscle.BaseT)
        annotation (Line(
          points={{-88,92},{-62,92},{-62,-20},{-58,-20}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-5,0},{-5,0}}));
      connect(busConnector.core_T, LeftHeart.BaseT)
        annotation (Line(
          points={{-88,92},{-62,92},{-62,-52},{-58,-52}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-5,0},{-5,0}}));
      connect(busConnector.core_T, RightHeart.BaseT)
        annotation (Line(
          points={{-88,92},{-62,92},{-62,40},{-58,40}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-5,0},{-5,0}}));
      connect(Bone.BaseT, busConnector.core_T)  annotation (
          Line(
          points={{64,40},{68,40},{68,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,0},{5,0}}));
      connect(Liver.BaseT, busConnector.core_T)  annotation (
         Line(
          points={{64,68},{68,68},{68,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,0},{5,0}}));
      connect(Kidney.BaseT, busConnector.core_T)
        annotation (Line(
          points={{64,-22},{68,-22},{68,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,0},{5,0}}));
      connect(GITract.BaseT, busConnector.core_T)
        annotation (Line(
          points={{64,8},{68,8},{68,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,0},{5,0}}));
      connect(Fat.BaseT, busConnector.core_T)  annotation (
          Line(
          points={{64,-52},{68,-52},{68,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,0},{5,0}}));
      connect(OtherTissue.BaseT, busConnector.core_T)
        annotation (Line(
          points={{64,-78},{68,-78},{68,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,0},{5,0}}));

      connect(RightHeart.T, busConnector.rightHeart_T) annotation (Line(
          points={{-38,40},{-34,40},{-34,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(Brain.T, busConnector.brain_T) annotation (Line(
          points={{-38,8},{-34,8},{-34,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(RespiratoryMuscle.T, busConnector.respiratoryMuscle_T) annotation (Line(
          points={{-38,-20},{-34,-20},{-34,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(LeftHeart.T, busConnector.leftHeart_T) annotation (Line(
          points={{-38,-52},{-34,-52},{-34,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(busConnector.liver_T, Liver.T) annotation (Line(
          points={{-88,92},{40,92},{40,68},{44,68}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.bone_T, Bone.T) annotation (Line(
          points={{-88,92},{40,92},{40,40},{44,40}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(busConnector.GITract_T, GITract.T) annotation (Line(
          points={{-88,92},{40,92},{40,8},{44,8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(busConnector.kidney_T, Kidney.T) annotation (Line(
          points={{-88,92},{40,92},{40,-22},{44,-22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(busConnector.fat_T, Fat.T) annotation (Line(
          points={{-88,92},{40,92},{40,-52},{44,-52}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      connect(busConnector.otherTissue_T, OtherTissue.T) annotation (Line(
          points={{-88,92},{40,92},{40,-78},{44,-78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));

      annotation (        Documentation(info="<html>
<p>Heat in tissues. Temperatures are in celsius degrees.</p>
</html>",     revisions="<html>
<p>Marek Matejak, 24.12.2009</p>
</html>"));
    end TissuesHeat;

    package Tissues
      model TissueTemperature

        Physiolibrary.Types.RealIO.TemperatureInput BaseT(
                                            displayUnit="degC")
          annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
        Physiolibrary.Types.RealIO.TemperatureOutput T(
                                         displayUnit="degC")
          annotation (Placement(transformation(extent={{80,-20},{120,20}})));
      equation
        T=BaseT;
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-148,-98},{100,-124}},
                lineColor={0,0,255},
                textString="%name"), Rectangle(extent={{-100,100},{100,-100}},
                  lineColor={0,0,255})}));
      end TissueTemperature;

      model RightHeart
        extends TissueTemperature;
        extends Physiolibrary.Icons.RightHeart;
      end RightHeart;

      model Brain
        extends TissueTemperature;
          extends Physiolibrary.Icons.Brain;
      end Brain;

      model RespiratoryMuscle
        extends TissueTemperature;
        extends Physiolibrary.Icons.RespiratoryMuscle;
      end RespiratoryMuscle;

      model LeftHeart
        extends TissueTemperature;
          extends Physiolibrary.Icons.LeftHeart;
      end LeftHeart;

      model Liver
        extends TissueTemperature;
          extends Physiolibrary.Icons.Liver;
      end Liver;

      model Bone
        extends TissueTemperature;
        extends Physiolibrary.Icons.Bone;
      end Bone;

        model GITract
        extends TissueTemperature;
          extends Physiolibrary.Icons.GITract;
        end GITract;

      model Kidney
        extends TissueTemperature;
          extends Physiolibrary.Icons.Kidney;
      end Kidney;

      model Fat
        extends TissueTemperature;
          extends Physiolibrary.Icons.Fat;
      end Fat;

      model OtherTissue
        extends TissueTemperature;
          extends Physiolibrary.Icons.OtherTissue;
      end OtherTissue;

    end Tissues;

    model BladderHeat
      extends Physiolibrary.Icons.Bladder;

      parameter Physiolibrary.Types.Density urineDensity = 1000; // kg/m3
    Physiolibrary.Thermal.Components.HeatAccumulation Bladder(
      stateName="BladderTemperature.Mass",
      useMassInput=true,
      relativeHeat_start=0)
      annotation (Placement(transformation(extent={{6,-80},{26,-60}})));
                            //(259707.204) - 310.15*weight*(4186.8))
    //    initialTemperature(displayUnit="degC"),
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-72,-44},{-52,-24}}), iconTransformation(
            extent={{-104,86},{-84,106}})));
    Physiolibrary.Thermal.Sources.MassOutflow bladderVoid(useMassFlowInput=true)
      annotation (Placement(transformation(extent={{54,-72},{66,-60}})));
    Physiolibrary.Thermal.Interfaces.HeatPort_a positiveHeatFlow annotation (
        Placement(transformation(extent={{-6,26},{14,46}}), iconTransformation(
            extent={{-6,66},{14,86}})));
    Modelica.Blocks.Math.Gain density(k=urineDensity) "kg/m3"
      annotation (Placement(transformation(extent={{26,-44},{46,-24}})));
    Modelica.Blocks.Math.Gain density1(k=urineDensity) "kg/m3"
      annotation (Placement(transformation(extent={{-36,-72},{-16,-52}})));
    equation
      connect(Bladder.q_in, bladderVoid.q_in) annotation (Line(
          points={{16,-70},{36,-70},{36,-66},{54,-66}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(positiveHeatFlow, Bladder.q_in) annotation (Line(
          points={{4,36},{16,36},{16,-70}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
    connect(busConnector.BladderVoidFlow, density.u) annotation (Line(
        points={{-62,-34},{24,-34}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(density.y, bladderVoid.massFlow) annotation (Line(
        points={{47,-34},{56,-34},{56,-61.8},{55.2,-61.8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(density1.y, Bladder.weight) annotation (Line(
        points={{-15,-62},{6,-62}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.BladderVolume_Mass, density1.u) annotation (Line(
        points={{-62,-34},{-62,-62},{-38,-62}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    end BladderHeat;

    model GILumenHeat
      extends Physiolibrary.Icons.GILumen;

      parameter Physiolibrary.Types.Density ChymusDensity=1000;

    Physiolibrary.Thermal.Components.HeatAccumulation GILumen(
      stateName="GILumenTemperature.Mass",
      useMassInput=true,
      relativeHeat_start=0)
      annotation (Placement(transformation(extent={{-50,-82},{-30,-62}})));
                           //(1293302.52) - 310.15*weight*(4186.8))

    //  initialTemperature(displayUnit="degC") = 310,
    Physiolibrary.Thermal.Components.Conductor resistorWithCondParam(
        Conductance(displayUnit="kcal/(min.degC)") =            0.6978)
      annotation (Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=90,
          origin={-26,-44})));
    Physiolibrary.Thermal.Components.Stream Convection(
        useMassFlowInput=true, SpecificHeat=4186.8)
                               annotation (Placement(transformation(
          extent={{-10,10},{10,-10}},
          rotation=90,
          origin={-8,-28})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-100,-10},{-80,10}}), iconTransformation(
            extent={{-104,86},{-84,106}})));
    Physiolibrary.Thermal.Interfaces.HeatPort_b q_out annotation (Placement(
          transformation(extent={{-46,0},{-6,40}}), iconTransformation(extent={
              {-10,-10},{10,10}})));
    Modelica.Blocks.Math.Gain absorbedChymusDensity(
        y(unit="kg/s"),
        u(unit="m3/s"),
        k(unit="kg/m3") = ChymusDensity)
                        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=180,
            origin={16,-36})));
      Physiolibrary.Thermal.Sources.MassInflow massInflow(
        useMassFlowInput=true,
        useTemperatureInput=true,
        SpecificHeat(displayUnit="kcal/(kg.K)")) annotation (Placement(
            transformation(
            extent={{10,-10},{-10,10}},
            rotation=90,
            origin={-40,-28})));
    Modelica.Blocks.Math.Gain absorbedChymusDensity1(
        y(unit="kg/s"),
        u(unit="m3/s"),
        k(unit="kg/m3") = ChymusDensity)
                        annotation (Placement(transformation(
            extent={{4,-4},{-4,4}},
            rotation=180,
            origin={-56,-20})));
    Modelica.Blocks.Math.Gain absorbedChymusDensity2(
        k(unit="kg/m3") = ChymusDensity,
      u(unit="m3"),
      y(unit="kg"))     annotation (Placement(transformation(
            extent={{4,-4},{-4,4}},
            rotation=180,
            origin={-68,-64})));
    equation
      connect(GILumen.q_in,resistorWithCondParam. q_in) annotation (Line(
          points={{-40,-72},{-26,-72},{-26,-54}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(GILumen.q_in,Convection. q_in) annotation (Line(
          points={{-40,-72},{-8,-72},{-8,-38}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Convection.q_out, q_out) annotation (Line(
          points={{-8,-18},{-8,20},{-26,20}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(resistorWithCondParam.q_out, q_out) annotation (Line(
          points={{-26,-34},{-26,20}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(absorbedChymusDensity.u, busConnector.GILumenVolume_Absorption)
        annotation (Line(
          points={{20.8,-36},{36,-36},{36,-92},{-90,-92},{-90,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Convection.massFlow, absorbedChymusDensity.y) annotation (Line(
          points={{-1,-36},{11.6,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(massInflow.q_out, GILumen.q_in) annotation (Line(
          points={{-40,-38},{-40,-72}},
          color={191,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(busConnector.DietGoalH2O_DegK, massInflow.t) annotation (Line(
        points={{-90,0},{-90,-28},{-47,-28}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(absorbedChymusDensity1.y, massInflow.massFlow)
      annotation (Line(
        points={{-51.6,-20},{-47,-20}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.GILumenVolume_Intake, absorbedChymusDensity1.u) annotation (Line(
        points={{-90,0},{-90,-20},{-60.8,-20}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(GILumen.weight, absorbedChymusDensity2.y) annotation (Line(
        points={{-50,-64},{-63.6,-64}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(busConnector.GILumenVolume_Mass, absorbedChymusDensity2.u)
      annotation (Line(
        points={{-90,0},{-90,-64},{-72.8,-64}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    end GILumenHeat;

    model MuscleHeat
    extends Physiolibrary.Icons.SkeletalMuscle;
    Physiolibrary.Thermal.Components.HeatAccumulation skeletalMuscle(
      stateName="HeatSkeletalMuscle.Mass",
      q_in(T(start=310.666)),
      useMassInput=true,
      relativeHeat_start=0)
      annotation (Placement(transformation(extent={{-8,-8},{12,12}})));
                           //(29579490.792) - 310.15*weight*(3475.044))

         // initialTemperature=310.166,
    Physiolibrary.Thermal.Components.IdealRadiator muscleFlux(SpecificHeat=
          3851.856, useMassFlowInput=true)
      annotation (Placement(transformation(extent={{40,-8},{20,12}})));
    Modelica.Blocks.Math.Gain bloodDensity(
        y(unit="kg/s"),
        k(unit="kg/m3") = 1000,
        u(unit="m3/s")) annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={38,24})));
    Modelica.Thermal.HeatTransfer.Sources.PrescribedHeatFlow Metabolism2
      annotation (Placement(transformation(extent={{-38,-24},{-18,-4}})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-102,32},{-82,52}}), iconTransformation(
            extent={{-104,86},{-84,106}})));
    Physiolibrary.Thermal.Interfaces.HeatPort_b q_out annotation (Placement(
          transformation(extent={{10,-70},{50,-30}}), iconTransformation(extent=
             {{-10,-10},{10,10}})));
      Modelica.Thermal.HeatTransfer.Sensors.TemperatureSensor temperatureSensor
        annotation (Placement(transformation(extent={{-50,-72},{-70,-52}})));
    equation
      connect(busConnector.skeletalMuscle_BloodFlow, bloodDensity.u) annotation (
          Line(
          points={{-92,42},{38,42},{38,28.8}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
    connect(Metabolism2.port, skeletalMuscle.q_in) annotation (Line(
        points={{-18,-14},{-6,-14},{-6,2},{2,2}},
        color={255,128,0},
        thickness=1,
        smooth=Smooth.None));
      connect(bloodDensity.y, muscleFlux.massFlow) annotation (Line(
          points={{38,19.6},{38,9}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(skeletalMuscle.q_in, muscleFlux.q_out) annotation (Line(
        points={{2,2},{16,2},{16,12},{30,12}},
        color={255,128,0},
        thickness=1,
        smooth=Smooth.None));
    connect(muscleFlux.q_in, q_out) annotation (Line(
        points={{40,4},{44,4},{44,-22},{30,-22},{30,-50}},
        color={255,128,0},
        thickness=1,
        smooth=Smooth.None));
      connect(busConnector.skeletalMuscle_SizeMass, skeletalMuscle.weight)
        annotation (Line(
          points={{-92,42},{-92,10},{-8,10}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.skeletalMuscle_T, temperatureSensor.T) annotation (Line(
          points={{-92,42},{-92,-62},{-70,-62}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(skeletalMuscle.q_in, temperatureSensor.port) annotation (Line(
          points={{2,2},{-6,2},{-6,-62},{-50,-62}},
          color={191,0,0},
          thickness=1,
          smooth=Smooth.None));
    connect(busConnector.skeletalMuscle_heatProduction, Metabolism2.Q_flow)
      annotation (Line(
        points={{-92,42},{-66,42},{-66,-14},{-38,-14}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    end MuscleHeat;

    model SkinHeat2
      extends Physiolibrary.Icons.Skin;
    Modelica.Thermal.HeatTransfer.Sources.PrescribedHeatFlow Metabolism1
      annotation (Placement(transformation(extent={{0,-72},{20,-52}})));
    Physiolibrary.Thermal.Components.HeatAccumulation skin(
      stateName="HeatSkin.Mass",
      useMassInput=true,
      relativeHeat_start=-75362.4)
      annotation (Placement(transformation(extent={{30,-72},{50,-52}})));
                            //(2363163.8976) - 310.15*weight*(3475.044))

          //initialTemperature=300.731,
    Physiolibrary.Thermal.Components.IdealRadiator skinFlux(
      useMassFlowInput=true, SpecificHeat(displayUnit="kcal/(kg.K)") = 3851.856)
      annotation (Placement(transformation(extent={{38,-40},{58,-20}})));
    Modelica.Blocks.Math.Gain bloodDensity(
        y(unit="kg/s"),
        k(unit="kg/m3") = 1000,
        u(unit="m3/s")) annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={40,-14})));
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-82,34},{-62,54}}), iconTransformation(extent=
             {{-90,-30},{-70,-10}})));
    Physiolibrary.Thermal.Interfaces.HeatPort_a positiveHeatFlow annotation (
        Placement(transformation(extent={{2,-32},{10,-24}}), iconTransformation(
            extent={{-32,-70},{-12,-50}})));
    Physiolibrary.Thermal.Interfaces.HeatPort_b q_out annotation (Placement(
          transformation(extent={{72,-82},{112,-42}}), iconTransformation(
            extent={{-30,8},{-10,28}})));
      Modelica.Blocks.Math.Feedback pressureGradient
        annotation (Placement(transformation(extent={{-46,-24},{-26,-4}})));
      Modelica.Blocks.Math.Product bloodFlow
        annotation (Placement(transformation(extent={{10,2},{30,-18}})));
    Physiolibrary.Blocks.Factors.Normalization TermoregulationEffect
      annotation (Placement(transformation(extent={{72,0},{96,24}})));
      Physiolibrary.Types.RealIO.FrequencyInput
                                           HypothalamusSkinFlow_NervesActivity
                                                  annotation (Placement(
            transformation(extent={{-68,10},{-48,30}}), iconTransformation(
              extent={{-100,-80},{-60,-40}})));
      Modelica.Blocks.Interfaces.RealOutput skin_T
                                            annotation (Placement(
            transformation(extent={{78,-108},{98,-88}}),
                                                       iconTransformation(
              extent={{40,-40},{80,0}})));
    Physiolibrary.Blocks.Interpolation.Curve SympsDilateEffect(
      x={0.0,1.0,4.0},
      y={0.3,1.0,8.0},
      slope={0,2.2,0})
      annotation (Placement(transformation(extent={{-32,10},{-12,30}})));
    Physiolibrary.Blocks.Factors.Spline LocalTempVsNA(data={{1.2,1.0,0},{1.5,
          0.0,0}})
      annotation (Placement(transformation(extent={{-20,76},{0,96}})));
      Nerves.AplhaReceptorsActivityFactor AplhaReceptors_Skin(       data={{
            0.0,0.3,0},{1.0,0.0,-0.3},{5.0,-0.9,0}})
        annotation (Placement(transformation(extent={{-34,50},{-14,70}})));
    Physiolibrary.Blocks.Factors.Spline LocalTempEffect(data={{10.8 + 273.15,-0.8,0},
            {29.0 + 273.15,0.0,0.1},{45.0 + 273.15,4.0,0}})
      annotation (Placement(transformation(extent={{-18,62},{2,82}})));
    Physiolibrary.Types.Constants.FractionConst
      Skin_BasicConductance_1(k=1)
      annotation (Placement(transformation(extent={{-4,94},{-8,90}})));
    Physiolibrary.Blocks.Math.Add add(k=1)
      annotation (Placement(transformation(extent={{32,50},{40,58}})));
    Physiolibrary.Blocks.Math.Add add1(k=1)
      annotation (Placement(transformation(extent={{32,38},{40,46}})));
    Physiolibrary.Blocks.Factors.Normalization SympsEffect_Skin
      annotation (Placement(transformation(extent={{74,38},{94,58}})));
    Physiolibrary.Blocks.Factors.Normalization LocalTempEffect_Skin
      annotation (Placement(transformation(extent={{74,46},{94,66}})));
      Modelica.Thermal.HeatTransfer.Sensors.TemperatureSensor temperatureSensor
        annotation (Placement(transformation(extent={{44,-94},{64,-74}})));
    equation
    connect(Metabolism1.port, skin.q_in) annotation (Line(
        points={{20,-62},{40,-62}},
        color={255,128,0},
        thickness=1,
        smooth=Smooth.None));
      connect(skinFlux.q_out,skin. q_in) annotation (Line(
          points={{48,-20},{48,-44},{40,-44},{40,-62}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(skinFlux.q_in, positiveHeatFlow) annotation (Line(
          points={{38,-28},{6,-28}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(skin.q_in, q_out) annotation (Line(
          points={{40,-62},{92,-62}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.SystemicArtys_Pressure, pressureGradient.u1)
                                                                annotation (
          Line(
          points={{-72,44},{-74,44},{-74,-14},{-44,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.SystemicVeins_Pressure, pressureGradient.u2)
                                                                annotation (
          Line(
          points={{-72,44},{-74,44},{-74,-22},{-36,-22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(pressureGradient.y, bloodFlow.u1)
                                      annotation (Line(
          points={{-27,-14},{8,-14}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(bloodFlow.y, bloodDensity.u) annotation (Line(
          points={{31,-8},{40,-8},{40,-9.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(TermoregulationEffect.y, bloodFlow.u2)
                                               annotation (Line(
          points={{84,7.2},{8,7.2},{8,-2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsDilateEffect.val, busConnector.skinFlow_termoregulationEffect)
        annotation (Line(
          points={{-12,20},{0,20},{0,0},{-72,0},{-72,44}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(HypothalamusSkinFlow_NervesActivity, SympsDilateEffect.u)
        annotation (Line(
          points={{-58,20},{-32,20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsDilateEffect.val, TermoregulationEffect.u) annotation (Line(
          points={{-12,20},{0,20},{0,12},{74.4,12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LocalTempVsNA.yBase,Skin_BasicConductance_1. y) annotation (Line(
          points={{-10,88},{-10,92},{-8.5,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LocalTempEffect.yBase,LocalTempVsNA. y) annotation (Line(
          points={{-8,74},{-8,80},{-10,80},{-10,82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.skin_T,LocalTempEffect. u) annotation (Line(
          points={{-72,44},{-72,72},{-16,72}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.AlphaPool_Effect,AplhaReceptors_Skin. AlphaPool_Effect)
        annotation (Line(
          points={{-72,44},{-72,66},{-33.8,66}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.AlphaBlocade_Effect,AplhaReceptors_Skin. AlphaBlockade_Effect)
        annotation (Line(
          points={{-72,44},{-72,60},{-33.8,60}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.GangliaGeneral_NA,AplhaReceptors_Skin. GangliaGeneral_NA)
        annotation (Line(
          points={{-72,44},{-72,54},{-33.8,54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(AplhaReceptors_Skin.yBase,LocalTempVsNA. y) annotation (Line(
          points={{-24,67},{-24,80},{-10,80},{-10,82}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(LocalTempEffect.y,add. u) annotation (Line(
          points={{-8,68},{-8,54},{31.2,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(add1.u,AplhaReceptors_Skin. y) annotation (Line(
          points={{31.2,42},{-24,42},{-24,53}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsEffect_Skin.u,add1. y) annotation (Line(
          points={{76,48},{56,48},{56,42},{40.4,42}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(add.y,LocalTempEffect_Skin. u) annotation (Line(
          points={{40.4,54},{58,54},{58,56},{76,56}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.skin_conductanceWithoutTermoregulationEffect,
        LocalTempEffect_Skin.yBase) annotation (Line(
          points={{-72,44},{-72,96},{84,96},{84,58}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(LocalTempEffect_Skin.y, SympsEffect_Skin.yBase) annotation (Line(
          points={{84,52},{84,50}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SympsEffect_Skin.y, TermoregulationEffect.yBase) annotation (Line(
          points={{84,44},{84,14.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(HypothalamusSkinFlow_NervesActivity, LocalTempVsNA.u) annotation (
         Line(
          points={{-58,20},{-42,20},{-42,86},{-18,86}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(bloodDensity.y, skinFlux.massFlow) annotation (Line(
          points={{40,-18.4},{40,-23}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.skinSizeMass, skin.weight) annotation (Line(
          points={{-72,44},{-72,-54},{30,-54}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.MetabolismCaloriesUsed_SkinHeat, Metabolism1.Q_flow)
        annotation (Line(
          points={{-72,44},{-72,-62},{0,-62}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(skin.q_in, temperatureSensor.port) annotation (Line(
          points={{40,-62},{42,-62},{42,-84},{44,-84}},
          color={191,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(temperatureSensor.T, busConnector.skin_T) annotation (Line(
          points={{64,-84},{74,-84},{74,-100},{-72,-100},{-72,44}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(temperatureSensor.T, skin_T) annotation (Line(
          points={{64,-84},{74,-84},{74,-98},{88,-98}},
          color={0,0,127},
          smooth=Smooth.None));
    end SkinHeat2;

    model Heat2
     extends Physiolibrary.Icons.Heat;
    //      initialTemperature(displayUnit="degC") = 310.15,
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-104,86},{-84,106}}), iconTransformation(
            extent={{-104,86},{-84,106}})));
      Physiolibrary.Thermal.Sources.MassOutflow HeatInsensibleSkin(
        q_in(T(start=303.824)),
        VaporizationHeat=2428344,
        SpecificHeat=4186.8,
        useMassFlowInput=true)
        annotation (Placement(transformation(extent={{66,-12},{86,8}})));
    Physiolibrary.Types.Constants.MassFlowRateConst massFlowConstant(k=6.1666666666667e-06)
      annotation (Placement(transformation(extent={{62,10},{68,16}})));
    Physiolibrary.Thermal.Components.Conductor conduction(useConductanceInput=
          true)
      annotation (Placement(transformation(extent={{74,-60},{94,-40}})));
    Physiolibrary.Blocks.Factors.Spline WindEffect(data={{0.0,1.0,0},{20.0,4.0,
          0}}, Xscale=0.44704)
      annotation (Placement(transformation(extent={{94,-48},{74,-28}})));
    Physiolibrary.Blocks.Factors.Spline BloodFlowEffect(data={{0,0.8,0},{250,
          1.0,1.0E-3},{8000,8.0,0}}, Xscale=1e-6/60)
      annotation (Placement(transformation(extent={{94,-42},{74,-22}})));
    Physiolibrary.Blocks.Factors.Spline ClothesEffect(data={{0.0,4.0,0},{2.0,
          1.0,-1.2},{4.0,0.2,0}})
      annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
    Physiolibrary.Types.Constants.ThermalConductanceConst Constant(k(displayUnit="kcal/(min.K)")=
             2.37252)
      annotation (Placement(transformation(extent={{74,-20},{82,-12}})));
    Physiolibrary.Types.Constants.FractionConst             Constant1(k=2)
      annotation (Placement(transformation(extent={{58,-28},{66,-20}})));
    Physiolibrary.Thermal.Sources.UnlimitedHeat ambientTemperature(T=298.15)
      annotation (Placement(transformation(extent={{58,-88},{78,-68}})));
    Physiolibrary.Thermal.Components.Conductor radiation(useConductanceInput=
          true)
      annotation (Placement(transformation(extent={{26,-88},{46,-68}})));
    Physiolibrary.Blocks.Factors.Spline ClothesEffect1(data={{0.0,4.0,0},{2.0,
          1.0,-1.2},{4.0,0.2,0}})
      annotation (Placement(transformation(extent={{26,-78},{46,-58}})));
    Physiolibrary.Types.Constants.ThermalConductanceConst Constant3(k=4.74504)
      annotation (Placement(transformation(extent={{24,-62},{32,-54}})));
      TissuesHeat otherTissuesHeat
        annotation (Placement(transformation(extent={{-86,-76},{-64,-54}})));
    Physiolibrary.Thermal.Components.Stream toUrine(
      q_in(T(start=310.16)),
      SpecificHeat=4186.8,
      useMassFlowInput=true) annotation (Placement(transformation(
          extent={{-10,10},{10,-10}},
          rotation=270,
          origin={2,-36})));
      BladderHeat bladderHeat
        annotation (Placement(transformation(extent={{-10,-76},{10,-56}})));
      GILumenHeat gILumenHeat(GILumen(q_in(T(start=308.099)), useMassInput=true))
        annotation (Placement(transformation(extent={{-86,-22},{-66,-2}})));
      SkinHeat2 skinHeat
                        annotation (Placement(transformation(
            extent={{-15,-15},{15,15}},
            rotation=270,
            origin={33,-13})));
      MuscleHeat muscleHeat
        annotation (Placement(transformation(extent={{-54,-74},{-26,-42}})));
      Nerves.Hypothalamus hypothalamus
        annotation (Placement(transformation(extent={{16,62},{36,82}})));
      Skin.SweatGland sweatGland
        annotation (Placement(transformation(extent={{72,36},{92,56}})));
      Lungs lungs
        annotation (Placement(transformation(extent={{-40,18},{-20,38}})));
      Core core1
        annotation (Placement(transformation(extent={{-36,-12},{-16,8}})));
    Modelica.Blocks.Math.Gain urineDensity(
        y(unit="kg/s"),
        k(unit="kg/m3") = 1000,
        u(unit="m3/s")) annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            origin={-16,-38})));
    equation
      connect(BloodFlowEffect.y, WindEffect.yBase) annotation (Line(
          points={{84,-36},{84,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ClothesEffect.y, BloodFlowEffect.yBase) annotation (Line(
          points={{84,-28},{84,-30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, ClothesEffect.yBase) annotation (Line(
          points={{83,-16},{84,-16},{84,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, ClothesEffect.u) annotation (Line(
          points={{67,-24},{76,-24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.skin_BloodFlow, BloodFlowEffect.u) annotation (Line(
          points={{-94,96},{98,96},{98,-32},{92,-32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(conduction.q_out, ambientTemperature.port) annotation (Line(
          points={{94,-50},{98,-50},{98,-78},{78,-78}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Constant1.y, ClothesEffect1.u) annotation (Line(
          points={{67,-24},{70,-24},{70,-34},{22,-34},{22,-68},{28,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant3.y, ClothesEffect1.yBase) annotation (Line(
          points={{33,-58},{36,-58},{36,-66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(radiation.q_out, ambientTemperature.port) annotation (Line(
          points={{46,-78},{78,-78}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector, otherTissuesHeat.busConnector) annotation (Line(
          points={{-94,96},{-94,-54.88},{-84.68,-54.88}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(toUrine.q_out, bladderHeat.positiveHeatFlow) annotation (Line(
          points={{2,-46},{2,-58.4},{0.4,-58.4}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector, bladderHeat.busConnector) annotation (Line(
          points={{-94,96},{-94,-84},{-24,-84},{-24,-56.4},{-9.4,-56.4}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(gILumenHeat.busConnector, busConnector) annotation (Line(
          points={{-85.4,-2.4},{-94,-2.4},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(skinHeat.q_out, HeatInsensibleSkin.q_in)
                                              annotation (Line(
          points={{35.7,-10},{36,-10},{36,-4},{44,-4},{44,-2},{66,-2}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(skinHeat.q_out, conduction.q_in) annotation (Line(
          points={{35.7,-10},{46,-10},{46,-50},{74,-50}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(skinHeat.q_out, radiation.q_in) annotation (Line(
          points={{35.7,-10},{46,-10},{46,-50},{18,-50},{18,-78},{26,-78}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(skinHeat.busConnector, busConnector) annotation (Line(
          points={{30,-1},{30,18},{100,18},{100,96},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(muscleHeat.busConnector, busConnector) annotation (Line(
          points={{-53.16,-42.64},{-52,-42},{-94,-42},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.brain_FunctionEffect,hypothalamus. BrainFunctionEffect)
        annotation (Line(
          points={{-94,96},{-76,96},{-76,78},{16,78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(hypothalamus.HypothalamusSkinFlow_NA, skinHeat.HypothalamusSkinFlow_NervesActivity)
        annotation (Line(
          points={{36,70},{44,70},{44,20},{24,20},{24,-1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(skinHeat.skin_T, hypothalamus.HeatSkin_Temp) annotation (Line(
          points={{30,-22},{30,-22},{-4,-20},{-4,68},{16,68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hypothalamus.HypothalamusSweating_NA, sweatGland.HypothalamusSweating_NA)
        annotation (Line(
          points={{36,76},{48,76},{48,40},{74,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sweatGland.busConnector, busConnector) annotation (Line(
          points={{89,53},{98,53},{98,96},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(skinHeat.q_out, sweatGland.port_a) annotation (Line(
          points={{35.7,-10},{46,-10},{46,36},{82,36}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(sweatGland.port_b, ambientTemperature.port) annotation (Line(
          points={{82,56},{104,56},{104,-78},{78,-78}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(lungs.busConnector, busConnector) annotation (Line(
          points={{-37.2,27.4},{-94,27.4},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(lungs.positiveHeatFlow, core1.positiveHeatFlow) annotation (Line(
          points={{-31.4,23.4},{-26,23.4},{-26,-1.4},{-25.8,-1.4}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(core1.positiveHeatFlow, skinHeat.positiveHeatFlow) annotation (
          Line(
          points={{-25.8,-1.4},{-25.8,6.6},{2,6.6},{2,-9.7},{24,-9.7}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(core1.positiveHeatFlow, toUrine.q_in) annotation (Line(
          points={{-25.8,-1.4},{-10,-1.4},{-10,-26},{2,-26}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(core1.positiveHeatFlow, muscleHeat.q_out) annotation (Line(
          points={{-25.8,-1.4},{-25.8,-12},{-26,-12},{-26,-58},{-40,-58}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));

      connect(core1.positiveHeatFlow, gILumenHeat.q_out) annotation (Line(
          points={{-25.8,-1.4},{-26,-1.4},{-26,-12},{-76,-12}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(core1.core_T, hypothalamus.HeatCore_Temp) annotation (Line(
          points={{-20,-4},{0,-4},{0,72},{16,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(core1.busConnector, busConnector) annotation (Line(
          points={{-26,6.2},{-26,14.2},{-58,14.2},{-58,96},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(lungs.air, ambientTemperature.port) annotation (Line(
          points={{-31.4,34.2},{-31.4,58},{104,58},{104,-78},{78,-78}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(hypothalamus.HypothalamusShivering_NA, busConnector.HypothalamusShivering_NerveActivity)
        annotation (Line(
          points={{36,64},{42,64},{42,96},{-94,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(WindEffect.y, conduction.conductance) annotation (Line(
          points={{84,-42},{84,-46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ClothesEffect1.y, radiation.conductance) annotation (Line(
          points={{36,-72},{36,-74}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(massFlowConstant.y, HeatInsensibleSkin.massFlow) annotation (Line(
        points={{68.75,13},{68,13},{68,5}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.CD_H2O_Outflow, urineDensity.u) annotation (Line(
          points={{-94,96},{-94,-84},{-24,-84},{-24,-38},{-20.8,-38}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(urineDensity.y, toUrine.massFlow) annotation (Line(
          points={{-11.6,-38},{-8,-38},{-8,-28},{-5,-28}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(core1.positiveHeatFlow, busConnector.coreHeat) annotation (Line(
        points={{-25.8,-1.4},{-25.8,-6},{-58,-6},{-58,96},{-94,96}},
        color={191,0,0},
        thickness=1,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(WindEffect.u, busConnector.WindSpeed) annotation (Line(
          points={{92,-38},{100,-38},{100,96},{-94,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={               Text(
              extent={{-94,-100},{94,-126}},
              lineColor={0,0,255},
              textString="%name")}));
    end Heat2;

    package Skin
      model Skin
        extends Physiolibrary.Icons.Skin;
        parameter Real bodyPart=1/3;
      Physiolibrary.Types.Constants.VolumeFlowRateConst flowConstant(k=1*
            bodyPart)
        annotation (Placement(transformation(extent={{62,80},{70,88}})));
      Physiolibrary.Blocks.Factors.Spline NerveEffect(data={{0.0,0.0,0.0},{4.0,
            30.0,0.0}})
        annotation (Placement(transformation(extent={{62,54},{82,74}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-100,81},{-80,101}}), iconTransformation(
              extent={{60,60},{80,80}})));
      Physiolibrary.Blocks.Factors.Normalization FuelEffect
        annotation (Placement(transformation(extent={{62,42},{82,62}})));
      Physiomodel.Metabolism.deprecated.Input2EffectDelayed AcclimationEffect(Tau=6,
          data={{60,0.5,0.0},{85,1.0,0.05},{100,2.0,0.0}})
        annotation (Placement(transformation(extent={{62,22},{82,42}})));
      Physiolibrary.Blocks.Factors.Normalization SkinFunctionEffect
        annotation (Placement(transformation(extent={{62,2},{82,22}})));
        Physiolibrary.NonSIunits.degC_to_degF degC_to_degF
          annotation (Placement(transformation(extent={{48,28},{56,36}})));
        Physiolibrary.Chemical.MassStorageCompartment          SweatFuel(
            initialSoluteMass=1, stateName="SweatFuel.Mass")
          annotation (Placement(transformation(extent={{56,-52},{78,-32}})));
        Physiolibrary.Chemical.InputPump          inputPump
          annotation (Placement(transformation(extent={{34,-52},{54,-32}})));
        Physiolibrary.Chemical.OutputPump          outputPump
          annotation (Placement(transformation(extent={{82,-52},{102,-32}})));
        Modelica.Blocks.Math.Gain gain(k=0.0004) annotation (Placement(
              transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={92,-26})));
      Physiolibrary.Blocks.Factors.Spline MassEffect(data={{0.9,1.0,0.0},{1.0,
            0.0,0.0}})
        annotation (Placement(transformation(extent={{34,-38},{54,-18}})));
      Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant(k=0.004)
        annotation (Placement(transformation(extent={{34,-20},{42,-12}})));
        Modelica.Blocks.Math.Feedback H2OOutflow
          annotation (Placement(transformation(extent={{-2,-12},{-18,4}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab(k=0)
        annotation (Placement(transformation(extent={{-26,-22},{-18,-14}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab1(k=0.37*
            bodyPart)
        annotation (Placement(transformation(extent={{-48,-64},{-40,-56}})));
        Modelica.Blocks.Logical.Switch switch1
          annotation (Placement(transformation(extent={{-28,-82},{-8,-62}})));
        Modelica.Blocks.Logical.Greater greater
          annotation (Placement(transformation(extent={{-70,-82},{-50,-62}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab2(k=0)
        annotation (Placement(transformation(extent={{-74,-98},{-66,-90}})));
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_b q_out annotation (
          Placement(transformation(extent={{-48,-44},{-30,-28}}),
            iconTransformation(extent={{-90,-50},{-70,-30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux sweat(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{-62,-46},{-82,-26}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux vapor(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{6,-92},{26,-72}})));
        Modelica.Blocks.Interfaces.RealOutput LiquidVol(
                                                 final displayUnit="ml")
        "all tissue water volume"
          annotation (Placement(transformation(extent={{90,70},{130,110}}),
              iconTransformation(extent={{80,60},{120,100}})));
      equation
        connect(flowConstant.y, NerveEffect.yBase) annotation (Line(
            points={{71,84},{72,84},{72,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.HypothalamusSweating_NA, NerveEffect.u)
          annotation (Line(
            points={{-90,91},{-56,91},{-56,64},{64,64}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.skin_FunctionEffect, SkinFunctionEffect.u)
          annotation (Line(
            points={{-90,91},{-56,91},{-56,12},{64,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(AcclimationEffect.y, SkinFunctionEffect.yBase) annotation (Line(
            points={{72,30},{72,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(NerveEffect.y, FuelEffect.yBase) annotation (Line(
            points={{72,60},{72,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FuelEffect.y, AcclimationEffect.yBase) annotation (Line(
            points={{72,50},{72,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_T, degC_to_degF.degC) annotation (Line(
            points={{-90,91},{-56,91},{-56,32},{47.2,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(degC_to_degF.degF, AcclimationEffect.u) annotation (Line(
            points={{56.8,32},{62.2,32}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatFuel.soluteMass, FuelEffect.u) annotation (Line(
            points={{67,-49.4},{67,-58},{22,-58},{22,52},{62.2,52}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inputPump.q_out, SweatFuel.q_out) annotation (Line(
            points={{50,-42},{67,-42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(SweatFuel.q_out, outputPump.q_in) annotation (Line(
            points={{67,-42},{86,-42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(gain.y, outputPump.desiredFlow) annotation (Line(
            points={{92,-30.4},{92,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(MassEffect.y, inputPump.desiredFlow) annotation (Line(
            points={{44,-30},{44,-38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SweatFuel.soluteMass, MassEffect.u) annotation (Line(
            points={{67,-49.4},{67,-58},{22,-58},{22,-28},{34.2,-28}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, MassEffect.yBase) annotation (Line(
            points={{43,-16},{44,-16},{44,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SkinFunctionEffect.y, H2OOutflow.u1) annotation (Line(
            points={{72,8},{72,-4},{-3.6,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab.y, H2OOutflow.u2) annotation (Line(
            points={{-17,-18},{-10,-18},{-10,-10.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SkinFunctionEffect.y, gain.u) annotation (Line(
            points={{72,8},{72,-4},{92,-4},{92,-21.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(greater.y, switch1.u2) annotation (Line(
            points={{-49,-72},{-30,-72}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(H2OReab1.y, switch1.u1) annotation (Line(
            points={{-39,-60},{-36,-60},{-36,-64},{-30,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab2.y, switch1.u3) annotation (Line(
            points={{-65,-94},{-34,-94},{-34,-80},{-30,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab2.y, greater.u2) annotation (Line(
            points={{-65,-94},{-60,-94},{-60,-86},{-76,-86},{-76,-80},{-72,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_BloodFlow, greater.u1) annotation (Line(
            points={{-90,91},{-90,-72},{-72,-72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(vapor.q_in, q_out) annotation (Line(
            points={{10,-82},{4,-82},{4,-36},{-39,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
        connect(sweat.q_in, q_out) annotation (Line(
            points={{-66,-36},{-39,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(switch1.y, vapor.solutionFlow) annotation (Line(
          points={{-7,-72},{16,-72},{16,-78}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(H2OOutflow.y, sweat.solutionFlow) annotation (Line(
          points={{-17.2,-4},{-72,-4},{-72,-32}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-155,-83},{126,-108}},
                lineColor={0,0,255},
                textString="%name")}));
      end Skin;

      model SweatGland
        extends Physiolibrary.Icons.SweatGland;

      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-100,81},{-80,101}}), iconTransformation(
              extent={{60,60},{80,80}})));
      Physiolibrary.Blocks.Factors.Normalization FuelEffect
        annotation (Placement(transformation(extent={{62,42},{82,62}})));
        Physiolibrary.Blocks.Factors.SplineLag      AcclimationEffect(
                                                           HalfTime=6*86400*Modelica.Math.log(2),
          stateName="SweatAcclimation.Effect",
          data={{60 + 459.67,0.5,0.0},{85 + 459.67,1.0,0.05},{100 + 459.67,2.0,0.0}},
          Xscale=5/9)
          annotation (Placement(transformation(extent={{62,22},{82,42}})));

      Physiolibrary.Blocks.Factors.Normalization SkinFunctionEffect
        annotation (Placement(transformation(extent={{62,2},{82,22}})));
        Physiolibrary.Chemical.Components.Substance             SweatFuel(
                                 stateName="SweatFuel.Mass", solute_start(
            displayUnit="mol") = 1)
          annotation (Placement(transformation(extent={{56,-52},{78,-32}})));
      Physiolibrary.Chemical.Sources.UnlimitedSolutePump inputPump(
          useSoluteFlowInput=true)
        annotation (Placement(transformation(extent={{34,-52},{54,-32}})));
        Physiolibrary.Chemical.Sources.UnlimitedSolutePumpOut
                                                    outputPump(useSoluteFlowInput=true)
          annotation (Placement(transformation(extent={{82,-52},{102,-32}})));
        Modelica.Blocks.Math.Gain gain(k=0.4)    annotation (Placement(
              transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={92,-26})));
      Physiolibrary.Blocks.Factors.Spline MassEffect(data={{0.9,1.0,0.0},{1.0,
            0.0,0.0}})
        annotation (Placement(transformation(extent={{34,-38},{54,-18}})));
      Physiolibrary.Types.Constants.MolarFlowRateConst        Constant(k(displayUnit="mol/min")=
               6.6666666666667e-05)
        annotation (Placement(transformation(extent={{34,-20},{42,-12}})));
        Modelica.Blocks.Math.Feedback H2OOutflow
          annotation (Placement(transformation(extent={{18,-12},{2,4}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab(k=0)
        annotation (Placement(transformation(extent={{-6,-22},{2,-14}})));
        Modelica.Blocks.Interfaces.RealInput HypothalamusSweating_NA
                                                    annotation (Placement(
              transformation(extent={{-14,60},{6,80}}),   iconTransformation(
                extent={{-100,-80},{-60,-40}})));
      Physiolibrary.Thermal.Interfaces.HeatPort_a port_a annotation (Placement(
            transformation(extent={{-52,-76},{-46,-70}}), iconTransformation(
              extent={{-10,-110},{10,-90}})));
      Physiolibrary.Thermal.Interfaces.HeatPort_b port_b annotation (Placement(
            transformation(extent={{-24,-104},{-14,-94}}), iconTransformation(
              extent={{-10,90},{10,110}})));
        Modelica.Blocks.Math.Min H2OEvaporation annotation (Placement(
              transformation(
              extent={{-6,-6},{6,6}},
              rotation=180,
              origin={-50,-8})));
      Physiolibrary.Thermal.Sources.MassOutflow HeatSweatEvaporation(
          VaporizationHeat=2428344, useMassFlowInput=true) annotation (
          Placement(transformation(
            extent={{-10,10},{10,-10}},
            rotation=180,
            origin={-70,-74})));
      Physiolibrary.Blocks.Factors.Spline WindEffect(data={{0,1.0,0.0},{20,1.5,
            0.0}}, Xscale=0.44704)
        annotation (Placement(transformation(extent={{-94,-30},{-74,-10}})));
      Gases.Ventilation.VaporPressure vaporPressure
        annotation (Placement(transformation(extent={{-86,20},{-66,40}})));
        Modelica.Blocks.Math.Feedback Gradient
          annotation (Placement(transformation(extent={{8,-8},{-8,8}},
              rotation=90,
              origin={-54,16})));
      Gases.Ventilation.VaporPressure vaporPressure1 annotation (Placement(
            transformation(
            extent={{-10,-10},{10,10}},
            origin={-76,62})));
        Modelica.Blocks.Math.Product air_pH2O
          annotation (Placement(transformation(extent={{-54,56},{-44,46}})));
      Modelica.Blocks.Math.Gain sweatDensity(
          y(unit="kg/s"),
          k(unit="kg/m3") = 1000,
          u(unit="m3/s")) annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=270,
              origin={-20,-24})));
      Physiolibrary.Thermal.Components.Stream HeatSweatConvection(
                    useMassFlowInput=true, SpecificHeat=4186.8)
        annotation (Placement(transformation(extent={{-30,-84},{-10,-64}})));
      Physiolibrary.Blocks.Interpolation.Curve BasicEvaporation(
        slope={0,0},
        val(displayUnit="kg/s", nominal=0.001/60),
        u(displayUnit="Pa", nominal=(101325/760)),
        x={0,40},
        y={0,20},
        Xscale=101325/760,
        Yscale=0.001/60)                           annotation (Placement(
            transformation(
            extent={{-10,10},{10,-10}},
            rotation=180,
            origin={-80,8})));
      Modelica.Blocks.Math.Gain sweatDensity2(
          y(unit="kg/s"),
          k(unit="kg/m3") = 1000,
          u(unit="m3/s")) annotation (Placement(transformation(
              extent={{-4,-4},{4,4}},
              rotation=180,
              origin={-34,-4})));
      Physiolibrary.Blocks.Factors.Spline NerveEffect(data={{0.0,0.0,0.0},{4.0,30.0,0.0}})
        annotation (Placement(transformation(extent={{62,60},{82,80}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2ORateBasic(k=1.6666666666667e-08)
          annotation (Placement(transformation(extent={{46,86},{54,94}})));
      equation
        connect(busConnector.skin_FunctionEffect, SkinFunctionEffect.u)
          annotation (Line(
            points={{-90,91},{30,91},{30,12},{64,12}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(AcclimationEffect.y, SkinFunctionEffect.yBase) annotation (Line(
            points={{72,28},{72,14}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FuelEffect.y, AcclimationEffect.yBase) annotation (Line(
            points={{72,48},{72,34}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(inputPump.q_out, SweatFuel.q_out) annotation (Line(
            points={{54,-42},{67,-42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(SweatFuel.q_out, outputPump.q_in) annotation (Line(
            points={{67,-42},{82,-42}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
      connect(MassEffect.y, inputPump.soluteFlow) annotation (Line(
          points={{44,-32},{44,-38},{48,-38}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(Constant.y, MassEffect.yBase) annotation (Line(
            points={{43,-16},{44,-16},{44,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SkinFunctionEffect.y, H2OOutflow.u1) annotation (Line(
            points={{72,8},{72,-4},{16.4,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab.y, H2OOutflow.u2) annotation (Line(
            points={{3,-18},{10,-18},{10,-10.4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(SkinFunctionEffect.y, gain.u) annotation (Line(
            points={{72,8},{72,-4},{92,-4},{92,-21.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(port_a, HeatSweatEvaporation.q_in) annotation (Line(
            points={{-49,-73},{-54.5,-73},{-54.5,-74},{-60,-74}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(WindEffect.y, H2OEvaporation.u1) annotation (Line(
            points={{-84,-24},{-84,-28},{-36,-28},{-36,-11.6},{-42.8,-11.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.EnvironmentRelativeHumidity, air_pH2O.u1)
          annotation (Line(
            points={{-90,91},{-100,91},{-100,48},{-55,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(busConnector.AmbientTemperature, vaporPressure1.T) annotation (
            Line(
            points={{-90,91},{-100,91},{-100,62},{-84.6,62}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(air_pH2O.y, Gradient.u2) annotation (Line(
            points={{-43.5,51},{-40,51},{-40,16},{-47.6,16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_T, vaporPressure.T) annotation (Line(
            points={{-90,91},{-100,91},{-100,30},{-84.6,30}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(H2OOutflow.y, busConnector.SweatDuct_H2OOutflow) annotation (
            Line(
            points={{2.8,-4},{-26,-4},{-26,92},{-90,92},{-90,91}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(H2OOutflow.y, sweatDensity.u) annotation (Line(
            points={{2.8,-4},{-20,-4},{-20,-19.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(port_a,HeatSweatConvection. q_in) annotation (Line(
            points={{-49,-73},{-41.5,-73},{-41.5,-74},{-30,-74}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
        connect(HeatSweatConvection.q_out, port_b) annotation (Line(
            points={{-10,-74},{-10,-99},{-19,-99}},
            color={255,128,0},
            thickness=1,
            smooth=Smooth.None));
      connect(vaporPressure1.VaporPressure_, air_pH2O.u2) annotation (Line(
          points={{-64.6,62},{-55,62},{-55,54}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(vaporPressure.VaporPressure_, Gradient.u1) annotation (Line(
          points={{-64.6,30},{-54,30},{-54,22.4}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Gradient.y, BasicEvaporation.u) annotation (Line(
          points={{-54,8.8},{-62,8.8},{-62,8},{-70,8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BasicEvaporation.val, WindEffect.yBase) annotation (Line(
          points={{-90,8},{-92,8},{-92,-10},{-84,-10},{-84,-18}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(H2OOutflow.y, sweatDensity2.u) annotation (Line(
            points={{2.8,-4},{-29.2,-4}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(sweatDensity2.y, H2OEvaporation.u2) annotation (Line(
            points={{-38.4,-4},{-40,-4},{-40,-4.4},{-42.8,-4.4}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(H2OEvaporation.y, HeatSweatEvaporation.massFlow) annotation (Line(
          points={{-56.6,-8},{-62,-8},{-62,-67}},
          color={0,0,127},
          smooth=Smooth.None));
        connect(sweatDensity.y, HeatSweatConvection.massFlow) annotation (Line(
            points={{-20,-28.4},{-20,-67},{-28,-67}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(busConnector.WindSpeed, WindEffect.u) annotation (Line(
          points={{-90,91},{-100,91},{-100,-20},{-92,-20}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
        connect(busConnector.skin_T, AcclimationEffect.u) annotation (Line(
            points={{-90,91},{30,91},{30,32},{64,32}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(FuelEffect.yBase, NerveEffect.y) annotation (Line(
            points={{72,54},{72,66}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2ORateBasic.y, NerveEffect.yBase) annotation (Line(
            points={{55,90},{72,90},{72,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(HypothalamusSweating_NA, NerveEffect.u) annotation (Line(
            points={{-4,70},{64,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(outputPump.soluteFlow, gain.y) annotation (Line(
            points={{96,-38},{96,-30.4},{92,-30.4}},
            color={0,0,127},
            smooth=Smooth.None));
      connect(SweatFuel.solute, MassEffect.u) annotation (Line(
          points={{73.6,-52},{68,-52},{68,-62},{24,-62},{24,-28},{36,-28}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(SweatFuel.solute, FuelEffect.u) annotation (Line(
          points={{73.6,-52},{68,-52},{68,-62},{24,-62},{24,52},{64,52}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-137,-103},{144,-128}},
                lineColor={0,0,255},
                textString="%name")}));
      end SweatGland;

      model InsensibleSkin
        extends Physiolibrary.Icons.Skin;
        parameter Real bodyPart=1/3;
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-100,81},{-80,101}}), iconTransformation(
              extent={{60,60},{80,80}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab1(k=0.37*
            bodyPart)
        annotation (Placement(transformation(extent={{-48,-64},{-40,-56}})));
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_b q_out annotation (
          Placement(transformation(extent={{-48,-44},{-30,-28}}),
            iconTransformation(extent={{-90,-50},{-70,-30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux vapor(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{6,-92},{26,-72}})));
      equation
        connect(vapor.q_in, q_out) annotation (Line(
            points={{10,-82},{4,-82},{4,-36},{-39,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(H2OReab1.y, vapor.solutionFlow) annotation (Line(
          points={{-39,-60},{16,-60},{16,-78}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-155,-83},{126,-108}},
                lineColor={0,0,255},
                textString="%name")}));
      end InsensibleSkin;

      model InsensibleSkin2
        extends Physiolibrary.Icons.Skin;
        parameter Real bodyPart=1/3;
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-100,81},{-80,101}}), iconTransformation(
              extent={{60,60},{80,80}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab1(k=0.37*
            bodyPart)
        annotation (Placement(transformation(extent={{-48,-64},{-40,-56}})));
        Modelica.Blocks.Logical.Switch switch1
          annotation (Placement(transformation(extent={{-28,-82},{-8,-62}})));
        Modelica.Blocks.Logical.Greater greater
          annotation (Placement(transformation(extent={{-70,-82},{-50,-62}})));
      Physiolibrary.Types.Constants.VolumeFlowRateConst H2OReab2(k=0)
        annotation (Placement(transformation(extent={{-74,-98},{-66,-90}})));
      Physiolibrary.Osmotic.Interfaces.OsmoticPort_b q_out annotation (
          Placement(transformation(extent={{-48,-44},{-30,-28}}),
            iconTransformation(extent={{-90,-50},{-70,-30}})));
      Physiolibrary.Osmotic.Sources.SolventOutflux vapor(useSolutionFlowInput=
            true)
        annotation (Placement(transformation(extent={{6,-92},{26,-72}})));
      equation
        connect(greater.y, switch1.u2) annotation (Line(
            points={{-49,-72},{-30,-72}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(H2OReab1.y, switch1.u1) annotation (Line(
            points={{-39,-60},{-36,-60},{-36,-64},{-30,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab2.y, switch1.u3) annotation (Line(
            points={{-65,-94},{-34,-94},{-34,-80},{-30,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(H2OReab2.y, greater.u2) annotation (Line(
            points={{-65,-94},{-60,-94},{-60,-86},{-76,-86},{-76,-80},{-72,-80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(busConnector.skin_BloodFlow, greater.u1) annotation (Line(
            points={{-90,91},{-90,-72},{-72,-72}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(vapor.q_in, q_out) annotation (Line(
            points={{10,-82},{4,-82},{4,-36},{-39,-36}},
            color={127,127,0},
            thickness=1,
            smooth=Smooth.None));
      connect(switch1.y, vapor.solutionFlow) annotation (Line(
          points={{-7,-72},{16,-72},{16,-78}},
          color={0,0,127},
          smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-155,-83},{126,-108}},
                lineColor={0,0,255},
                textString="%name")}));
      end InsensibleSkin2;
    end Skin;

    model Lungs
       extends Physiolibrary.Icons.Lungs;
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-76,32},{-56,52}}), iconTransformation(extent=
             {{-82,-16},{-62,4}})));
    Physiolibrary.Thermal.Interfaces.HeatPort_a positiveHeatFlow annotation (
        Placement(transformation(extent={{0,-14},{20,6}}),iconTransformation(
            extent={{-24,-56},{-4,-36}})));
      Physiolibrary.Thermal.Sources.MassOutflow lungsVapor(
        useMassFlowInput=true,
      VaporizationHeat(displayUnit="kcal/g") = 2428344,
      SpecificHeat=4186.8)
        annotation (Placement(transformation(extent={{62,-14},{82,6}})));
      Modelica.Blocks.Math.Feedback gradient
        annotation (Placement(transformation(extent={{-32,74},{-12,94}})));
    Gases.Ventilation.VaporPressure vaporPressure1 annotation (Placement(
          transformation(
          extent={{-10,-10},{10,10}},
          origin={-62,56})));
      Modelica.Blocks.Math.Product air_pH2O
        annotation (Placement(transformation(extent={{-42,60},{-32,70}})));
    Gases.Ventilation.VaporPressure vaporPressure2 annotation (Placement(
          transformation(
          extent={{-10,-10},{10,10}},
          origin={-52,84})));
      Modelica.Blocks.Math.Division division
        annotation (Placement(transformation(extent={{-2,46},{18,66}})));
      Modelica.Blocks.Math.Product product
        annotation (Placement(transformation(extent={{34,36},{54,56}})));
      Modelica.Blocks.Math.Gain K(k=0.80E-3)
        annotation (Placement(transformation(extent={{64,36},{84,56}})));
    Physiolibrary.Thermal.Interfaces.HeatPort_b air annotation (Placement(
          transformation(extent={{-92,-14},{-72,6}}),   iconTransformation(
            extent={{-24,52},{-4,72}})));
    Physiolibrary.Thermal.Components.Conductor resistorWithCond(
        useConductanceInput=true)
      annotation (Placement(transformation(extent={{-32,-14},{-12,6}})));
      Modelica.Blocks.Math.Gain SpecificHeat_Air(k=0.31*4186.4)
        annotation (Placement(transformation(extent={{-48,6},{-28,26}})));
    Modelica.Blocks.Math.Gain waterDensity(
        y(unit="kg/s"),
        k(unit="kg/m3") = 1000,
        u(unit="m3/s")) annotation (Placement(transformation(
            extent={{-5,-5},{5,5}},
            rotation=270,
            origin={73,17})));
    equation

      connect(positiveHeatFlow, lungsVapor.q_in) annotation (Line(
          points={{10,-4},{62,-4}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.AmbientTemperature, vaporPressure1.T) annotation (
          Line(
          points={{-66,42},{-90,42},{-90,56},{-70.6,56}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.EnvironmentRelativeHumidity, air_pH2O.u1)
        annotation (Line(
          points={{-66,42},{-90,42},{-90,68},{-43,68}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.core_T, vaporPressure2.T) annotation (Line(
          points={{-66,42},{-90,42},{-90,84},{-60.6,84}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(air_pH2O.y, gradient.u2) annotation (Line(
          points={{-31.5,65},{-22,65},{-22,76}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(gradient.y, division.u1) annotation (Line(
          points={{-13,84},{-8,84},{-8,62},{-4,62}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(division.y, product.u1) annotation (Line(
          points={{19,56},{26,56},{26,52},{32,52}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.BreathingTotalVentilation, product.u2) annotation (
          Line(
          points={{-66,42},{-18,42},{-18,40},{32,40}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(product.y, K.u) annotation (Line(
          points={{55,46},{62,46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(positiveHeatFlow, resistorWithCond.q_out) annotation (Line(
          points={{10,-4},{-12,-4}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(resistorWithCond.q_in, air) annotation (Line(
          points={{-32,-4},{-82,-4}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.BreathingTotalVentilation, SpecificHeat_Air.u)
        annotation (Line(
          points={{-66,42},{-66,16},{-50,16}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(waterDensity.y, lungsVapor.massFlow) annotation (Line(
          points={{73,11.5},{73,7.75},{64,7.75},{64,3}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(K.y, waterDensity.u) annotation (Line(
          points={{85,46},{92,46},{92,30},{73,30},{73,23}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(vaporPressure1.VaporPressure_, air_pH2O.u2) annotation (Line(
        points={{-50.6,56},{-48,56},{-48,62},{-43,62}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(vaporPressure2.VaporPressure_, gradient.u1) annotation (Line(
        points={{-40.6,84},{-30,84}},
        color={0,0,127},
        smooth=Smooth.None));
      connect(busConnector.BarometerPressure, division.u2) annotation (Line(
          points={{-66,42},{-36,42},{-36,50},{-4,50}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(SpecificHeat_Air.y, resistorWithCond.conductance) annotation (Line(
          points={{-27,16},{-22,16},{-22,0}},
          color={0,0,127},
          smooth=Smooth.None));
    end Lungs;

    model Core
       extends Physiolibrary.Icons.HeatCore;
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-82,34},{-62,54}}), iconTransformation(extent=
             {{-10,72},{10,92}})));
    Physiolibrary.Thermal.Interfaces.HeatPort_a positiveHeatFlow annotation (
        Placement(transformation(extent={{2,-8},{10,0}}), iconTransformation(
            extent={{-8,-4},{12,16}})));
    Modelica.Thermal.HeatTransfer.Sources.PrescribedHeatFlow CoreMetabolism
      annotation (Placement(transformation(extent={{-32,-28},{-12,-8}})));
    Physiolibrary.Thermal.Components.HeatAccumulation core(
      stateName="HeatCore.Mass",
      useMassInput=true,
      relativeHeat_start=0)
      annotation (Placement(transformation(extent={{-6,-54},{14,-34}})));
                           //(45005587.92) - 310.15*weight*(3475.044))

      Physiolibrary.Types.RealIO.TemperatureOutput
                                            core_T
                                            annotation (Placement(
            transformation(extent={{32,-102},{52,-82}}),
                                                       iconTransformation(
              extent={{40,-40},{80,0}})));
      Modelica.Thermal.HeatTransfer.Sensors.TemperatureSensor temperatureSensor
        annotation (Placement(transformation(extent={{20,-54},{40,-34}})));
    equation

    connect(CoreMetabolism.port, core.q_in) annotation (Line(
        points={{-12,-18},{-2,-18},{-2,-44},{4,-44}},
        color={255,128,0},
        thickness=1,
        smooth=Smooth.None));
      connect(core.q_in, positiveHeatFlow) annotation (Line(
          points={{4,-44},{6,-44},{6,-4}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector.MetabolismCaloriesUsed_CoreHeat, CoreMetabolism.Q_flow)
        annotation (Line(
          points={{-72,44},{-72,-18},{-32,-18}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.WeightCore, core.weight) annotation (Line(
          points={{-72,44},{-72,-36},{-6,-36}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(core.q_in, temperatureSensor.port) annotation (Line(
          points={{4,-44},{20,-44}},
          color={191,0,0},
          thickness=1,
          smooth=Smooth.None));
      connect(temperatureSensor.T, busConnector.core_T) annotation (Line(
          points={{40,-44},{52,-44},{52,70},{-72,70},{-72,44}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(temperatureSensor.T, busConnector.HeatCore_Temp) annotation (Line(
          points={{40,-44},{52,-44},{52,44},{-72,44}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(temperatureSensor.T, core_T) annotation (Line(
          points={{40,-44},{46,-44},{46,-76},{16,-76},{16,-92},{42,-92}},
          color={0,0,127},
          smooth=Smooth.None));
    end Core;

    package IO_Bus
        extends Physiolibrary.Types.IO_Bus;
      redeclare model extends Variables

      T.Temperature GITract_T(varName="HeatCore.Temp(C)")
        "Body core temperature."
      annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
      T.Temperature HeatCore_Temp(varName="HeatCore.Temp(C)")
        "Body core temperature."
      annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
      T.Temperature bone_T(varName="HeatCore.Temp(C)") "Body core temperature."
      annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
      T.Temperature brain_T(varName="HeatCore.Temp(C)")
        "Body core temperature."
      annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
      T.Temperature core_T(varName="HeatCore.Temp(C)") "Body core temperature."
      annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
      T.Temperature fat_T(varName="HeatCore.Temp(C)") "Body core temperature."
      annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
      T.Temperature kidney_T(varName="HeatCore.Temp(C)")
        "Body core temperature."
      annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
      T.Temperature liver_T(varName="HeatCore.Temp(C)")
        "Body core temperature."
      annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
      T.Temperature otherTissue_T(varName="HeatCore.Temp(C)")
        "Body core temperature."
      annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
      T.Temperature respiratoryMuscle_T(varName="HeatCore.Temp(C)")
        "Body core temperature."
      annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
      T.Temperature rightHeart_T(varName="HeatCore.Temp(C)")
        "Body core temperature."
      annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
      T.Temperature skeletalMuscle_T(varName="HeatSkeletalMuscle.Temp(C)")
        "Skeletal muscle temperature."
      annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
      T.Temperature skin_T(varName="HeatSkin.Temp(C)") "Skin temperature."
      annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
      T.Temperature leftHeart_T(varName="HeatCore.Temp(C)")
        "Body core temperature."
      annotation (Placement(transformation(extent={{-36,-2},{-30,4}})));
      T.Fraction skinFlow_termoregulationEffect(varName=
              "Skin-Flow.SympsDilateEffect")
        "Skin vasodilatation effect on blood flow conductance."
      annotation (Placement(transformation(extent={{-36,-16},{-30,-10}})));
      T.HeatFlowRate skeletalMuscle_shiveringCals(varName=
              "SkeletalMuscle-Metabolism.ShiveringCals", storeUnit="cal/min")
        "Calories flow consumption by skeletal muscle shivering."
      annotation (Placement(transformation(extent={{-36,-32},{-30,-26}})));
      T.VolumeFlowRate SweatDuct_H2OOutflow(varName="SweatDuct.H2OOutflow")
        "Sweat duct H2O outflow."
      annotation (Placement(transformation(extent={{-36,-54},{-30,-48}})));
      T.Fraction hypothalamusShivering_NerveActivity(
                                                  varName=
              "HypothalamusShivering.NerveActivity", storeUnit="1")
        "Neural activity from hypothalamus shivering centrum."
      annotation (Placement(transformation(extent={{-34,-70},{-28,-64}})));
      equation
      connect(GITract_T.y, busConnector.GITract_T) annotation (Line(
       points={{-29.7,13},{90,13},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(HeatCore_Temp.y, busConnector.HeatCore_Temp) annotation (Line(
       points={{-29.7,23},{90,23},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(bone_T.y, busConnector.bone_T) annotation (Line(
       points={{-29.7,33},{90,33},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_T.y, busConnector.brain_T) annotation (Line(
       points={{-29.7,43},{90,43},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(core_T.y, busConnector.core_T) annotation (Line(
       points={{-29.7,53},{90,53},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(fat_T.y, busConnector.fat_T) annotation (Line(
       points={{-29.7,63},{90,63},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(kidney_T.y, busConnector.kidney_T) annotation (Line(
       points={{-29.7,73},{90,73},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(liver_T.y, busConnector.liver_T) annotation (Line(
       points={{-29.7,83},{90,83},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(otherTissue_T.y, busConnector.otherTissue_T) annotation (Line(
       points={{-29.7,93},{90,93},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(respiratoryMuscle_T.y, busConnector.respiratoryMuscle_T) annotation (Line(
       points={{-29.7,103},{90,103},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(rightHeart_T.y, busConnector.rightHeart_T) annotation (Line(
       points={{-29.7,113},{90,113},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_T.y, busConnector.skeletalMuscle_T) annotation (Line(
       points={{-29.7,123},{90,123},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skin_T.y, busConnector.skin_T) annotation (Line(
       points={{-29.7,133},{90,133},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(leftHeart_T.y, busConnector.leftHeart_T) annotation (Line(
            points={{-29.7,1},{72,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skinFlow_termoregulationEffect.y, busConnector.skinFlow_termoregulationEffect)
          annotation (Line(
            points={{-29.7,-13},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(skeletalMuscle_shiveringCals.y, busConnector.skeletalMuscle_shiveringCals)
          annotation (Line(
            points={{-29.7,-29},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(SweatDuct_H2OOutflow.y, busConnector.SweatDuct_H2OOutflow)
          annotation (Line(
            points={{-29.7,-51},{25.15,-51},{25.15,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(hypothalamusShivering_NerveActivity.y, busConnector.HypothalamusShivering_NerveActivity)
        annotation (Line(
          points={{-27.7,-67},{90,-67},{90,-2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={
              Text(
                extent={{18,98},{100,60}},
                lineColor={0,0,0},
                textString="vars"),
              Text(
                extent={{-122,-102},{120,-136}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model Heat_test
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.Heat2 heat
          annotation (Placement(transformation(extent={{-26,30},{-46,50}})));
        Physiomodel.Heat.IO_Bus.OutputComparison heat_dif
          annotation (Placement(transformation(extent={{-64,34},{-44,54}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-34,50},{-14,70}}), iconTransformation(
              extent={{-104,86},{-84,106}})));
        Physiomodel.Heat.IO_Bus.OutputToFile heat_varsToFile
          annotation (Placement(transformation(extent={{-92,26},{-72,46}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-26.6,49.6},{-6,49.6},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat_dif.busConnector, heat.busConnector) annotation (Line(
            points={{-54,44},{-42,44},{-42,49.6},{-26.6,49.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector, busConnector) annotation (Line(
            points={{-26.6,49.6},{-26.6,55.8},{-24,55.8},{-24,60}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, heat_varsToFile.busConnector) annotation (Line(
            points={{-24,60},{-65,60},{-65,36},{-82,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Heat_test;

      model Heat_test_SI
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.Heat2 heat
          annotation (Placement(transformation(extent={{-26,30},{-46,50}})));
        Physiomodel.Heat.IO_Bus.OutputComparison_SI heat_dif
          annotation (Placement(transformation(extent={{-64,34},{-44,54}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{-34,50},{-14,70}}), iconTransformation(
              extent={{-104,86},{-84,106}})));
        Physiomodel.Heat.IO_Bus.OutputToFile_SI heat_varsToFile
          annotation (Placement(transformation(extent={{-92,26},{-72,46}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-26.6,49.6},{-6,49.6},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat_dif.busConnector, heat.busConnector) annotation (Line(
            points={{-54,44},{-42,44},{-42,49.6},{-26.6,49.6}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector, busConnector) annotation (Line(
            points={{-26.6,49.6},{-26.6,55.8},{-24,55.8},{-24,60}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(busConnector, heat_varsToFile.busConnector) annotation (Line(
            points={{-24,60},{-65,60},{-65,36},{-82,36}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Heat_test_SI;
    end IO_Bus;

    model Heat3
     extends Physiolibrary.Icons.Heat;
    //      initialTemperature(displayUnit="degC") = 310.15,
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-104,86},{-84,106}}), iconTransformation(
            extent={{-104,86},{-84,106}})));
      Physiolibrary.Thermal.Sources.MassOutflow HeatInsensibleSkin(
        q_in(T(start=303.824)),
        VaporizationHeat=2428344,
        SpecificHeat=4186.8,
        useMassFlowInput=true)
        annotation (Placement(transformation(extent={{66,-12},{86,8}})));
    Physiolibrary.Types.Constants.MassFlowRateConst massFlowConstant(k=6.1666666666667e-06)
      annotation (Placement(transformation(extent={{62,10},{68,16}})));
    Physiolibrary.Thermal.Components.Conductor conduction(useConductanceInput=
          true)
      annotation (Placement(transformation(extent={{74,-60},{94,-40}})));
    Physiolibrary.Blocks.Factors.Spline WindEffect(data={{0.0,1.0,0},{20.0,4.0,
          0}}, Xscale=0.44704)
      annotation (Placement(transformation(extent={{94,-48},{74,-28}})));
    Physiolibrary.Blocks.Factors.Spline BloodFlowEffect(data={{0,0.8,0},{250,
          1.0,1.0E-3},{8000,8.0,0}}, Xscale=1e-6/60)
      annotation (Placement(transformation(extent={{94,-42},{74,-22}})));
    Physiolibrary.Blocks.Factors.Spline ClothesEffect(data={{0.0,4.0,0},{2.0,
          1.0,-1.2},{4.0,0.2,0}})
      annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
    Physiolibrary.Types.Constants.ThermalConductanceConst Constant(k(displayUnit="kcal/(min.K)")=
             2.37252)
      annotation (Placement(transformation(extent={{74,-20},{82,-12}})));
    Physiolibrary.Types.Constants.FractionConst             Constant1(k=2)
      annotation (Placement(transformation(extent={{58,-28},{66,-20}})));
    Physiolibrary.Thermal.Sources.UnlimitedHeat ambientTemperature(T=298.15)
      annotation (Placement(transformation(extent={{58,-88},{78,-68}})));
    Physiolibrary.Thermal.Components.Conductor radiation(useConductanceInput=
          true)
      annotation (Placement(transformation(extent={{26,-88},{46,-68}})));
    Physiolibrary.Blocks.Factors.Spline ClothesEffect1(data={{0.0,4.0,0},{2.0,
          1.0,-1.2},{4.0,0.2,0}})
      annotation (Placement(transformation(extent={{26,-78},{46,-58}})));
    Physiolibrary.Types.Constants.ThermalConductanceConst Constant3(k=4.74504)
      annotation (Placement(transformation(extent={{24,-62},{32,-54}})));
      TissuesHeat otherTissuesHeat
        annotation (Placement(transformation(extent={{-86,-76},{-64,-54}})));
      SkinHeat2 skinHeat
                        annotation (Placement(transformation(
            extent={{-15,-15},{15,15}},
            rotation=270,
            origin={33,-13})));
      MuscleHeat muscleHeat
        annotation (Placement(transformation(extent={{-54,-74},{-26,-42}})));
      Nerves.Hypothalamus hypothalamus
        annotation (Placement(transformation(extent={{16,62},{36,82}})));
      Skin.SweatGland sweatGland
        annotation (Placement(transformation(extent={{72,36},{92,56}})));
      Lungs lungs
        annotation (Placement(transformation(extent={{-40,18},{-20,38}})));
      Core core1
        annotation (Placement(transformation(extent={{-36,-12},{-16,8}})));
    equation
      connect(BloodFlowEffect.y, WindEffect.yBase) annotation (Line(
          points={{84,-36},{84,-36}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ClothesEffect.y, BloodFlowEffect.yBase) annotation (Line(
          points={{84,-28},{84,-30}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant.y, ClothesEffect.yBase) annotation (Line(
          points={{83,-16},{84,-16},{84,-22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant1.y, ClothesEffect.u) annotation (Line(
          points={{67,-24},{76,-24}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(busConnector.skin_BloodFlow, BloodFlowEffect.u) annotation (Line(
          points={{-94,96},{98,96},{98,-32},{92,-32}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(conduction.q_out, ambientTemperature.port) annotation (Line(
          points={{94,-50},{98,-50},{98,-78},{78,-78}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(Constant1.y, ClothesEffect1.u) annotation (Line(
          points={{67,-24},{70,-24},{70,-34},{22,-34},{22,-68},{28,-68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant3.y, ClothesEffect1.yBase) annotation (Line(
          points={{33,-58},{36,-58},{36,-66}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(radiation.q_out, ambientTemperature.port) annotation (Line(
          points={{46,-78},{78,-78}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(busConnector, otherTissuesHeat.busConnector) annotation (Line(
          points={{-94,96},{-94,-54.88},{-84.68,-54.88}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(skinHeat.q_out, HeatInsensibleSkin.q_in)
                                              annotation (Line(
          points={{35.7,-10},{36,-10},{36,-4},{44,-4},{44,-2},{66,-2}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(skinHeat.q_out, conduction.q_in) annotation (Line(
          points={{35.7,-10},{46,-10},{46,-50},{74,-50}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(skinHeat.q_out, radiation.q_in) annotation (Line(
          points={{35.7,-10},{46,-10},{46,-50},{18,-50},{18,-78},{26,-78}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(skinHeat.busConnector, busConnector) annotation (Line(
          points={{30,-1},{30,18},{100,18},{100,96},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(muscleHeat.busConnector, busConnector) annotation (Line(
          points={{-53.16,-42.64},{-52,-42},{-94,-42},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(busConnector.brain_FunctionEffect,hypothalamus. BrainFunctionEffect)
        annotation (Line(
          points={{-94,96},{-76,96},{-76,78},{16,78}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(hypothalamus.HypothalamusSkinFlow_NA, skinHeat.HypothalamusSkinFlow_NervesActivity)
        annotation (Line(
          points={{36,70},{44,70},{44,20},{24,20},{24,-1}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(skinHeat.skin_T, hypothalamus.HeatSkin_Temp) annotation (Line(
          points={{30,-22},{30,-22},{-4,-20},{-4,68},{16,68}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(hypothalamus.HypothalamusSweating_NA, sweatGland.HypothalamusSweating_NA)
        annotation (Line(
          points={{36,76},{48,76},{48,40},{74,40}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(sweatGland.busConnector, busConnector) annotation (Line(
          points={{89,53},{98,53},{98,96},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(skinHeat.q_out, sweatGland.port_a) annotation (Line(
          points={{35.7,-10},{46,-10},{46,36},{82,36}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(sweatGland.port_b, ambientTemperature.port) annotation (Line(
          points={{82,56},{104,56},{104,-78},{78,-78}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(lungs.busConnector, busConnector) annotation (Line(
          points={{-37.2,27.4},{-94,27.4},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(lungs.positiveHeatFlow, core1.positiveHeatFlow) annotation (Line(
          points={{-31.4,23.4},{-26,23.4},{-26,-1.4},{-25.8,-1.4}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(core1.positiveHeatFlow, skinHeat.positiveHeatFlow) annotation (
          Line(
          points={{-25.8,-1.4},{-25.8,6.6},{2,6.6},{2,-9.7},{24,-9.7}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(core1.positiveHeatFlow, muscleHeat.q_out) annotation (Line(
          points={{-25.8,-1.4},{-25.8,-12},{-26,-12},{-26,-58},{-40,-58}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));

      connect(core1.core_T, hypothalamus.HeatCore_Temp) annotation (Line(
          points={{-20,-4},{0,-4},{0,72},{16,72}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(core1.busConnector, busConnector) annotation (Line(
          points={{-26,6.2},{-26,14.2},{-58,14.2},{-58,96},{-94,96}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(lungs.air, ambientTemperature.port) annotation (Line(
          points={{-31.4,34.2},{-31.4,58},{104,58},{104,-78},{78,-78}},
          color={255,128,0},
          thickness=1,
          smooth=Smooth.None));
      connect(hypothalamus.HypothalamusShivering_NA, busConnector.HypothalamusShivering_NerveActivity)
        annotation (Line(
          points={{36,64},{42,64},{42,96},{-94,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(WindEffect.y, conduction.conductance) annotation (Line(
          points={{84,-42},{84,-46}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(ClothesEffect1.y, radiation.conductance) annotation (Line(
          points={{36,-72},{36,-74}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(massFlowConstant.y, HeatInsensibleSkin.massFlow) annotation (Line(
        points={{68.75,13},{68,13},{68,5}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(core1.positiveHeatFlow, busConnector.coreHeat) annotation (Line(
        points={{-25.8,-1.4},{-25.8,-6},{-58,-6},{-58,96},{-94,96}},
        color={191,0,0},
        thickness=1,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
      connect(WindEffect.u, busConnector.WindSpeed) annotation (Line(
          points={{92,-38},{100,-38},{100,96},{-94,96}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation ( Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={               Text(
              extent={{-94,-100},{94,-126}},
              lineColor={0,0,255},
              textString="%name")}));
    end Heat3;
    annotation (Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: HumMod 1.6, University of Mississippi Medical Center</p></td>
</tr>
</table>
<p>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>", info="<html>
<p>Thermoregulation [Benzinger1969,Hardy1961,Schreider1957] maintains the body temperature around 37degC. Heat is produced mostly by metabolismus or work of muscles [Saltin1966]. It is transported to environment[Consolazio1963] through skin, where the skin temperature depends on skin blood flow [Adolph1946,Hardy1938,Hsieh1965,Kamon1968,Pennes1948]. Body can be also heated or cooled by food or drinks [Gephart1915]. </p>
<p>The temperature is from heat energy calculated using specific heat capacity of tissues [Burton1935,Lipkin1954].</p>
<p>Thermoreceptors measure the temperature throughout the body and send the signal to hypothalamic centre of termoregulation[Kelso1982,Dodt1952,Hensel1953]. Main response on hypertermia [Blatteis1997,Hart1982,Gaus1917,Consolazio1961] is skin vasodilation and sweating[Armstrong1991,Epstein1999,Latzka1999,Morimoto1998,Quinton1991,Sato1977,1989a,b], where sweat glands could suffer with fatigue[Wyndham1966]. Main responses on hypotermia [Molnar1946,Talbott1941] is skin vasoconstriction and shivering[Carlson1954,Lampietro1960]. The neural acclination are more complex and is different for short time and long time responses [Horowitz2003,Armstrong1991,Piwonka1967].</p>
<p>The spontaneus loss of heat is by lungs evaporization[Brabbia1957]. </p>
<p>Temperature has effect on chemical reactions, so the metabolic processes are dependent on it [Abramson1958,Consolazio1961,Dirmi1980,Talbott1941,Matsuoka1994] as well as metabolism of leg muscle[Fink1975]. But the main problem with temperature is denaturisation of proteins at high temperature [Katschinski2004].</p>
</html>"));
  end Heat;

  package Setup "Environment Influences"
    extends Physiolibrary.Icons.SetupLib;

    model Setup
      extends Physiolibrary.Icons.Setup;
    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{54,-24},{74,-4}}), iconTransformation(extent=
              {{60,40},{100,80}})));
      Exercise exercise
        annotation (Placement(transformation(extent={{0,10},{20,30}})));
      Tissues tissuesSetup
        annotation (Placement(transformation(extent={{20,-58},{40,-38}})));
      Blood bloodInOut
        annotation (Placement(transformation(extent={{-24,-60},{-4,-40}})));
      Enviroment enviroment
        annotation (Placement(transformation(extent={{-36,14},{-16,34}})));
      Posture posture
        annotation (Placement(transformation(extent={{38,4},{58,24}})));
      Diet diet
        annotation (Placement(transformation(extent={{-76,14},{-56,34}})));
      Drugs drugs
        annotation (Placement(transformation(extent={{-68,-58},{-48,-38}})));
      Secretion secretion
        annotation (Placement(transformation(extent={{-50,42},{-30,62}})));
      Anesthesia anesthesia
        annotation (Placement(transformation(extent={{-16,42},{4,62}})));
      Unpaired unpaired
        annotation (Placement(transformation(extent={{58,-62},{78,-42}})));
    equation
      connect(enviroment.busConnector, busConnector) annotation (Line(
          points={{-28,24},{-38,24},{-38,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(exercise.busConnector, busConnector) annotation (Line(
          points={{8,20},{-2,20},{-2,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(tissuesSetup.busConnector, busConnector) annotation (Line(
          points={{28,-48},{16,-48},{16,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(bloodInOut.busConnector, busConnector) annotation (Line(
          points={{-16,-50},{-22,-50},{-22,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(posture.busConnector, busConnector) annotation (Line(
          points={{46,14},{38,14},{38,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(diet.busConnector, busConnector) annotation (Line(
          points={{-68,24},{-76,24},{-76,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(drugs.busConnector, busConnector) annotation (Line(
          points={{-60,-48},{-66,-48},{-66,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(secretion.busConnector, busConnector) annotation (Line(
          points={{-42,52},{-50,52},{-50,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(anesthesia.busConnector, busConnector) annotation (Line(
          points={{-8,52},{-16,52},{-16,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      connect(unpaired.busConnector, busConnector) annotation (Line(
          points={{66,-52},{66,-33},{66,-14},{64,-14}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-120,-42},{122,-76}},
              lineColor={0,0,255},
              textString="%name")}));
    end Setup;

    model Enviroment

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-40,-20},{-26,-6}}), iconTransformation(
            extent={{-40,-20},{0,20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const2(k=9.81)
      annotation (Placement(transformation(extent={{14,36},{8,42}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant77(k=760)
      annotation (Placement(transformation(extent={{34,76},{28,82}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant78(k=760)
      annotation (Placement(transformation(extent={{34,68},{28,74}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant8(k=0)
      annotation (Placement(transformation(extent={{76,90},{68,98}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Gravity_Gz(k=1)
      annotation (Placement(transformation(extent={{14,28},{8,34}})));
    Physiolibrary.Types.Constants.FractionConst EnvironmentRelativeHumidity(k=
          0.7000000000000001)
      annotation (Placement(transformation(extent={{-84,12},{-78,18}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant AmbientTemperature(
        k=22.2)
      annotation (Placement(transformation(extent={{-84,20},{-78,26}})));
    equation
      connect(busConnector.BarometerPressure,Constant77. y)
        annotation (Line(
          points={{-33,-13},{-33,79},{27.25,79}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.AirSupplyInspiredAirPressure,Constant78. y)
        annotation (Line(
          points={{-33,-13},{-33,71},{27.25,71}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(busConnector.pCO,Constant8. y) annotation (Line(
          points={{-33,-13},{46,-13},{46,94},{67,94}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(Gravity_Gz.y, busConnector.Gravity_Gz) annotation (Line(
          points={{7.25,31},{-33,31},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(EnvironmentRelativeHumidity.y, busConnector.EnvironmentRelativeHumidity)
        annotation (Line(
          points={{-77.25,15},{8,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(AmbientTemperature.y, busConnector.AmbientTemperature)
        annotation (Line(
          points={{-77.25,23},{-33,23},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="enviroment")}));
    end Enviroment;

    model Diet

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-40,-20},{-24,-4}}), iconTransformation(
            extent={{-40,-20},{0,20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant14(k=0)
      annotation (Placement(transformation(extent={{24,40},{16,48}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant15(k=0)
      annotation (Placement(transformation(extent={{24,48},{16,56}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant16(k=0)
      annotation (Placement(transformation(extent={{24,56},{16,64}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant17(k=0)
      annotation (Placement(transformation(extent={{24,64},{16,72}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant18(k=0)
      annotation (Placement(transformation(extent={{24,72},{16,80}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant19(k=
          0.128213)
      annotation (Placement(transformation(extent={{24,80},{16,88}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant20(k=0)
      annotation (Placement(transformation(extent={{24,88},{16,96}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant21(k=0)
      annotation (Placement(transformation(extent={{58,-98},{50,-90}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant22(k=0)
      annotation (Placement(transformation(extent={{80,-90},{72,-82}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant23(k=0)
      annotation (Placement(transformation(extent={{36,-74},{28,-66}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant24(k=0)
      annotation (Placement(transformation(extent={{82,-64},{74,-56}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant25(k=0)
      annotation (Placement(transformation(extent={{36,-44},{28,-36}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant26(k=
          5.2e-002)
      annotation (Placement(transformation(extent={{-66,-72},{-74,-64}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant27(k=0)
      annotation (Placement(transformation(extent={{24,32},{16,40}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant28(k=0)
      annotation (Placement(transformation(extent={{82,-28},{74,-20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant29(k=0)
      annotation (Placement(transformation(extent={{82,-20},{74,-12}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant30(k=0)
      annotation (Placement(transformation(extent={{82,-12},{74,-4}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant31(k=0)
      annotation (Placement(transformation(extent={{82,-4},{74,4}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant32(k=0)
      annotation (Placement(transformation(extent={{82,4},{74,12}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant33(k=
          0.142459)
      annotation (Placement(transformation(extent={{82,12},{74,20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant34(k=0)
      annotation (Placement(transformation(extent={{82,20},{74,28}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst PO4(k(displayUnit=
            "mmol/min") = 0.022)
      annotation (Placement(transformation(extent={{-94,-32},{-86,-24}})));
    Physiolibrary.Types.Constants.MolarFlowRateConst SO4(k=0.037)
      annotation (Placement(transformation(extent={{-94,-50},{-86,-42}})));
    Physiolibrary.Types.Constants.TemperatureConst          DietGoalH2O_DegK(k=294.261)
      annotation (Placement(transformation(extent={{-94,-14},{-88,-8}})));
    equation
      connect(Constant14.y,busConnector. IVDrip_NaRate) annotation (Line(
          points={{15,44},{-32,44},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant15.y,busConnector. Transfusion_NaRate) annotation (Line(
          points={{15,52},{-32,52},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant16.y,busConnector. SweatDuct_NaRate) annotation (Line(
          points={{15,60},{-32,60},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant17.y,busConnector. Hemorrhage_NaRate) annotation (Line(
          points={{15,68},{-32,68},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant18.y,busConnector. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{15,76},{-32,76},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant19.y,busConnector. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{15,84},{-32,84},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant20.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{15,92},{-32,92},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant21.y,busConnector. IVDrip_KRate) annotation (Line(
          points={{49,-94},{-32,-94},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant22.y,busConnector. Transfusion_KRate) annotation (Line(
          points={{71,-86},{-32,-86},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant23.y,busConnector. SweatDuct_KRate) annotation (Line(
          points={{27,-70},{-32,-70},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant24.y,busConnector. Hemorrhage_KRate) annotation (Line(
          points={{73,-60},{-32,-60},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant25.y,busConnector. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{27,-40},{-32,-40},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant26.y,busConnector. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{-75,-68},{-32,-68},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant27.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
          points={{15,36},{-32,36},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant28.y,busConnector. IVDrip_ClRate) annotation (Line(
          points={{73,-24},{-32,-24},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant29.y,busConnector. Transfusion_ClRate) annotation (Line(
          points={{73,-16},{-32,-16},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant30.y,busConnector. SweatDuct_ClRate) annotation (Line(
          points={{73,-8},{-32,-8},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant31.y,busConnector. Hemorrhage_ClRate) annotation (Line(
          points={{73,0},{-32,0},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant32.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{73,8},{-32,8},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant33.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{73,16},{-32,16},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(Constant34.y, busConnector.GILumenVomitus_ClLoss) annotation (Line(
          points={{73,24},{-32,24},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None));
    connect(PO4.y, busConnector.DietIntakeElectrolytes_PO4) annotation (Line(
        points={{-85,-28},{-80,-28},{-80,-30},{-32,-30},{-32,-12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(SO4.y, busConnector.DietIntakeElectrolytes_SO4) annotation (Line(
        points={{-85,-46},{-32,-46},{-32,-12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
      connect(DietGoalH2O_DegK.y, busConnector.DietGoalH2O_DegK) annotation (
          Line(
          points={{-87.25,-11},{-84,-12},{-32,-12}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="diet")}));
    end Diet;

    model Exercise

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-40,-20},{-26,-6}}), iconTransformation(
            extent={{-40,-20},{0,20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const7(k=1)
      annotation (Placement(transformation(extent={{-90,-88},{-84,-82}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const24(k=0)
      annotation (Placement(transformation(extent={{-90,-80},{-84,-74}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const25(k=0)
      annotation (Placement(transformation(extent={{-90,-48},{-84,-42}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const19(k=1)
      annotation (Placement(transformation(extent={{-90,-36},{-84,-30}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const14(k=0.37)
      annotation (Placement(transformation(extent={{-96,-16},{-90,-10}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const15(k=0.27)
      annotation (Placement(transformation(extent={{-96,-6},{-90,0}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const11(k=0)
      annotation (Placement(transformation(extent={{-80,22},{-76,26}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const2(k=0)
      annotation (Placement(transformation(extent={{-90,-64},{-84,-58}})));
    equation
      connect(const7.y,busConnector. Exercise_MusclePump_Effect) annotation (
          Line(
          points={{-83.25,-85},{-48,-85},{-48,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const24.y,busConnector. Exercise_Metabolism_ContractionRate)
        annotation (Line(
          points={{-83.25,-77},{-48,-77},{-48,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const25.y,busConnector. Exercise_Metabolism_MotionWatts)
        annotation (Line(
          points={{-83.25,-45},{-48,-45},{-48,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const19.y, busConnector.LegMusclePump_Effect) annotation (Line(
          points={{-83.25,-33},{-47.85,-33},{-47.85,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const14.y, busConnector.HeatInsensibleSkin_H2O)  annotation (Line(
          points={{-89.25,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const15.y, busConnector.HeatInsensibleLung_H2O)  annotation (Line(
          points={{-89.25,-3},{-48.9,-3},{-48.9,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const11.y, busConnector.HeatSweating_H2O) annotation (Line(
          points={{-75.5,24},{-32.9,24},{-32.9,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const2.y, busConnector.ExerciseMetabolism_TotalWatts) annotation (
         Line(
          points={{-83.25,-61},{-48,-61},{-48,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const11.y, busConnector.SweatDuct_H2OOutflow) annotation (Line(
          points={{-75.5,24},{-33,24},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="exercise")}));
    end Exercise;

    model Posture

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-40,-20},{-26,-6}}), iconTransformation(
            extent={{-40,-20},{0,20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const36(k=0)
      annotation (Placement(transformation(extent={{64,50},{58,56}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const37(k=0)
      annotation (Placement(transformation(extent={{64,44},{58,50}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const10(k=0)
      annotation (Placement(transformation(extent={{64,32},{58,38}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant integerConstant(k=
          Physiomodel.Water.Hydrostatics.Posture.Lying)
      annotation (Placement(transformation(extent={{18,12},{24,18}})));
    equation
      connect(const36.y,busConnector. LowerTorsoArtyHeight)
        annotation (Line(
          points={{57.25,53},{52,53},{52,58},{-38,58},{-38,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const37.y,busConnector. LowerTorsoVeinHeight)
        annotation (Line(
          points={{57.25,47},{52,47},{52,58},{-38,58},{-38,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const10.y,busConnector. CarotidSinusHeight)
        annotation (Line(
          points={{57.25,35},{52,35},{52,58},{-38,58},{-38,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(integerConstant.y, busConnector.Status_Posture) annotation (Line(
          points={{24.75,15},{62.15,15},{62.15,-13},{-33,-13}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="posture")}));
    end Posture;

    model Drugs

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-40,-20},{-26,-6}}), iconTransformation(
            extent={{-40,-20},{0,20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const38(k=0)
      annotation (Placement(transformation(extent={{26,-72},{20,-66}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant1(k=0)
      annotation (Placement(transformation(extent={{-80,-88},{-72,-80}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant2(k=0)
      annotation (Placement(transformation(extent={{-92,6},{-84,14}})));
    equation
      connect(const38.y, busConnector.FurosemidePool_Loss) annotation (Line(
          points={{19.25,-69},{-33,-69},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant1.y,busConnector. FurosemidePool_Furosemide_conc)
        annotation (Line(
          points={{-71,-84},{-38,-84},{-38,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant2.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{-83,10},{-62,10},{-62,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="drugs")}));
    end Drugs;

    model Blood

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-40,-20},{-26,-6}}), iconTransformation(
            extent={{-40,-20},{0,20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const41(k=0)
      annotation (Placement(transformation(extent={{-90,-2},{-84,4}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const5(k=0)
      annotation (Placement(transformation(extent={{-90,-36},{-84,-30}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const6(k=0)
      annotation (Placement(transformation(extent={{-92,-78},{-86,-72}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const(k=0)
      annotation (Placement(transformation(extent={{-90,10},{-86,14}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const22(k=0)
      annotation (Placement(transformation(extent={{-90,-24},{-86,-20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const16(k=0)
      annotation (Placement(transformation(extent={{-90,-62},{-86,-58}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const1(k=0)
      annotation (Placement(transformation(extent={{-90,-52},{-86,-48}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const2(k=0)
      annotation (Placement(transformation(extent={{-90,-44},{-84,-38}})));
    equation
      connect(const6.y, busConnector.Hemorrhage_ProteinRate) annotation (Line(
          points={{-85.25,-75},{-85.25,-75.5},{-33,-75.5},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const5.y, busConnector.Transfusion_ProteinRate) annotation (Line(
          points={{-83.25,-33},{-83.25,-32.5},{-33,-32.5},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const41.y, busConnector.IVDripProteinRate) annotation (Line(
          points={{-83.25,1},{-83.25,0.5},{-33,0.5},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const.y, busConnector.IVDrip_H2ORate)  annotation (Line(
          points={{-85.5,12},{-39.85,12},{-39.85,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const22.y, busConnector.Transfusion_PlasmaRate)
                                                             annotation (Line(
          points={{-85.5,-22},{-33,-22},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const16.y, busConnector.Hemorrhage_PlasmaRate)
                                                            annotation (Line(
          points={{-85.5,-60},{-33,-60},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const1.y, busConnector.Hemorrhage_RBCRate) annotation (Line(
          points={{-85.5,-50},{-33,-50},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const2.y, busConnector.Transfusion_RBCRate) annotation (Line(
          points={{-83.25,-41},{-33,-41},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="blood +-")}));
    end Blood;

    model Tissues

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-40,-20},{-26,-6}}), iconTransformation(
            extent={{-40,-20},{0,20}})));
      Modelica.Blocks.Sources.Step step(
        startTime=600,
        height=0,
        offset=-3)
        annotation (Placement(transformation(extent={{-88,-40},{-78,-30}})));
      Modelica.Blocks.Sources.Step step1(
        offset=-4,
        startTime=600,
        height=0)
        annotation (Placement(transformation(extent={{-88,-26},{-78,-16}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant12(k=1)
      annotation (Placement(transformation(extent={{-90,46},{-84,52}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant11(k=0)
      annotation (Placement(transformation(extent={{-90,52},{-84,58}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant1(k=1)
      annotation (Placement(transformation(extent={{-88,22},{-80,30}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant21(units=
          "ml", k=31)
      annotation (Placement(transformation(extent={{-86,70},{-78,78}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant Constant2(k=1)
      annotation (Placement(transformation(extent={{-88,10},{-80,18}})));
    equation
      connect(step.y,busConnector. Pericardium_Pressure)          annotation (
         Line(
          points={{-77.5,-35},{-32,-35},{-32,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(step1.y,busConnector. Thorax_AvePressure)          annotation (
          Line(
          points={{-77.5,-21},{-33,-21},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant12.y, busConnector.Thorax_LungInflation)
        annotation (Line(
          points={{-83.25,49},{-33,49},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant11.y, busConnector.ExcessLungWater_Volume)
        annotation (Line(
          points={{-83.25,55},{-33,55},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant1.y, busConnector.Kidney_NephronCount_Total_xNormal)
        annotation (Line(
          points={{-79,26},{-34,26},{-34,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant21.y, busConnector.Medulla_Volume)        annotation (Line(
          points={{-77,74},{-34,74},{-34,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Constant2.y, busConnector.Kidney_NephronCount_Filtering_xNormal)
        annotation (Line(
          points={{-79,14},{-34,14},{-34,-13},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="tissues")}));
    end Tissues;

    model Secretion "of urine and faeces"

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-40,-20},{-26,-6}}), iconTransformation(
            extent={{-40,-20},{0,20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const9(k=0)
      annotation (Placement(transformation(extent={{-60,24},{-56,28}})));
    equation
      connect(const9.y, busConnector.BladerVoidFlow) annotation (Line(
          points={{-55.5,26},{-33,26},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const9.y, busConnector.BladderVoidFlow) annotation (Line(
          points={{-55.5,26},{-33,26},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="secretion")}));
    end Secretion;

    model Anesthesia

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{-40,-20},{-26,-6}}), iconTransformation(
            extent={{-40,-20},{0,20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const9(k=1)
      annotation (Placement(transformation(extent={{-60,24},{-56,28}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant const1(k=1)
      annotation (Placement(transformation(extent={{-76,14},{-72,18}})));
    equation
      connect(const9.y, busConnector.AnesthesiaTidalVolume) annotation (Line(
          points={{-55.5,26},{-33,26},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(const1.y, busConnector.Anesthesia_VascularConductance)
        annotation (Line(
          points={{-71.5,16},{-33,16},{-33,-13}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-100,-20},{100,-60}},
              lineColor={0,0,0},
              textString="anesthesia")}),        Documentation(info="<html>
<p>effect 1 means no anesthesia</p>
</html>"));
    end Anesthesia;

    model Unpaired

    Physiolibrary.Types.BusConnector busConnector annotation (Placement(
          transformation(extent={{72,-2},{86,12}}), iconTransformation(extent={
              {-40,-20},{0,20}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant HeatShivering_Cals(
        k=0.)
      annotation (Placement(transformation(extent={{-96,-70},{-90,-64}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant
      HypothalamusSkinFlow_NervesActivity(k=0.935029749050722)
      annotation (Placement(transformation(extent={{-96,-78},{-90,-72}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant
      HypothalamusTSH_TemperatureEffect(k=1.03855784498264)
      annotation (Placement(transformation(extent={{-96,-62},{-90,-56}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant
      skeletalMuscle_SizeMass(k=26743.5620376591)
      annotation (Placement(transformation(extent={{-96,22},{-90,28}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant skinSizeMass(k=
          2792.87262585285)
      annotation (Placement(transformation(extent={{-96,28},{-90,34}})));
    Physiolibrary.Types.Constants.DeprecatedUntypedConstant WeightCore(k=
          48332.7389031163)
      annotation (Placement(transformation(extent={{-96,34},{-90,40}})));
    equation
    connect(skeletalMuscle_SizeMass.y, busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{-89.25,25},{79,25},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y, busConnector.skinSizeMass) annotation (Line(
     points={{-89.25,31},{79,31},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y, busConnector.WeightCore) annotation (Line(
     points={{-89.25,37},{79,37},{79,5}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    end Unpaired;

    package IO_Bus
      extends Physiolibrary.Types.IO_Bus;

      redeclare model extends Variables
        extends Physiolibrary.Icons.Setup;

      T.Pressure AirSupplyInspiredAirPressure(varName="AirSupply-InspiredAir.Pressure")
      annotation (Placement(transformation(extent={{-78,22},{-70,14}})));
      T.Fraction Anesthesia_VascularConductance(varName="Anesthesia.VascularConductance")
      annotation (Placement(transformation(extent={{-80,-144},{-74,-138}})));
      T.Fraction AnesthesiaTidalVolume(varName="Anesthesia.TidalVolume")
      annotation (Placement(transformation(extent={{-80,-134},{-74,-128}})));
      T.Pressure BarometerPressure(varName="Barometer.Pressure")
      annotation (Placement(transformation(extent={{-86,38},{-80,44}})));
      T.Position CarotidSinusHeight(varName="Hydrostatics.CarotidCM")
      annotation (Placement(transformation(extent={{68,36},{74,42}})));
      T.MolarFlowRate DialyzerActivity_Cl_Flux(varName="DialyzerActivity.Cl-Flux")
      annotation (Placement(transformation(extent={{-80,-84},{-74,-78}})));
      T.MolarFlowRate DialyzerActivity_K_Flux(varName="DialyzerActivity.K+Flux")
      annotation (Placement(transformation(extent={{-80,-74},{-74,-68}})));
      T.MolarFlowRate DialyzerActivity_Na_Flux(varName="DialyzerActivity.Na+Flux")
      annotation (Placement(transformation(extent={{-80,-64},{-74,-58}})));
      T.Temperature DietGoalH2O_DegK(varName="DietGoalH2O.DegK",storeUnit="K")
      annotation (Placement(transformation(extent={{-80,-54},{-74,-48}})));
      T.MolarFlowRate DietIntakeElectrolytes_Cl(varName="DietIntakeElectrolytes.Cl-_mEq/Min")
      annotation (Placement(transformation(extent={{-80,-44},{-74,-38}})));
      T.MolarFlowRate DietIntakeElectrolytes_K(varName="DietIntakeElectrolytes.K+_mEq/Min")
      annotation (Placement(transformation(extent={{-80,-30},{-74,-24}})));
      T.MolarFlowRate DietIntakeElectrolytes_Na(varName="DietIntakeElectrolytes.Na+_mEq/Min")
      annotation (Placement(transformation(extent={{-80,-24},{-74,-18}})));
      T.MolarFlowRate DietIntakeElectrolytes_PO4(varName="DietIntakeElectrolytes.PO4--mEq/Min")
      annotation (Placement(transformation(extent={{-80,-14},{-74,-8}})));
      T.MolarFlowRate DietIntakeElectrolytes_SO4(varName="DietIntakeElectrolytes.SO4--mEq/Min")
      annotation (Placement(transformation(extent={{-80,-4},{-74,2}})));
      T.Frequency Exercise_Metabolism_ContractionRate(varName="Exercise-Metabolism.ContractionRate")
      annotation (Placement(transformation(extent={{-144,46},{-138,52}})));
      T.Power ExerciseMetabolism_MotionWatts(varName="Exercise-Metabolism.MotionWatts", storeUnit="W")
      annotation (Placement(transformation(extent={{-140,22},{-134,28}})));
      T.Power ExerciseMetabolism_TotalWatts(varName="Exercise-Metabolism.TotalWatts", storeUnit="W")
      annotation (Placement(transformation(extent={{-140,30},{-134,36}})));
      T.Concentration FurosemidePool_Furosemide_conc(varName="FurosemidePool.[Furosemide]", storeUnit="mg/l", unitConversions=Substances.Furosemide.unitConversions)
      annotation (Placement(transformation(extent={{-80,66},{-74,72}})));
      T.MolarFlowRate FurosemidePool_Loss(varName="FurosemidePool.Loss", storeUnit="mg/min", unitConversions=Substances.Furosemide.unitConversions)
      annotation (Placement(transformation(extent={{-80,76},{-74,82}})));
      T.Fraction Gravity_Gz(varName="Gravity.Gz")
      annotation (Placement(transformation(extent={{-80,86},{-74,92}})));
      T.MolarFlowRate GILumenDiarrhea_KLoss(varName="GILumenDiarrhea.K+Loss")
      annotation (Placement(transformation(extent={{-80,96},{-74,102}})));
      T.MolarFlowRate GILumenDiarrhea_NaLoss(varName="GILumenDiarrhea.Na+Loss")
      annotation (Placement(transformation(extent={{-80,106},{-74,112}})));
      T.MolarFlowRate GILumenVomitus_ClLoss(varName="GILumenVomitus.Cl-Loss")
      annotation (Placement(transformation(extent={{-80,116},{-74,122}})));
      T.MolarFlowRate Hemorrhage_ClRate(varName="Hemorrhage.ClRate")
      annotation (Placement(transformation(extent={{72,-176},{78,-170}})));
      T.MolarFlowRate Hemorrhage_KRate(varName="Hemorrhage.KRate")
      annotation (Placement(transformation(extent={{60,-142},{66,-136}})));
      T.MolarFlowRate Hemorrhage_NaRate(varName="Hemorrhage.NaRate")
      annotation (Placement(transformation(extent={{72,-168},{78,-162}})));
      T.VolumeFlowRate Hemorrhage_PlasmaRate(varName="Hemorrhage.PlasmaRate")
      annotation (Placement(transformation(extent={{72,-158},{78,-152}})));
      T.MolarFlowRate Hemorrhage_ProteinRate(varName="Hemorrhage.ProteinRate", storeUnit="mmol/min")
      annotation (Placement(transformation(extent={{72,-148},{78,-142}})));
      T.VolumeFlowRate Hemorrhage_RBCRate(varName="Hemorrhage.RBCRate")
      annotation (Placement(transformation(extent={{72,-138},{78,-132}})));
      T.MolarFlowRate IVDrip_ClRate(varName="IVDrip.ClRate")
      annotation (Placement(transformation(extent={{72,-128},{78,-122}})));
      T.VolumeFlowRate IVDrip_H2ORate(varName="IVDrip.H2ORate")
      annotation (Placement(transformation(extent={{72,-118},{78,-112}})));
      T.MolarFlowRate IVDrip_KRate(varName="IVDrip.KRate")
      annotation (Placement(transformation(extent={{72,-108},{78,-102}})));
      T.MolarFlowRate IVDrip_NaRate(varName="IVDrip.NaRate")
      annotation (Placement(transformation(extent={{72,-98},{78,-92}})));
      T.Fraction Kidney_NephronCount_Filtering_xNormal(varName="Kidney-NephronCount.Filtering(xNormal)")
      annotation (Placement(transformation(extent={{72,-88},{78,-82}})));
      T.Fraction Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)")
      annotation (Placement(transformation(extent={{72,-78},{78,-72}})));
      T.Fraction LegMusclePump_Effect(varName="LegMusclePump.Effect")
      annotation (Placement(transformation(extent={{-128,-28},{-122,-22}})));
      T.Position LowerTorsoArtyHeight(varName="Hydrostatics.LowerTorsoCM")
      annotation (Placement(transformation(extent={{72,-58},{78,-52}})));
      T.Position LowerTorsoVeinHeight(varName="Hydrostatics.LowerTorsoCM")
      annotation (Placement(transformation(extent={{72,-48},{78,-42}})));
      T.Pressure pCO(varName="pCO")
      annotation (Placement(transformation(extent={{-78,8},{-72,14}})));
      T.Pressure Pericardium_Pressure(varName="Pericardium-Cavity.Pressure")
      annotation (Placement(transformation(extent={{-102,2},{-96,8}})));
      T.Mass skeletalMuscle_SizeMass(varName="SkeletalMuscle-Size.Mass", storeUnit="g")
      annotation (Placement(transformation(extent={{50,164},{56,170}})));
      T.Mass skinSizeMass(varName="Skin-Size.Mass")
      annotation (Placement(transformation(extent={{100,158},{106,164}})));
      T.Fraction Status_Posture(varName="Status.Posture")
      annotation (Placement(transformation(extent={{70,42},{76,48}})));
      T.MassConcentration ThiazidePool_Thiazide_conc(varName="ThiazidePool.[Thiazide]", storeUnit="mg/l")
      annotation (Placement(transformation(extent={{72,62},{78,68}})));
      T.Pressure Thorax_AvePressure(varName="Thorax.AvePressure")
      annotation (Placement(transformation(extent={{72,72},{78,78}})));
      T.Fraction Thorax_LungInflation(varName="Thorax.LungInflation")
      annotation (Placement(transformation(extent={{72,82},{78,88}})));
      T.MolarFlowRate Transfusion_ClRate(varName="Transfusion.ClRate")
      annotation (Placement(transformation(extent={{72,92},{78,98}})));
      T.MolarFlowRate Transfusion_KRate(varName="Transfusion.KRate")
      annotation (Placement(transformation(extent={{72,102},{78,108}})));
      T.MolarFlowRate Transfusion_NaRate(varName="Transfusion.NaRate")
      annotation (Placement(transformation(extent={{72,112},{78,118}})));
      T.VolumeFlowRate Transfusion_PlasmaRate(varName="Transfusion.PlasmaRate")
      annotation (Placement(transformation(extent={{72,122},{78,128}})));
      T.MolarFlowRate Transfusion_ProteinRate(varName="Transfusion.ProteinRate", storeUnit="mmol/min")
      annotation (Placement(transformation(extent={{72,132},{78,138}})));
      T.VolumeFlowRate Transfusion_RBCRate(varName="Transfusion.RBCRate")
      annotation (Placement(transformation(extent={{72,142},{78,148}})));
      T.Mass WeightCore(varName="Weight.Core")
      annotation (Placement(transformation(extent={{72,152},{78,158}})));

      T.MolarFlowRate IVDrip_ProteinRate(varName="IVDrip.ProteinRate", storeUnit="mmol/min")
      annotation (Placement(transformation(extent={{72,-124},{78,-118}})));
      T.Temperature AmbientTemperature(varName=
              "AmbientTemperature.Temp(C)")
      annotation (Placement(transformation(extent={{-82,44},{-76,50}})));
      T.Fraction EnvironmentRelativeHumidity(varName=
              "EnvironmentRelativeHumidity")
      annotation (Placement(transformation(extent={{-82,24},{-76,30}})));
      T.VolumeFlowRate DietIntakeH2O_Rate(varName="DietIntakeH2O.Rate(mL/Min)")
      annotation (Placement(transformation(extent={{-78,-20},{-72,-14}})));
      T.VolumeFlowRate DialyzerActivity_UltrafiltrationRate(
            varName="DialyzerActivity.UltrafiltrationRate")
      annotation (Placement(transformation(extent={{-86,-80},{-74,-68}})));
      T.VolumeFlowRate Hemorrhage_PlasmaRate1(                         varName="Hemorrhage.H2ORate")
      annotation (Placement(transformation(extent={{98,-168},{110,-156}})));
      T.VolumeFlowRate Transfusion_PlasmaRate1(                         varName="Transfusion.H2ORate")
      annotation (Placement(transformation(extent={{88,114},{98,124}})));
      T.VolumeFlowRate GILumenVomitus_H2OTarget(varName=
              "GILumenVomitus.H2OTarget")
      annotation (Placement(transformation(extent={{-84,122},{-72,134}})));
      T.VolumeFlowRate GILumenDiarrhea_H2OTarget(varName=
              "GILumenDiarrhea.H2OTarget")
      annotation (Placement(transformation(extent={{-82,132},{-70,144}})));
      T.Velocity Wind_MPH(varName="Wind.MPH",storeUnit="MPH")
      annotation (Placement(transformation(extent={{-84,52},{-78,58}})));
      T.AmountOfSubstance GILumenFiber(varName="GILumenVolume.[Fiber]", storeUnit="osm")
          annotation (Placement(transformation(extent={{-82,142},{-70,154}})));
      T.Pressure EnvironmentRelativeHumidity_VaporPressure(varName="RelativeHumidity.VaporPressure",
            storeUnit="mmHg")
          annotation (Placement(transformation(extent={{-82,32},{-76,38}})));
      Physiolibrary.Types.RealTypes.MolarFlowRate
                      DialyzerActivity_UreaFlux(varName="DialyzerActivity.UreaFlux")
      annotation (Placement(transformation(extent={{-84,-92},{-78,-86}})));
      equation
        connect( Gravity_Gz.y,busConnector.Gravity_Gz)          annotation (Line(
            points={{-73.7,89},{90,89},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(BarometerPressure.y,busConnector.BarometerPressure)
          annotation (Line(
            points={{-79.7,41},{4,41},{4,-2},{90,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(AirSupplyInspiredAirPressure.y,busConnector.AirSupplyInspiredAirPressure)
          annotation (Line(
            points={{-69.6,18},{4,18},{4,-2},{90,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect(pCO.y,busConnector.pCO) annotation (Line(
            points={{-71.7,11},{90,11},{90,-2}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None), Text(
            string="%first",
            index=-1,
            extent={{-6,3},{-6,3}}));
        connect( IVDrip_NaRate.y,busConnector. IVDrip_NaRate) annotation (Line(
            points={{78.3,-95},{90,-95},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( Transfusion_NaRate.y,busConnector. Transfusion_NaRate) annotation (Line(
            points={{78.3,115},{90,115},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( Hemorrhage_NaRate.y,busConnector. Hemorrhage_NaRate) annotation (Line(
            points={{78.3,-165},{90,-165},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( DialyzerActivity_Na_Flux.y,busConnector. DialyzerActivity_Na_Flux) annotation (
            Line(
            points={{-73.7,-61},{90,-61},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( DietIntakeElectrolytes_Na.y,busConnector. DietIntakeElectrolytes_Na) annotation (
            Line(
            points={{-73.7,-21},{90,-21},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( GILumenDiarrhea_NaLoss.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
            points={{-73.7,109},{90,109},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( IVDrip_KRate.y,busConnector. IVDrip_KRate) annotation (Line(
            points={{78.3,-105},{90,-105},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( Transfusion_KRate.y,busConnector. Transfusion_KRate) annotation (Line(
            points={{78.3,105},{90,105},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( Hemorrhage_KRate.y,busConnector. Hemorrhage_KRate) annotation (Line(
            points={{66.3,-139},{90,-139},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( DialyzerActivity_K_Flux.y,busConnector. DialyzerActivity_K_Flux) annotation (
            Line(
            points={{-73.7,-71},{90,-71},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( DietIntakeElectrolytes_K.y,busConnector. DietIntakeElectrolytes_K) annotation (
            Line(
            points={{-73.7,-27},{90,-27},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( GILumenDiarrhea_KLoss.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
            points={{-73.7,99},{90,99},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( IVDrip_ClRate.y,busConnector. IVDrip_ClRate) annotation (Line(
            points={{78.3,-125},{90,-125},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( Transfusion_ClRate.y,busConnector. Transfusion_ClRate) annotation (Line(
            points={{78.3,95},{90,95},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( Hemorrhage_ClRate.y,busConnector. Hemorrhage_ClRate) annotation (Line(
            points={{78.3,-173},{90,-173},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( DialyzerActivity_Cl_Flux.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
            Line(
            points={{-73.7,-81},{90,-81},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect( DietIntakeElectrolytes_Cl.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
            Line(
            points={{-73.7,-41},{90,-41},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(GILumenVomitus_ClLoss.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
            points={{-73.7,119},{90,119},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(DietIntakeElectrolytes_PO4.y,busConnector.DietIntakeElectrolytes_PO4) annotation (Line(
            points={{-73.7,-11},{6,-11},{6,-2},{90,-2}},
            color={0,0,127},
            thickness=0.5,
            smooth=Smooth.None));
        connect(DietIntakeElectrolytes_SO4.y,busConnector.DietIntakeElectrolytes_SO4) annotation (Line(
            points={{-73.7,-1},{90,-1},{90,-2}},
            color={0,0,127},
            thickness=0.5,
            smooth=Smooth.None));
        connect(DietGoalH2O_DegK.y,busConnector.DietGoalH2O_DegK) annotation (
            Line(
            points={{-73.7,-51},{-73.7,-50},{-28,-50},{-28,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect( Exercise_Metabolism_ContractionRate.y,busConnector. Exercise_Metabolism_ContractionRate)
          annotation (Line(
            points={{-137.7,49},{90,49},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(LegMusclePump_Effect.y,busConnector.LegMusclePump_Effect) annotation (Line(
            points={{-121.7,-25},{94.15,-25},{94.15,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ExerciseMetabolism_TotalWatts.y,busConnector.ExerciseMetabolism_TotalWatts) annotation (
           Line(
            points={{-133.7,33},{90,33},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect( LowerTorsoArtyHeight.y,busConnector. LowerTorsoArtyHeight)
          annotation (Line(
            points={{78.3,-55},{-6,-55},{-6,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect( LowerTorsoVeinHeight.y,busConnector. LowerTorsoVeinHeight)
          annotation (Line(
            points={{78.3,-45},{-6,-45},{-6,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect( CarotidSinusHeight.y,busConnector. CarotidSinusHeight)
          annotation (Line(
            points={{74.3,39},{0,39},{0,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Status_Posture.y,busConnector.Status_Posture) annotation (Line(
            points={{76.3,45},{6.15,45},{6.15,-2},{90,-2}},
            color={0,0,255},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect( FurosemidePool_Furosemide_conc.y,busConnector. FurosemidePool_Furosemide_conc)
          annotation (Line(
            points={{-73.7,69},{8,69},{8,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect( ThiazidePool_Thiazide_conc.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
            Line(
            points={{78.3,65},{90,65},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(FurosemidePool_Loss.y,busConnector.FurosemidePool_Loss) annotation (Line(
            points={{-73.7,79},{90,79},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(IVDrip_H2ORate.y,busConnector.IVDrip_H2ORate)  annotation (Line(
            points={{78.3,-115},{0.15,-115},{0.15,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Transfusion_PlasmaRate.y,busConnector.Transfusion_PlasmaRate)
                                                               annotation (Line(
            points={{78.3,125},{90,125},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Hemorrhage_PlasmaRate.y,busConnector.Hemorrhage_PlasmaRate)
                                                              annotation (Line(
            points={{78.3,-155},{90,-155},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Hemorrhage_RBCRate.y,busConnector.Hemorrhage_RBCRate) annotation (Line(
            points={{78.3,-135},{90,-135},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Transfusion_RBCRate.y,busConnector.Transfusion_RBCRate) annotation (Line(
            points={{78.3,145},{90,145},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect( Pericardium_Pressure.y,busConnector. Pericardium_Pressure)          annotation (
           Line(
            points={{-95.7,5},{90,5},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect( Thorax_AvePressure.y,busConnector. Thorax_AvePressure)          annotation (
            Line(
            points={{78.3,75},{90,75},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Thorax_LungInflation.y,busConnector.Thorax_LungInflation)
          annotation (Line(
            points={{78.3,85},{90,85},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Kidney_NephronCount_Total_xNormal.y,busConnector.Kidney_NephronCount_Total_xNormal)
          annotation (Line(
            points={{78.3,-75},{6,-75},{6,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Kidney_NephronCount_Filtering_xNormal.y,busConnector.Kidney_NephronCount_Filtering_xNormal)
          annotation (Line(
            points={{78.3,-85},{90,-85},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(AnesthesiaTidalVolume.y,busConnector.AnesthesiaTidalVolume)
                                                              annotation (Line(
            points={{-73.7,-131},{90,-131},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Anesthesia_VascularConductance.y,busConnector.Anesthesia_VascularConductance)
          annotation (Line(
            points={{-73.7,-141},{90,-141},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skeletalMuscle_SizeMass.y,busConnector.skeletalMuscle_SizeMass) annotation (Line(
       points={{56.3,167},{90,167},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(skinSizeMass.y,busConnector.skinSizeMass) annotation (Line(
       points={{106.3,161},{90,161},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(WeightCore.y,busConnector.WeightCore) annotation (Line(
       points={{78.3,155},{90,155},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(AmbientTemperature.y, busConnector.AmbientTemperature)
          annotation (Line(
            points={{-75.7,47},{90,47},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(EnvironmentRelativeHumidity.y, busConnector.EnvironmentRelativeHumidity)
          annotation (Line(
            points={{-75.7,27},{90,27},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(DietIntakeH2O_Rate.y, busConnector.DietIntakeH2O_Rate) annotation (Line(
       points={{-71.7,-17},{90,-17},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(DialyzerActivity_UltrafiltrationRate.y, busConnector.DialyzerActivity_UltrafiltrationRate)
          annotation (Line(
            points={{-73.4,-74},{90,-74},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Hemorrhage_PlasmaRate1.y, busConnector.Hemorrhage_H2ORate)
                                                                        annotation (Line(
       points={{110.6,-162},{90,-162},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Transfusion_PlasmaRate1.y, busConnector.Transfusion_H2ORate)
                                                                          annotation (Line(
       points={{98.5,119},{-14,119},{-14,36},{90,36},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumenDiarrhea_H2OTarget.y, busConnector.GILumenDiarrhea_H2OTarget)
          annotation (Line(
            points={{-69.4,138},{0,138},{0,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumenVomitus_H2OTarget.y, busConnector.GILumenVomitus_H2OTarget)
          annotation (Line(
            points={{-71.4,128},{90,128},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(EnvironmentRelativeHumidity_VaporPressure.y, busConnector.EnviromentRelativeHumidity_VaporPressure)
          annotation (Line(
            points={{-75.7,35},{90,35},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Wind_MPH.y, busConnector.WindSpeed) annotation (Line(
            points={{-77.7,55},{90,55},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(GILumenFiber.y, busConnector.GILumenFiber_Mass) annotation (Line(
            points={{-69.4,148},{90,148},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(IVDrip_ProteinRate.y, busConnector.IVDripProteinRate) annotation (
            Line(
            points={{78.3,-121},{90,-121},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Hemorrhage_ProteinRate.y, busConnector.Hemorrhage_ProteinRate)
          annotation (Line(
            points={{78.3,-145},{78.3,-146.5},{90,-146.5},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(Transfusion_ProteinRate.y, busConnector.Transfusion_ProteinRate)
          annotation (Line(
            points={{78.3,135},{90,135},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(ExerciseMetabolism_MotionWatts.y, busConnector.Exercise_Metabolism_MotionWatts)
          annotation (Line(
            points={{-133.7,25},{90,25},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        connect(DialyzerActivity_UreaFlux.y, busConnector.DialyzerActivity_UreaFlux)
          annotation (Line(points={{-77.7,-89},{6.15,-89},{6.15,-2},{90,-2}}, color={0,
                0,127}), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}},
            horizontalAlignment=TextAlignment.Left));
        annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-120,-42},{122,-76}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model Setup_test
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{30,-46},{44,-32}}), iconTransformation(
              extent={{-40,-20},{0,20}})));
        Physiomodel.Setup.IO_Bus.OutputComparison setup_dif
          annotation (Placement(transformation(extent={{-46,-94},{-26,-74}})));
        Physiomodel.Setup.IO_Bus.OutputToFile setup_varsToFile
          annotation (Placement(transformation(extent={{14,-98},{34,-78}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector, busConnector) annotation (Line(
            points={{52,-70},{37,-70},{37,-39}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup_dif.busConnector, setup.busConnector) annotation (Line(
            points={{-36,-84},{-6,-84},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup_varsToFile.busConnector, setup.busConnector) annotation (
            Line(
            points={{24,-88},{-6,-88},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Setup_test;

      model Setup_test_SI
        import Physiomodel;
        Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile_SI nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-106},{4,-86}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.IO_Bus.InputFromFile_SI status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{30,-46},{44,-32}}), iconTransformation(
              extent={{-40,-20},{0,20}})));
        Physiomodel.Setup.IO_Bus.OutputComparison_SI setup_dif
          annotation (Placement(transformation(extent={{-46,-94},{-26,-74}})));
        Physiomodel.Setup.IO_Bus.OutputToFile_SI setup_varsToFile
          annotation (Placement(transformation(extent={{14,-98},{34,-78}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-96},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-96},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-96},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-96},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-96},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-96},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{52,-70},{-6,-70},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector, busConnector) annotation (Line(
            points={{52,-70},{37,-70},{37,-39}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup_dif.busConnector, setup.busConnector) annotation (Line(
            points={{-36,-84},{-6,-84},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup_varsToFile.busConnector, setup.busConnector) annotation (
            Line(
            points={{24,-88},{-6,-88},{-6,-96}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      end Setup_test_SI;
    end IO_Bus;

    model ConstantSetup
      extends Physiolibrary.Icons.Setup;

      package T = Physiolibrary.Types.RealTypeInputParameters;
  protected
    T.Pressure AirSupplyInspiredAirPressure(varName="AirSupply-InspiredAir.Pressure")
    annotation (Placement(transformation(extent={{-80,-154},{-74,-148}})));
    T.Fraction Anesthesia_VascularConductance(varName="Anesthesia.VascularConductance")
    annotation (Placement(transformation(extent={{-80,-144},{-74,-138}})));
    T.Fraction AnesthesiaTidalVolume(varName="Anesthesia.TidalVolume")
    annotation (Placement(transformation(extent={{-80,-134},{-74,-128}})));
    T.Pressure BarometerPressure(varName="Barometer.Pressure")
    annotation (Placement(transformation(extent={{-80,-124},{-74,-118}})));
    T.Position CarotidSinusHeight(varName="Hydrostatics.CarotidCM")
    annotation (Placement(transformation(extent={{-80,-94},{-74,-88}})));
    T.MolarFlowRate DialyzerActivity_Cl_Flux(varName="DialyzerActivity.Cl-Flux")
    annotation (Placement(transformation(extent={{-80,-84},{-74,-78}})));
    T.MolarFlowRate DialyzerActivity_K_Flux(varName="DialyzerActivity.K+Flux")
    annotation (Placement(transformation(extent={{-80,-74},{-74,-68}})));
    T.MolarFlowRate DialyzerActivity_Na_Flux(varName="DialyzerActivity.Na+Flux")
    annotation (Placement(transformation(extent={{-80,-64},{-74,-58}})));
    T.Temperature DietGoalH2O_DegK(varName="DietGoalH2O.DegK",storeUnit="K")
    annotation (Placement(transformation(extent={{-80,-54},{-74,-48}})));
    T.MolarFlowRate DietIntakeElectrolytes_Cl(varName="DietIntakeElectrolytes.Cl-_mEq/Min")
    annotation (Placement(transformation(extent={{-80,-44},{-74,-38}})));
    T.MolarFlowRate DietIntakeElectrolytes_K(varName="DietIntakeElectrolytes.K+_mEq/Min")
    annotation (Placement(transformation(extent={{-80,-34},{-74,-28}})));
    T.MolarFlowRate DietIntakeElectrolytes_Na(varName="DietIntakeElectrolytes.Na+_mEq/Min")
    annotation (Placement(transformation(extent={{-80,-24},{-74,-18}})));
    T.MolarFlowRate DietIntakeElectrolytes_PO4(varName="DietIntakeElectrolytes.PO4--mEq/Min")
    annotation (Placement(transformation(extent={{-80,-14},{-74,-8}})));
    T.MolarFlowRate DietIntakeElectrolytes_SO4(varName="DietIntakeElectrolytes.SO4--mEq/Min")
    annotation (Placement(transformation(extent={{-80,-4},{-74,2}})));
    T.Frequency Exercise_Metabolism_ContractionRate(varName="Exercise-Metabolism.ContractionRate")
    annotation (Placement(transformation(extent={{-80,16},{-74,22}})));
    T.Power Exercise_Metabolism_MotionWatts(varName="Exercise-Metabolism.MotionWatts", storeUnit="W")
    annotation (Placement(transformation(extent={{-80,26},{-74,32}})));
    T.Power ExerciseMetabolism_TotalWatts(varName="Exercise-Metabolism.TotalWatts", storeUnit="W")
    annotation (Placement(transformation(extent={{-80,56},{-74,62}})));
    T.Concentration FurosemidePool_Furosemide_conc(varName="FurosemidePool.[Furosemide]", storeUnit="mg/l", unitConversions=Substances.Furosemide.unitConversions)
    annotation (Placement(transformation(extent={{-80,66},{-74,72}})));
    T.MolarFlowRate FurosemidePool_Loss(varName="FurosemidePool.Loss", storeUnit="mg/min", unitConversions=Substances.Furosemide.unitConversions)
    annotation (Placement(transformation(extent={{-80,76},{-74,82}})));
    T.Fraction Gravity_Gz(varName="Gravity.Gz")
    annotation (Placement(transformation(extent={{-80,86},{-74,92}})));
    T.MolarFlowRate GILumenDiarrhea_KLoss(varName="GILumenDiarrhea.K+Loss")
    annotation (Placement(transformation(extent={{-80,96},{-74,102}})));
    T.MolarFlowRate GILumenDiarrhea_NaLoss(varName="GILumenDiarrhea.Na+Loss")
    annotation (Placement(transformation(extent={{-80,106},{-74,112}})));
    T.MolarFlowRate GILumenVomitus_ClLoss(varName="GILumenVomitus.Cl-Loss")
    annotation (Placement(transformation(extent={{-80,116},{-74,122}})));
    T.MolarFlowRate Hemorrhage_ClRate(varName="Hemorrhage.ClRate")
    annotation (Placement(transformation(extent={{68,16},{74,22}})));
    T.MolarFlowRate Hemorrhage_KRate(varName="Hemorrhage.KRate")
    annotation (Placement(transformation(extent={{68,28},{74,34}})));
    T.MolarFlowRate Hemorrhage_NaRate(varName="Hemorrhage.NaRate")
    annotation (Placement(transformation(extent={{72,-168},{78,-162}})));
    T.VolumeFlowRate Hemorrhage_PlasmaRate(varName="Hemorrhage.PlasmaRate")
    annotation (Placement(transformation(extent={{72,-158},{78,-152}})));
    T.MolarFlowRate Hemorrhage_ProteinRate(varName="Hemorrhage.ProteinRate", storeUnit="mmol/min")
    annotation (Placement(transformation(extent={{72,-148},{78,-142}})));
    T.VolumeFlowRate Hemorrhage_RBCRate(varName="Hemorrhage.RBCRate")
    annotation (Placement(transformation(extent={{72,-138},{78,-132}})));
    T.MolarFlowRate IVDrip_ClRate(varName="IVDrip.ClRate")
    annotation (Placement(transformation(extent={{72,-128},{78,-122}})));
    T.VolumeFlowRate IVDrip_H2ORate(varName="IVDrip.H2ORate")
    annotation (Placement(transformation(extent={{72,-118},{78,-112}})));
    T.MolarFlowRate IVDrip_KRate(varName="IVDrip.KRate")
    annotation (Placement(transformation(extent={{72,-108},{78,-102}})));
    T.MolarFlowRate IVDrip_NaRate(varName="IVDrip.NaRate")
    annotation (Placement(transformation(extent={{72,-98},{78,-92}})));
    T.Fraction Kidney_NephronCount_Filtering_xNormal(varName="Kidney-NephronCount.Filtering(xNormal)")
    annotation (Placement(transformation(extent={{72,-88},{78,-82}})));
    T.Fraction Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)")
    annotation (Placement(transformation(extent={{72,-78},{78,-72}})));
    T.Fraction LegMusclePump_Effect(varName="LegMusclePump.Effect")
    annotation (Placement(transformation(extent={{72,-68},{78,-62}})));
    T.Position LowerTorsoArtyHeight(varName="Hydrostatics.LowerTorsoCM")
    annotation (Placement(transformation(extent={{72,-58},{78,-52}})));
    T.Position LowerTorsoVeinHeight(varName="Hydrostatics.LowerTorsoCM")
    annotation (Placement(transformation(extent={{72,-48},{78,-42}})));
    T.Pressure pCO(varName="pCO")
    annotation (Placement(transformation(extent={{72,-28},{78,-22}})));
    T.Pressure Pericardium_Pressure(varName="Pericardium-Cavity.Pressure")
    annotation (Placement(transformation(extent={{72,-18},{78,-12}})));
    T.Mass skeletalMuscle_SizeMass(varName="SkeletalMuscle-Size.Mass", storeUnit="g")
    annotation (Placement(transformation(extent={{72,-8},{78,-2}})));
    T.Mass skinSizeMass(varName="Skin-Size.Mass")
    annotation (Placement(transformation(extent={{72,2},{78,8}})));
    T.Fraction Status_Posture(varName="Status.Posture")
    annotation (Placement(transformation(extent={{70,42},{76,48}})));
    T.MassConcentration ThiazidePool_Thiazide_conc(varName="ThiazidePool.[Thiazide]", storeUnit="mg/l")
    annotation (Placement(transformation(extent={{72,62},{78,68}})));
    T.Pressure Thorax_AvePressure(varName="Thorax.AvePressure")
    annotation (Placement(transformation(extent={{72,72},{78,78}})));
    T.Fraction Thorax_LungInflation(varName="Thorax.LungInflation")
    annotation (Placement(transformation(extent={{72,82},{78,88}})));
    T.MolarFlowRate Transfusion_ClRate(varName="Transfusion.ClRate")
    annotation (Placement(transformation(extent={{72,92},{78,98}})));
    T.MolarFlowRate Transfusion_KRate(varName="Transfusion.KRate")
    annotation (Placement(transformation(extent={{72,102},{78,108}})));
    T.MolarFlowRate Transfusion_NaRate(varName="Transfusion.NaRate")
    annotation (Placement(transformation(extent={{72,112},{78,118}})));
    T.VolumeFlowRate Transfusion_PlasmaRate(varName="Transfusion.PlasmaRate")
    annotation (Placement(transformation(extent={{72,122},{78,128}})));
    T.MolarFlowRate Transfusion_ProteinRate(varName="Transfusion.ProteinRate", storeUnit="mmol/min")
    annotation (Placement(transformation(extent={{72,132},{78,138}})));
    T.VolumeFlowRate Transfusion_RBCRate(varName="Transfusion.RBCRate")
    annotation (Placement(transformation(extent={{72,142},{78,148}})));
    T.Mass WeightCore(varName="Weight.Core")
    annotation (Placement(transformation(extent={{72,152},{78,158}})));

    T.MolarFlowRate IVDrip_ProteinRate(varName="IVDrip.ProteinRate", storeUnit="mmol/min")
    annotation (Placement(transformation(extent={{-90,-40},{-84,-34}})));
    T.Temperature AmbientTemperature(varName=
            "AmbientTemperature.Temp(C)")
    annotation (Placement(transformation(extent={{-94,10},{-88,16}})));
    T.Fraction EnvironmentRelativeHumidity(varName=
            "EnvironmentRelativeHumidity")
    annotation (Placement(transformation(extent={{-102,-12},{-96,-6}})));
    T.VolumeFlowRate DietIntakeH2O_Rate(varName="DietIntakeH2O.Rate(mL/Min)")
    annotation (Placement(transformation(extent={{-102,-20},{-96,-14}})));
    T.VolumeFlowRate DialyzerActivity_UltrafiltrationRate(
          varName="DialyzerActivity.UltrafiltrationRate")
    annotation (Placement(transformation(extent={{-134,0},{-122,12}})));
    T.VolumeFlowRate Hemorrhage_PlasmaRate1(                         varName="Hemorrhage.H2ORate")
    annotation (Placement(transformation(extent={{-132,18},{-120,30}})));
    T.VolumeFlowRate Transfusion_PlasmaRate1(                         varName="Transfusion.H2ORate")
    annotation (Placement(transformation(extent={{-130,30},{-120,40}})));
    T.VolumeFlowRate GILumenVomitus_H2OTarget(varName=
            "GILumenVomitus.H2OTarget")
    annotation (Placement(transformation(extent={{-84,122},{-72,134}})));
    T.VolumeFlowRate GILumenDiarrhea_H2OTarget(varName=
            "GILumenDiarrhea.H2OTarget")
    annotation (Placement(transformation(extent={{-82,132},{-70,144}})));
    T.Velocity Wind_MPH(varName="Wind.MPH",storeUnit="MPH")
    annotation (Placement(transformation(extent={{-46,6},{-40,12}})));
    T.AmountOfSubstance GILumenFiber(varName="GILumenVolume.[Fiber]", storeUnit="osm")
        annotation (Placement(transformation(extent={{-82,142},{-70,154}})));
    T.Pressure EnvironmentRelativeHumidity_VaporPressure(varName="RelativeHumidity.VaporPressure",
          storeUnit="mmHg")
        annotation (Placement(transformation(extent={{-92,-2},{-86,4}})));
  public
      Physiolibrary.Types.BusConnector busConnector
        annotation (Placement(transformation(extent={{6,2},{46,42}})));
    equation
      connect( Gravity_Gz.y,busConnector.Gravity_Gz)          annotation (Line(
          points={{-73.25,89},{26,89},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(BarometerPressure.y,busConnector.BarometerPressure)
        annotation (Line(
          points={{-73.25,-121},{4,-121},{4,22},{26,22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(AirSupplyInspiredAirPressure.y,busConnector.AirSupplyInspiredAirPressure)
        annotation (Line(
          points={{-73.25,-151},{4,-151},{4,22},{26,22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(pCO.y,busConnector.pCO) annotation (Line(
          points={{78.75,-25},{26,-25},{26,22}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect( IVDrip_NaRate.y,busConnector. IVDrip_NaRate) annotation (Line(
          points={{78.75,-95},{26,-95},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_NaRate.y,busConnector. Transfusion_NaRate) annotation (Line(
          points={{78.75,115},{26,115},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_NaRate.y,busConnector. Hemorrhage_NaRate) annotation (Line(
          points={{78.75,-165},{26,-165},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_Na_Flux.y,busConnector. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{-73.25,-61},{26,-61},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_Na.y,busConnector. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{-73.25,-21},{26,-21},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( GILumenDiarrhea_NaLoss.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{-73.25,109},{26,109},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( IVDrip_KRate.y,busConnector. IVDrip_KRate) annotation (Line(
          points={{78.75,-105},{26,-105},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_KRate.y,busConnector. Transfusion_KRate) annotation (Line(
          points={{78.75,105},{26,105},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_KRate.y,busConnector. Hemorrhage_KRate) annotation (Line(
          points={{74.75,31},{26,31},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_K_Flux.y,busConnector. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{-73.25,-71},{26,-71},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_K.y,busConnector. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{-73.25,-31},{26,-31},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( GILumenDiarrhea_KLoss.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
          points={{-73.25,99},{26,99},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( IVDrip_ClRate.y,busConnector. IVDrip_ClRate) annotation (Line(
          points={{78.75,-125},{26,-125},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_ClRate.y,busConnector. Transfusion_ClRate) annotation (Line(
          points={{78.75,95},{26,95},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_ClRate.y,busConnector. Hemorrhage_ClRate) annotation (Line(
          points={{74.75,19},{26,19},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_Cl_Flux.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{-73.25,-81},{26,-81},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_Cl.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{-73.25,-41},{26,-41},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GILumenVomitus_ClLoss.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
          points={{-73.25,119},{26,119},{26,22}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(DietIntakeElectrolytes_PO4.y,busConnector.DietIntakeElectrolytes_PO4) annotation (Line(
          points={{-73.25,-11},{6,-11},{6,22},{26,22}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(DietIntakeElectrolytes_SO4.y,busConnector.DietIntakeElectrolytes_SO4) annotation (Line(
          points={{-73.25,-1},{26,-1},{26,22}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(DietGoalH2O_DegK.y,busConnector.DietGoalH2O_DegK) annotation (
          Line(
          points={{-73.25,-51},{-73.25,-50},{-28,-50},{-28,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Exercise_Metabolism_ContractionRate.y,busConnector. Exercise_Metabolism_ContractionRate)
        annotation (Line(
          points={{-73.25,19},{26,19},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Exercise_Metabolism_MotionWatts.y,busConnector. Exercise_Metabolism_MotionWatts)
        annotation (Line(
          points={{-73.25,29},{26,29},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(LegMusclePump_Effect.y,busConnector.LegMusclePump_Effect) annotation (Line(
          points={{78.75,-65},{-7.85,-65},{-7.85,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ExerciseMetabolism_TotalWatts.y,busConnector.ExerciseMetabolism_TotalWatts) annotation (
         Line(
          points={{-73.25,59},{26,59},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( LowerTorsoArtyHeight.y,busConnector. LowerTorsoArtyHeight)
        annotation (Line(
          points={{78.75,-55},{-6,-55},{-6,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( LowerTorsoVeinHeight.y,busConnector. LowerTorsoVeinHeight)
        annotation (Line(
          points={{78.75,-45},{-6,-45},{-6,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( CarotidSinusHeight.y,busConnector. CarotidSinusHeight)
        annotation (Line(
          points={{-73.25,-91},{0,-91},{0,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Status_Posture.y,busConnector.Status_Posture) annotation (Line(
          points={{76.75,45},{4.15,45},{4.15,22},{26,22}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( FurosemidePool_Furosemide_conc.y,busConnector. FurosemidePool_Furosemide_conc)
        annotation (Line(
          points={{-73.25,69},{8,69},{8,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( ThiazidePool_Thiazide_conc.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{78.75,65},{26,65},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(FurosemidePool_Loss.y,busConnector.FurosemidePool_Loss) annotation (Line(
          points={{-73.25,79},{26,79},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(IVDrip_H2ORate.y,busConnector.IVDrip_H2ORate)  annotation (Line(
          points={{78.75,-115},{0.15,-115},{0.15,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_PlasmaRate.y,busConnector.Transfusion_PlasmaRate)
                                                             annotation (Line(
          points={{78.75,125},{26,125},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_PlasmaRate.y,busConnector.Hemorrhage_PlasmaRate)
                                                            annotation (Line(
          points={{78.75,-155},{26,-155},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_RBCRate.y,busConnector.Hemorrhage_RBCRate) annotation (Line(
          points={{78.75,-135},{26,-135},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_RBCRate.y,busConnector.Transfusion_RBCRate) annotation (Line(
          points={{78.75,145},{26,145},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Pericardium_Pressure.y,busConnector. Pericardium_Pressure)          annotation (
         Line(
          points={{78.75,-15},{26,-15},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Thorax_AvePressure.y,busConnector. Thorax_AvePressure)          annotation (
          Line(
          points={{78.75,75},{26,75},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Thorax_LungInflation.y,busConnector.Thorax_LungInflation)
        annotation (Line(
          points={{78.75,85},{26,85},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y,busConnector.Kidney_NephronCount_Total_xNormal)
        annotation (Line(
          points={{78.75,-75},{6,-75},{6,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Filtering_xNormal.y,busConnector.Kidney_NephronCount_Filtering_xNormal)
        annotation (Line(
          points={{78.75,-85},{26,-85},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(AnesthesiaTidalVolume.y,busConnector.AnesthesiaTidalVolume)
                                                            annotation (Line(
          points={{-73.25,-131},{26,-131},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Anesthesia_VascularConductance.y,busConnector.Anesthesia_VascularConductance)
        annotation (Line(
          points={{-73.25,-141},{26,-141},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y,busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{78.75,-5},{26,-5},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y,busConnector.skinSizeMass) annotation (Line(
     points={{78.75,5},{26,5},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y,busConnector.WeightCore) annotation (Line(
     points={{78.75,155},{26,155},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(AmbientTemperature.y, busConnector.AmbientTemperature)
        annotation (Line(
          points={{-87.25,13},{26,13},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(EnvironmentRelativeHumidity.y, busConnector.EnvironmentRelativeHumidity)
        annotation (Line(
          points={{-95.25,-9},{26,-9},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeH2O_Rate.y, busConnector.DietIntakeH2O_Rate) annotation (Line(
     points={{-95.25,-17},{26,-17},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(DialyzerActivity_UltrafiltrationRate.y, busConnector.DialyzerActivity_UltrafiltrationRate)
        annotation (Line(
          points={{-120.5,6},{-110,6},{-110,56},{26,56},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_PlasmaRate1.y, busConnector.Hemorrhage_H2ORate)
                                                                      annotation (Line(
     points={{-118.5,24},{-116,24},{-116,56},{-178,56},{-178,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_PlasmaRate1.y, busConnector.Transfusion_H2ORate)
                                                                        annotation (Line(
     points={{-118.75,35},{-118,35},{-118,56},{-178,56},{-178,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenDiarrhea_H2OTarget.y, busConnector.GILumenDiarrhea_H2OTarget)
        annotation (Line(
          points={{-68.5,138},{0,138},{0,22},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVomitus_H2OTarget.y, busConnector.GILumenVomitus_H2OTarget)
        annotation (Line(
          points={{-70.5,128},{26,128},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(EnvironmentRelativeHumidity_VaporPressure.y, busConnector.EnviromentRelativeHumidity_VaporPressure)
        annotation (Line(
          points={{-85.25,1},{26,1},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Wind_MPH.y, busConnector.WindSpeed) annotation (Line(
          points={{-39.25,9},{26,9},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenFiber.y, busConnector.GILumenFiber_Mass) annotation (Line(
          points={{-68.5,148},{26,148},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(IVDrip_ProteinRate.y, busConnector.IVDripProteinRate) annotation (
          Line(
          points={{-83.25,-37},{26,-37},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_ProteinRate.y, busConnector.Hemorrhage_ProteinRate)
        annotation (Line(
          points={{78.75,-145},{78.75,-146.5},{26,-146.5},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_ProteinRate.y, busConnector.Transfusion_ProteinRate)
        annotation (Line(
          points={{78.75,135},{26,135},{26,22}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-120,-42},{122,-76}},
              lineColor={0,0,255},
              textString="%name")}));
    end ConstantSetup;

    model ExcerciseSetup
      extends Physiolibrary.Icons.Setup;

      package T = Physiolibrary.Types.RealTypeInputParameters;
  protected
    T.Pressure AirSupplyInspiredAirPressure(varName="AirSupply-InspiredAir.Pressure")
    annotation (Placement(transformation(extent={{-80,-154},{-74,-148}})));
    T.Fraction Anesthesia_VascularConductance(varName="Anesthesia.VascularConductance")
    annotation (Placement(transformation(extent={{-80,-144},{-74,-138}})));
    T.Fraction AnesthesiaTidalVolume(varName="Anesthesia.TidalVolume")
    annotation (Placement(transformation(extent={{-80,-134},{-74,-128}})));
    T.Pressure BarometerPressure(varName="Barometer.Pressure")
    annotation (Placement(transformation(extent={{-80,-124},{-74,-118}})));
    T.Position CarotidSinusHeight(varName="Hydrostatics.CarotidCM")
    annotation (Placement(transformation(extent={{-80,-94},{-74,-88}})));
    T.MolarFlowRate DialyzerActivity_Cl_Flux(varName="DialyzerActivity.Cl-Flux")
    annotation (Placement(transformation(extent={{-80,-84},{-74,-78}})));
    T.MolarFlowRate DialyzerActivity_K_Flux(varName="DialyzerActivity.K+Flux")
    annotation (Placement(transformation(extent={{-80,-74},{-74,-68}})));
    T.MolarFlowRate DialyzerActivity_Na_Flux(varName="DialyzerActivity.Na+Flux")
    annotation (Placement(transformation(extent={{-80,-64},{-74,-58}})));
    T.Temperature DietGoalH2O_DegK(varName="DietGoalH2O.DegK",storeUnit="K")
    annotation (Placement(transformation(extent={{-80,-54},{-74,-48}})));
    T.MolarFlowRate DietIntakeElectrolytes_Cl(varName="DietIntakeElectrolytes.Cl-_mEq/Min")
    annotation (Placement(transformation(extent={{-80,-44},{-74,-38}})));
    T.MolarFlowRate DietIntakeElectrolytes_K(varName="DietIntakeElectrolytes.K+_mEq/Min")
    annotation (Placement(transformation(extent={{-80,-34},{-74,-28}})));
    T.MolarFlowRate DietIntakeElectrolytes_Na(varName="DietIntakeElectrolytes.Na+_mEq/Min")
    annotation (Placement(transformation(extent={{-80,-24},{-74,-18}})));
    T.MolarFlowRate DietIntakeElectrolytes_PO4(varName="DietIntakeElectrolytes.PO4--mEq/Min")
    annotation (Placement(transformation(extent={{-80,-14},{-74,-8}})));
    T.MolarFlowRate DietIntakeElectrolytes_SO4(varName="DietIntakeElectrolytes.SO4--mEq/Min")
    annotation (Placement(transformation(extent={{-80,-4},{-74,2}})));
    T.Frequency Exercise_Metabolism_ContractionRate(varName="Exercise-Metabolism.ContractionRate")
    annotation (Placement(transformation(extent={{-82,44},{-76,50}})));
    T.Power Exercise_Metabolism_MotionWatts(varName="Exercise-Metabolism.MotionWatts", storeUnit="W")
    annotation (Placement(transformation(extent={{-82,36},{-76,42}})));
    T.Power ExerciseMetabolism_TotalWatts(varName="Exercise-Metabolism.TotalWatts", storeUnit="W")
    annotation (Placement(transformation(extent={{-82,52},{-76,58}})));
    T.Concentration FurosemidePool_Furosemide_conc(varName="FurosemidePool.[Furosemide]", storeUnit="mg/l", unitConversions=Substances.Furosemide.unitConversions)
    annotation (Placement(transformation(extent={{-80,66},{-74,72}})));
    T.MolarFlowRate FurosemidePool_Loss(varName="FurosemidePool.Loss", storeUnit="mg/min", unitConversions=Substances.Furosemide.unitConversions)
    annotation (Placement(transformation(extent={{-80,76},{-74,82}})));
    T.Fraction Gravity_Gz(varName="Gravity.Gz")
    annotation (Placement(transformation(extent={{-80,86},{-74,92}})));
    T.MolarFlowRate GILumenDiarrhea_KLoss(varName="GILumenDiarrhea.K+Loss")
    annotation (Placement(transformation(extent={{-80,96},{-74,102}})));
    T.MolarFlowRate GILumenDiarrhea_NaLoss(varName="GILumenDiarrhea.Na+Loss")
    annotation (Placement(transformation(extent={{-80,106},{-74,112}})));
    T.MolarFlowRate GILumenVomitus_ClLoss(varName="GILumenVomitus.Cl-Loss")
    annotation (Placement(transformation(extent={{-80,116},{-74,122}})));
    T.MolarFlowRate Hemorrhage_ClRate(varName="Hemorrhage.ClRate")
    annotation (Placement(transformation(extent={{68,16},{74,22}})));
    T.MolarFlowRate Hemorrhage_KRate(varName="Hemorrhage.KRate")
    annotation (Placement(transformation(extent={{68,28},{74,34}})));
    T.MolarFlowRate Hemorrhage_NaRate(varName="Hemorrhage.NaRate")
    annotation (Placement(transformation(extent={{72,-168},{78,-162}})));
    T.VolumeFlowRate Hemorrhage_PlasmaRate(varName="Hemorrhage.PlasmaRate")
    annotation (Placement(transformation(extent={{72,-158},{78,-152}})));
    T.MolarFlowRate Hemorrhage_ProteinRate(varName="Hemorrhage.ProteinRate", storeUnit="mmol/min")
    annotation (Placement(transformation(extent={{72,-148},{78,-142}})));
    T.VolumeFlowRate Hemorrhage_RBCRate(varName="Hemorrhage.RBCRate")
    annotation (Placement(transformation(extent={{72,-138},{78,-132}})));
    T.MolarFlowRate IVDrip_ClRate(varName="IVDrip.ClRate")
    annotation (Placement(transformation(extent={{72,-128},{78,-122}})));
    T.VolumeFlowRate IVDrip_H2ORate(varName="IVDrip.H2ORate")
    annotation (Placement(transformation(extent={{72,-118},{78,-112}})));
    T.MolarFlowRate IVDrip_KRate(varName="IVDrip.KRate")
    annotation (Placement(transformation(extent={{72,-108},{78,-102}})));
    T.MolarFlowRate IVDrip_NaRate(varName="IVDrip.NaRate")
    annotation (Placement(transformation(extent={{72,-98},{78,-92}})));
    T.Fraction Kidney_NephronCount_Filtering_xNormal(varName="Kidney-NephronCount.Filtering(xNormal)")
    annotation (Placement(transformation(extent={{72,-88},{78,-82}})));
    T.Fraction Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)")
    annotation (Placement(transformation(extent={{72,-78},{78,-72}})));
    T.Fraction LegMusclePump_Effect(varName="LegMusclePump.Effect")
    annotation (Placement(transformation(extent={{72,-68},{78,-62}})));
    T.Position LowerTorsoArtyHeight(varName="Hydrostatics.LowerTorsoCM")
    annotation (Placement(transformation(extent={{72,-58},{78,-52}})));
    T.Position LowerTorsoVeinHeight(varName="Hydrostatics.LowerTorsoCM")
    annotation (Placement(transformation(extent={{72,-48},{78,-42}})));
    T.Pressure pCO(varName="pCO")
    annotation (Placement(transformation(extent={{72,-28},{78,-22}})));
    T.Pressure Pericardium_Pressure(varName="Pericardium-Cavity.Pressure")
    annotation (Placement(transformation(extent={{72,-18},{78,-12}})));
    T.Mass skeletalMuscle_SizeMass(varName="SkeletalMuscle-Size.Mass", storeUnit="g")
    annotation (Placement(transformation(extent={{72,-8},{78,-2}})));
    T.Mass skinSizeMass(varName="Skin-Size.Mass")
    annotation (Placement(transformation(extent={{72,2},{78,8}})));
    T.Fraction Status_Posture(varName="Status.Posture")
    annotation (Placement(transformation(extent={{70,42},{76,48}})));
    T.MassConcentration ThiazidePool_Thiazide_conc(varName="ThiazidePool.[Thiazide]", storeUnit="mg/l")
    annotation (Placement(transformation(extent={{72,62},{78,68}})));
    T.Pressure Thorax_AvePressure(varName="Thorax.AvePressure")
    annotation (Placement(transformation(extent={{72,72},{78,78}})));
    T.Fraction Thorax_LungInflation(varName="Thorax.LungInflation")
    annotation (Placement(transformation(extent={{72,82},{78,88}})));
    T.MolarFlowRate Transfusion_ClRate(varName="Transfusion.ClRate")
    annotation (Placement(transformation(extent={{72,92},{78,98}})));
    T.MolarFlowRate Transfusion_KRate(varName="Transfusion.KRate")
    annotation (Placement(transformation(extent={{72,102},{78,108}})));
    T.MolarFlowRate Transfusion_NaRate(varName="Transfusion.NaRate")
    annotation (Placement(transformation(extent={{72,112},{78,118}})));
    T.VolumeFlowRate Transfusion_PlasmaRate(varName="Transfusion.PlasmaRate")
    annotation (Placement(transformation(extent={{72,122},{78,128}})));
    T.MolarFlowRate Transfusion_ProteinRate(varName="Transfusion.ProteinRate", storeUnit="mmol/min")
    annotation (Placement(transformation(extent={{72,132},{78,138}})));
    T.VolumeFlowRate Transfusion_RBCRate(varName="Transfusion.RBCRate")
    annotation (Placement(transformation(extent={{72,142},{78,148}})));
    T.Mass WeightCore(varName="Weight.Core")
    annotation (Placement(transformation(extent={{72,152},{78,158}})));

    T.MolarFlowRate IVDrip_ProteinRate(varName="IVDrip.ProteinRate", storeUnit="mmol/min")
    annotation (Placement(transformation(extent={{-90,-40},{-84,-34}})));
    T.Temperature AmbientTemperature(varName=
            "AmbientTemperature.Temp(C)")
    annotation (Placement(transformation(extent={{-94,10},{-88,16}})));
    T.Fraction EnvironmentRelativeHumidity(varName=
            "EnvironmentRelativeHumidity")
    annotation (Placement(transformation(extent={{-102,-12},{-96,-6}})));
    T.VolumeFlowRate DietIntakeH2O_Rate(varName="DietIntakeH2O.Rate(mL/Min)")
    annotation (Placement(transformation(extent={{-102,-20},{-96,-14}})));
    T.VolumeFlowRate DialyzerActivity_UltrafiltrationRate(
          varName="DialyzerActivity.UltrafiltrationRate")
    annotation (Placement(transformation(extent={{96,-128},{108,-116}})));
    T.VolumeFlowRate Hemorrhage_PlasmaRate1(                         varName="Hemorrhage.H2ORate")
    annotation (Placement(transformation(extent={{98,-110},{110,-98}})));
    T.VolumeFlowRate Transfusion_PlasmaRate1(                         varName="Transfusion.H2ORate")
    annotation (Placement(transformation(extent={{100,-98},{110,-88}})));
    T.VolumeFlowRate GILumenVomitus_H2OTarget(varName=
            "GILumenVomitus.H2OTarget")
    annotation (Placement(transformation(extent={{-84,122},{-72,134}})));
    T.VolumeFlowRate GILumenDiarrhea_H2OTarget(varName=
            "GILumenDiarrhea.H2OTarget")
    annotation (Placement(transformation(extent={{-82,132},{-70,144}})));
    T.Velocity Wind_MPH(varName="Wind.MPH",storeUnit="MPH")
    annotation (Placement(transformation(extent={{-46,6},{-40,12}})));
    T.AmountOfSubstance GILumenFiber(varName="GILumenVolume.[Fiber]", storeUnit="osm")
        annotation (Placement(transformation(extent={{-82,142},{-70,154}})));
    T.Pressure EnvironmentRelativeHumidity_VaporPressure(varName="RelativeHumidity.VaporPressure",
          storeUnit="mmHg")
        annotation (Placement(transformation(extent={{-92,-2},{-86,4}})));
  public
    Physiolibrary.Types.BusConnector busConnector
      annotation (Placement(transformation(extent={{4,-18},{44,22}})));
    equation
      connect( Gravity_Gz.y,busConnector.Gravity_Gz)          annotation (Line(
          points={{-73.25,89},{24,89},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(BarometerPressure.y,busConnector.BarometerPressure)
        annotation (Line(
          points={{-73.25,-121},{4,-121},{4,2},{24,2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(AirSupplyInspiredAirPressure.y,busConnector.AirSupplyInspiredAirPressure)
        annotation (Line(
          points={{-73.25,-151},{4,-151},{4,2},{24,2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(pCO.y,busConnector.pCO) annotation (Line(
          points={{78.75,-25},{24,-25},{24,2}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect( IVDrip_NaRate.y,busConnector. IVDrip_NaRate) annotation (Line(
          points={{78.75,-95},{24,-95},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_NaRate.y,busConnector. Transfusion_NaRate) annotation (Line(
          points={{78.75,115},{24,115},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_NaRate.y,busConnector. Hemorrhage_NaRate) annotation (Line(
          points={{78.75,-165},{24,-165},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_Na_Flux.y,busConnector. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{-73.25,-61},{24,-61},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_Na.y,busConnector. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{-73.25,-21},{24,-21},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( GILumenDiarrhea_NaLoss.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{-73.25,109},{24,109},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( IVDrip_KRate.y,busConnector. IVDrip_KRate) annotation (Line(
          points={{78.75,-105},{24,-105},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_KRate.y,busConnector. Transfusion_KRate) annotation (Line(
          points={{78.75,105},{24,105},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_KRate.y,busConnector. Hemorrhage_KRate) annotation (Line(
          points={{74.75,31},{24,31},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_K_Flux.y,busConnector. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{-73.25,-71},{24,-71},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_K.y,busConnector. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{-73.25,-31},{24,-31},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( GILumenDiarrhea_KLoss.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
          points={{-73.25,99},{24,99},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( IVDrip_ClRate.y,busConnector. IVDrip_ClRate) annotation (Line(
          points={{78.75,-125},{24,-125},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_ClRate.y,busConnector. Transfusion_ClRate) annotation (Line(
          points={{78.75,95},{24,95},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_ClRate.y,busConnector. Hemorrhage_ClRate) annotation (Line(
          points={{74.75,19},{24,19},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_Cl_Flux.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{-73.25,-81},{24,-81},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_Cl.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{-73.25,-41},{24,-41},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GILumenVomitus_ClLoss.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
          points={{-73.25,119},{24,119},{24,2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(DietIntakeElectrolytes_PO4.y,busConnector.DietIntakeElectrolytes_PO4) annotation (Line(
          points={{-73.25,-11},{6,-11},{6,2},{24,2}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(DietIntakeElectrolytes_SO4.y,busConnector.DietIntakeElectrolytes_SO4) annotation (Line(
          points={{-73.25,-1},{24,-1},{24,2}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(DietGoalH2O_DegK.y,busConnector.DietGoalH2O_DegK) annotation (
          Line(
          points={{-73.25,-51},{-73.25,-50},{-28,-50},{-28,2},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Exercise_Metabolism_ContractionRate.y,busConnector. Exercise_Metabolism_ContractionRate)
        annotation (Line(
          points={{-75.25,47},{24,47},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Exercise_Metabolism_MotionWatts.y,busConnector. Exercise_Metabolism_MotionWatts)
        annotation (Line(
          points={{-75.25,39},{24,39},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(LegMusclePump_Effect.y,busConnector.LegMusclePump_Effect) annotation (Line(
          points={{78.75,-65},{-7.85,-65},{-7.85,2},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ExerciseMetabolism_TotalWatts.y,busConnector.ExerciseMetabolism_TotalWatts) annotation (
         Line(
          points={{-75.25,55},{24,55},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( LowerTorsoArtyHeight.y,busConnector. LowerTorsoArtyHeight)
        annotation (Line(
          points={{78.75,-55},{-6,-55},{-6,2},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( LowerTorsoVeinHeight.y,busConnector. LowerTorsoVeinHeight)
        annotation (Line(
          points={{78.75,-45},{-6,-45},{-6,2},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( CarotidSinusHeight.y,busConnector. CarotidSinusHeight)
        annotation (Line(
          points={{-73.25,-91},{0,-91},{0,2},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Status_Posture.y,busConnector.Status_Posture) annotation (Line(
          points={{76.75,45},{4.15,45},{4.15,2},{24,2}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( FurosemidePool_Furosemide_conc.y,busConnector. FurosemidePool_Furosemide_conc)
        annotation (Line(
          points={{-73.25,69},{8,69},{8,2},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( ThiazidePool_Thiazide_conc.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{78.75,65},{24,65},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(FurosemidePool_Loss.y,busConnector.FurosemidePool_Loss) annotation (Line(
          points={{-73.25,79},{24,79},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(IVDrip_H2ORate.y,busConnector.IVDrip_H2ORate)  annotation (Line(
          points={{78.75,-115},{0.15,-115},{0.15,2},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_PlasmaRate.y,busConnector.Transfusion_PlasmaRate)
                                                             annotation (Line(
          points={{78.75,125},{24,125},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_PlasmaRate.y,busConnector.Hemorrhage_PlasmaRate)
                                                            annotation (Line(
          points={{78.75,-155},{24,-155},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_RBCRate.y,busConnector.Hemorrhage_RBCRate) annotation (Line(
          points={{78.75,-135},{24,-135},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_RBCRate.y,busConnector.Transfusion_RBCRate) annotation (Line(
          points={{78.75,145},{24,145},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Pericardium_Pressure.y,busConnector. Pericardium_Pressure)          annotation (
         Line(
          points={{78.75,-15},{24,-15},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Thorax_AvePressure.y,busConnector. Thorax_AvePressure)          annotation (
          Line(
          points={{78.75,75},{24,75},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Thorax_LungInflation.y,busConnector.Thorax_LungInflation)
        annotation (Line(
          points={{78.75,85},{24,85},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y,busConnector.Kidney_NephronCount_Total_xNormal)
        annotation (Line(
          points={{78.75,-75},{6,-75},{6,2},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Filtering_xNormal.y,busConnector.Kidney_NephronCount_Filtering_xNormal)
        annotation (Line(
          points={{78.75,-85},{24,-85},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(AnesthesiaTidalVolume.y,busConnector.AnesthesiaTidalVolume)
                                                            annotation (Line(
          points={{-73.25,-131},{24,-131},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Anesthesia_VascularConductance.y,busConnector.Anesthesia_VascularConductance)
        annotation (Line(
          points={{-73.25,-141},{24,-141},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y,busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{78.75,-5},{24,-5},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y,busConnector.skinSizeMass) annotation (Line(
     points={{78.75,5},{24,5},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y,busConnector.WeightCore) annotation (Line(
     points={{78.75,155},{24,155},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(AmbientTemperature.y, busConnector.AmbientTemperature)
        annotation (Line(
          points={{-87.25,13},{24,13},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(EnvironmentRelativeHumidity.y, busConnector.EnvironmentRelativeHumidity)
        annotation (Line(
          points={{-95.25,-9},{24,-9},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeH2O_Rate.y, busConnector.DietIntakeH2O_Rate) annotation (Line(
     points={{-95.25,-17},{24,-17},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(DialyzerActivity_UltrafiltrationRate.y, busConnector.DialyzerActivity_UltrafiltrationRate)
        annotation (Line(
          points={{109.5,-122},{24,-122},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_PlasmaRate1.y, busConnector.Hemorrhage_H2ORate)
                                                                      annotation (Line(
     points={{111.5,-104},{18,-104},{18,54},{24,54},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_PlasmaRate1.y, busConnector.Transfusion_H2ORate)
                                                                        annotation (Line(
     points={{111.25,-93},{-48,-93},{-48,36},{24,36},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenDiarrhea_H2OTarget.y, busConnector.GILumenDiarrhea_H2OTarget)
        annotation (Line(
          points={{-68.5,138},{0,138},{0,2},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVomitus_H2OTarget.y, busConnector.GILumenVomitus_H2OTarget)
        annotation (Line(
          points={{-70.5,128},{24,128},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(EnvironmentRelativeHumidity_VaporPressure.y, busConnector.EnviromentRelativeHumidity_VaporPressure)
        annotation (Line(
          points={{-85.25,1},{24,1},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Wind_MPH.y, busConnector.WindSpeed) annotation (Line(
          points={{-39.25,9},{24,9},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenFiber.y, busConnector.GILumenFiber_Mass) annotation (Line(
          points={{-68.5,148},{24,148},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(IVDrip_ProteinRate.y, busConnector.IVDripProteinRate) annotation (
          Line(
          points={{-83.25,-37},{24,-37},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_ProteinRate.y, busConnector.Hemorrhage_ProteinRate)
        annotation (Line(
          points={{78.75,-145},{78.75,-146.5},{24,-146.5},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_ProteinRate.y, busConnector.Transfusion_ProteinRate)
        annotation (Line(
          points={{78.75,135},{24,135},{24,2}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-120,-42},{122,-76}},
              lineColor={0,0,255},
              textString="%name")}));
    end ExcerciseSetup;

    model HemorrhageSetup
      extends Physiolibrary.Icons.Setup;

      package T = Physiolibrary.Types.RealTypeInputParameters;

  protected
    T.Pressure AirSupplyInspiredAirPressure(varName="AirSupply-InspiredAir.Pressure")
    annotation (Placement(transformation(extent={{-80,-154},{-74,-148}})));
    T.Fraction Anesthesia_VascularConductance(varName="Anesthesia.VascularConductance")
    annotation (Placement(transformation(extent={{-80,-144},{-74,-138}})));
    T.Fraction AnesthesiaTidalVolume(varName="Anesthesia.TidalVolume")
    annotation (Placement(transformation(extent={{-80,-134},{-74,-128}})));
    T.Pressure BarometerPressure(varName="Barometer.Pressure")
    annotation (Placement(transformation(extent={{-80,-124},{-74,-118}})));
    T.Position CarotidSinusHeight(varName="Hydrostatics.CarotidCM")
    annotation (Placement(transformation(extent={{-80,-94},{-74,-88}})));
    T.MolarFlowRate DialyzerActivity_Cl_Flux(varName="DialyzerActivity.Cl-Flux")
    annotation (Placement(transformation(extent={{-80,-84},{-74,-78}})));
    T.MolarFlowRate DialyzerActivity_K_Flux(varName="DialyzerActivity.K+Flux")
    annotation (Placement(transformation(extent={{-80,-74},{-74,-68}})));
    T.MolarFlowRate DialyzerActivity_Na_Flux(varName="DialyzerActivity.Na+Flux")
    annotation (Placement(transformation(extent={{-80,-64},{-74,-58}})));
    T.Temperature DietGoalH2O_DegK(varName="DietGoalH2O.DegK",storeUnit="K")
    annotation (Placement(transformation(extent={{-80,-54},{-74,-48}})));
    T.MolarFlowRate DietIntakeElectrolytes_Cl(varName="DietIntakeElectrolytes.Cl-_mEq/Min")
    annotation (Placement(transformation(extent={{-80,-44},{-74,-38}})));
    T.MolarFlowRate DietIntakeElectrolytes_K(varName="DietIntakeElectrolytes.K+_mEq/Min")
    annotation (Placement(transformation(extent={{-80,-34},{-74,-28}})));
    T.MolarFlowRate DietIntakeElectrolytes_Na(varName="DietIntakeElectrolytes.Na+_mEq/Min")
    annotation (Placement(transformation(extent={{-80,-24},{-74,-18}})));
    T.MolarFlowRate DietIntakeElectrolytes_PO4(varName="DietIntakeElectrolytes.PO4--mEq/Min")
    annotation (Placement(transformation(extent={{-80,-14},{-74,-8}})));
    T.MolarFlowRate DietIntakeElectrolytes_SO4(varName="DietIntakeElectrolytes.SO4--mEq/Min")
    annotation (Placement(transformation(extent={{-80,-4},{-74,2}})));
    T.Frequency Exercise_Metabolism_ContractionRate(varName="Exercise-Metabolism.ContractionRate")
    annotation (Placement(transformation(extent={{-76,32},{-70,38}})));
    T.Power Exercise_Metabolism_MotionWatts(varName="Exercise-Metabolism.MotionWatts", storeUnit="W")
    annotation (Placement(transformation(extent={{-76,38},{-70,44}})));
    T.Power ExerciseMetabolism_TotalWatts(varName="Exercise-Metabolism.TotalWatts", storeUnit="W")
    annotation (Placement(transformation(extent={{-76,44},{-70,50}})));
    T.Concentration FurosemidePool_Furosemide_conc(varName="FurosemidePool.[Furosemide]", storeUnit="mg/l", unitConversions=Substances.Furosemide.unitConversions)
    annotation (Placement(transformation(extent={{-80,66},{-74,72}})));
    T.MolarFlowRate FurosemidePool_Loss(varName="FurosemidePool.Loss", storeUnit="mg/min", unitConversions=Substances.Furosemide.unitConversions)
    annotation (Placement(transformation(extent={{-80,76},{-74,82}})));
    T.Fraction Gravity_Gz(varName="Gravity.Gz")
    annotation (Placement(transformation(extent={{-80,86},{-74,92}})));
    T.MolarFlowRate GILumenDiarrhea_KLoss(varName="GILumenDiarrhea.K+Loss")
    annotation (Placement(transformation(extent={{-80,96},{-74,102}})));
    T.MolarFlowRate GILumenDiarrhea_NaLoss(varName="GILumenDiarrhea.Na+Loss")
    annotation (Placement(transformation(extent={{-80,106},{-74,112}})));
    T.MolarFlowRate GILumenVomitus_ClLoss(varName="GILumenVomitus.Cl-Loss")
    annotation (Placement(transformation(extent={{-80,116},{-74,122}})));
    T.MolarFlowRate Hemorrhage_ClRate(varName="Hemorrhage.ClRate")
    annotation (Placement(transformation(extent={{68,16},{74,22}})));
    T.MolarFlowRate Hemorrhage_KRate(varName="Hemorrhage.KRate")
    annotation (Placement(transformation(extent={{68,28},{74,34}})));
    T.MolarFlowRate Hemorrhage_NaRate(varName="Hemorrhage.NaRate")
    annotation (Placement(transformation(extent={{72,-168},{78,-162}})));
    T.VolumeFlowRate Hemorrhage_PlasmaRate(varName="Hemorrhage.PlasmaRate")
    annotation (Placement(transformation(extent={{72,-158},{78,-152}})));
    T.MolarFlowRate Hemorrhage_ProteinRate(varName="Hemorrhage.ProteinRate", storeUnit="mmol/min")
    annotation (Placement(transformation(extent={{72,-148},{78,-142}})));
    T.VolumeFlowRate Hemorrhage_RBCRate(varName="Hemorrhage.RBCRate")
    annotation (Placement(transformation(extent={{72,-138},{78,-132}})));
    T.MolarFlowRate IVDrip_ClRate(varName="IVDrip.ClRate")
    annotation (Placement(transformation(extent={{72,-128},{78,-122}})));
    T.VolumeFlowRate IVDrip_H2ORate(varName="IVDrip.H2ORate")
    annotation (Placement(transformation(extent={{72,-118},{78,-112}})));
    T.MolarFlowRate IVDrip_KRate(varName="IVDrip.KRate")
    annotation (Placement(transformation(extent={{72,-108},{78,-102}})));
    T.MolarFlowRate IVDrip_NaRate(varName="IVDrip.NaRate")
    annotation (Placement(transformation(extent={{72,-98},{78,-92}})));
    T.Fraction Kidney_NephronCount_Filtering_xNormal(varName="Kidney-NephronCount.Filtering(xNormal)")
    annotation (Placement(transformation(extent={{72,-88},{78,-82}})));
    T.Fraction Kidney_NephronCount_Total_xNormal(varName="Kidney-NephronCount.Total(xNormal)")
    annotation (Placement(transformation(extent={{72,-78},{78,-72}})));
    T.Fraction LegMusclePump_Effect(varName="LegMusclePump.Effect")
    annotation (Placement(transformation(extent={{72,-68},{78,-62}})));
    T.Position LowerTorsoArtyHeight(varName="Hydrostatics.LowerTorsoCM")
    annotation (Placement(transformation(extent={{72,-58},{78,-52}})));
    T.Position LowerTorsoVeinHeight(varName="Hydrostatics.LowerTorsoCM")
    annotation (Placement(transformation(extent={{72,-48},{78,-42}})));
    T.Pressure pCO(varName="pCO")
    annotation (Placement(transformation(extent={{72,-28},{78,-22}})));
    T.Pressure Pericardium_Pressure(varName="Pericardium-Cavity.Pressure")
    annotation (Placement(transformation(extent={{72,-18},{78,-12}})));
    T.Mass skeletalMuscle_SizeMass(varName="SkeletalMuscle-Size.Mass", storeUnit="g")
    annotation (Placement(transformation(extent={{72,-8},{78,-2}})));
    T.Mass skinSizeMass(varName="Skin-Size.Mass")
    annotation (Placement(transformation(extent={{72,2},{78,8}})));
    T.Fraction Status_Posture(varName="Status.Posture")
    annotation (Placement(transformation(extent={{70,42},{76,48}})));
    T.MassConcentration ThiazidePool_Thiazide_conc(varName="ThiazidePool.[Thiazide]", storeUnit="mg/l")
    annotation (Placement(transformation(extent={{72,62},{78,68}})));
    T.Pressure Thorax_AvePressure(varName="Thorax.AvePressure")
    annotation (Placement(transformation(extent={{72,72},{78,78}})));
    T.Fraction Thorax_LungInflation(varName="Thorax.LungInflation")
    annotation (Placement(transformation(extent={{72,82},{78,88}})));
    T.MolarFlowRate Transfusion_ClRate(varName="Transfusion.ClRate")
    annotation (Placement(transformation(extent={{72,92},{78,98}})));
    T.MolarFlowRate Transfusion_KRate(varName="Transfusion.KRate")
    annotation (Placement(transformation(extent={{72,102},{78,108}})));
    T.MolarFlowRate Transfusion_NaRate(varName="Transfusion.NaRate")
    annotation (Placement(transformation(extent={{72,112},{78,118}})));
    T.VolumeFlowRate Transfusion_PlasmaRate(varName="Transfusion.PlasmaRate")
    annotation (Placement(transformation(extent={{72,122},{78,128}})));
    T.MolarFlowRate Transfusion_ProteinRate(varName="Transfusion.ProteinRate", storeUnit="mmol/min")
    annotation (Placement(transformation(extent={{72,132},{78,138}})));
    T.VolumeFlowRate Transfusion_RBCRate(varName="Transfusion.RBCRate")
    annotation (Placement(transformation(extent={{72,142},{78,148}})));
    T.Mass WeightCore(varName="Weight.Core")
    annotation (Placement(transformation(extent={{72,152},{78,158}})));

    T.MolarFlowRate IVDrip_ProteinRate(varName="IVDrip.ProteinRate", storeUnit="mmol/min")
    annotation (Placement(transformation(extent={{-90,-40},{-84,-34}})));
    T.Temperature AmbientTemperature(varName=
            "AmbientTemperature.Temp(C)")
    annotation (Placement(transformation(extent={{-94,10},{-88,16}})));
    T.Fraction EnvironmentRelativeHumidity(varName=
            "EnvironmentRelativeHumidity")
    annotation (Placement(transformation(extent={{-102,-12},{-96,-6}})));
    T.VolumeFlowRate DietIntakeH2O_Rate(varName="DietIntakeH2O.Rate(mL/Min)")
    annotation (Placement(transformation(extent={{-102,-20},{-96,-14}})));
    T.VolumeFlowRate DialyzerActivity_UltrafiltrationRate(
          varName="DialyzerActivity.UltrafiltrationRate")
    annotation (Placement(transformation(extent={{-134,0},{-122,12}})));
    T.VolumeFlowRate Hemorrhage_PlasmaRate1(                         varName="Hemorrhage.H2ORate")
    annotation (Placement(transformation(extent={{-132,18},{-120,30}})));
    T.VolumeFlowRate Transfusion_PlasmaRate1(                         varName="Transfusion.H2ORate")
    annotation (Placement(transformation(extent={{-130,30},{-120,40}})));
    T.VolumeFlowRate GILumenVomitus_H2OTarget(varName=
            "GILumenVomitus.H2OTarget")
    annotation (Placement(transformation(extent={{-84,122},{-72,134}})));
    T.VolumeFlowRate GILumenDiarrhea_H2OTarget(varName=
            "GILumenDiarrhea.H2OTarget")
    annotation (Placement(transformation(extent={{-82,132},{-70,144}})));
    T.Velocity Wind_MPH(varName="Wind.MPH",storeUnit="MPH")
    annotation (Placement(transformation(extent={{-46,6},{-40,12}})));
    T.AmountOfSubstance GILumenFiber(varName="GILumenVolume.[Fiber]", storeUnit="osm")
        annotation (Placement(transformation(extent={{-82,142},{-70,154}})));
    T.Pressure EnvironmentRelativeHumidity_VaporPressure(varName="RelativeHumidity.VaporPressure",
          storeUnit="mmHg")
        annotation (Placement(transformation(extent={{-92,-2},{-86,4}})));

  public
    Physiolibrary.Types.BusConnector busConnector
      annotation (Placement(transformation(extent={{-6,-20},{34,20}})));
    equation
      connect( Gravity_Gz.y,busConnector.Gravity_Gz)          annotation (Line(
          points={{-73.25,89},{14,89},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(BarometerPressure.y,busConnector.BarometerPressure)
        annotation (Line(
          points={{-73.25,-121},{14,-121},{14,0}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(AirSupplyInspiredAirPressure.y,busConnector.AirSupplyInspiredAirPressure)
        annotation (Line(
          points={{-73.25,-151},{14,-151},{14,0}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect(pCO.y,busConnector.pCO) annotation (Line(
          points={{78.75,-25},{14,-25},{14,0}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None), Text(
          string="%first",
          index=-1,
          extent={{-6,3},{-6,3}}));
      connect( IVDrip_NaRate.y,busConnector. IVDrip_NaRate) annotation (Line(
          points={{78.75,-95},{14,-95},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_NaRate.y,busConnector. Transfusion_NaRate) annotation (Line(
          points={{78.75,115},{14,115},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_NaRate.y,busConnector. Hemorrhage_NaRate) annotation (Line(
          points={{78.75,-165},{14,-165},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_Na_Flux.y,busConnector. DialyzerActivity_Na_Flux) annotation (
          Line(
          points={{-73.25,-61},{14,-61},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_Na.y,busConnector. DietIntakeElectrolytes_Na) annotation (
          Line(
          points={{-73.25,-21},{14,-21},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( GILumenDiarrhea_NaLoss.y,busConnector. GILumenDiarrhea_NaLoss) annotation (Line(
          points={{-73.25,109},{14,109},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( IVDrip_KRate.y,busConnector. IVDrip_KRate) annotation (Line(
          points={{78.75,-105},{14,-105},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_KRate.y,busConnector. Transfusion_KRate) annotation (Line(
          points={{78.75,105},{14,105},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_KRate.y,busConnector. Hemorrhage_KRate) annotation (Line(
          points={{74.75,31},{14,31},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_K_Flux.y,busConnector. DialyzerActivity_K_Flux) annotation (
          Line(
          points={{-73.25,-71},{14,-71},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_K.y,busConnector. DietIntakeElectrolytes_K) annotation (
          Line(
          points={{-73.25,-31},{14,-31},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( GILumenDiarrhea_KLoss.y,busConnector. GILumenDiarrhea_KLoss) annotation (Line(
          points={{-73.25,99},{14,99},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( IVDrip_ClRate.y,busConnector. IVDrip_ClRate) annotation (Line(
          points={{78.75,-125},{14,-125},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Transfusion_ClRate.y,busConnector. Transfusion_ClRate) annotation (Line(
          points={{78.75,95},{14,95},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( Hemorrhage_ClRate.y,busConnector. Hemorrhage_ClRate) annotation (Line(
          points={{74.75,19},{14,19},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DialyzerActivity_Cl_Flux.y,busConnector. DialyzerActivity_Cl_Flux) annotation (
          Line(
          points={{-73.25,-81},{14,-81},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect( DietIntakeElectrolytes_Cl.y,busConnector. DietIntakeElectrolytes_Cl) annotation (
          Line(
          points={{-73.25,-41},{14,-41},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(GILumenVomitus_ClLoss.y,busConnector.GILumenVomitus_ClLoss) annotation (Line(
          points={{-73.25,119},{14,119},{14,0}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(DietIntakeElectrolytes_PO4.y,busConnector.DietIntakeElectrolytes_PO4) annotation (Line(
          points={{-73.25,-11},{6,-11},{6,0},{14,0}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(DietIntakeElectrolytes_SO4.y,busConnector.DietIntakeElectrolytes_SO4) annotation (Line(
          points={{-73.25,-1},{14,-1},{14,0}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(DietGoalH2O_DegK.y,busConnector.DietGoalH2O_DegK) annotation (
          Line(
          points={{-73.25,-51},{-73.25,-50},{-28,-50},{-28,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Exercise_Metabolism_ContractionRate.y,busConnector. Exercise_Metabolism_ContractionRate)
        annotation (Line(
          points={{-69.25,35},{14,35},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Exercise_Metabolism_MotionWatts.y,busConnector. Exercise_Metabolism_MotionWatts)
        annotation (Line(
          points={{-69.25,41},{14,41},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(LegMusclePump_Effect.y,busConnector.LegMusclePump_Effect) annotation (Line(
          points={{78.75,-65},{-7.85,-65},{-7.85,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(ExerciseMetabolism_TotalWatts.y,busConnector.ExerciseMetabolism_TotalWatts) annotation (
         Line(
          points={{-69.25,47},{14,47},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( LowerTorsoArtyHeight.y,busConnector. LowerTorsoArtyHeight)
        annotation (Line(
          points={{78.75,-55},{-6,-55},{-6,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( LowerTorsoVeinHeight.y,busConnector. LowerTorsoVeinHeight)
        annotation (Line(
          points={{78.75,-45},{-6,-45},{-6,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( CarotidSinusHeight.y,busConnector. CarotidSinusHeight)
        annotation (Line(
          points={{-73.25,-91},{0,-91},{0,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Status_Posture.y,busConnector.Status_Posture) annotation (Line(
          points={{76.75,45},{4.15,45},{4.15,0},{14,0}},
          color={0,0,255},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( FurosemidePool_Furosemide_conc.y,busConnector. FurosemidePool_Furosemide_conc)
        annotation (Line(
          points={{-73.25,69},{8,69},{8,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( ThiazidePool_Thiazide_conc.y,busConnector. ThiazidePool_Thiazide_conc) annotation (
          Line(
          points={{78.75,65},{14,65},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(FurosemidePool_Loss.y,busConnector.FurosemidePool_Loss) annotation (Line(
          points={{-73.25,79},{14,79},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(IVDrip_H2ORate.y,busConnector.IVDrip_H2ORate)  annotation (Line(
          points={{78.75,-115},{0.15,-115},{0.15,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_PlasmaRate.y,busConnector.Transfusion_PlasmaRate)
                                                             annotation (Line(
          points={{78.75,125},{14,125},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_PlasmaRate.y,busConnector.Hemorrhage_PlasmaRate)
                                                            annotation (Line(
          points={{78.75,-155},{14,-155},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_RBCRate.y,busConnector.Hemorrhage_RBCRate) annotation (Line(
          points={{78.75,-135},{14,-135},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_RBCRate.y,busConnector.Transfusion_RBCRate) annotation (Line(
          points={{78.75,145},{14,145},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Pericardium_Pressure.y,busConnector. Pericardium_Pressure)          annotation (
         Line(
          points={{78.75,-15},{14,-15},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect( Thorax_AvePressure.y,busConnector. Thorax_AvePressure)          annotation (
          Line(
          points={{78.75,75},{14,75},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Thorax_LungInflation.y,busConnector.Thorax_LungInflation)
        annotation (Line(
          points={{78.75,85},{14,85},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Total_xNormal.y,busConnector.Kidney_NephronCount_Total_xNormal)
        annotation (Line(
          points={{78.75,-75},{6,-75},{6,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Kidney_NephronCount_Filtering_xNormal.y,busConnector.Kidney_NephronCount_Filtering_xNormal)
        annotation (Line(
          points={{78.75,-85},{14,-85},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(AnesthesiaTidalVolume.y,busConnector.AnesthesiaTidalVolume)
                                                            annotation (Line(
          points={{-73.25,-131},{14,-131},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Anesthesia_VascularConductance.y,busConnector.Anesthesia_VascularConductance)
        annotation (Line(
          points={{-73.25,-141},{14,-141},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skeletalMuscle_SizeMass.y,busConnector.skeletalMuscle_SizeMass) annotation (Line(
     points={{78.75,-5},{14,-5},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(skinSizeMass.y,busConnector.skinSizeMass) annotation (Line(
     points={{78.75,5},{14,5},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(WeightCore.y,busConnector.WeightCore) annotation (Line(
     points={{78.75,155},{14,155},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));

      connect(AmbientTemperature.y, busConnector.AmbientTemperature)
        annotation (Line(
          points={{-87.25,13},{14,13},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(EnvironmentRelativeHumidity.y, busConnector.EnvironmentRelativeHumidity)
        annotation (Line(
          points={{-95.25,-9},{14,-9},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
    connect(DietIntakeH2O_Rate.y, busConnector.DietIntakeH2O_Rate) annotation (Line(
     points={{-95.25,-17},{14,-17},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(DialyzerActivity_UltrafiltrationRate.y, busConnector.DialyzerActivity_UltrafiltrationRate)
        annotation (Line(
          points={{-120.5,6},{-110,6},{-110,56},{14,56},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_PlasmaRate1.y, busConnector.Hemorrhage_H2ORate)
                                                                      annotation (Line(
     points={{-118.5,24},{-116,24},{-116,56},{-178,56},{-178,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_PlasmaRate1.y, busConnector.Transfusion_H2ORate)
                                                                        annotation (Line(
     points={{-118.75,35},{-118,35},{-118,56},{-178,56},{-178,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenDiarrhea_H2OTarget.y, busConnector.GILumenDiarrhea_H2OTarget)
        annotation (Line(
          points={{-68.5,138},{0,138},{0,0},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenVomitus_H2OTarget.y, busConnector.GILumenVomitus_H2OTarget)
        annotation (Line(
          points={{-70.5,128},{14,128},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(EnvironmentRelativeHumidity_VaporPressure.y, busConnector.EnviromentRelativeHumidity_VaporPressure)
        annotation (Line(
          points={{-85.25,1},{14,1},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Wind_MPH.y, busConnector.WindSpeed) annotation (Line(
          points={{-39.25,9},{14,9},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(GILumenFiber.y, busConnector.GILumenFiber_Mass) annotation (Line(
          points={{-68.5,148},{14,148},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(IVDrip_ProteinRate.y, busConnector.IVDripProteinRate) annotation (
          Line(
          points={{-83.25,-37},{14,-37},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Hemorrhage_ProteinRate.y, busConnector.Hemorrhage_ProteinRate)
        annotation (Line(
          points={{78.75,-145},{78.75,-146.5},{14,-146.5},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      connect(Transfusion_ProteinRate.y, busConnector.Transfusion_ProteinRate)
        annotation (Line(
          points={{78.75,135},{14,135},{14,0}},
          color={0,0,127},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{6,3},{6,3}}));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                -100},{100,100}}), graphics={Text(
              extent={{-120,-42},{122,-76}},
              lineColor={0,0,255},
              textString="%name")}));
    end HemorrhageSetup;
    annotation (Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: HumMod 1.6, University of Mississippi Medical Center</p></td>
</tr>
</table>
<p>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>"));
  end Setup;

  package Status "Fitness Status of Tissue Structures and Functionality"
   extends Physiolibrary.Icons.StatusLib;
    model TissuesFitness
     extends Physiolibrary.Icons.Status;
      Tissues.SkeletalMuscle skeletalMuscle
        annotation (Placement(transformation(extent={{-80,64},{-60,84}})));

      Tissues.Bone bone
        annotation (Placement(transformation(extent={{-80,32},{-60,52}})));

      Tissues.Fat fat
        annotation (Placement(transformation(extent={{-80,-58},{-60,-38}})));

      Tissues.Brain brain
        annotation (Placement(transformation(extent={{0,30},{20,50}})));

      Tissues.RightHeart rightHeart
        annotation (Placement(transformation(extent={{0,-90},{20,-70}})));

      Tissues.RespiratoryMuscle respiratoryMuscle
        annotation (Placement(transformation(extent={{-80,-28},{-60,-8}})));

      Tissues.OtherTissue otherTissue
        annotation (Placement(transformation(extent={{-80,2},{-60,22}})));

      Tissues.Liver liver
        annotation (Placement(transformation(extent={{0,64},{20,84}})));

      Tissues.LeftHeart leftHeart
        annotation (Placement(transformation(extent={{0,-60},{20,-40}})));

      Tissues.Kidney kidney
        annotation (Placement(transformation(extent={{0,-30},{20,-10}})));

      Tissues.GITract GITract
        annotation (Placement(transformation(extent={{0,-2},{20,18}})));

    Physiolibrary.Types.BusConnector busConnector
      annotation (Placement(transformation(extent={{-108,72},{-68,112}})));
      Tissues.Skin skin
        annotation (Placement(transformation(extent={{-80,-88},{-60,-68}})));

      PatientStatus patientStatus
        annotation (Placement(transformation(extent={{74,16},{94,36}})));
    equation

      connect(bone.pH_intracellular, busConnector.bone_pH_intracellular)        annotation (
         Line(
          points={{-61,50},{-20,50},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(brain.pH_intracellular, busConnector.brain_pH_intracellular)
        annotation (Line(
          points={{19,48},{46,48},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(fat.pH_intracellular, busConnector.fat_pH_intracellular)     annotation (
          Line(
          points={{-61,-40},{-20,-40},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(GITract.pH_intracellular, busConnector.GITract_pH_intracellular)
        annotation (Line(
          points={{19,16},{46,16},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(kidney.pH_intracellular, busConnector.kidney_pH_intracellular)
        annotation (Line(
          points={{19,-12},{46,-12},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(leftHeart.pH_intracellular, busConnector.leftHeart_pH_intracellular)
        annotation (Line(
          points={{19,-42},{46,-42},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(liver.pH_intracellular, busConnector.liver_pH_intracellular)
        annotation (Line(
          points={{19,82},{46,82},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(otherTissue.pH_intracellular, busConnector.otherTissue_pH_intracellular)
        annotation (Line(
          points={{-61,20},{-20,20},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(respiratoryMuscle.pH_intracellular, busConnector.respiratoryMuscle_pH_intracellular)
        annotation (Line(
          points={{-61,-10},{-20,-10},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(rightHeart.pH_intracellular, busConnector.rightHeart_pH_intracellular)
        annotation (Line(
          points={{19,-72},{46,-72},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skin.pH_intracellular, busConnector.skin_pH_intracellular)     annotation (
         Line(
          points={{-61,-70},{-20,-70},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skeletalMuscle.pH_intracellular, busConnector.skeletalMuscle_pH_intracellular)
        annotation (Line(
          points={{-61,82},{-20.5,82},{-20.5,92},{-88,92}},
          color={127,0,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));

      connect(bone.T, busConnector.bone_T)        annotation (
         Line(
          points={{-61,46},{-20,46},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(brain.T, busConnector.brain_T)
        annotation (Line(
          points={{19,44},{46,44},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(fat.T, busConnector.fat_T)     annotation (
          Line(
          points={{-61,-44},{-20,-44},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(GITract.T, busConnector.GITract_T)
        annotation (Line(
          points={{19,12},{46,12},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(kidney.T, busConnector.kidney_T)
        annotation (Line(
          points={{19,-16},{46,-16},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(leftHeart.T, busConnector.leftHeart_T)
        annotation (Line(
          points={{19,-46},{46,-46},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(liver.T, busConnector.liver_T)
        annotation (Line(
          points={{19,78},{46,78},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(otherTissue.T, busConnector.otherTissue_T)
        annotation (Line(
          points={{-61,16},{-20,16},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(respiratoryMuscle.T, busConnector.respiratoryMuscle_T)
        annotation (Line(
          points={{-61,-14},{-20,-14},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(rightHeart.T, busConnector.rightHeart_T)
        annotation (Line(
          points={{19,-76},{46,-76},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skin.T, busConnector.skin_T)     annotation (
         Line(
          points={{-61,-74},{-20,-74},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skeletalMuscle.T, busConnector.skeletalMuscle_T)
        annotation (Line(
          points={{-61,78},{-20.5,78},{-20.5,92},{-88,92}},
          color={127,0,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));

      connect(bone.Fuel_FractUseDelay, busConnector.bone_Fuel_FractUseDelay)        annotation (
         Line(
          points={{-61,42},{-20,42},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(brain.Fuel_FractUseDelay, busConnector.brain_Fuel_FractUseDelay)
        annotation (Line(
          points={{19,40},{46,40},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(fat.Fuel_FractUseDelay, busConnector.fat_Fuel_FractUseDelay)     annotation (
          Line(
          points={{-61,-48},{-20,-48},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(GITract.Fuel_FractUseDelay, busConnector.GITract_Fuel_FractUseDelay)
        annotation (Line(
          points={{19,8},{46,8},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(kidney.Fuel_FractUseDelay, busConnector.kidney_Fuel_FractUseDelay)
        annotation (Line(
          points={{19,-20},{46,-20},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(leftHeart.Fuel_FractUseDelay, busConnector.leftHeart_Fuel_FractUseDelay)
        annotation (Line(
          points={{19,-50},{46,-50},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(liver.Fuel_FractUseDelay, busConnector.liver_Fuel_FractUseDelay)
        annotation (Line(
          points={{19,74},{46,74},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(otherTissue.Fuel_FractUseDelay, busConnector.otherTissue_Fuel_FractUseDelay)
        annotation (Line(
          points={{-61,12},{-20,12},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(respiratoryMuscle.Fuel_FractUseDelay, busConnector.respiratoryMuscle_Fuel_FractUseDelay)
        annotation (Line(
          points={{-61,-18},{-20,-18},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(rightHeart.Fuel_FractUseDelay, busConnector.rightHeart_Fuel_FractUseDelay)
        annotation (Line(
          points={{19,-80},{46,-80},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skin.Fuel_FractUseDelay, busConnector.skin_Fuel_FractUseDelay)     annotation (
         Line(
          points={{-61,-78},{-20,-78},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skeletalMuscle.Fuel_FractUseDelay, busConnector.skeletalMuscle_Fuel_FractUseDelay)
        annotation (Line(
          points={{-61,74},{-20.5,74},{-20.5,92},{-88,92}},
          color={127,0,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));

      connect(bone.CellProteinAA, busConnector.CellProteinAA)       annotation (
         Line(
          points={{-61,34},{-20,34},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(brain.CellProteinAA, busConnector.CellProteinAA)
        annotation (Line(
          points={{19,32},{46,32},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(fat.CellProteinAA, busConnector.CellProteinAA)     annotation (
          Line(
          points={{-61,-56},{-20,-56},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(GITract.CellProteinAA, busConnector.CellProteinAA)
        annotation (Line(
          points={{19,0},{46,0},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(kidney.CellProteinAA, busConnector.CellProteinAA)
        annotation (Line(
          points={{19,-28},{46,-28},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(leftHeart.CellProteinAA, busConnector.CellProteinAA)
        annotation (Line(
          points={{19,-58},{46,-58},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(liver.CellProteinAA, busConnector.CellProteinAA)
        annotation (Line(
          points={{19,66},{46,66},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(otherTissue.CellProteinAA, busConnector.CellProteinAA)
        annotation (Line(
          points={{-61,4},{-20,4},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(respiratoryMuscle.CellProteinAA, busConnector.CellProteinAA)
        annotation (Line(
          points={{-61,-26},{-20,-26},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(rightHeart.CellProteinAA, busConnector.CellProteinAA)
        annotation (Line(
          points={{19,-88},{46,-88},{46,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skin.CellProteinAA, busConnector.CellProteinAA)     annotation (
         Line(
          points={{-61,-86},{-20,-86},{-20,92},{-88,92}},
          color={0,127,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));
      connect(skeletalMuscle.CellProteinAA, busConnector.CellProteinAA)
        annotation (Line(
          points={{-61,66},{-20.5,66},{-20.5,92},{-88,92}},
          color={127,0,0},
          smooth=Smooth.None), Text(
          string="%second",
          index=1,
          extent={{5,2},{5,2}}));

    connect(bone.StructureEffect, busConnector.bone_StructureEffect) annotation (Line(
          points={{-68,30},{-20,30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain.StructureEffect, busConnector.brain_StructureEffect) annotation (Line(
          points={{12,28},{-20,28},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(fat.StructureEffect, busConnector.fat_StructureEffect) annotation (Line(
          points={{-68,-60},{-20,-60},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(GITract.StructureEffect, busConnector.GITract_StructureEffect) annotation (Line(
          points={{12,-4},{-20,-4},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(kidney.StructureEffect, busConnector.kidney_StructureEffect) annotation (Line(
          points={{12,-32},{-20,-32},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(leftHeart.StructureEffect, busConnector.leftHeart_StructureEffect) annotation (Line(
          points={{12,-62},{-20,-62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(liver.StructureEffect, busConnector.liver_StructureEffect) annotation (Line(
          points={{12,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(otherTissue.StructureEffect, busConnector.otherTissue_StructureEffect) annotation (Line(
          points={{-68,0},{-20,0},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(rightHeart.StructureEffect, busConnector.rightHeart_StructureEffect) annotation (Line(
          points={{12,-92},{-20,-92},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(respiratoryMuscle.StructureEffect, busConnector.respiratoryMuscle_StructureEffect) annotation (Line(
          points={{-68,-30},{-20,-30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skin.StructureEffect, busConnector.skin_StructureEffect) annotation (Line(
          points={{-68,-90},{-20,-90},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skeletalMuscle.StructureEffect, busConnector.skeletalMuscle_StructureEffect) annotation (Line(
          points={{-68,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));

    connect(bone.StructureEffect, busConnector.Bone_StructureEffect) annotation (Line(
          points={{-68,30},{-20,30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain.StructureEffect, busConnector.Brain_StructureEffect) annotation (Line(
          points={{12,28},{-20,28},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(fat.StructureEffect, busConnector.Fat_StructureEffect) annotation (Line(
          points={{-68,-60},{-20,-60},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(kidney.StructureEffect, busConnector.Kidney_StructureEffect) annotation (Line(
          points={{12,-32},{-20,-32},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(leftHeart.StructureEffect, busConnector.LeftHeart_StructureEffect) annotation (Line(
          points={{12,-62},{-20,-62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(liver.StructureEffect, busConnector.Liver_StructureEffect) annotation (Line(
          points={{12,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(otherTissue.StructureEffect, busConnector.OtherTissue_StructureEffect) annotation (Line(
          points={{-68,0},{-20,0},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(rightHeart.StructureEffect, busConnector.RightHeart_StructureEffect) annotation (Line(
          points={{12,-92},{-20,-92},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(respiratoryMuscle.StructureEffect, busConnector.RespiratoryMuscle_StructureEffect) annotation (Line(
          points={{-68,-30},{-20,-30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skin.StructureEffect, busConnector.Skin_StructureEffect) annotation (Line(
          points={{-68,-90},{-20,-90},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skeletalMuscle.StructureEffect, busConnector.SkeletalMuscle_StructureEffect) annotation (Line(
          points={{-68,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));

     connect(bone.FunctionEffect, busConnector.bone_FunctionEffect) annotation (Line(
          points={{-72,30},{-20,30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain.FunctionEffect, busConnector.brain_FunctionEffect) annotation (Line(
          points={{8,28},{-20,28},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(fat.FunctionEffect, busConnector.fat_FunctionEffect) annotation (Line(
          points={{-72,-60},{-20,-60},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(GITract.FunctionEffect, busConnector.GITract_FunctionEffect) annotation (Line(
          points={{8,-4},{-20,-4},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(kidney.FunctionEffect, busConnector.kidney_FunctionEffect) annotation (Line(
          points={{8,-32},{-20,-32},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(leftHeart.FunctionEffect, busConnector.leftHeart_FunctionEffect) annotation (Line(
          points={{8,-62},{-20,-62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(liver.FunctionEffect, busConnector.liver_FunctionEffect) annotation (Line(
          points={{8,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(otherTissue.FunctionEffect, busConnector.otherTissue_FunctionEffect) annotation (Line(
          points={{-72,0},{-20,0},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(rightHeart.FunctionEffect, busConnector.rightHeart_FunctionEffect) annotation (Line(
          points={{8,-92},{-20,-92},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(respiratoryMuscle.FunctionEffect, busConnector.respiratoryMuscle_FunctionEffect) annotation (Line(
          points={{-72,-30},{-20,-30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skin.FunctionEffect, busConnector.skin_FunctionEffect) annotation (Line(
          points={{-72,-90},{-20,-90},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skeletalMuscle.FunctionEffect, busConnector.skeletalMuscle_FunctionEffect) annotation (Line(
          points={{-72,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));

    connect(bone.FunctionEffect, busConnector.BoneFunctionEffect) annotation (Line(
          points={{-72,30},{-20,30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain.FunctionEffect, busConnector.BrainFunctionEffect) annotation (Line(
          points={{8,28},{-20,28},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(fat.FunctionEffect, busConnector.FatFunctionEffect) annotation (Line(
          points={{-72,-60},{-20,-60},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(GITract.FunctionEffect, busConnector.GITractFunctionEffect) annotation (Line(
          points={{8,-4},{-20,-4},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(kidney.FunctionEffect, busConnector.KidneyFunctionEffect) annotation (Line(
          points={{8,-32},{-20,-32},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(leftHeart.FunctionEffect, busConnector.LeftHeartFunctionEffect) annotation (Line(
          points={{8,-62},{-20,-62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(liver.FunctionEffect, busConnector.LiverFunctionEffect) annotation (Line(
          points={{8,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(otherTissue.FunctionEffect, busConnector.OtherTissueFunctionEffect) annotation (Line(
          points={{-72,0},{-20,0},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(rightHeart.FunctionEffect, busConnector.RightHeartFunctionEffect) annotation (Line(
          points={{8,-92},{-20,-92},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(respiratoryMuscle.FunctionEffect, busConnector.RespiratoryMuscleFunctionEffect) annotation (Line(
          points={{-72,-30},{-20,-30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skin.FunctionEffect, busConnector.SkinFunctionEffect) annotation (Line(
          points={{-72,-90},{-20,-90},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skeletalMuscle.FunctionEffect, busConnector.SkeletalMuscleFunctionEffect) annotation (Line(
          points={{-72,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));

    connect(bone.FunctionFailed, busConnector.bone.Function_Failed) annotation (Line(
          points={{-64,30},{-20,30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(brain.FunctionFailed, busConnector.brain.Function_Failed) annotation (Line(
          points={{16,28},{-20,28},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(GITract.FunctionFailed, busConnector.GITract.Function_Failed) annotation (Line(
          points={{16,-4},{-20,-4},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(fat.FunctionFailed, busConnector.fat.Function_Failed) annotation (Line(
          points={{-64,-60},{-20,-60},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(kidney.FunctionFailed, busConnector.Kidney_Function_Failed) annotation (Line(
          points={{16,-32},{-20,-32},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(leftHeart.FunctionFailed, busConnector.LeftHeart_Function_Failed) annotation (Line(
          points={{16,-62},{-20,-62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(liver.FunctionFailed, busConnector.Liver_Function_Failed) annotation (Line(
          points={{16,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(otherTissue.FunctionFailed, busConnector.otherTissue.Function_Failed) annotation (Line(
          points={{-64,0},{-20,0},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(rightHeart.FunctionFailed, busConnector.RightHeart_Function_Failed) annotation (Line(
          points={{16,-92},{-20,-92},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(respiratoryMuscle.FunctionFailed, busConnector.respiratoryMuscle.Function_Failed) annotation (Line(
          points={{-64,-30},{-20,-30},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skin.FunctionFailed, busConnector.Skin_Function_Failed) annotation (Line(
          points={{-64,-90},{-20,-90},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));
     connect(skeletalMuscle.FunctionFailed, busConnector.skeletalMuscle.Function_Failed) annotation (Line(
          points={{-64,62},{-20,62},{-20,92},{-88,92}},
          color={0,0,127},
          smooth=Smooth.None));

      connect(brain.FunctionEffect, patientStatus.BrainFunctionEffect)
        annotation (Line(
          points={{8,28},{8,26},{74,26}},
          color={0,0,127},
          smooth=Smooth.None));
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics={                 Text(
              extent={{-152,-102},{150,-138}},
              lineColor={0,0,255},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid,
              textString="%name")}),
        Documentation(info="<html>
<p>BE_interstitial is base excess in the interstitium of the tissue. The standard value is 0, when strong acid concentration increase, then BE value decrease with the same concentration. </p>
<p>Meaning might be interpreted like what amount of hydrogen iont must be added to sollution if the end poit of titration will be pH=7.4 and pCO2=5.3kPa.</p>
<p>For any tissue can be simplified with difference of lactate concentration from its normal value.</p>
</html>",     revisions="<html>
<p>Marek Matejak, 24.12.2009</p>
</html>"));
    end TissuesFitness;

    model Failed
      parameter Real effectAtFailing=0.2;
      parameter Real effectAtRevitaling=0.4;

      Modelica.Blocks.Interfaces.RealInput FunctionEffect
                                                   annotation (Placement(
            transformation(extent={{-118,-20},{-78,20}}), iconTransformation(extent=
               {{-120,-20},{-80,20}})));
      Modelica.Blocks.Interfaces.BooleanOutput
                                             Failed(start=false) annotation (Placement(transformation(
              extent={{80,-20},{120,20}}), iconTransformation(extent={{80,-20},{120,
                20}})));
      Boolean a(start=false);
      Boolean b(start=true);
      Boolean c(start=false);
    //initial equation
    //  c=false;
    equation
      a=FunctionEffect<effectAtFailing;
      b=FunctionEffect>effectAtRevitaling;
      c=pre(Failed);
      Failed=a or ( c and ( not b));
    end Failed;

    model PatientStatus
      extends Physiolibrary.Icons.StatusNormal;
      Normal normal
        annotation (Placement(transformation(extent={{-66,34},{-46,54}})));
      Confused confused(                          nOut=2, nIn=2)
        annotation (Placement(transformation(extent={{-24,34},{-4,54}})));
      Modelica.StateGraph.TransitionWithSignal worse1 "He's like confused.
"     annotation (Placement(transformation(extent={{-44,34},{-24,54}})));
      Modelica.StateGraph.TransitionWithSignal better "Now he's feeling better.
"     annotation (Placement(transformation(extent={{-24,84},{-44,64}})));
      Impaired impaired(                          nIn=2, nOut=2)
        annotation (Placement(transformation(extent={{28,34},{48,54}})));
      Comatose comatose(                          nIn=2, nOut=2)
        annotation (Placement(transformation(extent={{88,-52},{68,-32}})));
      NotBreathing notBreathing(                      nOut=2, nIn=3)
        annotation (Placement(transformation(extent={{44,-52},{24,-32}})));
      MayBeDead mayBeDead(                         nOut=2)
        annotation (Placement(transformation(extent={{-12,-52},{-32,-32}})));
      IsReallyDead isReallyDead
        annotation (Placement(transformation(extent={{-64,-52},{-84,-32}})));
      Modelica.Blocks.Interfaces.RealInput BrainFunctionEffect
                                                   annotation (Placement(
            transformation(extent={{-104,86},{-94,96}}),  iconTransformation(extent=
               {{-120,-20},{-80,20}})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold(threshold=0.8)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={-34,24})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold1(threshold=0.6)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={14,24})));
      Modelica.StateGraph.TransitionWithSignal worse2 "He can't talk wery well ...
"     annotation (Placement(transformation(extent={{4,34},{24,54}})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold2(threshold=0.4)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={62,24})));
      Modelica.StateGraph.TransitionWithSignal worse3 "Your patient is not conscious!
"     annotation (Placement(transformation(extent={{52,34},{72,54}})));
      Modelica.StateGraph.TransitionWithSignal worse4 "Your patient is not conscious!
"     annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={60,-42})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold3(threshold=0.2)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={60,-22})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold4(threshold=0.1)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={6,-22})));
      Modelica.StateGraph.TransitionWithSignal worse5 "Your patient is not conscious!
"     annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={6,-42})));
      Modelica.Blocks.Logical.LessEqualThreshold lessEqualThreshold5(threshold=0)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={-50,-22})));
      Modelica.StateGraph.TransitionWithSignal worse6 "Your patient is not conscious!
"     annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=180,
            origin={-50,-42})));
      Modelica.StateGraph.TransitionWithSignal better2 "Your patient seems to be conscious again.
"     annotation (Placement(transformation(extent={{72,84},{52,64}})));
      Modelica.StateGraph.TransitionWithSignal better3 "Your patient is breathing again.
"     annotation (Placement(transformation(extent={{52,-82},{72,-62}})));
      Modelica.StateGraph.TransitionWithSignal better4
      "Wait. Your patient is not dead! "
        annotation (Placement(transformation(extent={{-4,-82},{16,-62}})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold6(threshold=0.2)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={6,-92})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold7(threshold=0.4)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={62,-92})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold8(threshold=0.6)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={62,94})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold9(threshold=0.95)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={-34,94})));
      Modelica.StateGraph.TransitionWithSignal better5
      "Wait. Your patient is not dead!"
        annotation (Placement(transformation(extent={{-60,-82},{-40,-62}})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold10(threshold=0.2)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=90,
            origin={-50,-90})));
      Modelica.Blocks.Interfaces.BooleanOutput
                                             IS_NORMAL
        annotation (Placement(transformation(extent={{-54,22},{-44,32}}),
            iconTransformation(extent={{100,100},{140,140}})));
      Modelica.Blocks.Interfaces.BooleanOutput
                                             IS_CONFUSED
        annotation (Placement(transformation(extent={{-10,22},{0,32}}),
            iconTransformation(extent={{100,60},{140,100}})));
      Modelica.Blocks.Interfaces.BooleanOutput
                                             IS_IMPAIRED
        annotation (Placement(transformation(extent={{42,22},{52,32}}),
            iconTransformation(extent={{100,20},{140,60}})));
      Modelica.Blocks.Interfaces.BooleanOutput
                                             IS_COMATOUS
        annotation (Placement(transformation(extent={{80,-64},{90,-54}}),
            iconTransformation(extent={{100,-20},{140,20}})));
      Modelica.Blocks.Interfaces.BooleanOutput
                                             IS_NOT_BREATHING
        annotation (Placement(transformation(extent={{30,-64},{40,-54}}),
            iconTransformation(extent={{100,-60},{140,-20}})));
      Modelica.Blocks.Interfaces.BooleanOutput
                                             IS_MAY_BE_DEAD
        annotation (Placement(transformation(extent={{-24,-64},{-14,-54}}),
            iconTransformation(extent={{100,-100},{140,-60}})));
      Modelica.Blocks.Interfaces.BooleanOutput
                                             IS_REALLY_DEAD
        annotation (Placement(transformation(extent={{-78,-64},{-68,-54}}),
            iconTransformation(extent={{100,-140},{140,-100}})));
      Modelica.StateGraph.TransitionWithSignal better1 "Your patient seems to be conscious again.
"     annotation (Placement(transformation(extent={{24,84},{4,64}})));
      Modelica.Blocks.Logical.GreaterEqualThreshold lessEqualThreshold11(
          threshold=0.8)
        annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
            rotation=270,
            origin={14,94})));
    equation
      connect(normal.outPort[1], worse1.inPort) annotation (Line(
          points={{-45.5,44},{-38,44}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse1.outPort, confused.inPort[1]) annotation (Line(
          points={{-32.5,44},{-28.75,44},{-28.75,44.5},{-25,44.5}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better.outPort, normal.inPort[1]) annotation (Line(
          points={{-35.5,74},{-76,74},{-76,44},{-67,44}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(lessEqualThreshold.y, worse1.condition) annotation (Line(
          points={{-34,28.4},{-34,32}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,19.2},{-34,19.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold1.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,19.2},{14,19.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lessEqualThreshold1.y, worse2.condition) annotation (Line(
          points={{14,28.4},{14,32}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(confused.outPort[1], worse2.inPort) annotation (Line(
          points={{-3.5,44.25},{3.25,44.25},{3.25,44},{10,44}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse2.outPort, impaired.inPort[1]) annotation (Line(
          points={{15.5,44},{21.25,44},{21.25,44.5},{27,44.5}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold2.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,19.2},{62,19.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lessEqualThreshold2.y, worse3.condition) annotation (Line(
          points={{62,28.4},{62,32}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(impaired.outPort[1], worse3.inPort) annotation (Line(
          points={{48.5,44.25},{53.25,44.25},{53.25,44},{58,44}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse3.outPort, comatose.inPort[1]) annotation (Line(
          points={{63.5,44},{96,44},{96,-41.5},{89,-41.5}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(lessEqualThreshold3.y, worse4.condition) annotation (Line(
          points={{60,-26.4},{60,-30}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold3.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-17.2},{60,-17.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lessEqualThreshold4.y, worse5.condition) annotation (Line(
          points={{6,-26.4},{6,-27.3},{6,-27.3},{6,-28.2},{6,-30},{6,-30}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(lessEqualThreshold5.y, worse6.condition) annotation (Line(
          points={{-50,-26.4},{-50,-30}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold4.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-17.2},{6,-17.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold5.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-17.2},{-50,-17.2}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(notBreathing.outPort[1], worse5.inPort) annotation (Line(
          points={{23.5,-41.75},{10.75,-41.75},{10.75,-42},{10,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse5.outPort, mayBeDead.inPort[1]) annotation (Line(
          points={{4.5,-42},{-11,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(mayBeDead.outPort[1], worse6.inPort) annotation (Line(
          points={{-32.5,-41.75},{-45.25,-41.75},{-45.25,-42},{-46,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse6.outPort, isReallyDead.inPort[1]) annotation (Line(
          points={{-51.5,-42},{-63,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(lessEqualThreshold6.y, better4.condition) annotation (Line(
          points={{6,-87.6},{6,-84}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(mayBeDead.outPort[2], better4.inPort) annotation (Line(
          points={{-32.5,-42.25},{-36,-42.25},{-36,-72},{2,-72}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better4.outPort, notBreathing.inPort[2]) annotation (Line(
          points={{7.5,-72},{14,-72},{14,-64},{48,-64},{48,-42},{45,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold6.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-96.8},{6,-96.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold7.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-96.8},{62,-96.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(lessEqualThreshold7.y, better3.condition) annotation (Line(
          points={{62,-87.6},{62,-84}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(notBreathing.outPort[2], better3.inPort) annotation (Line(
          points={{23.5,-42.25},{22,-42.25},{22,-72},{58,-72}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better3.outPort, comatose.inPort[2]) annotation (Line(
          points={{63.5,-72},{70,-72},{70,-64},{96,-64},{96,-42.5},{89,-42.5}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(comatose.outPort[2], better2.inPort) annotation (Line(
          points={{67.5,-42.25},{66,-42.25},{66,0},{82,0},{82,74},{66,74}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better2.outPort, impaired.inPort[2]) annotation (Line(
          points={{60.5,74},{22,74},{22,43.5},{27,43.5}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(lessEqualThreshold8.y, better2.condition) annotation (Line(
          points={{62,89.6},{62,86}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(lessEqualThreshold8.u, BrainFunctionEffect) annotation (Line(
          points={{62,98.8},{-90,98.8},{-90,91},{-99,91}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(better.condition, lessEqualThreshold9.y) annotation (Line(
          points={{-34,86},{-34,89.6}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold9.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,98.8},{-34,98.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(normal.active, IS_NORMAL) annotation (Line(
          points={{-56,33},{-56,27},{-49,27}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(confused.active, IS_CONFUSED) annotation (Line(
          points={{-14,33},{-14,27},{-5,27}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(impaired.active, IS_IMPAIRED) annotation (Line(
          points={{38,33},{38,27},{47,27}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(comatose.active, IS_COMATOUS) annotation (Line(
          points={{78,-53},{78,-59},{85,-59}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(notBreathing.active, IS_NOT_BREATHING) annotation (Line(
          points={{34,-53},{34,-59},{35,-59}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(IS_MAY_BE_DEAD, mayBeDead.active) annotation (Line(
          points={{-19,-59},{-22,-59},{-22,-53}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(isReallyDead.active, IS_REALLY_DEAD) annotation (Line(
          points={{-74,-53},{-74,-59},{-73,-59}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(better5.condition, lessEqualThreshold10.y) annotation (Line(
          points={{-50,-84},{-50,-85.6}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(BrainFunctionEffect, lessEqualThreshold10.u) annotation (Line(
          points={{-99,91},{-90,91},{-90,-96},{-50,-96},{-50,-94.8}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(comatose.outPort[1], worse4.inPort) annotation (Line(
          points={{67.5,-41.75},{65.75,-41.75},{65.75,-42},{64,-42}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(worse4.outPort, notBreathing.inPort[1]) annotation (Line(
          points={{58.5,-42},{59.75,-42},{59.75,-41.3333},{45,-41.3333}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(confused.outPort[2], better.inPort) annotation (Line(
          points={{-3.5,43.75},{0,43.75},{0,74},{-30,74}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better5.outPort, notBreathing.inPort[3]) annotation (Line(
          points={{-48.5,-72},{-44,-72},{-44,-64},{48,-64},{48,-42.6667},{45,
            -42.6667}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(isReallyDead.outPort[1], better5.inPort) annotation (Line(
          points={{-84.5,-42},{-86,-42},{-86,-72},{-54,-72}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(lessEqualThreshold11.y, better1.condition)
                                                        annotation (Line(
          points={{14,89.6},{14,86}},
          color={255,0,255},
          smooth=Smooth.None));
      connect(lessEqualThreshold11.u, BrainFunctionEffect)
                                                          annotation (Line(
          points={{14,98.8},{-90,98.8},{-90,91},{-99,91}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(impaired.outPort[2], better1.inPort) annotation (Line(
          points={{48.5,43.75},{52,43.75},{52,74},{18,74}},
          color={0,0,0},
          smooth=Smooth.None));
      connect(better1.outPort, confused.inPort[2]) annotation (Line(
          points={{12.5,74},{-25,74},{-25,43.5}},
          color={0,0,0},
          smooth=Smooth.None));
    end PatientStatus;

    block Normal
      extends Modelica.StateGraph.InitialStepWithSignal;
      extends Physiolibrary.Icons.StatusNormal;
    end Normal;

    block Confused
      extends Modelica.StateGraph.StepWithSignal;
      extends Physiolibrary.Icons.StatusConfused;
    end Confused;

    block Impaired
      extends Modelica.StateGraph.StepWithSignal;
      extends Physiolibrary.Icons.StatusImpaired;
    end Impaired;

    block Comatose
      extends Modelica.StateGraph.StepWithSignal;
      extends Physiolibrary.Icons.StatusComatose;
    end Comatose;

    block NotBreathing
      extends Modelica.StateGraph.StepWithSignal;
      extends Physiolibrary.Icons.StatusNotBreathing;
    end NotBreathing;

    block MayBeDead
      extends Modelica.StateGraph.StepWithSignal;
      extends Physiolibrary.Icons.StatusMayBeDead;
    end MayBeDead;

    block IsReallyDead
      extends Modelica.StateGraph.StepWithSignal;
      extends Physiolibrary.Icons.StatusIsReallyDead;
    end IsReallyDead;

    package Tissues
      model TissueFitness

        Physiolibrary.Types.RealIO.FractionOutput FunctionEffect   annotation (Placement(transformation(
                extent={{56,-14},{68,-2}}),  iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-20,-120})));
        Physiolibrary.Types.RealIO.FractionOutput StructureEffect                         annotation (Placement(
              transformation(extent={{-8,-34},{8,-18}}),  iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={20,-120})));

        Physiolibrary.Types.RealIO.pHInput pH_intracellular
                                         annotation (Placement(transformation(extent={{-84,42},
                  {-72,54}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,80})));
        Physiolibrary.Types.RealIO.TemperatureInput T(
                                        final displayUnit="degC")
        "tissue temperature"             annotation (Placement(transformation(extent={{-104,66},
                  {-92,78}}),           iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,40})));

        Physiolibrary.Types.RealIO.FractionInput Fuel_FractUseDelay                        annotation (Placement(transformation(extent={{-96,54},
                  {-84,66}}),           iconTransformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,0})));

        Physiolibrary.Types.RealIO.AmountOfSubstanceInput
                                                      CellProteinAA(final displayUnit=
             "mol") annotation (Placement(transformation(extent={{-2,30},{8,40}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={90,-80})));

      Physiolibrary.Blocks.Factors.Spline PhOnStructure(data={{6.5,0.1,0},{6.6,
            0.0,0}})
        annotation (Placement(transformation(extent={{-64,14},{-44,36}})));
      Physiolibrary.Blocks.Factors.Spline FuelOnStructure(data={{0.5,0.05,0},{
            0.8,0.00,0}})
        annotation (Placement(transformation(extent={{-64,0},{-44,20}})));
      Physiolibrary.Blocks.Factors.Spline TemperatureOnStructure(data={{44.0 + 273.15,
              0.00,0},{46.0 + 273.15,0.05,0}})
        annotation (Placement(transformation(extent={{-64,-14},{-44,6}})));
      Physiolibrary.Types.Constants.FrequencyConst            Constant(k(
            displayUnit="1/min") = 0.016666666666667)
        annotation (Placement(transformation(extent={{-66,34},{-58,42}})));
        Modelica.Blocks.Math.Feedback feedback
          annotation (Placement(transformation(extent={{-64,-16},{-44,-36}})));
        Modelica.Blocks.Continuous.Integrator integrator(y_start=1, k=1)
          annotation (Placement(transformation(extent={{-38,-36},{-18,-16}})));
      Physiolibrary.Blocks.Factors.Spline PhOnFunction(data={{6.6,0.0,0},{6.7,
            1.0,0}})
        annotation (Placement(transformation(extent={{20,38},{40,58}})));
      Physiolibrary.Blocks.Factors.Spline ProteinOnFunction(data={{3000.0,0.0,0},
            {5200.0,1.0,0}}, Xscale=1e-3/Substances.AminoAcids.mw)
        annotation (Placement(transformation(extent={{20,24},{40,46}})));
      Physiolibrary.Blocks.Factors.Spline FuelOnFunction(data={{0.0,0.0,0},{0.9,
            1.0,0}})
        annotation (Placement(transformation(extent={{20,50},{40,70}})));
      Physiolibrary.Blocks.Factors.Spline TemperatureOnFunction(data={{10 + 273.15,0.0,
              0},{37 + 273.15,1.0,0.12},{40 + 273.15,1.5,0},{46 + 273.15,0.0,0}})
        annotation (Placement(transformation(extent={{20,62},{40,82}})));
      Physiolibrary.Types.Constants.FractionConst             Constant1(k=1)
        annotation (Placement(transformation(extent={{20,78},{28,86}})));
      Physiolibrary.Blocks.Factors.Normalization StructureEff
        annotation (Placement(transformation(extent={{20,10},{40,30}})));
        Failed failed
          annotation (Placement(transformation(extent={{44,-70},{64,-50}})));
        Modelica.Blocks.Interfaces.BooleanOutput
                                               FunctionFailed
                                                        annotation (Placement(
              transformation(extent={{76,-66},{88,-54}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={60,-120})));
      Physiolibrary.Types.Constants.FrequencyConst            Constant2(k=0)
        annotation (Placement(transformation(extent={{-86,-30},{-78,-22}})));
      equation

        connect(PhOnStructure.u, pH_intracellular)
                                                  annotation (Line(
            points={{-62,25},{-70,25},{-70,48},{-78,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FuelOnStructure.u, Fuel_FractUseDelay) annotation (Line(
            points={{-62,10},{-82,10},{-82,60},{-90,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TemperatureOnStructure.u, T) annotation (Line(
            points={{-62,-4},{-92,-4},{-92,72},{-98,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PhOnStructure.y, FuelOnStructure.yBase) annotation (Line(
            points={{-54,20.6},{-54,12}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FuelOnStructure.y, TemperatureOnStructure.yBase) annotation (Line(
            points={{-54,6},{-54,-2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant.y, PhOnStructure.yBase) annotation (Line(
            points={{-57,38},{-54,38},{-54,27.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TemperatureOnStructure.y, feedback.u2) annotation (Line(
            points={{-54,-8},{-54,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(feedback.y, integrator.u) annotation (Line(
            points={{-45,-26},{-40,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, StructureEffect) annotation (Line(
            points={{-17,-26},{0,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(pH_intracellular, PhOnFunction.u)
                                                 annotation (Line(
            points={{-78,48},{22,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(CellProteinAA, ProteinOnFunction.u) annotation (Line(
            points={{3,35},{22,35}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Fuel_FractUseDelay, FuelOnFunction.u) annotation (Line(
            points={{-90,60},{22,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T, TemperatureOnFunction.u) annotation (Line(
            points={{-98,72},{22,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(TemperatureOnFunction.y, FuelOnFunction.yBase) annotation (Line(
            points={{30,68},{30,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(FuelOnFunction.y, PhOnFunction.yBase) annotation (Line(
            points={{30,56},{30,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(PhOnFunction.y, ProteinOnFunction.yBase) annotation (Line(
            points={{30,44},{30,37.2}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Constant1.y, TemperatureOnFunction.yBase) annotation (Line(
            points={{29,82},{30,82},{30,74}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(integrator.y, StructureEff.u) annotation (Line(
            points={{-17,-26},{-12,-26},{-12,20},{22,20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ProteinOnFunction.y, StructureEff.yBase) annotation (Line(
            points={{30,30.6},{30,22}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(StructureEff.y, FunctionEffect) annotation (Line(
            points={{30,16},{30,-8},{62,-8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(StructureEff.y, failed.FunctionEffect) annotation (Line(
            points={{30,16},{30,-60},{44,-60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(failed.Failed, FunctionFailed) annotation (Line(
            points={{64,-60},{82,-60}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(Constant2.y, feedback.u1) annotation (Line(
            points={{-77,-26},{-62,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation ( Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Rectangle(extent={{-100,100},{100,-100}}, lineColor={0,
                    0,255})}));
      end TissueFitness;

      model SkeletalMuscle
        extends TissueFitness;
        extends Physiolibrary.Icons.SkeletalMuscle;
      end SkeletalMuscle;

      model Bone
        extends TissueFitness;
        extends Physiolibrary.Icons.Bone;
      end Bone;

      model OtherTissue
        extends TissueFitness;
        extends Physiolibrary.Icons.OtherTissue;
      end OtherTissue;

      model RespiratoryMuscle
        extends TissueFitness;
        extends Physiolibrary.Icons.RespiratoryMuscle;
      end RespiratoryMuscle;

      model Fat
        extends TissueFitness;
        extends Physiolibrary.Icons.Fat;
      end Fat;

      model Skin
        extends TissueFitness(TemperatureOnFunction(data={{10.0+273.15,0.0,0},{29.5+273.15,
                1.0,0.12},{40.0+273.15,1.5,0},{46.0+273.15,0.0,0}}));
        extends Physiolibrary.Icons.Skin;
      end Skin;

      model Liver
        extends TissueFitness;
        extends Physiolibrary.Icons.Liver;
      end Liver;

      model Brain
        extends TissueFitness;
        extends Physiolibrary.Icons.Brain;
      end Brain;

      model GITract
        extends TissueFitness;
        extends Physiolibrary.Icons.GITract;
      end GITract;

      model Kidney
        extends TissueFitness;
        extends Physiolibrary.Icons.Kidney;
      end Kidney;

      model LeftHeart
        extends TissueFitness;
        extends Physiolibrary.Icons.LeftHeart;
      end LeftHeart;

      model RightHeart
        extends TissueFitness;
        extends Physiolibrary.Icons.RightHeart;
      end RightHeart;
    end Tissues;

    package IO_Bus
        extends Physiolibrary.Types.IO_Bus;
      redeclare model extends Variables

      T.Fraction Bone_StructureEffect(varName="Bone-Structure.Effect")
        "Bone tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,10},{-30,16}})));
      T.Fraction brain_FunctionEffect(varName="Brain-Function.Effect")
        "Brain tissue function effect. []"
      annotation (Placement(transformation(extent={{-36,20},{-30,26}})));
      T.Fraction Brain_StructureEffect(varName="Brain-Structure.Effect")
        "Brain tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,30},{-30,36}})));
      T.Fraction FatFunctionEffect(varName="Fat-Function.Effect")
        "Fat tissue function effect. []"
      annotation (Placement(transformation(extent={{-36,40},{-30,46}})));
      T.Fraction Fat_StructureEffect(varName="Fat-Structure.Effect")
        "Fat tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,50},{-30,56}})));
      T.Fraction GITractFunctionEffect(varName="GITract-Function.Effect")
        "GITract tissue function effect. []"
      annotation (Placement(transformation(extent={{-36,60},{-30,66}})));
      T.Fraction GITract_StructureEffect(varName="GITract-Structure.Effect")
        "GITract tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,70},{-30,76}})));
      T.Fraction KidneyFunctionEffect(varName="Kidney-Function.Effect")
        "Kidney tissue function effect. []"
      annotation (Placement(transformation(extent={{-36,80},{-30,86}})));
      //T.Fraction KidneyFunction_Effect(varName="Kidney-Function.Effect")
      //    "Kidney tissue function effect. []"
      //annotation (Placement(transformation(extent={{-36,90},{-30,96}})));
      T.Fraction Kidney_StructureEffect(varName="Kidney-Structure.Effect")
        "Kidney tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,100},{-30,106}})));
      T.Fraction LeftHeart_StructureEffect(varName="LeftHeart-Structure.Effect")
        "LeftHeart tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,110},{-30,116}})));
      T.Fraction LiverFunctionEffect(varName="Liver-Function.Effect")
        "Liver tissue function effect. []"
      annotation (Placement(transformation(extent={{-36,120},{-30,126}})));
      T.Fraction Liver_StructureEffect(varName="Liver-Structure.Effect")
        "Liver tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,130},{-30,136}})));
      T.Fraction OtherTissueFunctionEffect(varName="OtherTissue-Function.Effect")
        "OtherTissue tissue function effect. []"
      annotation (Placement(transformation(extent={{-36,140},{-30,146}})));
      T.Fraction OtherTissue_StructureEffect(varName="OtherTissue-Structure.Effect")
        "OtherTissue tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,150},{-30,156}})));
      T.Fraction RespiratoryMuscleFunctionEffect(varName="RespiratoryMuscle-Function.Effect")
        "RespiratoryMuscle tissue function effect. []"
      annotation (Placement(transformation(extent={{-36,160},{-30,166}})));
      T.Fraction RespiratoryMuscle_StructureEffect(varName="RespiratoryMuscle-Structure.Effect")
        "RespiratoryMuscle tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,170},{-30,176}})));
      T.Fraction RightHeart_StructureEffect(varName="RightHeart-Structure.Effect")
        "RightHeart tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,180},{-30,186}})));
      T.Fraction SkeletalMuscle_StructureEffect(varName="SkeletalMuscle-Structure.Effect")
        "SkeletalMuscle tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,190},{-30,196}})));
      T.Fraction Skin_StructureEffect(varName="Skin-Structure.Effect")
        "Skin tissue structural damage effect. []"
      annotation (Placement(transformation(extent={{-36,200},{-30,206}})));
      BooleanVariable Bone_Function_Failed(varName="Bone-Function.Failed")
        "Bone function failture if true."
      annotation (Placement(transformation(extent={{-36,210},{-30,216}})));
      BooleanVariable Brain_Function_Failed(varName="Brain-Function.Failed")
        "Brain function failture if true."
      annotation (Placement(transformation(extent={{-36,220},{-30,226}})));
      BooleanVariable Fat_Function_Failed(varName="Fat-Function.Failed")
        "Fat function failture if true."
      annotation (Placement(transformation(extent={{-36,230},{-30,236}})));
      BooleanVariable GITract_Function_Failed(varName="GITract-Function.Failed")
        "GITract function failture if true."
      annotation (Placement(transformation(extent={{-36,240},{-30,246}})));
      BooleanVariable Kidney_Function_Failed(varName="Kidney-Function.Failed")
        "Kidney function failture if true."
      annotation (Placement(transformation(extent={{-36,250},{-30,256}})));
      BooleanVariable LeftHeart_Function_Failed(varName="LeftHeart-Function.Failed")
        "LeftHeart function failture if true."
      annotation (Placement(transformation(extent={{-36,260},{-30,266}})));
      BooleanVariable Liver_Function_Failed(varName="Liver-Function.Failed")
        "Liver function failture if true."
      annotation (Placement(transformation(extent={{-36,270},{-30,276}})));
      BooleanVariable OtherTissue_Function_Failed(varName="OtherTissue-Function.Failed")
        "OtherTissue function failture if true."
      annotation (Placement(transformation(extent={{-36,280},{-30,286}})));
      BooleanVariable RespiratoryMuscle_Function_Failed(varName="RespiratoryMuscle-Function.Failed")
        "RespiratoryMuscle function failture if true."
      annotation (Placement(transformation(extent={{-36,290},{-30,296}})));
      BooleanVariable RightHeart_Function_Failed(varName="RightHeart-Function.Failed")
        "RightHeart function failture if true."
      annotation (Placement(transformation(extent={{-36,300},{-30,306}})));
      BooleanVariable SkeletalMuscle_Function_Failed(varName="SkeletalMuscle-Function.Failed")
        "SkeletalMuscle function failture if true."
      annotation (Placement(transformation(extent={{-36,310},{-30,316}})));
      BooleanVariable Skin_Function_Failed(varName="Skin-Function.Failed")
        "Skin function failture if true."
      annotation (Placement(transformation(extent={{-36,320},{-30,326}})));
      T.Fraction skin_FunctionEffect(varName=
              "Skin-Function.Effect") "Skin tissue function effect. []"
      annotation (Placement(transformation(extent={{-36,2},{-30,8}})));
      equation
      connect(Bone_StructureEffect.y, busConnector.Bone_StructureEffect) annotation (Line(
       points={{-29.7,13},{90,13},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(brain_FunctionEffect.y, busConnector.brain_FunctionEffect) annotation (Line(
       points={{-29.7,23},{90,23},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_StructureEffect.y, busConnector.Brain_StructureEffect) annotation (Line(
       points={{-29.7,33},{90,33},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(FatFunctionEffect.y, busConnector.FatFunctionEffect) annotation (Line(
       points={{-29.7,43},{90,43},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_StructureEffect.y, busConnector.Fat_StructureEffect) annotation (Line(
       points={{-29.7,53},{90,53},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITractFunctionEffect.y, busConnector.GITractFunctionEffect) annotation (Line(
       points={{-29.7,63},{90,63},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_StructureEffect.y, busConnector.GITract_StructureEffect) annotation (Line(
       points={{-29.7,73},{90,73},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(KidneyFunctionEffect.y, busConnector.KidneyFunctionEffect) annotation (Line(
       points={{-29.7,83},{90,83},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_StructureEffect.y, busConnector.Kidney_StructureEffect) annotation (Line(
       points={{-29.7,103},{90,103},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_StructureEffect.y, busConnector.LeftHeart_StructureEffect) annotation (Line(
       points={{-29.7,113},{90,113},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LiverFunctionEffect.y, busConnector.LiverFunctionEffect) annotation (Line(
       points={{-29.7,123},{90,123},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_StructureEffect.y, busConnector.Liver_StructureEffect) annotation (Line(
       points={{-29.7,133},{90,133},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissueFunctionEffect.y, busConnector.OtherTissueFunctionEffect) annotation (Line(
       points={{-29.7,143},{90,143},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_StructureEffect.y, busConnector.OtherTissue_StructureEffect) annotation (Line(
       points={{-29.7,153},{90,153},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscleFunctionEffect.y, busConnector.RespiratoryMuscleFunctionEffect) annotation (Line(
       points={{-29.7,163},{90,163},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_StructureEffect.y, busConnector.RespiratoryMuscle_StructureEffect) annotation (Line(
       points={{-29.7,173},{90,173},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_StructureEffect.y, busConnector.RightHeart_StructureEffect) annotation (Line(
       points={{-29.7,183},{90,183},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_StructureEffect.y, busConnector.SkeletalMuscle_StructureEffect) annotation (Line(
       points={{-29.7,193},{90,193},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_StructureEffect.y, busConnector.Skin_StructureEffect) annotation (Line(
       points={{-29.7,203},{90,203},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Bone_Function_Failed.y, busConnector.bone.Function_Failed) annotation (Line(
       points={{-29.7,213},{90,213},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Brain_Function_Failed.y, busConnector.brain.Function_Failed) annotation (Line(
       points={{-29.7,223},{90,223},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Fat_Function_Failed.y, busConnector.fat.Function_Failed) annotation (Line(
       points={{-29.7,233},{90,233},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(GITract_Function_Failed.y, busConnector.GITract.Function_Failed) annotation (Line(
       points={{-29.7,243},{90,243},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Kidney_Function_Failed.y, busConnector.Kidney_Function_Failed) annotation (Line(
       points={{-29.7,253},{90,253},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(LeftHeart_Function_Failed.y, busConnector.LeftHeart_Function_Failed) annotation (Line(
       points={{-29.7,263},{90,263},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Liver_Function_Failed.y, busConnector.Liver_Function_Failed) annotation (Line(
       points={{-29.7,273},{90,273},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(OtherTissue_Function_Failed.y, busConnector.otherTissue.Function_Failed) annotation (Line(
       points={{-29.7,283},{90,283},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RespiratoryMuscle_Function_Failed.y, busConnector.respiratoryMuscle.Function_Failed) annotation (Line(
       points={{-29.7,293},{90,293},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(RightHeart_Function_Failed.y, busConnector.RightHeart_Function_Failed) annotation (Line(
       points={{-29.7,303},{90,303},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(SkeletalMuscle_Function_Failed.y, busConnector.skeletalMuscle.Function_Failed) annotation (Line(
       points={{-29.7,313},{90,313},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
      connect(Skin_Function_Failed.y, busConnector.Skin_Function_Failed) annotation (Line(
       points={{-29.7,323},{90,323},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));

        connect(skin_FunctionEffect.y, busConnector.skin_FunctionEffect)
          annotation (Line(
            points={{-29.7,5},{25.15,5},{25.15,-2},{90,-2}},
            color={0,0,127},
            smooth=Smooth.None), Text(
            string="%second",
            index=1,
            extent={{6,3},{6,3}}));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={
              Text(
                extent={{18,100},{100,62}},
                lineColor={0,0,0},
                textString="vars"),
              Text(
                extent={{-124,-90},{118,-124}},
                lineColor={0,0,255},
                textString="%name")}));
      end Variables;

      model Status_test
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile     setup
          annotation (Placement(transformation(extent={{-16,-104},{4,-84}})));
        Physiomodel.Water.IO_Bus.InputFromFile water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.TissuesFitness status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{30,-46},{44,-32}}), iconTransformation(
              extent={{-40,-20},{0,20}})));
      Physiomodel.Status.IO_Bus.OutputComparison outputComparison
        annotation (Placement(transformation(extent={{72,-74},{92,-54}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-94},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-94},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-94},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-94},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-94},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-94},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{43.2,-60.8},{-6,-60.8},{-6,-94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector, busConnector) annotation (Line(
            points={{43.2,-60.8},{37,-60.8},{37,-39}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(status.busConnector, outputComparison.busConnector) annotation (
          Line(
          points={{43.2,-60.8},{62,-60.8},{62,-64},{82,-64}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      end Status_test;

      model Status_test_SI
        import Physiomodel;
      Physiomodel.CardioVascular.IO_Bus.InputFromFile_SI cardioVascularSystem
          annotation (Placement(transformation(extent={{40,72},{60,94}})));
        Physiomodel.Metabolism.IO_Bus.InputFromFile nutrientsAndMetabolism
          annotation (Placement(transformation(extent={{-88,60},{-68,80}})));
        Physiomodel.Electrolytes.IO_Bus.InputFromFile_SI electrolytes
          annotation (Placement(transformation(extent={{74,-34},{94,-14}})));
        Physiomodel.Hormones.IO_Bus.InputFromFile_SI hormones
          annotation (Placement(transformation(extent={{40,6},{60,26}})));
        Physiomodel.Nerves.IO_Bus.InputFromFile_SI nerves
          annotation (Placement(transformation(extent={{74,38},{94,58}})));
        Physiomodel.Setup.IO_Bus.InputFromFile_SI     setup
          annotation (Placement(transformation(extent={{-16,-104},{4,-84}})));
        Physiomodel.Water.IO_Bus.InputFromFile_SI water
          annotation (Placement(transformation(extent={{-86,-6},{-66,14}})));
        Physiomodel.Proteins.IO_Bus.InputFromFile_SI proteins
          annotation (Placement(transformation(extent={{-48,-28},{-28,-8}})));
        Physiomodel.Status.TissuesFitness status
          annotation (Placement(transformation(extent={{42,-80},{62,-60}})));
        Physiomodel.Gases.IO_Bus.InputFromFile_SI gases
          annotation (Placement(transformation(extent={{-76,-64},{-56,-44}})));
        Physiomodel.Heat.IO_Bus.InputFromFile_SI heat
          annotation (Placement(transformation(extent={{-28,30},{-48,50}})));
      Physiolibrary.Types.BusConnector busConnector annotation (Placement(
            transformation(extent={{30,-46},{44,-32}}), iconTransformation(
              extent={{-40,-20},{0,20}})));
      Physiomodel.Status.IO_Bus.OutputComparison_SI outputComparison_SI
        annotation (Placement(transformation(extent={{74,-76},{94,-56}})));
      equation
        connect(setup.busConnector,hormones. busConnector) annotation (Line(
            points={{-6,-94},{-6,16},{50,16}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,proteins. busConnector) annotation (Line(
            points={{-6,-94},{-6,-18},{-38,-18}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,cardioVascularSystem. busConnector)
                                                      annotation (Line(
            points={{-6,-94},{-6,83},{50,83}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nutrientsAndMetabolism. busConnector)
          annotation (Line(
            points={{-6,-94},{-6,70},{-78,70}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,water. busConnector) annotation (Line(
            points={{-6,-94},{-6,4},{-76,4}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(setup.busConnector,nerves. busConnector) annotation (Line(
            points={{-6,-94},{-6,48},{84,48}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector,setup. busConnector)         annotation (Line(
            points={{43.2,-60.8},{-6,-60.8},{-6,-94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(electrolytes.busConnector,setup. busConnector) annotation (Line(
            points={{84,-24},{-6,-24},{-6,-94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(gases.busConnector,setup. busConnector) annotation (Line(
            points={{-66,-54},{-6,-54},{-6,-94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(heat.busConnector,setup. busConnector) annotation (Line(
            points={{-38,40},{-6,40},{-6,-94}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(status.busConnector, busConnector) annotation (Line(
            points={{43.2,-60.8},{37,-60.8},{37,-39}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
      connect(status.busConnector, outputComparison_SI.busConnector)
        annotation (Line(
          points={{43.2,-60.8},{64,-60.8},{64,-66},{84,-66}},
          color={0,0,255},
          thickness=0.5,
          smooth=Smooth.None));
      end Status_test_SI;
    end IO_Bus;
    annotation (Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>

<tr>
<td><p>Date of:</p></td>
<td><p>2008-2015</p></td>
</tr>
<tr>
<td><p>References:</p></td>
<td><p>Tom Coleman: HumMod 1.6, University of Mississippi Medical Center</p></td>
</tr>
</table>
<p>Copyright &copy; 2008-2015 Marek Matejak, Charles University in Prague.</p>
</html>"));
  end Status;

  annotation (uses(Modelica(version="3.2.2"), Physiolibrary(version="2.3.2")),                           Documentation(revisions="<html>
<table cellspacing=\"2\" cellpadding=\"0\" border=\"0\"><tr>
<td><p>Author:</p></td>
<td><p>Marek Matejak</p></td>
</tr>
<tr>
<td><p>License:</p></td>
<td><p><a href=\"http://www.physiomodel.org/license.html\">Physiomodel License 1.0</a> </p></td>
</tr>
</table>
<p><br>Copyright &copy; 2008-2015 Marek Matejak. All rights reserved.</p>
</html>"),
  version="1.0.1-beta",
  conversion(noneFromVersion="1.0.0"));
end Physiomodel;
